--
-- PostgreSQL database dump
--

-- Started on 2009-04-23 16:32:14 ECT

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- TOC entry 3767 (class 1262 OID 629634)
-- Name: turnhos; Type: DATABASE; Schema: -; Owner: -
--

CREATE DATABASE "turnhos" WITH TEMPLATE = template0 ENCODING = 'UTF8' TABLESPACE = care2x_tblspc;


\connect "turnhos"

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

--
-- TOC entry 2095 (class 1259 OID 631352)
-- Dependencies: 3
-- Name: addr_ct_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE addr_ct_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2096 (class 1259 OID 631354)
-- Dependencies: 3
-- Name: appt_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE appt_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2097 (class 1259 OID 631356)
-- Dependencies: 3
-- Name: bill_final_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE bill_final_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2098 (class 1259 OID 631358)
-- Dependencies: 3
-- Name: bill_item_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE bill_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2099 (class 1259 OID 631360)
-- Dependencies: 3
-- Name: bill_pay_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE bill_pay_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2100 (class 1259 OID 631362)
-- Dependencies: 3
-- Name: cafe_menu_item_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE cafe_menu_item_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2101 (class 1259 OID 631364)
-- Dependencies: 3
-- Name: cafe_prices_item_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE cafe_prices_item_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


SET default_tablespace = '';

SET default_with_oids = true;

--
-- TOC entry 1955 (class 1259 OID 629635)
-- Dependencies: 2469 2470 2471 2472 2473 3
-- Name: care_address_citytown; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_address_citytown (
    nr integer DEFAULT nextval(('"addr_ct_nr_seq"'::text)::regclass) NOT NULL,
    unece_modifier character(2),
    unece_locode character varying(15),
    name character varying(100) NOT NULL,
    zip_code character varying(25),
    iso_country_id character(3) NOT NULL,
    unece_locode_type smallint,
    unece_coordinates character varying(25),
    info_url character varying(255),
    use_frequency bigint DEFAULT (0)::bigint NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1956 (class 1259 OID 629646)
-- Dependencies: 2474 2475 2476 2477 2478 2479 2480 2481 2482 2483 2484 2485 2486 2487 2488 3
-- Name: care_appointment; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_appointment (
    nr bigint DEFAULT nextval(('"appt_nr_seq"'::text)::regclass) NOT NULL,
    pid integer DEFAULT 0 NOT NULL,
    date date DEFAULT '0001-01-01'::date NOT NULL,
    "time" character varying(20) DEFAULT '00:00-00:00'::character varying,
    to_dept_id character varying(25),
    to_dept_nr smallint,
    to_personell_nr integer,
    to_personell_name character varying(60),
    purpose text,
    urgency smallint DEFAULT (0)::smallint,
    remind smallint DEFAULT (0)::smallint,
    remind_email smallint DEFAULT (0)::smallint,
    remind_mail smallint DEFAULT (0)::smallint,
    remind_phone smallint DEFAULT (0)::smallint,
    appt_status character varying(35) DEFAULT 'pending'::character varying,
    cancel_by character varying(255),
    cancel_date date,
    cancel_reason character varying(255),
    encounter_class_nr integer DEFAULT 0,
    encounter_nr integer DEFAULT 0,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint,
    num_office character varying(10),
    day character varying(10),
    sdd_nr integer,
    num_turn integer,
    hosp_name character(50)
);


--
-- TOC entry 1957 (class 1259 OID 629667)
-- Dependencies: 2489 2490 2491 2492 2493 2494 2495 2496 2497 3
-- Name: care_billing_archive; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_billing_archive (
    bill_no bigint DEFAULT (0)::bigint NOT NULL,
    encounter_nr integer DEFAULT 0,
    patient_name text NOT NULL,
    vorname character varying(35) DEFAULT '0'::character varying,
    bill_date_time timestamp with time zone DEFAULT '0001-01-01 05:14:00-05:14'::timestamp with time zone,
    bill_amt double precision DEFAULT (0)::double precision,
    payment_date_time timestamp with time zone DEFAULT '0001-01-01 05:14:00-05:14'::timestamp with time zone,
    payment_mode text NOT NULL,
    cheque_no character varying(10) DEFAULT '0'::character varying,
    creditcard_no character varying(10) DEFAULT '0'::character varying,
    paid_by character varying(15) DEFAULT '0'::character varying
);


--
-- TOC entry 1958 (class 1259 OID 629682)
-- Dependencies: 2498 2499 3
-- Name: care_billing_bill; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_billing_bill (
    bill_bill_no character varying(16) DEFAULT '0'::character varying NOT NULL,
    bill_encounter_nr integer DEFAULT 0,
    bill_date_time date NOT NULL,
    bill_amount real,
    bill_outstanding real
);


--
-- TOC entry 1959 (class 1259 OID 629687)
-- Dependencies: 2500 2501 2502 2503 2504 2505 3
-- Name: care_billing_bill_item; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_billing_bill_item (
    bill_item_id bigint DEFAULT nextval(('"bill_item_id_seq"'::text)::regclass) NOT NULL,
    bill_item_encounter_nr integer DEFAULT 0,
    bill_item_code character varying(5) NOT NULL,
    bill_item_unit_cost real DEFAULT (0)::real,
    bill_item_units smallint NOT NULL,
    bill_item_amount real,
    bill_item_date timestamp with time zone NOT NULL,
    bill_item_status character varying(1) DEFAULT '0'::character varying NOT NULL,
    bill_item_bill_no bigint DEFAULT (0)::bigint,
    CONSTRAINT bill_item_status CHECK (((lower((bill_item_status)::text) = '0'::text) OR (lower((bill_item_status)::text) = '1'::text)))
);


--
-- TOC entry 1960 (class 1259 OID 629696)
-- Dependencies: 2506 2507 3
-- Name: care_billing_final; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_billing_final (
    final_id bigint DEFAULT nextval(('"bill_final_id_seq"'::text)::regclass) NOT NULL,
    final_encounter_nr integer DEFAULT 0,
    final_bill_no bigint NOT NULL,
    final_date date NOT NULL,
    final_total_bill_amount real,
    final_discount smallint NOT NULL,
    final_total_receipt_amount real,
    final_amount_due real,
    final_amount_recieved real
);


--
-- TOC entry 1961 (class 1259 OID 629701)
-- Dependencies: 2508 2509 3
-- Name: care_billing_item; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_billing_item (
    item_code character varying(5) NOT NULL,
    item_description character varying(100) NOT NULL,
    item_unit_cost real DEFAULT (0)::real,
    item_type text NOT NULL,
    item_discount_max_allowed smallint DEFAULT (0)::smallint
);


--
-- TOC entry 1962 (class 1259 OID 629709)
-- Dependencies: 2510 2511 2512 2513 2514 2515 2516 2517 2518 2519 3
-- Name: care_billing_payment; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_billing_payment (
    payment_id bigint DEFAULT nextval(('"bill_pay_id_seq"'::text)::regclass) NOT NULL,
    payment_encounter_nr integer DEFAULT 0,
    payment_receipt_no bigint DEFAULT (0)::bigint,
    payment_date timestamp with time zone DEFAULT '0001-01-01 05:14:00-05:14'::timestamp with time zone,
    payment_cash_amount real DEFAULT (0)::real,
    payment_cheque_no bigint DEFAULT (0)::bigint,
    payment_cheque_amount real DEFAULT (0)::real,
    payment_creditcard_no bigint DEFAULT (0)::bigint,
    payment_creditcard_amount real DEFAULT (0)::real,
    payment_amount_total real DEFAULT (0)::real
);


--
-- TOC entry 1963 (class 1259 OID 629722)
-- Dependencies: 3
-- Name: care_cache; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_cache (
    id character varying(125) NOT NULL,
    ctext text NOT NULL,
    cbinary bytea,
    tstamp bigint NOT NULL
);


--
-- TOC entry 1964 (class 1259 OID 629728)
-- Dependencies: 2520 2521 2522 2523 2524 3
-- Name: care_cafe_menu; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_cafe_menu (
    item bigint DEFAULT nextval(('"cafe_menu_item_seq"'::text)::regclass) NOT NULL,
    lang character varying(10) DEFAULT 'en'::character varying,
    cdate date DEFAULT '0001-01-01'::date,
    menu text NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1965 (class 1259 OID 629739)
-- Dependencies: 2525 2526 2527 2528 3
-- Name: care_cafe_prices; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_cafe_prices (
    item bigint DEFAULT nextval(('"cafe_prices_item_seq"'::text)::regclass) NOT NULL,
    lang character varying(10) DEFAULT 'en'::character varying,
    productgroup text,
    article text,
    description text,
    price character varying(10),
    unit text,
    pic_filename text,
    modify_id character varying(25),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(25),
    create_time bigint DEFAULT (0)::bigint NOT NULL
);


--
-- TOC entry 1966 (class 1259 OID 629749)
-- Dependencies: 2529 2530 2531 2532 2533 3
-- Name: care_category_diagnosis; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_category_diagnosis (
    nr smallint DEFAULT nextval(('"cat_diag_nr_seq"'::text)::regclass) NOT NULL,
    category character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    short_code character(1) NOT NULL,
    ld_var_short_code character varying(25) NOT NULL,
    description character varying(255),
    hide_from character varying(255) DEFAULT '0'::character varying,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1967 (class 1259 OID 629760)
-- Dependencies: 2534 2535 2536 2537 2538 3
-- Name: care_category_disease; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_category_disease (
    nr smallint DEFAULT nextval(('"cat_disease_nr_seq"'::text)::regclass) NOT NULL,
    group_nr smallint DEFAULT (0)::smallint,
    category character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1968 (class 1259 OID 629768)
-- Dependencies: 2539 2540 2541 2542 2543 3
-- Name: care_category_procedure; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_category_procedure (
    nr smallint DEFAULT nextval(('"cat_proc_nr_seq"'::text)::regclass) NOT NULL,
    category character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    short_code character(1) NOT NULL,
    ld_var_short_code character varying(25) NOT NULL,
    description character varying(255),
    hide_from character varying(255) DEFAULT '0'::character varying,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1969 (class 1259 OID 629779)
-- Dependencies: 2544 2545 2546 2547 2548 3
-- Name: care_class_encounter; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_class_encounter (
    class_nr smallint DEFAULT nextval(('"class_enc_nr_seq"'::text)::regclass) NOT NULL,
    class_id character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(25) NOT NULL,
    description character varying(255),
    hide_from smallint DEFAULT (0)::smallint,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1970 (class 1259 OID 629790)
-- Dependencies: 2549 2550 2551 2552 3
-- Name: care_class_ethnic_orig; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_class_ethnic_orig (
    nr smallint DEFAULT nextval(('"class_eorig_nr_seq"'::text)::regclass) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1971 (class 1259 OID 629797)
-- Dependencies: 2553 2554 2555 2556 2557 2558 3
-- Name: care_class_financial; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_class_financial (
    class_nr smallint DEFAULT nextval(('"class_fin_nr_seq"'::text)::regclass) NOT NULL,
    class_id character varying(15) DEFAULT '0'::character varying,
    type character varying(25) DEFAULT '0'::character varying,
    code character varying(5) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(25) NOT NULL,
    description character varying(255),
    policy text NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1972 (class 1259 OID 629809)
-- Dependencies: 2559 2560 2561 2562 3
-- Name: care_class_insurance; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_class_insurance (
    class_nr smallint DEFAULT nextval(('"class_ins_nr_seq"'::text)::regclass) NOT NULL,
    class_id character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(25) NOT NULL,
    description character varying(255),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1973 (class 1259 OID 629819)
-- Dependencies: 2563 2564 2565 2566 2567 3
-- Name: care_class_therapy; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_class_therapy (
    nr smallint DEFAULT nextval(('"class_ther_nr_seq"'::text)::regclass) NOT NULL,
    group_nr smallint DEFAULT (0)::smallint,
    class character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(25) NOT NULL,
    description character varying(255),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1974 (class 1259 OID 629827)
-- Dependencies: 2568 2569 2570 2571 3
-- Name: care_classif_neonatal; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_classif_neonatal (
    nr smallint DEFAULT nextval(('"classif_neo_nr_seq"'::text)::regclass) NOT NULL,
    id character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    description character varying(255),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1975 (class 1259 OID 629834)
-- Dependencies: 2572 2573 2574 2575 2576 3
-- Name: care_complication; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_complication (
    nr smallint DEFAULT nextval(('"complic_nr_seq"'::text)::regclass) NOT NULL,
    group_nr integer DEFAULT 0,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    code character varying(25),
    description character varying(255) NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1976 (class 1259 OID 629842)
-- Dependencies: 2577 2578 2579 3
-- Name: care_config_global; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_config_global (
    type character varying(60) NOT NULL,
    value character varying(255) NOT NULL,
    notes character varying(255),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint,
    hospital_nr character(6)
);


--
-- TOC entry 1977 (class 1259 OID 629851)
-- Dependencies: 2580 2581 2582 2583 3
-- Name: care_config_user; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_config_user (
    user_id character varying(100) NOT NULL,
    serial_config_data text NOT NULL,
    notes character varying(255),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) DEFAULT 'system'::character varying NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1978 (class 1259 OID 629861)
-- Dependencies: 2584 2585 2586 2587 2588 2589 3
-- Name: care_count_turn; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_count_turn (
    nr bigint DEFAULT nextval(('"cturn_nr_seq"'::text)::regclass) NOT NULL,
    date date DEFAULT '0001-01-01'::date NOT NULL,
    num_turn integer DEFAULT 0,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint,
    num_turn_assign integer DEFAULT 0,
    sdd_nr integer
);


--
-- TOC entry 1979 (class 1259 OID 629873)
-- Dependencies: 2590 2591 2592 2593 3
-- Name: care_currency; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_currency (
    item_no smallint DEFAULT nextval(('"cur_item_no_seq"'::text)::regclass) NOT NULL,
    short_name character varying(10) NOT NULL,
    long_name character varying(20),
    info character varying(50),
    status character varying(5) DEFAULT ''::character varying NOT NULL,
    modify_id character varying(20),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(20) NOT NULL,
    create_time bigint DEFAULT (0)::bigint NOT NULL
);


--
-- TOC entry 1980 (class 1259 OID 629880)
-- Dependencies: 2594 2595 2596 2597 2598 2599 2600 2601 2602 2603 2604 2605 2606 2607 3
-- Name: care_department; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_department (
    nr smallint DEFAULT nextval(('"dept_nr_seq"'::text)::regclass) NOT NULL,
    id character varying(60) NOT NULL,
    type character varying(25) NOT NULL,
    name_formal character varying(60) NOT NULL,
    name_short character varying(35),
    name_alternate character varying(225),
    ld_var character varying(35),
    description text NOT NULL,
    admit_inpatient smallint DEFAULT (0)::smallint,
    admit_outpatient smallint DEFAULT (0)::smallint,
    has_oncall_doc smallint DEFAULT (1)::smallint,
    has_oncall_nurse smallint DEFAULT (1)::smallint,
    does_surgery smallint DEFAULT (0)::smallint,
    this_institution smallint DEFAULT (1)::smallint,
    is_sub_dept smallint DEFAULT (0)::smallint,
    parent_dept_nr smallint DEFAULT 0,
    work_hours character varying(100),
    consult_hours character varying(100),
    is_inactive smallint DEFAULT (0)::smallint,
    sort_order smallint DEFAULT (0)::smallint,
    address text,
    sig_line character varying(60),
    sig_stamp text,
    logo_mime_type character varying(5),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint,
    hospital_nr character(6)
);


--
-- TOC entry 1981 (class 1259 OID 629900)
-- Dependencies: 2608 2609 2610 2611 2612 3
-- Name: care_diagnosis_localcode; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_diagnosis_localcode (
    localcode character varying(12) NOT NULL,
    description text NOT NULL,
    class_sub character varying(5),
    type character varying(10),
    inclusive text,
    exclusive text,
    notes text,
    std_code character(1) NOT NULL,
    sub_level smallint DEFAULT (0)::smallint,
    remarks text,
    extra_codes text,
    extra_subclass text,
    search_keys character varying(255),
    use_frequency bigint DEFAULT (0)::bigint,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1982 (class 1259 OID 629911)
-- Dependencies: 2613 2614 2615 2616 2617 3
-- Name: care_drg_intern; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_drg_intern (
    nr bigint DEFAULT nextval(('"drg_int_nr_seq"'::text)::regclass) NOT NULL,
    code character varying(12) NOT NULL,
    description text NOT NULL,
    synonyms text,
    notes text,
    std_code character(1),
    sub_level smallint DEFAULT (0)::smallint,
    parent_code character varying(12),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(25),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(25) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1983 (class 1259 OID 629922)
-- Dependencies: 2618 2619 2620 2621 2622 2623 2624 3
-- Name: care_drg_quicklist; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_drg_quicklist (
    nr bigint DEFAULT nextval(('"drg_qlist_nr_seq"'::text)::regclass) NOT NULL,
    code character varying(25) NOT NULL,
    code_parent character varying(25) NOT NULL,
    dept_nr smallint DEFAULT (0)::smallint,
    qlist_type character varying(25) DEFAULT '0'::character varying,
    rank bigint DEFAULT (0)::bigint,
    status character varying(15) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(25),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(25) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1984 (class 1259 OID 629935)
-- Dependencies: 2625 2626 2627 2628 2629 3
-- Name: care_drg_related_codes; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_drg_related_codes (
    nr bigint DEFAULT nextval(('"drg_relcodes_nr_seq"'::text)::regclass) NOT NULL,
    group_nr smallint NOT NULL,
    code character varying(15) NOT NULL,
    code_parent character varying(15) NOT NULL,
    code_type character varying(15) NOT NULL,
    rank bigint DEFAULT (0)::bigint,
    status character varying(15) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(25),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(25) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1985 (class 1259 OID 629946)
-- Dependencies: 2630 2631 2632 2633 2634 3
-- Name: care_dutyplan_oncall; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_dutyplan_oncall (
    nr bigint DEFAULT nextval(('"oncall_nr_seq"'::text)::regclass) NOT NULL,
    dept_nr integer NOT NULL,
    role_nr smallint NOT NULL,
    year integer NOT NULL,
    month character(2) NOT NULL,
    duty_1_txt text NOT NULL,
    duty_2_txt text NOT NULL,
    duty_1_pnr text NOT NULL,
    duty_2_pnr text NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint,
    CONSTRAINT oncall_year CHECK (((year = 0) OR ((year > 1900) AND (year < 2155))))
);


--
-- TOC entry 1986 (class 1259 OID 629957)
-- Dependencies: 2635 2636 2637 2638 3
-- Name: care_effective_day; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_effective_day (
    eff_day_nr integer DEFAULT nextval(('"effday_nr_seq"'::text)::regclass) NOT NULL,
    name character varying(25) NOT NULL,
    description character varying(255) NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1987 (class 1259 OID 629967)
-- Dependencies: 2639 2640 2641 2642 2643 2644 2645 2646 2647 2648 2649 2650 2651 2652 2653 2654 2655 2656 2657 2658 2659 2660 2661 2662 2663 2664 2665 2666 2667 2668 2669 2670 2671 2672 3
-- Name: care_encounter; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_encounter (
    encounter_nr bigint DEFAULT nextval(('"enc_enc_nr_seq"'::text)::regclass) NOT NULL,
    pid bigint NOT NULL,
    encounter_date timestamp with time zone DEFAULT '0001-01-01 05:14:00-05:14'::timestamp with time zone,
    encounter_class_nr smallint DEFAULT (0)::smallint,
    encounter_type character varying(35) DEFAULT ''::character varying,
    encounter_status character varying(35) DEFAULT ''::character varying,
    referrer_diagnosis character varying(255) DEFAULT ''::character varying,
    referrer_recom_therapy character varying(255) DEFAULT ''::character varying,
    referrer_dr character varying(60) DEFAULT ''::character varying,
    referrer_dept character varying(255) DEFAULT ''::character varying,
    referrer_institution character varying(255) DEFAULT ''::character varying,
    referrer_notes text DEFAULT ''::text,
    financial_class_nr smallint DEFAULT (0)::smallint,
    insurance_nr character varying(25) DEFAULT '0'::character varying,
    insurance_firm_id character varying(25) DEFAULT '0'::character varying,
    insurance_class_nr smallint DEFAULT (0)::smallint,
    insurance_2_nr character varying(25) DEFAULT '0'::character varying,
    insurance_2_firm_id character varying(25) DEFAULT '0'::character varying,
    guarantor_pid bigint DEFAULT (0)::bigint,
    contact_pid bigint DEFAULT (0)::bigint,
    contact_relation character varying(35) DEFAULT ''::character varying,
    current_ward_nr smallint DEFAULT (0)::smallint,
    current_room_nr smallint DEFAULT (0)::smallint,
    in_ward smallint DEFAULT (0)::smallint,
    current_dept_nr smallint DEFAULT (0)::smallint,
    in_dept smallint DEFAULT (0)::smallint,
    current_firm_nr smallint DEFAULT (0)::smallint,
    current_att_dr_nr integer DEFAULT 0,
    consulting_dr character varying(60) DEFAULT ''::character varying,
    extra_service character varying(25) DEFAULT ''::character varying,
    is_discharged smallint DEFAULT (0)::smallint,
    discharge_date date,
    discharge_time time without time zone,
    followup_date date DEFAULT '0001-01-01'::date,
    followup_responsibility character varying(255),
    post_encounter_notes text,
    status character varying(25) DEFAULT ''::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1988 (class 1259 OID 630007)
-- Dependencies: 2673 2674 2675 2676 2677 2678 2679 2680 2681 3
-- Name: care_encounter_diagnosis; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_encounter_diagnosis (
    diagnosis_nr bigint DEFAULT nextval(('"enc_diag_nr_seq"'::text)::regclass) NOT NULL,
    encounter_nr integer NOT NULL,
    op_nr bigint DEFAULT (0)::bigint,
    date timestamp with time zone NOT NULL,
    code character varying(25) NOT NULL,
    code_parent character varying(25),
    group_nr integer DEFAULT 0,
    code_version smallint DEFAULT (0)::smallint,
    localcode character varying(35),
    category_nr smallint DEFAULT (0)::smallint,
    type character varying(35),
    localization character varying(35),
    diagnosing_clinician character varying(60),
    diagnosing_dept_nr smallint DEFAULT (0)::smallint,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1989 (class 1259 OID 630022)
-- Dependencies: 2682 2683 2684 2685 2686 2687 2688 2689 3
-- Name: care_encounter_diagnostics_report; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_encounter_diagnostics_report (
    item_nr bigint DEFAULT nextval(('"enc_rep_item_nr_seq"'::text)::regclass) NOT NULL,
    report_nr bigint DEFAULT (0)::bigint NOT NULL,
    reporting_dept_nr smallint DEFAULT (0)::smallint,
    reporting_dept character varying(100),
    report_date date DEFAULT '0001-01-01'::date NOT NULL,
    report_time time without time zone DEFAULT '00:00:00'::time without time zone,
    encounter_nr integer NOT NULL,
    script_call character varying(255),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1990 (class 1259 OID 630036)
-- Dependencies: 2690 2691 2692 2693 2694 2695 3
-- Name: care_encounter_drg_intern; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_encounter_drg_intern (
    nr bigint DEFAULT nextval(('"enc_drg_int_nr_seq"'::text)::regclass) NOT NULL,
    encounter_nr integer NOT NULL,
    date timestamp with time zone NOT NULL,
    group_nr integer DEFAULT 0,
    clinician character varying(60),
    dept_nr smallint DEFAULT (0)::smallint,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1991 (class 1259 OID 630048)
-- Dependencies: 2696 2697 2698 2699 2700 2701 2702 2703 2704 2705 2706 2707 2708 2709 2710 2711 2712 2713 2714 2715 2716 2717 2718 2719 2720 2721 2722 2723 2724 2725 2726 2727 2728 2729 2730 2731 2732 2733 2734 2735 2736 2737 2738 3
-- Name: care_encounter_event_signaller; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_encounter_event_signaller (
    encounter_nr integer NOT NULL,
    yellow smallint DEFAULT (0)::smallint,
    black smallint DEFAULT (0)::smallint,
    blue_pale smallint DEFAULT (0)::smallint,
    brown smallint DEFAULT (0)::smallint,
    pink smallint DEFAULT (0)::smallint,
    yellow_pale smallint DEFAULT (0)::smallint,
    red smallint DEFAULT (0)::smallint,
    green_pale smallint DEFAULT (0)::smallint,
    violet smallint DEFAULT (0)::smallint,
    blue smallint DEFAULT (0)::smallint,
    biege smallint DEFAULT (0)::smallint,
    orange smallint DEFAULT (0)::smallint,
    green_1 smallint DEFAULT (0)::smallint,
    green_2 smallint DEFAULT (0)::smallint,
    green_3 smallint DEFAULT (0)::smallint,
    green_4 smallint DEFAULT (0)::smallint,
    green_5 smallint DEFAULT (0)::smallint,
    green_6 smallint DEFAULT (0)::smallint,
    green_7 smallint DEFAULT (0)::smallint,
    rose_1 smallint DEFAULT (0)::smallint,
    rose_2 smallint DEFAULT (0)::smallint,
    rose_3 smallint DEFAULT (0)::smallint,
    rose_4 smallint DEFAULT (0)::smallint,
    rose_5 smallint DEFAULT (0)::smallint,
    rose_6 smallint DEFAULT (0)::smallint,
    rose_7 smallint DEFAULT (0)::smallint,
    rose_8 smallint DEFAULT (0)::smallint,
    rose_9 smallint DEFAULT (0)::smallint,
    rose_10 smallint DEFAULT (0)::smallint,
    rose_11 smallint DEFAULT (0)::smallint,
    rose_12 smallint DEFAULT (0)::smallint,
    rose_13 smallint DEFAULT (0)::smallint,
    rose_14 smallint DEFAULT (0)::smallint,
    rose_15 smallint DEFAULT (0)::smallint,
    rose_16 smallint DEFAULT (0)::smallint,
    rose_17 smallint DEFAULT (0)::smallint,
    rose_18 smallint DEFAULT (0)::smallint,
    rose_19 smallint DEFAULT (0)::smallint,
    rose_20 smallint DEFAULT (0)::smallint,
    rose_21 smallint DEFAULT (0)::smallint,
    rose_22 smallint DEFAULT (0)::smallint,
    rose_23 smallint DEFAULT (0)::smallint,
    rose_24 smallint DEFAULT (0)::smallint
);


--
-- TOC entry 1992 (class 1259 OID 630094)
-- Dependencies: 2739 2740 2741 2742 2743 2744 2745 3
-- Name: care_encounter_financial_class; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_encounter_financial_class (
    nr bigint DEFAULT nextval(('"enc_fin_nr_seq"'::text)::regclass) NOT NULL,
    encounter_nr integer NOT NULL,
    class_nr smallint DEFAULT (0)::smallint,
    date_start date DEFAULT '0001-01-01'::date NOT NULL,
    date_end date,
    date_create timestamp with time zone DEFAULT '0001-01-01 05:14:00-05:14'::timestamp with time zone,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1993 (class 1259 OID 630107)
-- Dependencies: 2746 2747 2748 2749 2750 2751 2752 2753 2754 2755 2756 3
-- Name: care_encounter_image; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_encounter_image (
    nr bigint DEFAULT nextval(('"enc_img_nr_seq"'::text)::regclass) NOT NULL,
    encounter_nr integer NOT NULL,
    shot_date date DEFAULT '0001-01-01'::date,
    shot_nr smallint DEFAULT (0)::smallint,
    mime_type character varying(10) DEFAULT ''::character varying NOT NULL,
    upload_date date DEFAULT '0001-01-01'::date,
    notes text DEFAULT ''::text NOT NULL,
    graphic_script text DEFAULT ''::text NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) DEFAULT 'system'::character varying NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1994 (class 1259 OID 630124)
-- Dependencies: 2757 2758 2759 2760 2761 2762 3
-- Name: care_encounter_immunization; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_encounter_immunization (
    nr bigint DEFAULT nextval(('"enc_imm_nr_seq"'::text)::regclass) NOT NULL,
    encounter_nr integer NOT NULL,
    date date DEFAULT '0001-01-01'::date,
    type character varying(60) NOT NULL,
    medicine character varying(60) NOT NULL,
    dosage character varying(60) NOT NULL,
    application_type_nr smallint DEFAULT (0)::smallint,
    application_by character varying(60),
    titer character varying(15),
    refresh_date date,
    notes text,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1995 (class 1259 OID 630136)
-- Dependencies: 2763 2764 2765 2766 2767 2768 2769 2770 2771 2772 2773 2774 3
-- Name: care_encounter_location; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_encounter_location (
    nr bigint DEFAULT nextval(('"enc_loc_nr_seq"'::text)::regclass) NOT NULL,
    encounter_nr integer NOT NULL,
    type_nr smallint DEFAULT (0)::smallint,
    location_nr smallint DEFAULT (0)::smallint NOT NULL,
    group_nr smallint DEFAULT (0)::smallint,
    date_from date DEFAULT '0001-01-01'::date,
    date_to date DEFAULT '0001-01-01'::date,
    time_from time without time zone DEFAULT '00:00:00'::time without time zone,
    time_to time without time zone DEFAULT '00:00:00'::time without time zone,
    discharge_type_nr smallint DEFAULT (0)::smallint,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1996 (class 1259 OID 630154)
-- Dependencies: 2775 2776 2777 2778 2779 2780 2781 2782 3
-- Name: care_encounter_measurement; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_encounter_measurement (
    nr bigint DEFAULT nextval(('"enc_msr_nr_seq"'::text)::regclass) NOT NULL,
    msr_date date DEFAULT '0001-01-01'::date,
    msr_time real DEFAULT (0)::real,
    encounter_nr integer NOT NULL,
    msr_type_nr smallint DEFAULT (0)::smallint,
    value character varying(255) NOT NULL,
    unit_nr smallint NOT NULL,
    unit_type_nr smallint DEFAULT (0)::smallint,
    notes character varying(255),
    measured_by character varying(35) NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1997 (class 1259 OID 630168)
-- Dependencies: 2783 2784 2785 2786 2787 2788 2789 2790 2791 2792 2793 2794 2795 2796 2797 2798 3
-- Name: care_encounter_notes; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_encounter_notes (
    nr bigint DEFAULT nextval(('"enc_notes_nr_seq"'::text)::regclass) NOT NULL,
    encounter_nr integer NOT NULL,
    type_nr smallint DEFAULT (0)::smallint,
    notes text DEFAULT ''::text NOT NULL,
    short_notes character varying(25),
    aux_notes character varying(255),
    ref_notes_nr bigint DEFAULT (0)::bigint,
    personell_nr integer DEFAULT 0,
    personell_name character varying(60),
    send_to_pid integer DEFAULT 0,
    send_to_name character varying(60),
    date date NOT NULL,
    "time" time without time zone NOT NULL,
    location_type character varying(35),
    location_type_nr smallint DEFAULT (0)::smallint,
    location_nr bigint DEFAULT (0)::bigint,
    location_id character varying(60),
    ack_short_id character varying(10),
    date_ack timestamp with time zone,
    date_checked timestamp with time zone,
    date_printed timestamp with time zone,
    send_by_mail smallint DEFAULT (0)::smallint,
    send_by_email smallint DEFAULT (0)::smallint,
    send_by_fax smallint DEFAULT (0)::smallint,
    status character varying(25) DEFAULT ''::character varying NOT NULL,
    history text DEFAULT ''::text,
    modify_id character varying(35) DEFAULT ''::character varying,
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1998 (class 1259 OID 630190)
-- Dependencies: 2799 2800 2801 2802 2803 3
-- Name: care_encounter_obstetric; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_encounter_obstetric (
    encounter_nr integer NOT NULL,
    pregnancy_nr bigint DEFAULT (0)::bigint,
    hospital_adm_nr integer DEFAULT 0,
    patient_class character varying(60) NOT NULL,
    is_discharged_not_in_labour smallint NOT NULL,
    is_re_admission smallint NOT NULL,
    referral_status character varying(60) NOT NULL,
    referral_reason text NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 1999 (class 1259 OID 630201)
-- Dependencies: 2804 2805 2806 2807 2808 2809 2810 3
-- Name: care_encounter_op; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_encounter_op (
    nr bigint DEFAULT nextval(('"enc_op_nr_seq"'::text)::regclass) NOT NULL,
    year character varying(4) DEFAULT '0'::character varying,
    dept_nr smallint NOT NULL,
    op_room character varying(10),
    op_nr bigint NOT NULL,
    op_date date NOT NULL,
    op_src_date character varying(8),
    encounter_nr integer NOT NULL,
    diagnosis text NOT NULL,
    operator text,
    assistant text,
    scrub_nurse text,
    rotating_nurse text,
    anesthesia character varying(30),
    an_doctor text,
    op_therapy text,
    result_info text,
    entry_time character varying(5),
    cut_time character varying(5),
    close_time character varying(5),
    exit_time character varying(5),
    entry_out text,
    cut_close text,
    wait_time text,
    bandage_time text,
    repos_time text,
    encoding text,
    doc_date date DEFAULT '0001-01-01'::date NOT NULL,
    doc_time time without time zone DEFAULT '00:00:00'::time without time zone NOT NULL,
    duty_type character varying(15),
    material_codedlist text,
    container_codedlist text,
    icd_code text,
    ops_code text,
    ops_intern_code text,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2000 (class 1259 OID 630214)
-- Dependencies: 2811 2812 2813 2814 2815 2816 2817 2818 3
-- Name: care_encounter_prescription; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_encounter_prescription (
    nr bigint DEFAULT nextval(('"enc_presc_nr_seq"'::text)::regclass) NOT NULL,
    encounter_nr integer NOT NULL,
    prescription_type_nr smallint DEFAULT (0)::smallint,
    article character varying(100) NOT NULL,
    drug_class character varying(60),
    order_nr bigint DEFAULT (0)::bigint,
    dosage character varying(255) NOT NULL,
    application_type_nr smallint DEFAULT (0)::smallint,
    notes text,
    prescribe_date date NOT NULL,
    prescriber character varying(60) NOT NULL,
    color_marker character varying(10),
    is_stopped smallint DEFAULT (0)::smallint,
    stop_date date,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2001 (class 1259 OID 630228)
-- Dependencies: 2819 2820 2821 2822 2823 2824 2825 2826 3
-- Name: care_encounter_prescription_notes; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_encounter_prescription_notes (
    nr bigint DEFAULT nextval(('"enc_prescnotes_nr_seq"'::text)::regclass) NOT NULL,
    date date DEFAULT '0001-01-01'::date NOT NULL,
    prescription_nr bigint DEFAULT (0)::bigint,
    notes character varying(35) DEFAULT ''::character varying NOT NULL,
    short_notes character varying(25) DEFAULT ''::character varying NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2002 (class 1259 OID 630242)
-- Dependencies: 2827 2828 2829 2830 2831 2832 2833 2834 2835 3
-- Name: care_encounter_procedure; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_encounter_procedure (
    procedure_nr bigint DEFAULT nextval(('"enc_proc_nr_seq"'::text)::regclass) NOT NULL,
    encounter_nr integer NOT NULL,
    op_nr bigint DEFAULT (0)::bigint,
    date timestamp with time zone NOT NULL,
    code character varying(25) NOT NULL,
    code_parent character varying(25),
    group_nr integer DEFAULT 0,
    code_version smallint DEFAULT (0)::smallint,
    localcode character varying(35),
    category_nr smallint DEFAULT (0)::smallint,
    localization character varying(35),
    responsible_clinician character varying(60),
    responsible_dept_nr smallint DEFAULT (0)::smallint,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2003 (class 1259 OID 630257)
-- Dependencies: 2836 2837 2838 2839 2840 2841 2842 2843 2844 2845 2846 2847 3
-- Name: care_encounter_sickconfirm; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_encounter_sickconfirm (
    nr bigint DEFAULT nextval(('"enc_sick_nr_seq"'::text)::regclass) NOT NULL,
    encounter_nr integer NOT NULL,
    date_confirm date DEFAULT '0001-01-01'::date,
    date_start date DEFAULT '0001-01-01'::date,
    date_end date DEFAULT '0001-01-01'::date,
    date_create date DEFAULT '0001-01-01'::date,
    diagnosis text,
    dept_nr smallint DEFAULT (0)::smallint,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text DEFAULT ''::text,
    modify_id character varying(35) DEFAULT 'system'::character varying,
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) DEFAULT 'system'::character varying,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2004 (class 1259 OID 630275)
-- Dependencies: 2848 2849 2850 2851 3
-- Name: care_group; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_group (
    nr integer DEFAULT nextval(('"group_nr_seq"'::text)::regclass) NOT NULL,
    id character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    description character varying(255) NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


SET default_with_oids = false;

--
-- TOC entry 2005 (class 1259 OID 630282)
-- Dependencies: 2852 2853 2854 2855 3
-- Name: care_hospital; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_hospital (
    nr character(6) NOT NULL,
    name character(50),
    code character(10),
    emgcy_nr character(50),
    phone_nr character(50),
    fax_nr character(50),
    address character(255),
    email character(100),
    history text,
    modify_id character(35),
    modify_time bigint DEFAULT (0)::bigint,
    status character(25) DEFAULT 'normal'::character varying NOT NULL,
    create_id character(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint,
    url_logo character(200),
    is_inactive smallint DEFAULT 0
);


SET default_with_oids = true;

--
-- TOC entry 2006 (class 1259 OID 630292)
-- Dependencies: 2856 3
-- Name: care_icd10_bg; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_icd10_bg (
    diagnosis_code character varying(12),
    description text,
    class_sub character varying(5),
    type character varying(10),
    inclusive text,
    exclusive text,
    notes text,
    std_code character(1),
    sub_level smallint DEFAULT (0)::smallint,
    remarks text,
    extra_codes text,
    extra_subclass text
);


--
-- TOC entry 2007 (class 1259 OID 630299)
-- Dependencies: 2857 3
-- Name: care_icd10_bs; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_icd10_bs (
    diagnosis_code character varying(12),
    description text,
    class_sub character varying(5),
    type character varying(10),
    inclusive text,
    exclusive text,
    notes text,
    std_code character(1),
    sub_level smallint DEFAULT (0)::smallint,
    remarks text,
    extra_codes text,
    extra_subclass text
);


--
-- TOC entry 2008 (class 1259 OID 630306)
-- Dependencies: 2858 3
-- Name: care_icd10_de; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_icd10_de (
    diagnosis_code character varying(12),
    description text,
    class_sub character varying(5),
    type character varying(10),
    inclusive text,
    exclusive text,
    notes text,
    std_code character(1),
    sub_level smallint DEFAULT (0)::smallint,
    remarks text,
    extra_codes text,
    extra_subclass text
);


--
-- TOC entry 2009 (class 1259 OID 630313)
-- Dependencies: 2859 3
-- Name: care_icd10_en; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_icd10_en (
    diagnosis_code character varying(12),
    description text,
    class_sub character varying(5),
    type character varying(10),
    inclusive text,
    exclusive text,
    notes text,
    std_code character(1),
    sub_level smallint DEFAULT (0)::smallint,
    remarks text,
    extra_codes text,
    extra_subclass text
);


SET default_with_oids = false;

--
-- TOC entry 2010 (class 1259 OID 630320)
-- Dependencies: 2860 3
-- Name: care_icd10_es; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_icd10_es (
    diagnosis_code character varying(12),
    description text,
    class_sub character varying(5),
    type character varying(10),
    inclusive text,
    exclusive text,
    notes text,
    std_code character(1),
    sub_level smallint DEFAULT (0)::smallint,
    remarks text,
    extra_codes text,
    extra_subclass text
);


SET default_with_oids = true;

--
-- TOC entry 2011 (class 1259 OID 630327)
-- Dependencies: 2861 3
-- Name: care_icd10_pt_br; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_icd10_pt_br (
    diagnosis_code character varying(12),
    description text,
    class_sub character varying(5),
    type character varying(10),
    inclusive text,
    exclusive text,
    notes text,
    std_code character(1),
    sub_level smallint DEFAULT (0)::smallint,
    remarks text,
    extra_codes text,
    extra_subclass text
);


--
-- TOC entry 2012 (class 1259 OID 630334)
-- Dependencies: 2862 3
-- Name: care_icd10_tr; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_icd10_tr (
    diagnosis_code character varying(12),
    description text,
    class_sub character varying(5),
    type character varying(10),
    inclusive text,
    exclusive text,
    notes text,
    std_code character(1),
    sub_level smallint DEFAULT (0)::smallint,
    remarks text,
    extra_codes text,
    extra_subclass text
);


--
-- TOC entry 2013 (class 1259 OID 630341)
-- Dependencies: 2863 2864 2865 2866 2867 2868 2869 2870 3
-- Name: care_img_diagnostic; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_img_diagnostic (
    nr bigint DEFAULT nextval(('"img_diag_nr_seq"'::text)::regclass) NOT NULL,
    pid integer NOT NULL,
    encounter_nr integer DEFAULT 0,
    doc_ref_ids character varying(255),
    img_type character varying(10) NOT NULL,
    max_nr smallint DEFAULT 1,
    upload_date date DEFAULT '0001-01-01'::date NOT NULL,
    cancel_date date DEFAULT '0001-01-01'::date,
    cancel_by character varying(35),
    notes text,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2014 (class 1259 OID 630355)
-- Dependencies: 2871 2872 2873 2874 2875 2876 3
-- Name: care_insurance_firm; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_insurance_firm (
    firm_id character varying(40) NOT NULL,
    name character varying(60) NOT NULL,
    iso_country_id character(3),
    sub_area character varying(60),
    type_nr smallint DEFAULT (0)::smallint,
    addr character varying(255),
    addr_mail character varying(200) NOT NULL,
    addr_billing character varying(200) NOT NULL,
    addr_email character varying(60),
    phone_main character varying(35),
    phone_aux character varying(35),
    fax_main character varying(35),
    fax_aux character varying(35),
    contact_person character varying(60),
    contact_phone character varying(35),
    contact_fax character varying(35),
    contact_email character varying(60),
    use_frequency bigint DEFAULT (0)::bigint,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) DEFAULT 'system'::character varying NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2015 (class 1259 OID 630367)
-- Dependencies: 2877 2878 2879 2880 2881 3
-- Name: care_mail_private; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_mail_private (
    recipient character varying(60) NOT NULL,
    sender character varying(60) NOT NULL,
    sender_ip character varying(60),
    cc character varying(255),
    bcc character varying(255),
    subject character varying(255),
    body text NOT NULL,
    sign character varying(255),
    ask4ack smallint DEFAULT (0)::smallint,
    reply2 character varying(255),
    attachment character varying(255),
    attach_type character varying(30),
    read_flag smallint DEFAULT (0)::smallint,
    mailgroup character varying(60),
    maildir character varying(60),
    exec_level smallint DEFAULT (0)::smallint,
    exclude_addr text,
    send_dt timestamp without time zone DEFAULT '0001-01-01 00:00:00'::timestamp without time zone,
    send_stamp timestamp without time zone DEFAULT '0001-01-01 00:00:00'::timestamp without time zone,
    uid character varying(255)
);


--
-- TOC entry 2016 (class 1259 OID 630378)
-- Dependencies: 2882 2883 2884 3
-- Name: care_mail_private_users; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_mail_private_users (
    user_name character varying(60) NOT NULL,
    email character varying(60) NOT NULL,
    alias character varying(60),
    pw character varying(255) NOT NULL,
    inbox text,
    sent text,
    drafts text,
    trash text,
    lastcheck timestamp with time zone,
    lock_flag smallint DEFAULT (0)::smallint,
    addr_book text,
    addr_quick text,
    secret_q text,
    secret_q_ans text,
    public smallint DEFAULT (0)::smallint,
    sig text,
    append_sig smallint DEFAULT (0)::smallint
);


--
-- TOC entry 2017 (class 1259 OID 630387)
-- Dependencies: 2885 2886 2887 2888 2889 3
-- Name: care_med_ordercatalog; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_med_ordercatalog (
    item_no bigint DEFAULT nextval(('"med_ocat_inr_seq"'::text)::regclass) NOT NULL,
    dept_nr smallint DEFAULT (0)::smallint,
    hit bigint DEFAULT (0)::bigint,
    artikelname text NOT NULL,
    bestellnum character varying(20) NOT NULL,
    minorder smallint DEFAULT (0)::smallint,
    maxorder smallint DEFAULT (0)::smallint,
    proorder text NOT NULL
);


--
-- TOC entry 2018 (class 1259 OID 630398)
-- Dependencies: 2890 2891 2892 2893 2894 2895 2896 2897 2898 3
-- Name: care_med_orderlist; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_med_orderlist (
    order_nr bigint DEFAULT nextval(('"med_olist_onr_seq"'::text)::regclass) NOT NULL,
    dept_nr integer NOT NULL,
    order_date date DEFAULT '0001-01-01'::date NOT NULL,
    order_time time without time zone DEFAULT '00:00:00'::time without time zone,
    articles text NOT NULL,
    extra1 text,
    extra2 text,
    validator text DEFAULT ''::text,
    ip_addr text,
    priority text,
    status character varying(25) DEFAULT 'draft'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint,
    sent_datetime timestamp with time zone DEFAULT '0001-01-01 05:14:00-05:14'::timestamp with time zone,
    process_datetime timestamp with time zone DEFAULT '0001-01-01 05:14:00-05:14'::timestamp with time zone
);


--
-- TOC entry 2019 (class 1259 OID 630413)
-- Dependencies: 2899 2900 2901 2902 2903 2904 3
-- Name: care_med_products_main; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_med_products_main (
    bestellnum character varying(25) NOT NULL,
    artikelnum text,
    industrynum text,
    artikelname text NOT NULL,
    generic text,
    description text NOT NULL,
    packing text NOT NULL,
    minorder integer NOT NULL,
    maxorder integer,
    proorder text DEFAULT 1,
    picfile text,
    encoder text NOT NULL,
    enc_date text DEFAULT '0001-01-01'::text NOT NULL,
    enc_time text,
    lock_flag smallint DEFAULT (0)::smallint,
    medgroup text,
    cave text,
    status character varying(20) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2020 (class 1259 OID 630425)
-- Dependencies: 2905 2906 2907 2908 2909 2910 3
-- Name: care_med_report; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_med_report (
    report_nr bigint DEFAULT nextval(('"med_report_nr_seq"'::text)::regclass) NOT NULL,
    dept character varying(15),
    report text NOT NULL,
    reporter character varying(25) NOT NULL,
    id_nr character varying(15),
    report_date date DEFAULT '0001-01-01'::date NOT NULL,
    report_time time without time zone DEFAULT '00:00:00'::time without time zone,
    status character varying(20) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2021 (class 1259 OID 630437)
-- Dependencies: 2911 2912 2913 2914 2915 2916 3
-- Name: care_menu_main; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_menu_main (
    nr smallint DEFAULT nextval(('"menu_main_nr_seq"'::text)::regclass) NOT NULL,
    sort_nr smallint DEFAULT (0)::smallint,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    url character varying(255) NOT NULL,
    is_visible smallint DEFAULT (1)::smallint,
    hide_by text DEFAULT ''::text NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(60),
    modify_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2022 (class 1259 OID 630449)
-- Dependencies: 2917 2918 2919 2920 2921 2922 2923 2924 2925 2926 2927 2928 2929 2930 2931 3
-- Name: care_menu_sub; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_menu_sub (
    s_nr integer DEFAULT 0 NOT NULL,
    s_sort_nr integer DEFAULT 0 NOT NULL,
    s_main_nr integer DEFAULT 0 NOT NULL,
    s_ebene integer DEFAULT 0 NOT NULL,
    s_name character varying(100) DEFAULT ''::character varying NOT NULL,
    s_ld_var character varying(100) DEFAULT ''::character varying NOT NULL,
    s_url character varying(100) DEFAULT ''::character varying NOT NULL,
    s_url_ext character varying(100) DEFAULT ''::character varying NOT NULL,
    s_image character varying(100) DEFAULT ''::character varying NOT NULL,
    s_open_image character varying(100) DEFAULT ''::character varying NOT NULL,
    s_is_visible character varying(100) DEFAULT ''::character varying NOT NULL,
    s_hide_by character varying(100) DEFAULT ''::character varying NOT NULL,
    s_status character varying(100) DEFAULT ''::character varying NOT NULL,
    s_modify_id character varying(100) DEFAULT ''::character varying NOT NULL,
    s_modify_time timestamp with time zone DEFAULT '0001-01-01 05:14:00-05:14'::timestamp with time zone
);


--
-- TOC entry 2023 (class 1259 OID 630470)
-- Dependencies: 2932 2933 2934 2935 2936 3
-- Name: care_method_induction; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_method_induction (
    nr smallint DEFAULT nextval(('"induction_nr_seq"'::text)::regclass) NOT NULL,
    group_nr smallint DEFAULT (0)::smallint,
    method character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    description character varying(255),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2024 (class 1259 OID 630478)
-- Dependencies: 2937 2938 2939 2940 2941 3
-- Name: care_mode_delivery; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_mode_delivery (
    nr smallint DEFAULT nextval(('"delivery_nr_seq"'::text)::regclass) NOT NULL,
    group_nr smallint DEFAULT (0)::smallint,
    mode character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    description character varying(255),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2025 (class 1259 OID 630486)
-- Dependencies: 2942 2943 2944 2945 2946 2947 2948 2949 2950 2951 2952 2953 2954 2955 2956 2957 2958 2959 2960 2961 3
-- Name: care_neonatal; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_neonatal (
    nr bigint DEFAULT nextval(('"neo_nr_seq"'::text)::regclass) NOT NULL,
    pid bigint NOT NULL,
    delivery_date date NOT NULL,
    parent_encounter_nr bigint DEFAULT (0)::bigint,
    delivery_nr smallint DEFAULT (0)::smallint,
    encounter_nr bigint DEFAULT (0)::bigint,
    delivery_place character varying(60),
    delivery_mode smallint DEFAULT (0)::smallint,
    c_s_reason text,
    born_before_arrival smallint DEFAULT (0)::smallint,
    face_presentation smallint DEFAULT (0)::smallint,
    posterio_occipital_position smallint DEFAULT (0)::smallint,
    delivery_rank smallint DEFAULT (1)::smallint,
    apgar_1_min smallint DEFAULT (0)::smallint,
    apgar_5_min smallint DEFAULT (0)::smallint,
    apgar_10_min smallint DEFAULT (0)::smallint,
    time_to_spont_resp smallint,
    condition character varying(60) DEFAULT '0'::character varying,
    weight real,
    length real,
    head_circumference real,
    scored_gestational_age real,
    feeding smallint DEFAULT (0)::smallint,
    congenital_abnormality character varying(125),
    classification character varying(255) DEFAULT '0'::character varying,
    disease_category smallint DEFAULT (0)::smallint,
    outcome smallint DEFAULT (0)::smallint,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2026 (class 1259 OID 630512)
-- Dependencies: 2962 2963 2964 2965 2966 2967 2968 2969 2970 2971 2972 2973 2974 2975 2976 3
-- Name: care_news_article; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_news_article (
    nr bigint DEFAULT nextval(('"news_nr_seq"'::text)::regclass) NOT NULL,
    lang character varying(10) DEFAULT 'en'::character varying,
    dept_nr smallint DEFAULT (0)::smallint,
    category text NOT NULL,
    status character varying(10) DEFAULT 'pending'::character varying,
    title character varying(255) NOT NULL,
    preface text DEFAULT ''::text NOT NULL,
    body text NOT NULL,
    pic bytea,
    pic_mime character varying(4) NOT NULL,
    art_num smallint DEFAULT (0)::smallint,
    head_file text DEFAULT ''::text NOT NULL,
    main_file text DEFAULT ''::text NOT NULL,
    pic_file text DEFAULT ''::text NOT NULL,
    author character varying(30) DEFAULT ''::character varying NOT NULL,
    submit_date timestamp with time zone DEFAULT '0001-01-01 05:14:00-05:14'::timestamp with time zone,
    encode_date timestamp with time zone DEFAULT '0001-01-01 05:14:00-05:14'::timestamp with time zone,
    publish_date date DEFAULT '0001-01-01'::date,
    modify_id character varying(30),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(30) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2027 (class 1259 OID 630533)
-- Dependencies: 2977 2978 2979 2980 3
-- Name: care_office; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_office (
    nr bigint DEFAULT nextval(('"offi_nr_seq"'::text)::regclass) NOT NULL,
    date date DEFAULT '0001-01-01'::date NOT NULL,
    location character varying(10),
    num_office character varying(5),
    description character varying(255),
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint,
    hospital_nr character(6)
);


--
-- TOC entry 2028 (class 1259 OID 630543)
-- Dependencies: 2981 2982 2983 2984 2985 3
-- Name: care_office_scheddoc; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_office_scheddoc (
    nr bigint DEFAULT nextval(('"offscheddoc_nr_seq"'::text)::regclass) NOT NULL,
    office_nr integer DEFAULT 0 NOT NULL,
    sdoc_nr integer DEFAULT 0 NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2029 (class 1259 OID 630554)
-- Dependencies: 2986 2987 2988 2989 2990 2991 2992 2993 3
-- Name: care_op_med_doc; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_op_med_doc (
    nr bigint DEFAULT nextval(('"opmed_nr_seq"'::text)::regclass) NOT NULL,
    op_date character varying(12) NOT NULL,
    operator text NOT NULL,
    encounter_nr bigint NOT NULL,
    dept_nr smallint DEFAULT (0)::smallint,
    diagnosis text NOT NULL,
    localize text NOT NULL,
    therapy text NOT NULL,
    special text,
    class_s smallint DEFAULT (0)::smallint,
    class_m smallint DEFAULT (0)::smallint,
    class_l smallint DEFAULT (0)::smallint,
    op_start character varying(8),
    op_end character varying(8),
    scrub_nurse character varying(70),
    op_room character varying(10) NOT NULL,
    status character varying(15) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2030 (class 1259 OID 630568)
-- Dependencies: 2994 3
-- Name: care_ops301_de; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_ops301_de (
    code character varying(12),
    description text,
    inclusive text,
    exclusive text,
    notes text,
    std_code character(1),
    sub_level smallint DEFAULT (0)::smallint,
    remarks text
);


--
-- TOC entry 2031 (class 1259 OID 630575)
-- Dependencies: 2995 3
-- Name: care_ops301_es; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_ops301_es (
    code character varying(12),
    description text,
    inclusive text,
    exclusive text,
    notes text,
    std_code character(1),
    sub_level smallint DEFAULT (0)::smallint,
    remarks text
);


--
-- TOC entry 2032 (class 1259 OID 630582)
-- Dependencies: 2996 2997 2998 2999 3000 3001 3002 3003 3004 3005 3006 3007 3008 3009 3010 3011 3012 3013 3014 3015 3016 3017 3018 3019 3020 3021 3022 3023 3024 3025 3026 3027 3028 3029 3030 3031 3032 3033 3034 3035 3036 3037 3038 3039 3040 3041 3042 3043 3
-- Name: care_person; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_person (
    pid bigint DEFAULT nextval(('"person_pid_seq"'::text)::regclass) NOT NULL,
    date_reg timestamp with time zone DEFAULT '0001-01-01 05:14:00-05:14'::timestamp with time zone,
    name_first character varying(60) NOT NULL,
    name_2 character varying(60) DEFAULT ''::character varying,
    name_3 character varying(60) DEFAULT ''::character varying,
    name_middle character varying(60) DEFAULT ''::character varying,
    name_last character varying(60) NOT NULL,
    name_maiden character varying(60) DEFAULT ''::character varying,
    name_others text DEFAULT ''::text,
    date_birth date DEFAULT '0001-01-01'::date,
    blood_group character(2) DEFAULT ''::bpchar,
    addr_str character varying(100) DEFAULT ''::character varying,
    addr_str_nr character varying(10) DEFAULT ''::character varying,
    addr_zip character varying(15) DEFAULT ''::character varying,
    addr_citytown_nr integer DEFAULT 0,
    addr_is_valid smallint DEFAULT (0)::smallint,
    citizenship character varying(35) DEFAULT ''::character varying,
    phone_1_code character varying(15) DEFAULT '0'::character varying,
    phone_1_nr character varying(35) DEFAULT ''::character varying,
    phone_2_code character varying(15) DEFAULT '0'::character varying,
    phone_2_nr character varying(35) DEFAULT ''::character varying,
    cellphone_1_nr character varying(35) DEFAULT ''::character varying,
    cellphone_2_nr character varying(35) DEFAULT ''::character varying,
    fax character varying(35) DEFAULT ''::character varying,
    email character varying(60) DEFAULT ''::character varying,
    civil_status character varying(35) DEFAULT ''::character varying,
    sex character(1) DEFAULT ''::bpchar,
    title character varying(50) DEFAULT ''::character varying,
    photo bytea,
    photo_filename character varying(60) DEFAULT ''::character varying,
    ethnic_orig smallint DEFAULT (0)::smallint,
    org_id character varying(60) DEFAULT ''::character varying,
    sss_nr character varying(60) DEFAULT ''::character varying,
    nat_id_nr character varying(60) DEFAULT ''::character varying,
    religion character varying(125) DEFAULT ''::character varying,
    mother_pid bigint DEFAULT (0)::bigint,
    father_pid bigint DEFAULT (0)::bigint,
    contact_person character varying(255) DEFAULT ''::character varying,
    contact_pid bigint DEFAULT (0)::bigint,
    contact_relation character varying(25) DEFAULT '0'::character varying,
    death_date date DEFAULT '0001-01-01'::date,
    death_encounter_nr bigint DEFAULT (0)::bigint,
    death_cause character varying(255) DEFAULT ''::character varying,
    death_cause_code character varying(15) DEFAULT ''::character varying,
    date_update timestamp with time zone DEFAULT '0001-01-01 05:14:00-05:14'::timestamp with time zone,
    status character varying(20) DEFAULT ''::character varying,
    history text DEFAULT ''::text,
    modify_id character varying(35) DEFAULT ''::character varying,
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint,
    hist_clin_hosp character(8) DEFAULT 0
);


--
-- TOC entry 2033 (class 1259 OID 630636)
-- Dependencies: 3044 3045 3046 3047 3048 3049 3
-- Name: care_person_insurance; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_person_insurance (
    item_nr bigint DEFAULT nextval(('"person_ins_inr_seq"'::text)::regclass) NOT NULL,
    pid bigint NOT NULL,
    type character varying(60),
    insurance_nr character varying(50) NOT NULL,
    firm_id character varying(60) NOT NULL,
    class_nr smallint DEFAULT (0)::smallint,
    is_void smallint DEFAULT (0)::smallint,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2034 (class 1259 OID 630648)
-- Dependencies: 3050 3051 3052 3053 3054 3
-- Name: care_person_other_number; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_person_other_number (
    nr bigint DEFAULT nextval(('"person_onr_nr_seq"'::text)::regclass) NOT NULL,
    pid bigint DEFAULT (0)::bigint,
    other_nr character varying(30) NOT NULL,
    org character varying(35) NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2035 (class 1259 OID 630659)
-- Dependencies: 3055 3056 3057 3058 3059 3060 3061 3062 3063 3064 3065 3066 3067 3068 3069 3
-- Name: care_personell; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_personell (
    nr integer DEFAULT nextval(('"personell_nr_seq"'::text)::regclass) NOT NULL,
    short_id character varying(10),
    pid bigint DEFAULT (0)::bigint NOT NULL,
    job_type_nr smallint,
    job_function_title character varying(60) NOT NULL,
    date_join date NOT NULL,
    date_exit date DEFAULT '0001-01-01'::date,
    contract_class character varying(35) DEFAULT '0'::character varying,
    contract_start date DEFAULT '0001-01-01'::date NOT NULL,
    contract_end date DEFAULT '0001-01-01'::date,
    is_discharged smallint DEFAULT (0)::smallint NOT NULL,
    pay_class character varying(25),
    pay_class_sub character varying(25),
    local_premium_id character varying(5),
    tax_account_nr character varying(60),
    ir_code character varying(25),
    nr_workday smallint DEFAULT (0)::smallint,
    nr_weekhour real DEFAULT (0)::real,
    nr_vacation_day smallint DEFAULT (0)::smallint,
    multiple_employer smallint DEFAULT (0)::smallint,
    nr_dependent smallint DEFAULT (0)::smallint,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint,
    hospital_nr character(6)
);


--
-- TOC entry 2036 (class 1259 OID 630680)
-- Dependencies: 3070 3071 3072 3073 3074 3075 3076 3077 3078 3079 3080 3081 3
-- Name: care_personell_assignment; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_personell_assignment (
    nr bigint DEFAULT nextval(('"passign_nr_seq"'::text)::regclass) NOT NULL,
    personell_nr integer DEFAULT 0 NOT NULL,
    role_nr smallint DEFAULT (0)::smallint NOT NULL,
    location_type_nr smallint DEFAULT (0)::smallint NOT NULL,
    location_nr smallint DEFAULT (0)::smallint NOT NULL,
    date_start date DEFAULT '0001-01-01'::date,
    date_end date DEFAULT '0001-01-01'::date,
    is_temporary smallint DEFAULT (0)::smallint NOT NULL,
    list_frequency integer DEFAULT 0,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint,
    observation character varying(50)
);


--
-- TOC entry 2037 (class 1259 OID 630698)
-- Dependencies: 3082 3083 3084 3085 3086 3
-- Name: care_pharma_ordercatalog; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_pharma_ordercatalog (
    item_no bigint DEFAULT nextval(('"pharma_ocat_inr_seq"'::text)::regclass) NOT NULL,
    dept_nr smallint DEFAULT (0)::smallint,
    hit bigint DEFAULT (0)::bigint,
    artikelname text NOT NULL,
    bestellnum character varying(20) NOT NULL,
    minorder smallint DEFAULT (0)::smallint,
    maxorder smallint DEFAULT (0)::smallint,
    proorder text NOT NULL
);


--
-- TOC entry 2038 (class 1259 OID 630709)
-- Dependencies: 3087 3088 3089 3090 3091 3092 3093 3094 3095 3
-- Name: care_pharma_orderlist; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_pharma_orderlist (
    order_nr bigint DEFAULT nextval(('"pharma_olist_onr_seq"'::text)::regclass) NOT NULL,
    dept_nr smallint NOT NULL,
    order_date date DEFAULT '0001-01-01'::date NOT NULL,
    order_time time without time zone DEFAULT '00:00:00'::time without time zone NOT NULL,
    articles text NOT NULL,
    extra1 text,
    extra2 text,
    validator text DEFAULT ''::text NOT NULL,
    ip_addr text,
    priority text,
    status character varying(25) DEFAULT 'draft'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint,
    sent_datetime timestamp with time zone DEFAULT '0001-01-01 05:14:00-05:14'::timestamp with time zone,
    process_datetime timestamp with time zone DEFAULT '0001-01-01 05:14:00-05:14'::timestamp with time zone
);


--
-- TOC entry 2039 (class 1259 OID 630724)
-- Dependencies: 3096 3097 3098 3099 3100 3101 3
-- Name: care_pharma_products_main; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_pharma_products_main (
    bestellnum character varying(25) NOT NULL,
    artikelnum text,
    industrynum text,
    artikelname text NOT NULL,
    generic text,
    description text NOT NULL,
    packing text,
    minorder integer DEFAULT 0,
    maxorder integer DEFAULT 0,
    proorder text,
    picfile text,
    encoder text NOT NULL,
    enc_date text NOT NULL,
    enc_time text NOT NULL,
    lock_flag smallint DEFAULT (0)::smallint,
    medgroup text,
    cave text,
    status character varying(20) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2040 (class 1259 OID 630736)
-- Dependencies: 3102 3103 3104 3105 3106 3107 3108 3109 3
-- Name: care_phone; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_phone (
    item_nr bigint DEFAULT nextval(('"phone_inr_seq"'::text)::regclass) NOT NULL,
    title character varying(25),
    name character varying(45) NOT NULL,
    vorname character varying(45) NOT NULL,
    pid bigint DEFAULT (0)::bigint,
    personell_nr integer,
    dept_nr smallint DEFAULT (0)::smallint,
    beruf character varying(25),
    bereich1 character varying(25),
    bereich2 character varying(25),
    inphone1 character varying(15),
    inphone2 character varying(15),
    inphone3 character varying(15),
    exphone1 character varying(25),
    exphone2 character varying(25),
    funk1 character varying(15),
    funk2 character varying(15),
    roomnr character varying(10),
    date date DEFAULT '0001-01-01'::date,
    "time" time without time zone DEFAULT '00:00:00'::time without time zone,
    status character varying(15) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2041 (class 1259 OID 630750)
-- Dependencies: 3110 3111 3112 3113 3114 3115 3116 3117 3
-- Name: care_pregnancy; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_pregnancy (
    nr bigint DEFAULT nextval(('"preg_nr_seq"'::text)::regclass) NOT NULL,
    encounter_nr bigint DEFAULT (0)::bigint NOT NULL,
    this_pregnancy_nr smallint DEFAULT (0)::smallint,
    delivery_date date NOT NULL,
    delivery_time time without time zone DEFAULT '00:00:00'::time without time zone,
    gravida smallint,
    para smallint,
    pregnancy_gestational_age smallint,
    nr_of_fetuses smallint NOT NULL,
    child_encounter_nr character varying(255),
    is_booked smallint NOT NULL,
    vdrl character(1),
    rh smallint,
    delivery_mode smallint NOT NULL,
    delivery_by character varying(60),
    bp_systolic_high smallint,
    bp_diastolic_high smallint,
    proteinuria smallint DEFAULT (0)::smallint,
    labour_duration smallint,
    induction_method smallint NOT NULL,
    induction_indication character varying(125),
    anaesth_type_nr smallint NOT NULL,
    is_epidural character(1),
    complications character varying(255),
    perineum smallint NOT NULL,
    blood_loss real,
    blood_loss_unit character varying(10),
    is_retained_placenta character(1),
    post_labour_condition character varying(35),
    outcome character varying(35) NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2042 (class 1259 OID 630764)
-- Dependencies: 3118 3119 3120 3
-- Name: care_registry; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_registry (
    registry_id character varying(35) NOT NULL,
    module_start_script character varying(60) NOT NULL,
    news_start_script character varying(60) NOT NULL,
    news_editor_script character varying(255) NOT NULL,
    news_reader_script character varying(255) NOT NULL,
    passcheck_script character varying(255) NOT NULL,
    composite text NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2043 (class 1259 OID 630773)
-- Dependencies: 3121 3122 3123 3124 3125 3
-- Name: care_role_person; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_role_person (
    nr smallint DEFAULT nextval(('"roleperson_nr_seq"'::text)::regclass) NOT NULL,
    group_nr smallint DEFAULT (0)::smallint NOT NULL,
    role character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2044 (class 1259 OID 630781)
-- Dependencies: 3126 3127 3128 3129 3130 3131 3132 3133 3134 3135 3136 3137 3138 3
-- Name: care_room; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_room (
    nr bigint DEFAULT nextval(('"room_nr_seq"'::text)::regclass) NOT NULL,
    type_nr smallint DEFAULT (0)::smallint NOT NULL,
    date_create date DEFAULT '0001-01-01'::date NOT NULL,
    date_close date DEFAULT '0001-01-01'::date,
    is_temp_closed smallint DEFAULT (0)::smallint,
    room_nr smallint DEFAULT (0)::smallint,
    ward_nr smallint DEFAULT (0)::smallint,
    dept_nr smallint DEFAULT (0)::smallint,
    nr_of_beds smallint DEFAULT (1)::smallint,
    closed_beds character varying(255) DEFAULT ''::character varying NOT NULL,
    info character varying(60),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2045 (class 1259 OID 630800)
-- Dependencies: 3139 3140 3141 3142 3
-- Name: care_schedule; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_schedule (
    nr bigint DEFAULT nextval(('"sched_nr_seq"'::text)::regclass) NOT NULL,
    date date DEFAULT '0001-01-01'::date NOT NULL,
    time_ini character varying(5),
    time_fin character varying(5),
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint,
    hospital_nr character(6)
);


--
-- TOC entry 2046 (class 1259 OID 630810)
-- Dependencies: 3143 3144 3145 3146 3147 3
-- Name: care_schedule_doctor; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_schedule_doctor (
    nr bigint DEFAULT nextval(('"sdoc_nr_seq"'::text)::regclass) NOT NULL,
    date date DEFAULT '0001-01-01'::date NOT NULL,
    passign_nr integer DEFAULT 0 NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2047 (class 1259 OID 630821)
-- Dependencies: 3148 3149 3150 3151 3152 3153 3
-- Name: care_schedule_doctor_det; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_schedule_doctor_det (
    nr bigint DEFAULT nextval(('"sdocdet_nr_seq"'::text)::regclass) NOT NULL,
    sdoc_nr integer DEFAULT 0 NOT NULL,
    schedule_nr integer DEFAULT 0 NOT NULL,
    day character varying(10),
    num_turn integer,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint,
    office_nr integer DEFAULT 0 NOT NULL,
    estado character(1),
    day_id integer
);


--
-- TOC entry 2048 (class 1259 OID 630833)
-- Dependencies: 3154 3
-- Name: care_sessions; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_sessions (
    sesskey character varying(32) NOT NULL,
    expiry integer DEFAULT 0,
    expireref character varying(64),
    data text NOT NULL
);


--
-- TOC entry 2049 (class 1259 OID 630840)
-- Dependencies: 3155 3156 3157 3158 3159 3160 3161 3162 3163 3
-- Name: care_standby_duty_report; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_standby_duty_report (
    report_nr bigint DEFAULT nextval(('"sduty_rep_nr_seq"'::text)::regclass) NOT NULL,
    dept character varying(15) NOT NULL,
    date date DEFAULT '0001-01-01'::date,
    standby_name character varying(35) NOT NULL,
    standby_start time without time zone DEFAULT '00:00:00'::time without time zone,
    standby_end time without time zone DEFAULT '00:00:00'::time without time zone,
    oncall_name character varying(35) NOT NULL,
    oncall_start time without time zone DEFAULT '00:00:00'::time without time zone,
    oncall_end time without time zone DEFAULT '00:00:00'::time without time zone,
    op_room character(2) NOT NULL,
    diagnosis_therapy text NOT NULL,
    encoding text NOT NULL,
    status character varying(20) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2050 (class 1259 OID 630855)
-- Dependencies: 3164 3165 3166 3
-- Name: care_state; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_state (
    nr bigint DEFAULT nextval(('"state_nr_seq"'::text)::regclass) NOT NULL,
    name character varying(50),
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2051 (class 1259 OID 630864)
-- Dependencies: 3167 3168 3169 3
-- Name: care_steri_products_main; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_steri_products_main (
    bestellnum bigint NOT NULL,
    containernum character varying(15) NOT NULL,
    industrynum text,
    containername character varying(40) NOT NULL,
    description text NOT NULL,
    packing text,
    minorder integer DEFAULT 0,
    maxorder integer DEFAULT 0,
    proorder text,
    picfile text,
    encoder text NOT NULL,
    enc_date text NOT NULL,
    enc_time text,
    lock_flag smallint DEFAULT (0)::smallint,
    medgroup text,
    cave text
);


--
-- TOC entry 2052 (class 1259 OID 630873)
-- Dependencies: 3170 3171 3172 3173 3174 3175 3176 3177 3178 3
-- Name: care_tech_questions; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_tech_questions (
    batch_nr bigint DEFAULT nextval(('"techq_bnr_seq"'::text)::regclass) NOT NULL,
    dept character varying(60) NOT NULL,
    query text NOT NULL,
    inquirer character varying(25) NOT NULL,
    tphone character varying(30),
    tdate date DEFAULT '0001-01-01'::date NOT NULL,
    ttime time without time zone DEFAULT '00:00:00'::time without time zone,
    tid bigint,
    reply text,
    answered smallint DEFAULT (0)::smallint,
    ansby character varying(25),
    astamp timestamp without time zone DEFAULT '0001-01-01 00:00:00'::timestamp without time zone,
    archive smallint DEFAULT (0)::smallint,
    status character varying(15) DEFAULT 'pending'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2053 (class 1259 OID 630888)
-- Dependencies: 3179 3180 3181 3182 3183 3184 3185 3
-- Name: care_tech_repair_done; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_tech_repair_done (
    batch_nr bigint DEFAULT nextval(('"techdo_bnr_seq"'::text)::regclass) NOT NULL,
    dept character varying(15) NOT NULL,
    dept_nr smallint,
    job_id character varying(15),
    job text NOT NULL,
    reporter character varying(25) NOT NULL,
    id character varying(15) NOT NULL,
    tdate date DEFAULT '0001-01-01'::date NOT NULL,
    ttime time without time zone DEFAULT '00:00:00'::time without time zone,
    tid bigint,
    seen smallint DEFAULT (0)::smallint,
    d_idx character varying(8),
    status character varying(15) DEFAULT 'pending'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2054 (class 1259 OID 630901)
-- Dependencies: 3186 3187 3188 3189 3190 3191 3192 3193 3194 3
-- Name: care_tech_repair_job; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_tech_repair_job (
    batch_nr bigint DEFAULT nextval(('"techjob_bnr_seq"'::text)::regclass) NOT NULL,
    dept character varying(15) NOT NULL,
    job text NOT NULL,
    reporter character varying(25) NOT NULL,
    id character varying(15) NOT NULL,
    tphone character varying(30),
    tdate date DEFAULT '0001-01-01'::date,
    ttime time without time zone DEFAULT '00:00:00'::time without time zone,
    tid bigint,
    done smallint DEFAULT (0)::smallint,
    seen smallint DEFAULT (0)::smallint,
    seenby character varying(25),
    sstamp character varying(16),
    doneby character varying(25),
    dstamp character varying(16),
    d_idx character varying(8),
    archive smallint DEFAULT (0)::smallint,
    status character varying(20) DEFAULT 'pending'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2055 (class 1259 OID 630916)
-- Dependencies: 3195 3196 3197 3198 3199 3200 3201 3202 3203 3204 3205 3206 3
-- Name: care_test_findings_baclabor; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_test_findings_baclabor (
    batch_nr bigint DEFAULT (0)::bigint NOT NULL,
    encounter_nr bigint DEFAULT (0)::bigint NOT NULL,
    room_nr character varying(10),
    dept_nr smallint DEFAULT (0)::smallint NOT NULL,
    notes character varying(255),
    findings_init smallint DEFAULT (0)::smallint,
    findings_current smallint DEFAULT (0)::smallint,
    findings_final smallint DEFAULT (0)::smallint,
    entry_nr character varying(10) NOT NULL,
    rec_date date DEFAULT '0001-01-01'::date,
    type_general text,
    resist_anaerob text,
    resist_aerob text,
    findings text,
    doctor_id character varying(35) NOT NULL,
    findings_date date DEFAULT '0001-01-01'::date NOT NULL,
    findings_time time without time zone DEFAULT '00:00:00'::time without time zone,
    status character varying(10) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2056 (class 1259 OID 630934)
-- Dependencies: 3207 3208 3209 3210 3211 3212 3213 3
-- Name: care_test_findings_chemlab; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_test_findings_chemlab (
    batch_nr bigint DEFAULT nextval(('"testfinclab_bnr_seq"'::text)::regclass) NOT NULL,
    encounter_nr bigint NOT NULL,
    job_id character varying(25) NOT NULL,
    test_date date DEFAULT '0001-01-01'::date,
    test_time time without time zone DEFAULT '00:00:00'::time without time zone,
    group_id character varying(30) NOT NULL,
    serial_value text NOT NULL,
    validator character varying(15),
    validate_dt timestamp with time zone DEFAULT '0001-01-01 05:14:00-05:14'::timestamp with time zone,
    status character varying(20) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35),
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2057 (class 1259 OID 630947)
-- Dependencies: 3214 3215 3216 3217 3218 3
-- Name: care_test_findings_patho; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_test_findings_patho (
    batch_nr bigint NOT NULL,
    encounter_nr bigint NOT NULL,
    room_nr character varying(10),
    dept_nr smallint NOT NULL,
    material text NOT NULL,
    macro text,
    micro text,
    findings text,
    diagnosis text,
    doctor_id character varying(35) NOT NULL,
    findings_date date DEFAULT '0001-01-01'::date NOT NULL,
    findings_time time without time zone DEFAULT '00:00:00'::time without time zone,
    status character varying(10) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2058 (class 1259 OID 630958)
-- Dependencies: 3219 3220 3221 3222 3223 3224 3225 3226 3227 3
-- Name: care_test_findings_radio; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_test_findings_radio (
    batch_nr bigint DEFAULT (0)::bigint NOT NULL,
    encounter_nr bigint DEFAULT (0)::bigint NOT NULL,
    room_nr smallint DEFAULT (0)::smallint,
    dept_nr smallint DEFAULT (0)::smallint,
    findings text NOT NULL,
    diagnosis text,
    doctor_id character varying(35) NOT NULL,
    findings_date date DEFAULT '0001-01-01'::date,
    findings_time time without time zone DEFAULT '00:00:00'::time without time zone,
    status character varying(10) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2059 (class 1259 OID 630973)
-- Dependencies: 3228 3229 3230 3231 3232 3
-- Name: care_test_group; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_test_group (
    nr integer DEFAULT nextval(('"testgroup_nr_seq"'::text)::regclass) NOT NULL,
    group_id character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    sort_nr smallint DEFAULT (0)::smallint,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2060 (class 1259 OID 630981)
-- Dependencies: 3233 3234 3235 3236 3
-- Name: care_test_param; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_test_param (
    nr integer DEFAULT nextval(('"testparam_nr_seq"'::text)::regclass) NOT NULL,
    group_id character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    id character varying(10) NOT NULL,
    msr_unit character varying(15) NOT NULL,
    median character varying(20),
    hi_bound character varying(20),
    lo_bound character varying(20),
    hi_critical character varying(20),
    lo_critical character varying(20),
    hi_toxic character varying(20),
    lo_toxic character varying(20),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2061 (class 1259 OID 630991)
-- Dependencies: 3237 3238 3239 3240 3241 3242 3243 3244 3
-- Name: care_test_request_baclabor; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_test_request_baclabor (
    batch_nr bigint DEFAULT nextval(('"testreq_blab_bnr_seq"'::text)::regclass) NOT NULL,
    encounter_nr bigint NOT NULL,
    dept_nr smallint DEFAULT (0)::smallint,
    material text,
    test_type text,
    material_note text NOT NULL,
    diagnosis_note text NOT NULL,
    immune_supp smallint DEFAULT (0)::smallint,
    send_date date DEFAULT '0001-01-01'::date NOT NULL,
    sample_date date DEFAULT '0001-01-01'::date NOT NULL,
    status character varying(10) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2062 (class 1259 OID 631005)
-- Dependencies: 3245 3246 3247 3248 3249 3250 3251 3252 3253 3254 3255 3256 3257 3258 3259 3260 3261 3262 3263 3264 3265 3266 3267 3268 3269 3270 3271 3272 3273 3274 3275 3276 3277 3
-- Name: care_test_request_blood; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_test_request_blood (
    batch_nr bigint DEFAULT nextval(('"testreqblood_bnr_seq"'::text)::regclass) NOT NULL,
    encounter_nr bigint NOT NULL,
    dept_nr smallint,
    blood_group character varying(10) NOT NULL,
    rh_factor character varying(10) NOT NULL,
    kell character varying(10),
    date_protoc_nr character varying(45) NOT NULL,
    pure_blood character varying(15),
    red_blood character varying(15),
    leukoless_blood character varying(15),
    washed_blood character varying(15),
    prp_blood character varying(15),
    thrombo_con character varying(15),
    ffp_plasma character varying(15),
    transfusion_dev character varying(15),
    match_sample smallint DEFAULT (0)::smallint,
    transfusion_date date DEFAULT '0001-01-01'::date NOT NULL,
    diagnosis text,
    notes text,
    send_date date DEFAULT '0001-01-01'::date NOT NULL,
    doctor character varying(35) NOT NULL,
    phone_nr character varying(40),
    status character varying(10) DEFAULT 'pending'::character varying NOT NULL,
    blood_pb text,
    blood_rb text,
    blood_llrb text,
    blood_wrb text,
    blood_prp bytea,
    blood_tc text,
    blood_ffp text,
    b_group_count integer DEFAULT 0,
    b_group_price real DEFAULT (0)::real,
    a_subgroup_count integer DEFAULT 0,
    a_subgroup_price real DEFAULT (0)::real,
    extra_factors_count integer DEFAULT 0,
    extra_factors_price real DEFAULT (0)::real,
    coombs_count integer DEFAULT 0,
    coombs_price real DEFAULT (0)::real,
    ab_test_count integer DEFAULT 0,
    ab_test_price real DEFAULT (0)::real,
    crosstest_count integer DEFAULT 0,
    crosstest_price real DEFAULT (0)::real,
    ab_diff_count integer DEFAULT 0,
    ab_diff_price real DEFAULT (0)::real,
    x_test_1_code integer DEFAULT 0,
    x_test_1_name character varying(35),
    x_test_1_count integer DEFAULT 0,
    x_test_1_price real DEFAULT (0)::real,
    x_test_2_code integer DEFAULT 0,
    x_test_2_name character varying(35),
    x_test_2_count integer DEFAULT 0,
    x_test_2_price real DEFAULT (0)::real,
    x_test_3_code integer DEFAULT 0,
    x_test_3_name character varying(35),
    x_test_3_count integer DEFAULT 0,
    x_test_3_price real DEFAULT (0)::real,
    lab_stamp timestamp with time zone DEFAULT '0001-01-01 05:14:00-05:14'::timestamp with time zone,
    release_via character varying(20),
    receipt_ack character varying(20),
    mainlog_nr character varying(7),
    lab_nr character varying(7),
    mainlog_date date DEFAULT '0001-01-01'::date,
    lab_date date DEFAULT '0001-01-01'::date,
    mainlog_sign character varying(20),
    lab_sign character varying(20),
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2063 (class 1259 OID 631044)
-- Dependencies: 3278 3279 3280 3281 3282 3283 3284 3285 3286 3
-- Name: care_test_request_chemlabor; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_test_request_chemlabor (
    batch_nr bigint DEFAULT nextval(('"testreqclab_bnr_seq"'::text)::regclass) NOT NULL,
    encounter_nr bigint NOT NULL,
    room_nr character varying(10),
    dept_nr smallint DEFAULT (0)::smallint,
    parameters text NOT NULL,
    doctor_sign character varying(35),
    highrisk smallint DEFAULT (0)::smallint,
    notes text,
    send_date timestamp with time zone DEFAULT '0001-01-01 05:14:00-05:14'::timestamp with time zone,
    sample_time time without time zone DEFAULT '00:00:00'::time without time zone,
    sample_weekday smallint DEFAULT (0)::smallint,
    status character varying(15) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35),
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2064 (class 1259 OID 631059)
-- Dependencies: 3287 3288 3289 3290 3291 3292 3293 3294 3
-- Name: care_test_request_generic; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_test_request_generic (
    batch_nr bigint DEFAULT nextval(('"testreqgen_bnr_seq"'::text)::regclass) NOT NULL,
    encounter_nr bigint NOT NULL,
    testing_dept character varying(35) NOT NULL,
    visit smallint DEFAULT (0)::smallint,
    order_patient smallint DEFAULT (0)::smallint,
    diagnosis_quiry text NOT NULL,
    send_date date DEFAULT '0001-01-01'::date NOT NULL,
    send_doctor character varying(35) NOT NULL,
    result text,
    result_date date DEFAULT '0001-01-01'::date,
    result_doctor character varying(35),
    status character varying(10) DEFAULT 'pending'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2065 (class 1259 OID 631073)
-- Dependencies: 3295 3296 3297 3298 3299 3300 3301 3302 3303 3304 3305 3306 3
-- Name: care_test_request_patho; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_test_request_patho (
    batch_nr bigint DEFAULT nextval(('"testreqpath_bnr_seq"'::text)::regclass) NOT NULL,
    encounter_nr bigint NOT NULL,
    dept_nr smallint DEFAULT (0)::smallint,
    quick_cut smallint DEFAULT (0)::smallint,
    qc_phone character varying(40),
    quick_diagnosis smallint DEFAULT (0)::smallint,
    qd_phone character varying(40),
    material_type character varying(25),
    material_desc text,
    localization text,
    clinical_note text,
    extra_note text,
    repeat_note text,
    gyn_last_period character varying(25),
    gyn_period_type character varying(25),
    gyn_gravida character varying(25),
    gyn_menopause_since character varying(25),
    gyn_hysterectomy character varying(25),
    gyn_contraceptive character varying(25),
    gyn_iud character varying(25),
    gyn_hormone_therapy character varying(25),
    doctor_sign character varying(35) NOT NULL,
    op_date date DEFAULT '0001-01-01'::date,
    send_date timestamp with time zone DEFAULT '0001-01-01 05:14:00-05:14'::timestamp with time zone,
    status character varying(10) DEFAULT 'pending'::character varying NOT NULL,
    entry_date date DEFAULT '0001-01-01'::date,
    journal_nr character varying(15),
    blocks_nr smallint DEFAULT (0)::smallint,
    deep_cuts smallint DEFAULT (0)::smallint,
    special_dye character varying(35),
    immune_histochem character varying(35),
    hormone_receptors character varying(35),
    specials character varying(35),
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint,
    process_id character varying(35),
    process_time timestamp with time zone
);


--
-- TOC entry 2066 (class 1259 OID 631091)
-- Dependencies: 3307 3308 3309 3310 3311 3312 3313 3314 3315 3316 3317 3318 3319 3320 3321 3322 3323 3324 3
-- Name: care_test_request_radio; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_test_request_radio (
    batch_nr bigint DEFAULT nextval(('"testreqradio_bnr_seq"'::text)::regclass) NOT NULL,
    encounter_nr bigint NOT NULL,
    dept_nr smallint DEFAULT (0)::smallint,
    xray smallint DEFAULT (0)::smallint,
    ct smallint DEFAULT (0)::smallint,
    sono smallint DEFAULT (0)::smallint,
    mammograph smallint DEFAULT (0)::smallint,
    mrt smallint DEFAULT (0)::smallint,
    nuclear smallint DEFAULT (0)::smallint,
    if_patmobile smallint DEFAULT (0)::smallint,
    if_allergy smallint DEFAULT (0)::smallint,
    if_hyperten smallint DEFAULT (0)::smallint,
    if_pregnant smallint DEFAULT (0)::smallint,
    clinical_info text,
    test_request text NOT NULL,
    send_date date NOT NULL,
    send_doctor character varying(35) NOT NULL,
    xray_nr character varying(9) DEFAULT '0'::character varying,
    r_cm_2 character varying(15),
    mtr character varying(35),
    xray_date date DEFAULT '0001-01-01'::date,
    xray_time time without time zone,
    results text,
    results_date date DEFAULT '0001-01-01'::date,
    results_doctor character varying(35),
    status character varying(10) DEFAULT 'pending'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint,
    process_id character varying(35),
    process_time timestamp with time zone
);


--
-- TOC entry 2067 (class 1259 OID 631115)
-- Dependencies: 3325 3326 3327 3328 3
-- Name: care_type_anaesthesia; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_anaesthesia (
    nr smallint DEFAULT nextval(('"type_ana_nr_seq"'::text)::regclass) NOT NULL,
    id character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    description character varying(255),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2068 (class 1259 OID 631122)
-- Dependencies: 3329 3330 3331 3332 3333 3
-- Name: care_type_application; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_application (
    nr smallint DEFAULT nextval(('"type_app_nr_seq"'::text)::regclass) NOT NULL,
    group_nr smallint DEFAULT (0)::smallint,
    type character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    description character varying(255),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2069 (class 1259 OID 631130)
-- Dependencies: 3334 3335 3336 3337 3338 3
-- Name: care_type_assignment; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_assignment (
    type_nr smallint DEFAULT nextval(('"type_assign_tnr_seq"'::text)::regclass) NOT NULL,
    type character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(25) DEFAULT '0'::character varying,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2070 (class 1259 OID 631141)
-- Dependencies: 3339 3340 3341 3342 3
-- Name: care_type_cause_opdelay; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_cause_opdelay (
    type_nr smallint DEFAULT nextval(('"type_opd_tnr_seq"'::text)::regclass) NOT NULL,
    type character varying(35) NOT NULL,
    cause character varying(255) NOT NULL,
    ld_var character varying(35) NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2071 (class 1259 OID 631148)
-- Dependencies: 3343 3344 3
-- Name: care_type_color; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_color (
    color_id character varying(25) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2072 (class 1259 OID 631153)
-- Dependencies: 3345 3346 3347 3348 3
-- Name: care_type_department; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_department (
    nr smallint DEFAULT nextval(('"type_dept_nr_seq"'::text)::regclass) NOT NULL,
    type character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    description character varying(255),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2073 (class 1259 OID 631160)
-- Dependencies: 3349 3350 3351 3352 3
-- Name: care_type_discharge; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_discharge (
    nr smallint DEFAULT nextval(('"type_disch_nr_seq"'::text)::regclass) NOT NULL,
    type character varying(35) NOT NULL,
    name character varying(100) NOT NULL,
    ld_var character varying(35) NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2074 (class 1259 OID 631167)
-- Dependencies: 3353 3354 3355 3356 3
-- Name: care_type_duty; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_duty (
    type_nr smallint DEFAULT nextval(('"type_duty_tnr_seq"'::text)::regclass) NOT NULL,
    type character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    description character varying(255),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2075 (class 1259 OID 631174)
-- Dependencies: 3357 3358 3359 3360 3361 3
-- Name: care_type_encounter; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_encounter (
    type_nr smallint DEFAULT nextval(('"type_enc_tnr_seq"'::text)::regclass) NOT NULL,
    type character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(25) NOT NULL,
    description character varying(255),
    hide_from smallint DEFAULT (0)::smallint,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2076 (class 1259 OID 631185)
-- Dependencies: 3362 3363 3364 3365 3366 3
-- Name: care_type_ethnic_orig; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_ethnic_orig (
    nr smallint DEFAULT nextval(('"type_eorig_nr_seq"'::text)::regclass) NOT NULL,
    class_nr smallint DEFAULT (0)::smallint,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2077 (class 1259 OID 631193)
-- Dependencies: 3367 3368 3369 3370 3371 3
-- Name: care_type_feeding; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_feeding (
    nr smallint DEFAULT nextval(('"type_feed_nr_seq"'::text)::regclass) NOT NULL,
    group_nr smallint DEFAULT (0)::smallint,
    type character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    description character varying(255),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2078 (class 1259 OID 631201)
-- Dependencies: 3372 3373 3374 3375 3
-- Name: care_type_immunization; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_immunization (
    nr bigint DEFAULT nextval(('"care_type_immunization_nr_seq"'::text)::regclass) NOT NULL,
    type character varying NOT NULL,
    name character varying NOT NULL,
    ld_var character varying,
    period integer,
    tolerance integer,
    dosage text,
    medicine text,
    titer character varying,
    note text,
    application integer,
    status character varying DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying,
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2102 (class 1259 OID 631366)
-- Dependencies: 3
-- Name: care_type_immunization_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE care_type_immunization_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2079 (class 1259 OID 631211)
-- Dependencies: 3376 3377 3378 3379 3
-- Name: care_type_insurance; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_insurance (
    type_nr smallint DEFAULT nextval(('"type_ins_tnr_seq"'::text)::regclass) NOT NULL,
    type character varying(35) NOT NULL,
    name character varying(60) NOT NULL,
    ld_var character varying(35) NOT NULL,
    description character varying(255),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2080 (class 1259 OID 631221)
-- Dependencies: 3380 3381 3382 3383 3384 3
-- Name: care_type_localization; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_localization (
    nr smallint DEFAULT nextval(('"type_loc_nr_seq"'::text)::regclass) NOT NULL,
    category character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    short_code character(1) NOT NULL,
    ld_var_short_code character varying(25) NOT NULL,
    description character varying(255),
    hide_from character varying(255) DEFAULT '0'::character varying,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2081 (class 1259 OID 631232)
-- Dependencies: 3385 3386 3387 3388 3
-- Name: care_type_location; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_location (
    nr smallint DEFAULT nextval(('"type_locat_nr_seq"'::text)::regclass) NOT NULL,
    type character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    description character varying(255),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2082 (class 1259 OID 631239)
-- Dependencies: 3389 3390 3391 3392 3
-- Name: care_type_measurement; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_measurement (
    nr smallint DEFAULT nextval(('"type_msr_nr_seq"'::text)::regclass) NOT NULL,
    type character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2083 (class 1259 OID 631246)
-- Dependencies: 3393 3394 3395 3396 3397 3
-- Name: care_type_notes; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_notes (
    nr smallint DEFAULT nextval(('"type_notes_nr_seq"'::text)::regclass) NOT NULL,
    type character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    sort_nr smallint DEFAULT (0)::smallint,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2084 (class 1259 OID 631254)
-- Dependencies: 3398 3399 3400 3401 3402 3
-- Name: care_type_outcome; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_outcome (
    nr smallint DEFAULT nextval(('"type_outc_nr_seq"'::text)::regclass) NOT NULL,
    group_nr smallint DEFAULT (0)::smallint,
    type character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    description character varying(255),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2085 (class 1259 OID 631262)
-- Dependencies: 3403 3404 3405 3406 3
-- Name: care_type_perineum; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_perineum (
    nr smallint DEFAULT nextval(('"type_peri_nr_seq"'::text)::regclass) NOT NULL,
    id character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    description character varying(255),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2086 (class 1259 OID 631269)
-- Dependencies: 3407 3408 3409 3410 3
-- Name: care_type_prescription; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_prescription (
    nr smallint DEFAULT nextval(('"type_presc_nr_seq"'::text)::regclass) NOT NULL,
    type character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2087 (class 1259 OID 631276)
-- Dependencies: 3411 3412 3413 3414 3
-- Name: care_type_room; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_room (
    nr smallint DEFAULT nextval(('"type_room_nr_seq"'::text)::regclass) NOT NULL,
    type character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    description character varying(255),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2088 (class 1259 OID 631283)
-- Dependencies: 3415 3416 3417 3418 3
-- Name: care_type_test; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_test (
    type_nr smallint DEFAULT nextval(('"type_test_tnr_seq"'::text)::regclass) NOT NULL,
    type character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    description character varying(255),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2089 (class 1259 OID 631290)
-- Dependencies: 3419 3420 3421 3422 3
-- Name: care_type_time; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_time (
    nr smallint DEFAULT nextval(('"type_time_nr_seq"'::text)::regclass) NOT NULL,
    type character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    description character varying(255),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2090 (class 1259 OID 631297)
-- Dependencies: 3423 3424 3425 3426 3
-- Name: care_type_unit_measurement; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_type_unit_measurement (
    nr smallint DEFAULT nextval(('"type_umsr_nr_seq"'::text)::regclass) NOT NULL,
    type character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    description character varying(255),
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2091 (class 1259 OID 631304)
-- Dependencies: 3427 3428 3429 3430 3431 3432 3
-- Name: care_unit_measurement; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_unit_measurement (
    nr smallint DEFAULT nextval(('"unit_msr_nr_seq"'::text)::regclass) NOT NULL,
    unit_type_nr smallint DEFAULT (0)::smallint,
    id character varying(15) NOT NULL,
    name character varying(35) NOT NULL,
    ld_var character varying(35) NOT NULL,
    sytem character varying(35) NOT NULL,
    use_frequency bigint DEFAULT 0,
    status character varying(25) DEFAULT 'normal'::character varying,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35),
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2092 (class 1259 OID 631313)
-- Dependencies: 3433 3434 3435 3436 3437 3438 3439 3440 3441 3442 3
-- Name: care_users; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_users (
    name character varying(60) NOT NULL,
    login_id character varying(35) NOT NULL,
    password character varying(255) NOT NULL,
    personell_nr integer DEFAULT 0,
    lockflag smallint DEFAULT (0)::smallint,
    permission text NOT NULL,
    exc smallint DEFAULT (0)::smallint,
    s_date date DEFAULT '0001-01-01'::date,
    s_time time without time zone DEFAULT '00:00:00'::time without time zone,
    expire_date date DEFAULT '0001-01-01'::date,
    expire_time time without time zone DEFAULT '00:00:00'::time without time zone,
    status character varying(15) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(35),
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(35) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2093 (class 1259 OID 631329)
-- Dependencies: 3443 3444 3
-- Name: care_version; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_version (
    name character varying(20) NOT NULL,
    type character varying(20) NOT NULL,
    number character varying(10) NOT NULL,
    build character varying(5) NOT NULL,
    date date DEFAULT '0001-01-01'::date,
    "time" time without time zone DEFAULT '00:00:00'::time without time zone,
    releaser character varying(30) NOT NULL
);


--
-- TOC entry 2094 (class 1259 OID 631334)
-- Dependencies: 3445 3446 3447 3448 3449 3450 3451 3452 3453 3454 3455 3456 3
-- Name: care_ward; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE care_ward (
    nr smallint DEFAULT nextval(('"ward_nr_seq"'::text)::regclass) NOT NULL,
    ward_id character varying(35) NOT NULL,
    name character varying(35) NOT NULL,
    is_temp_closed smallint DEFAULT (0)::smallint,
    date_create date DEFAULT '0001-01-01'::date,
    date_close date DEFAULT '0001-01-01'::date,
    description text,
    info text,
    dept_nr smallint DEFAULT (0)::smallint,
    room_nr_start smallint DEFAULT (0)::smallint,
    room_nr_end smallint DEFAULT (0)::smallint,
    roomprefix character varying(4) DEFAULT ''::character varying,
    status character varying(25) DEFAULT 'normal'::character varying NOT NULL,
    history text,
    modify_id character varying(25) DEFAULT '0'::character varying,
    modify_time bigint DEFAULT (0)::bigint,
    create_id character varying(25) NOT NULL,
    create_time bigint DEFAULT (0)::bigint
);


--
-- TOC entry 2103 (class 1259 OID 631368)
-- Dependencies: 3
-- Name: cat_diag_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE cat_diag_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2104 (class 1259 OID 631370)
-- Dependencies: 3
-- Name: cat_disease_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE cat_disease_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2105 (class 1259 OID 631372)
-- Dependencies: 3
-- Name: cat_proc_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE cat_proc_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2106 (class 1259 OID 631374)
-- Dependencies: 3
-- Name: class_enc_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE class_enc_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2107 (class 1259 OID 631376)
-- Dependencies: 3
-- Name: class_eorig_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE class_eorig_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2108 (class 1259 OID 631378)
-- Dependencies: 3
-- Name: class_fin_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE class_fin_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2109 (class 1259 OID 631380)
-- Dependencies: 3
-- Name: class_ins_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE class_ins_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2110 (class 1259 OID 631382)
-- Dependencies: 3
-- Name: class_ther_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE class_ther_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2111 (class 1259 OID 631384)
-- Dependencies: 3
-- Name: classif_neo_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE classif_neo_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2112 (class 1259 OID 631386)
-- Dependencies: 3
-- Name: complic_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE complic_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2113 (class 1259 OID 631388)
-- Dependencies: 3
-- Name: cturn_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE cturn_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2114 (class 1259 OID 631390)
-- Dependencies: 3
-- Name: cur_item_no_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE cur_item_no_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2115 (class 1259 OID 631392)
-- Dependencies: 3
-- Name: delivery_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE delivery_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2116 (class 1259 OID 631394)
-- Dependencies: 3
-- Name: dept_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE dept_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2117 (class 1259 OID 631396)
-- Dependencies: 3
-- Name: drg_int_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE drg_int_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2118 (class 1259 OID 631398)
-- Dependencies: 3
-- Name: drg_qlist_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE drg_qlist_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2119 (class 1259 OID 631400)
-- Dependencies: 3
-- Name: drg_relcodes_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE drg_relcodes_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2120 (class 1259 OID 631402)
-- Dependencies: 3
-- Name: effday_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE effday_nr_seq
    START WITH 6
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2121 (class 1259 OID 631404)
-- Dependencies: 3
-- Name: enc_diag_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE enc_diag_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2122 (class 1259 OID 631406)
-- Dependencies: 3
-- Name: enc_drg_int_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE enc_drg_int_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2123 (class 1259 OID 631408)
-- Dependencies: 3
-- Name: enc_enc_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE enc_enc_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2124 (class 1259 OID 631410)
-- Dependencies: 3
-- Name: enc_fin_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE enc_fin_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2125 (class 1259 OID 631412)
-- Dependencies: 3
-- Name: enc_img_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE enc_img_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2126 (class 1259 OID 631414)
-- Dependencies: 3
-- Name: enc_imm_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE enc_imm_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2127 (class 1259 OID 631416)
-- Dependencies: 3
-- Name: enc_loc_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE enc_loc_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2128 (class 1259 OID 631418)
-- Dependencies: 3
-- Name: enc_msr_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE enc_msr_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2129 (class 1259 OID 631420)
-- Dependencies: 3
-- Name: enc_notes_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE enc_notes_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2130 (class 1259 OID 631422)
-- Dependencies: 3
-- Name: enc_op_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE enc_op_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2131 (class 1259 OID 631424)
-- Dependencies: 3
-- Name: enc_presc_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE enc_presc_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2132 (class 1259 OID 631426)
-- Dependencies: 3
-- Name: enc_prescnotes_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE enc_prescnotes_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2133 (class 1259 OID 631428)
-- Dependencies: 3
-- Name: enc_proc_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE enc_proc_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2134 (class 1259 OID 631430)
-- Dependencies: 3
-- Name: enc_rep_item_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE enc_rep_item_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2135 (class 1259 OID 631432)
-- Dependencies: 3
-- Name: enc_sick_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE enc_sick_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2136 (class 1259 OID 631434)
-- Dependencies: 3
-- Name: group_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE group_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2137 (class 1259 OID 631436)
-- Dependencies: 3
-- Name: img_diag_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE img_diag_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2138 (class 1259 OID 631438)
-- Dependencies: 3
-- Name: induction_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE induction_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2139 (class 1259 OID 631440)
-- Dependencies: 3
-- Name: med_ocat_inr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE med_ocat_inr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2140 (class 1259 OID 631442)
-- Dependencies: 3
-- Name: med_olist_onr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE med_olist_onr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2141 (class 1259 OID 631444)
-- Dependencies: 3
-- Name: med_report_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE med_report_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2142 (class 1259 OID 631446)
-- Dependencies: 3
-- Name: menu_main_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE menu_main_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2143 (class 1259 OID 631448)
-- Dependencies: 3
-- Name: neo_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE neo_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2144 (class 1259 OID 631450)
-- Dependencies: 3
-- Name: news_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE news_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2145 (class 1259 OID 631452)
-- Dependencies: 3
-- Name: offi_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE offi_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2146 (class 1259 OID 631454)
-- Dependencies: 3
-- Name: offscheddoc_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE offscheddoc_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2147 (class 1259 OID 631456)
-- Dependencies: 3
-- Name: oncall_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE oncall_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2148 (class 1259 OID 631458)
-- Dependencies: 3
-- Name: opmed_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE opmed_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2149 (class 1259 OID 631460)
-- Dependencies: 3
-- Name: passign_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE passign_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2150 (class 1259 OID 631462)
-- Dependencies: 3
-- Name: person_ins_inr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE person_ins_inr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2151 (class 1259 OID 631464)
-- Dependencies: 3
-- Name: person_onr_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE person_onr_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2152 (class 1259 OID 631466)
-- Dependencies: 3
-- Name: person_pid_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE person_pid_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2153 (class 1259 OID 631468)
-- Dependencies: 3
-- Name: personell_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE personell_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2154 (class 1259 OID 631470)
-- Dependencies: 3
-- Name: pharma_ocat_inr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE pharma_ocat_inr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2155 (class 1259 OID 631472)
-- Dependencies: 3
-- Name: pharma_olist_onr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE pharma_olist_onr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2156 (class 1259 OID 631474)
-- Dependencies: 3
-- Name: phone_inr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE phone_inr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2157 (class 1259 OID 631476)
-- Dependencies: 3
-- Name: preg_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE preg_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2158 (class 1259 OID 631478)
-- Dependencies: 3
-- Name: roleperson_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE roleperson_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2159 (class 1259 OID 631480)
-- Dependencies: 3
-- Name: room_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE room_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2160 (class 1259 OID 631482)
-- Dependencies: 3
-- Name: sched_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE sched_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2161 (class 1259 OID 631484)
-- Dependencies: 3
-- Name: sdoc_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE sdoc_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2162 (class 1259 OID 631486)
-- Dependencies: 3
-- Name: sdocdet_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE sdocdet_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2163 (class 1259 OID 631488)
-- Dependencies: 3
-- Name: sduty_rep_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE sduty_rep_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2164 (class 1259 OID 631490)
-- Dependencies: 3
-- Name: state_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE state_nr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2165 (class 1259 OID 631492)
-- Dependencies: 3
-- Name: techdo_bnr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE techdo_bnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2166 (class 1259 OID 631494)
-- Dependencies: 3
-- Name: techjob_bnr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE techjob_bnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2167 (class 1259 OID 631496)
-- Dependencies: 3
-- Name: techq_bnr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE techq_bnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2168 (class 1259 OID 631498)
-- Dependencies: 3
-- Name: testfinclab_bnr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE testfinclab_bnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2169 (class 1259 OID 631500)
-- Dependencies: 3
-- Name: testgroup_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE testgroup_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2170 (class 1259 OID 631502)
-- Dependencies: 3
-- Name: testparam_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE testparam_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2171 (class 1259 OID 631504)
-- Dependencies: 3
-- Name: testreq_blab_bnr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE testreq_blab_bnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2172 (class 1259 OID 631506)
-- Dependencies: 3
-- Name: testreqblood_bnr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE testreqblood_bnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2173 (class 1259 OID 631508)
-- Dependencies: 3
-- Name: testreqclab_bnr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE testreqclab_bnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2174 (class 1259 OID 631510)
-- Dependencies: 3
-- Name: testreqgen_bnr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE testreqgen_bnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2175 (class 1259 OID 631512)
-- Dependencies: 3
-- Name: testreqpath_bnr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE testreqpath_bnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2176 (class 1259 OID 631514)
-- Dependencies: 3
-- Name: testreqradio_bnr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE testreqradio_bnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


SET default_with_oids = false;

--
-- TOC entry 2201 (class 1259 OID 866657)
-- Dependencies: 3
-- Name: tmp; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE tmp (
    user_id character varying(100),
    serial_config_data text,
    notes character varying(255),
    status character varying(25),
    history text,
    modify_id character varying(35),
    modify_time bigint,
    create_id character varying(35),
    create_time bigint
);


--
-- TOC entry 2202 (class 1259 OID 866669)
-- Dependencies: 3
-- Name: tmp2; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE tmp2 (
    user_id character varying(100),
    serial_config_data text,
    notes character varying(255),
    status character varying(25),
    history text,
    modify_id character varying(35),
    modify_time bigint,
    create_id character varying(35),
    create_time bigint
);


--
-- TOC entry 2177 (class 1259 OID 631516)
-- Dependencies: 3
-- Name: type_ana_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_ana_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2178 (class 1259 OID 631518)
-- Dependencies: 3
-- Name: type_app_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_app_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2179 (class 1259 OID 631520)
-- Dependencies: 3
-- Name: type_assign_tnr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_assign_tnr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2180 (class 1259 OID 631522)
-- Dependencies: 3
-- Name: type_dept_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_dept_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2181 (class 1259 OID 631524)
-- Dependencies: 3
-- Name: type_disch_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_disch_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2182 (class 1259 OID 631526)
-- Dependencies: 3
-- Name: type_duty_tnr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_duty_tnr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2183 (class 1259 OID 631528)
-- Dependencies: 3
-- Name: type_enc_tnr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_enc_tnr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2184 (class 1259 OID 631530)
-- Dependencies: 3
-- Name: type_eorig_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_eorig_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2185 (class 1259 OID 631532)
-- Dependencies: 3
-- Name: type_feed_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_feed_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2186 (class 1259 OID 631534)
-- Dependencies: 3
-- Name: type_ins_tnr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_ins_tnr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2187 (class 1259 OID 631536)
-- Dependencies: 3
-- Name: type_loc_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_loc_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2188 (class 1259 OID 631538)
-- Dependencies: 3
-- Name: type_locat_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_locat_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2189 (class 1259 OID 631540)
-- Dependencies: 3
-- Name: type_msr_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_msr_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2190 (class 1259 OID 631542)
-- Dependencies: 3
-- Name: type_notes_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_notes_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2191 (class 1259 OID 631544)
-- Dependencies: 3
-- Name: type_opd_tnr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_opd_tnr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2192 (class 1259 OID 631546)
-- Dependencies: 3
-- Name: type_outc_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_outc_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2193 (class 1259 OID 631548)
-- Dependencies: 3
-- Name: type_peri_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_peri_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2194 (class 1259 OID 631550)
-- Dependencies: 3
-- Name: type_presc_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_presc_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2195 (class 1259 OID 631552)
-- Dependencies: 3
-- Name: type_room_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_room_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2196 (class 1259 OID 631554)
-- Dependencies: 3
-- Name: type_test_tnr_sec; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_test_tnr_sec
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2197 (class 1259 OID 631556)
-- Dependencies: 3
-- Name: type_time_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_time_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2198 (class 1259 OID 631558)
-- Dependencies: 3
-- Name: type_umsr_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE type_umsr_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2199 (class 1259 OID 631560)
-- Dependencies: 3
-- Name: unit_msr_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE unit_msr_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 2200 (class 1259 OID 631562)
-- Dependencies: 3
-- Name: ward_nr_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE ward_nr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 3459 (class 2606 OID 631565)
-- Dependencies: 1955 1955
-- Name: addr_ct_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_address_citytown
    ADD CONSTRAINT addr_ct_pkey PRIMARY KEY (nr);


--
-- TOC entry 3462 (class 2606 OID 631567)
-- Dependencies: 1956 1956
-- Name: appt_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_appointment
    ADD CONSTRAINT appt_pkey PRIMARY KEY (nr);


--
-- TOC entry 3464 (class 2606 OID 631569)
-- Dependencies: 1957 1957
-- Name: bill_arch_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_billing_archive
    ADD CONSTRAINT bill_arch_pkey PRIMARY KEY (bill_no);


--
-- TOC entry 3467 (class 2606 OID 631571)
-- Dependencies: 1958 1958
-- Name: bill_bill_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_billing_bill
    ADD CONSTRAINT bill_bill_pkey PRIMARY KEY (bill_bill_no);


--
-- TOC entry 3474 (class 2606 OID 631573)
-- Dependencies: 1960 1960
-- Name: bill_final_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_billing_final
    ADD CONSTRAINT bill_final_pkey PRIMARY KEY (final_id);


--
-- TOC entry 3471 (class 2606 OID 631575)
-- Dependencies: 1959 1959
-- Name: bill_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_billing_bill_item
    ADD CONSTRAINT bill_item_pkey PRIMARY KEY (bill_item_id);


--
-- TOC entry 3479 (class 2606 OID 631577)
-- Dependencies: 1962 1962
-- Name: bill_pay_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_billing_payment
    ADD CONSTRAINT bill_pay_pkey PRIMARY KEY (payment_id);


--
-- TOC entry 3476 (class 2606 OID 631579)
-- Dependencies: 1961 1961
-- Name: billing_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_billing_item
    ADD CONSTRAINT billing_item_pkey PRIMARY KEY (item_code);


--
-- TOC entry 3482 (class 2606 OID 631581)
-- Dependencies: 1963 1963
-- Name: cache_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_cache
    ADD CONSTRAINT cache_pkey PRIMARY KEY (id);


--
-- TOC entry 3487 (class 2606 OID 631583)
-- Dependencies: 1965 1965
-- Name: cafe_prices_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_cafe_prices
    ADD CONSTRAINT cafe_prices_item_pkey PRIMARY KEY (item);


--
-- TOC entry 3519 (class 2606 OID 631585)
-- Dependencies: 1980 1980
-- Name: care_department_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_department
    ADD CONSTRAINT care_department_pkey PRIMARY KEY (nr);


--
-- TOC entry 3660 (class 2606 OID 631587)
-- Dependencies: 2040 2040
-- Name: care_phone_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_phone
    ADD CONSTRAINT care_phone_pkey PRIMARY KEY (item_nr);


--
-- TOC entry 3682 (class 2606 OID 631589)
-- Dependencies: 2048 2048
-- Name: care_sessions_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_sessions
    ADD CONSTRAINT care_sessions_pkey PRIMARY KEY (sesskey);


--
-- TOC entry 3691 (class 2606 OID 631591)
-- Dependencies: 2052 2052
-- Name: care_tech_questions_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_tech_questions
    ADD CONSTRAINT care_tech_questions_pkey PRIMARY KEY (batch_nr);


--
-- TOC entry 3489 (class 2606 OID 631593)
-- Dependencies: 1966 1966
-- Name: cat_diag_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_category_diagnosis
    ADD CONSTRAINT cat_diag_pkey PRIMARY KEY (nr);


--
-- TOC entry 3491 (class 2606 OID 631595)
-- Dependencies: 1967 1967
-- Name: cat_disease_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_category_disease
    ADD CONSTRAINT cat_disease_pkey PRIMARY KEY (nr);


--
-- TOC entry 3493 (class 2606 OID 631597)
-- Dependencies: 1968 1968
-- Name: cat_proc_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_category_procedure
    ADD CONSTRAINT cat_proc_pkey PRIMARY KEY (nr);


--
-- TOC entry 3495 (class 2606 OID 631599)
-- Dependencies: 1969 1969
-- Name: class_enc_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_class_encounter
    ADD CONSTRAINT class_enc_pkey PRIMARY KEY (class_nr);


--
-- TOC entry 3497 (class 2606 OID 631601)
-- Dependencies: 1970 1970
-- Name: class_eorig_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_class_ethnic_orig
    ADD CONSTRAINT class_eorig_pkey PRIMARY KEY (nr);


--
-- TOC entry 3500 (class 2606 OID 631603)
-- Dependencies: 1971 1971
-- Name: class_fin_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_class_financial
    ADD CONSTRAINT class_fin_pkey PRIMARY KEY (class_nr);


--
-- TOC entry 3502 (class 2606 OID 631605)
-- Dependencies: 1972 1972
-- Name: class_ins_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_class_insurance
    ADD CONSTRAINT class_ins_pkey PRIMARY KEY (class_nr);


--
-- TOC entry 3504 (class 2606 OID 631607)
-- Dependencies: 1973 1973
-- Name: class_ther_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_class_therapy
    ADD CONSTRAINT class_ther_pkey PRIMARY KEY (nr);


--
-- TOC entry 3507 (class 2606 OID 631609)
-- Dependencies: 1974 1974
-- Name: classif_neo_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_classif_neonatal
    ADD CONSTRAINT classif_neo_pkey PRIMARY KEY (nr);


--
-- TOC entry 3509 (class 2606 OID 631611)
-- Dependencies: 1975 1975
-- Name: complic_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_complication
    ADD CONSTRAINT complic_pkey PRIMARY KEY (nr);


--
-- TOC entry 3511 (class 2606 OID 631613)
-- Dependencies: 1976 1976
-- Name: config_global_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_config_global
    ADD CONSTRAINT config_global_pkey PRIMARY KEY (type);


--
-- TOC entry 3513 (class 2606 OID 631615)
-- Dependencies: 1977 1977
-- Name: config_user_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_config_user
    ADD CONSTRAINT config_user_pkey PRIMARY KEY (user_id);


--
-- TOC entry 3515 (class 2606 OID 631617)
-- Dependencies: 1978 1978
-- Name: cturn_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_count_turn
    ADD CONSTRAINT cturn_pkey PRIMARY KEY (nr);


--
-- TOC entry 3517 (class 2606 OID 631619)
-- Dependencies: 1979 1979
-- Name: cur_item_no_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_currency
    ADD CONSTRAINT cur_item_no_pkey PRIMARY KEY (item_no);


--
-- TOC entry 3622 (class 2606 OID 631621)
-- Dependencies: 2024 2024
-- Name: delivery_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_mode_delivery
    ADD CONSTRAINT delivery_pkey PRIMARY KEY (nr);


--
-- TOC entry 3522 (class 2606 OID 631623)
-- Dependencies: 1981 1981
-- Name: diag_localcode_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_diagnosis_localcode
    ADD CONSTRAINT diag_localcode_pkey PRIMARY KEY (localcode);


--
-- TOC entry 3525 (class 2606 OID 631625)
-- Dependencies: 1982 1982
-- Name: drg_int_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_drg_intern
    ADD CONSTRAINT drg_int_pkey PRIMARY KEY (nr);


--
-- TOC entry 3527 (class 2606 OID 631627)
-- Dependencies: 1983 1983
-- Name: drg_qlist_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_drg_quicklist
    ADD CONSTRAINT drg_qlist_pkey PRIMARY KEY (nr);


--
-- TOC entry 3529 (class 2606 OID 631629)
-- Dependencies: 1984 1984
-- Name: drg_relcodes_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_drg_related_codes
    ADD CONSTRAINT drg_relcodes_pkey PRIMARY KEY (nr);


--
-- TOC entry 3534 (class 2606 OID 631631)
-- Dependencies: 1986 1986
-- Name: effday_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_effective_day
    ADD CONSTRAINT effday_pkey PRIMARY KEY (eff_day_nr);


--
-- TOC entry 3541 (class 2606 OID 631633)
-- Dependencies: 1988 1988
-- Name: enc_diag_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_encounter_diagnosis
    ADD CONSTRAINT enc_diag_pkey PRIMARY KEY (diagnosis_nr);


--
-- TOC entry 3547 (class 2606 OID 631635)
-- Dependencies: 1990 1990
-- Name: enc_drg_int_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_encounter_drg_intern
    ADD CONSTRAINT enc_drg_int_pkey PRIMARY KEY (nr);


--
-- TOC entry 3549 (class 2606 OID 631637)
-- Dependencies: 1991 1991
-- Name: enc_event_sig_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_encounter_event_signaller
    ADD CONSTRAINT enc_event_sig_pkey PRIMARY KEY (encounter_nr);


--
-- TOC entry 3551 (class 2606 OID 631639)
-- Dependencies: 1992 1992
-- Name: enc_fin_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_encounter_financial_class
    ADD CONSTRAINT enc_fin_pkey PRIMARY KEY (nr);


--
-- TOC entry 3554 (class 2606 OID 631641)
-- Dependencies: 1993 1993
-- Name: enc_img_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_encounter_image
    ADD CONSTRAINT enc_img_pkey PRIMARY KEY (nr);


--
-- TOC entry 3556 (class 2606 OID 631643)
-- Dependencies: 1994 1994
-- Name: enc_imm_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_encounter_immunization
    ADD CONSTRAINT enc_imm_pkey PRIMARY KEY (nr);


--
-- TOC entry 3559 (class 2606 OID 631645)
-- Dependencies: 1995 1995
-- Name: enc_loc_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_encounter_location
    ADD CONSTRAINT enc_loc_pkey PRIMARY KEY (nr);


--
-- TOC entry 3563 (class 2606 OID 631647)
-- Dependencies: 1996 1996
-- Name: enc_msr_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_encounter_measurement
    ADD CONSTRAINT enc_msr_pkey PRIMARY KEY (nr);


--
-- TOC entry 3567 (class 2606 OID 631649)
-- Dependencies: 1997 1997
-- Name: enc_notes_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_encounter_notes
    ADD CONSTRAINT enc_notes_pkey PRIMARY KEY (nr);


--
-- TOC entry 3570 (class 2606 OID 631651)
-- Dependencies: 1998 1998
-- Name: enc_obs_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_encounter_obstetric
    ADD CONSTRAINT enc_obs_pkey PRIMARY KEY (encounter_nr);


--
-- TOC entry 3575 (class 2606 OID 631653)
-- Dependencies: 1999 1999
-- Name: enc_op_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_encounter_op
    ADD CONSTRAINT enc_op_pkey PRIMARY KEY (nr);


--
-- TOC entry 3579 (class 2606 OID 631655)
-- Dependencies: 2000 2000
-- Name: enc_presc_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_encounter_prescription
    ADD CONSTRAINT enc_presc_pkey PRIMARY KEY (nr);


--
-- TOC entry 3581 (class 2606 OID 631657)
-- Dependencies: 2001 2001
-- Name: enc_prescnotes_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_encounter_prescription_notes
    ADD CONSTRAINT enc_prescnotes_pkey PRIMARY KEY (nr);


--
-- TOC entry 3584 (class 2606 OID 631659)
-- Dependencies: 2002 2002
-- Name: enc_proc_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_encounter_procedure
    ADD CONSTRAINT enc_proc_pkey PRIMARY KEY (procedure_nr);


--
-- TOC entry 3543 (class 2606 OID 631661)
-- Dependencies: 1989 1989
-- Name: enc_rep_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_encounter_diagnostics_report
    ADD CONSTRAINT enc_rep_pkey PRIMARY KEY (item_nr);


--
-- TOC entry 3587 (class 2606 OID 631663)
-- Dependencies: 2003 2003
-- Name: enc_sick_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_encounter_sickconfirm
    ADD CONSTRAINT enc_sick_pkey PRIMARY KEY (nr);


--
-- TOC entry 3538 (class 2606 OID 631665)
-- Dependencies: 1987 1987
-- Name: encounter_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_encounter
    ADD CONSTRAINT encounter_pkey PRIMARY KEY (encounter_nr);


--
-- TOC entry 3589 (class 2606 OID 631667)
-- Dependencies: 2004 2004
-- Name: group_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_group
    ADD CONSTRAINT group_pkey PRIMARY KEY (nr);


--
-- TOC entry 3591 (class 2606 OID 631669)
-- Dependencies: 2005 2005
-- Name: hospital_nr_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_hospital
    ADD CONSTRAINT hospital_nr_pkey PRIMARY KEY (nr);


--
-- TOC entry 3599 (class 2606 OID 631671)
-- Dependencies: 2013 2013
-- Name: img_diag_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_img_diagnostic
    ADD CONSTRAINT img_diag_pkey PRIMARY KEY (nr);


--
-- TOC entry 3620 (class 2606 OID 631673)
-- Dependencies: 2023 2023
-- Name: induction_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_method_induction
    ADD CONSTRAINT induction_pkey PRIMARY KEY (nr);


--
-- TOC entry 3602 (class 2606 OID 631675)
-- Dependencies: 2014 2014
-- Name: ins_firm_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_insurance_firm
    ADD CONSTRAINT ins_firm_pkey PRIMARY KEY (firm_id);


--
-- TOC entry 3605 (class 2606 OID 631677)
-- Dependencies: 2016 2016
-- Name: mail_users_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_mail_private_users
    ADD CONSTRAINT mail_users_pkey PRIMARY KEY (email);


--
-- TOC entry 3608 (class 2606 OID 631679)
-- Dependencies: 2017 2017
-- Name: med_ocat_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_med_ordercatalog
    ADD CONSTRAINT med_ocat_pkey PRIMARY KEY (item_no);


--
-- TOC entry 3611 (class 2606 OID 631681)
-- Dependencies: 2018 2018
-- Name: med_olist_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_med_orderlist
    ADD CONSTRAINT med_olist_pkey PRIMARY KEY (order_nr);


--
-- TOC entry 3614 (class 2606 OID 631683)
-- Dependencies: 2019 2019
-- Name: med_prod_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_med_products_main
    ADD CONSTRAINT med_prod_pkey PRIMARY KEY (bestellnum);


--
-- TOC entry 3616 (class 2606 OID 631685)
-- Dependencies: 2020 2020
-- Name: med_report_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_med_report
    ADD CONSTRAINT med_report_pkey PRIMARY KEY (report_nr);


--
-- TOC entry 3485 (class 2606 OID 631687)
-- Dependencies: 1964 1964
-- Name: menu_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_cafe_menu
    ADD CONSTRAINT menu_item_pkey PRIMARY KEY (item);


--
-- TOC entry 3618 (class 2606 OID 631689)
-- Dependencies: 2021 2021
-- Name: menu_main_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_menu_main
    ADD CONSTRAINT menu_main_pkey PRIMARY KEY (nr);


--
-- TOC entry 3627 (class 2606 OID 631691)
-- Dependencies: 2025 2025
-- Name: neonatal_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_neonatal
    ADD CONSTRAINT neonatal_pkey PRIMARY KEY (nr);


--
-- TOC entry 3629 (class 2606 OID 631693)
-- Dependencies: 2026 2026
-- Name: news_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_news_article
    ADD CONSTRAINT news_pkey PRIMARY KEY (nr);


--
-- TOC entry 3631 (class 2606 OID 631695)
-- Dependencies: 2027 2027
-- Name: offi_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_office
    ADD CONSTRAINT offi_pkey PRIMARY KEY (nr);


--
-- TOC entry 3633 (class 2606 OID 631697)
-- Dependencies: 2028 2028
-- Name: offscheddoc_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_office_scheddoc
    ADD CONSTRAINT offscheddoc_pkey PRIMARY KEY (nr);


--
-- TOC entry 3532 (class 2606 OID 631699)
-- Dependencies: 1985 1985
-- Name: oncall_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_dutyplan_oncall
    ADD CONSTRAINT oncall_pkey PRIMARY KEY (nr);


--
-- TOC entry 3636 (class 2606 OID 631701)
-- Dependencies: 2029 2029
-- Name: opmed_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_op_med_doc
    ADD CONSTRAINT opmed_pkey PRIMARY KEY (nr);


--
-- TOC entry 3649 (class 2606 OID 631703)
-- Dependencies: 2036 2036
-- Name: passign_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_personell_assignment
    ADD CONSTRAINT passign_pkey PRIMARY KEY (nr);


--
-- TOC entry 3640 (class 2606 OID 631705)
-- Dependencies: 2033 2033
-- Name: person_ins_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_person_insurance
    ADD CONSTRAINT person_ins_pkey PRIMARY KEY (item_nr);


--
-- TOC entry 3644 (class 2606 OID 631707)
-- Dependencies: 2034 2034
-- Name: person_onr_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_person_other_number
    ADD CONSTRAINT person_onr_pkey PRIMARY KEY (nr);


--
-- TOC entry 3647 (class 2606 OID 631709)
-- Dependencies: 2035 2035
-- Name: personell_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_personell
    ADD CONSTRAINT personell_pkey PRIMARY KEY (nr);


--
-- TOC entry 3652 (class 2606 OID 631711)
-- Dependencies: 2037 2037
-- Name: pharma_ocat_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_pharma_ordercatalog
    ADD CONSTRAINT pharma_ocat_pkey PRIMARY KEY (item_no);


--
-- TOC entry 3655 (class 2606 OID 631713)
-- Dependencies: 2038 2038
-- Name: pharma_olist_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_pharma_orderlist
    ADD CONSTRAINT pharma_olist_pkey PRIMARY KEY (order_nr);


--
-- TOC entry 3657 (class 2606 OID 631715)
-- Dependencies: 2039 2039
-- Name: pharma_prod_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_pharma_products_main
    ADD CONSTRAINT pharma_prod_pkey PRIMARY KEY (bestellnum);


--
-- TOC entry 3665 (class 2606 OID 631717)
-- Dependencies: 2041 2041
-- Name: preg_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_pregnancy
    ADD CONSTRAINT preg_pkey PRIMARY KEY (nr);


--
-- TOC entry 3667 (class 2606 OID 631719)
-- Dependencies: 2042 2042
-- Name: registry_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_registry
    ADD CONSTRAINT registry_pkey PRIMARY KEY (registry_id);


--
-- TOC entry 3669 (class 2606 OID 631721)
-- Dependencies: 2043 2043
-- Name: roleperson_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_role_person
    ADD CONSTRAINT roleperson_pkey PRIMARY KEY (nr);


--
-- TOC entry 3672 (class 2606 OID 631723)
-- Dependencies: 2044 2044
-- Name: room_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_room
    ADD CONSTRAINT room_pkey PRIMARY KEY (nr);


--
-- TOC entry 3676 (class 2606 OID 631725)
-- Dependencies: 2045 2045
-- Name: sched_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_schedule
    ADD CONSTRAINT sched_pkey PRIMARY KEY (nr);


--
-- TOC entry 3678 (class 2606 OID 631727)
-- Dependencies: 2046 2046
-- Name: sdoc_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_schedule_doctor
    ADD CONSTRAINT sdoc_pkey PRIMARY KEY (nr);


--
-- TOC entry 3680 (class 2606 OID 631729)
-- Dependencies: 2047 2047
-- Name: sdocdet_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_schedule_doctor_det
    ADD CONSTRAINT sdocdet_pkey PRIMARY KEY (nr);


--
-- TOC entry 3685 (class 2606 OID 631731)
-- Dependencies: 2049 2049
-- Name: sduty_report_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_standby_duty_report
    ADD CONSTRAINT sduty_report_pkey PRIMARY KEY (report_nr);


--
-- TOC entry 3687 (class 2606 OID 631733)
-- Dependencies: 2050 2050
-- Name: state_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_state
    ADD CONSTRAINT state_pkey PRIMARY KEY (nr);


--
-- TOC entry 3693 (class 2606 OID 631735)
-- Dependencies: 2053 2053
-- Name: techdo_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_tech_repair_done
    ADD CONSTRAINT techdo_pkey PRIMARY KEY (batch_nr);


--
-- TOC entry 3695 (class 2606 OID 631737)
-- Dependencies: 2054 2054
-- Name: techjob_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_tech_repair_job
    ADD CONSTRAINT techjob_pkey PRIMARY KEY (batch_nr);


--
-- TOC entry 3697 (class 2606 OID 631739)
-- Dependencies: 2055 2055
-- Name: testfind_baclab_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_test_findings_baclabor
    ADD CONSTRAINT testfind_baclab_pkey PRIMARY KEY (batch_nr);


--
-- TOC entry 3701 (class 2606 OID 631741)
-- Dependencies: 2056 2056
-- Name: testfind_clab_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_test_findings_chemlab
    ADD CONSTRAINT testfind_clab_pkey PRIMARY KEY (batch_nr);


--
-- TOC entry 3704 (class 2606 OID 631743)
-- Dependencies: 2057 2057
-- Name: testfind_path_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_test_findings_patho
    ADD CONSTRAINT testfind_path_pkey PRIMARY KEY (batch_nr);


--
-- TOC entry 3707 (class 2606 OID 631745)
-- Dependencies: 2058 2058
-- Name: testfind_radio_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_test_findings_radio
    ADD CONSTRAINT testfind_radio_pkey PRIMARY KEY (batch_nr);


--
-- TOC entry 3710 (class 2606 OID 631747)
-- Dependencies: 2059 2059
-- Name: testgroup_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_test_group
    ADD CONSTRAINT testgroup_pkey PRIMARY KEY (nr);


--
-- TOC entry 3712 (class 2606 OID 631749)
-- Dependencies: 2060 2060
-- Name: testparam_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_test_param
    ADD CONSTRAINT testparam_pkey PRIMARY KEY (nr);


--
-- TOC entry 3714 (class 2606 OID 631751)
-- Dependencies: 2061 2061
-- Name: testreq_blab_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_test_request_baclabor
    ADD CONSTRAINT testreq_blab_pkey PRIMARY KEY (batch_nr);


--
-- TOC entry 3717 (class 2606 OID 631753)
-- Dependencies: 2062 2062
-- Name: testreqblood_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_test_request_blood
    ADD CONSTRAINT testreqblood_pkey PRIMARY KEY (batch_nr);


--
-- TOC entry 3721 (class 2606 OID 631755)
-- Dependencies: 2063 2063
-- Name: testreqclab_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_test_request_chemlabor
    ADD CONSTRAINT testreqclab_pkey PRIMARY KEY (batch_nr);


--
-- TOC entry 3724 (class 2606 OID 631757)
-- Dependencies: 2064 2064
-- Name: testreqgen_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_test_request_generic
    ADD CONSTRAINT testreqgen_pkey PRIMARY KEY (batch_nr);


--
-- TOC entry 3728 (class 2606 OID 631759)
-- Dependencies: 2065 2065
-- Name: testreqpath_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_test_request_patho
    ADD CONSTRAINT testreqpath_pkey PRIMARY KEY (batch_nr);


--
-- TOC entry 3732 (class 2606 OID 631761)
-- Dependencies: 2066 2066
-- Name: testreqradio_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_test_request_radio
    ADD CONSTRAINT testreqradio_pkey PRIMARY KEY (batch_nr);


--
-- TOC entry 3736 (class 2606 OID 631763)
-- Dependencies: 2067 2067
-- Name: type_ana_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_type_anaesthesia
    ADD CONSTRAINT type_ana_pkey PRIMARY KEY (nr);


--
-- TOC entry 3738 (class 2606 OID 631765)
-- Dependencies: 2068 2068
-- Name: type_app_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_type_application
    ADD CONSTRAINT type_app_pkey PRIMARY KEY (nr);


--
-- TOC entry 3740 (class 2606 OID 631767)
-- Dependencies: 2069 2069
-- Name: type_assign_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_type_assignment
    ADD CONSTRAINT type_assign_pkey PRIMARY KEY (type_nr);


--
-- TOC entry 3742 (class 2606 OID 631769)
-- Dependencies: 2071 2071
-- Name: type_color_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_type_color
    ADD CONSTRAINT type_color_pkey PRIMARY KEY (color_id);


--
-- TOC entry 3744 (class 2606 OID 631771)
-- Dependencies: 2072 2072
-- Name: type_dept_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_type_department
    ADD CONSTRAINT type_dept_pkey PRIMARY KEY (nr);


--
-- TOC entry 3746 (class 2606 OID 631773)
-- Dependencies: 2073 2073
-- Name: type_disch_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_type_discharge
    ADD CONSTRAINT type_disch_pkey PRIMARY KEY (nr);


--
-- TOC entry 3748 (class 2606 OID 631775)
-- Dependencies: 2074 2074
-- Name: type_duty_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY care_type_duty
    ADD CONSTRAINT type_duty_pkey PRIMARY KEY (type_nr);


--
-- TOC entry 3457 (class 1259 OID 631776)
-- Dependencies: 1955
-- Name: addr_ct_name; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX addr_ct_name ON care_address_citytown USING btree (name);


--
-- TOC entry 3460 (class 1259 OID 631777)
-- Dependencies: 1956
-- Name: appt_pid; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX appt_pid ON care_appointment USING btree (pid);


--
-- TOC entry 3465 (class 1259 OID 631778)
-- Dependencies: 1958
-- Name: bill_bill_enr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX bill_bill_enr ON care_billing_bill USING btree (bill_encounter_nr);


--
-- TOC entry 3472 (class 1259 OID 631779)
-- Dependencies: 1960
-- Name: bill_final_enr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX bill_final_enr ON care_billing_final USING btree (final_encounter_nr);


--
-- TOC entry 3468 (class 1259 OID 631780)
-- Dependencies: 1959
-- Name: bill_item_bill_no; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX bill_item_bill_no ON care_billing_bill_item USING btree (bill_item_bill_no);


--
-- TOC entry 3469 (class 1259 OID 631781)
-- Dependencies: 1959
-- Name: bill_item_enr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX bill_item_enr ON care_billing_bill_item USING btree (bill_item_encounter_nr);


--
-- TOC entry 3477 (class 1259 OID 631782)
-- Dependencies: 1962
-- Name: bill_pay_enr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX bill_pay_enr ON care_billing_payment USING btree (payment_encounter_nr);


--
-- TOC entry 3480 (class 1259 OID 631783)
-- Dependencies: 1962
-- Name: bill_pay_rcptnr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX bill_pay_rcptnr ON care_billing_payment USING btree (payment_receipt_no);


--
-- TOC entry 3483 (class 1259 OID 631784)
-- Dependencies: 1964
-- Name: cafe_cdate; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX cafe_cdate ON care_cafe_menu USING btree (cdate);


--
-- TOC entry 3658 (class 1259 OID 631785)
-- Dependencies: 2040
-- Name: care_phone_personell_nr_key; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE UNIQUE INDEX care_phone_personell_nr_key ON care_phone USING btree (personell_nr);


--
-- TOC entry 3688 (class 1259 OID 631786)
-- Dependencies: 2051
-- Name: care_steri_pro_containernum_key; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE UNIQUE INDEX care_steri_pro_containernum_key ON care_steri_products_main USING btree (containernum);


--
-- TOC entry 3689 (class 1259 OID 631787)
-- Dependencies: 2051
-- Name: care_steri_produ_bestellnum_key; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE UNIQUE INDEX care_steri_produ_bestellnum_key ON care_steri_products_main USING btree (bestellnum);


--
-- TOC entry 3749 (class 1259 OID 631788)
-- Dependencies: 2078
-- Name: care_type_immunization_nr_key; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE UNIQUE INDEX care_type_immunization_nr_key ON care_type_immunization USING btree (nr);


--
-- TOC entry 3498 (class 1259 OID 631789)
-- Dependencies: 1971
-- Name: class_fin_id; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX class_fin_id ON care_class_financial USING btree (class_id);


--
-- TOC entry 3505 (class 1259 OID 631790)
-- Dependencies: 1974
-- Name: classif_id; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE UNIQUE INDEX classif_id ON care_classif_neonatal USING btree (id);


--
-- TOC entry 3520 (class 1259 OID 631791)
-- Dependencies: 1980
-- Name: dept_id; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE UNIQUE INDEX dept_id ON care_department USING btree (id);


--
-- TOC entry 3523 (class 1259 OID 631792)
-- Dependencies: 1982
-- Name: drg_int_code; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX drg_int_code ON care_drg_intern USING btree (code);


--
-- TOC entry 3539 (class 1259 OID 631793)
-- Dependencies: 1988
-- Name: enc_diag_nr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX enc_diag_nr ON care_encounter_diagnosis USING btree (encounter_nr);


--
-- TOC entry 3545 (class 1259 OID 631794)
-- Dependencies: 1990
-- Name: enc_drg_int_nr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX enc_drg_int_nr ON care_encounter_drg_intern USING btree (encounter_nr);


--
-- TOC entry 3552 (class 1259 OID 631795)
-- Dependencies: 1993
-- Name: enc_img_enc_nr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX enc_img_enc_nr ON care_encounter_image USING btree (encounter_nr);


--
-- TOC entry 3557 (class 1259 OID 631796)
-- Dependencies: 1995
-- Name: enc_loc_nr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX enc_loc_nr ON care_encounter_location USING btree (location_nr);


--
-- TOC entry 3560 (class 1259 OID 631797)
-- Dependencies: 1995
-- Name: enc_loc_type; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX enc_loc_type ON care_encounter_location USING btree (type_nr);


--
-- TOC entry 3561 (class 1259 OID 631798)
-- Dependencies: 1996
-- Name: enc_msr_enr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX enc_msr_enr ON care_encounter_measurement USING btree (encounter_nr);


--
-- TOC entry 3564 (class 1259 OID 631799)
-- Dependencies: 1996
-- Name: enc_msr_type; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX enc_msr_type ON care_encounter_measurement USING btree (msr_type_nr);


--
-- TOC entry 3565 (class 1259 OID 631800)
-- Dependencies: 1997
-- Name: enc_notes_nr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX enc_notes_nr ON care_encounter_notes USING btree (encounter_nr);


--
-- TOC entry 3568 (class 1259 OID 631801)
-- Dependencies: 1997
-- Name: enc_notes_type_nr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX enc_notes_type_nr ON care_encounter_notes USING btree (type_nr);


--
-- TOC entry 3571 (class 1259 OID 631802)
-- Dependencies: 1998
-- Name: enc_obs_pregnr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX enc_obs_pregnr ON care_encounter_obstetric USING btree (pregnancy_nr);


--
-- TOC entry 3572 (class 1259 OID 631803)
-- Dependencies: 1999
-- Name: enc_op_date; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX enc_op_date ON care_encounter_op USING btree (op_date);


--
-- TOC entry 3573 (class 1259 OID 631804)
-- Dependencies: 1999
-- Name: enc_op_dept_nr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX enc_op_dept_nr ON care_encounter_op USING btree (dept_nr);


--
-- TOC entry 3576 (class 1259 OID 631805)
-- Dependencies: 1999
-- Name: enc_op_room; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX enc_op_room ON care_encounter_op USING btree (op_room);


--
-- TOC entry 3577 (class 1259 OID 631806)
-- Dependencies: 2000
-- Name: enc_presc_enr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX enc_presc_enr ON care_encounter_prescription USING btree (encounter_nr);


--
-- TOC entry 3582 (class 1259 OID 631807)
-- Dependencies: 2002
-- Name: enc_proc_enr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX enc_proc_enr ON care_encounter_procedure USING btree (encounter_nr);


--
-- TOC entry 3544 (class 1259 OID 631808)
-- Dependencies: 1989
-- Name: enc_report_nr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX enc_report_nr ON care_encounter_diagnostics_report USING btree (report_nr);


--
-- TOC entry 3585 (class 1259 OID 631809)
-- Dependencies: 2003
-- Name: enc_sick_enr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX enc_sick_enr ON care_encounter_sickconfirm USING btree (encounter_nr);


--
-- TOC entry 3535 (class 1259 OID 631810)
-- Dependencies: 1987
-- Name: encounter_date; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX encounter_date ON care_encounter USING btree (encounter_date);


--
-- TOC entry 3536 (class 1259 OID 631811)
-- Dependencies: 1987
-- Name: encounter_pid; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX encounter_pid ON care_encounter USING btree (pid);


--
-- TOC entry 3683 (class 1259 OID 631812)
-- Dependencies: 2048
-- Name: expiry; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX expiry ON care_sessions USING btree (expiry);


--
-- TOC entry 3592 (class 1259 OID 631813)
-- Dependencies: 2006
-- Name: icd10bg_code; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX icd10bg_code ON care_icd10_bg USING btree (diagnosis_code);


--
-- TOC entry 3593 (class 1259 OID 631814)
-- Dependencies: 2008
-- Name: icd10de_code; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX icd10de_code ON care_icd10_de USING btree (diagnosis_code);


--
-- TOC entry 3594 (class 1259 OID 631815)
-- Dependencies: 2009
-- Name: icd10en_code; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX icd10en_code ON care_icd10_en USING btree (diagnosis_code);


--
-- TOC entry 3595 (class 1259 OID 631816)
-- Dependencies: 2011
-- Name: icd10ptbr_code; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX icd10ptbr_code ON care_icd10_pt_br USING btree (diagnosis_code);


--
-- TOC entry 3596 (class 1259 OID 631817)
-- Dependencies: 2012
-- Name: icd10tr_code; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX icd10tr_code ON care_icd10_tr USING btree (diagnosis_code);


--
-- TOC entry 3597 (class 1259 OID 631818)
-- Dependencies: 2013
-- Name: img_diag_pid; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX img_diag_pid ON care_img_diagnostic USING btree (pid);


--
-- TOC entry 3600 (class 1259 OID 631819)
-- Dependencies: 2014
-- Name: ins_firm_name; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX ins_firm_name ON care_insurance_firm USING btree (name);


--
-- TOC entry 3750 (class 1259 OID 631820)
-- Dependencies: 2092
-- Name: login_id; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX login_id ON care_users USING btree (login_id);


--
-- TOC entry 3603 (class 1259 OID 631821)
-- Dependencies: 2015
-- Name: mail_recipient; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX mail_recipient ON care_mail_private USING btree (recipient);


--
-- TOC entry 3606 (class 1259 OID 631822)
-- Dependencies: 2017
-- Name: med_ocat_inr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX med_ocat_inr ON care_med_ordercatalog USING btree (item_no);


--
-- TOC entry 3609 (class 1259 OID 631823)
-- Dependencies: 2018
-- Name: med_olist_dept; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX med_olist_dept ON care_med_orderlist USING btree (dept_nr);


--
-- TOC entry 3612 (class 1259 OID 631824)
-- Dependencies: 2019
-- Name: med_prod_onr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX med_prod_onr ON care_med_products_main USING btree (bestellnum);


--
-- TOC entry 3623 (class 1259 OID 631825)
-- Dependencies: 2025
-- Name: neo_enr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX neo_enr ON care_neonatal USING btree (encounter_nr);


--
-- TOC entry 3624 (class 1259 OID 631826)
-- Dependencies: 2025
-- Name: neo_pid; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX neo_pid ON care_neonatal USING btree (pid);


--
-- TOC entry 3625 (class 1259 OID 631827)
-- Dependencies: 2025
-- Name: neo_pregnr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX neo_pregnr ON care_neonatal USING btree (parent_encounter_nr);


--
-- TOC entry 3530 (class 1259 OID 631828)
-- Dependencies: 1985
-- Name: oncall_dept_nr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX oncall_dept_nr ON care_dutyplan_oncall USING btree (dept_nr);


--
-- TOC entry 3634 (class 1259 OID 631829)
-- Dependencies: 2029
-- Name: opmed_enr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX opmed_enr ON care_op_med_doc USING btree (encounter_nr);


--
-- TOC entry 3637 (class 1259 OID 631830)
-- Dependencies: 2030
-- Name: ops301de_code; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX ops301de_code ON care_ops301_de USING btree (code);


--
-- TOC entry 3638 (class 1259 OID 631831)
-- Dependencies: 2031
-- Name: ops301es_code; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX ops301es_code ON care_ops301_es USING btree (code);


--
-- TOC entry 3650 (class 1259 OID 631832)
-- Dependencies: 2036
-- Name: passign_pnr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX passign_pnr ON care_personell_assignment USING btree (personell_nr);


--
-- TOC entry 3641 (class 1259 OID 631833)
-- Dependencies: 2034
-- Name: person_onr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX person_onr ON care_person_other_number USING btree (other_nr);


--
-- TOC entry 3642 (class 1259 OID 631834)
-- Dependencies: 2034
-- Name: person_onr_pid; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX person_onr_pid ON care_person_other_number USING btree (pid);


--
-- TOC entry 3645 (class 1259 OID 631835)
-- Dependencies: 2035
-- Name: personell_pid; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX personell_pid ON care_personell USING btree (pid);


--
-- TOC entry 3653 (class 1259 OID 631836)
-- Dependencies: 2038
-- Name: pharma_olist_dept; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX pharma_olist_dept ON care_pharma_orderlist USING btree (dept_nr);


--
-- TOC entry 3661 (class 1259 OID 631837)
-- Dependencies: 2040
-- Name: phone_fname; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX phone_fname ON care_phone USING btree (vorname);


--
-- TOC entry 3662 (class 1259 OID 631838)
-- Dependencies: 2040
-- Name: phone_lname; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX phone_lname ON care_phone USING btree (name);


--
-- TOC entry 3663 (class 1259 OID 631839)
-- Dependencies: 2041
-- Name: preg_enr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX preg_enr ON care_pregnancy USING btree (encounter_nr);


--
-- TOC entry 3670 (class 1259 OID 631840)
-- Dependencies: 2044
-- Name: room_deptnr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX room_deptnr ON care_room USING btree (dept_nr);


--
-- TOC entry 3673 (class 1259 OID 631841)
-- Dependencies: 2044
-- Name: room_roomnr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX room_roomnr ON care_room USING btree (room_nr);


--
-- TOC entry 3674 (class 1259 OID 631842)
-- Dependencies: 2044
-- Name: room_wardnr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX room_wardnr ON care_room USING btree (ward_nr);


--
-- TOC entry 3698 (class 1259 OID 631843)
-- Dependencies: 2055
-- Name: testfind_date; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX testfind_date ON care_test_findings_baclabor USING btree (findings_date);


--
-- TOC entry 3702 (class 1259 OID 631844)
-- Dependencies: 2057
-- Name: testfind_path_fdate; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX testfind_path_fdate ON care_test_findings_patho USING btree (findings_date);


--
-- TOC entry 3705 (class 1259 OID 631845)
-- Dependencies: 2058
-- Name: testfind_radio_fdate; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX testfind_radio_fdate ON care_test_findings_radio USING btree (findings_date);


--
-- TOC entry 3699 (class 1259 OID 631846)
-- Dependencies: 2055
-- Name: testfind_rec_date; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX testfind_rec_date ON care_test_findings_baclabor USING btree (rec_date);


--
-- TOC entry 3708 (class 1259 OID 631847)
-- Dependencies: 2059
-- Name: testgroup_id; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE UNIQUE INDEX testgroup_id ON care_test_group USING btree (group_id);


--
-- TOC entry 3715 (class 1259 OID 631848)
-- Dependencies: 2061
-- Name: testreq_blab_sdate; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX testreq_blab_sdate ON care_test_request_baclabor USING btree (send_date);


--
-- TOC entry 3718 (class 1259 OID 631849)
-- Dependencies: 2062
-- Name: testreqblood_sdate; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX testreqblood_sdate ON care_test_request_blood USING btree (send_date);


--
-- TOC entry 3719 (class 1259 OID 631850)
-- Dependencies: 2063
-- Name: testreqclab_enr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX testreqclab_enr ON care_test_request_chemlabor USING btree (encounter_nr);


--
-- TOC entry 3722 (class 1259 OID 631851)
-- Dependencies: 2064
-- Name: testreqgen_enr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX testreqgen_enr ON care_test_request_generic USING btree (encounter_nr);


--
-- TOC entry 3725 (class 1259 OID 631852)
-- Dependencies: 2064
-- Name: testreqgen_sdate; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX testreqgen_sdate ON care_test_request_generic USING btree (send_date);


--
-- TOC entry 3726 (class 1259 OID 631853)
-- Dependencies: 2065
-- Name: testreqpath_enr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX testreqpath_enr ON care_test_request_patho USING btree (encounter_nr);


--
-- TOC entry 3729 (class 1259 OID 631854)
-- Dependencies: 2065
-- Name: testreqpath_sdate; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX testreqpath_sdate ON care_test_request_patho USING btree (send_date);


--
-- TOC entry 3730 (class 1259 OID 631855)
-- Dependencies: 2066
-- Name: testreqradio_enr; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX testreqradio_enr ON care_test_request_radio USING btree (encounter_nr);


--
-- TOC entry 3733 (class 1259 OID 631856)
-- Dependencies: 2066
-- Name: testreqradio_xtime; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX testreqradio_xtime ON care_test_request_radio USING btree (xray_time);


--
-- TOC entry 3734 (class 1259 OID 631857)
-- Dependencies: 2067
-- Name: type_ana_id; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE UNIQUE INDEX type_ana_id ON care_type_anaesthesia USING btree (id);


--
-- TOC entry 3751 (class 1259 OID 631858)
-- Dependencies: 2094
-- Name: ward_id; Type: INDEX; Schema: public; Owner: -; Tablespace: 
--

CREATE INDEX ward_id ON care_ward USING btree (ward_id);


--
-- TOC entry 3752 (class 2606 OID 631859)
-- Dependencies: 1956 2047 3679
-- Name: care_appointment_sdd_nr; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY care_appointment
    ADD CONSTRAINT care_appointment_sdd_nr FOREIGN KEY (sdd_nr) REFERENCES care_schedule_doctor_det(nr);


--
-- TOC entry 3754 (class 2606 OID 631864)
-- Dependencies: 3679 2047 1978
-- Name: care_count_turn_sdd_nr; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY care_count_turn
    ADD CONSTRAINT care_count_turn_sdd_nr FOREIGN KEY (sdd_nr) REFERENCES care_schedule_doctor_det(nr);


--
-- TOC entry 3755 (class 2606 OID 631869)
-- Dependencies: 1980 3590 2005
-- Name: care_department_hospital_nr; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY care_department
    ADD CONSTRAINT care_department_hospital_nr FOREIGN KEY (hospital_nr) REFERENCES care_hospital(nr) ON DELETE RESTRICT;


--
-- TOC entry 3756 (class 2606 OID 631874)
-- Dependencies: 2027 3590 2005
-- Name: care_office_hospital_nr; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY care_office
    ADD CONSTRAINT care_office_hospital_nr FOREIGN KEY (hospital_nr) REFERENCES care_hospital(nr) ON DELETE RESTRICT;


--
-- TOC entry 3762 (class 2606 OID 631879)
-- Dependencies: 2027 3630 2047
-- Name: care_office_office_nr; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY care_schedule_doctor_det
    ADD CONSTRAINT care_office_office_nr FOREIGN KEY (office_nr) REFERENCES care_office(nr);


--
-- TOC entry 3758 (class 2606 OID 631884)
-- Dependencies: 1980 2036 3518
-- Name: care_passign_location_nr; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY care_personell_assignment
    ADD CONSTRAINT care_passign_location_nr FOREIGN KEY (location_nr) REFERENCES care_department(nr);


--
-- TOC entry 3759 (class 2606 OID 631889)
-- Dependencies: 3646 2036 2035
-- Name: care_passign_personell_nr; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY care_personell_assignment
    ADD CONSTRAINT care_passign_personell_nr FOREIGN KEY (personell_nr) REFERENCES care_personell(nr);


--
-- TOC entry 3757 (class 2606 OID 631894)
-- Dependencies: 2005 2035 3590
-- Name: care_personell_hospital_nr; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY care_personell
    ADD CONSTRAINT care_personell_hospital_nr FOREIGN KEY (hospital_nr) REFERENCES care_hospital(nr) ON DELETE RESTRICT;


--
-- TOC entry 3763 (class 2606 OID 631899)
-- Dependencies: 2045 2047 3675
-- Name: care_schedule_doctor_det_schedule_nr_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY care_schedule_doctor_det
    ADD CONSTRAINT care_schedule_doctor_det_schedule_nr_fkey FOREIGN KEY (schedule_nr) REFERENCES care_schedule(nr);


--
-- TOC entry 3764 (class 2606 OID 631904)
-- Dependencies: 2046 2047 3677
-- Name: care_schedule_doctor_det_sdoc_nr_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY care_schedule_doctor_det
    ADD CONSTRAINT care_schedule_doctor_det_sdoc_nr_fkey FOREIGN KEY (sdoc_nr) REFERENCES care_schedule_doctor(nr);


--
-- TOC entry 3761 (class 2606 OID 631909)
-- Dependencies: 2046 2036 3648
-- Name: care_schedule_doctor_passign_nr_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY care_schedule_doctor
    ADD CONSTRAINT care_schedule_doctor_passign_nr_fkey FOREIGN KEY (passign_nr) REFERENCES care_personell_assignment(nr);


--
-- TOC entry 3760 (class 2606 OID 631914)
-- Dependencies: 3590 2045 2005
-- Name: care_schedule_hospital_nr; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY care_schedule
    ADD CONSTRAINT care_schedule_hospital_nr FOREIGN KEY (hospital_nr) REFERENCES care_hospital(nr) ON DELETE RESTRICT;


--
-- TOC entry 3753 (class 2606 OID 631919)
-- Dependencies: 3590 2005 1976
-- Name: config_global_hospital_nr; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY care_config_global
    ADD CONSTRAINT config_global_hospital_nr FOREIGN KEY (hospital_nr) REFERENCES care_hospital(nr) ON DELETE RESTRICT;


--
-- TOC entry 3769 (class 0 OID 0)
-- Dependencies: 3
-- Name: public; Type: ACL; Schema: -; Owner: -
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


-- Completed on 2009-04-23 16:32:16 ECT

--
-- PostgreSQL database dump complete
--

