-- phpMyAdmin SQL Dump
-- version 2.10.1
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Generation Time: Nov 26, 2007 at 01:00 PM
-- Server version: 5.0.41
-- PHP Version: 4.4.7

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

-- 
-- Database: `imed`
-- 

-- --------------------------------------------------------

-- 
-- Table structure for table `care_address_citytown`
-- 

CREATE TABLE `care_address_citytown` (
  `nr` mediumint(8) unsigned NOT NULL auto_increment,
  `unece_modifier` char(2) collate latin1_general_ci default NULL,
  `unece_locode` varchar(15) collate latin1_general_ci default NULL,
  `name` varchar(100) collate latin1_general_ci NOT NULL default '',
  `zip_code` varchar(25) collate latin1_general_ci default NULL,
  `iso_country_id` char(3) collate latin1_general_ci NOT NULL default '',
  `unece_locode_type` tinyint(3) unsigned default NULL,
  `unece_coordinates` varchar(25) collate latin1_general_ci default NULL,
  `info_url` varchar(255) collate latin1_general_ci default NULL,
  `use_frequency` bigint(20) unsigned NOT NULL default '0',
  `status` varchar(25) collate latin1_general_ci default NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL default '',
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL default '',
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci ROW_FORMAT=DYNAMIC COMMENT='InnoDB free: 4096 kB' AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `care_address_citytown`
-- 

INSERT INTO `care_address_citytown` (`nr`, `unece_modifier`, `unece_locode`, `name`, `zip_code`, `iso_country_id`, `unece_locode_type`, `unece_coordinates`, `info_url`, `use_frequency`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, NULL, NULL, 'Shkoder', '00012', 'AL', NULL, NULL, NULL, 0, 'normal', 'Create: 2006-12-20 11:19:32 admin\n', 'admin', '2006-12-20 11:19:32', 'admin', '2006-12-20 11:19:32');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_appointment`
-- 

CREATE TABLE `care_appointment` (
  `nr` bigint(20) unsigned NOT NULL auto_increment,
  `pid` int(11) NOT NULL default '0',
  `date` date NOT NULL default '0000-00-00',
  `time` time NOT NULL default '00:00:00',
  `to_dept_id` varchar(25) collate latin1_general_ci NOT NULL,
  `to_dept_nr` smallint(5) unsigned NOT NULL default '0',
  `to_personell_nr` int(11) NOT NULL default '0',
  `to_personell_name` varchar(60) collate latin1_general_ci default NULL,
  `purpose` text collate latin1_general_ci NOT NULL,
  `urgency` tinyint(2) unsigned NOT NULL default '0',
  `remind` tinyint(1) unsigned NOT NULL default '0',
  `remind_email` tinyint(1) unsigned NOT NULL default '0',
  `remind_mail` tinyint(1) unsigned NOT NULL default '0',
  `remind_phone` tinyint(1) unsigned NOT NULL default '0',
  `appt_status` varchar(35) collate latin1_general_ci NOT NULL default 'pending',
  `cancel_by` varchar(255) collate latin1_general_ci NOT NULL,
  `cancel_date` date default NULL,
  `cancel_reason` varchar(255) collate latin1_general_ci default NULL,
  `encounter_class_nr` int(1) NOT NULL default '0',
  `encounter_nr` int(11) NOT NULL default '0',
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  KEY `pid` (`pid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci ROW_FORMAT=DYNAMIC COMMENT='InnoDB free: 4096 kB' AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_appointment`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_billing_archive`
-- 

CREATE TABLE `care_billing_archive` (
  `bill_no` bigint(20) NOT NULL default '0',
  `encounter_nr` int(10) NOT NULL default '0',
  `patient_name` tinytext collate latin1_general_ci NOT NULL,
  `vorname` varchar(35) collate latin1_general_ci NOT NULL default '0',
  `bill_date_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `bill_amt` double(16,4) NOT NULL default '0.0000',
  `payment_date_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `payment_mode` text collate latin1_general_ci NOT NULL,
  `cheque_no` varchar(10) collate latin1_general_ci NOT NULL default '0',
  `creditcard_no` varchar(10) collate latin1_general_ci NOT NULL default '0',
  `paid_by` varchar(15) collate latin1_general_ci NOT NULL default '0',
  PRIMARY KEY  (`bill_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_billing_archive`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_billing_bill`
-- 

CREATE TABLE `care_billing_bill` (
  `bill_bill_no` bigint(20) NOT NULL default '0',
  `bill_encounter_nr` int(10) unsigned NOT NULL default '0',
  `bill_date_time` date default NULL,
  `bill_amount` float(10,2) default NULL,
  `bill_outstanding` float(10,2) default NULL,
  PRIMARY KEY  (`bill_bill_no`),
  KEY `index_bill_patnum` (`bill_encounter_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_billing_bill`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_billing_bill_item`
-- 

CREATE TABLE `care_billing_bill_item` (
  `bill_item_id` int(11) NOT NULL auto_increment,
  `bill_item_encounter_nr` int(10) unsigned NOT NULL default '0',
  `bill_item_code` varchar(5) collate latin1_general_ci default NULL,
  `bill_item_unit_cost` float(10,2) default '0.00',
  `bill_item_units` tinyint(4) default NULL,
  `bill_item_amount` float(10,2) default NULL,
  `bill_item_date` datetime default NULL,
  `bill_item_status` enum('0','1') collate latin1_general_ci default '0',
  `bill_item_bill_no` int(11) NOT NULL default '0',
  PRIMARY KEY  (`bill_item_id`),
  KEY `index_bill_item_patnum` (`bill_item_encounter_nr`),
  KEY `index_bill_item_bill_no` (`bill_item_bill_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_billing_bill_item`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_billing_final`
-- 

CREATE TABLE `care_billing_final` (
  `final_id` tinyint(3) NOT NULL auto_increment,
  `final_encounter_nr` int(10) unsigned NOT NULL default '0',
  `final_bill_no` int(11) default NULL,
  `final_date` date default NULL,
  `final_total_bill_amount` float(10,2) default NULL,
  `final_discount` tinyint(4) default NULL,
  `final_total_receipt_amount` float(10,2) default NULL,
  `final_amount_due` float(10,2) default NULL,
  `final_amount_recieved` float(10,2) default NULL,
  PRIMARY KEY  (`final_id`),
  KEY `index_final_patnum` (`final_encounter_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci ROW_FORMAT=DYNAMIC COMMENT='InnoDB free: 6144 kB' AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_billing_final`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_billing_item`
-- 

CREATE TABLE `care_billing_item` (
  `item_code` varchar(5) collate latin1_general_ci NOT NULL,
  `item_description` varchar(100) collate latin1_general_ci default NULL,
  `item_unit_cost` float(10,2) default '0.00',
  `item_type` tinytext collate latin1_general_ci,
  `item_discount_max_allowed` tinyint(4) unsigned default '0',
  PRIMARY KEY  (`item_code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_billing_item`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_billing_payment`
-- 

CREATE TABLE `care_billing_payment` (
  `payment_id` tinyint(5) NOT NULL auto_increment,
  `payment_encounter_nr` int(10) unsigned NOT NULL default '0',
  `payment_receipt_no` int(11) NOT NULL default '0',
  `payment_date` datetime default '0000-00-00 00:00:00',
  `payment_cash_amount` float(10,2) default '0.00',
  `payment_cheque_no` int(11) default '0',
  `payment_cheque_amount` float(10,2) default '0.00',
  `payment_creditcard_no` int(25) default '0',
  `payment_creditcard_amount` float(10,2) default '0.00',
  `payment_amount_total` float(10,2) default '0.00',
  PRIMARY KEY  (`payment_id`),
  KEY `index_payment_patnum` (`payment_encounter_nr`),
  KEY `index_payment_receipt_no` (`payment_receipt_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_billing_payment`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_cache`
-- 

CREATE TABLE `care_cache` (
  `id` varchar(125) collate latin1_general_ci NOT NULL,
  `ctext` text collate latin1_general_ci,
  `cbinary` blob,
  `tstamp` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_cache`
-- 

INSERT INTO `care_cache` (`id`, `ctext`, `cbinary`, `tstamp`) VALUES ('chemlabs_result_2007000355_2007-08-10 13:14:23', '\r\n		<tr bgcolor="#dd0000" >\r\n		<td class="va12_n"><font color="#ffffff"> &nbsp;<b>Parameter</b>\r\n		</td>\r\n		<td  class="j"><font color="#ffffff">&nbsp;<b>Normal range</b>&nbsp;</td>\r\n		<td  class="j"><font color="#ffffff">&nbsp;<b>Msr. Unit</b>&nbsp;</td>\r\n		\r\n		<td class="a12_b"><font color="#ffffff">&nbsp;<b>07/08/2007<br>10000003</b>&nbsp;</td>\r\n		<td class="a12_b"><font color="#ffffff">&nbsp;<b>10/08/2007<br>10000014</b>&nbsp;</td>\r\n		<td>&nbsp;<a href="javascript:prep2submit()"><img src="../../gui/img/common/default/chart.gif" border=0 align="absmiddle" width="16" height="17" alt="Click to show the graphical display"></td></a></td></tr>\r\n		<tr bgcolor="#ffddee" >\r\n		<td class="va12_n"><font color="#ffffff"> &nbsp;\r\n		</td>\r\n		<td class="va12_n"><font color="#ffffff"> &nbsp;\r\n		</td>\r\n		<td  class="j"><font color="#ffffff">&nbsp;</td>\r\n		<td class="a12_b"><font color="#0000cc">&nbsp;<b>18:43</b> Hour&nbsp;</td>\r\n		<td class="a12_b"><font color="#0000cc">&nbsp;<b>13:14</b> Hour&nbsp;</td>\r\n		<td>&nbsp;<a href="javascript:selectall()"><img src="../../gui/img/common/default/dwnarrowgrnlrg.gif" border=0 align="absmiddle" width="16" height="16" alt="Click to select or deselect all for graphical display"></a>\r\n		</tr><tr class="wardlistrow2">\r\n					<td class="va12_n"> &nbsp;<nobr><a href="#"></a></nobr>\r\n					</td>\r\n					<td class="a10_b" >&nbsp;</td>\r\n					<td class="a10_b" >&nbsp;</td>\r\n				<td class="j">&nbsp;12&nbsp;</td>\r\n				<td class="j">&nbsp;&nbsp;</td><td>\r\n					<input type="checkbox" name="tk" value="">\r\n					</td></tr><tr class="wardlistrow1">\r\n					<td class="va12_n"> &nbsp;<nobr><a href="#">APTT</a></nobr>\r\n					</td>\r\n					<td class="a10_b" >&nbsp;</td>\r\n					<td class="a10_b" >&nbsp;s</td>\r\n				<td class="j">&nbsp;&nbsp;</td>\r\n				<td class="j">&nbsp;<img src="../../gui/img/common/default/arrow_red_dwn_sm.gif" border=0 width="15" height="15"> <font color="red">12</font>&nbsp;</td><td>\r\n					<input type="checkbox" name="tk" value="_aptt_priority">\r\n					</td></tr><tr class="wardlistrow2">\r\n					<td class="va12_n"> &nbsp;<nobr><a href="#">Azotemia</a></nobr>\r\n					</td>\r\n					<td class="a10_b" >&nbsp;</td>\r\n					<td class="a10_b" >&nbsp;mg/dl</td>\r\n				<td class="j">&nbsp;&nbsp;</td>\r\n				<td class="j">&nbsp;12&nbsp;</td><td>\r\n					<input type="checkbox" name="tk" value="_azotemia_priority">\r\n					</td></tr><tr class="wardlistrow1">\r\n					<td class="va12_n"> &nbsp;<nobr><a href="#">Eritrocitet</a></nobr>\r\n					</td>\r\n					<td class="a10_b" >&nbsp;</td>\r\n					<td class="a10_b" >&nbsp;milione/mcl</td>\r\n				<td class="j">&nbsp;&nbsp;</td>\r\n				<td class="j">&nbsp;<img src="../../gui/img/common/default/arrow_red_up_sm.gif" border=0 width="15" height="15"> <font color="red">12</font>&nbsp;</td><td>\r\n					<input type="checkbox" name="tk" value="_eritrocitet_priority">\r\n					</td></tr><tr class="wardlistrow2">\r\n					<td class="va12_n"> &nbsp;<nobr><a href="#">Eritrosedimenti</a></nobr>\r\n					</td>\r\n					<td class="a10_b" >&nbsp;</td>\r\n					<td class="a10_b" >&nbsp;mm/h</td>\r\n				<td class="j">&nbsp;&nbsp;</td>\r\n				<td class="j">&nbsp;<img src="../../gui/img/common/default/arrow_red_up_sm.gif" border=0 width="15" height="15"> <font color="red">12</font>&nbsp;</td><td>\r\n					<input type="checkbox" name="tk" value="_eritrosedimenti_priority">\r\n					</td></tr><tr class="wardlistrow1">\r\n					<td class="va12_n"> &nbsp;<nobr><a href="#">Glicemia</a></nobr>\r\n					</td>\r\n					<td class="a10_b" >&nbsp;</td>\r\n					<td class="a10_b" >&nbsp;mg/dl</td>\r\n				<td class="j">&nbsp;&nbsp;</td>\r\n				<td class="j">&nbsp;<img src="../../gui/img/common/default/arrow_red_dwn_sm.gif" border=0 width="15" height="15"> <font color="red">12</font>&nbsp;</td><td>\r\n					<input type="checkbox" name="tk" value="_glicemia_priority">\r\n					</td></tr><tr class="wardlistrow2">\r\n					<td class="va12_n"> &nbsp;<nobr><a href="#">Hematokriti</a></nobr>\r\n					</td>\r\n					<td class="a10_b" >&nbsp;</td>\r\n					<td class="a10_b" >&nbsp;%</td>\r\n				<td class="j">&nbsp;&nbsp;</td>\r\n				<td class="j">&nbsp;<img src="../../gui/img/common/default/arrow_red_dwn_sm.gif" border=0 width="15" height="15"> <font color="red">12</font>&nbsp;</td><td>\r\n					<input type="checkbox" name="tk" value="_hematokriti_priority">\r\n					</td></tr><tr class="wardlistrow1">\r\n					<td class="va12_n"> &nbsp;<nobr><a href="#">Hemoglobina</a></nobr>\r\n					</td>\r\n					<td class="a10_b" >&nbsp;</td>\r\n					<td class="a10_b" >&nbsp;g/dl</td>\r\n				<td class="j">&nbsp;&nbsp;</td>\r\n				<td class="j">&nbsp;12&nbsp;</td><td>\r\n					<input type="checkbox" name="tk" value="_hemoglobina_priority">\r\n					</td></tr><tr class="wardlistrow2">\r\n					<td class="va12_n"> &nbsp;<nobr><a href="#">Kreatinina</a></nobr>\r\n					</td>\r\n					<td class="a10_b" >&nbsp;</td>\r\n					<td class="a10_b" >&nbsp;mg/dl</td>\r\n				<td class="j">&nbsp;&nbsp;</td>\r\n				<td class="j">&nbsp;<img src="../../gui/img/common/default/arrow_red_up_sm.gif" border=0 width="15" height="15"> <font color="red">12</font>&nbsp;</td><td>\r\n					<input type="checkbox" name="tk" value="_kreatinina_priority">\r\n					</td></tr><tr class="wardlistrow1">\r\n					<td class="va12_n"> &nbsp;<nobr><a href="#">Leukocitet</a></nobr>\r\n					</td>\r\n					<td class="a10_b" >&nbsp;</td>\r\n					<td class="a10_b" >&nbsp;njesi/mcl</td>\r\n				<td class="j">&nbsp;&nbsp;</td>\r\n				<td class="j">&nbsp;<img src="../../gui/img/common/default/arrow_red_dwn_sm.gif" border=0 width="15" height="15"> <font color="red">12</font>&nbsp;</td><td>\r\n					<input type="checkbox" name="tk" value="_leukocitet_priority">\r\n					</td></tr><tr class="wardlistrow2">\r\n					<td class="va12_n"> &nbsp;<nobr><a href="#">PT</a></nobr>\r\n					</td>\r\n					<td class="a10_b" >&nbsp;</td>\r\n					<td class="a10_b" >&nbsp;s</td>\r\n				<td class="j">&nbsp;&nbsp;</td>\r\n				<td class="j">&nbsp;<img src="../../gui/img/common/default/arrow_red_dwn_sm.gif" border=0 width="15" height="15"> <font color="red">12</font>&nbsp;</td><td>\r\n					<input type="checkbox" name="tk" value="_pt_priority">\r\n					</td></tr><tr class="wardlistrow1">\r\n					<td class="va12_n"> &nbsp;<nobr><a href="#">Trombocitet</a></nobr>\r\n					</td>\r\n					<td class="a10_b" >&nbsp;</td>\r\n					<td class="a10_b" >&nbsp;njesi/mcl</td>\r\n				<td class="j">&nbsp;&nbsp;</td>\r\n				<td class="j">&nbsp;<img src="../../gui/img/common/default/arrow_red_dwn_sm.gif" border=0 width="15" height="15"> <font color="red">12</font>&nbsp;</td><td>\r\n					<input type="checkbox" name="tk" value="_trombocitet_priority">\r\n					</td></tr>\r\n		<input type="hidden" name="colsize" value="2">\r\n		<input type="hidden" name="params" value="">\r\n		<input type="hidden" name="ptk" value="12">\r\n		', NULL, '2007-09-27 16:43:19');
INSERT INTO `care_cache` (`id`, `ctext`, `cbinary`, `tstamp`) VALUES ('DOCS_2007-08-22', '<tr class="wardlistrow1"><td ><font size="1" >&nbsp;Dermatologjia&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=51&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=51&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Dializa&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=54&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=54&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Farmacia Psikiatrik&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=38&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=38&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Farmacia Sanatoriumi&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=62&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=62&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Farmacia Spitalit&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=42&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=42&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Infektivi&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=50&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=50&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Kirurgjia 2&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=65&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=65&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Kirurgjia1&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=43&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=43&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Laboratori bakteriologjik&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=25&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=25&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Laboratori biokimik&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=24&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=24&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Laboratori qendror&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=22&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=22&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Materniteti&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=59&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=59&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Morgu spitalit&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=52&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=52&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Opthalmology&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=7&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=7&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;ORL&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=6&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=6&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Ortopedia&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=48&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=48&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Pathology&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=8&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=8&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Pediatria&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=56&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=56&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Poliklinika&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=66&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=66&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Punkti i gjakut&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=41&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=41&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Radiology&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=19&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=19&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Reanimacioni Kirurgji&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=55&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=55&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Salla okulistikes&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=46&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=46&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Salla otorino&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=45&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=45&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Salla planifikimit kirurgjise&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=44&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=44&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Salla Urgjences Kirurgji&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=64&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=64&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Sterilizimi spitalit&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=53&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=53&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Stomatollogjia&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=47&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=47&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Urgjenca Poliklinika&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=63&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=63&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Urgjenca Polivalente&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=49&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=49&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr>', NULL, '2007-08-22 15:41:31');
INSERT INTO `care_cache` (`id`, `ctext`, `cbinary`, `tstamp`) VALUES ('DOCS_2007-10-31', '<tr class="wardlistrow1"><td ><font size="1" >&nbsp;Dermatologjia&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=51&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=51&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Dializa&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=54&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=54&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Farmacia Psikiatrik&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=38&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=38&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Farmacia Sanatoriumi&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=62&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=62&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Farmacia Spitalit&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=42&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=42&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Infektivi&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=50&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=50&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Kirurgjia 2&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=65&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=65&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Kirurgjia1&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=43&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=43&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Laborator i analizave histopatologjike&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=25&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=25&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Laborator mjekesor&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=24&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=24&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Laborator klinik&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=22&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=22&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Materniteti&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=59&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=59&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Morgu spitalit&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=52&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=52&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Okulistike&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=7&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=7&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;ORL&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=6&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=6&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Ortopedia&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=48&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=48&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Anatomi Patologjike&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=8&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=8&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Pediatria&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=56&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=56&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Poliklinika&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=66&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=66&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Qendra e trasfuzionit te gjakut&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=41&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=41&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Imazheri&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=19&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=19&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Reanimacioni Kirurgji&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=55&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=55&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Salla okulistikes&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=46&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=46&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Salla otorino&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=45&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=45&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Salla planifikimit kirurgjise&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=44&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=44&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Salla Urgjences Kirurgji&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=64&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=64&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Sterilizimi spitalit&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=53&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=53&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Stomatollogjia&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=47&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=47&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Urgjenca Poliklinika&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=63&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=63&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Urgjenca Polivalente&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;</td><td >\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="doctors-dienstplan.phpURLAPPEND&dept_nr=49&retpath=qview">\n	<button onClick="javascript:window.location.href=''doctors-dienstplan.phpURLREDIRECTAPPEND&dept_nr=49&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr>', NULL, '2007-10-31 22:03:21');
INSERT INTO `care_cache` (`id`, `ctext`, `cbinary`, `tstamp`) VALUES ('NOCS_2007-08-22', '<tr class="wardlistrow1"><td ><font size="1" >&nbsp;Dermatologjia&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=51&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=51&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Dializa&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=54&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=54&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Farmacia Psikiatrik&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=38&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=38&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Farmacia Sanatoriumi&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=62&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=62&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Farmacia Spitalit&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=42&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=42&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Infektivi&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=50&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=50&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Kirurgjia 2&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=65&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=65&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Kirurgjia1&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=43&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=43&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Laboratori bakteriologjik&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=25&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=25&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Laboratori biokimik&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=24&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=24&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Laboratori qendror&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=22&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=22&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Materniteti&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=59&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=59&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Morgu spitalit&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=52&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=52&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Opthalmology&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=7&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=7&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;ORL&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=6&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=6&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Ortopedia&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=48&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=48&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Pathology&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=8&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=8&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Pediatria&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=56&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=56&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Poliklinika&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=66&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=66&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Punkti i gjakut&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=41&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=41&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Radiology&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=19&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=19&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Reanimacioni Kirurgji&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=55&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=55&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Salla okulistikes&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=46&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=46&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Salla otorino&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=45&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=45&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Salla planifikimit kirurgjise&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=44&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=44&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Salla Urgjences Kirurgji&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=64&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=64&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Sterilizimi spitalit&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=53&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=53&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Stomatollogjia&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=47&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=47&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Urgjenca Poliklinika&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=63&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=63&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Urgjenca Polivalente&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=49&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=49&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr>', NULL, '2007-08-22 15:49:49');
INSERT INTO `care_cache` (`id`, `ctext`, `cbinary`, `tstamp`) VALUES ('NOCS_2007-10-10', '<tr class="wardlistrow1"><td ><font size="1" >&nbsp;Dermatologjia&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=51&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=51&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Dializa&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=54&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=54&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Farmacia Psikiatrik&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=38&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=38&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Farmacia Sanatoriumi&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=62&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=62&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Farmacia Spitalit&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=42&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=42&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Infektivi&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=50&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=50&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Kirurgjia 2&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=65&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=65&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Kirurgjia1&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=43&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=43&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Laborator i analizave histopatologjike&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=25&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=25&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Laborator mjekesor&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=24&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=24&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Laborator klinik&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=22&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=22&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Materniteti&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=59&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=59&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Morgu spitalit&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=52&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=52&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Okulistike&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=7&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=7&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;ORL&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=6&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=6&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Ortopedia&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=48&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=48&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Anatomi Patologjike&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=8&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=8&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Pediatria&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=56&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=56&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Poliklinika&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=66&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=66&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Qendra e trasfuzionit te gjakut&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=41&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=41&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Imazheri&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=19&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=19&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Reanimacioni Kirurgji&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=55&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=55&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Salla okulistikes&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=46&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=46&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Salla otorino&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=45&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=45&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Salla planifikimit kirurgjise&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=44&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=44&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Salla Urgjences Kirurgji&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=64&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=64&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Sterilizimi spitalit&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=53&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=53&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Stomatollogjia&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=47&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=47&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Urgjenca Poliklinika&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=63&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=63&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Urgjenca Polivalente&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=49&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=49&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr>', NULL, '2007-10-10 23:51:23');
INSERT INTO `care_cache` (`id`, `ctext`, `cbinary`, `tstamp`) VALUES ('NOCS_2007-10-31', '<tr class="wardlistrow1"><td ><font size="1" >&nbsp;Dermatologjia&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=51&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=51&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Dializa&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=54&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=54&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Farmacia Psikiatrik&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=38&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=38&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Farmacia Sanatoriumi&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=62&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=62&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Farmacia Spitalit&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=42&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=42&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Infektivi&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=50&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=50&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Kirurgjia 2&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=65&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=65&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Kirurgjia1&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=43&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=43&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Laborator i analizave histopatologjike&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=25&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=25&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Laborator mjekesor&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=24&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=24&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Laborator klinik&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=22&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=22&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Materniteti&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=59&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=59&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Morgu spitalit&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=52&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=52&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Okulistike&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=7&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=7&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;ORL&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=6&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=6&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Ortopedia&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=48&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=48&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Anatomi Patologjike&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=8&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=8&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Pediatria&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=56&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=56&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Poliklinika&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=66&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=66&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Qendra e trasfuzionit te gjakut&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=41&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=41&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Imazheri&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=19&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=19&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Reanimacioni Kirurgji&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=55&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=55&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Salla okulistikes&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=46&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=46&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Salla otorino&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=45&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=45&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Salla planifikimit kirurgjise&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=44&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=44&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Salla Urgjences Kirurgji&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=64&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=64&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Sterilizimi spitalit&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=53&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=53&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Stomatollogjia&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=47&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=47&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow1"><td ><font size="1" >&nbsp;Urgjenca Poliklinika&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=63&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=63&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr><tr class="wardlistrow2"><td ><font size="1" >&nbsp;Urgjenca Polivalente&nbsp;</td><td >&nbsp;\n	<img src="../../gui/img/common/default/mans-gr.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td>\n	<img src="../../gui/img/common/default/mans-red.gif" border=0 width="12" height="15">&nbsp;</td>\n	<td>&nbsp;\n	</td><td >&nbsp; <a href="nursing-or-dienstplan.phpURLAPPEND&dept_nr=49&retpath=qview">\n	<button onClick="javascript:window.location.href=''nursing-or-dienstplan.phpURLREDIRECTAPPEND&dept_nr=49&retpath=qview''"><img src="../../gui/img/common/default/new_address.gif" border=0 align="absmiddle" width="20" height="20" alt="IMGALT" ><font size=1> SHOWBUTTON </font></button></a> </td></tr>', NULL, '2007-10-31 22:03:43');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_cafe_menu`
-- 

CREATE TABLE `care_cafe_menu` (
  `item` int(11) NOT NULL auto_increment,
  `lang` varchar(10) collate latin1_general_ci NOT NULL default 'en',
  `cdate` date NOT NULL default '0000-00-00',
  `menu` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  UNIQUE KEY `item_2` (`item`),
  KEY `item` (`item`,`lang`),
  KEY `cdate` (`cdate`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_cafe_menu`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_cafe_prices`
-- 

CREATE TABLE `care_cafe_prices` (
  `item` int(11) NOT NULL auto_increment,
  `lang` varchar(10) collate latin1_general_ci NOT NULL default 'en',
  `productgroup` tinytext collate latin1_general_ci NOT NULL,
  `article` tinytext collate latin1_general_ci NOT NULL,
  `description` tinytext collate latin1_general_ci NOT NULL,
  `price` varchar(10) collate latin1_general_ci NOT NULL,
  `unit` tinytext collate latin1_general_ci NOT NULL,
  `pic_filename` tinytext collate latin1_general_ci NOT NULL,
  `modify_id` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(25) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  KEY `item` (`item`),
  KEY `lang` (`lang`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_cafe_prices`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_category_diagnosis`
-- 

CREATE TABLE `care_category_diagnosis` (
  `nr` tinyint(3) unsigned NOT NULL default '0',
  `category` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `short_code` char(1) collate latin1_general_ci NOT NULL,
  `LD_var_short_code` varchar(25) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `hide_from` varchar(255) collate latin1_general_ci NOT NULL default '0',
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_category_diagnosis`
-- 

INSERT INTO `care_category_diagnosis` (`nr`, `category`, `name`, `LD_var`, `short_code`, `LD_var_short_code`, `description`, `hide_from`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'most_responsible', 'Most responsible', 'LDMostResponsible', 'M', 'LDMostResp_s', 'Most responsible diagnosis, must be only one per admission or visit', '0', '', '', '', '2003-05-25 21:09:56', '', '0000-00-00 00:00:00');
INSERT INTO `care_category_diagnosis` (`nr`, `category`, `name`, `LD_var`, `short_code`, `LD_var_short_code`, `description`, `hide_from`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'associated', 'Associated', 'LDAssociated', 'A', 'LDAssociated_s', 'Associated diagnosis, can be several per  admission or visit', '0', '', '', '', '2003-05-25 21:10:05', '', '0000-00-00 00:00:00');
INSERT INTO `care_category_diagnosis` (`nr`, `category`, `name`, `LD_var`, `short_code`, `LD_var_short_code`, `description`, `hide_from`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'nosocomial', 'Hospital acquired', 'LDNosocomial', 'N', 'LDNosocomial_s', 'Hospital acquired problem, can be several per admission or visit', '0', '', '', '', '2003-05-25 21:10:15', '', '0000-00-00 00:00:00');
INSERT INTO `care_category_diagnosis` (`nr`, `category`, `name`, `LD_var`, `short_code`, `LD_var_short_code`, `description`, `hide_from`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'iatrogenic', 'Iatrogenic', 'LDIatrogenic', 'I', 'LDIatrogenic_s', 'Problem resulting from a procedural/surgical complication or medication mistake', '0', '', '', '', '2003-05-25 21:10:25', '', '0000-00-00 00:00:00');
INSERT INTO `care_category_diagnosis` (`nr`, `category`, `name`, `LD_var`, `short_code`, `LD_var_short_code`, `description`, `hide_from`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 'other', 'Other', 'LDOther', 'O', 'LDOther_s', 'Other  diagnosis', '0', '', '', '', '2003-05-25 21:10:33', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_category_disease`
-- 

CREATE TABLE `care_category_disease` (
  `nr` tinyint(3) unsigned NOT NULL auto_increment,
  `group_nr` tinyint(3) unsigned NOT NULL default '0',
  `category` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=5 ;

-- 
-- Dumping data for table `care_category_disease`
-- 

INSERT INTO `care_category_disease` (`nr`, `group_nr`, `category`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 2, 'asphyxia', 'Asphyxia', 'LDAsphyxia', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_category_disease` (`nr`, `group_nr`, `category`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 2, 'infection', 'Infection', 'LDInfection', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_category_disease` (`nr`, `group_nr`, `category`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 2, 'congenital_abnomality', 'Congenital abnormality', 'LDCongenitalAbnormality', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_category_disease` (`nr`, `group_nr`, `category`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 2, 'trauma', 'Trauma', 'LDTrauma', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_category_procedure`
-- 

CREATE TABLE `care_category_procedure` (
  `nr` tinyint(3) unsigned NOT NULL default '0',
  `category` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `short_code` char(1) collate latin1_general_ci NOT NULL,
  `LD_var_short_code` varchar(25) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `hide_from` varchar(255) collate latin1_general_ci NOT NULL default '0',
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_category_procedure`
-- 

INSERT INTO `care_category_procedure` (`nr`, `category`, `name`, `LD_var`, `short_code`, `LD_var_short_code`, `description`, `hide_from`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'main', 'Main', 'LDMain', 'M', 'LDMain_s', 'Main procedure, must be only one per op or intervention visit', '0', '', '', '', '2003-06-14 10:35:08', '', '0000-00-00 00:00:00');
INSERT INTO `care_category_procedure` (`nr`, `category`, `name`, `LD_var`, `short_code`, `LD_var_short_code`, `description`, `hide_from`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'supplemental', 'Supplemental', 'LDSupplemental', 'S', 'LDSupp_s', 'Supplemental procedure, can be several per  encounter op or intervention or visit', '0', '', '', '', '2003-06-14 10:53:24', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_classif_neonatal`
-- 

CREATE TABLE `care_classif_neonatal` (
  `nr` smallint(2) unsigned NOT NULL auto_increment,
  `id` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci default NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=17 ;

-- 
-- Dumping data for table `care_classif_neonatal`
-- 

INSERT INTO `care_classif_neonatal` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'jaundice', 'Neonatal jaundice', 'LDNeonatalJaundice', NULL, '', '', '2003-08-07 21:57:31', '', '0000-00-00 00:00:00');
INSERT INTO `care_classif_neonatal` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'x_transfusion', 'Exchange transfusion', 'LDExchangeTransfusion', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_classif_neonatal` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'photo_therapy', 'Photo therapy', 'LDPhotoTherapy', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_classif_neonatal` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'h_i_encep', 'Hypoxic ischaemic encephalopathy', 'LDH_I_Encephalopathy', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_classif_neonatal` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 'parenteral', 'Parenteral nutrition', 'LDParenteralNutrition', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_classif_neonatal` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 'vent_support', 'Ventilatory support', 'LDVentilatorySupport', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_classif_neonatal` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (7, 'oxygen_therapy', 'Oxygen therapy', 'LDOxygenTherapy', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_classif_neonatal` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (8, 'cpap', 'CPAP', 'LDCPAP', 'Continuous positive airway pressure', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_classif_neonatal` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (9, 'congenital_abnormality', 'Congenital abnormality', 'LDCongenitalAbnormality', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_classif_neonatal` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10, 'congenital_infection', 'Congenital infection', 'LDCongenitalInfection', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_classif_neonatal` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (11, 'acquired_infection', 'Acquired infection', 'LDAcquiredInfection', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_classif_neonatal` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (12, 'gbs_infection', 'GBS infection', 'LDGBSInfection', 'Group B Strep Infection', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_classif_neonatal` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (13, 'rds', 'Resp Distress Syndrome', 'LDRespDistressSyndrome', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_classif_neonatal` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (14, 'blood_transfusion', 'Blood transfusion', 'LDBloodTransfusion', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_classif_neonatal` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (15, 'antibiotic_therapy', 'Antibiotic therapy', 'LDAntibioticTherapy', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_classif_neonatal` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (16, 'necrotising_enterocolitis', 'Necrotising enterocolitis', 'LDNecrotisingEnterocolitis', NULL, '', '', '2003-08-08 04:17:27', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_class_encounter`
-- 

CREATE TABLE `care_class_encounter` (
  `class_nr` smallint(6) unsigned NOT NULL default '0',
  `class_id` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(25) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `hide_from` tinyint(4) NOT NULL default '0',
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`class_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_class_encounter`
-- 

INSERT INTO `care_class_encounter` (`class_nr`, `class_id`, `name`, `LD_var`, `description`, `hide_from`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'inpatient', 'Inpatient', 'LDStationary', 'Inpatient admission - stays at least in a ward and assigned a bed', 0, '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_class_encounter` (`class_nr`, `class_id`, `name`, `LD_var`, `description`, `hide_from`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'outpatient', 'Outpatient', 'LDAmbulant', 'Outpatient visit - does not stay in a ward nor assigned a bed', 0, '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_class_ethnic_orig`
-- 

CREATE TABLE `care_class_ethnic_orig` (
  `nr` smallint(5) unsigned NOT NULL auto_increment,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=3 ;

-- 
-- Dumping data for table `care_class_ethnic_orig`
-- 

INSERT INTO `care_class_ethnic_orig` (`nr`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'race', 'LDRace', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_class_ethnic_orig` (`nr`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'country', 'LDCountry', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_class_financial`
-- 

CREATE TABLE `care_class_financial` (
  `class_nr` smallint(5) unsigned NOT NULL auto_increment,
  `class_id` varchar(15) collate latin1_general_ci NOT NULL default '0',
  `type` varchar(25) collate latin1_general_ci NOT NULL default '0',
  `code` varchar(5) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(25) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `policy` text collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`class_nr`),
  KEY `class_2` (`class_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=13 ;

-- 
-- Dumping data for table `care_class_financial`
-- 

INSERT INTO `care_class_financial` (`class_nr`, `class_id`, `type`, `code`, `name`, `LD_var`, `description`, `policy`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'care_c', 'care', 'c', 'zakonshem', 'LDcommon', 'Common nursing care services. (Non-private)', 'Patient with common health fund insurance policy.', '', '', '', '2007-10-03 23:34:09', '', '0000-00-00 00:00:00');
INSERT INTO `care_class_financial` (`class_nr`, `class_id`, `type`, `code`, `name`, `LD_var`, `description`, `policy`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'care_pc', 'care', 'p/c', 'privat i zakonshem', 'LDprivatecommon', 'Private services added to common services', 'Patient with common health fund insurance\r\npolicy with additional private insurance policy\r\nOR self paying components.', '', '', '', '2007-10-03 23:34:22', '', '2002-12-29 22:44:51');
INSERT INTO `care_class_financial` (`class_nr`, `class_id`, `type`, `code`, `name`, `LD_var`, `description`, `policy`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'care_p', 'care', 'p', 'privat', 'LDprivate', 'Private nursing care services', 'Patient with private insurance policy\r\nOR self paying.', 'LDprivate', '', '', '2007-10-03 23:34:32', '', '0000-00-00 00:00:00');
INSERT INTO `care_class_financial` (`class_nr`, `class_id`, `type`, `code`, `name`, `LD_var`, `description`, `policy`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'care_pp', 'care', 'pp', 'VIP ', 'LDprivateplus', '"Very private" nursing care services', 'Patient with private health insurance policy\r\nAND self paying components.', '', '', '', '2007-10-03 23:34:42', '', '0000-00-00 00:00:00');
INSERT INTO `care_class_financial` (`class_nr`, `class_id`, `type`, `code`, `name`, `LD_var`, `description`, `policy`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 'room_c', 'room', 'c', 'zakonshem', 'LDcommon', 'Common room services (non-private)', 'Patient with common health fund insurance policy. ', 'LDcommon', '', '', '2007-10-03 23:34:12', '', '0000-00-00 00:00:00');
INSERT INTO `care_class_financial` (`class_nr`, `class_id`, `type`, `code`, `name`, `LD_var`, `description`, `policy`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 'room_pc', 'room', 'p/c', 'privat i zakonshem', '', 'Private services added to common services', 'Patient with common health fund insurance policy with additional private insurance policy OR self paying components.', '', '', '', '2007-10-03 23:34:24', '', '0000-00-00 00:00:00');
INSERT INTO `care_class_financial` (`class_nr`, `class_id`, `type`, `code`, `name`, `LD_var`, `description`, `policy`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (7, 'room_p', 'room', 'p', 'privat', '', 'Private room services', 'Patient with private insurance policy OR self paying. ', '', '', '', '2007-10-03 23:34:34', '', '0000-00-00 00:00:00');
INSERT INTO `care_class_financial` (`class_nr`, `class_id`, `type`, `code`, `name`, `LD_var`, `description`, `policy`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (8, 'room_pp', 'room', 'pp', 'VIP ', '', '"Very private" room services', 'Patient with private health insurance policy AND self paying components.', '', '', '', '2007-10-03 23:34:44', '', '0000-00-00 00:00:00');
INSERT INTO `care_class_financial` (`class_nr`, `class_id`, `type`, `code`, `name`, `LD_var`, `description`, `policy`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (9, 'att_dr_c', 'att_dr', 'c', 'zakonshem', '', 'Common clinician services', 'Patient with common health fund insurance policy. ', '', '', '', '2007-10-03 23:34:19', '', '0000-00-00 00:00:00');
INSERT INTO `care_class_financial` (`class_nr`, `class_id`, `type`, `code`, `name`, `LD_var`, `description`, `policy`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10, 'att_dr_pc', 'att_dr', 'p/c', 'privat i zakonshem', '', 'Private services added to common clinician services', 'Patient with common health fund insurance policy with additional private insurance policy OR self paying components.', '', '', '', '2007-10-03 23:34:30', '', '0000-00-00 00:00:00');
INSERT INTO `care_class_financial` (`class_nr`, `class_id`, `type`, `code`, `name`, `LD_var`, `description`, `policy`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (11, 'att_dr_p', 'att_dr', 'p', 'privat', '', 'Private clinician services', 'Patient with private insurance policy OR self paying.', '', '', '', '2007-10-03 23:34:40', '', '0000-00-00 00:00:00');
INSERT INTO `care_class_financial` (`class_nr`, `class_id`, `type`, `code`, `name`, `LD_var`, `description`, `policy`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (12, 'att_dr_pp', 'att_dr', 'pp', 'VIP ', '', '"Very private" clinician services', 'Patient with private health insurance policy AND self paying components.', '', '', '', '2007-10-03 23:34:48', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_class_insurance`
-- 

CREATE TABLE `care_class_insurance` (
  `class_nr` smallint(5) unsigned NOT NULL auto_increment,
  `class_id` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(25) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`class_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=4 ;

-- 
-- Dumping data for table `care_class_insurance`
-- 

INSERT INTO `care_class_insurance` (`class_nr`, `class_id`, `name`, `LD_var`, `description`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'private', 'Private', 'LDPrivate', 'Private insurance plan (paid by insured alone)', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_class_insurance` (`class_nr`, `class_id`, `name`, `LD_var`, `description`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'common', 'Health Fund', 'LDInsurance', 'Public (common) health fund - usually paid both by the insured and his employer, eventually paid by the state', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_class_insurance` (`class_nr`, `class_id`, `name`, `LD_var`, `description`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'self_pay', 'Self pay', 'LDSelfPay', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_class_therapy`
-- 

CREATE TABLE `care_class_therapy` (
  `nr` smallint(5) unsigned NOT NULL auto_increment,
  `group_nr` tinyint(3) unsigned NOT NULL default '0',
  `class` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(25) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=9 ;

-- 
-- Dumping data for table `care_class_therapy`
-- 

INSERT INTO `care_class_therapy` (`nr`, `group_nr`, `class`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 2, 'photo', 'Phototherapy', 'LDPhototherapy', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_class_therapy` (`nr`, `group_nr`, `class`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 2, 'iv', 'IV Fluids', 'LDIVFluids', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_class_therapy` (`nr`, `group_nr`, `class`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 2, 'oxygen', 'Oxygen therapy', 'LDOxygenTherapy', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_class_therapy` (`nr`, `group_nr`, `class`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 2, 'cpap', 'CPAP', 'LDCPAP', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_class_therapy` (`nr`, `group_nr`, `class`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 2, 'ippv', 'IPPV', 'LDIPPV', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_class_therapy` (`nr`, `group_nr`, `class`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 2, 'nec', 'NEC', 'LDNEC', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_class_therapy` (`nr`, `group_nr`, `class`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (7, 2, 'tpn', 'TPN', 'LDTPN', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_class_therapy` (`nr`, `group_nr`, `class`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (8, 2, 'hie', 'HIE', 'LDHIE', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_complication`
-- 

CREATE TABLE `care_complication` (
  `nr` int(10) unsigned NOT NULL auto_increment,
  `group_nr` int(11) unsigned NOT NULL default '0',
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `code` varchar(25) collate latin1_general_ci default NULL,
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=17 ;

-- 
-- Dumping data for table `care_complication`
-- 

INSERT INTO `care_complication` (`nr`, `group_nr`, `name`, `LD_var`, `code`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 1, 'Previous C/S', 'LDPreviousCS', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_complication` (`nr`, `group_nr`, `name`, `LD_var`, `code`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 1, 'Pre-eclampsia', 'LDPreEclampsia', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_complication` (`nr`, `group_nr`, `name`, `LD_var`, `code`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 1, 'Eclampsia', 'LDEclampsia', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_complication` (`nr`, `group_nr`, `name`, `LD_var`, `code`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 1, 'Other hypertension', 'LDOtherHypertension', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_complication` (`nr`, `group_nr`, `name`, `LD_var`, `code`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 1, 'Other proteinuria', 'LDProteinuria', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_complication` (`nr`, `group_nr`, `name`, `LD_var`, `code`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 1, 'Cardiac', 'LDCardiac', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_complication` (`nr`, `group_nr`, `name`, `LD_var`, `code`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (7, 1, 'Anaemia < 8.5g', 'LDAnaemia', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_complication` (`nr`, `group_nr`, `name`, `LD_var`, `code`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (8, 1, 'Asthma', 'LDAsthma', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_complication` (`nr`, `group_nr`, `name`, `LD_var`, `code`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (9, 1, 'Epilepsy', 'LDEpilepsy', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_complication` (`nr`, `group_nr`, `name`, `LD_var`, `code`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10, 1, 'Placenta praevia', 'LDPlacentaPraevia', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_complication` (`nr`, `group_nr`, `name`, `LD_var`, `code`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (11, 1, 'Abruptio placentae', 'LDAbruptioPlacentae', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_complication` (`nr`, `group_nr`, `name`, `LD_var`, `code`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (12, 1, 'Other APH', 'LDOtherAPH', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_complication` (`nr`, `group_nr`, `name`, `LD_var`, `code`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (13, 1, 'Diabetes', 'LDDiabetes', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_complication` (`nr`, `group_nr`, `name`, `LD_var`, `code`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (14, 1, 'Cord prolapse', 'LDCordProlapse', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_complication` (`nr`, `group_nr`, `name`, `LD_var`, `code`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (15, 1, 'Ruptured uterus', 'LDRupturedUterus', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_complication` (`nr`, `group_nr`, `name`, `LD_var`, `code`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (16, 1, 'Extrauterine pregnancy', 'LDExtraUterinePregnancy', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_config_global`
-- 

CREATE TABLE `care_config_global` (
  `type` varchar(60) collate latin1_general_ci NOT NULL,
  `value` varchar(255) collate latin1_general_ci default NULL,
  `notes` varchar(255) collate latin1_general_ci default NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_config_global`
-- 

INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('date_format', 'dd/MM/yyyy', '', '', '', '', '2006-12-16 12:44:35', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('encounter_nr_fullyear_prepend', '1', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('encounter_nr_init', '000000', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('gui_frame_left_nav_bdcolor', '#990000', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('gui_frame_left_nav_border', '1', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('gui_frame_left_nav_width', '150', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('language_default', 'sq', '', '', '', '', '2006-07-26 06:25:25', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('language_single', '1', '', '', '', '', '2007-08-06 20:15:53', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('main_info_address', 'Spitali Rajonal Shkoder\r\nLagje: Skenderbeg\r\nShkoder-Albania', '', '', '', '', '2007-08-06 20:15:17', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('main_info_email', 'info@shkodra-software.com', '', '', '', '', '2006-07-29 21:27:15', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('main_info_emgcy_nr', '43773', '', '', '', '', '2007-08-06 20:15:17', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('main_info_fax', '47289', '', '', '', '', '2007-08-06 20:15:17', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('main_info_fire_dept_nr', '129', '', '', '', '', '2007-08-06 20:15:17', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('main_info_phone', '47289', '', '', '', '', '2007-08-06 20:15:17', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('main_info_police_nr', '129', '', '', '', '', '2007-08-06 20:15:17', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('mascot_hide', '', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('mascot_style', 'default', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('medocs_text_preview_maxlen', '100', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('news_fotos_path', 'fotos/news/', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('news_headline_body_font_color', '#000033', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('news_headline_body_font_face', 'arial,verdana,helvetica,sans serif', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('news_headline_body_font_size', '2', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('news_headline_preface_font_bold', '0', '', '', '', '', '2007-08-29 21:13:50', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('news_headline_preface_font_color', '#336666', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('news_headline_preface_font_face', 'arial,verdana,helvetica,sans serif', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('news_headline_preface_font_size', '2', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('news_headline_title_font_bold', '1', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('news_headline_title_font_color', '#CC3333', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('news_headline_title_font_face', 'arial,verdana,helvetica,sans serif', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('news_headline_title_font_size', '5', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('news_normal_display_width', '100%', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('news_normal_preview_maxlen', '600', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('notes_preview_maxlen', '120', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('pagin_address_list_max_block_rows', '20', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('pagin_address_search_max_block_rows', '25', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('pagin_insurance_list_max_block_rows', '30', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('pagin_insurance_search_max_block_rows', '25', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('pagin_or_patient_search_max_block_rows', '5', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('pagin_patient_search_max_block_rows', '20', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('pagin_personell_list_max_block_rows', '20', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('pagin_personell_search_max_block_rows', '20', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('pagin_person_search_max_block_rows', '20', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('patient_financial_class_single_result', '0', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('patient_inpatient_nr_adder', '0', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('patient_name_2_show', '1', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('patient_name_3_show', '1', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('patient_name_middle_show', '1', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('patient_outpatient_nr_adder', '500000', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('patient_reg_nr_adder', '10000000', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('patient_service_att_dr_hide', '1', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('patient_service_care_hide', '1', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('patient_service_room_hide', '1', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('personell_nr_adder', '100000', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('personell_nr_init', '100000', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_bloodgroup_hide', '0', NULL, 'normal', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_cellphone_1_nr_hide', '1', '', '', '', '', '2006-10-05 06:27:18', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_cellphone_2_nr_hide', '1', '', '', '', '', '2006-10-05 06:27:18', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_citizenship_hide', '1', '', '', '', '', '2006-10-05 06:27:18', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_civilstatus_hide', '1', NULL, 'normal', '', '', '2006-10-05 06:27:18', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_email_hide', '1', '', '', '', '', '2006-10-05 06:27:18', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_ethnic_orig_hide', '1', '', '', '', '', '2006-10-02 03:54:55', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_fax_hide', '1', '', '', '', '', '2006-10-05 06:27:18', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_foto_path', 'fotos/registration/', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_id_nr_adder', '10000000', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_id_nr_init', '10000000', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_insurance_hide', '0', NULL, 'normal', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_name_2_hide', '0', '', '', '', '', '2006-12-20 11:16:36', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_name_3_hide', '0', '', '', '', '', '2006-12-20 11:16:36', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_name_maiden_hide', '1', '', '', '', '', '2006-12-20 11:16:36', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_name_middle_hide', '1', '', '', '', '', '2006-12-20 11:16:36', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_name_others_hide', '1', '', '', '', '', '2006-10-05 06:27:18', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_nat_id_nr_hide', '1', '', '', '', '', '2006-10-05 06:27:18', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_other_his_nr_hide', '1', NULL, 'normal', '', '', '2006-10-05 06:27:18', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_phone_1_nr_hide', '0', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_phone_2_nr_hide', '1', '', '', '', '', '2006-10-05 06:27:18', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_religion_hide', '1', '', '', '', '', '2006-10-02 03:49:05', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_sss_nr_hide', '0', '', '', '', '', '2006-10-05 07:36:45', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('person_title_hide', '0', NULL, 'normal', '', '', '2006-12-20 11:15:40', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('theme_control_buttons', 'default', '', '', '', '', '2006-07-26 06:25:33', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('theme_control_theme_list', 'default,blue_aqua', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('theme_mascot', 'default', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('timeout_inactive', '1', '', '', '', '', '2006-07-26 07:07:05', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('timeout_time', '001500', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_config_global` (`type`, `value`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('time_format', 'HH.MM', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_config_user`
-- 

CREATE TABLE `care_config_user` (
  `user_id` varchar(100) collate latin1_general_ci NOT NULL,
  `serial_config_data` text collate latin1_general_ci NOT NULL,
  `notes` varchar(255) collate latin1_general_ci default NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_config_user`
-- 

INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG44b2987715e0b0.08962200 1152555127.cfg', 'a:31:{s:4:"mask";s:1:"2";s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"44b2987715e0b";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";s:6:"mascot";s:4:"none";s:13:"mainmenu_tree";s:5:"dtree";s:14:"template_theme";s:13:"brushed_metal";s:15:"control_buttons";s:7:"default";s:5:"icons";s:13:"winter_jelias";s:3:"css";s:23:"tech_blue/tech_blue.css";s:15:"template_smarty";s:4:"mac1";s:14:"thispc_dept_nr";s:2:"42";s:14:"thispc_ward_nr";s:1:"1";s:14:"thispc_room_nr";s:1:"1";s:12:"thispc_phone";s:1:"2";s:15:"thispc_intercom";s:1:"3";}', NULL, '', NULL, 'system', '2006-09-23 01:07:05', '', '2006-07-11 05:12:07');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG44b2c3fbee1c10.97530900 1152566267.cfg', 'a:25:{s:4:"mask";s:0:"";s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:4:"msie";s:8:"bversion";s:3:"6.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"44b2c3fbee1c1";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";s:15:"template_smarty";s:4:"mac1";s:14:"template_theme";s:13:"brushed_metal";s:13:"mainmenu_tree";s:5:"dtree";s:15:"control_buttons";s:7:"default";s:5:"icons";s:13:"winter_jelias";s:3:"css";s:23:"dry_stone/dry_stone.css";}', NULL, '', NULL, 'system', '2006-07-26 04:05:39', '', '2006-07-11 08:17:47');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG44cb60f3419b40.26873800 1154179315.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:4:"msie";s:8:"bversion";s:3:"6.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"44cb60f3419b4";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2006-07-30 00:21:54', '', '2006-07-30 00:21:54');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG44d49595629200.40377400 1154782613.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"Unknown";s:8:"bversion";i:0;s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"44d4959562920";s:5:"dhtml";s:1:"1";s:4:"lang";s:2:"en";}', NULL, '', NULL, '', '2006-08-05 23:56:53', '', '2006-08-05 23:56:53');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG44f02d9d595250.36587200 1156591005.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:13:"192.168.1.242";s:3:"cid";s:13:"44f02d9d59525";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2006-08-26 22:16:45', '', '2006-08-26 22:16:45');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG44f02e39c927a0.82394100 1156591161.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:5:"opera";s:8:"bversion";s:4:"8.52";s:2:"ip";s:13:"192.168.1.242";s:3:"cid";s:13:"44f02e39c927a";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2006-08-26 22:19:21', '', '2006-08-26 22:19:21');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG450592a13b5360.24308900 1157993121.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:4:"msie";s:8:"bversion";s:3:"6.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"450592a13b536";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2006-09-12 03:45:21', '', '2006-09-12 03:45:21');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG450d69dd6973e0.43194500 1158506973.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:4:"msie";s:8:"bversion";s:3:"6.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"450d69dd6973e";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2006-09-18 02:29:33', '', '2006-09-18 02:29:33');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG451e54a441acf0.26901900 1159615652.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"451e54a441acf";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2006-09-30 22:27:32', '', '2006-09-30 22:27:32');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG4529333c968cf0.61666500 1160327996.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:4:"msie";s:8:"bversion";s:3:"6.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"4529333c968cf";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2006-10-09 04:19:56', '', '2006-10-09 04:19:56');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG4530b2b41d8c50.12103700 1160819380.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"4530b2b41d8c5";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2006-10-14 11:49:40', '', '2006-10-14 11:49:40');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG45327be1c9b8d0.82625900 1160936417.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"45327be1c9b8d";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2006-10-15 20:20:17', '', '2006-10-15 20:20:17');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG45327c6e153150.08681000 1160936558.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:4:"msie";s:8:"bversion";s:3:"6.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"45327c6e15315";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2006-10-15 20:22:38', '', '2006-10-15 20:22:38');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG45327f3558f5f0.36438900 1160937269.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:5:"opera";s:8:"bversion";s:4:"9.02";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"45327f3558f5f";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2006-10-15 20:34:53', '', '2006-10-15 20:34:53');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG4557337d736280.47262600 1163342717.cfg', 'a:24:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"4557337d73628";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";s:14:"thispc_dept_nr";s:0:"";s:14:"thispc_ward_nr";s:1:"1";s:14:"thispc_room_nr";s:0:"";s:12:"thispc_phone";s:0:"";s:15:"thispc_intercom";s:0:"";}', NULL, '', NULL, 'system', '2006-12-02 11:43:45', '', '2006-11-12 15:45:17');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG4565f8595c8af0.37906300 1164310617.cfg', 'a:24:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"4565f8595c8af";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";s:14:"thispc_dept_nr";s:2:"56";s:14:"thispc_ward_nr";s:0:"";s:14:"thispc_room_nr";s:0:"";s:12:"thispc_phone";s:0:"";s:15:"thispc_intercom";s:0:"";}', NULL, '', NULL, 'system', '2006-11-28 13:16:55', '', '2006-11-23 20:36:57');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG456dd48bbaeec0.76568400 1164825739.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:13:"192.168.0.223";s:3:"cid";s:13:"456dd48bbaeec";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2006-11-29 19:42:19', '', '2006-11-29 19:42:19');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG456f34b972ef40.47078000 1164915897.cfg', 'a:24:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:13:"192.168.1.223";s:3:"cid";s:13:"456f34b972ef4";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";s:14:"thispc_dept_nr";s:0:"";s:14:"thispc_ward_nr";s:0:"";s:14:"thispc_room_nr";s:0:"";s:12:"thispc_phone";s:0:"";s:15:"thispc_intercom";s:0:"";}', NULL, '', NULL, 'system', '2006-11-30 20:45:29', '', '2006-11-30 20:44:57');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG45705cceca2470.82798800 1164991694.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:10:"10.10.10.3";s:3:"cid";s:13:"45705cceca247";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2006-12-01 17:48:14', '', '2006-12-01 17:48:14');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG45705ccecf0d10.84809400 1164991694.cfg', 'a:24:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:10:"10.10.10.3";s:3:"cid";s:13:"45705ccecf0d1";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";s:14:"thispc_dept_nr";s:0:"";s:14:"thispc_ward_nr";s:0:"";s:14:"thispc_room_nr";s:0:"";s:12:"thispc_phone";s:0:"";s:15:"thispc_intercom";s:0:"";}', NULL, '', NULL, 'system', '2006-12-01 23:20:01', '', '2006-12-01 17:48:14');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG4573d83726c490.15880400 1165219895.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"4573d83726c49";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2006-12-04 09:11:35', '', '2006-12-04 09:11:35');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG4573e5ed981f70.62310600 1165223405.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:10:"10.10.10.3";s:3:"cid";s:13:"4573e5ed981f7";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2006-12-04 10:10:05', '', '2006-12-04 10:10:05');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG4573e9877333c0.47187800 1165224327.cfg', 'a:24:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:4:"msie";s:8:"bversion";s:3:"6.0";s:2:"ip";s:10:"10.10.10.2";s:3:"cid";s:13:"4573e9877333c";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";s:14:"thispc_dept_nr";s:2:"42";s:14:"thispc_ward_nr";s:0:"";s:14:"thispc_room_nr";s:0:"";s:12:"thispc_phone";s:0:"";s:15:"thispc_intercom";s:0:"";}', NULL, '', NULL, 'system', '2006-12-16 12:31:45', '', '2006-12-04 10:25:27');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG4573eb666e4540.45167800 1165224806.cfg', 'a:24:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:10:"10.10.10.4";s:3:"cid";s:13:"4573eb666e454";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";s:14:"thispc_dept_nr";s:0:"";s:14:"thispc_ward_nr";s:0:"";s:14:"thispc_room_nr";s:0:"";s:12:"thispc_phone";s:0:"";s:15:"thispc_intercom";s:0:"";}', NULL, '', NULL, 'system', '2006-12-16 12:32:34', '', '2006-12-04 10:33:26');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG457a8dd348b4d0.29781400 1165659603.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:12:"10.10.10.242";s:3:"cid";s:13:"457a8dd348b4d";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2006-12-09 11:20:03', '', '2006-12-09 11:20:03');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG457fc53be58790.94016300 1166001467.cfg', 'a:24:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:4:"msie";s:8:"bversion";s:3:"6.0";s:2:"ip";s:10:"10.10.10.7";s:3:"cid";s:13:"457fc53be5879";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";s:14:"thispc_dept_nr";s:1:"8";s:14:"thispc_ward_nr";s:0:"";s:14:"thispc_room_nr";s:0:"";s:12:"thispc_phone";s:0:"";s:15:"thispc_intercom";s:0:"";}', NULL, '', NULL, 'system', '2007-01-08 12:40:26', '', '2006-12-13 10:17:47');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG457fce754a29c0.30378200 1166003829.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:4:"msie";s:8:"bversion";s:3:"6.0";s:2:"ip";s:10:"10.10.10.9";s:3:"cid";s:13:"457fce754a29c";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2006-12-13 10:57:09', '', '2006-12-13 10:57:09');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG457fcf1912ab40.07647700 1166003993.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:10:"10.10.10.9";s:3:"cid";s:13:"457fcf1912ab4";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2006-12-13 10:59:52', '', '2006-12-13 10:59:52');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG457fd75c864450.54996700 1166006108.cfg', 'a:24:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:10:"10.10.10.5";s:3:"cid";s:13:"457fd75c86445";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";s:14:"thispc_dept_nr";s:2:"56";s:14:"thispc_ward_nr";s:0:"";s:14:"thispc_room_nr";s:0:"";s:12:"thispc_phone";s:0:"";s:15:"thispc_intercom";s:0:"";}', NULL, '', NULL, 'system', '2007-01-15 12:07:01', '', '2006-12-13 11:35:08');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG458135fc6fa4f0.45730500 1166095868.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:12:"10.10.10.100";s:3:"cid";s:13:"458135fc6fa4f";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2006-12-14 12:31:04', '', '2006-12-14 12:31:04');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG4593a772611960.39772700 1167304562.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:4:"msie";s:8:"bversion";s:3:"6.0";s:2:"ip";s:11:"10.10.10.10";s:3:"cid";s:13:"4593a77261196";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2006-12-28 12:14:57', '', '2006-12-28 12:14:57');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG45a3b1b80ae510.04463400 1168355768.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:11:"10.10.10.10";s:3:"cid";s:13:"45a3b1b80ae51";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-01-09 16:14:10', '', '2007-01-09 16:14:10');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG45a3b34f18ab20.10105000 1168356175.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:12:"169.254.87.1";s:3:"cid";s:13:"45a3b34f18ab2";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-01-09 16:20:58', '', '2007-01-09 16:20:58');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG45a8af9149a8e0.30171900 1168682897.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:4:"msie";s:8:"bversion";s:3:"5.0";s:2:"ip";s:10:"10.10.10.3";s:3:"cid";s:13:"45a8af9149a8e";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-01-13 11:06:29', '', '2007-01-13 11:06:29');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG45ac98d057c790.35955400 1168939216.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:10:"10.10.10.2";s:3:"cid";s:13:"45ac98d057c79";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-01-16 10:17:50', '', '2007-01-16 10:17:50');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG45b1f580125f40.07526100 1169290624.cfg', 'a:24:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:4:"msie";s:8:"bversion";s:3:"6.0";s:2:"ip";s:10:"10.10.10.6";s:3:"cid";s:13:"45b1f580125f4";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";s:14:"thispc_dept_nr";s:2:"56";s:14:"thispc_ward_nr";s:0:"";s:14:"thispc_room_nr";s:0:"";s:12:"thispc_phone";s:0:"";s:15:"thispc_intercom";s:0:"";}', NULL, '', NULL, 'system', '2007-01-20 11:58:25', '', '2007-01-20 11:54:20');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG45b1faf30bc730.04825100 1169292019.cfg', 'a:24:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:10:"10.10.10.6";s:3:"cid";s:13:"45b1faf30bc73";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";s:14:"thispc_dept_nr";s:2:"56";s:14:"thispc_ward_nr";s:0:"";s:14:"thispc_room_nr";s:0:"";s:12:"thispc_phone";s:0:"";s:15:"thispc_intercom";s:0:"";}', NULL, '', NULL, 'system', '2007-01-20 12:26:06', '', '2007-01-20 12:18:00');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG45c2f4eb372290.22584200 1170404587.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:12:"10.10.10.241";s:3:"cid";s:13:"45c2f4eb37229";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-02-02 09:22:59', '', '2007-02-02 09:22:59');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG45d48cc21da790.12147900 1171557570.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"45d48cc21da79";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-02-15 17:39:30', '', '2007-02-15 17:39:30');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG45d87c1e87d940.55644500 1171815454.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"45d87c1e87d94";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-02-18 17:17:32', '', '2007-02-18 17:17:32');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG45dded9ddecb30.91257500 1172172189.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:13:"192.168.1.244";s:3:"cid";s:13:"45dded9ddecb3";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-02-22 20:23:08', '', '2007-02-22 20:23:08');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG45e45a3ac5dab0.81041900 1172593210.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"4.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"45e45a3ac5dab";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-02-27 17:20:10', '', '2007-02-27 17:20:10');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG45e5cd1ade6050.91086200 1172688154.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:5:"opera";s:8:"bversion";s:4:"9.10";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"45e5cd1ade605";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-02-28 19:42:34', '', '2007-02-28 19:42:34');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG45e5e3943a4f00.23884000 1172693908.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"4.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"45e5e3943a4f0";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-02-28 21:18:28', '', '2007-02-28 21:18:28');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG464c541dcb6ca0.83323400 1179407389.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"464c541dcb6ca";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-05-17 15:09:49', '', '2007-05-17 15:09:49');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG464ed79fb274a0.73096600 1179572127.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"4.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"464ed79fb274a";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-05-19 12:55:27', '', '2007-05-19 12:55:27');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG465f08bc3851d0.23069400 1180633276.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"465f08bc3851d";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-05-31 19:41:16', '', '2007-05-31 19:41:16');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG4698a1982dc320.18745500 1184407960.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:4:"msie";s:8:"bversion";s:3:"6.0";s:2:"ip";s:13:"192.168.1.240";s:3:"cid";s:13:"4698a1982dc32";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-07-14 12:12:18', '', '2007-07-14 12:12:18');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG4698a8975289c0.33808400 1184409751.cfg', 'a:24:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"4698a8975289c";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";s:14:"thispc_dept_nr";s:2:"56";s:14:"thispc_ward_nr";s:0:"";s:14:"thispc_room_nr";s:0:"";s:12:"thispc_phone";s:0:"";s:15:"thispc_intercom";s:0:"";}', NULL, '', NULL, 'system', '2007-08-06 20:45:15', '', '2007-07-14 12:42:09');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG4699064e1e5f20.12441500 1184433742.cfg', 'a:24:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"4699064e1e5f2";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";s:14:"thispc_dept_nr";s:2:"56";s:14:"thispc_ward_nr";s:1:"6";s:14:"thispc_room_nr";s:0:"";s:12:"thispc_phone";s:0:"";s:15:"thispc_intercom";s:0:"";}', NULL, '', NULL, 'system', '2007-08-06 19:37:38', '', '2007-07-14 19:22:22');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG4699fbf3a3fef0.67174000 1184496627.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:13:"192.168.1.240";s:3:"cid";s:13:"4699fbf3a3fef";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-07-15 12:50:27', '', '2007-07-15 12:50:27');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG46af2a93ce7980.84573100 1185884819.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:4:"msie";s:8:"bversion";s:3:"6.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"46af2a93ce798";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-07-31 14:26:59', '', '2007-07-31 14:26:59');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG46b09c3b88a200.55965600 1185979451.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:4:"msie";s:8:"bversion";s:3:"6.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"46b09c3b88a20";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-08-01 16:44:11', '', '2007-08-01 16:44:11');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG46b1f143e3f000.93364000 1186066755.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"Unknown";s:8:"bversion";i:0;s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"46b1f143e3f00";s:5:"dhtml";s:1:"1";s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-08-02 16:59:15', '', '2007-08-02 16:59:15');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG46b72d88ab9390.70278900 1186409864.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:13:"192.168.1.100";s:3:"cid";s:13:"46b72d88ab939";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-08-06 16:17:42', '', '2007-08-06 16:17:42');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG46b8452dde8770.91149200 1186481453.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:13:"192.168.1.200";s:3:"cid";s:13:"46b8452dde877";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-08-07 12:10:56', '', '2007-08-07 12:10:56');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG46cb16334f89f0.32580000 1187714611.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:12:"192.168.1.42";s:3:"cid";s:13:"46cb16334f89f";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-08-21 18:43:31', '', '2007-08-21 18:43:31');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG46dabf331ad7c0.10996200 1188740915.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:13:"192.168.0.188";s:3:"cid";s:13:"46dabf331ad7c";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-09-02 15:48:35', '', '2007-09-02 15:48:35');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG46ef970998e2c0.62623400 1190106889.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"46ef970998e2c";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-09-18 11:14:49', '', '2007-09-18 11:14:49');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG46faea52b85d20.75516300 1190849106.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"46faea52b85d2";s:5:"dhtml";i:1;s:4:"lang";s:2:"en";}', NULL, '', NULL, '', '2007-09-27 01:25:04', '', '2007-09-27 01:25:04');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG46faf9e8b03e00.72189600 1190853096.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"46faf9e8b03e0";s:5:"dhtml";i:1;s:4:"lang";s:2:"en";}', NULL, '', NULL, '', '2007-09-27 02:31:34', '', '2007-09-27 02:31:34');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG46fafa044ef9b0.32349100 1190853124.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"46fafa044ef9b";s:5:"dhtml";i:1;s:4:"lang";s:2:"en";}', NULL, '', NULL, '', '2007-09-27 02:32:01', '', '2007-09-27 02:32:01');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG46fbbd23abfa50.70443700 1190903075.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"46fbbd23abfa5";s:5:"dhtml";i:1;s:4:"lang";s:2:"en";}', NULL, '', NULL, '', '2007-09-27 16:24:35', '', '2007-09-27 16:24:35');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG46fbd274896b30.56287600 1190908532.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:4:"msie";s:8:"bversion";s:3:"6.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"46fbd274896b3";s:5:"dhtml";i:1;s:4:"lang";s:2:"en";}', NULL, '', NULL, '', '2007-09-27 17:55:32', '', '2007-09-27 17:55:32');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG4704bd3c876d80.55472000 1191492924.cfg', 'a:24:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"4704bd3c876d8";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";s:14:"thispc_dept_nr";s:2:"56";s:14:"thispc_ward_nr";s:1:"6";s:14:"thispc_room_nr";s:0:"";s:12:"thispc_phone";s:0:"";s:15:"thispc_intercom";s:0:"";}', NULL, '', NULL, 'system', '2007-10-30 20:45:51', '', '2007-10-04 12:15:24');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG470d33d2d6a450.87918100 1192047570.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:13:"192.168.0.187";s:3:"cid";s:13:"470d33d2d6a45";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-10-10 22:19:30', '', '2007-10-10 22:19:30');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG470d33d2d917b0.88922000 1192047570.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:13:"192.168.0.187";s:3:"cid";s:13:"470d33d2d917b";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-10-10 22:19:30', '', '2007-10-10 22:19:30');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG47178bd56e41b0.45162100 1192725461.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:13:"192.168.0.146";s:3:"cid";s:13:"47178bd56e41b";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-10-18 18:37:39', '', '2007-10-18 18:37:39');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG471a3669ab9ac0.70290100 1192900201.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:4:"msie";s:8:"bversion";s:3:"6.0";s:2:"ip";s:13:"192.168.0.101";s:3:"cid";s:13:"471a3669ab9ac";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-10-20 19:10:01', '', '2007-10-20 19:10:01');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('CFG473d6b335241c0.33693900 1195207475.cfg', 'a:19:{s:4:"mask";b:0;s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:7:"mozilla";s:8:"bversion";s:3:"5.0";s:2:"ip";s:9:"127.0.0.1";s:3:"cid";s:13:"473d6b335241c";s:5:"dhtml";i:1;s:4:"lang";s:2:"sq";}', NULL, '', NULL, '', '2007-11-16 11:04:35', '', '2007-11-16 11:04:35');
INSERT INTO `care_config_user` (`user_id`, `serial_config_data`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('default', 'a:19:{s:4:"mask";s:1:"1";s:11:"idx_bgcolor";s:7:"#99ccff";s:12:"idx_txtcolor";s:7:"#000066";s:9:"idx_hover";s:7:"#ffffcc";s:9:"idx_alink";s:7:"#ffffff";s:11:"top_bgcolor";s:7:"#99ccff";s:12:"top_txtcolor";s:7:"#330066";s:12:"body_bgcolor";s:7:"#ffffff";s:13:"body_txtcolor";s:7:"#000066";s:10:"body_hover";s:7:"#cc0033";s:10:"body_alink";s:7:"#cc0000";s:11:"bot_bgcolor";s:7:"#cccccc";s:12:"bot_txtcolor";s:4:"gray";s:5:"bname";s:0:"";s:8:"bversion";s:0:"";s:2:"ip";s:0:"";s:3:"cid";s:0:"";s:5:"dhtml";s:1:"1";s:4:"lang";s:0:"";}', 'default values', 'normal', 'installed', 'auto-installer', '0000-00-00 00:00:00', 'auto-installer', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_currency`
-- 

CREATE TABLE `care_currency` (
  `item_no` smallint(5) unsigned NOT NULL auto_increment,
  `short_name` varchar(5) collate latin1_general_ci NOT NULL,
  `long_name` varchar(20) collate latin1_general_ci NOT NULL,
  `info` varchar(50) collate latin1_general_ci NOT NULL,
  `status` varchar(5) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(20) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(20) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  KEY `item_no` (`item_no`),
  KEY `short_name` (`short_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=14 ;

-- 
-- Dumping data for table `care_currency`
-- 

INSERT INTO `care_currency` (`item_no`, `short_name`, `long_name`, `info`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (13, 'L', 'Lek', 'Lek', 'main', 'admin', '2006-07-26 06:24:56', '', '2002-11-27 05:05:34');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_department`
-- 

CREATE TABLE `care_department` (
  `nr` mediumint(8) unsigned NOT NULL auto_increment,
  `id` varchar(60) collate latin1_general_ci NOT NULL,
  `type` varchar(25) collate latin1_general_ci NOT NULL,
  `name_formal` varchar(60) collate latin1_general_ci NOT NULL,
  `name_short` varchar(35) collate latin1_general_ci NOT NULL,
  `name_alternate` varchar(225) collate latin1_general_ci default NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `description` text collate latin1_general_ci NOT NULL,
  `admit_inpatient` tinyint(1) NOT NULL default '0',
  `admit_outpatient` tinyint(1) NOT NULL default '0',
  `has_oncall_doc` tinyint(1) NOT NULL default '1',
  `has_oncall_nurse` tinyint(1) NOT NULL default '1',
  `does_surgery` tinyint(1) NOT NULL default '0',
  `this_institution` tinyint(1) NOT NULL default '1',
  `is_sub_dept` tinyint(1) NOT NULL default '0',
  `parent_dept_nr` tinyint(3) unsigned default NULL,
  `work_hours` varchar(100) collate latin1_general_ci default NULL,
  `consult_hours` varchar(100) collate latin1_general_ci default NULL,
  `is_inactive` tinyint(1) NOT NULL default '0',
  `sort_order` tinyint(3) unsigned NOT NULL default '0',
  `address` text collate latin1_general_ci,
  `sig_line` varchar(60) collate latin1_general_ci default NULL,
  `sig_stamp` text collate latin1_general_ci,
  `logo_mime_type` varchar(5) collate latin1_general_ci default NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  `is_pharmacy` tinyint(4) NOT NULL COMMENT 'is a pharmacy, or a normal dept ?',
  `pharma_dept_nr` tinyint(3) unsigned default '0' COMMENT 'to wich pharmacy i take medicaments ?',
  PRIMARY KEY  (`nr`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=67 ;

-- 
-- Dumping data for table `care_department`
-- 

INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (1, 'pr', '2', 'Public Relations', 'PR', 'Press Relations', 'LDPressRelations', '', 0, 0, 1, 1, 0, 1, 0, 0, '', '', 1, 0, NULL, '', '', '', 'hidden', '', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (2, 'cafe', '2', 'Salla pushimit', 'pushim', 'pushim', 'LDCafeteria', '', 0, 0, 1, 1, 0, 1, 0, 0, '', '', 1, 0, NULL, '', '', '', 'hidden', 'Update: 2006-08-11 09:55:21 admin\n', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (3, 'general_surgery', '1', 'Kirurgjia1', 'Kirurgjia1', 'Kirurgjia1', 'LDGeneralSurgery', '', 1, 1, 1, 1, 1, 1, 0, 0, '8.30 - 21.00', '12.30 - 15.00 , 19.00 - 21.00', 1, 0, '', '', '', '', 'hidden', 'Update: 2006-08-12 21:55:08 admin\n', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (4, 'emergency_surgery', '1', 'Salla Urgjences Kirurgji', 'Salla Urgjences Kirurgji', '', 'LDEmergencySurgery', 'Salla Urgjences Kirurgji', 1, 1, 1, 1, 1, 1, 0, 0, '', '12.30 - 15.00 , 19.00 - 21.00', 1, 0, NULL, '', '', '', 'hidden', 'Update: 2006-08-12 22:01:46 = admin\nUpdate: 2006-08-12 22:02:09 admin\n', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (5, 'plastic_surgery', '1', 'Kirurgjia2', 'Kirurgjia2', 'Kirurgjia2', 'LDPlasticSurgery', '', 1, 1, 1, 1, 1, 1, 0, 0, '', '12.30 - 15.00 , 19.00 - 21.00', 1, 0, NULL, '', '', '', 'hidden', 'Update: 2006-08-12 21:53:09 admin\nUpdate: 2006-08-12 21:53:48 admin\n', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (6, 'ent', '1', 'ORL', 'ORL', 'ORL', 'LDEarNoseThroath', 'ORL', 1, 1, 1, 1, 1, 1, 0, 0, '', '12.30 - 15.00 , 19.00 - 21.00', 0, 0, NULL, '', 'kope akjdielj asdlkasdf', '', '', 'Update: 2003-08-13 23:24:16 Elpidio Latorilla\r\nUpdate: 2003-08-13 23:25:27 Elpidio Latorilla\r\nUpdate: 2003-08-13 23:29:05 Elpidio Latorilla\r\nUpdate: 2003-08-13 23:30:21 Elpidio Latorilla\r\nUpdate: 2003-08-13 23:31:52 Elpidio Latorilla\r\nUpdate: 2003-08-13 23:34:08 Elpidio Latorilla\r\nUpdate: 2006-07-25 22:06:07 admin\nUpdate: 2006-08-11 09:56:59 admin\nUpdate: 2006-12-03 20:29:15 admin\n', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (7, 'opthalmology', '1', 'Opthalmology', 'Opthalmology', 'Eye Department', 'LDOpthalmology', '', 1, 1, 1, 1, 1, 1, 0, 0, '', '12.30 - 15.00 , 19.00 - 21.00', 0, 0, NULL, '', '', '', 'visible', '', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (8, 'pathology', '1', 'Pathology', 'Pathology', 'Patho', 'LDPathology', '', 0, 0, 1, 1, 0, 1, 0, 0, '', '12.30 - 15.00 , 19.00 - 21.00', 0, 0, '', '', '', '', 'visible', '', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (9, 'ob_gyn', '1', 'Ob-Gynecology', 'Ob-Gyne', 'Gyn', 'LDObGynecology', '', 1, 1, 1, 1, 1, 1, 0, 0, '', '12.30 - 15.00 , 19.00 - 21.00', 1, 0, NULL, '', '', '', 'hidden', '', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (10, 'physical_therapy', '1', 'Physical Therapy', 'Physical', 'PT', 'LDPhysicalTherapy', 'Physical therapy department with on-call therapists. Day care clinics, training, rehab.', 1, 0, 1, 1, 0, 1, 1, 16, '8:00 - 15:00', '12.30 - 15.00 , 19.00 - 21.00', 1, 0, '', '', '', '', 'hidden', '', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (11, 'internal_med', '1', 'Internal Medicine', 'Internal Med', 'InMed', 'LDInternalMedicine', '', 1, 1, 1, 1, 0, 1, 0, 0, '', '12.30 - 15.00 , 19.00 - 21.00', 1, 0, '', '', '', '', 'hidden', '', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (12, 'imc', '1', 'Intermediate Care Unit', 'IMC', 'Intermediate', 'LDIntermediateCareUnit', '', 1, 1, 1, 1, 0, 1, 0, 0, '', '12.30 - 15.00 , 19.00 - 21.00', 1, 0, '', '', '', '', 'hidden', 'Update: 2006-07-25 22:01:56 admin\nUpdate: 2006-07-25 22:05:20 admin\nUpdate: 2006-07-25 22:05:26 admin\nUpdate: 2006-07-25 22:05:32 admin\n', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (13, 'icu', '1', 'Intensive Care Unit', 'ICU', 'Intensive', 'LDIntensiveCareUnit', '', 1, 1, 1, 1, 0, 1, 0, 0, '', '12.30 - 15.00 , 19.00 - 21.00', 1, 0, '', '', '', '', 'hidden', '', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (14, 'emergency_ambulatory', '1', 'Ndihma e shpejte', 'Ndihma e shpejte', 'Ndihma e shpejte', 'LDEmergencyAmbulatory', '', 0, 1, 1, 1, 0, 1, 1, 4, '', '12.30 - 15.00 , 19.00 - 21.00', 1, 0, '', '', '', '', 'hidden', 'Update: 2003-09-23 00:06:27 Elpidio Latorilla\nUpdate: 2006-08-11 09:57:37 admin\n', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (15, 'general_ambulatory', '1', 'General Ambulatory', 'Ambulatory', 'General Amb', 'LDGeneralAmbulatory', '', 0, 1, 1, 1, 0, 1, 1, 3, 'round the clock', '12.30 - 15.00 , 19.00 - 21.00', 1, 0, '', '', '', '', 'hidden', '', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (16, 'inmed_ambulatory', '1', 'Internal Medicine Ambulatory', 'InMed Ambulatory', 'InMed Amb', 'LDInternalMedicineAmbulatory', '', 0, 1, 1, 1, 0, 1, 1, 11, '', '12.30 - 15.00 , 19.00 - 21.00', 1, 0, '', '', '', '', 'hidden', '', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (17, 'sonography', '1', 'Sonography', 'Sono', 'Ultrasound diagnostics', 'LDSonography', '', 0, 1, 1, 1, 0, 1, 1, 11, '', '12.30 - 15.00 , 19.00 - 21.00', 1, 0, '', '', '', '', 'hidden', '', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (18, 'nuclear_diagnostics', '1', 'Nuclear Diagnostics', 'Nuclear', 'Nuclear Testing', 'LDNuclearDiagnostics', '', 0, 1, 1, 1, 0, 1, 1, 19, '', '12.30 - 15.00 , 19.00 - 21.00', 1, 0, '', '', '', '', 'hidden', '', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (19, 'radiology', '1', 'Radiology', 'Radiology', 'Xray', 'LDRadiology', '', 0, 1, 1, 1, 0, 1, 0, 0, '', '12.30 - 15.00 , 19.00 - 21.00', 0, 0, '', '', '', '', '', '', '', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (20, 'oncology', '1', 'Oncology', 'Oncology', 'Cancer Department', 'LDOncology', '', 1, 1, 1, 1, 1, 1, 0, 11, '', '12.30 - 15.00 , 19.00 - 21.00', 1, 0, NULL, '', '', '', 'hidden', '', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (21, 'neonatal', '1', 'Neonatal', 'Neonatal', 'Newborn Department', 'LDNeonatal', '', 1, 1, 1, 1, 1, 1, 1, 9, '', '12.30 - 15.00 , 19.00 - 21.00', 1, 0, NULL, '343', '', '', 'hidden', 'Update: 2003-08-13 22:32:07 Elpidio Latorilla\nUpdate: 2003-08-13 22:33:10 Elpidio Latorilla\nUpdate: 2003-08-13 22:43:39 Elpidio Latorilla\nUpdate: 2003-08-13 22:43:59 Elpidio Latorilla\nUpdate: 2003-08-13 22:44:19 Elpidio Latorilla\n', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (22, 'central_lab', '1', 'Laboratori qendror', 'Laboratori qendror', 'Laboratori qendror', 'LDCentralLaboratory', '', 0, 0, 1, 1, 0, 1, 0, 0, '', '12.30 - 15.00 , 19.00 - 21.00', 0, 0, '', '', 'kdkdododospdfjdasljfda\r\nasdflasdjf\r\nasdfklasdjflasdjf', '', 'visible', 'Update: 2003-08-13 23:12:30 Elpidio Latorilla\r\nUpdate: 2003-08-13 23:14:59 Elpidio Latorilla\r\nUpdate: 2003-08-13 23:15:28 Elpidio Latorilla\r\nUpdate: 2006-08-11 09:56:13 admin\n', 'admin', '2007-08-10 20:33:43', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (23, 'serological_lab', '1', 'Serological Laboratory', 'Serological Lab', 'Serum Lab', 'LDSerologicalLaboratory', '', 0, 1, 1, 1, 0, 1, 1, 22, '', '12.30 - 15.00 , 19.00 - 21.00', 1, 0, '', '', '', '', 'hidden', '', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (24, 'chemical_lab', '1', 'Laboratori biokimik', 'Laboratori biokimik', 'Laboratori biokimik', 'LDChemicalLaboratory', 'Laboratori biokimik', 1, 1, 1, 1, 1, 1, 0, 22, '', '12.30 - 15.00 , 19.00 - 21.00', 0, 0, '', '', '', '', 'visible', 'Update: 2006-08-11 09:56:32 admin\nUpdate: 2007-08-10 20:08:52 admin\nUpdate: 2007-08-10 20:10:01 admin\n', 'admin', '2007-08-10 20:22:15', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (25, 'bacteriological_lab', '1', 'Laboratori bakteriologjik', 'Laboratori bakteriologjik', 'Laboratori bakteriologjik', 'LDBacteriologicalLaboratory', '', 0, 1, 1, 1, 0, 1, 1, 22, '', '12.30 - 15.00 , 19.00 - 21.00', 0, 0, '', '', '', '', 'visible', 'Update: 2006-08-11 09:53:46 admin\n', 'admin', '2007-08-10 20:33:38', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (26, 'tech', '2', 'Technical Maintenance', 'Tech', 'Technical Support', 'LDTechnicalMaintenance', '', 0, 0, 1, 1, 0, 1, 0, 0, '', '', 1, 0, '', '', '', 'jpg', 'hidden', 'Update: 2003-08-10 23:42:30 Elpidio Latorilla\n', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (27, 'it', '2', 'IT Department', 'IT', 'EDP', 'LDITDepartment', '', 0, 0, 1, 1, 0, 1, 0, 0, '', '', 1, 0, '', '', '', '', 'hidden', '', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (28, 'management', '2', 'Management', 'Management', 'Busines Administration', 'LDManagement', '', 0, 0, 1, 1, 0, 1, 0, 0, '', '', 1, 0, '', '', '', '', 'hidden', '', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (29, 'exhibition', '3', 'Exhibitions', 'Exhibit', 'Showcases', 'LDExhibitions', '', 0, 0, 1, 1, 1, 1, 0, 0, '', '', 1, 0, NULL, '', '', '', 'hidden', '', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (30, 'edu', '3', 'Formim', 'Formim', 'Formim', 'LDEducation', 'Education news bulletin of the hospital.', 0, 0, 1, 1, 0, 1, 0, 0, '', '', 1, 0, '', '', '', '', 'hidden', 'Update: 2003-08-13 22:44:45 Elpidio Latorilla\nUpdate: 2003-08-13 23:00:37 Elpidio Latorilla\nUpdate: 2006-08-11 09:57:16 admin\n', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (31, 'study', '3', 'Studies', 'Studies', 'Advance studies or on-the-job training', 'LDStudies', '', 0, 0, 1, 1, 1, 1, 0, 0, '', '', 1, 0, NULL, '', '', '', 'hidden', '', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (32, 'health_tip', '3', 'Health Tips', 'Tips', 'Health Information', 'LDHealthTips', '', 0, 0, 1, 1, 1, 1, 0, 0, '', '', 1, 0, NULL, '', '', '', 'hidden', '', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (33, 'admission', '2', 'Pranimi', 'Pranimi', 'Informacione per pranimin', 'LDAdmission', '', 0, 0, 1, 1, 1, 0, 1, 0, '', '', 0, 0, NULL, '', '', '', '', 'Update: 2006-07-25 21:39:21 admin\nUpdate: 2006-07-25 21:46:40 admin\nUpdate: 2006-07-25 21:53:06 admin\nUpdate: 2006-07-25 21:53:11 admin\nUpdate: 2006-08-11 09:53:22 admin\nUpdate: 2007-02-21 21:37:06 admin\n', 'admin', '2007-02-21 21:37:06', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (34, 'news_headline', '3', 'Headline', 'News head', 'Major news', 'LDHeadline', '', 0, 0, 1, 1, 1, 1, 0, 0, '', '', 1, 0, NULL, '', '', '', 'hidden', '', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (35, 'cafenews', '3', 'Lajme nga Mensa', 'mensanews', 'mensa news', 'LDCafeNews', '', 0, 0, 1, 1, 1, 0, 0, 0, '', '', 1, 0, NULL, '', '', '', 'hidden', 'Update: 2006-08-11 09:54:49 admin\n', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (36, 'nursing', '3', 'Nursing', 'Nursing', 'Nursing care', 'LDNursing', '', 1, 1, 1, 1, 1, 1, 1, 0, '', '', 1, 0, NULL, '', '', '', 'hidden', '', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (37, 'doctors', '3', 'Mjeket', 'Mjeket', 'Personeli mjekesor', 'LDDoctors', '', 0, 0, 1, 1, 1, 1, 0, 0, '', '', 1, 0, NULL, '', '', '', 'hidden', 'Update: 2006-08-11 09:55:50 admin\n', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (38, 'pharmacy', '1', 'Farmacia Psikiatrik', 'Farma', '', 'LDPharmacyMental', 'Farmacia e Spitalit Psikiatrik', 0, 0, 1, 1, 0, 0, 0, 0, '', '', 0, 0, NULL, '', '', '', '', 'Update: 2006-07-29 12:51:19 admin\r\nUpdate: 2006-12-03 12:36:37 admin\r\nUpdate: 2006-12-03 12:42:12 admin\r\nUpdate: 2006-12-03 12:43:44 admin\r\nUpdate: 2006-12-03 12:46:03 admin\r\nUpdate: 2006-12-03 20:20:28 admin\r\n', 'admin', '2007-02-22 21:15:29', '', '0000-00-00 00:00:00', 1, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (39, 'anaesthesiology', '1', 'Anestezia', 'ane', 'Anestezia', 'LDAnesthesiology', 'Anestezia', 0, 0, 1, 1, 1, 1, 0, 0, '', '', 1, 0, '', '', '', '', 'hidden', 'Update: 2006-08-11 09:54:08 admin\n', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (40, 'general_ambulant', '1', 'General Outpatient Clinic', 'General Clinic', 'General Ambulatory Clinic', 'LDGeneralOutpatientClinic', 'Outpatient/Ambulant Clinic for general/internal medicine', 0, 1, 1, 1, 0, 0, 1, 16, 'round the clock', '8:30 AM - 11:30 AM , 2:00 PM - 5:30 PM', 1, 0, '', '', '', '', 'hidden', '', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (41, 'blood_bank', '1', 'Punkti i gjakut', 'Punkti i gjakut', 'Punkti i gjakut', 'LDBloodBank', '', 0, 0, 1, 1, 0, 1, 0, 0, '', '', 0, 0, '', '', '', '', '', 'Update: 2006-08-11 09:54:26 admin\n', 'admin', '2007-02-22 20:52:14', '', '0000-00-00 00:00:00', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (42, 'F1', '1', 'Farmacia Spitalit', '', NULL, 'LDPharmacyHospital', 'Farmacia Spitalit', 0, 0, 1, 1, 0, 0, 0, NULL, '08:00 - 16:00', NULL, 0, 0, NULL, NULL, NULL, NULL, '', 'Create: 2006-07-25 22:11:28 adminUpdate: 2006-08-26 13:25:45 admin\nUpdate: 2006-12-03 12:44:51 admin\n', 'admin', '2007-02-22 21:15:24', 'admin', '2006-07-26 07:11:28', 1, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (43, 'Kirurgjia1', '1', 'Kirurgjia1', '', NULL, 'LDKirurgjia1', '', 1, 1, 1, 1, 1, 1, 0, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, 'visible', 'Create: 2006-08-12 21:55:40 admin', 'admin', '2007-08-10 20:16:50', 'admin', '2006-08-13 06:55:40', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (44, 'Salla planifikimit kirurgjise', '1', 'Salla planifikimit kirurgjise', '', NULL, 'LDPlanifikimKirurgji', 'Salla planifikimit kirurgjise', 1, 1, 1, 1, 1, 1, 0, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, '', 'Create: 2006-08-12 22:14:58 admin', 'admin', '2007-02-22 20:52:14', 'admin', '2006-08-13 07:14:58', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (45, 'Salla otorino', '1', 'Salla otorino', 'Salla otorino', 'Salla otorino', 'LDSallaOtorino', 'Salla otorino', 1, 1, 1, 1, 1, 1, 0, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, '', 'Create: 2006-08-12 22:15:42 admin', 'admin', '2007-02-22 20:52:14', 'admin', '2006-08-13 07:15:42', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (46, 'Salla okulistikes', '1', 'Salla okulistikes', 'Salla okulistikes', 'Salla okulistikes', 'LDSallaOkulistikes', 'Salla okulistikes', 1, 1, 1, 1, 1, 1, 0, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, '', 'Create: 2006-08-12 22:16:49 admin', 'admin', '2007-02-22 20:52:14', 'admin', '2006-08-13 07:16:49', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (47, 'Stomatollogjia', '1', 'Stomatollogjia', 'Stomatollogjia', 'Stomatollogjia', 'LDStomatollogjia', 'Stomatollogjia', 1, 1, 1, 1, 1, 1, 0, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, '', 'Create: 2006-08-12 22:17:17 admin', 'admin', '2007-02-22 20:52:14', 'admin', '2006-08-13 07:17:17', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (48, 'Ortopedia', '1', 'Ortopedia', 'Ortopedia', 'Ortopedia', 'LDOrtopedia', 'Ortopedia', 1, 1, 1, 1, 1, 1, 0, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, '', 'Create: 2006-08-12 22:17:38 admin', 'admin', '2007-02-22 20:52:14', 'admin', '2006-08-13 07:17:38', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (49, 'Urgjenca Polivalente', '1', 'Urgjenca Polivalente', 'Urgjenca Polivalente', 'Urgjenca Polivalente', 'LDUrgjencaPolivalente', 'Urgjenca Polivalente', 1, 1, 1, 1, 1, 1, 0, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, '', 'Create: 2006-08-12 22:18:05 admin', 'admin', '2007-02-22 20:52:14', 'admin', '2006-08-13 07:18:05', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (50, 'Infektivi', '1', 'Infektivi', 'Infektivi', 'Infektivi', 'LDInfektivi', 'Infektivi', 1, 1, 1, 1, 1, 1, 0, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, '', 'Create: 2006-08-12 22:18:28 admin', 'admin', '2007-02-22 20:52:14', 'admin', '2006-08-13 07:18:28', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (51, 'Dermatologjia', '1', 'Dermatologjia', 'Dermatologjia', 'Dermatologjia', 'LDDermatologjia', '', 1, 1, 1, 1, 1, 1, 0, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, '', 'Create: 2006-08-12 22:18:45 adminUpdate: 2007-02-21 21:22:10 admin\nUpdate: 2007-02-21 21:37:23 admin\nUpdate: 2007-02-21 21:37:48 admin\nUpdate: 2007-02-21 21:37:57 admin\nUpdate: 2007-02-21 21:52:11 admin\nUpdate: 2007-02-22 20:46:40 admin\nUpdate: 2007-02-22 21:11:51 admin\nUpdate: 2007-02-22 21:11:56 admin\n', 'admin', '2007-02-22 21:11:56', 'admin', '2006-08-13 07:18:45', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (52, 'Morgu spitalit', '1', 'Morgu spitalit', 'Morgu spitalit', 'Morgu spitalit', 'LDMorguSpitalit', 'Morgu spitalit', 1, 1, 1, 1, 0, 1, 0, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, '', 'Create: 2006-08-12 22:19:39 admin', 'admin', '2007-02-22 20:52:14', 'admin', '2006-08-13 07:19:39', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (53, 'Sterilizimi spitalit', '1', 'Sterilizimi spitalit', 'Sterilizimi spitalit', 'Sterilizimi spitalit', 'LDSterilizimiSpitalit', 'Sterilizimi spitalit', 0, 0, 1, 1, 0, 1, 0, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, '', 'Create: 2006-08-12 22:20:12 admin', 'admin', '2007-02-22 20:52:14', 'admin', '2006-08-13 07:20:12', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (54, 'Dializa', '1', 'Dializa', 'Dializa', 'Dializa', 'LDDializa', 'Dializa', 1, 1, 1, 1, 1, 1, 0, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, '', 'Create: 2006-08-12 22:20:31 adminUpdate: 2007-02-22 20:51:58 admin\n', 'admin', '2007-02-22 20:51:58', 'admin', '2006-08-13 07:20:31', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (55, 'Reanimacioni Kirurgji', '1', 'Reanimacioni Kirurgji', 'Reanimacioni Kirurgji', 'Reanimacioni Kirurgji', 'LDReanimacioniKirurgji', 'Reanimacioni Kirurgji', 1, 1, 1, 1, 1, 1, 0, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, '', 'Create: 2006-08-12 22:20:58 admin', 'admin', '2007-02-22 20:52:14', 'admin', '2006-08-13 07:20:58', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (56, 'Pediatria', '1', 'Pediatria', 'Pediatria', 'Pediatria', 'LDPediatria', 'Pediatria', 1, 1, 1, 1, 1, 1, 0, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, '', 'Create: 2006-08-12 22:21:15 admin', 'admin', '2007-02-22 20:52:14', 'admin', '2006-08-13 07:21:15', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (58, 'Radiologjia Pediatri', '1', 'Radiologjia Pediatri', 'Radiologjia Pediatri', 'Radiologjia Pediatri', 'LDRadiologjiaPediatri', 'Radiologjia Pediatri', 1, 1, 1, 1, 1, 1, 0, NULL, NULL, NULL, 1, 0, NULL, NULL, NULL, NULL, 'hidden', 'Create: 2006-08-12 22:22:05 admin', 'admin', '2007-02-22 20:52:14', 'admin', '2006-08-13 07:22:05', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (59, 'Materniteti', '1', 'Materniteti', 'Materniteti', 'Materniteti', 'LDMaterniteti', '', 1, 1, 1, 1, 1, 1, 0, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, '', 'Create: 2006-08-12 22:22:32 admin', 'admin', '2007-02-22 20:52:14', 'admin', '2006-08-13 07:22:32', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (60, 'ECHO Materniteti', '1', 'Materniteti', ' Materniteti', 'Materniteti', 'LDECHOMaterniteti', '', 1, 1, 1, 1, 1, 1, 0, 59, NULL, NULL, 1, 0, NULL, NULL, NULL, NULL, 'hidden', 'Create: 2006-08-12 22:23:31 adminUpdate: 2006-12-03 12:33:40 admin\nUpdate: 2006-12-03 12:34:44 admin\n', 'admin', '2007-08-10 20:18:41', 'admin', '2006-08-13 07:23:31', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (61, 'Laboratori Materniteti', '1', 'Laboratori Materniteti', 'Laboratori Materniteti', 'Laboratori Materniteti', 'LDLaboratoriMaterniteti', 'Laboratori Materniteti', 1, 1, 1, 1, 1, 1, 0, NULL, NULL, NULL, 1, 0, NULL, NULL, NULL, NULL, 'hidden', 'Create: 2006-08-12 22:24:01 admin', 'admin', '2007-02-22 20:52:14', 'admin', '2006-08-13 07:24:01', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (62, 'Farmacia Sanatoriumi', '1', 'Farmacia Sanatoriumi', '', NULL, 'LDPharmacySnanat', 'Farmacia Sanatoriumi', 0, 0, 1, 1, 0, 0, 0, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-03 20:22:07 adminUpdate: 2006-12-03 21:45:44 admin\n', 'admin', '2007-02-22 21:15:36', 'admin', '2006-12-03 20:22:07', 1, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (63, 'Urgjenca Poliklinika', '1', 'Urgjenca Poliklinika', '', NULL, 'LDUrgjencaPoli', 'Urgjenca Poliklinika', 0, 0, 1, 1, 1, 1, 0, NULL, '24', NULL, 0, 0, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-03 20:40:15 admin', 'admin', '2007-08-10 20:17:30', 'admin', '2006-12-03 20:40:15', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (64, 'Salla Urgjences Kirurgji', '1', 'Salla Urgjences Kirurgji', '', NULL, 'LDSallaUKirurgji', 'Salla Urgjences Kirurgji', 1, 1, 1, 1, 1, 1, 0, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-03 20:44:49 adminUpdate: 2007-02-21 20:53:40 admin\nUpdate: 2007-02-21 20:54:03 admin\n', 'admin', '2007-08-10 20:17:19', 'admin', '2006-12-03 20:44:49', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (65, 'Kirurgjia 2', '1', 'Kirurgjia 2', '', NULL, 'LDKirurgjia2', 'Kirurgjia 2', 1, 1, 1, 1, 1, 1, 0, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-04 09:21:45 admin', 'admin', '2007-08-10 20:16:38', 'admin', '2006-12-04 09:21:45', 0, 42);
INSERT INTO `care_department` (`nr`, `id`, `type`, `name_formal`, `name_short`, `name_alternate`, `LD_var`, `description`, `admit_inpatient`, `admit_outpatient`, `has_oncall_doc`, `has_oncall_nurse`, `does_surgery`, `this_institution`, `is_sub_dept`, `parent_dept_nr`, `work_hours`, `consult_hours`, `is_inactive`, `sort_order`, `address`, `sig_line`, `sig_stamp`, `logo_mime_type`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `is_pharmacy`, `pharma_dept_nr`) VALUES (66, 'Poliklinika', '1', 'Poliklinika', '', NULL, 'LDPoliklinika', 'Poliklinika e specialiteteve ', 0, 0, 1, 1, 0, 1, 0, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-06 13:35:45 gjergjiUpdate: 2006-12-06 13:36:06 gjergji\n', 'gjergji', '2007-08-10 20:17:03', 'gjergji', '2006-12-06 13:35:45', 0, 42);

-- --------------------------------------------------------

-- 
-- Table structure for table `care_diagnosis_localcode`
-- 

CREATE TABLE `care_diagnosis_localcode` (
  `localcode` varchar(12) collate latin1_general_ci NOT NULL,
  `description` text collate latin1_general_ci NOT NULL,
  `class_sub` varchar(5) collate latin1_general_ci NOT NULL,
  `type` varchar(10) collate latin1_general_ci NOT NULL,
  `inclusive` text collate latin1_general_ci NOT NULL,
  `exclusive` text collate latin1_general_ci NOT NULL,
  `notes` text collate latin1_general_ci NOT NULL,
  `std_code` char(1) collate latin1_general_ci NOT NULL,
  `sub_level` tinyint(4) NOT NULL default '0',
  `remarks` text collate latin1_general_ci NOT NULL,
  `extra_codes` text collate latin1_general_ci NOT NULL,
  `extra_subclass` text collate latin1_general_ci NOT NULL,
  `search_keys` varchar(255) collate latin1_general_ci NOT NULL,
  `use_frequency` int(11) NOT NULL default '0',
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`localcode`),
  KEY `diagnosis_code` (`localcode`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_diagnosis_localcode`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_drg_intern`
-- 

CREATE TABLE `care_drg_intern` (
  `nr` int(11) NOT NULL auto_increment,
  `code` varchar(12) collate latin1_general_ci NOT NULL,
  `description` text collate latin1_general_ci NOT NULL,
  `synonyms` text collate latin1_general_ci NOT NULL,
  `notes` text collate latin1_general_ci,
  `std_code` char(1) collate latin1_general_ci NOT NULL,
  `sub_level` tinyint(1) NOT NULL default '0',
  `parent_code` varchar(12) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(25) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  KEY `nr` (`nr`),
  KEY `code` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_drg_intern`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_drg_quicklist`
-- 

CREATE TABLE `care_drg_quicklist` (
  `nr` int(11) NOT NULL auto_increment,
  `code` varchar(25) collate latin1_general_ci NOT NULL,
  `code_parent` varchar(25) collate latin1_general_ci NOT NULL,
  `dept_nr` smallint(5) unsigned NOT NULL default '0',
  `qlist_type` varchar(25) collate latin1_general_ci NOT NULL default '0',
  `rank` int(11) NOT NULL default '0',
  `status` varchar(15) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(25) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=44 ;

-- 
-- Dumping data for table `care_drg_quicklist`
-- 

INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (8, 'L10.3', 'L10.-', 1, 'diagnosis', 1, '', 'Create 2006-12-20 13:21:48 Ardianu Dervishi', '', '2006-12-20 13:21:48', 'Ardianu Dervishi', '2006-12-20 13:21:48');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (9, '490', '', 1, 'diagnosis', 5, '', 'Create 2007-01-20 10:22:34 Ardiana Dervishi', '', '2007-02-01 10:14:02', 'Ardiana Dervishi', '2007-01-20 10:22:34');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10, '466', '', 1, 'diagnosis', 3, '', 'Create 2007-01-24 09:01:14 Ardiana Dervishi', '', '2007-02-01 10:28:41', 'Ardiana Dervishi', '2007-01-24 09:01:14');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (11, '558', '', 1, 'diagnosis', 5, '', 'Create 2007-01-24 09:06:27 Ardiana Dervishi', '', '2007-02-01 10:05:37', 'Ardiana Dervishi', '2007-01-24 09:06:27');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (12, '485', '', 1, 'diagnosis', 30, '', 'Create 2007-01-24 11:07:52 Ardiana Dervishi', '', '2007-02-01 10:39:06', 'Ardiana Dervishi', '2007-01-24 11:07:52');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (13, '280', '', 1, 'diagnosis', 2, '', 'Create 2007-01-24 12:57:27 Ermal Dibra', '', '2007-01-26 10:28:53', 'Ermal Dibra', '2007-01-24 12:57:27');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (14, '428', '', 1, 'diagnosis', 2, '', 'Create 2007-01-25 08:41:59 Ermal Dibra', '', '2007-02-01 09:07:35', 'Ermal Dibra', '2007-01-25 08:41:59');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (15, '413', '', 1, 'diagnosis', 17, '', 'Create 2007-01-25 12:26:46 Ermal Dibra', '', '2007-02-01 11:24:11', 'Ermal Dibra', '2007-01-25 12:26:46');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (16, '250', '', 1, 'diagnosis', 10, '', 'Create 2007-01-25 12:29:20 Ermal Dibra', '', '2007-01-31 12:57:59', 'Ermal Dibra', '2007-01-25 12:29:20');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (17, '410', '', 1, 'diagnosis', 9, '', 'Create 2007-01-25 13:17:45 Ermal Dibra', '', '2007-02-01 11:23:35', 'Ermal Dibra', '2007-01-25 13:17:45');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (18, '001', '', 1, 'diagnosis', 2, '', 'Create 2007-01-26 10:22:46 Ardiana Dervishi', '', '2007-02-01 10:23:04', 'Ardiana Dervishi', '2007-01-26 10:22:46');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (19, '585', '', 1, 'diagnosis', 1, '', 'Create 2007-01-26 10:23:02 Ermal Dibra', '', '2007-01-26 10:23:02', 'Ermal Dibra', '2007-01-26 10:23:02');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (20, '401', '', 1, 'diagnosis', 10, '', 'Create 2007-01-27 11:16:26 Ermal Dibra', '', '2007-02-01 12:21:05', 'Ermal Dibra', '2007-01-27 11:16:26');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (21, '414', '', 1, 'diagnosis', 2, '', 'Create 2007-01-27 11:18:09 Ermal Dibra', '', '2007-01-29 13:28:11', 'Ermal Dibra', '2007-01-27 11:18:09');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (22, '425', '', 1, 'diagnosis', 9, '', 'Create 2007-01-27 11:23:52 Ermal Dibra', '', '2007-02-01 11:24:24', 'Ermal Dibra', '2007-01-27 11:23:52');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (23, '427', '', 1, 'diagnosis', 2, '', 'Create 2007-01-27 11:27:48 Ermal Dibra', '', '2007-01-29 13:09:55', 'Ermal Dibra', '2007-01-27 11:27:48');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (24, '415', '', 1, 'diagnosis', 6, '', 'Create 2007-01-27 11:29:39 Ermal Dibra', '', '2007-01-27 12:00:11', 'Ermal Dibra', '2007-01-27 11:29:39');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (25, '463', '', 1, 'diagnosis', 1, '', 'Create 2007-01-27 11:34:37 Ardiana Dervishi', '', '2007-01-27 11:34:37', 'Ardiana Dervishi', '2007-01-27 11:34:37');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (26, '580', '', 1, 'diagnosis', 1, '', 'Create 2007-01-27 11:39:32 Ermal Dibra', '', '2007-01-27 11:39:32', 'Ermal Dibra', '2007-01-27 11:39:32');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (27, '583', '', 1, 'diagnosis', 1, '', 'Create 2007-01-27 11:40:24 Ermal Dibra', '', '2007-01-27 11:40:24', 'Ermal Dibra', '2007-01-27 11:40:24');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (28, '590', '', 1, 'diagnosis', 4, '', 'Create 2007-01-27 11:41:24 Ermal Dibra', '', '2007-02-01 10:47:13', 'Ermal Dibra', '2007-01-27 11:41:24');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (29, '720', '', 1, 'diagnosis', 4, '', 'Create 2007-01-27 11:49:19 Ermal Dibra', '', '2007-01-31 11:54:54', 'Ermal Dibra', '2007-01-27 11:49:19');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (30, '480', '', 1, 'diagnosis', 4, '', 'Create 2007-01-27 11:59:59 Ardiana Dervishi', '', '2007-02-01 10:24:41', 'Ardiana Dervishi', '2007-01-27 11:59:59');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (31, '412', '', 1, 'diagnosis', 2, '', 'Create 2007-01-29 12:09:05 Ermal Dibra', '', '2007-02-01 09:15:15', 'Ermal Dibra', '2007-01-29 12:09:05');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (32, '710', '', 1, 'diagnosis', 3, '', 'Create 2007-01-29 12:12:53 Ermal Dibra', '', '2007-01-31 11:53:35', 'Ermal Dibra', '2007-01-29 12:12:53');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (33, '426', '', 1, 'diagnosis', 5, '', 'Create 2007-01-29 13:22:27 Ermal Dibra', '', '2007-02-01 09:07:54', 'Ermal Dibra', '2007-01-29 13:22:27');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (34, '008', '', 1, 'diagnosis', 4, '', 'Create 2007-01-31 09:47:27 Ardiana Dervishi', '', '2007-02-01 11:02:53', 'Ardiana Dervishi', '2007-01-31 09:47:27');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (35, '732', '', 1, 'diagnosis', 2, '', 'Create 2007-01-31 11:46:32 Ermal Dibra', '', '2007-01-31 11:51:42', 'Ermal Dibra', '2007-01-31 11:46:32');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (36, '714', '', 1, 'diagnosis', 1, '', 'Create 2007-01-31 11:57:11 Ermal Dibra', '', '2007-01-31 11:57:11', 'Ermal Dibra', '2007-01-31 11:57:11');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (37, '530', '', 1, 'diagnosis', 1, '', 'Create 2007-02-01 11:27:00 Ermal Dibra', '', '2007-02-01 11:27:00', 'Ermal Dibra', '2007-02-01 11:27:00');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (38, '532', '', 1, 'diagnosis', 1, '', 'Create 2007-02-01 11:46:56 Ermal Dibra', '', '2007-02-01 11:46:56', 'Ermal Dibra', '2007-02-01 11:46:56');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (39, '150', '', 1, 'diagnosis', 1, '', 'Create 2007-02-01 11:49:53 Ermal Dibra', '', '2007-02-01 11:49:53', 'Ermal Dibra', '2007-02-01 11:49:53');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (40, '404', '', 1, 'diagnosis', 1, '', 'Create 2007-02-01 12:20:43 Ermal Dibra', '', '2007-02-01 12:20:43', 'Ermal Dibra', '2007-02-01 12:20:43');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (41, '017', '', 1, 'diagnosis', 1, '', 'Create 2007-02-02 09:26:36 admin', '', '2007-02-02 09:26:36', 'admin', '2007-02-02 09:26:36');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (42, '144', '', 1, 'diagnosis', 1, '', 'Create 2007-08-22 16:13:37 admin', '', '2007-08-22 16:13:37', 'admin', '2007-08-22 16:13:37');
INSERT INTO `care_drg_quicklist` (`nr`, `code`, `code_parent`, `dept_nr`, `qlist_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (43, '145', '', 1, 'diagnosis', 1, '', 'Create 2007-08-22 16:13:37 admin', '', '2007-08-22 16:13:37', 'admin', '2007-08-22 16:13:37');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_drg_related_codes`
-- 

CREATE TABLE `care_drg_related_codes` (
  `nr` int(11) NOT NULL auto_increment,
  `group_nr` int(11) unsigned NOT NULL default '0',
  `code` varchar(15) collate latin1_general_ci NOT NULL,
  `code_parent` varchar(15) collate latin1_general_ci NOT NULL,
  `code_type` varchar(15) collate latin1_general_ci NOT NULL,
  `rank` int(11) NOT NULL default '0',
  `status` varchar(15) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(25) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=165 ;

-- 
-- Dumping data for table `care_drg_related_codes`
-- 

INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10, 0, 'L10.3', 'L10.-', 'diagnosis', 1, '', 'Create 2006-12-20 13:21:48 Ardianu Dervishi', '', '2006-12-20 13:21:48', 'Ardianu Dervishi', '2006-12-20 13:21:48');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (11, 0, '490', '', 'diagnosis', 1, '', 'Create 2007-01-20 10:22:34 Ardiana Dervishi', '', '2007-01-20 10:22:34', 'Ardiana Dervishi', '2007-01-20 10:22:34');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (12, 0, '490', '', 'diagnosis', 1, '', 'Create 2007-01-22 09:59:09 Ardiana Dervishi', '', '2007-01-22 09:59:09', 'Ardiana Dervishi', '2007-01-22 09:59:09');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (13, 0, '490', '', 'diagnosis', 1, '', 'Create 2007-01-23 12:28:02 Ardiana Dervishi', '', '2007-01-23 12:28:02', 'Ardiana Dervishi', '2007-01-23 12:28:02');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (14, 0, '466', '', 'diagnosis', 1, '', 'Create 2007-01-24 09:01:14 Ardiana Dervishi', '', '2007-01-24 09:01:14', 'Ardiana Dervishi', '2007-01-24 09:01:14');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (15, 0, '558', '', 'diagnosis', 1, '', 'Create 2007-01-24 09:06:27 Ardiana Dervishi', '', '2007-01-24 09:06:27', 'Ardiana Dervishi', '2007-01-24 09:06:27');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (16, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-24 11:07:52 Ardiana Dervishi', '', '2007-01-24 11:07:52', 'Ardiana Dervishi', '2007-01-24 11:07:52');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (17, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-24 11:09:22 Ardiana Dervishi', '', '2007-01-24 11:09:22', 'Ardiana Dervishi', '2007-01-24 11:09:22');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (18, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-24 11:12:04 Ardiana Dervishi', '', '2007-01-24 11:12:04', 'Ardiana Dervishi', '2007-01-24 11:12:04');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (19, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-24 11:13:14 Ardiana Dervishi', '', '2007-01-24 11:13:14', 'Ardiana Dervishi', '2007-01-24 11:13:14');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (20, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-24 11:21:54 Ardiana Dervishi', '', '2007-01-24 11:21:54', 'Ardiana Dervishi', '2007-01-24 11:21:54');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (21, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-24 11:27:38 Ardiana Dervishi', '', '2007-01-24 11:27:38', 'Ardiana Dervishi', '2007-01-24 11:27:38');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (22, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-24 11:34:38 Ardiana Dervishi', '', '2007-01-24 11:34:38', 'Ardiana Dervishi', '2007-01-24 11:34:38');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (23, 0, '280', '', 'diagnosis', 1, '', 'Create 2007-01-24 12:57:27 Ermal Dibra', '', '2007-01-24 12:57:27', 'Ermal Dibra', '2007-01-24 12:57:27');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (24, 0, '428', '', 'diagnosis', 1, '', 'Create 2007-01-25 08:41:59 Ermal Dibra', '', '2007-01-25 08:41:59', 'Ermal Dibra', '2007-01-25 08:41:59');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (25, 0, '413', '', 'diagnosis', 1, '', 'Create 2007-01-25 12:26:46 Ermal Dibra', '', '2007-01-25 12:26:46', 'Ermal Dibra', '2007-01-25 12:26:46');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (26, 0, '250', '', 'diagnosis', 1, '', 'Create 2007-01-25 12:29:20 Ermal Dibra', '', '2007-01-25 12:29:20', 'Ermal Dibra', '2007-01-25 12:29:20');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (27, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-25 12:45:24 Ardiana Dervishi', '', '2007-01-25 12:45:24', 'Ardiana Dervishi', '2007-01-25 12:45:24');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (28, 0, '410', '', 'diagnosis', 1, '', 'Create 2007-01-25 13:17:45 Ermal Dibra', '', '2007-01-25 13:17:45', 'Ermal Dibra', '2007-01-25 13:17:45');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (29, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-26 09:56:33 Ardiana Dervishi', '', '2007-01-26 09:56:33', 'Ardiana Dervishi', '2007-01-26 09:56:33');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (30, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-26 10:04:33 Ardiana Dervishi', '', '2007-01-26 10:04:33', 'Ardiana Dervishi', '2007-01-26 10:04:33');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (31, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-26 10:07:48 Ardiana Dervishi', '', '2007-01-26 10:07:48', 'Ardiana Dervishi', '2007-01-26 10:07:48');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (32, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-26 10:11:29 Ardiana Dervishi', '', '2007-01-26 10:11:29', 'Ardiana Dervishi', '2007-01-26 10:11:29');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (33, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-26 10:13:34 Ardiana Dervishi', '', '2007-01-26 10:13:34', 'Ardiana Dervishi', '2007-01-26 10:13:34');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (34, 0, '466', '', 'diagnosis', 1, '', 'Create 2007-01-26 10:16:58 Ardiana Dervishi', '', '2007-01-26 10:16:58', 'Ardiana Dervishi', '2007-01-26 10:16:58');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (35, 0, '413', '', 'diagnosis', 1, '', 'Create 2007-01-26 10:18:10 Ermal Dibra', '', '2007-01-26 10:18:10', 'Ermal Dibra', '2007-01-26 10:18:10');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (36, 0, '413', '', 'diagnosis', 1, '', 'Create 2007-01-26 10:20:09 Ermal Dibra', '', '2007-01-26 10:20:09', 'Ermal Dibra', '2007-01-26 10:20:09');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (37, 0, '001', '', 'diagnosis', 1, '', 'Create 2007-01-26 10:22:46 Ardiana Dervishi', '', '2007-01-26 10:22:46', 'Ardiana Dervishi', '2007-01-26 10:22:46');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (38, 0, '585', '', 'diagnosis', 1, '', 'Create 2007-01-26 10:23:02 Ermal Dibra', '', '2007-01-26 10:23:02', 'Ermal Dibra', '2007-01-26 10:23:02');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (39, 0, '280', '', 'diagnosis', 1, '', 'Create 2007-01-26 10:28:53 Ermal Dibra', '', '2007-01-26 10:28:53', 'Ermal Dibra', '2007-01-26 10:28:53');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (40, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-26 13:11:48 Ardiana Dervishi', '', '2007-01-26 13:11:48', 'Ardiana Dervishi', '2007-01-26 13:11:48');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (41, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-26 13:14:31 Ardiana Dervishi', '', '2007-01-26 13:14:31', 'Ardiana Dervishi', '2007-01-26 13:14:31');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (42, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-26 13:16:49 Ardiana Dervishi', '', '2007-01-26 13:16:49', 'Ardiana Dervishi', '2007-01-26 13:16:49');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (43, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-26 13:20:21 Ardiana Dervishi', '', '2007-01-26 13:20:21', 'Ardiana Dervishi', '2007-01-26 13:20:21');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (44, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-26 13:23:11 Ardiana Dervishi', '', '2007-01-26 13:23:11', 'Ardiana Dervishi', '2007-01-26 13:23:11');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (45, 0, '413', '', 'diagnosis', 1, '', 'Create 2007-01-27 09:52:42 Ermal Dibra', '', '2007-01-27 09:52:42', 'Ermal Dibra', '2007-01-27 09:52:42');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (46, 0, '413', '', 'diagnosis', 1, '', 'Create 2007-01-27 09:55:51 Ermal Dibra', '', '2007-01-27 09:55:51', 'Ermal Dibra', '2007-01-27 09:55:51');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (47, 0, '413', '', 'diagnosis', 1, '', 'Create 2007-01-27 09:58:00 Ermal Dibra', '', '2007-01-27 09:58:00', 'Ermal Dibra', '2007-01-27 09:58:00');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (48, 0, '401', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:16:26 Ermal Dibra', '', '2007-01-27 11:16:26', 'Ermal Dibra', '2007-01-27 11:16:26');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (49, 0, '401', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:17:10 Ermal Dibra', '', '2007-01-27 11:17:10', 'Ermal Dibra', '2007-01-27 11:17:10');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (50, 0, '414', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:18:09 Ermal Dibra', '', '2007-01-27 11:18:09', 'Ermal Dibra', '2007-01-27 11:18:09');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (51, 0, '425', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:23:52 Ermal Dibra', '', '2007-01-27 11:23:52', 'Ermal Dibra', '2007-01-27 11:23:52');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (52, 0, '250', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:24:15 Ermal Dibra', '', '2007-01-27 11:24:15', 'Ermal Dibra', '2007-01-27 11:24:15');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (53, 0, '425', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:27:17 Ermal Dibra', '', '2007-01-27 11:27:17', 'Ermal Dibra', '2007-01-27 11:27:17');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (54, 0, '427', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:27:48 Ermal Dibra', '', '2007-01-27 11:27:48', 'Ermal Dibra', '2007-01-27 11:27:48');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (55, 0, '415', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:29:39 Ermal Dibra', '', '2007-01-27 11:29:39', 'Ermal Dibra', '2007-01-27 11:29:39');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (56, 0, '410', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:30:02 Ermal Dibra', '', '2007-01-27 11:30:02', 'Ermal Dibra', '2007-01-27 11:30:02');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (57, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:32:15 Ardiana Dervishi', '', '2007-01-27 11:32:15', 'Ardiana Dervishi', '2007-01-27 11:32:15');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (58, 0, '415', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:33:48 Ermal Dibra', '', '2007-01-27 11:33:48', 'Ermal Dibra', '2007-01-27 11:33:48');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (59, 0, '413', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:34:22 Ermal Dibra', '', '2007-01-27 11:34:22', 'Ermal Dibra', '2007-01-27 11:34:22');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (60, 0, '463', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:34:37 Ardiana Dervishi', '', '2007-01-27 11:34:37', 'Ardiana Dervishi', '2007-01-27 11:34:37');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (61, 0, '401', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:35:55 Ermal Dibra', '', '2007-01-27 11:35:55', 'Ermal Dibra', '2007-01-27 11:35:55');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (62, 0, '425', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:36:18 Ermal Dibra', '', '2007-01-27 11:36:18', 'Ermal Dibra', '2007-01-27 11:36:18');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (63, 0, '580', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:39:32 Ermal Dibra', '', '2007-01-27 11:39:32', 'Ermal Dibra', '2007-01-27 11:39:32');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (64, 0, '583', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:40:24 Ermal Dibra', '', '2007-01-27 11:40:24', 'Ermal Dibra', '2007-01-27 11:40:24');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (65, 0, '590', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:41:24 Ermal Dibra', '', '2007-01-27 11:41:24', 'Ermal Dibra', '2007-01-27 11:41:24');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (66, 0, '401', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:43:29 Ermal Dibra', '', '2007-01-27 11:43:29', 'Ermal Dibra', '2007-01-27 11:43:29');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (67, 0, '401', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:45:33 Ermal Dibra', '', '2007-01-27 11:45:33', 'Ermal Dibra', '2007-01-27 11:45:33');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (68, 0, '413', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:46:33 Ermal Dibra', '', '2007-01-27 11:46:33', 'Ermal Dibra', '2007-01-27 11:46:33');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (69, 0, '250', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:46:52 Ermal Dibra', '', '2007-01-27 11:46:52', 'Ermal Dibra', '2007-01-27 11:46:52');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (70, 0, '720', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:49:19 Ermal Dibra', '', '2007-01-27 11:49:19', 'Ermal Dibra', '2007-01-27 11:49:19');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (71, 0, '415', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:51:20 Ermal Dibra', '', '2007-01-27 11:51:20', 'Ermal Dibra', '2007-01-27 11:51:20');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (72, 0, '413', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:51:40 Ermal Dibra', '', '2007-01-27 11:51:40', 'Ermal Dibra', '2007-01-27 11:51:40');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (73, 0, '415', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:53:12 Ermal Dibra', '', '2007-01-27 11:53:12', 'Ermal Dibra', '2007-01-27 11:53:12');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (74, 0, '413', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:53:32 Ermal Dibra', '', '2007-01-27 11:53:32', 'Ermal Dibra', '2007-01-27 11:53:32');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (75, 0, '558', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:55:38 Ardiana Dervishi', '', '2007-01-27 11:55:38', 'Ardiana Dervishi', '2007-01-27 11:55:38');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (76, 0, '415', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:57:37 Ermal Dibra', '', '2007-01-27 11:57:37', 'Ermal Dibra', '2007-01-27 11:57:37');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (77, 0, '413', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:58:10 Ermal Dibra', '', '2007-01-27 11:58:10', 'Ermal Dibra', '2007-01-27 11:58:10');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (78, 0, '480', '', 'diagnosis', 1, '', 'Create 2007-01-27 11:59:59 Ardiana Dervishi', '', '2007-01-27 11:59:59', 'Ardiana Dervishi', '2007-01-27 11:59:59');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (79, 0, '415', '', 'diagnosis', 1, '', 'Create 2007-01-27 12:00:11 Ermal Dibra', '', '2007-01-27 12:00:11', 'Ermal Dibra', '2007-01-27 12:00:11');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (80, 0, '413', '', 'diagnosis', 1, '', 'Create 2007-01-27 12:00:29 Ermal Dibra', '', '2007-01-27 12:00:29', 'Ermal Dibra', '2007-01-27 12:00:29');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (81, 0, '412', '', 'diagnosis', 1, '', 'Create 2007-01-29 12:09:05 Ermal Dibra', '', '2007-01-29 12:09:05', 'Ermal Dibra', '2007-01-29 12:09:05');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (82, 0, '425', '', 'diagnosis', 1, '', 'Create 2007-01-29 12:09:31 Ermal Dibra', '', '2007-01-29 12:09:31', 'Ermal Dibra', '2007-01-29 12:09:31');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (83, 0, '250', '', 'diagnosis', 1, '', 'Create 2007-01-29 12:11:12 Ermal Dibra', '', '2007-01-29 12:11:12', 'Ermal Dibra', '2007-01-29 12:11:12');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (84, 0, '710', '', 'diagnosis', 1, '', 'Create 2007-01-29 12:12:53 Ermal Dibra', '', '2007-01-29 12:12:53', 'Ermal Dibra', '2007-01-29 12:12:53');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (85, 0, '720', '', 'diagnosis', 1, '', 'Create 2007-01-29 12:14:28 Ermal Dibra', '', '2007-01-29 12:14:28', 'Ermal Dibra', '2007-01-29 12:14:28');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (86, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-29 12:33:20 Ardiana Dervishi', '', '2007-01-29 12:33:20', 'Ardiana Dervishi', '2007-01-29 12:33:20');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (87, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-29 12:34:54 Ardiana Dervishi', '', '2007-01-29 12:34:54', 'Ardiana Dervishi', '2007-01-29 12:34:54');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (88, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-29 12:38:59 Ardiana Dervishi', '', '2007-01-29 12:38:59', 'Ardiana Dervishi', '2007-01-29 12:38:59');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (89, 0, '425', '', 'diagnosis', 1, '', 'Create 2007-01-29 13:09:29 Ermal Dibra', '', '2007-01-29 13:09:29', 'Ermal Dibra', '2007-01-29 13:09:29');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (90, 0, '427', '', 'diagnosis', 1, '', 'Create 2007-01-29 13:09:55 Ermal Dibra', '', '2007-01-29 13:09:55', 'Ermal Dibra', '2007-01-29 13:09:55');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (91, 0, '425', '', 'diagnosis', 1, '', 'Create 2007-01-29 13:15:32 Ermal Dibra', '', '2007-01-29 13:15:32', 'Ermal Dibra', '2007-01-29 13:15:32');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (92, 0, '413', '', 'diagnosis', 1, '', 'Create 2007-01-29 13:15:59 Ermal Dibra', '', '2007-01-29 13:15:59', 'Ermal Dibra', '2007-01-29 13:15:59');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (93, 0, '426', '', 'diagnosis', 1, '', 'Create 2007-01-29 13:22:27 Ermal Dibra', '', '2007-01-29 13:22:27', 'Ermal Dibra', '2007-01-29 13:22:27');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (94, 0, '414', '', 'diagnosis', 1, '', 'Create 2007-01-29 13:28:11 Ermal Dibra', '', '2007-01-29 13:28:11', 'Ermal Dibra', '2007-01-29 13:28:11');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (95, 0, '413', '', 'diagnosis', 1, '', 'Create 2007-01-29 13:28:29 Ermal Dibra', '', '2007-01-29 13:28:29', 'Ermal Dibra', '2007-01-29 13:28:29');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (96, 0, '410', '', 'diagnosis', 1, '', 'Create 2007-01-30 10:14:55 Ermal Dibra', '', '2007-01-30 10:14:55', 'Ermal Dibra', '2007-01-30 10:14:55');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (97, 0, '410', '', 'diagnosis', 1, '', 'Create 2007-01-30 10:14:55 Ermal Dibra', '', '2007-01-30 10:14:55', 'Ermal Dibra', '2007-01-30 10:14:55');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (98, 0, '250', '', 'diagnosis', 1, '', 'Create 2007-01-30 10:15:48 Ermal Dibra', '', '2007-01-30 10:15:48', 'Ermal Dibra', '2007-01-30 10:15:48');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (99, 0, '250', '', 'diagnosis', 1, '', 'Create 2007-01-30 10:15:48 Ermal Dibra', '', '2007-01-30 10:15:48', 'Ermal Dibra', '2007-01-30 10:15:48');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100, 0, '480', '', 'diagnosis', 1, '', 'Create 2007-01-30 10:27:16 Ardiana Dervishi', '', '2007-01-30 10:27:16', 'Ardiana Dervishi', '2007-01-30 10:27:16');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (101, 0, '558', '', 'diagnosis', 1, '', 'Create 2007-01-30 10:31:04 Ardiana Dervishi', '', '2007-01-30 10:31:04', 'Ardiana Dervishi', '2007-01-30 10:31:04');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (102, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-30 10:33:27 Ardiana Dervishi', '', '2007-01-30 10:33:27', 'Ardiana Dervishi', '2007-01-30 10:33:27');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (103, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-30 10:36:04 Ardiana Dervishi', '', '2007-01-30 10:36:04', 'Ardiana Dervishi', '2007-01-30 10:36:04');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (104, 0, '558', '', 'diagnosis', 1, '', 'Create 2007-01-30 11:25:01 Ardiana Dervishi', '', '2007-01-30 11:25:01', 'Ardiana Dervishi', '2007-01-30 11:25:01');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (105, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-01-30 11:54:14 Ardiana Dervishi', '', '2007-01-30 11:54:14', 'Ardiana Dervishi', '2007-01-30 11:54:14');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (106, 0, '401', '', 'diagnosis', 1, '', 'Create 2007-01-30 12:26:19 Ermal Dibra', '', '2007-01-30 12:26:19', 'Ermal Dibra', '2007-01-30 12:26:19');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (107, 0, '590', '', 'diagnosis', 1, '', 'Create 2007-01-30 12:54:23 Ermal Dibra', '', '2007-01-30 12:54:23', 'Ermal Dibra', '2007-01-30 12:54:23');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (108, 0, '250', '', 'diagnosis', 1, '', 'Create 2007-01-30 12:56:30 Ermal Dibra', '', '2007-01-30 12:56:30', 'Ermal Dibra', '2007-01-30 12:56:30');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (109, 0, '480', '', 'diagnosis', 1, '', 'Create 2007-01-30 12:59:15 Ardiana Dervishi', '', '2007-01-30 12:59:15', 'Ardiana Dervishi', '2007-01-30 12:59:15');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (110, 0, '425', '', 'diagnosis', 1, '', 'Create 2007-01-31 09:20:58 Ermal Dibra', '', '2007-01-31 09:20:58', 'Ermal Dibra', '2007-01-31 09:20:58');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (111, 0, '426', '', 'diagnosis', 1, '', 'Create 2007-01-31 09:21:38 Ermal Dibra', '', '2007-01-31 09:21:38', 'Ermal Dibra', '2007-01-31 09:21:38');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (112, 0, '250', '', 'diagnosis', 1, '', 'Create 2007-01-31 09:21:54 Ermal Dibra', '', '2007-01-31 09:21:54', 'Ermal Dibra', '2007-01-31 09:21:54');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (113, 0, '008', '', 'diagnosis', 1, '', 'Create 2007-01-31 09:47:27 Ardiana Dervishi', '', '2007-01-31 09:47:27', 'Ardiana Dervishi', '2007-01-31 09:47:27');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (114, 0, '008', '', 'diagnosis', 1, '', 'Create 2007-01-31 09:49:23 Ardiana Dervishi', '', '2007-01-31 09:49:23', 'Ardiana Dervishi', '2007-01-31 09:49:23');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (115, 0, '425', '', 'diagnosis', 1, '', 'Create 2007-01-31 10:45:26 Ermal Dibra', '', '2007-01-31 10:45:26', 'Ermal Dibra', '2007-01-31 10:45:26');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (116, 0, '413', '', 'diagnosis', 1, '', 'Create 2007-01-31 10:45:49 Ermal Dibra', '', '2007-01-31 10:45:49', 'Ermal Dibra', '2007-01-31 10:45:49');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (117, 0, '426', '', 'diagnosis', 1, '', 'Create 2007-01-31 10:53:11 Ermal Dibra', '', '2007-01-31 10:53:11', 'Ermal Dibra', '2007-01-31 10:53:11');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (118, 0, '401', '', 'diagnosis', 1, '', 'Create 2007-01-31 10:53:47 Ermal Dibra', '', '2007-01-31 10:53:47', 'Ermal Dibra', '2007-01-31 10:53:47');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (119, 0, '413', '', 'diagnosis', 1, '', 'Create 2007-01-31 11:00:59 Ermal Dibra', '', '2007-01-31 11:00:59', 'Ermal Dibra', '2007-01-31 11:00:59');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (120, 0, '401', '', 'diagnosis', 1, '', 'Create 2007-01-31 11:01:40 Ermal Dibra', '', '2007-01-31 11:01:40', 'Ermal Dibra', '2007-01-31 11:01:40');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (121, 0, '720', '', 'diagnosis', 1, '', 'Create 2007-01-31 11:44:21 Ermal Dibra', '', '2007-01-31 11:44:21', 'Ermal Dibra', '2007-01-31 11:44:21');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (122, 0, '732', '', 'diagnosis', 1, '', 'Create 2007-01-31 11:46:32 Ermal Dibra', '', '2007-01-31 11:46:32', 'Ermal Dibra', '2007-01-31 11:46:32');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (123, 0, '710', '', 'diagnosis', 1, '', 'Create 2007-01-31 11:49:33 Ermal Dibra', '', '2007-01-31 11:49:33', 'Ermal Dibra', '2007-01-31 11:49:33');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (124, 0, '250', '', 'diagnosis', 1, '', 'Create 2007-01-31 11:49:50 Ermal Dibra', '', '2007-01-31 11:49:50', 'Ermal Dibra', '2007-01-31 11:49:50');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (125, 0, '732', '', 'diagnosis', 1, '', 'Create 2007-01-31 11:51:42 Ermal Dibra', '', '2007-01-31 11:51:42', 'Ermal Dibra', '2007-01-31 11:51:42');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (126, 0, '710', '', 'diagnosis', 1, '', 'Create 2007-01-31 11:53:35 Ermal Dibra', '', '2007-01-31 11:53:35', 'Ermal Dibra', '2007-01-31 11:53:35');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (127, 0, '720', '', 'diagnosis', 1, '', 'Create 2007-01-31 11:54:54 Ermal Dibra', '', '2007-01-31 11:54:54', 'Ermal Dibra', '2007-01-31 11:54:54');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (128, 0, '714', '', 'diagnosis', 1, '', 'Create 2007-01-31 11:57:11 Ermal Dibra', '', '2007-01-31 11:57:11', 'Ermal Dibra', '2007-01-31 11:57:11');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (129, 0, '410', '', 'diagnosis', 1, '', 'Create 2007-01-31 12:06:39 Ermal Dibra', '', '2007-01-31 12:06:39', 'Ermal Dibra', '2007-01-31 12:06:39');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (130, 0, '426', '', 'diagnosis', 1, '', 'Create 2007-01-31 12:35:22 Ermal Dibra', '', '2007-01-31 12:35:22', 'Ermal Dibra', '2007-01-31 12:35:22');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (131, 0, '401', '', 'diagnosis', 1, '', 'Create 2007-01-31 12:35:39 Ermal Dibra', '', '2007-01-31 12:35:39', 'Ermal Dibra', '2007-01-31 12:35:39');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (132, 0, '250', '', 'diagnosis', 1, '', 'Create 2007-01-31 12:57:59 Ermal Dibra', '', '2007-01-31 12:57:59', 'Ermal Dibra', '2007-01-31 12:57:59');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (133, 0, '428', '', 'diagnosis', 1, '', 'Create 2007-02-01 09:07:35 Ermal Dibra', '', '2007-02-01 09:07:35', 'Ermal Dibra', '2007-02-01 09:07:35');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (134, 0, '426', '', 'diagnosis', 1, '', 'Create 2007-02-01 09:07:54 Ermal Dibra', '', '2007-02-01 09:07:54', 'Ermal Dibra', '2007-02-01 09:07:54');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (135, 0, '410', '', 'diagnosis', 1, '', 'Create 2007-02-01 09:14:48 Ermal Dibra', '', '2007-02-01 09:14:48', 'Ermal Dibra', '2007-02-01 09:14:48');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (136, 0, '412', '', 'diagnosis', 1, '', 'Create 2007-02-01 09:15:15 Ermal Dibra', '', '2007-02-01 09:15:15', 'Ermal Dibra', '2007-02-01 09:15:15');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (137, 0, '410', '', 'diagnosis', 1, '', 'Create 2007-02-01 09:16:04 Ermal Dibra', '', '2007-02-01 09:16:04', 'Ermal Dibra', '2007-02-01 09:16:04');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (138, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-02-01 09:59:25 Ardiana Dervishi', '', '2007-02-01 09:59:25', 'Ardiana Dervishi', '2007-02-01 09:59:25');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (139, 0, '490', '', 'diagnosis', 1, '', 'Create 2007-02-01 10:02:22 Ardiana Dervishi', '', '2007-02-01 10:02:22', 'Ardiana Dervishi', '2007-02-01 10:02:22');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (140, 0, '558', '', 'diagnosis', 1, '', 'Create 2007-02-01 10:05:37 Ardiana Dervishi', '', '2007-02-01 10:05:37', 'Ardiana Dervishi', '2007-02-01 10:05:37');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (141, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-02-01 10:09:03 Ardiana Dervishi', '', '2007-02-01 10:09:03', 'Ardiana Dervishi', '2007-02-01 10:09:03');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (142, 0, '590', '', 'diagnosis', 1, '', 'Create 2007-02-01 10:11:20 Ardiana Dervishi', '', '2007-02-01 10:11:20', 'Ardiana Dervishi', '2007-02-01 10:11:20');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (143, 0, '490', '', 'diagnosis', 1, '', 'Create 2007-02-01 10:14:02 Ardiana Dervishi', '', '2007-02-01 10:14:02', 'Ardiana Dervishi', '2007-02-01 10:14:02');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (144, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-02-01 10:16:08 Ardiana Dervishi', '', '2007-02-01 10:16:08', 'Ardiana Dervishi', '2007-02-01 10:16:08');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (145, 0, '001', '', 'diagnosis', 1, '', 'Create 2007-02-01 10:23:04 Ardiana Dervishi', '', '2007-02-01 10:23:04', 'Ardiana Dervishi', '2007-02-01 10:23:04');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (146, 0, '480', '', 'diagnosis', 1, '', 'Create 2007-02-01 10:24:41 Ardiana Dervishi', '', '2007-02-01 10:24:41', 'Ardiana Dervishi', '2007-02-01 10:24:41');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (147, 0, '466', '', 'diagnosis', 1, '', 'Create 2007-02-01 10:28:41 Ardiana Dervishi', '', '2007-02-01 10:28:41', 'Ardiana Dervishi', '2007-02-01 10:28:41');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (148, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-02-01 10:29:59 Ardiana Dervishi', '', '2007-02-01 10:29:59', 'Ardiana Dervishi', '2007-02-01 10:29:59');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (149, 0, '485', '', 'diagnosis', 1, '', 'Create 2007-02-01 10:39:06 Ardiana Dervishi', '', '2007-02-01 10:39:06', 'Ardiana Dervishi', '2007-02-01 10:39:06');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (150, 0, '590', '', 'diagnosis', 1, '', 'Create 2007-02-01 10:47:13 Ardiana Dervishi', '', '2007-02-01 10:47:13', 'Ardiana Dervishi', '2007-02-01 10:47:13');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (151, 0, '008', '', 'diagnosis', 1, '', 'Create 2007-02-01 10:52:17 Ardiana Dervishi', '', '2007-02-01 10:52:17', 'Ardiana Dervishi', '2007-02-01 10:52:17');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (152, 0, '008', '', 'diagnosis', 1, '', 'Create 2007-02-01 11:02:53 Ardiana Dervishi', '', '2007-02-01 11:02:53', 'Ardiana Dervishi', '2007-02-01 11:02:53');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (153, 0, '410', '', 'diagnosis', 1, '', 'Create 2007-02-01 11:23:35 Ermal Dibra', '', '2007-02-01 11:23:35', 'Ermal Dibra', '2007-02-01 11:23:35');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (154, 0, '410', '', 'diagnosis', 1, '', 'Create 2007-02-01 11:23:35 Ermal Dibra', '', '2007-02-01 11:23:35', 'Ermal Dibra', '2007-02-01 11:23:35');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (155, 0, '413', '', 'diagnosis', 1, '', 'Create 2007-02-01 11:24:11 Ermal Dibra', '', '2007-02-01 11:24:11', 'Ermal Dibra', '2007-02-01 11:24:11');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (156, 0, '425', '', 'diagnosis', 1, '', 'Create 2007-02-01 11:24:24 Ermal Dibra', '', '2007-02-01 11:24:24', 'Ermal Dibra', '2007-02-01 11:24:24');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (157, 0, '530', '', 'diagnosis', 1, '', 'Create 2007-02-01 11:27:00 Ermal Dibra', '', '2007-02-01 11:27:00', 'Ermal Dibra', '2007-02-01 11:27:00');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (158, 0, '532', '', 'diagnosis', 1, '', 'Create 2007-02-01 11:46:56 Ermal Dibra', '', '2007-02-01 11:46:56', 'Ermal Dibra', '2007-02-01 11:46:56');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (159, 0, '150', '', 'diagnosis', 1, '', 'Create 2007-02-01 11:49:53 Ermal Dibra', '', '2007-02-01 11:49:53', 'Ermal Dibra', '2007-02-01 11:49:53');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (160, 0, '404', '', 'diagnosis', 1, '', 'Create 2007-02-01 12:20:43 Ermal Dibra', '', '2007-02-01 12:20:43', 'Ermal Dibra', '2007-02-01 12:20:43');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (161, 0, '401', '', 'diagnosis', 1, '', 'Create 2007-02-01 12:21:05 Ermal Dibra', '', '2007-02-01 12:21:05', 'Ermal Dibra', '2007-02-01 12:21:05');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (162, 0, '017', '', 'diagnosis', 1, '', 'Create 2007-02-02 09:26:36 admin', '', '2007-02-02 09:26:36', 'admin', '2007-02-02 09:26:36');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (163, 0, '144', '', 'diagnosis', 1, '', 'Create 2007-08-22 16:13:37 admin', '', '2007-08-22 16:13:37', 'admin', '2007-08-22 16:13:37');
INSERT INTO `care_drg_related_codes` (`nr`, `group_nr`, `code`, `code_parent`, `code_type`, `rank`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (164, 0, '145', '', 'diagnosis', 1, '', 'Create 2007-08-22 16:13:37 admin', '', '2007-08-22 16:13:37', 'admin', '2007-08-22 16:13:37');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_dutyplan_oncall`
-- 

CREATE TABLE `care_dutyplan_oncall` (
  `nr` bigint(20) unsigned NOT NULL auto_increment,
  `dept_nr` int(10) unsigned NOT NULL default '0',
  `role_nr` tinyint(3) unsigned NOT NULL default '0',
  `year` year(4) NOT NULL default '0000',
  `month` char(2) collate latin1_general_ci NOT NULL,
  `duty_1_txt` text collate latin1_general_ci NOT NULL,
  `duty_2_txt` text collate latin1_general_ci NOT NULL,
  `duty_1_pnr` text collate latin1_general_ci NOT NULL,
  `duty_2_pnr` text collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  KEY `dept_nr` (`dept_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=4 ;

-- 
-- Dumping data for table `care_dutyplan_oncall`
-- 

INSERT INTO `care_dutyplan_oncall` (`nr`, `dept_nr`, `role_nr`, `year`, `month`, `duty_1_txt`, `duty_2_txt`, `duty_1_pnr`, `duty_2_pnr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 56, 15, 2007, '8', 'a:1:{s:2:"a0";s:10:"Begu,Luiza";}', 'a:0:{}', 'a:1:{s:3:"ha0";s:6:"100010";}', 'a:0:{}', '', 'Create: 2007-08-07 16:52:20 = admin\nUpdate: 2007-08-07 16:52:56 = admin\n', 'admin', '2007-08-07 16:52:56', 'admin', '2007-08-07 16:52:20');
INSERT INTO `care_dutyplan_oncall` (`nr`, `dept_nr`, `role_nr`, `year`, `month`, `duty_1_txt`, `duty_2_txt`, `duty_1_pnr`, `duty_2_pnr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 51, 15, 2007, '11', 'a:1:{s:2:"a0";s:11:"Barka,Lejla";}', 'a:0:{}', 'a:1:{s:3:"ha0";s:6:"100003";}', 'a:0:{}', '', 'Create: 2007-11-15 13:05:51 = admin\n', 'admin', '2007-11-15 13:05:51', 'admin', '2007-11-15 13:05:51');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_effective_day`
-- 

CREATE TABLE `care_effective_day` (
  `eff_day_nr` tinyint(4) NOT NULL auto_increment,
  `name` varchar(25) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`eff_day_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=7 ;

-- 
-- Dumping data for table `care_effective_day`
-- 

INSERT INTO `care_effective_day` (`eff_day_nr`, `name`, `description`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'entire stay', 'effective starting from admission date & ending on discharge date', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_effective_day` (`eff_day_nr`, `name`, `description`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'admission day', 'Effective only on admission day', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_effective_day` (`eff_day_nr`, `name`, `description`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'discharge day', 'Effective only on discharge day', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_effective_day` (`eff_day_nr`, `name`, `description`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'op day', 'Effective only on operation day', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_effective_day` (`eff_day_nr`, `name`, `description`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 'transfer day', 'Effective only on transfer day', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_effective_day` (`eff_day_nr`, `name`, `description`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 'period', 'defined start and end dates', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter`
-- 

CREATE TABLE `care_encounter` (
  `encounter_nr` bigint(11) unsigned NOT NULL auto_increment,
  `pid` int(11) NOT NULL default '0',
  `encounter_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `encounter_class_nr` smallint(5) unsigned NOT NULL default '0',
  `encounter_type` varchar(35) collate latin1_general_ci NOT NULL,
  `encounter_status` varchar(35) collate latin1_general_ci NOT NULL,
  `referrer_diagnosis` varchar(255) collate latin1_general_ci NOT NULL,
  `referrer_recom_therapy` varchar(255) collate latin1_general_ci default NULL,
  `referrer_dr` varchar(60) collate latin1_general_ci NOT NULL,
  `referrer_dept` varchar(255) collate latin1_general_ci NOT NULL,
  `referrer_institution` varchar(255) collate latin1_general_ci NOT NULL,
  `referrer_notes` text collate latin1_general_ci NOT NULL,
  `triage` varchar(20) collate latin1_general_ci NOT NULL default 'white',
  `admit_type` int(10) NOT NULL default '0',
  `financial_class_nr` tinyint(3) unsigned NOT NULL default '0',
  `insurance_nr` varchar(25) collate latin1_general_ci default '0',
  `insurance_firm_id` varchar(25) collate latin1_general_ci NOT NULL default '0',
  `insurance_class_nr` tinyint(3) unsigned NOT NULL default '0',
  `insurance_2_nr` varchar(25) collate latin1_general_ci default '0',
  `insurance_2_firm_id` varchar(25) collate latin1_general_ci NOT NULL default '0',
  `guarantor_pid` int(11) NOT NULL default '0',
  `contact_pid` int(11) NOT NULL default '0',
  `contact_relation` varchar(35) collate latin1_general_ci NOT NULL,
  `current_ward_nr` smallint(3) unsigned NOT NULL default '0',
  `current_room_nr` smallint(5) unsigned NOT NULL default '0',
  `in_ward` tinyint(1) NOT NULL default '0',
  `current_dept_nr` smallint(3) unsigned NOT NULL default '0',
  `in_dept` tinyint(1) NOT NULL default '0',
  `current_firm_nr` smallint(5) unsigned NOT NULL default '0',
  `current_att_dr_nr` int(10) NOT NULL default '0',
  `consulting_dr` varchar(60) collate latin1_general_ci NOT NULL,
  `extra_service` varchar(25) collate latin1_general_ci NOT NULL,
  `is_discharged` tinyint(1) unsigned NOT NULL default '0',
  `discharge_date` date default NULL,
  `discharge_time` time default NULL,
  `followup_date` date NOT NULL default '0000-00-00',
  `followup_responsibility` varchar(255) collate latin1_general_ci default NULL,
  `post_encounter_notes` text collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`encounter_nr`),
  KEY `pid` (`pid`),
  KEY `encounter_date` (`encounter_date`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci ROW_FORMAT=DYNAMIC COMMENT='InnoDB free: 11264 kB' AUTO_INCREMENT=2007500004 ;

-- 
-- Dumping data for table `care_encounter`
-- 

INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000000, 10000000, '2006-12-18 13:25:10', 1, '', 'disallow_cancel', 'HTA ne krize', 'Mjeki me diuretike', 'Dr. Bahri Cukaj, Mjek Urgjence', '', '', 'Dridhje dhe humbje vetedije', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 1, 0, 8, 0, 0, 0, '', '', 1, '2006-12-18', '13:34:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-18 13:25:10 = admin\nAdmitted in ward 2006-12- 13:25:52 admin\nView 2006-12-18 13:25:59 = admin\nView 2006-12-18 13:32:25 = admin\nView 2006-12-18 13:32:56 = admin', 'admin', '2006-12-18 13:35:31', 'admin', '2006-12-18 13:25:10');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000001, 10000000, '2006-12-19 12:36:55', 1, '', 'disallow_cancel', 'HTA', 'Lasix. Mgso4', 'Mjeku Roje Poliklinika', '', '', 'Ska', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 1, 0, 8, 0, 0, 0, '', '', 1, '2006-12-19', '12:44:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-19 12:36:55 = Ermal Dibra\nView 2006-12-19 12:37:18 = Ermal Dibra\nView 2006-12-19 12:38:43 = Ermal Dibra\nView 2006-12-19 12:42:03 = Ermal Dibra\nAdmitted in ward 2006-12- 12:42:40 Ermal Dibra\nView 2006-12-19 12:43:00 = Ermal Dibra', 'Ermal Dibra', '2006-12-19 12:45:07', 'Ermal Dibra', '2006-12-19 12:36:55');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000002, 10000012, '2006-12-20 12:18:40', 1, '', 'disallow_cancel', 'Tonsilit', 'Mjeku i pranimit', 'Direkt', '', '', 'Nuk ka', 'white', 0, 0, '0', '0', 1, '0', '0', 0, 0, '', 4, 6, 0, 56, 0, 0, 0, '', '', 1, '2006-12-27', '11:18:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-20 12:18:40 = Eglantina Ujkani\nView 2006-12-20 12:22:35 = admin\n Update: 2006-12-20 12:22:45 = admin\nAdmitted in ward 2006-12- 12:48:22 admin\nView 2006-12-20 13:02:58 = Ardianu Dervishi', 'admin', '2006-12-27 11:18:24', 'Eglantina Ujkani', '2006-12-20 12:18:40');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000003, 10000013, '2006-12-20 12:46:14', 1, '', 'disallow_cancel', 'jo', 'jo', 'jo', '', '', 'jo', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 4, 1, 0, 0, 0, 0, 0, '', '', 1, '2006-12-22', '12:35:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-20 12:46:14 = admin\nAdmitted in ward 2006-12- 12:48:13 admin\nView 2006-12-20 12:48:52 = admin\nView 2006-12-20 12:53:11 = Ardianu Dervishi\nView 2006-12-20 12:59:50 = Ardianu Dervishi\nView 2006-12-20 13:01:54 = Ardianu Dervishi\nView 2006-12-20 13:02:25 = Ardianu Dervishi\nView 2006-12-20 13:02:39 = Ardianu Dervishi', 'admin', '2006-12-22 12:36:47', 'admin', '2006-12-20 12:46:14');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000004, 10000014, '2006-12-20 13:19:08', 1, '', 'disallow_cancel', 'tonsilit', 'Eritromicine', 'Agustin Suma', '', '', 'poacienti asht krap', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 4, 19, 0, 0, 0, 0, 0, '', '', 1, '2006-12-20', '13:24:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-20 13:19:08 = Ardianu Dervishi\nAdmitted in ward 2006-12- 13:19:34 Ardianu Dervishi\nView 2006-12-20 13:23:19 = Ardianu Dervishi\nView 2006-12-20 13:24:16 = Ardianu Dervishi', 'Ardianu Dervishi', '2006-12-20 13:24:48', 'Ardianu Dervishi', '2006-12-20 13:19:08');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000005, 10000015, '2006-12-22 11:55:15', 1, '', 'disallow_cancel', 'Bronkiolit', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shiko kartelen', 'white', 0, 0, '0', '0', 1, '0', '0', 0, 0, '', 4, 18, 0, 0, 0, 0, 0, '', '', 1, '2006-12-27', '11:18:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-22 11:55:15 = Ardianu Dervishi\nAdmitted in ward 2006-12- 12:03:15 Ardiana Dervishi\nView 2006-12-22 12:03:46 = Ardiana Dervishi\nView 2006-12-22 12:05:53 = Ardiana Dervishi\n Update: 2006-12-22 12:11:26 = Ardiana Dervishi\nView 2006-12-22 12:25:16 = Ardiana Dervishi\nView 2006-12-22 12:46:13 = Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-27 11:18:55', 'Ardianu Dervishi', '2006-12-22 11:55:15');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000006, 10000013, '2006-12-22 12:42:51', 1, '', 'disallow_cancel', 'Tonsilit', 'jo', 'A.Gjuli', '', '', 'jo', 'white', 0, 0, '0', '0', 0, '0', '0', 0, 0, '', 4, 13, 0, 0, 0, 0, 0, '', '', 1, '2006-12-27', '11:18:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-22 12:42:51 = Ardiana Dervishi\nAdmitted in ward 2006-12- 12:43:54 Ardiana Dervishi\nView 2006-12-22 12:45:22 = Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-27 11:18:47', 'Ardiana Dervishi', '2006-12-22 12:42:51');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000007, 10000016, '2006-12-22 12:57:57', 1, '', 'disallow_cancel', 'Direkt', 'jo', 'jo', '', '', 'jo', 'white', 0, 0, '0', '0', 1, '0', '0', 0, 0, '', 4, 5, 0, 0, 0, 0, 0, '', '', 1, '2006-12-22', '13:08:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-22 12:57:57 = Ardiana Dervishi\nAdmitted in ward 2006-12- 12:58:34 Ardiana Dervishi\nView 2006-12-22 12:59:36 = Ardiana Dervishi\nView 2006-12-22 13:08:13 = Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-22 13:11:59', 'Ardiana Dervishi', '2006-12-22 12:57:57');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000008, 10000016, '2006-12-22 13:18:02', 1, '', 'disallow_cancel', 'Direkt', 'jo', 'jo', '', '', 'jo', 'white', 0, 0, '0', '0', 1, '0', '0', 0, 0, '', 4, 5, 0, 0, 0, 0, 0, '', '', 1, '2006-12-27', '11:18:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-22 13:18:02 = Ardiana Dervishi\nAdmitted in ward 2006-12- 13:20:40 Ardiana Dervishi\nView 2006-12-22 13:21:18 = Ardiana Dervishi\nView 2006-12-22 13:21:38 = Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-27 11:18:30', 'Ardiana Dervishi', '2006-12-22 13:18:02');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000009, 10000017, '2006-12-27 11:37:13', 1, '', 'disallow_cancel', 'Direkt', 'po', 'Mjeku i Rojes. Dr. L.Salabegu', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-08', '13:16:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-27 11:37:13 = Ardiana Dervishi\nAdmitted in ward 2006-12- 11:38:22 Ardiana Dervishi\nView 2006-12-27 11:38:38 = Ardiana Dervishi\nView 2006-12-27 11:40:54 = Ardiana Dervishi\nView 2006-12-27 11:41:23 = Ardiana Dervishi\nView 2006-12-27 11:49:50 = Ardiana Dervishi\nView 2006-12-27 11:50:23 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-08 13:16:33', 'Ardiana Dervishi', '2006-12-27 11:37:13');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000010, 10000018, '2006-12-27 11:45:03', 1, '', 'disallow_cancel', 'Broncopneumonibilaterale', 'po', 'Mjeku i Rojes. Dr. L.Salabegu', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-08', '13:17:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-27 11:45:03 = Ardiana Dervishi\nAdmitted in ward 2006-12- 11:45:22 Ardiana Dervishi\nView 2006-12-27 11:45:37 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-08 13:17:37', 'Ardiana Dervishi', '2006-12-27 11:45:03');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000011, 10000019, '2006-12-27 11:59:55', 1, '', 'disallow_cancel', 'Laringit Akut', 'po', 'Dr.H .Kotri mjek roje', '', '', 'shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-08', '13:16:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-27 11:59:55 = Ardiana Dervishi\nAdmitted in ward 2006-12- 12:01:08 Ardiana Dervishi\nView 2006-12-27 12:01:16 = Ardiana Dervishi\nView 2006-12-27 12:08:24 = Ardiana Dervishi\nAdmitted in ward 2006-12- 12:09:16 Ardiana Dervishi\nView 2006-12-27 12:09:22 = Ardiana Dervishi\nView 2006-12-27 12:14:45 = Ardiana Dervishi\nView 2006-12-28 10:14:11 = Ardiana Dervishi\nView 2006-12-28 10:14:49 = Ardiana Dervishi\nView 2006-12-28 11:04:23 = Ardiana Dervishi\nView 2006-12-28 11:05:55 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-08 13:16:11', 'Ardiana Dervishi', '2006-12-27 11:59:55');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000012, 10000020, '2006-12-27 12:20:23', 1, '', 'disallow_cancel', 'Intoksikacion nga Antipioretiket', 'direkt', 'Dr.H.Kotri', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-05', '11:21:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-27 12:20:23 = Ardiana Dervishi\nAdmitted in ward 2006-12- 12:21:27 Ardiana Dervishi\nView 2006-12-27 12:22:02 = Ardiana Dervishi\nView 2006-12-27 12:26:18 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-05 11:22:29', 'Ardiana Dervishi', '2006-12-27 12:20:23');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000013, 10000021, '2006-12-28 08:18:05', 1, '', 'disallow_cancel', 'Bronkopneomoni bilaterale', 'jo', 'A.Bekteshi', '', '', 'jo', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 10, 0, 0, 0, 0, 0, '', '', 1, '2007-01-04', '11:37:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-28 08:18:05 = Ardiana Dervishi\nAdmitted in ward 2006-12- 08:19:42 Ardiana Dervishi\nView 2006-12-28 10:02:50 = Ardiana Dervishi\nView 2006-12-29 12:06:11 = Ardiana Dervishi\nView 2006-12-29 12:06:27 = Ardiana Dervishi\nView 2006-12-29 12:08:47 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-04 11:38:08', 'Ardiana Dervishi', '2006-12-28 08:18:05');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000014, 10000022, '2006-12-28 08:40:51', 1, '', 'disallow_cancel', 'Angina', 'Ceporina', 'A.Bekteshi', '', '', 'Inhalacion', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-05', '11:20:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-28 08:40:51 = Ardiana Dervishi\nAdmitted in ward 2006-12- 09:59:13 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-05 11:21:26', 'Ardiana Dervishi', '2006-12-28 08:40:51');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000015, 10000024, '2006-12-28 09:05:57', 1, '', 'disallow_cancel', 'Bronkopneomoni bilaterale', 'Ampicilina', 'Hasija', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 1, 0, 0, 0, 0, 0, '', '', 1, '2006-12-29', '11:00:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-28 09:05:57 = Ardiana Dervishi\nAdmitted in ward 2006-12- 09:58:31 Ardiana Dervishi\nView 2006-12-28 10:01:37 = Ardiana Dervishi\nView 2006-12-28 10:04:46 = Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-29 11:01:26', 'Ardiana Dervishi', '2006-12-28 09:05:57');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000016, 10000025, '2006-12-28 09:18:46', 1, '', 'disallow_cancel', 'Broncopneumonibilaterale', 'Ampicilina', 'Hasija', '', '', 'Drekt', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 6, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '09:33:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-28 09:18:46 = Ardiana Dervishi\nView 2006-12-28 10:00:32 = Ardiana Dervishi\nView 2006-12-28 10:05:54 = Ardiana Dervishi\nView 2006-12-28 10:06:04 = Ardiana Dervishi\nView 2006-12-28 10:06:14 = Ardiana Dervishi\nView 2006-12-28 10:07:50 = Ardiana Dervishi\nView 2006-12-28 10:08:01 = Ardiana Dervishi\nAdmitted in ward 2006-12- 10:14:03 Ardiana Dervishi\nView 2006-12-28 10:15:01 = Ardiana Dervishi\nView 2006-12-28 10:15:15 = Ardiana Dervishi\nView 2006-12-28 10:16:11 = Ardiana Dervishi\nView 2006-12-28 10:20:55 = Ardiana Dervishi\nView 2006-12-28 10:21:11 = Ardiana Dervishi\nView 2006-12-28 10:22:44 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 09:33:03', 'Ardiana Dervishi', '2006-12-28 09:18:46');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000017, 10000026, '2006-12-28 10:42:54', 1, '', 'disallow_cancel', 'Broncopneumonibilaterale', 'Ampicilina', 'Hasija', '', '', 'jo', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 6, 0, 0, 0, 0, 0, '', '', 1, '2006-12-28', '11:12:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-28 10:42:54 = Ardiana Dervishi\nAdmitted in ward 2006-12- 11:08:33 Ardiana Dervishi\nView 2006-12-28 11:08:46 = Ardiana Dervishi\nView 2006-12-28 11:09:07 = Ardiana Dervishi\nView 2006-12-28 11:10:29 = Ardiana Dervishi\nView 2006-12-28 11:11:31 = Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 11:12:34', 'Ardiana Dervishi', '2006-12-28 10:42:54');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000018, 10000027, '2006-12-28 10:51:17', 1, '', 'disallow_cancel', 'Broncopneumonibilaterale', 'po', 'E.Sadiku', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-09', '12:14:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-28 10:51:17 = Ardiana Dervishi\nAdmitted in ward 2006-12- 10:59:12 Ardiana Dervishi\nView 2006-12-28 10:59:22 = Ardiana Dervishi\nView 2006-12-28 11:02:49 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-09 12:14:49', 'Ardiana Dervishi', '2006-12-28 10:51:17');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000019, 10000028, '2006-12-28 11:22:27', 1, '', 'disallow_cancel', 'Direkt', 'Ampicilina', 'Hasija', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-08', '13:15:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-28 11:22:27 = Ardiana Dervishi\nAdmitted in ward 2006-12- 11:22:55 Ardiana Dervishi\nView 2006-12-28 11:23:01 = Ardiana Dervishi\nView 2006-12-28 11:25:25 = Ardiana Dervishi\nView 2006-12-29 10:17:29 = Ermal Dibra\nView 2006-12-29 10:18:48 = Ermal Dibra', 'Ardiana Dervishi', '2007-01-08 13:16:00', 'Ardiana Dervishi', '2006-12-28 11:22:27');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000020, 10000029, '2006-12-28 11:30:16', 1, '', 'disallow_cancel', 'Bronco pneumoni Bilaterale', 'jo', 'Dr.Aferdita', '', '', 'jo', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-08', '13:17:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-28 11:30:16 = Ardiana Dervishi\nAdmitted in ward 2006-12- 11:30:39 Ardiana Dervishi\nView 2006-12-28 11:30:56 = Ardiana Dervishi\nView 2006-12-28 11:33:59 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-08 13:17:14', 'Ardiana Dervishi', '2006-12-28 11:30:16');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000021, 10000030, '2006-12-28 11:42:11', 1, '', 'disallow_cancel', 'Bronco pneumoni Bilaterale', 'jo', 'Dr.LSalabegu', '', '', 'jo', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-05', '11:40:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-28 11:42:11 = Ardiana Dervishi\nAdmitted in ward 2006-12- 11:42:42 Ardiana Dervishi\nView 2006-12-28 11:42:48 = Ardiana Dervishi\nView 2006-12-28 11:46:22 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-05 11:41:24', 'Ardiana Dervishi', '2006-12-28 11:42:11');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000022, 10000031, '2006-12-28 11:50:25', 1, '', 'disallow_cancel', 'Bronkit', 'jo', 'Dr.ABekteshi', '', '', 'jo', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-05', '11:39:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-28 11:50:25 = Ardiana Dervishi\nAdmitted in ward 2006-12- 11:50:50 Ardiana Dervishi\nView 2006-12-28 11:51:06 = Ardiana Dervishi\nView 2006-12-28 11:53:45 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-05 11:40:27', 'Ardiana Dervishi', '2006-12-28 11:50:25');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000023, 10000032, '2006-12-28 11:59:19', 1, '', 'disallow_cancel', 'Brokopneumonibilaterale', 'jo', 'Dr.ABekteshi', '', '', 'jo', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-05', '11:38:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-28 11:59:19 = Ardiana Dervishi\nAdmitted in ward 2006-12- 11:59:38 Ardiana Dervishi\nView 2006-12-28 11:59:45 = Ardiana Dervishi\nView 2006-12-28 12:03:45 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-05 11:39:49', 'Ardiana Dervishi', '2006-12-28 11:59:19');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000024, 10000033, '2006-12-28 12:08:00', 1, '', 'disallow_cancel', 'Bronkopneumoni Dexter', 'Shtrim', 'Dr.ESadiku', '', '', 'jo', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-08', '13:16:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-28 12:08:00 = Ardiana Dervishi\nAdmitted in ward 2006-12- 12:08:22 Ardiana Dervishi\nView 2006-12-28 12:08:40 = Ardiana Dervishi\nView 2006-12-28 12:08:53 = Ardiana Dervishi\nView 2006-12-28 12:11:48 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-08 13:16:21', 'Ardiana Dervishi', '2006-12-28 12:08:00');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000025, 10000034, '2006-12-28 12:31:13', 1, '', 'disallow_cancel', 'Angor i zgjatur', 'Morfin, O2 TERAPI', 'Z.Hoxha', '', '', 'Dhimbje gjoksi', 'white', 0, 0, 'po', 'ISKSH', 3, '0', '0', 0, 0, '', 3, 9, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2006-12-28 12:31:13 = Ermal Dibra\nView 2006-12-28 12:32:53 = Ermal Dibra\nAdmitted in ward 2006-12- 12:49:20 Ermal Dibra\nView 2006-12-28 12:49:30 = Ermal Dibra\nView 2006-12-28 12:53:38 = Ermal Dibra\nView 2006-12-28 12:54:20 = Ermal Dibra\nView 2006-12-28 12:55:41 = Ermal Dibra\nView 2006-12-29 10:48:19 = Ermal Dibra\nView 2007-01-23 08:06:51 = Ermal Dibra', 'Ermal Dibra', '2007-01-23 08:06:51', 'Ermal Dibra', '2006-12-28 12:31:13');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000026, 10000038, '2006-12-29 11:04:10', 1, '', 'disallow_cancel', 'Bronciolit', 'direkt', 'L.Salabegu', '', '', 'jo', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-03', '11:14:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-29 11:04:10 = Ardiana Dervishi\nAdmitted in ward 2006-12- 11:04:56 Ardiana Dervishi\nView 2006-12-29 11:05:06 = Ardiana Dervishi\nView 2006-12-29 11:08:08 = Ardiana Dervishi\nView 2006-12-29 12:05:04 = Ardiana Dervishi\nView 2006-12-29 12:05:11 = Ardiana Dervishi\nView 2006-12-29 12:28:25 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-03 11:15:43', 'Ardiana Dervishi', '2006-12-29 11:04:10');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000027, 10000039, '2006-12-29 11:26:09', 1, '', 'disallow_cancel', 'Flegmone Pedis+DM tip 2', 'Shiko kartelen', 'Dr. E. Nelaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 4, 0, 0, 0, 0, 0, '', '', 1, '2007-01-11', '08:55:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-29 11:26:09 = Ermal Dibra\nAdmitted in ward 2006-12- 11:26:46 Ermal Dibra\nView 2006-12-29 11:27:33 = Ermal Dibra\nView 2006-12-29 11:39:17 = Ermal Dibra\n Update: 2006-12-29 11:40:05 = Ermal Dibra\nView 2007-01-09 11:39:24 = Ardiana Dervishi\nView 2007-01-09 11:40:45 = Ardiana Dervishi\nView 2007-01-11 08:23:06 = Ardiana Dervishi\nView 2007-01-11 08:28:59 = Ardiana Dervishi', 'Ermal Dibra', '2007-01-11 08:58:04', 'Ermal Dibra', '2006-12-29 11:26:09');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000028, 10000037, '2006-12-29 11:31:33', 1, '', 'disallow_cancel', 'Bronkiolit', 'direkt', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-03', '11:25:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-29 11:31:33 = Ardiana Dervishi\nAdmitted in ward 2006-12- 11:31:54 Ardiana Dervishi\nView 2006-12-29 11:32:06 = Ardiana Dervishi\nView 2006-12-29 11:34:37 = Ardiana Dervishi\nView 2006-12-29 12:04:04 = Ardiana Dervishi\nView 2006-12-29 12:04:10 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-03 11:26:06', 'Ardiana Dervishi', '2006-12-29 11:31:33');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000029, 10000035, '2006-12-29 11:36:38', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 13, 0, 0, 0, 0, 0, '', '', 1, '2007-01-09', '12:10:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-29 11:36:38 = Ardiana Dervishi\nAdmitted in ward 2006-12- 11:36:59 Ardiana Dervishi\nAdmitted in ward 2006-12- 11:37:56 Ardiana Dervishi\nView 2006-12-29 11:59:18 = Ardiana Dervishi\nView 2006-12-29 12:02:58 = Ardiana Dervishi\nView 2006-12-29 12:03:36 = Ardiana Dervishi\nView 2006-12-29 12:03:43 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-09 12:10:42', 'Ardiana Dervishi', '2006-12-29 11:36:38');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000030, 10000036, '2006-12-29 11:46:59', 1, '', 'disallow_cancel', 'Artrit romatoid St3', 'Shiko kartelen', 'Dr. A. Miloti', '', '', 'Per kemp', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-10', '12:32:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-29 11:46:59 = Ermal Dibra\nAdmitted in ward 2006-12- 11:47:18 Ermal Dibra\nView 2006-12-29 11:47:33 = Ermal Dibra\nView 2006-12-29 11:50:28 = Ermal Dibra\nView 2006-12-30 09:39:01 = Ermal Dibra\nView 2006-12-30 09:39:30 = Ermal Dibra\nView 2007-01-05 11:05:28 = Ermal Dibra\nView 2007-01-11 08:41:36 = Ermal Dibra\nView 2007-01-11 08:52:39 = Ermal Dibra\nView 2007-01-11 08:54:43 = Ermal Dibra\nView 2007-01-11 08:55:25 = Ermal Dibra\nView 2007-01-13 10:47:42 = admin\nView 2007-01-18 07:48:50 = Ardiana Dervishi\nView 2007-01-18 07:49:05 = Ardiana Dervishi', 'Ermal Dibra', '2007-01-20 12:33:24', 'Ermal Dibra', '2006-12-29 11:46:59');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000031, 10000044, '2006-12-30 09:37:52', 1, '', 'disallow_cancel', 'SAK angor i paqendrueshem', 'Shiko Kartelen', 'Dr. Edi Smajlaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-10', '10:38:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-30 09:37:52 = Ermal Dibra\nAdmitted in ward 2006-12- 09:38:39 Ermal Dibra\nView 2006-12-30 09:39:49 = Ermal Dibra\nView 2007-01-09 11:41:00 = Ardiana Dervishi\nView 2007-01-09 11:41:49 = Ardiana Dervishi\nView 2007-01-09 11:44:03 = Ardiana Dervishi', 'Ermal Dibra', '2007-01-12 10:42:14', 'Ermal Dibra', '2006-12-30 09:37:52');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000032, 10000045, '2006-12-30 10:25:49', 1, '', 'disallow_cancel', 'Bronchit', 'Shiko kartelen', 'Dr. R.Prela', '', '', 'Shtrim', 'white', 0, 0, '0', '0', 2, '0', '0', 0, 0, '', 6, 4, 0, 0, 0, 0, 0, '', '', 1, '2007-01-04', '11:38:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-30 10:25:49 = Ardiana Dervishi\nAdmitted in ward 2006-12- 10:26:04 Ardiana Dervishi\nView 2006-12-30 10:26:41 = Ardiana Dervishi\nView 2006-12-30 10:31:23 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-04 11:39:09', 'Ardiana Dervishi', '2006-12-30 10:25:49');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000033, 10000046, '2006-12-30 11:06:39', 1, '', 'disallow_cancel', 'Tonsilit purolent & ', 'Mjeki ne spital', 'Dr.Hasije Mandija', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-08', '13:27:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-30 11:06:39 = Ardiana Dervishi\nAdmitted in ward 2006-12- 11:06:52 Ardiana Dervishi\nView 2006-12-30 11:07:07 = Ardiana Dervishi\nView 2006-12-30 11:13:21 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-08 13:28:01', 'Ardiana Dervishi', '2006-12-30 11:06:39');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2006000034, 10000047, '2006-12-30 11:18:36', 1, '', 'disallow_cancel', 'Bronch.Pneumoni Destructive Bilaterale', 'Shiko kartelen', 'Mjeku Roje', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-09', '12:15:00', '0000-00-00', NULL, '', '', 'Create: 2006-12-30 11:18:36 = Ardiana Dervishi\nAdmitted in ward 2006-12- 11:18:57 Ardiana Dervishi\nView 2006-12-30 11:19:04 = Ardiana Dervishi\nView 2006-12-30 11:29:55 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-09 12:15:12', 'Ardiana Dervishi', '2006-12-30 11:18:36');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000000, 10000048, '2007-01-03 11:04:00', 1, '', 'disallow_cancel', 'Direkte', 'po', 'Dr.S Kallogjeri', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-08', '13:15:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-03 11:04:00 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:04:35 Ardiana Dervishi\nView 2007-01-03 11:04:50 = Ardiana Dervishi\nView 2007-01-03 11:08:39 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-08 13:15:42', 'Ardiana Dervishi', '2007-01-03 11:04:00');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000001, 10000049, '2007-01-03 11:14:11', 1, '', 'disallow_cancel', 'Direkte', 'po', 'Dr.GNaraÃ§i', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-15', '08:21:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-03 11:14:11 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:14:22 Ardiana Dervishi\nView 2007-01-03 11:16:02 = Ardiana Dervishi\nView 2007-01-03 11:16:16 = Ardiana Dervishi\nView 2007-01-03 11:20:30 = Ardiana Dervishi\nView 2007-01-11 08:41:03 = Ardiana Dervishi\nView 2007-01-11 08:41:30 = Ardiana Dervishi\nView 2007-01-11 08:42:36 = Ardiana Dervishi\nView 2007-01-11 08:44:50 = Ardiana Dervishi\nView 2007-01-11 08:45:10 = Ardiana Dervishi\nView 2007-01-11 10:05:29 = Ardiana Dervishi\nView 2007-01-11 10:05:54 = Ardiana Dervishi\nView 2007-01-11 10:06:04 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-15 08:24:01', 'Ardiana Dervishi', '2007-01-03 11:14:11');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000002, 10000050, '2007-01-03 11:24:59', 1, '', 'disallow_cancel', 'Direkt', 'po', 'Dr.GNaraÃ§i', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-08', '13:14:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-03 11:24:59 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:34:56 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-08 13:15:24', 'Ardiana Dervishi', '2007-01-03 11:24:59');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000003, 10000051, '2007-01-04 11:36:04', 1, '', 'disallow_cancel', 'Infex viral', 'Shiko kartelen', 'Dr.M Shpori', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 11, 0, 0, 0, 0, 0, '', '', 1, '2007-01-09', '12:09:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-04 11:36:04 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:36:45 Ardiana Dervishi\nView 2007-01-04 11:41:03 = Ardiana Dervishi\nView 2007-01-04 11:41:23 = Ardiana Dervishi\nView 2007-01-04 11:41:37 = Ardiana Dervishi\nView 2007-01-04 11:44:19 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-09 12:10:04', 'Ardiana Dervishi', '2007-01-04 11:36:04');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000004, 10000052, '2007-01-04 11:48:25', 1, '', 'disallow_cancel', 'Dizanteri', 'Shiko kartelen', 'Dr.S Kallogjeri', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 11, 0, 0, 0, 0, 0, '', '', 1, '2007-01-09', '12:08:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-04 11:48:25 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:48:54 Ardiana Dervishi\nView 2007-01-04 11:49:04 = Ardiana Dervishi\nView 2007-01-04 11:53:30 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-09 12:09:20', 'Ardiana Dervishi', '2007-01-04 11:48:25');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000005, 10000053, '2007-01-05 11:11:18', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'L.Salabegu', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-09', '12:13:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-05 11:11:18 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:11:41 Ardiana Dervishi\nView 2007-01-05 11:11:52 = Ardiana Dervishi\nView 2007-01-05 11:15:46 = Ardiana Dervishi\nView 2007-01-05 11:27:07 = Ardiana Dervishi\nView 2007-01-05 11:27:20 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-09 12:14:22', 'Ardiana Dervishi', '2007-01-05 11:11:18');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000006, 10000055, '2007-01-05 11:19:29', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'L.Salabegu', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '09:34:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-05 11:19:29 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:20:36 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 09:34:05', 'Ardiana Dervishi', '2007-01-05 11:19:29');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000007, 10000057, '2007-01-05 11:26:08', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'L.Salabegu', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-08', '13:28:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-05 11:26:08 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:26:39 Ardiana Dervishi\nView 2007-01-05 11:28:03 = Ardiana Dervishi\nView 2007-01-05 11:32:30 = Ardiana Dervishi\nView 2007-01-05 11:32:47 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-08 13:28:45', 'Ardiana Dervishi', '2007-01-05 11:26:08');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000008, 10000058, '2007-01-05 11:38:00', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Direkt', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-08', '13:16:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-05 11:38:00 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:42:04 Ardiana Dervishi\nView 2007-01-29 11:59:18 = Ardiana Dervishi\nView 2007-01-29 11:59:29 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 11:59:29', 'Ardiana Dervishi', '2007-01-05 11:38:00');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000009, 10000059, '2007-01-05 11:45:39', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'S.Duka', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-15', '11:32:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-05 11:45:39 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:46:52 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-15 11:32:24', 'Ardiana Dervishi', '2007-01-05 11:45:39');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000010, 10000060, '2007-01-05 11:50:37', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.Sduka', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 4, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '09:30:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-05 11:50:37 = Ardiana Dervishi\nView 2007-01-05 11:53:14 = Ardiana Dervishi\nView 2007-01-05 11:54:06 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:54:39 Ardiana Dervishi\nView 2007-01-11 10:12:41 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 09:30:11', 'Ardiana Dervishi', '2007-01-05 11:50:37');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000011, 10000061, '2007-01-06 08:08:00', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.RMiloti', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-09', '11:36:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-06 08:08:00 = Ardiana Dervishi\nAdmitted in ward 2007-01- 08:08:27 Ardiana Dervishi\nView 2007-01-06 08:08:34 = Ardiana Dervishi\nView 2007-01-06 08:13:38 = Ardiana Dervishi\nView 2007-01-08 07:52:11 = Ardiana Dervishi\nView 2007-01-08 07:52:53 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-09 11:37:21', 'Ardiana Dervishi', '2007-01-06 08:08:00');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000012, 10000062, '2007-01-06 08:32:21', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.RMiloti', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 6, 0, 0, 0, 0, 0, '', '', 1, '2007-01-11', '11:25:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-06 08:32:21 = Ardiana Dervishi\nAdmitted in ward 2007-01- 08:33:03 Ardiana Dervishi\nView 2007-01-06 08:33:13 = Ardiana Dervishi\nView 2007-01-06 08:35:43 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:26:57 Ardiana Dervishi\nAdmitted in ward 2007-01- 12:27:18 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-11 11:25:43', 'Ardiana Dervishi', '2007-01-06 08:32:21');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000013, 10000063, '2007-01-06 08:37:57', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.RMiloti', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 6, 0, 0, 0, 0, 0, '', '', 1, '2007-01-11', '11:25:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-06 08:37:57 = Ardiana Dervishi\nAdmitted in ward 2007-01- 08:38:24 Ardiana Dervishi\nView 2007-01-06 08:38:43 = Ardiana Dervishi\nView 2007-01-06 08:42:57 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:28:03 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-11 11:25:20', 'Ardiana Dervishi', '2007-01-06 08:37:57');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000014, 10000071, '2007-01-08 11:48:31', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.S Kallogjeri', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-15', '11:31:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-08 11:48:31 = Ardiana Dervishi\nView 2007-01-08 11:50:21 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:15:36 Ardiana Dervishi\nView 2007-01-08 12:19:35 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-15 11:31:42', 'Ardiana Dervishi', '2007-01-08 11:48:31');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000015, 10000073, '2007-01-08 11:56:27', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.MShpori', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '09:29:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-08 11:56:27 = Ardiana Dervishi\nView 2007-01-08 12:07:43 = Ardiana Dervishi\nView 2007-01-08 12:09:03 = Ardiana Dervishi\nView 2007-01-08 12:10:46 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:15:17 Ardiana Dervishi\nView 2007-01-08 12:16:15 = Ardiana Dervishi\nView 2007-01-08 12:26:14 = Ardiana Dervishi\nView 2007-01-08 13:12:11 = Ardiana Dervishi\nView 2007-01-08 13:14:17 = Ardiana Dervishi\nView 2007-01-08 13:24:02 = Ardiana Dervishi\nView 2007-01-08 13:24:19 = Ardiana Dervishi\nView 2007-01-08 13:24:50 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 09:29:35', 'Ardiana Dervishi', '2007-01-08 11:56:27');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000016, 10000081, '2007-01-08 12:23:41', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.MShpori', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '09:27:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-08 12:23:41 = Ardiana Dervishi\nView 2007-01-08 13:20:26 = Ardiana Dervishi\nAdmitted in ward 2007-01- 13:23:41 Ardiana Dervishi\nView 2007-01-08 13:23:45 = Ardiana Dervishi\nView 2007-01-08 13:25:12 = Ardiana Dervishi\nView 2007-01-08 13:27:06 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 09:27:52', 'Ardiana Dervishi', '2007-01-08 12:23:41');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000017, 10000084, '2007-01-09 09:29:54', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '09:33:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-09 09:29:54 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:30:21 Ardiana Dervishi\nView 2007-01-09 09:30:39 = Ardiana Dervishi\nView 2007-01-09 09:31:23 = Ardiana Dervishi\nView 2007-01-09 09:34:21 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 09:33:43', 'Ardiana Dervishi', '2007-01-09 09:29:54');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000018, 10000085, '2007-01-09 10:37:24', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.H .Kotri mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 5, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '09:31:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-09 10:37:24 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:37:42 Ardiana Dervishi\nView 2007-01-09 10:37:49 = Ardiana Dervishi\nView 2007-01-09 10:39:57 = Ardiana Dervishi\nView 2007-01-13 12:51:36 = Ardiana Dervishi\nView 2007-01-13 12:51:46 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 09:31:34', 'Ardiana Dervishi', '2007-01-09 10:37:24');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000019, 10000086, '2007-01-09 10:42:43', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.H .Kotri mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 4, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '09:29:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-09 10:42:43 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:42:58 Ardiana Dervishi\nView 2007-01-09 10:43:08 = Ardiana Dervishi\nView 2007-01-09 10:45:42 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 09:29:56', 'Ardiana Dervishi', '2007-01-09 10:42:43');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000020, 10000088, '2007-01-09 11:20:50', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.H .Kotri mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '09:29:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-09 11:20:50 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:21:04 Ardiana Dervishi\nView 2007-01-09 11:21:09 = Ardiana Dervishi\nView 2007-01-09 11:23:00 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 09:29:25', 'Ardiana Dervishi', '2007-01-09 11:20:50');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000021, 10000090, '2007-01-09 11:25:41', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.H .Kotri mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 4, 0, 0, 0, 0, 0, '', '', 1, '2007-01-12', '00:00:10', '0000-00-00', NULL, '', '', 'Create: 2007-01-09 11:25:41 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:25:59 Ardiana Dervishi\nView 2007-01-09 11:26:05 = Ardiana Dervishi\nView 2007-01-09 11:28:03 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-12 13:40:49', 'Ardiana Dervishi', '2007-01-09 11:25:41');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000022, 10000091, '2007-01-09 11:32:49', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.SDuka', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '09:26:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-09 11:32:49 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:33:00 Ardiana Dervishi\nView 2007-01-09 11:33:03 = Ardiana Dervishi\nView 2007-01-09 11:35:52 = Ardiana Dervishi\nView 2007-01-11 08:41:51 = Ardiana Dervishi\nView 2007-01-11 08:42:16 = Ardiana Dervishi\nView 2007-01-17 09:14:25 = admin', 'Ardiana Dervishi', '2007-01-17 09:26:45', 'Ardiana Dervishi', '2007-01-09 11:32:49');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000023, 10000102, '2007-01-09 12:22:49', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 11, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '09:35:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-09 12:22:49 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:23:22 Ardiana Dervishi\nView 2007-01-09 12:23:30 = Ardiana Dervishi\nView 2007-01-09 12:25:14 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 09:36:22', 'Ardiana Dervishi', '2007-01-09 12:22:49');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000024, 10000105, '2007-01-10 11:02:47', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.RMiloti mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-19', '09:49:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-10 11:02:47 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:03:05 Ardiana Dervishi\nView 2007-01-10 11:03:11 = Ardiana Dervishi\nView 2007-01-10 11:05:00 = Ardiana Dervishi\nView 2007-01-10 11:05:17 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:34:34 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:49:37', 'Ardiana Dervishi', '2007-01-10 11:02:47');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000025, 10000106, '2007-01-10 11:08:49', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'DrSDuka', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 5, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '09:31:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-10 11:08:49 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:09:05 Ardiana Dervishi\nView 2007-01-10 11:09:11 = Ardiana Dervishi\nView 2007-01-10 11:11:56 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 09:31:24', 'Ardiana Dervishi', '2007-01-10 11:08:49');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000026, 10000107, '2007-01-10 12:00:53', 1, '', 'disallow_cancel', 'Nefropatia  per determinim', 'terapia ne kartele', 'Dr Teuta Mali', '', '', 'urgjent', 'white', 0, 0, 'po', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 11, 0, 56, 0, 0, 0, '', '', 1, '2007-01-18', '13:08:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-10 12:00:53 = Ermal Dibra\nAdmitted in ward 2007-01- 12:04:23 Ermal Dibra\nView 2007-01-10 12:06:53 = Ermal Dibra\nView 2007-01-10 12:15:53 = Ermal Dibra\nView 2007-01-11 08:29:22 = Ardiana Dervishi\nView 2007-01-11 08:34:50 = Ardiana Dervishi', 'Ermal Dibra', '2007-01-18 13:08:36', 'Ermal Dibra', '2007-01-10 12:00:53');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000027, 10000108, '2007-01-10 12:08:01', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.RMiloti mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 10, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '09:35:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-10 12:08:01 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:08:16 Ardiana Dervishi\nView 2007-01-10 12:08:21 = Ardiana Dervishi\nView 2007-01-10 12:10:25 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 09:35:25', 'Ardiana Dervishi', '2007-01-10 12:08:01');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000028, 10000109, '2007-01-10 12:12:56', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.ABekteshi', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 5, 0, 0, 0, 0, 0, '', '', 1, '2007-01-19', '09:53:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-10 12:12:56 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:13:08 Ardiana Dervishi\nView 2007-01-10 12:13:14 = Ardiana Dervishi\nView 2007-01-10 12:15:08 = Ardiana Dervishi\nView 2007-01-15 11:43:25 = Ardiana Dervishi\nView 2007-01-15 11:43:32 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:53:23', 'Ardiana Dervishi', '2007-01-10 12:12:56');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000029, 10000110, '2007-01-10 12:19:55', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'DrLSalabegu', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 10, 0, 0, 0, 0, 0, '', '', 1, '2007-01-12', '13:41:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-10 12:19:55 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:20:06 Ardiana Dervishi\nView 2007-01-10 12:20:14 = Ardiana Dervishi\nView 2007-01-10 12:22:19 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-12 13:42:39', 'Ardiana Dervishi', '2007-01-10 12:19:55');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000030, 10000111, '2007-01-10 12:25:43', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'DrRMiloti mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-10', '12:41:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-10 12:25:43 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:26:01 Ardiana Dervishi\nView 2007-01-10 12:26:15 = Ardiana Dervishi\nView 2007-01-10 12:30:04 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-10 12:42:00', 'Ardiana Dervishi', '2007-01-10 12:25:43');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000031, 10000113, '2007-01-10 12:33:24', 1, '', 'disallow_cancel', 'Bronkopneomoni bilaterale', 'Shtrim', 'Dr.RMiloti', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 5, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '10:08:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-10 12:33:24 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:33:38 Ardiana Dervishi\nView 2007-01-10 12:33:44 = Ardiana Dervishi\nView 2007-01-10 12:36:25 = Ardiana Dervishi\nView 2007-01-26 10:07:31 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 10:08:11', 'Ardiana Dervishi', '2007-01-10 12:33:24');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000032, 10000114, '2007-01-11 10:42:27', 1, '', 'disallow_cancel', 'SKV NE TRAJTIM ME  HDI', 'Shiko kartelen', 'Dr Teuta Mali', '', '', 'Shtrim ', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 3, 11, 0, 0, 0, 0, 0, '', '', 1, '2007-01-18', '08:40:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-11 10:42:27 = Ermal Dibra\nAdmitted in ward 2007-01- 10:44:30 Ermal Dibra\nView 2007-01-11 10:44:44 = Ermal Dibra', 'Ermal Dibra', '2007-01-18 08:41:08', 'Ermal Dibra', '2007-01-11 10:42:27');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000033, 10000119, '2007-01-11 10:47:31', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.SDuka', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-15', '11:32:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-11 10:47:31 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:48:06 Ardiana Dervishi\nView 2007-01-11 10:48:13 = Ardiana Dervishi\nView 2007-01-11 10:52:46 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-15 11:32:38', 'Ardiana Dervishi', '2007-01-11 10:47:31');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000034, 10000120, '2007-01-11 10:56:36', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.LSalabegu', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-20', '09:47:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-11 10:56:36 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:56:52 Ardiana Dervishi\nView 2007-01-11 10:56:57 = Ardiana Dervishi\nView 2007-01-11 11:00:16 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-20 09:48:53', 'Ardiana Dervishi', '2007-01-11 10:56:36');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000035, 10000117, '2007-01-11 10:59:59', 1, '', 'disallow_cancel', 'Diab. Mel.', 'Shiko kartelen', 'L. Mlloja', '', '', 'Shtrim ', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 9, 0, 0, 0, 0, 0, '', '', 1, '2007-01-20', '10:44:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-11 10:59:59 = Ermal Dibra\n Update: 2007-01-11 11:00:12 = Ermal Dibra\nAdmitted in ward 2007-01- 11:00:51 Ermal Dibra\nView 2007-01-11 11:01:28 = Ermal Dibra', 'Ermal Dibra', '2007-01-20 10:45:06', 'Ermal Dibra', '2007-01-11 10:59:59');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000036, 10000121, '2007-01-11 11:03:45', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.ABekteshi mjek roje pranim', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 6, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '09:32:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-11 11:03:45 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:04:04 Ardiana Dervishi\nView 2007-01-11 11:04:12 = Ardiana Dervishi\nView 2007-01-11 11:06:33 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 09:32:39', 'Ardiana Dervishi', '2007-01-11 11:03:45');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000037, 10000122, '2007-01-11 11:09:09', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.ABekteshi mjek roje pranim', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-15', '11:31:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-11 11:09:09 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:09:30 Ardiana Dervishi\nView 2007-01-11 11:09:42 = Ardiana Dervishi\nView 2007-01-11 11:12:24 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:24:35 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-15 11:32:04', 'Ardiana Dervishi', '2007-01-11 11:09:09');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000038, 10000123, '2007-01-11 11:14:50', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.ABekteshi mjek roje pranim', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 3, '0', '0', 0, 0, '', 6, 6, 0, 0, 0, 0, 0, '', '', 1, '2007-01-19', '11:27:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-11 11:14:50 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:15:05 Ardiana Dervishi\nView 2007-01-11 11:15:15 = Ardiana Dervishi\nView 2007-01-11 11:18:07 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 11:27:19', 'Ardiana Dervishi', '2007-01-11 11:14:50');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000039, 10000118, '2007-01-11 11:20:20', 1, '', 'disallow_cancel', 'Susp D M tip 2', 'Shiko kartelen', 'L.Mlloja', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 1, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-11 11:20:20 = Ermal Dibra\nAdmitted in ward 2007-01- 11:20:39 Ermal Dibra\nView 2007-01-11 11:20:51 = Ermal Dibra\nView 2007-01-20 10:09:10 = Ardiana Dervishi\nView 2007-01-20 10:09:37 = Ardiana Dervishi', 'Ermal Dibra', '2007-01-20 10:09:37', 'Ermal Dibra', '2007-01-11 11:20:20');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000040, 10000124, '2007-01-11 11:20:32', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.ABekteshi mjek roje pranim', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '09:28:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-11 11:20:32 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:20:50 Ardiana Dervishi\nView 2007-01-11 11:20:58 = Ardiana Dervishi\nView 2007-01-11 11:23:24 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 09:29:07', 'Ardiana Dervishi', '2007-01-11 11:20:32');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000041, 10000112, '2007-01-11 11:34:23', 1, '', 'disallow_cancel', 'Stenokardi', 'Trinitrina, Analgin.', 'Dr Bahri Cukaj', '', '', 'Viz Kardiologu', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 12, 0, 0, 0, 0, 0, '', '', 1, '2007-01-11', '11:42:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-11 11:34:23 = Ermal Dibra\nAdmitted in ward 2007-01- 11:34:54 Ermal Dibra\nView 2007-01-11 11:35:07 = Ermal Dibra', 'Ermal Dibra', '2007-01-11 12:15:11', 'Ermal Dibra', '2007-01-11 11:34:23');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000042, 10000131, '2007-01-11 13:28:08', 1, '', 'disallow_cancel', 'D M tip 2', 'Shiko kartelen', 'Dr L.Mlloja', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '12:08:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-11 13:28:08 = Ermal Dibra\nAdmitted in ward 2007-01- 13:28:39 Ermal Dibra\nView 2007-01-11 13:28:51 = Ermal Dibra', 'Ermal Dibra', '2007-01-17 12:09:12', 'Ermal Dibra', '2007-01-11 13:28:08');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000043, 10000126, '2007-01-11 13:38:25', 1, '', 'disallow_cancel', 'Pyelonefrit chronik', 'Shiko kartelen', 'Dr A .Agolli', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 12, 0, 0, 0, 0, 0, '', '', 1, '2007-01-20', '08:36:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-11 13:38:25 = Ermal Dibra\nAdmitted in ward 2007-01- 13:38:52 Ermal Dibra\nView 2007-01-11 13:39:02 = Ermal Dibra', 'Ermal Dibra', '2007-01-20 08:38:25', 'Ermal Dibra', '2007-01-11 13:38:25');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000044, 10000130, '2007-01-11 13:46:24', 1, '', 'disallow_cancel', 'Semundje arterjeve koronare', 'Shiko kartelen', 'Dr Semiha Pirani', '', '', 'S', 'white', 0, 0, '0', '0', 0, '0', '0', 0, 0, '', 3, 5, 0, 0, 0, 0, 0, '', '', 1, '2007-01-25', '10:20:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-11 13:46:24 = Ermal Dibra\nView 2007-01-11 13:47:22 = Ermal Dibra\nView 2007-01-11 13:47:22 = Ermal Dibra\nView 2007-01-11 13:47:24 = Ermal Dibra\nAdmitted in ward 2007-01- 13:48:14 Ermal Dibra\nView 2007-01-11 13:48:23 = Ermal Dibra\nView 2007-01-11 13:49:45 = Ermal Dibra\nView 2007-01-11 13:52:30 = Ermal Dibra', 'Ermal Dibra', '2007-01-26 10:21:20', 'Ermal Dibra', '2007-01-11 13:46:24');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000045, 10000129, '2007-01-11 14:03:52', 1, '', 'disallow_cancel', 'KMP  e dilatuar', 'Shiko kartelen', 'Dr N.Kasemi', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-22', '11:28:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-11 14:03:52 = Ermal Dibra\nAdmitted in ward 2007-01- 14:04:19 Ermal Dibra\nView 2007-01-11 14:04:26 = Ermal Dibra', 'Ermal Dibra', '2007-01-22 11:29:22', 'Ermal Dibra', '2007-01-11 14:03:52');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000046, 10000128, '2007-01-11 14:14:03', 1, '', 'disallow_cancel', 'Leucemia mieloide chronike', 'Shiko kartelen', 'Dr E Kraja', '', '', 'Shtrim i  planifikuar', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-12', '10:27:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-11 14:14:03 = Ermal Dibra\nAdmitted in ward 2007-01- 14:14:19 Ermal Dibra\nView 2007-01-11 14:14:24 = Ermal Dibra', 'Ermal Dibra', '2007-01-12 10:28:43', 'Ermal Dibra', '2007-01-11 14:14:03');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000047, 10000127, '2007-01-11 14:18:37', 1, '', 'disallow_cancel', 'Cardiopatia e dilatuar', 'Shiko kartelen', 'Dr Semiha Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 9, 0, 0, 0, 0, 0, '', '', 1, '2007-01-20', '10:23:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-11 14:18:37 = Ermal Dibra\nAdmitted in ward 2007-01- 14:20:32 Ermal Dibra\nView 2007-01-11 14:20:41 = Ermal Dibra', 'Ermal Dibra', '2007-01-20 10:24:35', 'Ermal Dibra', '2007-01-11 14:18:37');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000048, 10000125, '2007-01-11 14:27:24', 1, '', 'disallow_cancel', 'SAK angor i paqendrueshem', 'Shiko kartelen', 'Dr Edi Smajlaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 2, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-11 14:27:24 = Ermal Dibra\nAdmitted in ward 2007-01- 14:27:41 Ermal Dibra\nView 2007-01-11 14:27:46 = Ermal Dibra\nView 2007-01-18 08:16:27 = Ardiana Dervishi\nView 2007-01-18 08:16:43 = Ardiana Dervishi\nView 2007-01-19 12:18:10 = Ardiana Dervishi\nView 2007-01-19 12:18:20 = Ardiana Dervishi', 'Ermal Dibra', '2007-01-19 12:18:20', 'Ermal Dibra', '2007-01-11 14:27:24');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000049, 10000116, '2007-01-12 08:00:39', 1, '', 'disallow_cancel', 'Ciroze Hepatike', 'Shiko kartelen', 'Dr N.Tabaku', '', '', 'Ska', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 5, 0, 0, 0, 0, 0, '', '', 1, '2007-01-15', '12:34:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-12 08:00:39 = Ermal Dibra\nView 2007-01-12 08:00:41 = Ermal Dibra\nAdmitted in ward 2007-01- 08:01:00 Ermal Dibra\nView 2007-01-12 08:01:10 = Ermal Dibra', 'Ermal Dibra', '2007-01-20 12:35:36', 'Ermal Dibra', '2007-01-12 08:00:39');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000050, 10000132, '2007-01-12 10:10:50', 1, '', 'disallow_cancel', 'Direkte', 'Shtrim', 'Dr.HKotri mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-22', '10:02:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-12 10:10:50 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:11:09 Ardiana Dervishi\nView 2007-01-12 10:11:15 = Ardiana Dervishi\nView 2007-01-12 10:14:41 = Ardiana Dervishi\nView 2007-01-12 12:45:36 = Ardiana Dervishi\nAdmitted in ward 2007-01- 08:57:41 Ardiana Dervishi\nAdmitted in ward 2007-01- 09:30:37 Ardiana Dervishi\nView 2007-01-20 08:42:55 = Ardiana Dervishi\nView 2007-01-20 08:43:24 = Ardiana Dervishi\nView 2007-01-20 10:19:46 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-22 10:02:48', 'Ardiana Dervishi', '2007-01-12 10:10:50');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000051, 10000133, '2007-01-12 10:20:29', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.H .Kotri mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-20', '09:19:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-12 10:20:29 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:20:41 Ardiana Dervishi\nView 2007-01-12 10:20:46 = Ardiana Dervishi\nView 2007-01-12 12:33:51 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:27:19 Ardiana Dervishi\nAdmitted in ward 2007-01- 11:26:48 Ardiana Dervishi\nView 2007-01-20 08:54:12 = Ardiana Dervishi\nView 2007-01-20 08:54:22 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-20 09:19:53', 'Ardiana Dervishi', '2007-01-12 10:20:29');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000052, 10000134, '2007-01-12 12:16:56', 1, '', 'disallow_cancel', 'Edeme pulmunare acute', 'Shiko kartelen', 'Dr Z Hoxha', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 3, 15, 0, 0, 0, 0, 0, '', '', 1, '2007-01-13', '09:01:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-12 12:16:56 = Ermal Dibra\nAdmitted in ward 2007-01- 12:17:27 Ermal Dibra\nView 2007-01-12 12:17:36 = Ermal Dibra', 'Ermal Dibra', '2007-01-16 09:02:54', 'Ermal Dibra', '2007-01-12 12:16:56');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000053, 10000135, '2007-01-12 12:22:27', 1, '', 'disallow_cancel', 'Susp miokardit', 'Shiko kartelen', 'Dr S Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 3, 15, 0, 0, 0, 0, 0, '', '', 1, '2007-01-22', '10:49:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-12 12:22:27 = Ermal Dibra\nAdmitted in ward 2007-01- 12:22:45 Ermal Dibra\nView 2007-01-12 12:22:52 = Ermal Dibra', 'Ermal Dibra', '2007-01-23 10:50:27', 'Ermal Dibra', '2007-01-12 12:22:27');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000054, 10000136, '2007-01-12 12:27:55', 1, '', 'disallow_cancel', 'Leucemia  lifoide', 'Shiko kartelen', 'Dr E Kraja', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 3, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '10:29:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-12 12:27:55 = Ermal Dibra\nAdmitted in ward 2007-01- 12:28:07 Ermal Dibra\nView 2007-01-12 12:28:11 = Ermal Dibra\nView 2007-01-12 14:22:30 = admin\nView 2007-01-12 14:24:04 = admin\nView 2007-01-12 14:24:52 = admin', 'Ermal Dibra', '2007-01-26 10:30:42', 'Ermal Dibra', '2007-01-12 12:27:55');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000055, 10000137, '2007-01-12 12:33:54', 1, '', 'disallow_cancel', 'Gjendje lipotemie', 'Shiko kartelen', 'Dr L Mlloja', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 16, 0, 0, 0, 0, 0, '', '', 1, '2007-01-13', '09:31:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-12 12:33:54 = Ermal Dibra\nAdmitted in ward 2007-01- 12:34:16 Ermal Dibra\nView 2007-01-12 12:34:29 = Ermal Dibra', 'Ermal Dibra', '2007-01-15 09:32:41', 'Ermal Dibra', '2007-01-12 12:33:54');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000056, 10000138, '2007-01-12 12:41:36', 1, '', 'disallow_cancel', 'SAK angor i paqendrueshem', 'Shiko kartelen', 'Dr E Smajlaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 3, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-13', '09:03:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-12 12:41:36 = Ermal Dibra\nAdmitted in ward 2007-01- 12:41:50 Ermal Dibra\nView 2007-01-12 12:41:55 = Ermal Dibra', 'Ermal Dibra', '2007-01-16 09:04:19', 'Ermal Dibra', '2007-01-12 12:41:36');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000057, 10000139, '2007-01-12 12:47:04', 1, '', 'disallow_cancel', 'Bursit acut ', 'Shiko kartelen', 'Dr A Miloti', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 3, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-31', '11:53:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-12 12:47:04 = Ermal Dibra\nAdmitted in ward 2007-01- 12:47:18 Ermal Dibra\nView 2007-01-12 12:47:23 = Ermal Dibra', 'Ermal Dibra', '2007-01-31 11:54:10', 'Ermal Dibra', '2007-01-12 12:47:04');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000058, 10000140, '2007-01-12 12:51:31', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.SDuka', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '09:27:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-12 12:51:31 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:51:55 Ardiana Dervishi\nView 2007-01-12 12:52:15 = Ardiana Dervishi\nView 2007-01-12 12:54:40 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 09:27:34', 'Ardiana Dervishi', '2007-01-12 12:51:31');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000059, 10000141, '2007-01-12 13:08:03', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Mjeku Roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 6, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '09:32:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-12 13:08:03 = Ardiana Dervishi\nAdmitted in ward 2007-01- 13:08:45 Ardiana Dervishi\nView 2007-01-12 13:09:31 = Ardiana Dervishi\nView 2007-01-12 13:12:19 = Ardiana Dervishi\nAdmitted in ward 2007-01- 13:37:38 Greta Naraci', 'Greta Naraci', '2007-01-17 09:32:04', 'Ardiana Dervishi', '2007-01-12 13:08:03');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000060, 10000098, '2007-01-13 07:40:38', 1, '', 'disallow_cancel', 'Anemia per determinim', 'Shiko kartelen', 'Dr E Kraja', '', '', 'Ska', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 3, 10, 0, 0, 0, 0, 0, '', '', 1, '2007-01-18', '13:09:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-13 07:40:38 = Ermal Dibra\nAdmitted in ward 2007-01- 07:41:10 Ermal Dibra\nView 2007-01-13 07:41:17 = Ermal Dibra', 'Ermal Dibra', '2007-01-18 13:10:41', 'Ermal Dibra', '2007-01-13 07:40:38');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000061, 10000103, '2007-01-13 07:54:01', 1, '', 'disallow_cancel', 'Gj. post. melene', 'Shiko kartelen', 'Dr Z Hoxha', '', '', 'Ska', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 4, 0, 0, 0, 0, 0, '', '', 1, '2007-01-22', '08:42:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-13 07:54:01 = Ermal Dibra\nAdmitted in ward 2007-01- 07:54:29 Ermal Dibra\nView 2007-01-13 07:54:35 = Ermal Dibra', 'Ermal Dibra', '2007-01-24 08:42:54', 'Ermal Dibra', '2007-01-13 07:54:01');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000062, 10000099, '2007-01-13 08:06:23', 1, '', 'disallow_cancel', 'U.B.Duodeni ne krize', 'Shiko kartelen', 'Dr.Z.Hoxha', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 3, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-22', '11:27:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-13 08:06:23 = Ermal Dibra\nView 2007-01-13 08:06:24 = Ermal Dibra\nAdmitted in ward 2007-01- 08:06:46 Ermal Dibra\nView 2007-01-13 08:06:57 = Ermal Dibra', 'Ermal Dibra', '2007-01-22 11:27:51', 'Ermal Dibra', '2007-01-13 08:06:23');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000063, 10000077, '2007-01-13 09:09:19', 1, '', 'disallow_cancel', 'Diabet Mellitus tip 2', 'Shiko kartelen', 'Dr L Mlloja', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-15', '12:01:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-13 09:09:19 = Ermal Dibra\nAdmitted in ward 2007-01- 09:09:41 Ermal Dibra\nView 2007-01-13 09:09:50 = Ermal Dibra\nView 2007-01-19 12:01:03 = Ermal Dibra', 'Ermal Dibra', '2007-01-19 12:02:05', 'Ermal Dibra', '2007-01-13 09:09:19');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000064, 10000115, '2007-01-13 09:17:35', 1, '', 'disallow_cancel', 'Diabet Mellitus tip 2', 'Shiko kartelen', 'Dr L Mlloja', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 3, 10, 0, 0, 0, 0, 0, '', '', 1, '2007-01-13', '09:27:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-13 09:17:35 = Ermal Dibra\nAdmitted in ward 2007-01- 09:17:50 Ermal Dibra\nView 2007-01-13 09:17:58 = Ermal Dibra', 'Ermal Dibra', '2007-01-15 09:30:08', 'Ermal Dibra', '2007-01-13 09:17:35');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000065, 10000070, '2007-01-13 09:25:34', 1, '', 'disallow_cancel', 'Diabet Mellitus tip 2', 'Shiko kartelen', 'Dr L Mlloja', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 11, 0, 0, 0, 0, 0, '', '', 1, '2007-01-20', '10:43:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-13 09:25:34 = Ermal Dibra\nAdmitted in ward 2007-01- 09:25:57 Ermal Dibra\nView 2007-01-13 09:26:13 = Ermal Dibra', 'Ermal Dibra', '2007-01-20 10:44:01', 'Ermal Dibra', '2007-01-13 09:25:34');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000066, 10000142, '2007-01-13 12:06:38', 1, '', 'disallow_cancel', 'Pyelonefriti acut sin', 'Shiko kartelen', 'Dr .A.Agolli', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 3, 6, 0, 0, 0, 0, 0, '', '', 1, '2007-01-18', '13:11:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-13 12:06:38 = Ermal Dibra\nAdmitted in ward 2007-01- 12:07:07 Ermal Dibra\nView 2007-01-13 12:07:18 = Ermal Dibra', 'Ermal Dibra', '2007-01-18 13:11:48', 'Ermal Dibra', '2007-01-13 12:06:38');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000067, 10000145, '2007-01-13 12:13:42', 1, '', 'disallow_cancel', 'Hepatomegali per determinim', 'Shiko kartelen', 'Dr.Z.Hoxha', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 4, 0, 0, 0, 0, 0, '', '', 1, '2007-01-18', '07:59:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-13 12:13:42 = Ermal Dibra\nAdmitted in ward 2007-01- 12:14:05 Ermal Dibra\nView 2007-01-13 12:14:12 = Ermal Dibra', 'Ermal Dibra', '2007-01-18 08:00:26', 'Ermal Dibra', '2007-01-13 12:13:42');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000068, 10000144, '2007-01-13 12:19:00', 1, '', 'disallow_cancel', 'D.M tip 2', 'Shiko kartelen', 'Dr.E.Nelaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 6, 0, 0, 0, 0, 0, '', '', 1, '2007-01-25', '12:30:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-13 12:19:00 = Ermal Dibra\nAdmitted in ward 2007-01- 12:19:23 Ermal Dibra\nView 2007-01-13 12:19:29 = Ermal Dibra', 'Ermal Dibra', '2007-01-25 12:30:22', 'Ermal Dibra', '2007-01-13 12:19:00');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000069, 10000143, '2007-01-13 12:35:47', 1, '', 'disallow_cancel', 'Fib.Atrial', 'Shiko kartelen', 'Dr.N.Kasemi', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 11, 0, 0, 0, 0, 0, '', '', 1, '2007-01-20', '10:45:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-13 12:35:47 = Ermal Dibra\nAdmitted in ward 2007-01- 12:36:11 Ermal Dibra\nView 2007-01-13 12:36:16 = Ermal Dibra\nView 2007-01-13 12:36:44 = Ermal Dibra', 'Ermal Dibra', '2007-01-20 10:46:05', 'Ermal Dibra', '2007-01-13 12:35:47');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000070, 10000146, '2007-01-13 12:40:10', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'DrABekteshi', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-22', '10:00:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-13 12:40:10 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:40:23 Ardiana Dervishi\nView 2007-01-13 12:40:27 = Ardiana Dervishi\nView 2007-01-13 12:43:08 = Ardiana Dervishi\nView 2007-01-22 09:56:15 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-22 10:01:04', 'Ardiana Dervishi', '2007-01-13 12:40:10');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000071, 10000147, '2007-01-13 12:45:39', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.Abekteshi mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 10, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '09:35:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-13 12:45:39 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:46:02 Ardiana Dervishi\nView 2007-01-13 12:46:19 = Ardiana Dervishi\nView 2007-01-13 12:48:17 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 09:35:13', 'Ardiana Dervishi', '2007-01-13 12:45:39');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000072, 10000148, '2007-01-13 12:51:07', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.Abekteshi mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 5, 0, 0, 0, 0, 0, '', '', 1, '2007-01-22', '10:01:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-13 12:51:07 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:51:26 Ardiana Dervishi\nView 2007-01-13 12:52:48 = Ardiana Dervishi\nView 2007-01-13 12:53:04 = Ardiana Dervishi\nView 2007-01-13 12:55:10 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-22 10:01:43', 'Ardiana Dervishi', '2007-01-13 12:51:07');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000073, 10000149, '2007-01-13 12:57:57', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.Abekteshi mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '09:34:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-13 12:57:57 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:58:11 Ardiana Dervishi\nView 2007-01-13 12:58:20 = Ardiana Dervishi\nView 2007-01-13 13:01:14 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 09:34:47', 'Ardiana Dervishi', '2007-01-13 12:57:57');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000074, 10000150, '2007-01-15 08:20:55', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.RMiloti mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-19', '09:47:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-15 08:20:55 = Ardiana Dervishi\nAdmitted in ward 2007-01- 08:26:48 Ardiana Dervishi\nView 2007-01-15 08:27:04 = Ardiana Dervishi\nView 2007-01-15 08:28:50 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:27:04 Ardiana Dervishi\nView 2007-01-17 11:58:50 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:47:24', 'Ardiana Dervishi', '2007-01-15 08:20:55');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000075, 10000151, '2007-01-15 08:31:25', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.MShpori', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 10, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '09:35:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-15 08:31:25 = Ardiana Dervishi\nAdmitted in ward 2007-01- 08:32:03 Ardiana Dervishi\nView 2007-01-15 08:32:17 = Ardiana Dervishi\nView 2007-01-15 08:36:36 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 09:35:45', 'Ardiana Dervishi', '2007-01-15 08:31:25');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000076, 10000163, '2007-01-15 11:18:31', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.MShpori', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 11, 0, 0, 0, 0, 0, '', '', 1, '2007-01-19', '11:27:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-15 11:18:31 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:19:21 Ardiana Dervishi\nView 2007-01-15 11:19:31 = Ardiana Dervishi\nView 2007-01-15 11:23:08 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 11:27:44', 'Ardiana Dervishi', '2007-01-15 11:18:31');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000077, 10000165, '2007-01-15 11:29:04', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'DrMShpori', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '10:17:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-15 11:29:04 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:33:09 Ardiana Dervishi\nView 2007-01-15 11:33:26 = Ardiana Dervishi\nView 2007-01-15 11:35:33 = Ardiana Dervishi\nView 2007-01-26 10:15:35 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 10:17:30', 'Ardiana Dervishi', '2007-01-15 11:29:04');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000078, 10000167, '2007-01-15 11:38:15', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'DrMShpori', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 4, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '10:05:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-15 11:38:15 = Ardiana Dervishi\nView 2007-01-15 11:42:01 = Ardiana Dervishi\nView 2007-01-15 11:44:12 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:08:13 Ardiana Dervishi\nView 2007-01-15 12:08:38 = Ardiana Dervishi\nView 2007-01-26 10:04:07 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 10:05:50', 'Ardiana Dervishi', '2007-01-15 11:38:15');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000079, 10000166, '2007-01-16 07:32:20', 1, '', 'disallow_cancel', 'Pyelonefrit acut sin', 'Shiko kartelen', 'Dr .A.Agolli', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-17', '12:26:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-16 07:32:20 = Ermal Dibra\nAdmitted in ward 2007-01- 07:32:46 Ermal Dibra\nView 2007-01-16 07:32:53 = Ermal Dibra', 'Ermal Dibra', '2007-01-17 12:28:05', 'Ermal Dibra', '2007-01-16 07:32:20');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000080, 10000164, '2007-01-16 07:39:02', 1, '', 'disallow_cancel', 'Colupatia per determinim.', 'Shiko kartelen', 'Dr N.Tabaku', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 3, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-22', '11:29:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-16 07:39:02 = Ermal Dibra\nAdmitted in ward 2007-01- 07:39:22 Ermal Dibra\nView 2007-01-16 07:39:31 = Ermal Dibra', 'Ermal Dibra', '2007-01-22 11:30:13', 'Ermal Dibra', '2007-01-16 07:39:02');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000081, 10000157, '2007-01-16 07:44:04', 1, '', 'disallow_cancel', 'U.B.Duodeni ne krize', 'Shiko kartelen', 'Dr.Z.Hoxha', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-25', '11:01:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-16 07:44:04 = Ermal Dibra\nAdmitted in ward 2007-01- 07:44:55 Ermal Dibra\nView 2007-01-16 07:45:03 = Ermal Dibra', 'Ermal Dibra', '2007-01-25 11:01:51', 'Ermal Dibra', '2007-01-16 07:44:04');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000082, 10000169, '2007-01-16 07:52:43', 1, '', 'disallow_cancel', 'SAK.angina pektoris e paqendrueshme.HTA', 'Shiko kartelen', 'Dr.S.Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 5, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '10:25:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-16 07:52:43 = Ermal Dibra\nAdmitted in ward 2007-01- 07:52:59 Ermal Dibra\nView 2007-01-16 07:53:12 = Ermal Dibra', 'Ermal Dibra', '2007-01-26 10:26:24', 'Ermal Dibra', '2007-01-16 07:52:43');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000083, 10000182, '2007-01-16 12:28:47', 1, '', 'disallow_cancel', 'Cirroze hepatike', 'Shiko kartelen', 'Dr.Z.Hoxha', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 3, 10, 0, 0, 0, 0, 0, '', '', 1, '2007-01-24', '08:54:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-16 12:28:47 = Ermal Dibra\nAdmitted in ward 2007-01- 12:29:13 Ermal Dibra\nView 2007-01-16 12:29:22 = Ermal Dibra', 'Ermal Dibra', '2007-01-24 08:55:02', 'Ermal Dibra', '2007-01-16 12:28:47');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000084, 10000190, '2007-01-16 12:38:11', 1, '', 'disallow_cancel', 'Cardiopatia e dilatuar', 'Shiko kartelen', 'Dr.S.Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 3, 4, 0, 0, 0, 0, 0, '', '', 1, '2007-01-25', '13:18:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-16 12:38:11 = Ermal Dibra\nAdmitted in ward 2007-01- 12:38:25 Ermal Dibra\nView 2007-01-16 12:38:34 = Ermal Dibra\nView 2007-01-25 13:16:28 = Ermal Dibra', 'Ermal Dibra', '2007-01-25 13:19:22', 'Ermal Dibra', '2007-01-16 12:38:11');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000085, 10000191, '2007-01-16 12:56:02', 1, '', 'disallow_cancel', 'Insuf. kardiake', 'Shiko kartelen', 'Dr.A.Fishta', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-25', '11:25:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-16 12:56:02 = Ermal Dibra\nAdmitted in ward 2007-01- 12:56:20 Ermal Dibra\nView 2007-01-16 12:56:26 = Ermal Dibra', 'Ermal Dibra', '2007-01-27 11:26:08', 'Ermal Dibra', '2007-01-16 12:56:02');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000086, 10000180, '2007-01-16 13:01:58', 1, '', 'disallow_cancel', 'Pyelonefriti acut sin', 'Shiko kartelen', 'Dr .A.Agolli', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 10, 0, 0, 0, 0, 0, '', '', 1, '2007-01-20', '08:39:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-16 13:01:58 = Ermal Dibra\nAdmitted in ward 2007-01- 13:02:21 Ermal Dibra\nView 2007-01-16 13:02:31 = Ermal Dibra', 'Ermal Dibra', '2007-01-20 08:41:10', 'Ermal Dibra', '2007-01-16 13:01:58');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000087, 10000188, '2007-01-16 13:06:51', 1, '', 'disallow_cancel', 'Gj. P.PAnkreatitis acut', 'Shiko kartelen', 'Dr N.Tabaku', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-22', '11:32:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-16 13:06:51 = Ermal Dibra\nAdmitted in ward 2007-01- 13:07:14 Ermal Dibra\nView 2007-01-16 13:07:27 = Ermal Dibra', 'Ermal Dibra', '2007-01-22 11:32:53', 'Ermal Dibra', '2007-01-16 13:06:51');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000088, 10000181, '2007-01-17 07:38:51', 1, '', 'disallow_cancel', 'PNCH atrofik dex.Status postnefroktomia sin.', 'Shiko kartelen', 'Dr.T.Mali', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 5, 0, 0, 0, 0, 0, '', '', 1, '2007-01-19', '08:41:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-17 07:38:51 = Ermal Dibra\nAdmitted in ward 2007-01- 07:39:12 Ermal Dibra\nView 2007-01-17 07:39:20 = Ermal Dibra\nView 2007-01-29 12:00:53 = Ardiana Dervishi', 'Ermal Dibra', '2007-01-29 12:00:53', 'Ermal Dibra', '2007-01-17 07:38:51');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000089, 10000187, '2007-01-17 07:44:51', 1, '', 'disallow_cancel', 'D.M.tip2', 'Shiko kartelen', 'Dr.E.Nelaj', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 4, 0, 0, 0, 0, 0, '', '', 1, '2007-01-25', '10:57:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-17 07:44:51 = Ermal Dibra\nAdmitted in ward 2007-01- 07:45:05 Ermal Dibra\nView 2007-01-17 07:45:11 = Ermal Dibra', 'Ermal Dibra', '2007-01-25 10:58:36', 'Ermal Dibra', '2007-01-17 07:44:51');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000090, 10000173, '2007-01-17 07:52:05', 1, '', 'disallow_cancel', 'Gj.Hipo tensive', 'Shiko kartelen', 'Dr.S.Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 15, 0, 0, 0, 0, 0, '', '', 1, '2007-01-23', '08:11:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-17 07:52:05 = Ermal Dibra\nAdmitted in ward 2007-01- 07:52:30 Ermal Dibra\nView 2007-01-17 07:52:39 = Ermal Dibra', 'Ermal Dibra', '2007-01-24 08:12:03', 'Ermal Dibra', '2007-01-17 07:52:05');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000091, 10000172, '2007-01-17 08:13:45', 1, '', 'disallow_cancel', 'Colika renale', 'Shiko kartelen', 'Dr .A.Agolli', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', '0', 1, '0', '0', 0, 0, '', 3, 13, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-17 08:13:45 = Ermal Dibra\nView 2007-01-17 08:13:46 = Ermal Dibra\nAdmitted in ward 2007-01- 08:14:14 Ermal Dibra\nView 2007-01-17 08:14:24 = Ermal Dibra', 'Ermal Dibra', '2007-01-17 08:14:24', 'Ermal Dibra', '2007-01-17 08:13:45');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000092, 10000192, '2007-01-17 08:18:26', 1, '', 'disallow_cancel', 'Infeksion i vijave urinare', 'Shiko kartelen', 'Dr .A.Agolli', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 12, 0, 0, 0, 0, 0, '', '', 1, '2007-01-24', '10:46:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-17 08:18:26 = Ermal Dibra\nAdmitted in ward 2007-01- 08:18:51 Ermal Dibra\nView 2007-01-17 08:18:59 = Ermal Dibra', 'Ermal Dibra', '2007-01-24 10:46:54', 'Ermal Dibra', '2007-01-17 08:18:26');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000093, 10000194, '2007-01-17 09:28:02', 1, '', 'disallow_cancel', 'SAK.Cardiopatia e dilatuar ishemike', 'Shiko kartelen', 'Dr.E.Smajlaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-29', '13:16:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-17 09:28:02 = Ermal Dibra\nAdmitted in ward 2007-01- 09:28:37 Ermal Dibra\nView 2007-01-17 09:28:42 = Ermal Dibra', 'Ermal Dibra', '2007-01-29 13:16:28', 'Ermal Dibra', '2007-01-17 09:28:02');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000094, 10000197, '2007-01-17 09:40:54', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.AShala', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 4, 0, 0, 0, 0, 0, '', '', 1, '2007-01-23', '12:29:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-17 09:40:54 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:41:02 Ardiana Dervishi\nView 2007-01-17 09:41:05 = Ardiana Dervishi\nView 2007-01-17 09:58:40 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:40:05 Ardiana Dervishi\nView 2007-01-22 09:33:40 = Ardiana Dervishi\nView 2007-01-22 09:33:48 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:34:20 Ardiana Dervishi\nView 2007-01-23 09:13:02 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 12:30:00', 'Ardiana Dervishi', '2007-01-17 09:40:54');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000095, 10000211, '2007-01-17 11:02:25', 1, '', 'disallow_cancel', 'Krize hipertensive', 'Shiko kartelen', 'Dr.E.Smajlaj', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-22', '11:28:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-17 11:02:25 = Ermal Dibra\nAdmitted in ward 2007-01- 11:08:46 Ermal Dibra\nView 2007-01-17 11:08:53 = Ermal Dibra', 'Ermal Dibra', '2007-01-22 11:28:34', 'Ermal Dibra', '2007-01-17 11:02:25');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000096, 10000196, '2007-01-17 11:13:21', 1, '', 'disallow_cancel', 'Edeme pulmunare acute', 'Shiko kartelen', 'Dr.E.Smajlaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 6, 0, 0, 0, 0, 0, '', '', 1, '2007-01-25', '11:02:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-17 11:13:21 = Ermal Dibra\nAdmitted in ward 2007-01- 11:13:39 Ermal Dibra\nView 2007-01-17 11:13:44 = Ermal Dibra', 'Ermal Dibra', '2007-01-25 11:02:40', 'Ermal Dibra', '2007-01-17 11:13:21');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000097, 10000204, '2007-01-17 11:17:56', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.AShala', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-19', '09:47:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-17 11:17:56 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:18:07 Ardiana Dervishi\nView 2007-01-17 11:18:10 = Ardiana Dervishi\nView 2007-01-17 11:20:11 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:47:51', 'Ardiana Dervishi', '2007-01-17 11:17:56');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000098, 10000183, '2007-01-17 11:19:18', 1, '', 'disallow_cancel', 'Cholecistik calculoz', 'Shiko kartelen', 'Dr.Z.Hoxha', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 13, 0, 0, 0, 0, 0, '', '', 1, '2007-01-24', '08:55:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-17 11:19:18 = Ermal Dibra\nAdmitted in ward 2007-01- 11:19:51 Ermal Dibra\nView 2007-01-17 11:20:13 = Ermal Dibra', 'Ermal Dibra', '2007-01-24 08:56:21', 'Ermal Dibra', '2007-01-17 11:19:18');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000099, 10000208, '2007-01-17 11:21:52', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 4, 0, 0, 0, 0, 0, '', '', 1, '2007-01-19', '09:52:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-17 11:21:52 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:22:06 Ardiana Dervishi\nView 2007-01-17 11:22:13 = Ardiana Dervishi\nView 2007-01-17 11:24:31 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:52:27', 'Ardiana Dervishi', '2007-01-17 11:21:52');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000100, 10000176, '2007-01-17 11:25:48', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Mjeku Roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 10, 0, 0, 0, 0, 0, '', '', 1, '2007-01-20', '11:47:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-17 11:25:48 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:34:44 Ardiana Dervishi\nView 2007-01-17 11:34:56 = Ardiana Dervishi\nView 2007-01-17 11:36:19 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-20 11:47:33', 'Ardiana Dervishi', '2007-01-17 11:25:48');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000101, 10000212, '2007-01-17 11:34:07', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 10, 0, 0, 0, 0, 0, '', '', 1, '2007-01-19', '09:50:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-17 11:34:07 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:36:40 Ardiana Dervishi\nView 2007-01-17 11:36:46 = Ardiana Dervishi\nView 2007-01-17 11:41:33 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:50:10', 'Ardiana Dervishi', '2007-01-17 11:34:07');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000102, 10000195, '2007-01-17 11:41:39', 1, '', 'disallow_cancel', 'I.V.U.  HTA', 'Shiko kartelen', 'Dr .A.Agolli', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 13, 0, 0, 0, 0, 0, '', '', 1, '2007-01-25', '11:03:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-17 11:41:39 = Ermal Dibra\nAdmitted in ward 2007-01- 11:42:07 Ermal Dibra\nView 2007-01-17 11:42:14 = Ermal Dibra', 'Ermal Dibra', '2007-01-25 11:03:23', 'Ermal Dibra', '2007-01-17 11:41:39');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000103, 10000214, '2007-01-17 11:45:31', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr.SDuka', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '10:19:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-17 11:45:31 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:45:44 Ardiana Dervishi\nView 2007-01-17 11:45:49 = Ardiana Dervishi\nView 2007-01-17 11:47:46 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 10:19:26', 'Ardiana Dervishi', '2007-01-17 11:45:31');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000104, 10000215, '2007-01-17 11:49:54', 1, '', 'disallow_cancel', 'Hepatoma', 'Shiko kartelen', 'Dr A Miloti', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 14, 0, 0, 0, 0, 0, '', '', 1, '2007-01-22', '11:30:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-17 11:49:54 = Ermal Dibra\nAdmitted in ward 2007-01- 11:50:29 Ermal Dibra\nView 2007-01-17 11:50:37 = Ermal Dibra', 'Ermal Dibra', '2007-01-22 11:31:13', 'Ermal Dibra', '2007-01-17 11:49:54');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000105, 10000216, '2007-01-17 11:51:20', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.MShpori', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 4, 0, 0, 0, 0, 0, '', '', 1, '2007-01-24', '11:08:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-17 11:51:20 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:51:30 Ardiana Dervishi\nView 2007-01-17 11:51:34 = Ardiana Dervishi\nView 2007-01-17 11:53:04 = Ardiana Dervishi\nView 2007-01-17 11:55:27 = Ardiana Dervishi\nView 2007-01-17 11:55:44 = Ardiana Dervishi\nView 2007-01-24 11:07:23 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:08:33', 'Ardiana Dervishi', '2007-01-17 11:51:20');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000106, 10000213, '2007-01-17 12:33:40', 1, '', 'disallow_cancel', 'SIZ stenoze e zgjatur', 'Trinitrin1tab,Analgin1amp,Diazepam 1amp', 'Dr.N.Suma', '', '', 'Te shtrohet ne patollogji', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-25', '12:27:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-17 12:33:40 = Ermal Dibra\nView 2007-01-17 12:34:46 = Ermal Dibra\nAdmitted in ward 2007-01- 12:35:09 Ermal Dibra\nView 2007-01-17 12:35:17 = Ermal Dibra', 'Ermal Dibra', '2007-01-25 12:28:07', 'Ermal Dibra', '2007-01-17 12:33:40');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000107, 10000219, '2007-01-18 07:33:49', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'DrRMiloti', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-19', '09:48:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-18 07:33:49 = Ardiana Dervishi\nAdmitted in ward 2007-01- 07:34:08 Ardiana Dervishi\nView 2007-01-18 07:34:14 = Ardiana Dervishi\nView 2007-01-18 07:36:28 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:48:10', 'Ardiana Dervishi', '2007-01-18 07:33:49');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000108, 10000220, '2007-01-18 07:40:03', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.RMiloti', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-24', '11:13:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-18 07:40:03 = Ardiana Dervishi\nAdmitted in ward 2007-01- 07:40:20 Ardiana Dervishi\nView 2007-01-18 07:40:24 = Ardiana Dervishi\nView 2007-01-18 07:47:22 = Ardiana Dervishi\nView 2007-01-20 10:18:29 = Ardiana Dervishi\nView 2007-01-20 10:18:48 = Ardiana Dervishi\nView 2007-01-20 10:55:25 = Ardiana Dervishi\nView 2007-01-20 10:55:33 = Ardiana Dervishi\nView 2007-01-23 11:04:36 = Ardiana Dervishi\nView 2007-01-23 19:37:44 = Greta Naraci\nView 2007-01-24 11:12:48 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:14:20', 'Ardiana Dervishi', '2007-01-18 07:40:03');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000109, 10000221, '2007-01-18 08:02:25', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.SDuka', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '10:20:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-18 08:02:25 = Ardiana Dervishi\nView 2007-01-18 08:02:28 = Ardiana Dervishi\nAdmitted in ward 2007-01- 08:02:56 Ardiana Dervishi\nView 2007-01-18 08:03:07 = Ardiana Dervishi\nView 2007-01-18 08:05:06 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 10:20:32', 'Ardiana Dervishi', '2007-01-18 08:02:25');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000110, 10000218, '2007-01-18 08:02:33', 1, '', 'disallow_cancel', 'Fib .atrial', 'Shiko kartelen', 'Dr.E.Smajlaj', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 12, 0, 0, 0, 0, 0, '', '', 1, '2007-01-22', '07:46:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-18 08:02:33 = Ermal Dibra\nAdmitted in ward 2007-01- 08:02:53 Ermal Dibra\nView 2007-01-18 08:03:02 = Ermal Dibra', 'Ermal Dibra', '2007-01-23 07:46:47', 'Ermal Dibra', '2007-01-18 08:02:33');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000111, 10000222, '2007-01-18 08:08:41', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.SDuka', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-19', '09:54:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-18 08:08:41 = Ardiana Dervishi\nAdmitted in ward 2007-01- 08:08:58 Ardiana Dervishi\nView 2007-01-18 08:09:08 = Ardiana Dervishi\nView 2007-01-18 08:11:18 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:54:50', 'Ardiana Dervishi', '2007-01-18 08:08:41');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000112, 10000207, '2007-01-18 08:12:40', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-19', '09:49:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-18 08:12:40 = Ardiana Dervishi\nAdmitted in ward 2007-01- 08:13:15 Ardiana Dervishi\nView 2007-01-18 08:13:20 = Ardiana Dervishi\nView 2007-01-18 08:15:26 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:49:17', 'Ardiana Dervishi', '2007-01-18 08:12:40');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000113, 10000223, '2007-01-18 12:48:19', 1, '', 'disallow_cancel', 'D.M tip 2', 'Shiko kartelen', 'Dr.E.Nelaj', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 14, 0, 0, 0, 0, 0, '', '', 1, '2007-01-25', '10:59:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-18 12:48:19 = Ermal Dibra\nAdmitted in ward 2007-01- 12:49:14 Ermal Dibra\nView 2007-01-18 12:49:45 = Ermal Dibra', 'Ermal Dibra', '2007-01-25 10:59:46', 'Ermal Dibra', '2007-01-18 12:48:19');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000114, 10000134, '2007-01-18 12:57:19', 1, '', 'disallow_cancel', 'SAK.angina pektoris e paqendrueshme.HTA', 'Shiko kartelen', 'Dr.S.Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 16, 0, 0, 0, 0, 0, '', '', 1, '2007-01-27', '09:53:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-18 12:57:19 = Ermal Dibra\nAdmitted in ward 2007-01- 12:58:20 Ermal Dibra\nView 2007-01-18 12:58:26 = Ermal Dibra', 'Ermal Dibra', '2007-01-27 09:53:59', 'Ermal Dibra', '2007-01-18 12:57:19');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000115, 10000224, '2007-01-18 13:04:00', 1, '', 'disallow_cancel', 'Anemia perdeterminim', 'Shiko kartelen', 'dr.E.Kraja', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-24', '12:58:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-18 13:04:00 = Ermal Dibra\nAdmitted in ward 2007-01- 13:04:27 Ermal Dibra\nView 2007-01-18 13:04:35 = Ermal Dibra\nView 2007-01-19 11:50:31 = Ermal Dibra\nView 2007-01-24 12:56:15 = Ermal Dibra', 'Ermal Dibra', '2007-01-24 12:58:54', 'Ermal Dibra', '2007-01-18 13:04:00');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000116, 10000228, '2007-01-19 08:08:29', 1, '', 'disallow_cancel', 'Lumbago acute', 'Shiko kartelen', 'Dr A Miloti', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-31', '11:55:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 08:08:29 = Ermal Dibra\nAdmitted in ward 2007-01- 08:09:07 Ermal Dibra\nView 2007-01-19 08:09:15 = Ermal Dibra', 'Ermal Dibra', '2007-01-31 11:55:46', 'Ermal Dibra', '2007-01-19 08:08:29');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000117, 10000210, '2007-01-19 08:41:10', 1, '', 'disallow_cancel', 'Kolagenoze.Poliarthritis', 'Shiko kartelen', 'Dr A Miloti', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 3, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-31', '11:50:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 08:41:10 = Ermal Dibra\nAdmitted in ward 2007-01- 08:41:34 Ermal Dibra\nView 2007-01-19 08:41:40 = Ermal Dibra\nView 2007-01-23 11:06:12 = Ardiana Dervishi\nView 2007-01-23 11:06:24 = Ardiana Dervishi', 'Ermal Dibra', '2007-01-31 11:50:35', 'Ermal Dibra', '2007-01-19 08:41:10');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000118, 10000199, '2007-01-19 09:00:30', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.MShpori', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 5, 0, 0, 0, 0, 0, '', '', 1, '2007-01-20', '11:49:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 09:00:30 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:00:43 Ardiana Dervishi\nView 2007-01-19 09:00:49 = Ardiana Dervishi\nView 2007-01-19 09:02:46 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-20 11:49:30', 'Ardiana Dervishi', '2007-01-19 09:00:30');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000119, 10000087, '2007-01-19 09:05:32', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '14:19:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 09:05:32 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:05:56 Ardiana Dervishi\nView 2007-01-19 09:06:28 = Ardiana Dervishi\nView 2007-01-19 09:09:50 = Ardiana Dervishi\nReplaced ward 2007-01- 10:08:39 Ardiana Dervishi\nAdmitted in ward 2007-01- 14:19:00 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:19:18', 'Ardiana Dervishi', '2007-01-19 09:05:32');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000120, 10000230, '2007-01-19 09:11:44', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.H .Kotri mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-23', '13:16:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 09:11:44 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:12:03 Ardiana Dervishi\nView 2007-01-19 09:12:30 = Ardiana Dervishi\nView 2007-01-19 09:12:42 = Ardiana Dervishi\nView 2007-01-19 09:15:14 = Ardiana Dervishi\nView 2007-01-24 09:05:45 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 13:16:52', 'Ardiana Dervishi', '2007-01-19 09:11:44');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000121, 10000237, '2007-01-19 09:16:26', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 10, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '10:21:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 09:16:26 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:16:42 Ardiana Dervishi\nView 2007-01-19 09:16:48 = Ardiana Dervishi\nView 2007-01-19 09:19:21 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 10:21:30', 'Ardiana Dervishi', '2007-01-19 09:16:26');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000122, 10000079, '2007-01-19 09:20:29', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.RMiloti', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '14:19:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 09:20:29 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:20:43 Ardiana Dervishi\nView 2007-01-19 09:20:48 = Ardiana Dervishi\nView 2007-01-19 09:23:30 = Ardiana Dervishi\nReplaced ward 2007-01- 10:02:13 Ardiana Dervishi\nView 2007-01-26 14:17:43 = Ermal Dibra\nAdmitted in ward 2007-01- 14:19:35 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:19:55', 'Ardiana Dervishi', '2007-01-19 09:20:29');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000123, 10000238, '2007-01-19 09:26:25', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 6, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '10:13:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 09:26:25 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:26:36 Ardiana Dervishi\nView 2007-01-19 09:26:41 = Ardiana Dervishi\nView 2007-01-19 09:28:25 = Ardiana Dervishi\nView 2007-01-26 10:13:20 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 10:13:56', 'Ardiana Dervishi', '2007-01-19 09:26:25');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000124, 10000241, '2007-01-19 09:32:38', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'DrABekteshi', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-20', '09:50:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 09:32:38 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:32:51 Ardiana Dervishi\nView 2007-01-19 09:32:58 = Ardiana Dervishi\nView 2007-01-19 09:35:35 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-20 09:52:00', 'Ardiana Dervishi', '2007-01-19 09:32:38');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000125, 10000242, '2007-01-19 09:39:07', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.H .Kotri mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-20', '11:50:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 09:39:07 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:39:43 Ardiana Dervishi\nView 2007-01-19 09:39:50 = Ardiana Dervishi\nView 2007-01-19 09:41:48 = Ardiana Dervishi\nView 2007-01-20 11:49:43 = Ardiana Dervishi\nView 2007-01-20 11:49:52 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-20 11:50:05', 'Ardiana Dervishi', '2007-01-19 09:39:07');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000126, 10000243, '2007-01-19 09:44:17', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.H.Kotri', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-24', '11:12:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 09:44:17 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:44:28 Ardiana Dervishi\nView 2007-01-19 09:44:39 = Ardiana Dervishi\nView 2007-01-19 09:46:51 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:46:05 Ardiana Dervishi\nView 2007-01-24 11:11:45 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:12:38', 'Ardiana Dervishi', '2007-01-19 09:44:17');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000127, 10000246, '2007-01-19 10:01:31', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 12, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '10:23:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 10:01:31 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:01:50 Ardiana Dervishi\nView 2007-01-19 10:01:56 = Ardiana Dervishi\nView 2007-01-19 10:04:05 = Ardiana Dervishi\nView 2007-01-26 10:22:15 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 10:23:46', 'Ardiana Dervishi', '2007-01-19 10:01:31');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000128, 10000200, '2007-01-19 10:05:15', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.H .Kotri mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 13, 0, 0, 0, 0, 0, '', '', 1, '2007-01-30', '13:00:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 10:05:15 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:05:29 Ardiana Dervishi\nView 2007-01-19 10:05:38 = Ardiana Dervishi\nView 2007-01-19 10:08:42 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 13:00:05', 'Ardiana Dervishi', '2007-01-19 10:05:15');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000129, 10000247, '2007-01-19 10:11:23', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.S Kallogjeri', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 14, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '10:24:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 10:11:23 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:11:43 Ardiana Dervishi\nView 2007-01-19 10:11:51 = Ardiana Dervishi\nView 2007-01-19 10:14:57 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 10:24:19', 'Ardiana Dervishi', '2007-01-19 10:11:23');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000130, 10000248, '2007-01-19 10:17:48', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.GNaraÃ§i', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 14, 0, 0, 0, 0, 0, '', '', 1, '2007-01-31', '09:56:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 10:17:48 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:18:08 Ardiana Dervishi\nView 2007-01-19 10:18:34 = Ardiana Dervishi\nView 2007-01-19 10:23:02 = Ardiana Dervishi\nView 2007-01-26 09:51:42 = Ardiana Dervishi\nView 2007-01-31 09:54:20 = Ardiana Dervishi\nView 2007-01-31 09:54:26 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 09:56:30', 'Ardiana Dervishi', '2007-01-19 10:17:48');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000131, 10000240, '2007-01-19 11:32:17', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.SDuka', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-22', '10:02:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 11:32:17 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:32:31 Ardiana Dervishi\nView 2007-01-19 11:32:36 = Ardiana Dervishi\nView 2007-01-19 11:36:02 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:44:29 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-22 10:03:46', 'Ardiana Dervishi', '2007-01-19 11:32:17');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000132, 10000250, '2007-01-19 12:25:48', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.SDuka', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 5, 0, 56, 0, 0, 0, '', '', 1, '2007-01-22', '11:24:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 12:25:48 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:29:05 Ardiana Dervishi\nView 2007-01-19 12:29:31 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:36:52 Ardiana Dervishi\nView 2007-01-20 09:23:06 = Ardiana Dervishi\nView 2007-01-20 09:23:12 = Ardiana Dervishi\nView 2007-01-20 09:40:47 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:41:17 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-22 11:24:33', 'Ardiana Dervishi', '2007-01-19 12:25:48');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000133, 10000245, '2007-01-19 13:01:27', 1, '', 'disallow_cancel', 'Sindrom shpatull dore', 'Shiko kartelen', 'Dr A Miloti', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 14, 0, 0, 0, 0, 0, '', '', 1, '2007-01-20', '13:12:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 13:01:27 = Ermal Dibra\nView 2007-01-19 13:03:43 = Ermal Dibra\nView 2007-01-20 13:06:14 = Ermal Dibra\nView 2007-01-20 13:07:55 = Ermal Dibra\n Update: 2007-01-20 13:08:05 = Ermal Dibra\nAdmitted in ward 2007-01- 13:09:17 Ermal Dibra', 'Ermal Dibra', '2007-01-20 13:12:59', 'Ermal Dibra', '2007-01-19 13:01:27');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000134, 10000234, '2007-01-19 13:06:28', 1, '', 'disallow_cancel', 'Cardiopatia e dilatuar', 'Shiko kartelen', 'Dr.E.Smajlaj', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 10, 0, 0, 0, 0, 0, '', '', 1, '2007-01-24', '09:50:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 13:06:28 = Ermal Dibra\nAdmitted in ward 2007-01- 13:06:46 Ermal Dibra\nView 2007-01-19 13:06:53 = Ermal Dibra', 'Ermal Dibra', '2007-01-24 09:51:32', 'Ermal Dibra', '2007-01-19 13:06:28');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000135, 10000236, '2007-01-19 13:10:45', 1, '', 'disallow_cancel', 'Cardiopatia e dilatuar', 'Shiko kartelen', 'Dr.E.Smajlaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 3, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-30', '09:22:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 13:10:45 = Ermal Dibra\nAdmitted in ward 2007-01- 13:11:17 Ermal Dibra\nView 2007-01-19 13:11:26 = Ermal Dibra', 'Ermal Dibra', '2007-01-31 09:22:53', 'Ermal Dibra', '2007-01-19 13:10:45');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000136, 10000244, '2007-01-19 13:15:43', 1, '', 'disallow_cancel', 'Lumbago acute', 'Shiko kartelen', 'Dr A Miloti', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 6, 0, 0, 0, 0, 0, '', '', 1, '2007-01-25', '11:00:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 13:15:43 = Ermal Dibra\nAdmitted in ward 2007-01- 13:16:06 Ermal Dibra\nView 2007-01-19 13:16:15 = Ermal Dibra', 'Ermal Dibra', '2007-01-25 11:00:46', 'Ermal Dibra', '2007-01-19 13:15:43');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000137, 10000235, '2007-01-19 13:21:36', 1, '', 'disallow_cancel', 'Spondialtrozis shume katshe', 'Shiko kartelen', 'Dr A Miloti', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 3, 4, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '13:39:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-19 13:21:36 = Ermal Dibra\nAdmitted in ward 2007-01- 13:22:04 Ermal Dibra\nView 2007-01-19 13:22:17 = Ermal Dibra\nView 2007-01-26 10:34:34 = Ermal Dibra', 'Ermal Dibra', '2007-01-26 13:40:02', 'Ermal Dibra', '2007-01-19 13:21:36');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000138, 10000231, '2007-01-20 07:50:35', 1, '', 'disallow_cancel', 'SAK.angina pektoris .Infarkt miokardit anterior', 'Shiko kartelen', 'Dr.S.Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 16, 0, 0, 0, 0, 0, '', '', 1, '2007-01-25', '11:30:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-20 07:50:35 = Ermal Dibra\nAdmitted in ward 2007-01- 07:50:57 Ermal Dibra\nView 2007-01-20 07:51:04 = Ermal Dibra', 'Ermal Dibra', '2007-01-27 11:31:06', 'Ermal Dibra', '2007-01-20 07:50:35');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000139, 10000249, '2007-01-20 07:57:00', 1, '', 'disallow_cancel', 'SAK.angina pektoris e paqendrueshme.HTA', 'Shiko kartelen', 'Dr.S.Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', '0', 1, '0', '0', 0, 0, '', 3, 13, 0, 0, 0, 0, 0, '', '', 1, '2007-01-25', '10:18:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-20 07:57:00 = Ermal Dibra\nAdmitted in ward 2007-01- 07:58:18 Ermal Dibra\nView 2007-01-20 07:58:27 = Ermal Dibra', 'Ermal Dibra', '2007-01-26 10:19:18', 'Ermal Dibra', '2007-01-20 07:57:00');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000140, 10000232, '2007-01-20 08:04:52', 1, '', 'disallow_cancel', 'HTA.SAK.Cardiopatia ishemike dilatuar', 'Shiko kartelen', 'Dr.S.Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', '0', 1, '0', '0', 0, 0, '', 3, 11, 0, 0, 0, 0, 0, '', '', 1, '2007-01-25', '11:18:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-20 08:04:52 = Ermal Dibra\nView 2007-01-20 08:04:54 = Ermal Dibra\nAdmitted in ward 2007-01- 08:05:16 Ermal Dibra\nView 2007-01-20 08:05:44 = Ermal Dibra\nView 2007-01-25 13:22:29 = Ermal Dibra', 'Ermal Dibra', '2007-01-27 11:19:11', 'Ermal Dibra', '2007-01-20 08:04:52');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000141, 10000256, '2007-01-20 09:27:10', 1, '', 'disallow_cancel', 'Bronchiolit difuz', 'Shiko kartelen', 'Dr.FBorilla', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '10:11:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-20 09:27:10 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:27:41 Ardiana Dervishi\nView 2007-01-20 09:27:52 = Ardiana Dervishi\nView 2007-01-20 09:30:35 = Ardiana Dervishi\nView 2007-01-26 10:11:13 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 10:11:58', 'Ardiana Dervishi', '2007-01-20 09:27:10');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000142, 10000259, '2007-01-20 09:33:54', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 10, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '10:21:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-20 09:33:54 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:34:31 Ardiana Dervishi\nView 2007-01-20 09:34:38 = Ardiana Dervishi\nView 2007-01-20 09:37:34 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 10:21:16', 'Ardiana Dervishi', '2007-01-20 09:33:54');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000143, 10000262, '2007-01-20 10:05:07', 1, '', 'disallow_cancel', 'Direkt', 'Shtrim', 'Dr/S.Duka', '', '', 'po', 'white', 0, 0, '0', '0', 2, '0', '0', 0, 0, '', 6, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-23', '12:28:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-20 10:05:07 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:08:16 Ardiana Dervishi\nAdmitted in ward 2007-01- 09:32:43 Ardiana Dervishi\nView 2007-01-23 12:26:44 = Ardiana Dervishi\nView 2007-01-23 12:28:24 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 12:29:07', 'Ardiana Dervishi', '2007-01-20 10:05:07');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000144, 10000254, '2007-01-20 10:33:54', 1, '', 'disallow_cancel', 'Direkt', 'Shiko KArtelen', 'Dr.S Kallogjeri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 12, 0, 0, 0, 0, 0, '', '', 1, '2007-01-31', '09:53:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-20 10:33:54 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:40:09 Ardiana Dervishi\nView 2007-01-20 10:40:17 = Ardiana Dervishi\nView 2007-01-20 10:43:38 = Ardiana Dervishi\nView 2007-01-26 09:44:57 = Ardiana Dervishi\nView 2007-01-30 13:03:20 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 09:53:49', 'Ardiana Dervishi', '2007-01-20 10:33:54');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000145, 10000273, '2007-01-20 11:41:25', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.RMiloti', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 6, 0, 0, 0, 0, 0, '', '', 1, '2007-01-23', '12:32:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-20 11:41:25 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:41:46 Ardiana Dervishi\nView 2007-01-20 11:41:58 = Ardiana Dervishi\nView 2007-01-20 11:43:46 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 12:32:49', 'Ardiana Dervishi', '2007-01-20 11:41:25');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000146, 10000267, '2007-01-20 12:21:04', 1, '', 'disallow_cancel', 'IAM.Angor izgjatur', 'Shiko kartelen', 'Dr.Z.Hoxha', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', '0', 1, '0', '0', 0, 0, '', 3, 15, 0, 0, 0, 0, 0, '', '', 1, '2007-01-22', '11:33:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-20 12:21:04 = Ermal Dibra\nAdmitted in ward 2007-01- 12:38:52 Ermal Dibra\nView 2007-01-20 12:39:01 = Ermal Dibra', 'Ermal Dibra', '2007-01-22 11:33:41', 'Ermal Dibra', '2007-01-20 12:21:04');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000147, 10000271, '2007-01-20 12:24:33', 1, '', 'disallow_cancel', 'SAK.angina pektoris e paqendrueshme.HTA', 'Shiko kartelen', 'Dr.S.Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', '0', 1, '0', '0', 0, 0, '', 3, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-27', '09:58:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-20 12:24:33 = Ermal Dibra\nAdmitted in ward 2007-01- 12:45:15 Ermal Dibra\nView 2007-01-20 12:45:21 = Ermal Dibra\nView 2007-01-20 12:46:02 = Ermal Dibra', 'Ermal Dibra', '2007-01-27 09:58:39', 'Ermal Dibra', '2007-01-20 12:24:33');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000148, 10000268, '2007-01-20 13:01:23', 1, '', 'disallow_cancel', 'Fib .atrial', 'Shiko kartelen', 'Dr.S.Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 9, 0, 0, 0, 0, 0, '', '', 1, '2007-01-27', '09:56:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-20 13:01:23 = Ermal Dibra\nAdmitted in ward 2007-01- 13:01:57 Ermal Dibra\nView 2007-01-20 13:02:03 = Ermal Dibra', 'Ermal Dibra', '2007-01-27 09:57:01', 'Ermal Dibra', '2007-01-20 13:01:23');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000149, 10000269, '2007-01-20 13:16:49', 1, '', 'disallow_cancel', 'Angina pectoris', 'Analgin 1amp, Diazepam 1amp', 'Dr.T.Dekovi.', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 17, 0, 0, 0, 0, 0, '', '', 1, '2007-01-29', '10:16:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-20 13:16:49 = Ermal Dibra\nAdmitted in ward 2007-01- 13:17:04 Ermal Dibra\nView 2007-01-20 13:17:10 = Ermal Dibra\nView 2007-01-20 13:17:49 = Ermal Dibra\nView 2007-01-20 13:18:10 = Ermal Dibra', 'Ermal Dibra', '2007-01-30 10:16:44', 'Ermal Dibra', '2007-01-20 13:16:49');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000150, 10000265, '2007-01-20 13:23:09', 1, '', 'disallow_cancel', 'Shok cardiogjen.Cardiopatia e dilatuar', 'Shiko kartelen', 'Dr.E.Smajlaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', '0', 1, '0', '0', 0, 0, '', 3, 17, 0, 0, 0, 0, 0, '', '', 1, '2007-01-24', '08:43:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-20 13:23:09 = Ermal Dibra\nAdmitted in ward 2007-01- 13:23:42 Ermal Dibra\nView 2007-01-20 13:23:48 = Ermal Dibra', 'Ermal Dibra', '2007-01-25 08:48:04', 'Ermal Dibra', '2007-01-20 13:23:09');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000151, 10000251, '2007-01-20 13:29:59', 1, '', 'disallow_cancel', 'Angina pectoris', 'Shiko kartelen', 'Dr.S.Pirani', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 3, 9, 0, 0, 0, 0, 0, '', '', 1, '2007-01-25', '11:28:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-20 13:29:59 = Ermal Dibra\nAdmitted in ward 2007-01- 13:30:15 Ermal Dibra\nView 2007-01-20 13:30:22 = Ermal Dibra', 'Ermal Dibra', '2007-01-27 11:28:33', 'Ermal Dibra', '2007-01-20 13:29:59');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000152, 10000274, '2007-01-20 14:21:43', 1, '', 'disallow_cancel', 'HTA.SAK.Angina pectoris', 'Shiko kartelen', 'Dr.N.Kasemi', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 5, 0, 0, 0, 0, 0, '', '', 1, '2007-01-27', '11:47:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-20 14:21:43 = Ermal Dibra\nAdmitted in ward 2007-01- 14:21:58 Ermal Dibra\nView 2007-01-20 14:22:03 = Ermal Dibra', 'Ermal Dibra', '2007-01-27 11:47:36', 'Ermal Dibra', '2007-01-20 14:21:43');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000153, 10000260, '2007-01-20 14:26:16', 1, '', 'disallow_cancel', 'Fib.Atrial', 'Shiko kartelen', 'Dr E Smajlaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 10, 0, 0, 0, 0, 0, '', '', 1, '2007-01-29', '13:11:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-20 14:26:16 = Ermal Dibra\nAdmitted in ward 2007-01- 14:26:44 Ermal Dibra\nView 2007-01-20 14:26:51 = Ermal Dibra\nView 2007-01-20 14:27:12 = Ermal Dibra', 'Ermal Dibra', '2007-01-29 13:12:00', 'Ermal Dibra', '2007-01-20 14:26:16');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000154, 10000264, '2007-01-20 14:30:45', 1, '', 'disallow_cancel', 'Nefroktomia', 'Shiko kartelen', 'Dr A Miloti', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 5, 0, 0, 0, 0, 0, '', '', 1, '2007-01-27', '11:41:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-20 14:30:45 = Ermal Dibra\nAdmitted in ward 2007-01- 14:31:03 Ermal Dibra\nView 2007-01-20 14:31:10 = Ermal Dibra\nView 2007-01-20 14:31:19 = Ermal Dibra', 'Ermal Dibra', '2007-01-27 11:42:31', 'Ermal Dibra', '2007-01-20 14:30:45');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000155, 10000263, '2007-01-20 14:35:44', 1, '', 'disallow_cancel', 'Spondialtrozis cervikaleDr', 'Shiko kartelen', 'Dr A Miloti', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 14, 0, 0, 0, 0, 0, '', '', 1, '2007-01-29', '12:14:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-20 14:35:44 = Ermal Dibra\nAdmitted in ward 2007-01- 14:36:23 Ermal Dibra\nView 2007-01-20 14:36:29 = Ermal Dibra', 'Ermal Dibra', '2007-01-29 12:15:04', 'Ermal Dibra', '2007-01-20 14:35:44');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000156, 10000261, '2007-01-20 14:40:10', 1, '', 'disallow_cancel', 'Spondialtrozis shume katshe', 'Shiko kartelen', 'Dr.A.Miloti', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 14, 0, 0, 0, 0, 0, '', '', 1, '2007-01-27', '11:49:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-20 14:40:10 = Ermal Dibra\nAdmitted in ward 2007-01- 14:40:27 Ermal Dibra\nView 2007-01-20 14:40:42 = Ermal Dibra', 'Ermal Dibra', '2007-01-27 11:50:19', 'Ermal Dibra', '2007-01-20 14:40:10');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000157, 10000275, '2007-01-22 09:48:24', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.HKotri mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 11, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '09:47:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-22 09:48:24 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:48:55 Ardiana Dervishi\nView 2007-01-22 09:49:01 = Ardiana Dervishi\nView 2007-01-22 09:51:54 = Ardiana Dervishi\nView 2007-01-31 09:45:52 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 09:48:27', 'Ardiana Dervishi', '2007-01-22 09:48:24');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000158, 10000277, '2007-01-22 11:27:46', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'DrABekteshi mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 4, 0, 0, 0, 0, 0, '', '', 1, '2007-01-24', '11:09:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-22 11:27:46 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:27:59 Ardiana Dervishi\nView 2007-01-22 11:28:04 = Ardiana Dervishi\nView 2007-01-22 11:30:03 = Ardiana Dervishi\nView 2007-01-24 11:09:01 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:10:22', 'Ardiana Dervishi', '2007-01-22 11:27:46');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000159, 10000272, '2007-01-22 11:38:29', 1, '', 'disallow_cancel', 'SAK angor i paqendrueshem', 'Shiko kartelen', 'Dr E Smajlaj', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 11, 0, 0, 0, 0, 0, '', '', 1, '2007-01-23', '11:09:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-22 11:38:29 = Ermal Dibra\nAdmitted in ward 2007-01- 11:39:30 Ermal Dibra\nView 2007-01-22 11:39:37 = Ermal Dibra', 'Ermal Dibra', '2007-01-23 11:10:27', 'Ermal Dibra', '2007-01-22 11:38:29');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000160, 10000286, '2007-01-22 13:18:30', 1, '', 'disallow_cancel', 'Fib.paracistik', 'Shiko kartelen', 'Dr S Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 3, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-22 13:18:30 = Ermal Dibra\nAdmitted in ward 2007-01- 13:18:52 Ermal Dibra\nView 2007-01-22 13:18:58 = Ermal Dibra', 'Ermal Dibra', '2007-01-22 13:18:58', 'Ermal Dibra', '2007-01-22 13:18:30');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000161, 10000288, '2007-01-22 13:23:03', 1, '', 'disallow_cancel', 'Sindrom coronar acut.', 'Shiko kartelen', 'Dr. Edi Smajlaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-22', '13:28:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-22 13:23:03 = Ermal Dibra\nAdmitted in ward 2007-01- 13:23:12 Ermal Dibra\nView 2007-01-22 13:23:17 = Ermal Dibra', 'Ermal Dibra', '2007-01-22 13:30:30', 'Ermal Dibra', '2007-01-22 13:23:03');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000162, 10000289, '2007-01-22 13:34:57', 1, '', 'disallow_cancel', 'SAK angor i paqendrueshem', 'Shiko kartelen', 'Dr.E.Smajlaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-21', '13:38:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-22 13:34:57 = Ermal Dibra\nAdmitted in ward 2007-01- 13:35:08 Ermal Dibra\nView 2007-01-22 13:35:16 = Ermal Dibra', 'Ermal Dibra', '2007-01-22 13:38:59', 'Ermal Dibra', '2007-01-22 13:34:57');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000163, 10000290, '2007-01-23 07:49:19', 1, '', 'disallow_cancel', 'D.M.tip2', 'Shiko kartelen', 'Dr.E.Nelaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 11, 0, 0, 0, 0, 0, '', '', 1, '2007-01-30', '12:56:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 07:49:19 = Ermal Dibra\nAdmitted in ward 2007-01- 07:49:42 Ermal Dibra\nView 2007-01-23 07:49:49 = Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:57:14', 'Ermal Dibra', '2007-01-23 07:49:19');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000164, 10000287, '2007-01-23 07:54:58', 1, '', 'disallow_cancel', 'Cardiopatia e dilatuar Fib atrial', 'Shiko kartelen', 'Dr.E.Smajlaj', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 11, 0, 0, 0, 0, 0, '', '', 1, '2007-01-24', '09:53:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 07:54:58 = Ermal Dibra\nAdmitted in ward 2007-01- 07:55:42 Ermal Dibra\nView 2007-01-23 07:55:57 = Ermal Dibra', 'Ermal Dibra', '2007-01-24 09:54:02', 'Ermal Dibra', '2007-01-23 07:54:58');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000165, 10000283, '2007-01-23 07:59:51', 1, '', 'disallow_cancel', 'Edeme pulmunare acute', 'Shiko kartelen', 'Dr E Smajlaj', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-25', '11:36:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 07:59:51 = Ermal Dibra\nAdmitted in ward 2007-01- 08:00:18 Ermal Dibra\nView 2007-01-23 08:00:24 = Ermal Dibra\nView 2007-01-23 08:00:25 = Ermal Dibra\nView 2007-01-23 08:00:26 = Ermal Dibra', 'Ermal Dibra', '2007-01-27 11:37:09', 'Ermal Dibra', '2007-01-23 07:59:51');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000166, 10000285, '2007-01-23 08:05:22', 1, '', 'disallow_cancel', 'Colica renale dex', 'Shiko kartelen', 'Dr.A.Agolli', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 14, 0, 0, 0, 0, 0, '', '', 1, '2007-01-24', '10:45:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 08:05:22 = Ermal Dibra\nView 2007-01-23 08:05:23 = Ermal Dibra\nAdmitted in ward 2007-01- 08:06:39 Ermal Dibra\nView 2007-01-23 08:07:36 = Ermal Dibra', 'Ermal Dibra', '2007-01-24 10:45:59', 'Ermal Dibra', '2007-01-23 08:05:22');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000167, 10000292, '2007-01-23 08:10:21', 1, '', 'disallow_cancel', 'Diabet Mellitus tip 2', 'Shiko kartelen', 'Dr.E.Nelaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 12, 0, 0, 0, 0, 0, '', '', 1, '2007-01-31', '12:58:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 08:10:21 = Ermal Dibra\nAdmitted in ward 2007-01- 08:10:47 Ermal Dibra\nView 2007-01-23 08:10:54 = Ermal Dibra\nView 2007-01-31 10:31:00 = Ardiana Dervishi\nView 2007-01-31 10:31:07 = Ardiana Dervishi', 'Ermal Dibra', '2007-01-31 12:58:43', 'Ermal Dibra', '2007-01-23 08:10:21');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000168, 10000295, '2007-01-23 08:14:21', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-27', '11:56:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 08:14:21 = Ardiana Dervishi\nAdmitted in ward 2007-01- 08:14:41 Ardiana Dervishi\nView 2007-01-23 08:14:46 = Ardiana Dervishi\nView 2007-01-23 08:18:33 = Ardiana Dervishi\nView 2007-01-25 08:47:07 = Ardiana Dervishi\nView 2007-01-25 08:47:25 = Ardiana Dervishi\nView 2007-01-27 11:54:53 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 11:56:32', 'Ardiana Dervishi', '2007-01-23 08:14:21');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000169, 10000296, '2007-01-23 08:21:24', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-30', '10:34:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 08:21:24 = Ardiana Dervishi\nAdmitted in ward 2007-01- 08:21:42 Ardiana Dervishi\nView 2007-01-23 08:21:46 = Ardiana Dervishi\nView 2007-01-23 08:24:12 = Ardiana Dervishi\nView 2007-01-25 11:12:30 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:00:53 Ardiana Dervishi\nAdmitted in ward 2007-01- 10:02:50 Ardiana Dervishi\nView 2007-01-30 10:32:58 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 10:34:28', 'Ardiana Dervishi', '2007-01-23 08:21:24');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000170, 10000297, '2007-01-23 08:26:58', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi mjek roje', '', '', 'po', 'white', 0, 0, '0', '0', 0, '0', '0', 0, 0, '', 6, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '10:18:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 08:26:58 = Ardiana Dervishi\nAdmitted in ward 2007-01- 08:27:24 Ardiana Dervishi\nView 2007-01-23 08:27:31 = Ardiana Dervishi\nView 2007-01-23 08:30:15 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 10:18:23', 'Ardiana Dervishi', '2007-01-23 08:26:58');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000171, 10000276, '2007-01-23 08:36:34', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-27', '12:00:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 08:36:34 = Ardiana Dervishi\nAdmitted in ward 2007-01- 08:37:41 Ardiana Dervishi\nView 2007-01-23 08:38:03 = Ardiana Dervishi\nView 2007-01-23 08:44:01 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:19:52 Ardiana Dervishi\nView 2007-01-27 11:57:45 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 12:01:21', 'Ardiana Dervishi', '2007-01-23 08:36:34');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000172, 10000298, '2007-01-23 08:53:39', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.SDuka', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 4, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '10:25:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 08:53:39 = Ardiana Dervishi\nAdmitted in ward 2007-01- 08:54:40 Ardiana Dervishi\nView 2007-01-23 08:57:12 = Ardiana Dervishi\nView 2007-01-23 09:02:28 = Ardiana Dervishi\nView 2007-01-25 11:13:49 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:03:23 Ardiana Dervishi\nView 2007-02-01 10:07:41 = Ardiana Dervishi\nView 2007-02-01 10:08:04 = Ardiana Dervishi\nView 2007-02-01 10:24:13 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 10:26:55', 'Ardiana Dervishi', '2007-01-23 08:53:39');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000173, 10000299, '2007-01-23 09:11:31', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 5, 0, 0, 0, 0, 0, '', '', 1, '2007-01-24', '09:02:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 09:11:31 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:12:32 Ardiana Dervishi\nView 2007-01-23 09:13:31 = Ardiana Dervishi\nView 2007-01-23 09:14:57 = Ardiana Dervishi\nView 2007-01-24 08:59:54 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 09:02:15', 'Ardiana Dervishi', '2007-01-23 09:11:31');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000174, 10000300, '2007-01-23 09:46:32', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 10, 0, 0, 0, 0, 0, '', '', 1, '2007-01-27', '13:23:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 09:46:32 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:48:25 Ardiana Dervishi\nView 2007-01-23 09:48:31 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 13:23:24', 'Ardiana Dervishi', '2007-01-23 09:46:32');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000175, 10000282, '2007-01-23 10:20:02', 1, '', 'disallow_cancel', 'SAK.Infarkt acut miokardit', 'Shiko kartelen', 'Dr.N.Kasemi', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 15, 0, 0, 0, 0, 0, '', '', 1, '2007-01-30', '12:06:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 10:20:02 = Ermal Dibra\nAdmitted in ward 2007-01- 10:20:15 Ermal Dibra\nView 2007-01-23 10:20:25 = Ermal Dibra', 'Ermal Dibra', '2007-01-31 12:09:18', 'Ermal Dibra', '2007-01-23 10:20:02');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000176, 10000301, '2007-01-23 10:36:14', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '13:15:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 10:36:14 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:36:30 Ardiana Dervishi\nView 2007-01-23 10:36:35 = Ardiana Dervishi\nView 2007-01-23 10:39:31 = Ardiana Dervishi\nView 2007-01-25 11:09:21 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:58:04 Ardiana Dervishi\nView 2007-01-26 13:13:58 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 13:15:33', 'Ardiana Dervishi', '2007-01-23 10:36:14');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000177, 10000302, '2007-01-23 10:42:30', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 6, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '10:12:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 10:42:30 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:42:43 Ardiana Dervishi\nView 2007-01-23 10:42:48 = Ardiana Dervishi\nView 2007-01-23 10:44:17 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 10:13:02', 'Ardiana Dervishi', '2007-01-23 10:42:30');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000178, 10000303, '2007-01-23 10:46:36', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-08-01', '18:54:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 10:46:36 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:46:44 Ardiana Dervishi\nView 2007-01-23 10:46:48 = Ardiana Dervishi\nView 2007-01-23 10:48:24 = Ardiana Dervishi\nView 2007-01-23 12:35:17 = Greta Naraci\nView 2007-01-25 11:04:37 = Ardiana Dervishi\nView 2007-01-25 11:06:52 = Ardiana Dervishi\nView 2007-01-25 11:44:55 = Ardiana Dervishi\nView 2007-01-27 12:04:54 = Ermal Dibra\nView 2007-02-01 12:30:58 = Ardiana Dervishi\nView 2007-08-01 18:11:09 = admin\nView 2007-08-01 18:11:47 = admin\nView 2007-08-01 18:51:40 = admin\nView 2007-08-01 18:56:52 = admin', 'Ardiana Dervishi', '2007-08-01 18:56:52', 'Ardiana Dervishi', '2007-01-23 10:46:36');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000179, 10000304, '2007-01-23 10:56:57', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'DrSDUKA', '', '', 'PO', 'white', 0, 0, '0', '0', 2, '0', '0', 0, 0, '', 6, 17, 0, 0, 0, 0, 0, '', '', 1, '2007-02-01', '10:47:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 10:56:57 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:57:55 Ardiana Dervishi\nView 2007-01-23 10:58:18 = Ardiana Dervishi\nView 2007-01-23 10:58:24 = Ardiana Dervishi\nView 2007-01-23 11:02:59 = Ardiana Dervishi\nView 2007-02-01 10:45:02 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 10:47:58', 'Ardiana Dervishi', '2007-01-23 10:56:57');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000180, 10000293, '2007-01-23 11:33:03', 1, '', 'disallow_cancel', 'IVU .HTA', 'Shiko kartelen', 'Dr.A.Agolli', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-27', '11:43:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 11:33:03 = Ermal Dibra\nAdmitted in ward 2007-01- 11:33:38 Ermal Dibra\nView 2007-01-23 11:33:53 = Ermal Dibra', 'Ermal Dibra', '2007-01-27 11:44:33', 'Ermal Dibra', '2007-01-23 11:33:03');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000181, 10000284, '2007-01-23 11:38:01', 1, '', 'disallow_cancel', 'Ascid per  determinim', 'Shiko kartelen', 'Dr.N.TAbaku', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 11, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-23 11:38:01 = Ermal Dibra\nAdmitted in ward 2007-01- 11:38:25 Ermal Dibra\nView 2007-01-23 11:38:31 = Ermal Dibra\nView 2007-01-25 13:19:39 = Ermal Dibra', 'Ermal Dibra', '2007-01-25 13:19:39', 'Ermal Dibra', '2007-01-23 11:38:01');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000182, 10000309, '2007-01-23 11:43:41', 1, '', 'disallow_cancel', 'HTA .Edeme Pulmunare.', 'Shiko kartelen', 'Dr. Edi Smajlaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 15, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '10:23:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 11:43:41 = Ermal Dibra\nAdmitted in ward 2007-01- 11:43:55 Ermal Dibra\nView 2007-01-23 11:44:03 = Ermal Dibra', 'Ermal Dibra', '2007-01-26 10:24:06', 'Ermal Dibra', '2007-01-23 11:43:41');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000183, 10000308, '2007-01-23 12:09:04', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 15, 0, 0, 0, 0, 0, '', '', 1, '2007-01-23', '13:08:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 12:09:04 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:09:27 Ardiana Dervishi\nView 2007-01-23 12:09:36 = Ardiana Dervishi\nView 2007-01-23 12:11:35 = Ardiana Dervishi\nView 2007-01-23 12:11:40 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 12:12:57', 'Ardiana Dervishi', '2007-01-23 12:09:04');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000184, 10000266, '2007-01-23 13:02:52', 1, '', 'disallow_cancel', 'Fib .atrial me fe te shpejte.', 'Shiko kartelen', 'Dr.N.Kasemi', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 3, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-24', '08:35:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 13:02:52 = Ermal Dibra\nAdmitted in ward 2007-01- 13:03:16 Ermal Dibra\nView 2007-01-23 13:03:23 = Ermal Dibra', 'Ermal Dibra', '2007-01-24 08:36:39', 'Ermal Dibra', '2007-01-23 13:02:52');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000185, 10000291, '2007-01-23 13:09:02', 1, '', 'disallow_cancel', 'Gonartritis acut dex', 'Shiko kartelen', 'Dr.E.Nelaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 12, 0, 0, 0, 0, 0, '', '', 1, '2007-01-29', '12:13:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 13:09:02 = Ermal Dibra\nAdmitted in ward 2007-01- 13:09:14 Ermal Dibra\nView 2007-01-23 13:09:26 = Ermal Dibra', 'Ermal Dibra', '2007-01-29 12:13:33', 'Ermal Dibra', '2007-01-23 13:09:02');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000186, 10000294, '2007-01-23 13:17:14', 1, '', 'disallow_cancel', 'HTA St III. Insuficens Kardiake', 'Shiko kartelen', 'Dr E Smajlaj', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-24', '09:52:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-23 13:17:14 = Ermal Dibra\nAdmitted in ward 2007-01- 13:17:29 Ermal Dibra\nView 2007-01-23 13:17:42 = Ermal Dibra\nView 2007-01-23 19:24:24 = Greta Naraci\nView 2007-01-23 19:25:53 = Greta Naraci', 'Ermal Dibra', '2007-01-24 09:53:06', 'Ermal Dibra', '2007-01-23 13:17:14');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000187, 10000325, '2007-01-24 08:41:20', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.S Kallogjeri mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 13, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '10:24:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 08:41:20 = Ardiana Dervishi\nAdmitted in ward 2007-01- 08:41:36 Ardiana Dervishi\nView 2007-01-24 08:41:43 = Ardiana Dervishi\nView 2007-01-24 08:44:08 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 10:24:06', 'Ardiana Dervishi', '2007-01-24 08:41:20');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000188, 10000326, '2007-01-24 08:46:28', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.S Kallogjeri mjek roje', '', '', 'po', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 17, 0, 0, 0, 0, 0, '', '', 1, '2007-01-31', '10:00:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 08:46:28 = Ardiana Dervishi\nAdmitted in ward 2007-01- 08:46:42 Ardiana Dervishi\nView 2007-01-24 08:47:26 = Ardiana Dervishi\nView 2007-01-24 08:50:47 = Ardiana Dervishi\nView 2007-02-01 09:58:12 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 10:01:20', 'Ardiana Dervishi', '2007-01-24 08:46:28');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000189, 10000320, '2007-01-24 11:19:40', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 5, 0, 0, 0, 0, 0, '', '', 1, '2007-01-24', '11:22:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 11:19:40 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:19:51 Ardiana Dervishi\nView 2007-01-24 11:19:55 = Ardiana Dervishi\nView 2007-01-24 11:21:28 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:22:35', 'Ardiana Dervishi', '2007-01-24 11:19:40');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000190, 10000241, '2007-01-24 11:24:40', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-24', '11:28:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 11:24:40 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:24:59 Ardiana Dervishi\nView 2007-01-24 11:25:08 = Ardiana Dervishi\nView 2007-01-24 11:27:15 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:28:05', 'Ardiana Dervishi', '2007-01-24 11:24:40');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000191, 10000352, '2007-01-24 11:32:12', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.RMiloti', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-24', '11:35:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 11:32:12 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:32:24 Ardiana Dervishi\nView 2007-01-24 11:32:34 = Ardiana Dervishi\nView 2007-01-24 11:34:23 = Ardiana Dervishi\nView 2007-01-24 11:35:21 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:36:03', 'Ardiana Dervishi', '2007-01-24 11:32:12');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000192, 10000314, '2007-01-24 11:40:52', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '09:57:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 11:40:52 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:41:11 Ardiana Dervishi\nView 2007-01-24 11:41:18 = Ardiana Dervishi\nView 2007-01-24 11:43:25 = Ardiana Dervishi\nView 2007-01-26 09:56:16 = Ardiana Dervishi\n Update: 2007-01-26 09:56:53 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 09:57:10', 'Ardiana Dervishi', '2007-01-24 11:40:52');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000193, 10000323, '2007-01-24 11:44:21', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-29', '10:30:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 11:44:21 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:44:40 Ardiana Dervishi\nView 2007-01-24 11:44:47 = Ardiana Dervishi\nView 2007-01-24 11:46:18 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:18:13 Ardiana Dervishi\nAdmitted in ward 2007-01- 13:30:49 Ardiana Dervishi\nView 2007-02-01 10:29:44 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 10:31:20', 'Ardiana Dervishi', '2007-01-24 11:44:21');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000194, 10000335, '2007-01-24 11:47:54', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.S Kallogjeri mjek roje', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '10:19:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 11:47:54 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:48:17 Ardiana Dervishi\nView 2007-01-24 11:48:30 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:18:50 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 10:19:09', 'Ardiana Dervishi', '2007-01-24 11:47:54');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000195, 10000217, '2007-01-24 11:51:55', 1, '', 'disallow_cancel', 'Cardiopatia konginitale', 'Shiko kartelen', 'Dr.S.Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-23', '11:52:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 11:51:55 = Ermal Dibra\nAdmitted in ward 2007-01- 11:52:11 Ermal Dibra', 'Ermal Dibra', '2007-01-24 11:53:27', 'Ermal Dibra', '2007-01-24 11:51:55');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000196, 10000332, '2007-01-24 11:52:00', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'DrMShpori', '', '', 'd', 'white', 0, 0, '0', '0', 0, '0', '0', 0, 0, '', 6, 10, 0, 0, 0, 0, 0, '', '', 1, '2007-01-30', '11:55:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 11:52:00 = Ardiana Dervishi\nView 2007-01-24 11:52:06 = Ardiana Dervishi\nView 2007-01-24 11:53:10 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:53:42 Ardiana Dervishi\nView 2007-01-24 11:53:49 = Ardiana Dervishi\nView 2007-01-24 11:56:44 = Ardiana Dervishi\nAdmitted in ward 2007-01- 13:22:23 Ardiana Dervishi\nView 2007-01-30 11:53:26 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 11:56:01', 'Ardiana Dervishi', '2007-01-24 11:52:00');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000197, 10000333, '2007-01-24 11:57:49', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 7, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-24 11:57:49 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:58:05 Ardiana Dervishi\nView 2007-01-24 11:58:13 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:58:13', 'Ardiana Dervishi', '2007-01-24 11:57:49');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000198, 10000349, '2007-01-24 12:00:50', 1, '', 'disallow_cancel', 'Infeksion i vijave urinare', 'Shiko kartelen', 'Dr .A.Agolli', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 10, 0, 0, 0, 0, 0, '', '', 1, '2007-01-30', '12:54:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 12:00:50 = Ermal Dibra\nAdmitted in ward 2007-01- 12:01:08 Ermal Dibra\nView 2007-01-24 12:01:16 = Ermal Dibra\nView 2007-01-30 12:53:37 = Ermal Dibra\nView 2007-01-30 12:53:57 = Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:55:00', 'Ermal Dibra', '2007-01-24 12:00:50');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000199, 10000353, '2007-01-24 12:02:31', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', '0', 0, '0', '0', 0, 0, '', 6, 10, 0, 0, 0, 0, 0, '', '', 1, '2007-01-25', '12:46:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 12:02:31 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:02:52 Ardiana Dervishi\nView 2007-01-24 12:03:03 = Ardiana Dervishi\nView 2007-01-24 12:05:06 = Ardiana Dervishi\nView 2007-01-25 12:44:34 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 12:47:32', 'Ardiana Dervishi', '2007-01-24 12:02:31');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000200, 10000351, '2007-01-24 12:06:35', 1, '', 'disallow_cancel', 'SAK.angina pektoris e paqendrueshme.', 'Shiko kartelen', 'Dr E Smajlaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 11, 0, 0, 0, 0, 0, '', '', 1, '2007-01-27', '11:58:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 12:06:35 = Ermal Dibra\nAdmitted in ward 2007-01- 12:06:48 Ermal Dibra\nView 2007-01-24 12:06:57 = Ermal Dibra\nView 2007-01-24 12:06:58 = Ermal Dibra\nView 2007-01-24 12:06:58 = Ermal Dibra', 'Ermal Dibra', '2007-01-27 11:59:12', 'Ermal Dibra', '2007-01-24 12:06:35');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000201, 10000315, '2007-01-24 12:06:48', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '13:30:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 12:06:48 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:07:06 Ardiana Dervishi\nView 2007-01-24 12:07:18 = Ardiana Dervishi\nView 2007-01-24 12:10:33 = Ardiana Dervishi\nView 2007-01-26 13:29:17 = Ardiana Dervishi\nView 2007-01-26 13:29:39 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 13:31:03', 'Ardiana Dervishi', '2007-01-24 12:06:48');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000202, 10000350, '2007-01-24 12:10:54', 1, '', 'disallow_cancel', 'Cardiopatia e dilatuar ishemike', 'Shiko kartelen', 'Dr.E.Smajlaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 15, 0, 0, 0, 0, 0, '', '', 1, '2007-01-31', '10:46:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 12:10:54 = Ermal Dibra\nAdmitted in ward 2007-01- 12:11:08 Ermal Dibra\nView 2007-01-24 12:11:15 = Ermal Dibra', 'Ermal Dibra', '2007-01-31 10:47:37', 'Ermal Dibra', '2007-01-24 12:10:54');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000203, 10000319, '2007-01-24 12:15:04', 1, '', 'disallow_cancel', 'SAK.Sindrom coronar acut', 'Shiko kartelen', 'Dr. Edi Smajlaj', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-27', '11:53:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 12:15:04 = Ermal Dibra\nAdmitted in ward 2007-01- 12:15:22 Ermal Dibra\nView 2007-01-24 12:15:29 = Ermal Dibra', 'Ermal Dibra', '2007-01-27 11:54:17', 'Ermal Dibra', '2007-01-24 12:15:04');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000204, 10000330, '2007-01-24 12:17:21', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'DrSKallugjeri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-23', '13:12:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 12:17:21 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:17:58 Ardiana Dervishi\nView 2007-01-24 12:18:13 = Ardiana Dervishi\nView 2007-01-24 12:30:34 = Ardiana Dervishi\nView 2007-01-25 11:10:15 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:00:04 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 13:12:51', 'Ardiana Dervishi', '2007-01-24 12:17:21');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000205, 10000307, '2007-01-24 12:19:58', 1, '', 'disallow_cancel', 'SAK angor i paqendrueshem ', 'Shiko kartelen', 'Dr. Edi Smajlaj', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-27', '11:34:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 12:19:58 = Ermal Dibra\nAdmitted in ward 2007-01- 12:20:46 Ermal Dibra\nView 2007-01-24 12:20:52 = Ermal Dibra', 'Ermal Dibra', '2007-01-27 11:35:23', 'Ermal Dibra', '2007-01-24 12:19:58');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000206, 10000305, '2007-01-24 12:26:51', 1, '', 'disallow_cancel', 'U.B.duodeni', 'Shiko kartelen', 'Dr.Z.Hoxha', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 12, 0, 0, 0, 0, 0, '', '', 1, '2007-02-01', '11:47:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 12:26:51 = Ermal Dibra\nAdmitted in ward 2007-01- 12:27:33 Ermal Dibra\nView 2007-01-24 12:27:42 = Ermal Dibra', 'Ermal Dibra', '2007-02-01 11:47:36', 'Ermal Dibra', '2007-01-24 12:26:51');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000207, 10000334, '2007-01-24 12:33:39', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'DrSKallugjeri', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 5, 0, 0, 0, 0, 0, '', '', 1, '2007-01-29', '12:35:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 12:33:39 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:34:31 Ardiana Dervishi\nView 2007-01-24 12:34:48 = Ardiana Dervishi\nView 2007-01-24 12:39:29 = Ardiana Dervishi\nView 2007-01-26 10:12:33 = Ardiana Dervishi\nView 2007-01-29 12:34:40 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 12:36:57', 'Ardiana Dervishi', '2007-01-24 12:33:39');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000208, 10000310, '2007-01-24 12:35:09', 1, '', 'disallow_cancel', 'SAK.Angori paqendrueshem.', 'Shiko kartelen', 'Dr E Smajlaj', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 4, 0, 0, 0, 0, 0, '', '', 1, '2007-01-27', '11:52:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 12:35:09 = Ermal Dibra\nAdmitted in ward 2007-01- 12:35:31 Ermal Dibra\nView 2007-01-24 12:35:36 = Ermal Dibra\nView 2007-01-24 12:36:07 = Ermal Dibra', 'Ermal Dibra', '2007-01-27 11:52:31', 'Ermal Dibra', '2007-01-24 12:35:09');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000209, 10000306, '2007-01-24 12:40:15', 1, '', 'disallow_cancel', 'Ascit per determinim.', 'Shiko kartelen', 'Dr.Z.Hoxha', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-02-01', '11:50:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 12:40:15 = Ermal Dibra\nAdmitted in ward 2007-01- 12:40:28 Ermal Dibra\nView 2007-01-24 12:40:34 = Ermal Dibra\nView 2007-01-31 10:30:38 = Ardiana Dervishi\nView 2007-01-31 10:30:50 = Ardiana Dervishi', 'Ermal Dibra', '2007-02-01 11:50:42', 'Ermal Dibra', '2007-01-24 12:40:15');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000210, 10000331, '2007-01-24 12:42:05', 1, '', 'disallow_cancel', 'Direkte', 'Shiko kartelen', 'DrSDuka', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-27', '10:12:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 12:42:05 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:43:00 Ardiana Dervishi\nView 2007-01-24 12:43:09 = Ardiana Dervishi\nView 2007-01-24 12:47:10 = Ardiana Dervishi\nView 2007-01-25 11:13:06 = Ardiana Dervishi\nView 2007-01-26 13:19:22 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 10:12:10', 'Ardiana Dervishi', '2007-01-24 12:42:05');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000211, 10000324, '2007-01-24 12:46:13', 1, '', 'disallow_cancel', 'DM tip 2 i thyer', 'Shiko kartelen', 'Dr.E.Nelaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 13, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-24 12:46:13 = Ermal Dibra\nAdmitted in ward 2007-01- 12:46:41 Ermal Dibra\nView 2007-01-24 12:46:52 = Ermal Dibra\nView 2007-07-22 18:43:09 = admin\nView 2007-07-22 18:43:11 = admin', 'Ermal Dibra', '2007-07-22 18:43:11', 'Ermal Dibra', '2007-01-24 12:46:13');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000212, 10000329, '2007-01-24 12:49:56', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'A.Bekteshi', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 2, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-24 12:49:56 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:50:35 Ardiana Dervishi\nView 2007-01-24 12:50:44 = Ardiana Dervishi\nView 2007-01-24 12:54:17 = Ardiana Dervishi\nView 2007-01-25 08:40:23 = Ardiana Dervishi\nView 2007-01-25 11:08:43 = Ardiana Dervishi\nView 2007-02-01 12:28:27 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:28:27', 'Ardiana Dervishi', '2007-01-24 12:49:56');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000213, 10000316, '2007-01-24 12:56:11', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 6, 0, 0, 0, 0, 0, '', '', 1, '2007-01-24', '13:26:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-24 12:56:11 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:56:25 Ardiana Dervishi\nView 2007-01-24 12:56:31 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 13:26:26', 'Ardiana Dervishi', '2007-01-24 12:56:11');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000214, 10000318, '2007-01-24 13:00:00', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 5, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-24 13:00:00 = Ardiana Dervishi\nAdmitted in ward 2007-01- 13:00:10 Ardiana Dervishi\nView 2007-01-24 13:00:16 = Ardiana Dervishi\nView 2007-01-24 13:02:01 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 13:02:01', 'Ardiana Dervishi', '2007-01-24 13:00:00');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000215, 10000328, '2007-01-25 08:39:27', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'DrSKallugjeri', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-27', '13:11:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-25 08:39:27 = Ardiana Dervishi\nAdmitted in ward 2007-01- 08:40:01 Ardiana Dervishi\nView 2007-01-25 08:48:58 = Ardiana Dervishi\nView 2007-01-25 11:07:37 = Ardiana Dervishi\nView 2007-01-27 11:31:58 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 13:11:32', 'Ardiana Dervishi', '2007-01-25 08:39:27');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000216, 10000317, '2007-01-25 08:56:59', 1, '', 'disallow_cancel', 'Direkte', 'Shiko kartelen', 'Dr.ABekteshi', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 6, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '13:23:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-25 08:56:59 = Ardiana Dervishi\nAdmitted in ward 2007-01- 08:57:58 Ardiana Dervishi\nView 2007-01-25 08:58:23 = Ardiana Dervishi\nView 2007-01-25 09:02:25 = Ardiana Dervishi\nView 2007-01-26 13:22:08 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 13:24:25', 'Ardiana Dervishi', '2007-01-25 08:56:59');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000217, 10000336, '2007-01-25 09:05:43', 1, '', 'disallow_cancel', 'Direkt ', 'Shiko kartelen', 'Dr.ESadiku', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '13:12:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-25 09:05:43 = Ardiana Dervishi\nView 2007-01-25 09:06:51 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:07:11 Ardiana Dervishi\nView 2007-01-25 09:07:40 = Ardiana Dervishi\nReplaced ward 2007-01- 09:12:42 Ardiana Dervishi\nAdmitted in ward 2007-01- 09:14:31 Ardiana Dervishi\nView 2007-01-25 11:06:02 = Ardiana Dervishi\nView 2007-01-26 13:10:46 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 13:13:40', 'Ardiana Dervishi', '2007-01-25 09:05:43');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000218, 10000355, '2007-01-25 09:18:38', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'DrS.Duka', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 10, 1, 56, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-25 09:18:38 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:19:18 Ardiana Dervishi\nView 2007-01-25 09:19:36 = Ardiana Dervishi\nView 2007-01-25 09:51:42 = Ardiana Dervishi\nView 2007-01-25 10:02:52 = Ardiana Dervishi\nAdmitted in ward 2007-01- 13:22:51 Ardiana Dervishi', 'Ardiana Dervishi', '2007-09-29 19:27:06', 'Ardiana Dervishi', '2007-01-25 09:18:38');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000219, 10000356, '2007-01-25 10:04:15', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.SDuka', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 5, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-25 10:04:15 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:04:26 Ardiana Dervishi\nView 2007-01-25 10:04:32 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:09:03 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 10:09:03', 'Ardiana Dervishi', '2007-01-25 10:04:15');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000220, 10000359, '2007-01-25 10:19:10', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.RMiloti', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 17, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-25 10:19:10 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:19:55 Ardiana Dervishi\nView 2007-01-25 10:20:15 = Ardiana Dervishi\nView 2007-01-25 12:38:57 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 12:38:57', 'Ardiana Dervishi', '2007-01-25 10:19:10');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000221, 10000360, '2007-01-25 10:31:58', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.S.Duka', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '13:17:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-25 10:31:58 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:32:39 Ardiana Dervishi\nView 2007-01-25 10:32:47 = Ardiana Dervishi\nView 2007-01-25 10:36:16 = Ardiana Dervishi\nView 2007-01-25 11:11:27 = Ardiana Dervishi\nView 2007-01-26 13:16:08 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 13:18:35', 'Ardiana Dervishi', '2007-01-25 10:31:58');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000222, 10000365, '2007-01-25 11:11:46', 1, '', 'disallow_cancel', 'ACV Fib Atrial,HTA.', 'Shiko kartelen', 'Dr.F.Boci', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 14, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-25 11:11:46 = Ermal Dibra\nAdmitted in ward 2007-01- 11:12:10 Ermal Dibra\nView 2007-01-25 11:12:19 = Ermal Dibra', 'Ermal Dibra', '2007-01-25 11:12:19', 'Ermal Dibra', '2007-01-25 11:11:46');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000223, 10000362, '2007-01-25 11:17:23', 1, '', 'disallow_cancel', 'Neo vezika', 'Shiko kartelen', 'Dr .A.Agolli', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 4, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-25 11:17:23 = Ermal Dibra\nAdmitted in ward 2007-01- 11:17:47 Ermal Dibra\nView 2007-01-25 11:17:52 = Ermal Dibra', 'Ermal Dibra', '2007-01-25 11:17:52', 'Ermal Dibra', '2007-01-25 11:17:23');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000224, 10000243, '2007-01-25 11:21:21', 1, '', 'disallow_cancel', 'Bronco pneumoni Bilaterale', 'Shiko kartelen', 'Dr.H .Kotri mjek roje', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 4, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-25 11:21:21 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:21:36 Ardiana Dervishi\nView 2007-01-25 11:22:05 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 11:22:05', 'Ardiana Dervishi', '2007-01-25 11:21:21');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000225, 10000363, '2007-01-25 11:21:59', 1, '', 'disallow_cancel', 'Fib .atrial Insuf  Kardiake', 'Shiko kartelen', 'Dr.S', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 6, 0, 0, 0, 0, 0, '', '', 1, '2007-02-01', '09:08:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-25 11:21:59 = Ermal Dibra\nAdmitted in ward 2007-01- 11:22:17 Ermal Dibra\nView 2007-01-25 11:22:24 = Ermal Dibra', 'Ermal Dibra', '2007-02-01 09:08:43', 'Ermal Dibra', '2007-01-25 11:21:59');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000226, 10000361, '2007-01-25 11:25:55', 1, '', 'disallow_cancel', 'SAK angor i paqendrueshem', 'Shiko kartelen', 'Dr E Smajlaj', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 10, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-25 11:25:55 = Ermal Dibra\nAdmitted in ward 2007-01- 11:26:38 Ermal Dibra\nView 2007-01-25 11:26:45 = Ermal Dibra', 'Ermal Dibra', '2007-01-25 11:26:45', 'Ermal Dibra', '2007-01-25 11:25:55');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000227, 10000368, '2007-01-25 12:37:34', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'S.Duka', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 17, 0, 0, 0, 0, 0, '', '', 1, '2007-02-01', '10:39:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-25 12:37:34 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:38:38 Ardiana Dervishi\nView 2007-01-25 12:39:32 = Ardiana Dervishi\nView 2007-02-01 10:36:42 = Ardiana Dervishi\nView 2007-02-01 10:38:40 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 10:40:20', 'Ardiana Dervishi', '2007-01-25 12:37:34');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000228, 10000369, '2007-01-26 08:22:58', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'DrRMiloti', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-30', '10:28:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-26 08:22:58 = Ardiana Dervishi\nAdmitted in ward 2007-01- 08:23:14 Ardiana Dervishi\nView 2007-01-26 08:23:18 = Ardiana Dervishi\nView 2007-01-26 08:25:45 = Ardiana Dervishi\nView 2007-01-27 12:05:27 = Ermal Dibra\nView 2007-01-30 10:25:55 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 10:28:53', 'Ardiana Dervishi', '2007-01-26 08:22:58');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000229, 10000370, '2007-01-26 08:40:49', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 5, 0, 0, 0, 0, 0, '', '', 1, '2007-01-30', '10:36:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-26 08:40:49 = Ardiana Dervishi\nAdmitted in ward 2007-01- 08:41:05 Ardiana Dervishi\nView 2007-01-26 08:41:10 = Ardiana Dervishi\nView 2007-01-26 08:42:51 = Ardiana Dervishi\nView 2007-01-27 10:20:54 = Ardiana Dervishi\nView 2007-01-30 10:34:55 = Ardiana Dervishi\nView 2007-01-30 10:35:21 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 10:36:46', 'Ardiana Dervishi', '2007-01-26 08:40:49');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000230, 10000371, '2007-01-26 08:57:05', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'A.Bekteshi', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-30', '10:31:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-26 08:57:05 = Ardiana Dervishi\nAdmitted in ward 2007-01- 08:57:34 Ardiana Dervishi\nView 2007-01-26 08:57:48 = Ardiana Dervishi\nAdmitted in ward 2007-01- 13:25:15 Ardiana Dervishi\nView 2007-01-30 10:30:22 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 10:32:26', 'Ardiana Dervishi', '2007-01-26 08:57:05');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000231, 10000357, '2007-01-26 09:04:17', 1, '', 'disallow_cancel', 'Direkt ', 'Shiko kartelen', 'Dr RMiloti', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '13:28:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-26 09:04:17 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:04:50 Ardiana Dervishi\nView 2007-01-26 09:05:03 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:15:07 Ardiana Dervishi\nView 2007-01-26 13:25:05 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 13:28:46', 'Ardiana Dervishi', '2007-01-26 09:04:17');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000232, 10000372, '2007-01-26 09:14:31', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.S.Duka', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 4, 0, 0, 0, 0, 0, '', '', 1, '2007-01-27', '13:27:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-26 09:14:31 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:14:40 Ardiana Dervishi\nView 2007-01-26 09:14:54 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:03:52 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 13:27:46', 'Ardiana Dervishi', '2007-01-26 09:14:31');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000233, 10000373, '2007-01-26 09:19:32', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'DrABekteshi', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-30', '11:25:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-26 09:19:32 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:19:44 Ardiana Dervishi\nView 2007-01-26 09:19:50 = Ardiana Dervishi\nView 2007-01-26 09:22:06 = Ardiana Dervishi\nView 2007-01-30 11:23:50 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 11:25:48', 'Ardiana Dervishi', '2007-01-26 09:19:32');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000234, 10000374, '2007-01-26 09:26:24', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'DrABekteshi', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 10, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-26 09:26:24 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:26:45 Ardiana Dervishi\nView 2007-01-26 09:26:58 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 09:26:58', 'Ardiana Dervishi', '2007-01-26 09:26:24');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000235, 10000375, '2007-01-26 09:33:53', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.S Kallogjeri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 15, 0, 0, 0, 0, 0, '', '', 1, '2007-01-30', '13:01:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-26 09:33:53 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:34:16 Ardiana Dervishi\nView 2007-01-26 09:34:23 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 13:02:59', 'Ardiana Dervishi', '2007-01-26 09:33:53');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000236, 10000377, '2007-01-26 09:39:27', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.S Kallogjeri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 11, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '10:23:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-26 09:39:27 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:39:53 Ardiana Dervishi\nView 2007-01-26 09:39:59 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 10:23:33', 'Ardiana Dervishi', '2007-01-26 09:39:27');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000237, 10000378, '2007-01-26 09:44:33', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'DrSKallugjeri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 11, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '09:45:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-26 09:44:33 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:44:44 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 09:45:54', 'Ardiana Dervishi', '2007-01-26 09:44:33');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000238, 10000358, '2007-01-26 09:48:02', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.S Kallogjeri', '', '', 'Shtrim', 'white', 0, 0, '0', '0', 0, '0', '0', 0, 0, '', 6, 11, 0, 0, 0, 0, 0, '', '', 1, '2007-01-26', '09:49:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-26 09:48:02 = Ardiana Dervishi\nAdmitted in ward 2007-01- 09:48:18 Ardiana Dervishi\nView 2007-01-26 09:48:32 = Ardiana Dervishi\nView 2007-01-31 09:48:56 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 09:49:52', 'Ardiana Dervishi', '2007-01-26 09:48:02');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000239, 10000386, '2007-01-26 14:03:07', 1, '', 'disallow_cancel', 'Sindrom koronar acut.', 'Shiko kartelen', 'Dr E Smajlaj', '', '', 'Ska', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 3, 17, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-26 14:03:07 = Ermal Dibra\nAdmitted in ward 2007-01- 14:03:43 Ermal Dibra\nView 2007-01-26 14:04:12 = Ermal Dibra\nView 2007-01-31 10:31:18 = Ardiana Dervishi\nView 2007-01-31 10:33:02 = Ardiana Dervishi\nView 2007-01-31 10:33:07 = Ardiana Dervishi\nView 2007-01-31 10:41:46 = Ardiana Dervishi', 'Ermal Dibra', '2007-01-31 10:41:46', 'Ermal Dibra', '2007-01-26 14:03:07');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000240, 10000354, '2007-01-26 14:08:24', 1, '', 'disallow_cancel', 'D.M.tip 1', 'Shiko kartelen', 'Dr.E.Nelaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 3, 6, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-26 14:08:24 = Ermal Dibra\nAdmitted in ward 2007-01- 14:08:43 Ermal Dibra\nView 2007-01-26 14:08:52 = Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:08:52', 'Ermal Dibra', '2007-01-26 14:08:24');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000241, 10000380, '2007-01-26 14:12:13', 1, '', 'disallow_cancel', 'Anemia per determinim', 'Shiko kartelen', 'Dr E Kraja', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 13, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-26 14:12:13 = Ermal Dibra\nAdmitted in ward 2007-01- 14:12:42 Ermal Dibra\nView 2007-01-26 14:13:00 = Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:13:00', 'Ermal Dibra', '2007-01-26 14:12:13');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000242, 10000385, '2007-01-26 14:21:24', 1, '', 'disallow_cancel', 'Cardiopatia e dilatuar', 'Shiko kartelen', 'Dr.S.Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 4, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-26 14:21:24 = Ermal Dibra\nAdmitted in ward 2007-01- 14:21:39 Ermal Dibra\nView 2007-01-26 14:21:45 = Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:21:45', 'Ermal Dibra', '2007-01-26 14:21:24');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000243, 10000366, '2007-01-26 14:25:16', 1, '', 'disallow_cancel', 'Hepatiit chronik', 'Shiko kartelen', 'Dr.Z.Hoxha', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 13, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-26 14:25:16 = Ermal Dibra\nAdmitted in ward 2007-01- 14:25:32 Ermal Dibra\nView 2007-01-26 14:25:45 = Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:25:45', 'Ermal Dibra', '2007-01-26 14:25:16');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000244, 10000384, '2007-01-26 14:28:59', 1, '', 'disallow_cancel', 'Sindrom koronar acut.', 'Shiko kartelen', 'Dr.N.Kasemi', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', '0', 2, '0', '0', 0, 0, '', 3, 15, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-26 14:28:59 = Ermal Dibra\nAdmitted in ward 2007-01- 14:29:13 Ermal Dibra\nView 2007-01-26 14:29:28 = Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:29:28', 'Ermal Dibra', '2007-01-26 14:28:59');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000245, 10000379, '2007-01-26 14:32:58', 1, '', 'disallow_cancel', 'DM tip 2 i thyer', 'Shiko kartelen', 'Dr.E.Nelaj', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 6, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-26 14:32:58 = Ermal Dibra\nAdmitted in ward 2007-01- 14:33:12 Ermal Dibra\nView 2007-01-26 14:33:19 = Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:33:19', 'Ermal Dibra', '2007-01-26 14:32:58');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000246, 10000381, '2007-01-26 14:44:47', 1, '', 'disallow_cancel', 'U.B.duodeni', 'Shiko kartelen', 'Dr.V.Borici', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-30', '11:27:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-26 14:44:47 = Ermal Dibra\nAdmitted in ward 2007-01- 14:45:03 Ermal Dibra\nView 2007-01-26 14:45:10 = Ermal Dibra', 'Ermal Dibra', '2007-02-01 11:29:24', 'Ermal Dibra', '2007-01-26 14:44:47');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000247, 10000367, '2007-01-26 14:50:22', 1, '', 'disallow_cancel', 'Diabet Mellitus tip 2 +HTA.', 'Shiko kartelen', 'Dr. E. Nelaj', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 3, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-26 14:50:22 = Ermal Dibra\nAdmitted in ward 2007-01- 14:50:37 Ermal Dibra\nView 2007-01-26 14:50:43 = Ermal Dibra\nView 2007-05-19 18:21:25 = admin\nView 2007-05-19 18:22:10 = admin\nView 2007-08-06 19:02:54 = admin\nView 2007-08-06 19:33:59 = Mikel Pavaci\nView 2007-08-06 19:34:11 = Mikel Pavaci\nView 2007-08-06 19:34:45 = Mikel Pavaci\nView 2007-08-06 19:36:21 = Mikel Pavaci\nView 2007-08-06 20:16:45 = Mikel Pavaci\nView 2007-08-06 20:18:54 = Mikel Pavaci', 'Ermal Dibra', '2007-08-06 20:18:54', 'Ermal Dibra', '2007-01-26 14:50:22');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000248, 10000382, '2007-01-26 14:53:17', 1, '', 'disallow_cancel', 'Artrit romatoid ', 'Shiko kartelen', 'Dr A Miloti', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 4, 0, 0, 0, 0, 0, '', '', 1, '2007-01-31', '11:57:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-26 14:53:17 = Ermal Dibra\nAdmitted in ward 2007-01- 14:53:32 Ermal Dibra\nView 2007-01-26 14:53:49 = Ermal Dibra', 'Ermal Dibra', '2007-01-31 11:57:56', 'Ermal Dibra', '2007-01-26 14:53:17');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000249, 10000383, '2007-01-26 14:57:14', 1, '', 'disallow_cancel', 'Lumbago acute', 'Shiko kartelen', 'Dr A Miloti', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 5, 0, 0, 0, 0, 0, '', '', 1, '2007-01-31', '11:44:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-26 14:57:14 = Ermal Dibra\nAdmitted in ward 2007-01- 14:57:33 Ermal Dibra\nView 2007-01-26 14:57:38 = Ermal Dibra\nView 2007-01-26 15:00:11 = Ermal Dibra', 'Ermal Dibra', '2007-01-31 11:45:19', 'Ermal Dibra', '2007-01-26 14:57:14');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000250, 10000387, '2007-01-27 08:03:47', 1, '', 'disallow_cancel', 'Melena', 'Shiko kartelen', 'DR.B.Kraja', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 5, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-27 08:03:47 = Ermal Dibra\nView 2007-01-27 08:03:49 = Ermal Dibra\nAdmitted in ward 2007-01- 08:04:23 Ermal Dibra\nView 2007-01-27 08:04:30 = Ermal Dibra', 'Ermal Dibra', '2007-01-27 08:04:30', 'Ermal Dibra', '2007-01-27 08:03:47');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000251, 10000388, '2007-01-27 08:13:15', 1, '', 'disallow_cancel', 'SAK.Angori paqendrueshem.', 'Shiko kartelen', 'Dr E Smajlaj', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-27', '12:00:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-27 08:13:15 = Ermal Dibra\nAdmitted in ward 2007-01- 08:13:44 Ermal Dibra\nView 2007-01-27 08:13:53 = Ermal Dibra\nView 2007-01-27 08:13:54 = Ermal Dibra', 'Ermal Dibra', '2007-01-27 12:01:21', 'Ermal Dibra', '2007-01-27 08:13:15');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000252, 10000389, '2007-01-27 08:19:58', 1, '', 'disallow_cancel', 'Bllok AV -*gr III', 'Siko kartelen', 'Dr E Smajlaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 2, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-27 08:19:58 = Ermal Dibra\nAdmitted in ward 2007-01- 08:20:16 Ermal Dibra\nView 2007-01-27 08:20:26 = Ermal Dibra', 'Ermal Dibra', '2007-01-27 08:20:26', 'Ermal Dibra', '2007-01-27 08:19:58');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000253, 10000394, '2007-01-27 10:01:11', 1, '', 'disallow_cancel', 'Bronco pneumoni Bilaterale', 'Shtrim', 'Dr.Lindita', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 6, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-27 10:01:11 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:01:25 Ardiana Dervishi\nView 2007-01-27 10:01:30 = Ardiana Dervishi\nView 2007-01-27 10:04:02 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 10:04:02', 'Ardiana Dervishi', '2007-01-27 10:01:11');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000254, 10000390, '2007-01-27 10:05:24', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-02-01', '10:29:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-27 10:05:24 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:05:34 Ardiana Dervishi\nView 2007-01-27 10:05:41 = Ardiana Dervishi\nView 2007-01-27 10:07:27 = Ardiana Dervishi\nView 2007-02-01 10:27:49 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 10:29:14', 'Ardiana Dervishi', '2007-01-27 10:05:24');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000255, 10000391, '2007-01-27 10:08:17', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ESadiku', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-02-01', '10:12:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-27 10:08:17 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:08:29 Ardiana Dervishi\nView 2007-01-27 10:08:35 = Ardiana Dervishi\nView 2007-01-27 10:10:08 = Ardiana Dervishi\nView 2007-02-01 10:10:38 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 10:12:48', 'Ardiana Dervishi', '2007-01-27 10:08:17');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000256, 10000392, '2007-01-27 10:11:39', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.MShpori', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 3, 0, 0, 0, 0, 0, '', '', 1, '2007-01-29', '12:33:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-27 10:11:39 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:12:35 Ardiana Dervishi\nView 2007-01-27 10:12:39 = Ardiana Dervishi\nView 2007-01-27 10:15:32 = Ardiana Dervishi\nView 2007-01-29 12:32:56 = Ardiana Dervishi\nView 2007-01-29 12:33:00 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 12:34:07', 'Ardiana Dervishi', '2007-01-27 10:11:39');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000257, 10000395, '2007-01-27 10:27:53', 1, '', 'disallow_cancel', 'Direkt ', 'Shiko kartelen', 'Dr M.SHpori', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-27', '11:53:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-27 10:27:53 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:28:54 Ardiana Dervishi\nView 2007-01-27 10:29:09 = Ardiana Dervishi\nView 2007-01-27 11:33:07 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 11:54:41', 'Ardiana Dervishi', '2007-01-27 10:27:53');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000258, 10000398, '2007-01-27 12:05:23', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.MShpori', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-01-31', '10:02:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-27 12:05:23 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:05:35 Ardiana Dervishi\nView 2007-01-27 12:05:41 = Ardiana Dervishi\nView 2007-01-27 12:08:27 = Ardiana Dervishi\nView 2007-02-01 10:01:39 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 10:04:34', 'Ardiana Dervishi', '2007-01-27 12:05:23');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000259, 10000399, '2007-01-27 12:11:49', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 4, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-27 12:11:49 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:11:57 Ardiana Dervishi\nView 2007-01-27 12:12:02 = Ardiana Dervishi\nView 2007-01-27 12:13:46 = Ardiana Dervishi\nAdmitted in ward 2007-01- 13:14:08 Ardiana Dervishi\nView 2007-08-15 11:37:17 = Greta Naraci', 'Ardiana Dervishi', '2007-08-15 11:37:17', 'Ardiana Dervishi', '2007-01-27 12:11:49');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000260, 10000401, '2007-01-27 12:35:02', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.S.Duka', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 10, 0, 0, 0, 0, 0, '', '', 1, '2007-02-01', '10:14:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-27 12:35:02 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:35:19 Ardiana Dervishi\nView 2007-01-27 12:35:28 = Ardiana Dervishi\nView 2007-02-01 10:13:05 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 10:15:15', 'Ardiana Dervishi', '2007-01-27 12:35:02');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000261, 10000402, '2007-01-27 12:41:05', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.SDuka', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-02-01', '10:16:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-27 12:41:05 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:41:21 Ardiana Dervishi\nView 2007-01-27 12:41:48 = Ardiana Dervishi\nView 2007-01-27 12:43:49 = Ardiana Dervishi\nAdmitted in ward 2007-01- 13:25:43 Ardiana Dervishi\nView 2007-02-01 10:15:51 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 10:17:19', 'Ardiana Dervishi', '2007-01-27 12:41:05');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000262, 10000403, '2007-01-27 12:46:05', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.H .Kotri mjek roje', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 6, 0, 0, 0, 0, 0, '', '', 1, '2007-02-01', '10:20:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-27 12:46:05 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:46:14 Ardiana Dervishi\nView 2007-01-27 12:46:19 = Ardiana Dervishi\nView 2007-01-27 12:49:03 = Ardiana Dervishi\nView 2007-02-01 10:17:48 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 10:20:47', 'Ardiana Dervishi', '2007-01-27 12:46:05');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000263, 10000404, '2007-01-27 12:56:36', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ESadiku', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 4, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-27 12:56:36 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:56:49 Ardiana Dervishi\nView 2007-01-27 12:56:54 = Ardiana Dervishi\nView 2007-01-27 12:59:12 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 12:59:12', 'Ardiana Dervishi', '2007-01-27 12:56:36');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000264, 10000405, '2007-01-27 13:01:15', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr,MShpori', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 8, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-27 13:01:15 = Ardiana Dervishi\nAdmitted in ward 2007-01- 13:01:35 Ardiana Dervishi\nView 2007-01-27 13:01:48 = Ardiana Dervishi\nView 2007-01-27 13:05:33 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 13:05:33', 'Ardiana Dervishi', '2007-01-27 13:01:15');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000265, 10000400, '2007-01-27 13:09:56', 1, '', 'disallow_cancel', 'Strume  mudolare.', 'Shiko kartelen', 'Dr.E.Nelaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 4, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-27 13:09:56 = Ermal Dibra\nAdmitted in ward 2007-01- 13:10:09 Ermal Dibra\nView 2007-01-27 13:10:14 = Ermal Dibra', 'Ermal Dibra', '2007-01-27 13:10:14', 'Ermal Dibra', '2007-01-27 13:09:56');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000266, 10000397, '2007-01-27 13:13:38', 1, '', 'disallow_cancel', 'Osteartrozis', 'Shiko kartelen', 'Dr A Miloti', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 14, 0, 0, 0, 0, 0, '', '', 1, '2007-01-31', '11:46:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-27 13:13:38 = Ermal Dibra\nAdmitted in ward 2007-01- 13:14:20 Ermal Dibra\nView 2007-01-27 13:14:32 = Ermal Dibra', 'Ermal Dibra', '2007-01-31 11:47:33', 'Ermal Dibra', '2007-01-27 13:13:38');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000267, 10000396, '2007-01-27 13:17:13', 1, '', 'disallow_cancel', 'Cardiopatia e dilatuar', 'Siko kartelen', 'Dr S Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 2, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-27 13:17:13 = Ermal Dibra\nAdmitted in ward 2007-01- 13:17:25 Ermal Dibra\nView 2007-01-27 13:17:33 = Ermal Dibra\nView 2007-01-27 13:17:46 = Ermal Dibra', 'Ermal Dibra', '2007-01-27 13:17:46', 'Ermal Dibra', '2007-01-27 13:17:13');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000268, 10000330, '2007-01-27 13:19:31', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Drekt', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 4, 0, 0, 0, 0, 0, '', '', 1, '2007-02-01', '10:09:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-27 13:19:31 = Ardiana Dervishi\nAdmitted in ward 2007-01- 13:19:58 Ardiana Dervishi\nView 2007-01-27 13:20:05 = Ardiana Dervishi\nView 2007-01-27 13:21:34 = Ardiana Dervishi\nAdmitted in ward 2007-01- 13:28:31 Ardiana Dervishi\nView 2007-02-01 10:08:42 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 10:10:17', 'Ardiana Dervishi', '2007-01-27 13:19:31');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000269, 10000372, '2007-01-27 13:30:06', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr,SDuka', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-01-29', '12:39:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-27 13:30:06 = Ardiana Dervishi\nAdmitted in ward 2007-01- 13:31:09 Ardiana Dervishi\nView 2007-01-29 12:38:46 = Ardiana Dervishi\nView 2007-01-29 12:39:16 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 12:39:52', 'Ardiana Dervishi', '2007-01-27 13:30:06');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000270, 10000408, '2007-01-27 13:45:37', 1, '', 'disallow_cancel', 'Edeme pulmunare acute', 'Shiko kartelen', 'Dr S Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-28', '12:09:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-27 13:45:37 = Ermal Dibra\nAdmitted in ward 2007-01- 13:45:52 Ermal Dibra\nView 2007-01-27 13:46:00 = Ermal Dibra\nView 2007-01-27 13:49:00 = Ermal Dibra', 'Ermal Dibra', '2007-01-29 12:10:23', 'Ermal Dibra', '2007-01-27 13:45:37');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000271, 10000409, '2007-01-29 07:28:34', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 17, 0, 0, 0, 0, 0, '', '', 1, '2007-02-01', '10:52:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-29 07:28:34 = Ardiana Dervishi\nAdmitted in ward 2007-01- 07:29:01 Ardiana Dervishi\nView 2007-01-29 07:29:09 = Ardiana Dervishi\nView 2007-01-29 07:31:12 = Ardiana Dervishi\nView 2007-02-01 10:48:16 = Ardiana Dervishi\nView 2007-02-01 10:50:46 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 10:53:38', 'Ardiana Dervishi', '2007-01-29 07:28:34');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000272, 10000416, '2007-01-29 10:18:44', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-02-01', '10:23:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-29 10:18:44 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:18:54 Ardiana Dervishi\nView 2007-01-29 10:19:01 = Ardiana Dervishi\nView 2007-01-29 10:20:57 = Ardiana Dervishi\nView 2007-02-01 10:21:51 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 10:23:44', 'Ardiana Dervishi', '2007-01-29 10:18:44');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000273, 10000415, '2007-01-29 10:21:54', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 6, 0, 0, 0, 0, 0, '', '', 1, '2007-02-01', '10:21:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-29 10:21:54 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:22:05 Ardiana Dervishi\nView 2007-01-29 10:22:11 = Ardiana Dervishi\nView 2007-02-01 10:21:06 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 10:21:33', 'Ardiana Dervishi', '2007-01-29 10:21:54');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000274, 10000414, '2007-01-29 12:04:04', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 6, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-29 12:04:04 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:04:18 Ardiana Dervishi\nView 2007-01-29 12:04:28 = Ardiana Dervishi\nView 2007-01-29 12:06:39 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 12:06:39', 'Ardiana Dervishi', '2007-01-29 12:04:04');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000275, 10000413, '2007-01-29 12:07:28', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi', '', '', 'Drekt', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 3, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-29 12:07:28 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:07:46 Ardiana Dervishi\nView 2007-01-29 12:07:54 = Ardiana Dervishi\nView 2007-01-29 12:10:11 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 12:10:11', 'Ardiana Dervishi', '2007-01-29 12:07:28');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000276, 10000410, '2007-01-29 12:11:24', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shtrim', 'white', 0, 0, '', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 1, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-29 12:11:24 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:11:44 Ardiana Dervishi\nView 2007-01-29 12:11:47 = Ardiana Dervishi\nView 2007-01-29 12:13:26 = Ardiana Dervishi\nView 2007-10-16 22:07:03 = admin\nView 2007-10-16 22:07:33 = admin\nView 2007-10-16 22:16:19 = admin\nView 2007-10-16 22:19:44 = admin\nView 2007-10-16 22:22:53 = admin\nView 2007-10-16 22:23:33 = admin\nView 2007-10-16 22:23:49 = admin\nView 2007-10-16 22:24:42 = admin\n Update: 2007-10-16 22:28:42 = admin\n Update: 2007-10-16 22:28:51 = admin\n Update: 2007-10-16 22:29:02 = admin\n Update: 2007-10-16 22:29:09 = admin\n Update: 2007-10-16 22:51:56 = admin\n Update: 2007-10-16 22:52:02 = admin\n Update: 2007-10-16 22:53:24 = admin\n Update: 2007-10-16 22:53:55 = admin\n Update: 2007-10-16 22:54:15 = admin\n Update: 2007-10-16 22:54:41 = admin\n Update: 2007-10-16 22:55:41 = admin\n Update: 2007-10-16 22:55:49 = admin\n Update: 2007-10-16 22:56:53 = admin\nView 2007-10-16 23:11:23 = admin\n Update: 2007-10-16 23:11:50 = admin\n Update: 2007-10-16 23:12:11 = admin\n Update: 2007-10-16 23:12:33 = admin\n Update: 2007-10-16 23:17:35 = admin\n Update: 2007-10-16 23:17:52 = admin\n Update: 2007-10-16 23:18:15 = admin\n Update: 2007-10-16 23:18:22 = admin\n Update: 2007-10-16 23:19:26 = admin\n Update: 2007-10-16 23:19:33 = admin', 'admin', '2007-10-16 23:19:33', 'Ardiana Dervishi', '2007-01-29 12:11:24');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000277, 10000411, '2007-01-29 12:14:21', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 1, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-29 12:14:21 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:14:38 Ardiana Dervishi\nView 2007-01-29 12:14:42 = Ardiana Dervishi\nView 2007-01-29 12:16:38 = Ardiana Dervishi\nView 2007-07-10 22:11:13 = admin\nView 2007-07-10 22:52:40 = admin\nView 2007-07-10 22:56:48 = admin\nView 2007-07-10 23:24:38 = admin', 'Ardiana Dervishi', '2007-07-10 23:24:38', 'Ardiana Dervishi', '2007-01-29 12:14:21');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000278, 10000423, '2007-01-29 12:19:04', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 2, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-29 12:19:04 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:19:17 Ardiana Dervishi\nView 2007-01-29 12:19:26 = Ardiana Dervishi\nView 2007-01-29 12:21:30 = Ardiana Dervishi\nView 2007-10-17 19:48:53 = admin', 'Ardiana Dervishi', '2007-10-17 19:48:53', 'Ardiana Dervishi', '2007-01-29 12:19:04');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000279, 10000419, '2007-01-29 12:22:22', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 11, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-29 12:22:22 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:22:36 Ardiana Dervishi\nView 2007-01-29 12:22:51 = Ardiana Dervishi\nView 2007-01-31 09:57:09 = Ardiana Dervishi\nView 2007-01-31 09:57:13 = Ardiana Dervishi\nView 2007-01-31 09:57:44 = Ardiana Dervishi\nView 2007-01-31 09:57:49 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 09:57:49', 'Ardiana Dervishi', '2007-01-29 12:22:22');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000280, 10000421, '2007-01-29 12:26:13', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shtrim', 'white', 0, 0, '0', '0', 2, '0', '0', 0, 0, '', 6, 12, 0, 0, 0, 0, 0, '', '', 1, '2007-01-30', '13:01:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-29 12:26:13 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:26:25 Ardiana Dervishi\nView 2007-01-29 12:26:33 = Ardiana Dervishi\nView 2007-01-29 12:29:40 = Ardiana Dervishi\nView 2007-01-30 12:58:59 = Ardiana Dervishi\nView 2007-01-30 13:00:39 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 13:01:14', 'Ardiana Dervishi', '2007-01-29 12:26:13');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000281, 10000425, '2007-01-29 13:18:02', 1, '', 'disallow_cancel', 'Fibrilacion atrial.', 'Siko kartelen', 'dr.E.Kraja', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-29', '13:22:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-29 13:18:02 = Ermal Dibra\nAdmitted in ward 2007-01- 13:18:11 Ermal Dibra\nView 2007-01-29 13:18:18 = Ermal Dibra', 'Ermal Dibra', '2007-01-29 13:22:59', 'Ermal Dibra', '2007-01-29 13:18:02');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000282, 10000407, '2007-01-29 13:25:00', 1, '', 'disallow_cancel', 'SAK angor i paqendrueshem', 'Shiko kartelen', 'Dr S Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-29', '13:29:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-29 13:25:00 = Ermal Dibra\nAdmitted in ward 2007-01- 13:25:19 Ermal Dibra\nView 2007-01-29 13:25:27 = Ermal Dibra', 'Ermal Dibra', '2007-01-29 13:29:22', 'Ermal Dibra', '2007-01-29 13:25:00');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000283, 10000418, '2007-01-30 07:14:18', 1, '', 'disallow_cancel', 'SAK.GJ,Post ishemie.', 'Shiko kartelen', 'Dr S Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 2, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 07:14:18 = Ermal Dibra\nAdmitted in ward 2007-01- 07:14:31 Ermal Dibra\nView 2007-01-30 07:14:35 = Ermal Dibra', 'Ermal Dibra', '2007-01-30 07:14:35', 'Ermal Dibra', '2007-01-30 07:14:18');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000284, 10000417, '2007-01-30 07:18:36', 1, '', 'disallow_cancel', 'SAK.post iam', 'Shiko kartelen', 'Dr E Smajlaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-02-01', '11:24:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-30 07:18:36 = Ermal Dibra\nAdmitted in ward 2007-01- 07:19:05 Ermal Dibra\nView 2007-01-30 07:19:13 = Ermal Dibra', 'Ermal Dibra', '2007-02-01 11:25:15', 'Ermal Dibra', '2007-01-30 07:18:36');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000285, 10000420, '2007-01-30 07:23:12', 1, '', 'disallow_cancel', 'Osteartrozis Generalizata', 'Shiko kartelen', 'Dr A Miloti', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-31', '11:51:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-30 07:23:12 = Ermal Dibra\nAdmitted in ward 2007-01- 07:23:27 Ermal Dibra\nView 2007-01-30 07:23:32 = Ermal Dibra\nView 2007-01-31 10:29:14 = Ardiana Dervishi\nView 2007-01-31 10:29:33 = Ardiana Dervishi', 'Ermal Dibra', '2007-01-31 11:52:30', 'Ermal Dibra', '2007-01-30 07:23:12');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000286, 10000430, '2007-01-30 07:26:59', 1, '', 'disallow_cancel', 'Edeme pulmunare acute', 'Siko kartelen', 'dr.E.Kraja', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 5, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 07:26:59 = Ermal Dibra\nAdmitted in ward 2007-01- 07:27:10 Ermal Dibra\nView 2007-01-30 07:27:16 = Ermal Dibra\nView 2007-01-31 10:29:52 = Ardiana Dervishi\nView 2007-01-31 10:30:09 = Ardiana Dervishi', 'Ermal Dibra', '2007-01-31 10:30:09', 'Ermal Dibra', '2007-01-30 07:26:59');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000287, 10000424, '2007-01-30 07:31:06', 1, '', 'disallow_cancel', 'Cor pulmunar.', 'Shiko kartelen', 'Dr S Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 9, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 07:31:06 = Ermal Dibra\nAdmitted in ward 2007-01- 07:31:22 Ermal Dibra\nView 2007-01-30 07:31:28 = Ermal Dibra', 'Ermal Dibra', '2007-01-30 07:31:28', 'Ermal Dibra', '2007-01-30 07:31:06');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000288, 10000427, '2007-01-30 07:35:17', 1, '', 'disallow_cancel', 'Kolagjenoze.', 'Shiko kartelen', 'dr.E.Kraja', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 5, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 07:35:17 = Ermal Dibra\nAdmitted in ward 2007-01- 07:35:27 Ermal Dibra\nView 2007-01-30 07:35:32 = Ermal Dibra\nView 2007-01-31 10:30:19 = Ardiana Dervishi\nView 2007-01-31 10:30:25 = Ardiana Dervishi', 'Ermal Dibra', '2007-01-31 10:30:25', 'Ermal Dibra', '2007-01-30 07:35:17');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000289, 10000439, '2007-01-30 10:21:11', 1, '', 'disallow_cancel', 'Direkt ', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 3, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 10:21:11 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:21:42 Ardiana Dervishi\nView 2007-01-30 10:22:01 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 10:22:01', 'Ardiana Dervishi', '2007-01-30 10:21:11');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000290, 10000434, '2007-01-30 10:50:18', 1, '', 'disallow_cancel', 'Direkt ', 'Shiko kartelen', 'DrS.Duka', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 17, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 10:50:18 = Ardiana Dervishi\nAdmitted in ward 2007-01- 10:51:23 Ardiana Dervishi\nView 2007-01-30 10:51:49 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 10:51:49', 'Ardiana Dervishi', '2007-01-30 10:50:18');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000291, 10000437, '2007-01-30 11:02:15', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr M Shpori', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 6, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 11:02:15 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:03:10 Ardiana Dervishi\nView 2007-01-30 11:03:24 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 11:03:24', 'Ardiana Dervishi', '2007-01-30 11:02:15');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000292, 10000436, '2007-01-30 11:11:03', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 8, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 11:11:03 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:11:51 Ardiana Dervishi\nView 2007-01-30 11:12:06 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 11:12:06', 'Ardiana Dervishi', '2007-01-30 11:11:03');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000293, 10000435, '2007-01-30 11:18:41', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 8, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 11:18:41 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:19:19 Ardiana Dervishi\nView 2007-01-30 11:19:35 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 11:19:35', 'Ardiana Dervishi', '2007-01-30 11:18:41');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000294, 10000447, '2007-01-30 11:40:07', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ESadiku', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 10, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 11:40:07 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:44:46 Ardiana Dervishi\nView 2007-01-30 11:45:28 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 11:45:28', 'Ardiana Dervishi', '2007-01-30 11:40:07');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000295, 10000426, '2007-01-30 12:00:25', 1, '', 'disallow_cancel', 'Sindrom koronar acut', 'Shiko kartelen', 'dr.E.Kraja', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 16, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 12:00:25 = Ermal Dibra\nAdmitted in ward 2007-01- 12:01:03 Ermal Dibra\nView 2007-01-30 12:01:09 = Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:01:09', 'Ermal Dibra', '2007-01-30 12:00:25');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000296, 10000440, '2007-01-30 12:01:26', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.H .Kotri mjek roje', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 12, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 12:01:26 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:04:19 Ardiana Dervishi\nView 2007-01-30 12:04:36 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 12:04:36', 'Ardiana Dervishi', '2007-01-30 12:01:26');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000297, 10000433, '2007-01-30 12:05:17', 1, '', 'disallow_cancel', 'Post nefrektomia.', 'Shiko kartelen', 'Dr .A.Agolli', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 7, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 12:05:17 = Ermal Dibra\nAdmitted in ward 2007-01- 12:05:33 Ermal Dibra\nView 2007-01-30 12:05:39 = Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:05:39', 'Ermal Dibra', '2007-01-30 12:05:17');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000298, 10000444, '2007-01-30 12:08:16', 1, '', 'disallow_cancel', 'Krize hipertensive', 'Shiko kartelen', 'Dr E Smajlaj', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 8, 0, 0, 0, 0, 0, '', '', 1, '2007-02-01', '12:21:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-30 12:08:16 = Ermal Dibra\nAdmitted in ward 2007-01- 12:08:36 Ermal Dibra\nView 2007-01-30 12:08:42 = Ermal Dibra', 'Ermal Dibra', '2007-02-01 12:22:25', 'Ermal Dibra', '2007-01-30 12:08:16');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000299, 10000443, '2007-01-30 12:11:36', 1, '', 'disallow_cancel', 'Susp Hematemezis.', 'Shiko kartelen', 'Dr N.Tabaku', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 12, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 12:11:36 = Ermal Dibra\nAdmitted in ward 2007-01- 12:12:00 Ermal Dibra\nView 2007-01-30 12:12:07 = Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:12:07', 'Ermal Dibra', '2007-01-30 12:11:36');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000300, 10000442, '2007-01-30 12:14:59', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 13, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 12:14:59 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:16:09 Ardiana Dervishi\nView 2007-01-30 12:16:23 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 12:16:23', 'Ardiana Dervishi', '2007-01-30 12:14:59');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000301, 10000431, '2007-01-30 12:15:54', 1, '', 'disallow_cancel', 'SAK.angina pektoris .', 'Shiko kartelen', 'Dr.N.Kasemi', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 11, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 12:15:54 = Ermal Dibra\nAdmitted in ward 2007-01- 12:16:11 Ermal Dibra\nView 2007-01-30 12:16:18 = Ermal Dibra\nView 2007-11-12 12:00:16 = admin', 'Ermal Dibra', '2007-11-12 12:00:16', 'Ermal Dibra', '2007-01-30 12:15:54');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000302, 10000428, '2007-01-30 12:18:52', 1, '', 'disallow_cancel', 'Angina pectoris HTA', 'Shiko kartelen', 'Dr E Kraja', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 16, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 12:18:52 = Ermal Dibra\nAdmitted in ward 2007-01- 12:19:03 Ermal Dibra\nView 2007-01-30 12:19:09 = Ermal Dibra\nView 2007-08-25 16:13:46 = admin\nView 2007-08-25 16:20:54 = admin\n Update: 2007-08-25 16:21:30 = admin', 'admin', '2007-08-25 16:21:30', 'Ermal Dibra', '2007-01-30 12:18:52');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000303, 10000448, '2007-01-30 12:23:38', 1, '', 'disallow_cancel', 'Krize hipertensive', 'Shiko kartelen', 'Dr S Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-01-27', '12:26:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-30 12:23:38 = Ermal Dibra\nAdmitted in ward 2007-01- 12:23:53 Ermal Dibra\nView 2007-01-30 12:24:01 = Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:27:06', 'Ermal Dibra', '2007-01-30 12:23:38');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000304, 10000452, '2007-01-30 12:29:53', 1, '', 'disallow_cancel', 'U.B.Duodeni ne krize', 'Shiko kartelen', 'Dr Z Hoxha', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 7, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 12:29:53 = Ermal Dibra\nAdmitted in ward 2007-01- 12:30:26 Ermal Dibra\nView 2007-01-30 12:30:33 = Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:30:33', 'Ermal Dibra', '2007-01-30 12:29:53');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000305, 10000451, '2007-01-30 12:34:38', 1, '', 'disallow_cancel', 'Cirroze hepatike', 'Shiko kartelen', 'Dr Z Hoxha', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 9, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 12:34:38 = Ermal Dibra\nAdmitted in ward 2007-01- 12:35:01 Ermal Dibra\nView 2007-01-30 12:35:19 = Ermal Dibra\nView 2007-10-22 19:33:01 = admin\nView 2007-10-22 19:34:09 = admin', 'Ermal Dibra', '2007-10-22 19:34:09', 'Ermal Dibra', '2007-01-30 12:34:38');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000306, 10000446, '2007-01-30 12:43:42', 1, '', 'disallow_cancel', 'SAK angor i paqendrueshem', 'Shiko kartelen', 'Dr E Smajlaj', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 7, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 12:43:42 = Ermal Dibra\nAdmitted in ward 2007-01- 12:43:54 Ermal Dibra\nView 2007-01-30 12:43:59 = Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:43:59', 'Ermal Dibra', '2007-01-30 12:43:42');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000307, 10000441, '2007-01-30 12:50:07', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.GNaraÃ§i', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 13, 0, 0, 0, 0, 0, '', '', 1, '2007-01-31', '09:52:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-30 12:50:07 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:50:23 Ardiana Dervishi\nView 2007-01-30 12:50:31 = Ardiana Dervishi\nView 2007-01-30 12:53:03 = Ardiana Dervishi\nView 2007-01-31 09:50:21 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 09:53:11', 'Ardiana Dervishi', '2007-01-30 12:50:07');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000308, 10000453, '2007-01-30 12:50:21', 1, '', 'disallow_cancel', 'Colika renale', 'Shiko kartelen', 'Dr .A.Agolli', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 10, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 12:50:21 = Ermal Dibra\nAdmitted in ward 2007-01- 12:50:47 Ermal Dibra\nView 2007-01-30 12:50:53 = Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:50:53', 'Ermal Dibra', '2007-01-30 12:50:21');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000309, 10000454, '2007-01-30 12:55:48', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.S Kallogjeri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 14, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-30 12:55:48 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:55:59 Ardiana Dervishi\nView 2007-01-30 12:56:08 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 12:56:08', 'Ardiana Dervishi', '2007-01-30 12:55:48');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000310, 10000449, '2007-01-31 10:49:40', 1, '', 'disallow_cancel', 'Fibrilacion atrial.', 'Shiko kartelen', 'Dr Z Hoxha', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-31', '10:54:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-31 10:49:40 = Ermal Dibra\nAdmitted in ward 2007-01- 10:49:52 Ermal Dibra\nView 2007-01-31 10:49:57 = Ermal Dibra', 'Ermal Dibra', '2007-01-31 10:54:38', 'Ermal Dibra', '2007-01-31 10:49:40');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000311, 10000450, '2007-01-31 10:56:51', 1, '', 'disallow_cancel', 'Angor izgjatur', 'Shiko kartelen', 'Dr Z Hoxha', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-31', '11:01:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-31 10:56:51 = Ermal Dibra\nAdmitted in ward 2007-01- 10:57:03 Ermal Dibra\nView 2007-01-31 10:57:08 = Ermal Dibra', 'Ermal Dibra', '2007-01-31 11:02:16', 'Ermal Dibra', '2007-01-31 10:56:51');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000312, 10000455, '2007-01-31 11:10:19', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'DRSDuka', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 7, 0, 0, 0, 0, 0, '', '', 1, '2007-02-01', '10:06:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-31 11:10:19 = Ardiana Dervishi\nAdmitted in ward 2007-01- 11:11:55 Ardiana Dervishi\nView 2007-01-31 11:12:31 = Ardiana Dervishi\nView 2007-02-01 10:04:55 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 10:06:47', 'Ardiana Dervishi', '2007-01-31 11:10:19');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000313, 10000465, '2007-01-31 12:19:41', 1, '', 'disallow_cancel', 'KMP e dilatuar ', 'Shiko kartelen', 'Dr.N.Kasemi', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 10, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-31 12:19:41 = Ermal Dibra\nAdmitted in ward 2007-01- 12:20:04 Ermal Dibra\nView 2007-01-31 12:20:09 = Ermal Dibra', 'Ermal Dibra', '2007-01-31 12:20:09', 'Ermal Dibra', '2007-01-31 12:19:41');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000314, 10000069, '2007-01-31 12:23:23', 1, '', 'disallow_cancel', 'SAK .Post IM ', 'Shiko kartelens', 'Dr E Smajlaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 3, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-31 12:23:23 = Ermal Dibra\nAdmitted in ward 2007-01- 12:23:35 Ermal Dibra\nView 2007-01-31 12:23:41 = Ermal Dibra', 'Ermal Dibra', '2007-01-31 12:23:41', 'Ermal Dibra', '2007-01-31 12:23:23');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000315, 10000469, '2007-01-31 12:27:43', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'DRSDuka', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 10, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-31 12:27:43 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:28:10 Ardiana Dervishi\nView 2007-01-31 12:28:24 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 12:28:24', 'Ardiana Dervishi', '2007-01-31 12:27:43');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000316, 10000467, '2007-01-31 12:27:48', 1, '', 'disallow_cancel', 'SAK', 'Shiko kartelen', 'Dr.Z.Bekteshi', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 4, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-31 12:27:48 = Ermal Dibra\nAdmitted in ward 2007-01- 12:28:31 Ermal Dibra\nView 2007-01-31 12:28:37 = Ermal Dibra', 'Ermal Dibra', '2007-01-31 12:28:37', 'Ermal Dibra', '2007-01-31 12:27:48');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000317, 10000470, '2007-01-31 12:32:21', 1, '', 'disallow_cancel', 'Fib .atrial', 'Shiko kartelen', 'Dr E Smajlaj', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-01-31', '12:35:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-31 12:32:21 = Ermal Dibra\nAdmitted in ward 2007-01- 12:32:34 Ermal Dibra\nView 2007-01-31 12:32:39 = Ermal Dibra', 'Ermal Dibra', '2007-01-31 12:36:15', 'Ermal Dibra', '2007-01-31 12:32:21');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000318, 10000472, '2007-01-31 12:37:59', 1, '', 'disallow_cancel', 'Direkt ', 'Shiko kartelen', 'Dr.ABekteshi', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 5, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-31 12:37:59 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:38:33 Ardiana Dervishi\nView 2007-01-31 12:38:48 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 12:38:48', 'Ardiana Dervishi', '2007-01-31 12:37:59');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000319, 10000473, '2007-01-31 12:41:05', 1, '', 'disallow_cancel', 'Insuf renal', 'Shiko kartelen', 'Dr .A.Agolli', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 1, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-31 12:41:05 = Ermal Dibra\nAdmitted in ward 2007-01- 12:41:17 Ermal Dibra\nView 2007-01-31 12:41:27 = Ermal Dibra\nView 2007-02-27 19:11:09 = admin\nView 2007-02-27 19:11:37 = admin\nView 2007-02-28 18:54:26 = admin\nView 2007-02-28 19:01:57 = admin\nView 2007-07-14 12:33:45 = admin\nView 2007-08-15 11:15:29 = Greta Naraci\nView 2007-08-24 10:27:54 = admin', 'Ermal Dibra', '2007-08-24 10:27:54', 'Ermal Dibra', '2007-01-31 12:41:05');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000320, 10000459, '2007-01-31 12:47:05', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.MShpori', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 3, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-31 12:47:05 = Ardiana Dervishi\nAdmitted in ward 2007-01- 12:47:35 Ardiana Dervishi\nView 2007-01-31 12:48:09 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 12:48:09', 'Ardiana Dervishi', '2007-01-31 12:47:05');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000321, 10000471, '2007-01-31 13:00:06', 1, '', 'disallow_cancel', 'Susp Ascit per determinim', 'Shiko kartelen', 'Dr N.Tabaku', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 11, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-31 13:00:06 = Ermal Dibra\nAdmitted in ward 2007-01- 13:00:21 Ermal Dibra\nView 2007-01-31 13:00:32 = Ermal Dibra\nView 2007-01-31 13:02:39 = Ermal Dibra', 'Ermal Dibra', '2007-01-31 13:02:39', 'Ermal Dibra', '2007-01-31 13:00:06');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000322, 10000474, '2007-01-31 13:01:00', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'DRSDuka', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 6, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-31 13:01:00 = Ardiana Dervishi\nAdmitted in ward 2007-01- 13:05:22 Ardiana Dervishi\nView 2007-01-31 13:05:32 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 13:05:32', 'Ardiana Dervishi', '2007-01-31 13:01:00');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000323, 10000457, '2007-01-31 13:14:08', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr. S.Duka', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 2, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-31 13:14:08 = Ardiana Dervishi\nAdmitted in ward 2007-01- 13:14:45 Ardiana Dervishi\nView 2007-01-31 13:14:53 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 13:14:53', 'Ardiana Dervishi', '2007-01-31 13:14:08');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000324, 10000475, '2007-01-31 13:27:24', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 5, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-01-31 13:27:24 = Ardiana Dervishi\nAdmitted in ward 2007-01- 13:27:50 Ardiana Dervishi\nView 2007-01-31 13:28:08 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 13:28:08', 'Ardiana Dervishi', '2007-01-31 13:27:24');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000325, 10000462, '2007-01-31 13:51:18', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'DRSDuka', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', '0', 2, '0', '0', 0, 0, '', 6, 17, 0, 0, 0, 0, 0, '', '', 1, '2007-02-01', '10:42:00', '0000-00-00', NULL, '', '', 'Create: 2007-01-31 13:51:18 = Ardiana Dervishi\nAdmitted in ward 2007-01- 13:51:52 Ardiana Dervishi\nView 2007-01-31 13:52:09 = Ardiana Dervishi\nView 2007-02-01 10:41:20 = Ardiana Dervishi\nView 2007-02-01 10:41:54 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 10:42:54', 'Ardiana Dervishi', '2007-01-31 13:51:18');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000326, 10000445, '2007-02-01 09:10:39', 1, '', 'disallow_cancel', 'SAK .Post IM ', 'Shiko kartelen', 'Dr S Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 1, 0, 0, 0, 0, 0, '', '', 1, '2007-02-01', '09:16:00', '0000-00-00', NULL, '', '', 'Create: 2007-02-01 09:10:39 = Ermal Dibra\nAdmitted in ward 2007-02- 09:10:52 Ermal Dibra\nView 2007-02-01 09:10:57 = Ermal Dibra', 'Ermal Dibra', '2007-02-01 09:16:55', 'Ermal Dibra', '2007-02-01 09:10:39');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000327, 10000373, '2007-02-01 10:59:58', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 3, '0', '0', 0, 0, '', 6, 2, 0, 0, 0, 0, 0, '', '', 1, '2007-02-01', '11:04:00', '0000-00-00', NULL, '', '', 'Create: 2007-02-01 10:59:58 = Ardiana Dervishi\nAdmitted in ward 2007-02- 11:01:23 Ardiana Dervishi\nView 2007-02-01 11:01:49 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 11:04:57', 'Ardiana Dervishi', '2007-02-01 10:59:58');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000328, 10000332, '2007-02-01 11:20:03', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr. M.Shpori', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 9, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 11:20:03 = Ardiana Dervishi\nAdmitted in ward 2007-02- 11:20:36 Ardiana Dervishi\nView 2007-02-01 11:21:02 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 11:21:02', 'Ardiana Dervishi', '2007-02-01 11:20:03');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000329, 10000493, '2007-02-01 11:32:13', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ABekteshi', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 3, '0', '0', 0, 0, '', 6, 3, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 11:32:13 = Ardiana Dervishi\nAdmitted in ward 2007-02- 11:32:35 Ardiana Dervishi\nView 2007-02-01 11:33:08 = Ardiana Dervishi\nView 2007-02-01 11:36:00 = Ardiana Dervishi\nView 2007-08-07 16:55:26 = admin', 'Ardiana Dervishi', '2007-08-07 16:55:26', 'Ardiana Dervishi', '2007-02-01 11:32:13');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000330, 10000487, '2007-02-01 11:53:17', 1, '', 'disallow_cancel', 'SAK', 'Shiko kartelen', 'Dr S Pirani', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 1, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 11:53:17 = Ermal Dibra\nAdmitted in ward 2007-02- 11:53:30 Ermal Dibra\nView 2007-02-01 11:53:34 = Ermal Dibra', 'Ermal Dibra', '2007-02-01 11:53:34', 'Ermal Dibra', '2007-02-01 11:53:17');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000331, 10000486, '2007-02-01 11:56:10', 1, '', 'disallow_cancel', 'Pyelonefrit acut sin', 'Shiko kartelen', 'Dr .A.Agolli', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 6, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 11:56:10 = Ermal Dibra\nAdmitted in ward 2007-02- 11:56:24 Ermal Dibra\nView 2007-02-01 11:56:29 = Ermal Dibra\nView 2007-08-25 15:55:59 = admin\nView 2007-08-25 16:02:24 = admin', 'Ermal Dibra', '2007-08-25 16:02:24', 'Ermal Dibra', '2007-02-01 11:56:10');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000332, 10000466, '2007-02-01 11:59:55', 1, '', 'disallow_cancel', 'Post nefrektomia.', 'Shiko kartelen', 'Dr .A.Agolli', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 14, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 11:59:55 = Ermal Dibra\nAdmitted in ward 2007-02- 12:00:27 Ermal Dibra\nView 2007-02-01 12:00:35 = Ermal Dibra', 'Ermal Dibra', '2007-02-01 12:00:35', 'Ermal Dibra', '2007-02-01 11:59:55');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000333, 10000490, '2007-02-01 12:02:26', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 17, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 12:02:26 = Ardiana Dervishi\nAdmitted in ward 2007-02- 12:02:48 Ardiana Dervishi\nView 2007-02-01 12:02:55 = Ardiana Dervishi\nView 2007-02-01 12:04:49 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:04:49', 'Ardiana Dervishi', '2007-02-01 12:02:26');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000334, 10000488, '2007-02-01 12:02:29', 1, '', 'disallow_cancel', 'Pyelonefriti acut sin', 'Shiko kartelen', 'Dr .A.Agolli', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 1, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 12:02:29 = Ermal Dibra\nAdmitted in ward 2007-02- 12:02:41 Ermal Dibra\nView 2007-02-01 12:02:46 = Ermal Dibra\nView 2007-02-01 13:06:10 = Ermal Dibra\nView 2007-02-01 13:06:41 = Ermal Dibra', 'Ermal Dibra', '2007-02-01 13:06:41', 'Ermal Dibra', '2007-02-01 12:02:29');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000335, 10000489, '2007-02-01 12:08:18', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'DrRMiloti', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 17, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 12:08:18 = Ardiana Dervishi\nAdmitted in ward 2007-02- 12:08:30 Ardiana Dervishi\nView 2007-02-01 12:08:37 = Ardiana Dervishi\nView 2007-02-01 12:11:04 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:11:04', 'Ardiana Dervishi', '2007-02-01 12:08:18');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000336, 10000499, '2007-02-01 12:14:55', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.S.Duka', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 17, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 12:14:55 = Ardiana Dervishi\nAdmitted in ward 2007-02- 12:15:20 Ardiana Dervishi\nView 2007-02-01 12:15:28 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:15:28', 'Ardiana Dervishi', '2007-02-01 12:14:55');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000337, 10000485, '2007-02-01 12:16:29', 1, '', 'disallow_cancel', 'Artrit romatoid St3', 'Shiko kartelen', 'Dr.A.Fishta', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 7, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 12:16:29 = Ermal Dibra\nAdmitted in ward 2007-02- 12:16:53 Ermal Dibra\nView 2007-02-01 12:17:05 = Ermal Dibra', 'Ermal Dibra', '2007-02-01 12:17:05', 'Ermal Dibra', '2007-02-01 12:16:29');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000338, 10000315, '2007-02-01 12:23:31', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 5, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 12:23:31 = Ardiana Dervishi\nAdmitted in ward 2007-02- 12:23:54 Ardiana Dervishi\nView 2007-02-01 12:24:02 = Ardiana Dervishi\nView 2007-02-01 12:27:54 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:27:54', 'Ardiana Dervishi', '2007-02-01 12:23:31');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000339, 10000498, '2007-02-01 12:24:01', 1, '', 'disallow_cancel', 'Anemia per determinim', 'Shiko kartelen', 'Dr N.Tabaku', '', '', 'Shtrim i planifikuar.', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 8, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 12:24:01 = Ermal Dibra\nAdmitted in ward 2007-02- 12:24:14 Ermal Dibra\nView 2007-02-01 12:24:28 = Ermal Dibra', 'Ermal Dibra', '2007-02-01 12:24:28', 'Ermal Dibra', '2007-02-01 12:24:01');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000340, 10000481, '2007-02-01 12:33:28', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 7, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 12:33:28 = Ardiana Dervishi\nAdmitted in ward 2007-02- 12:33:44 Ardiana Dervishi\nView 2007-02-01 12:33:50 = Ardiana Dervishi\nView 2007-02-01 12:36:51 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:36:51', 'Ardiana Dervishi', '2007-02-01 12:33:28');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000341, 10000479, '2007-02-01 12:37:52', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.S.Duka', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 10, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 12:37:52 = Ardiana Dervishi\nAdmitted in ward 2007-02- 12:38:04 Ardiana Dervishi\nView 2007-02-01 12:38:47 = Ardiana Dervishi\nView 2007-02-01 12:41:41 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:41:41', 'Ardiana Dervishi', '2007-02-01 12:37:52');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000342, 10000483, '2007-02-01 12:42:42', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 1, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 12:42:42 = Ardiana Dervishi\nAdmitted in ward 2007-02- 12:42:59 Ardiana Dervishi\nView 2007-02-01 12:43:04 = Ardiana Dervishi\nView 2007-02-01 12:45:42 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:45:42', 'Ardiana Dervishi', '2007-02-01 12:42:42');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000343, 10000480, '2007-02-01 12:46:31', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr. M.Shpori', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 1, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 12:46:31 = Ardiana Dervishi\nAdmitted in ward 2007-02- 12:46:46 Ardiana Dervishi\nView 2007-02-01 12:46:52 = Ardiana Dervishi\nView 2007-02-01 12:48:58 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:48:58', 'Ardiana Dervishi', '2007-02-01 12:46:31');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000344, 10000496, '2007-02-01 12:48:34', 1, '', 'disallow_cancel', 'Fibrilacion atrial. HTA', 'Shiko kartelen', 'DR.F.Boci', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 12, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 12:48:34 = Ermal Dibra\nAdmitted in ward 2007-02- 12:48:51 Ermal Dibra\nView 2007-02-01 12:48:58 = Ermal Dibra', 'Ermal Dibra', '2007-02-01 12:48:58', 'Ermal Dibra', '2007-02-01 12:48:34');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000345, 10000250, '2007-02-01 12:49:37', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'DrS.Duka', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 2, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 12:49:37 = Ardiana Dervishi\nAdmitted in ward 2007-02- 12:49:49 Ardiana Dervishi\nView 2007-02-01 12:49:56 = Ardiana Dervishi\nView 2007-02-01 12:52:14 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:52:14', 'Ardiana Dervishi', '2007-02-01 12:49:37');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000346, 10000482, '2007-02-01 12:53:07', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 4, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 12:53:07 = Ardiana Dervishi\nAdmitted in ward 2007-02- 12:53:21 Ardiana Dervishi\nView 2007-02-01 12:53:31 = Ardiana Dervishi\nView 2007-02-01 12:55:14 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:55:14', 'Ardiana Dervishi', '2007-02-01 12:53:07');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000347, 10000497, '2007-02-01 12:54:47', 1, '', 'disallow_cancel', 'Perikardit', 'Shiko kartelen', 'DR.F.Boci', '', '', 'Shtrim urgjent', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 3, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 12:54:47 = Ermal Dibra\nAdmitted in ward 2007-02- 12:55:02 Ermal Dibra\nView 2007-02-01 12:55:08 = Ermal Dibra', 'Ermal Dibra', '2007-02-01 12:55:08', 'Ermal Dibra', '2007-02-01 12:54:47');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000348, 10000484, '2007-02-01 12:55:57', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 6, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 12:55:57 = Ardiana Dervishi\nAdmitted in ward 2007-02- 12:56:06 Ardiana Dervishi\nView 2007-02-01 12:56:15 = Ardiana Dervishi\nView 2007-02-01 12:58:52 = Ardiana Dervishi\nView 2007-11-21 17:44:05 = admin', 'Ardiana Dervishi', '2007-11-21 17:44:05', 'Ardiana Dervishi', '2007-02-01 12:55:57');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000349, 10000476, '2007-02-01 12:59:42', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.RMiloti', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 3, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 12:59:42 = Ardiana Dervishi\nAdmitted in ward 2007-02- 12:59:56 Ardiana Dervishi\nView 2007-02-01 13:00:16 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 13:00:16', 'Ardiana Dervishi', '2007-02-01 12:59:42');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000350, 10000492, '2007-02-01 13:05:01', 1, '', 'disallow_cancel', 'Gastroenterit akut ', 'Rekomandim per shtrim', 'Dr.SBilali', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 11, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 13:05:01 = Ardiana Dervishi\nAdmitted in ward 2007-02- 13:05:14 Ardiana Dervishi\nView 2007-02-01 13:05:21 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 13:05:21', 'Ardiana Dervishi', '2007-02-01 13:05:01');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000351, 10000495, '2007-02-01 13:08:22', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 11, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 13:08:22 = Ardiana Dervishi\nAdmitted in ward 2007-02- 13:08:36 Ardiana Dervishi\nView 2007-02-01 13:08:43 = Ardiana Dervishi\nView 2007-02-01 13:14:13 = Ardiana Dervishi\nView 2007-02-01 13:14:24 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 13:14:24', 'Ardiana Dervishi', '2007-02-01 13:08:22');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000352, 10000500, '2007-02-01 13:13:48', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.L.Salabegu-Mjek pranimi-Pediatri', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 12, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 13:13:48 = Ardiana Dervishi\nAdmitted in ward 2007-02- 13:14:02 Ardiana Dervishi\nView 2007-02-01 13:14:51 = Ardiana Dervishi\nView 2007-02-01 13:16:56 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 13:16:56', 'Ardiana Dervishi', '2007-02-01 13:13:48');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000353, 10000501, '2007-02-01 13:19:26', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.ESadiku', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 7, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 13:19:26 = Ardiana Dervishi\nAdmitted in ward 2007-02- 13:19:34 Ardiana Dervishi\nView 2007-02-01 13:19:40 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 13:19:40', 'Ardiana Dervishi', '2007-02-01 13:19:26');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000354, 10000502, '2007-02-01 13:24:22', 1, '', 'disallow_cancel', 'Direkt', 'Shiko kartelen', 'Dr.S.Duka', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 0, '0', '0', 0, 0, '', 6, 6, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-02-01 13:24:22 = Ardiana Dervishi\nAdmitted in ward 2007-02- 13:24:31 Ardiana Dervishi\nView 2007-02-01 13:24:37 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 13:24:37', 'Ardiana Dervishi', '2007-02-01 13:24:22');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000355, 10000303, '2007-08-01 18:56:01', 1, '', 'disallow_cancel', 'nn', 'nn', 'nn', '', '', 'nn', 'green', 2, 0, 'nn', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 1, 1, 56, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-08-01 18:56:01 = admin\nAdmitted in ward 2007-08- 18:56:13 admin\nView 2007-08-01 18:56:17 = admin\nView 2007-08-01 18:57:23 = admin\nView 2007-08-01 18:59:13 = admin\nView 2007-08-01 22:14:47 = admin\nView 2007-08-02 11:39:06 = admin\nView 2007-08-02 18:54:09 = admin\nView 2007-08-02 18:54:51 = admin\nView 2007-08-02 18:57:08 = admin\nView 2007-08-04 14:47:23 = admin\nView 2007-08-04 18:54:22 = admin\nView 2007-08-06 19:42:56 = admin\nView 2007-08-10 13:12:23 = admin\nView 2007-08-10 13:13:21 = admin\nView 2007-08-10 13:39:51 = admin\nView 2007-08-10 13:43:17 = admin\nView 2007-08-10 19:54:29 = admin\nView 2007-08-15 16:15:03 = admin\nView 2007-08-22 16:52:40 = admin\nView 2007-08-22 16:54:23 = admin\nView 2007-08-22 17:02:56 = admin\nView 2007-08-22 17:03:54 = admin\nView 2007-08-22 17:05:04 = admin\nView 2007-08-22 17:05:31 = admin\nView 2007-08-22 17:06:11 = admin\nView 2007-08-22 17:09:49 = admin\nView 2007-08-22 17:10:36 = admin\nView 2007-08-22 17:39:30 = admin\nView 2007-08-22 17:44:37 = admin\nView 2007-08-23 14:06:32 = admin\nView 2007-08-24 10:25:54 = admin\nView 2007-08-24 10:28:34 = admin\nView 2007-08-25 16:00:01 = admin\nView 2007-08-25 16:11:24 = admin\nView 2007-08-25 16:12:06 = admin\nView 2007-09-17 19:27:25 = admin\nView 2007-09-17 21:04:21 = admin\nView 2007-09-17 21:04:43 = admin\nView 2007-09-18 11:29:12 = admin\nView 2007-09-18 13:52:29 = admin\nView 2007-09-18 18:00:54 = admin\nView 2007-09-18 21:57:17 = admin\nView 2007-09-18 22:06:31 = admin\nView 2007-09-19 13:24:39 = admin\nView 2007-09-19 21:31:11 = admin\nView 2007-09-20 14:10:25 = admin\nView 2007-09-20 15:27:29 = admin\nView 2007-09-20 15:33:09 = admin\nView 2007-09-20 16:23:22 = admin\nView 2007-09-22 15:05:35 = admin\nView 2007-09-22 15:09:35 = admin\nView 2007-09-22 22:05:13 = admin\nView 2007-09-22 23:26:02 = admin\nView 2007-09-22 23:38:48 = admin\nView 2007-09-22 23:47:04 = admin\nView 2007-09-23 00:18:47 = admin\nView 2007-09-24 12:35:51 = admin\nView 2007-09-24 12:36:02 = admin\nView 2007-09-25 12:20:56 = admin\nView 2007-09-27 02:36:39 = admin\nView 2007-09-27 02:40:19 = admin\nView 2007-09-28 00:17:25 = admin\nView 2007-09-28 02:35:00 = admin\n Update: 2007-09-28 02:46:56 = admin\nView 2007-09-28 02:47:08 = admin\nView 2007-09-28 02:47:46 = admin\nView 2007-09-28 02:49:29 = admin\nView 2007-09-28 21:29:36 = admin\nView 2007-09-28 21:29:45 = admin\nView 2007-09-28 21:33:02 = admin\nView 2007-10-03 13:09:14 = admin\nView 2007-10-03 13:11:26 = admin\nView 2007-10-03 19:44:41 = admin\nView 2007-10-03 22:31:09 = admin\nView 2007-10-03 22:31:52 = admin\nView 2007-10-03 22:31:58 = admin\nView 2007-10-03 22:40:45 = admin\nView 2007-10-06 18:50:41 = admin\nView 2007-10-06 19:15:57 = admin\nView 2007-10-06 19:17:47 = admin\nView 2007-10-06 19:29:56 = admin\nView 2007-10-07 13:10:01 = admin\nView 2007-10-07 15:56:10 = admin\nView 2007-10-07 16:10:15 = admin\nView 2007-10-07 16:39:29 = admin\nView 2007-10-07 17:02:00 = admin\nView 2007-10-07 17:19:07 = admin\nView 2007-10-08 15:33:22 = admin\nView 2007-10-08 15:46:50 = admin\nView 2007-10-08 15:54:30 = admin\nView 2007-10-08 15:57:35 = admin\nView 2007-10-08 20:44:41 = admin\nView 2007-10-08 21:04:36 = admin\nView 2007-10-15 23:33:18 = admin\nView 2007-10-15 23:44:08 = admin\nView 2007-10-18 18:38:30 = admin\nView 2007-10-18 22:24:34 = admin\nView 2007-10-21 21:04:29 = admin\nView 2007-10-22 19:50:30 = admin\nView 2007-10-22 19:51:25 = admin\nView 2007-10-22 19:52:16 = admin\nView 2007-10-22 20:45:42 = admin\nView 2007-10-22 20:45:59 = admin\n Update: 2007-10-22 20:46:21 = admin\nView 2007-10-22 20:46:54 = admin\nView 2007-10-22 20:47:13 = admin\nView 2007-10-22 20:47:48 = admin\nView 2007-10-22 20:48:30 = admin\nView 2007-10-22 20:48:33 = admin\nView 2007-10-22 20:49:30 = admin\nView 2007-10-24 20:54:26 = admin\n Update: 2007-10-24 20:56:39 = admin\n Update: 2007-10-24 20:57:57 = admin\n Update: 2007-10-24 20:59:30 = admin\nView 2007-10-25 17:35:51 = admin\nView 2007-10-25 17:50:45 = admin\nView 2007-10-25 20:28:35 = admin\nView 2007-10-25 20:28:56 = admin\nView 2007-10-26 12:14:07 = admin\nView 2007-10-26 12:43:32 = admin\nView 2007-11-05 21:11:24 = admin', 'admin', '2007-11-05 21:11:24', 'admin', '2007-08-01 18:56:01');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000356, 10000516, '2007-08-23 14:12:11', 1, '', 'disallow_cancel', 'infarkt', 'An...', 'Dr.', '', '', 'Shtrim', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 2, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-08-23 14:12:11 = admin\nAdmitted in ward 2007-08- 14:13:27 admin\nView 2007-08-23 14:13:31 = admin', 'admin', '2007-08-23 14:13:31', 'admin', '2007-08-23 14:12:11');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000357, 10000518, '2007-08-24 10:30:34', 1, '', 'disallow_cancel', 'ska', 'ska', 'ska', '', '', 'ska', 'white', 0, 0, '0', '0', 0, '0', '0', 0, 0, '', 6, 4, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-08-24 10:30:34 = admin\nAdmitted in ward 2007-08- 10:32:17 admin\nView 2007-08-24 10:32:25 = admin\nView 2007-08-24 10:33:31 = admin', 'admin', '2007-08-24 10:33:31', 'admin', '2007-08-24 10:30:34');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000358, 10000522, '2007-10-06 18:01:25', 1, '', 'disallow_cancel', 'diagnoza', 'terapia e rekomanduar', 'mjeku rekomandues', '', '', 'shenimet e referimit', 'white', 0, 0, '123', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 7, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-10-06 18:01:25 = admin\nAdmitted in ward 2007-10- 18:01:55 admin\nView 2007-10-06 18:02:23 = admin\n Update: 2007-10-06 18:02:36 = admin', 'admin', '2007-10-06 18:02:36', 'admin', '2007-10-06 18:01:25');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000359, 10000535, '2007-10-24 13:44:07', 1, '', '', 'diagnoza', 'terapia', 'mjeku', '', '', 'shenimet e referimit', 'red', 2, 0, '', 'ISKSH', 2, '0', '0', 0, 0, '', 3, 0, 0, 51, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-10-24 13:44:07 = admin\nView 2007-10-24 13:56:49 = admin\n Update: 2007-10-24 13:57:06 = admin\n Update: 2007-10-24 13:57:37 = admin\n Update: 2007-10-24 13:58:53 = admin\n Update: 2007-10-24 14:06:40 = admin\n Update: 2007-10-24 14:13:36 = admin\n Update: 2007-10-24 14:13:40 = admin\n Update: 2007-10-24 14:15:16 = admin\n Update: 2007-10-24 14:15:40 = admin\n Update: 2007-10-24 14:16:27 = admin\n Update: 2007-10-24 14:16:31 = admin\n Update: 2007-10-24 14:51:46 = admin\n Update: 2007-10-24 14:58:13 = admin\n Update: 2007-10-24 15:00:21 = admin\n Update: 2007-10-24 15:01:27 = admin\n Update: 2007-10-24 15:02:36 = admin\n Update: 2007-10-24 15:03:32 = admin\n Update: 2007-10-24 15:04:35 = admin\n Update: 2007-10-24 15:04:44 = admin\n Update: 2007-10-24 15:05:12 = admin\n Update: 2007-10-24 15:05:29 = admin\n Update: 2007-10-24 15:06:00 = admin\n Update: 2007-10-24 15:06:03 = admin\n Update: 2007-10-24 15:06:11 = admin\n Update: 2007-10-24 15:06:17 = admin\n Update: 2007-10-24 15:06:37 = admin\n Update: 2007-10-24 17:23:20 = admin\n Update: 2007-10-24 17:42:32 = admin\n Update: 2007-10-24 17:43:02 = admin\n Update: 2007-10-24 17:44:50 = admin\n Update: 2007-10-24 17:47:48 = admin\n Update: 2007-10-24 17:49:49 = admin\n Update: 2007-10-24 17:55:34 = admin\n Update: 2007-10-24 17:57:44 = admin\n Update: 2007-10-24 18:02:16 = admin\n Update: 2007-10-24 18:02:26 = admin\n Update: 2007-10-24 18:02:33 = admin\n Update: 2007-10-24 18:02:48 = admin\n Update: 2007-10-24 18:02:57 = admin', 'admin', '2007-10-24 18:02:57', 'admin', '2007-10-24 13:44:07');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000360, 10000539, '2007-10-30 20:31:07', 1, '', 'disallow_cancel', 'diagnoza e dergimit', 'terapia', 'mjeku', '', '', 'shenime', 'white', 1, 0, '5432', 'ISKSH', 2, '0', '0', 0, 0, '', 7, 12, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-10-30 20:31:07 = admin\nView 2007-10-30 20:38:20 = admin\n Update: 2007-10-30 20:38:28 = admin\nAdmitted in ward 2007-10- 20:38:41 admin\nReplaced ward 2007-10- 20:41:52 kot1\nAdmitted in ward 2007-10- 20:42:53 kot1', 'kot1', '2007-10-30 20:42:53', 'admin', '2007-10-30 20:31:07');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000361, 10000536, '2007-10-30 20:43:52', 1, '', 'disallow_cancel', 'diagnoza e dergimit', 'terapia e rekomanduar', 'mjeku rekomandues', '', '', 'shenimet e referimit', 'white', 1, 0, '', '', 0, '0', '0', 0, 0, '', 7, 12, 0, 0, 0, 0, 0, '', '', 1, '2007-10-30', '20:46:00', '0000-00-00', NULL, '', '', 'Create: 2007-10-30 20:43:52 = kot1\nAdmitted in ward 2007-10- 20:44:01 kot1', 'kot1', '2007-10-30 20:46:15', 'kot1', '2007-10-30 20:43:52');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007000362, 10000536, '2007-10-30 20:46:48', 1, '', 'disallow_cancel', 'diagnoza e dergimit', 'terapia e rekomanduar', 'mjeku rekomandues', '', '', 'shenimet e referimit', 'white', 1, 0, '6543', 'ISKSH', 2, '0', '0', 0, 0, '', 6, 19, 1, 0, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-10-30 20:46:48 = kot1\nAdmitted in ward 2007-10- 20:47:12 kot1', 'kot1', '2007-10-30 20:47:12', 'kot1', '2007-10-30 20:46:48');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007500000, 10000512, '2007-08-15 11:19:31', 2, '', 'disallow_cancel', 'Trauma', 'Jo', 'Direkt', '', '', 'jo', 'white', 0, 0, 'normal', 'ISKSH', 2, '0', '0', 0, 0, '', 0, 0, 0, 8, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-08-15 11:19:31 = Greta Naraci\nView 2007-08-15 11:20:11 = Greta Naraci\nView 2007-08-15 11:21:04 = Greta Naraci\nSet dept + in dept 2007-08- 11:21:46 Greta Naraci\nView 2007-08-15 11:21:57 = Greta Naraci\nView 2007-08-15 11:22:40 = Greta Naraci\nView 2007-08-15 11:23:11 = Greta Naraci\nView 2007-08-15 11:35:54 = Greta Naraci\nView 2007-08-15 11:36:30 = Greta Naraci\nReset current dept 2007-08- 14:14:54 admin\nSet dept 2007-08- 14:14:54 admin', 'admin', '2007-08-23 14:14:54', 'Greta Naraci', '2007-08-15 11:19:31');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007500001, 10000514, '2007-08-20 21:22:01', 2, '', 'disallow_cancel', 'diag', 'diag', 'diag', '', '', 'diag', 'white', 0, 0, 'diag', 'ISKSH', 2, '0', '0', 0, 0, '', 0, 0, 0, 51, 1, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-08-20 21:22:01 = admin\nSet dept + in dept 2007-08- 21:23:00 admin', 'admin', '2007-08-20 21:23:00', 'admin', '2007-08-20 21:22:01');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007500002, 10000517, '2007-08-23 14:17:29', 2, '', 'disallow_cancel', 'infarkt', 'An...', 'Dr.', '', '', 'sks', 'white', 0, 0, '0', 'ISKSH', 2, '0', '0', 0, 0, '', 0, 0, 0, 56, 0, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-08-23 14:17:29 = admin\nSet dept + in dept 2007-08- 14:17:53 admin\nReset current dept 2007-08- 14:19:20 admin\nSet dept 2007-08- 14:19:20 admin', 'admin', '2007-08-23 14:19:20', 'admin', '2007-08-23 14:17:29');
INSERT INTO `care_encounter` (`encounter_nr`, `pid`, `encounter_date`, `encounter_class_nr`, `encounter_type`, `encounter_status`, `referrer_diagnosis`, `referrer_recom_therapy`, `referrer_dr`, `referrer_dept`, `referrer_institution`, `referrer_notes`, `triage`, `admit_type`, `financial_class_nr`, `insurance_nr`, `insurance_firm_id`, `insurance_class_nr`, `insurance_2_nr`, `insurance_2_firm_id`, `guarantor_pid`, `contact_pid`, `contact_relation`, `current_ward_nr`, `current_room_nr`, `in_ward`, `current_dept_nr`, `in_dept`, `current_firm_nr`, `current_att_dr_nr`, `consulting_dr`, `extra_service`, `is_discharged`, `discharge_date`, `discharge_time`, `followup_date`, `followup_responsibility`, `post_encounter_notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2007500003, 10000051, '2007-11-12 12:00:54', 2, '', 'disallow_cancel', 'a', 'Antibioticia', 'A. Sumaa', '', '', 'A', 'white', 0, 0, 'q23eew', '', 2, '0', '0', 0, 0, '', 3, 0, 0, 51, 1, 0, 0, '', '', 0, NULL, NULL, '0000-00-00', NULL, '', '', 'Create: 2007-11-12 12:00:54 = admin\nSet dept + in dept 2007-11- 12:01:08 admin\nView 2007-11-12 12:01:14 = admin', 'admin', '2007-11-12 12:01:14', 'admin', '2007-11-12 12:00:54');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter_custom_ddc`
-- 

CREATE TABLE `care_encounter_custom_ddc` (
  `nr` int(11) NOT NULL auto_increment,
  `encounter_nr` int(11) NOT NULL,
  `indatetime` datetime NOT NULL,
  `urinesugar` varchar(35) collate latin1_general_ci NOT NULL,
  `acetone` varchar(35) collate latin1_general_ci NOT NULL,
  `bloodsugar` decimal(10,2) NOT NULL,
  `tablets` varchar(35) collate latin1_general_ci NOT NULL,
  `insulin` decimal(10,2) NOT NULL,
  `createid` varchar(64) collate latin1_general_ci NOT NULL,
  `createtime` timestamp NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=5 ;

-- 
-- Dumping data for table `care_encounter_custom_ddc`
-- 

INSERT INTO `care_encounter_custom_ddc` (`nr`, `encounter_nr`, `indatetime`, `urinesugar`, `acetone`, `bloodsugar`, `tablets`, `insulin`, `createid`, `createtime`) VALUES (1, 2007000178, '2007-08-01 16:18:00', '12', '12', '12.00', '12', '12.00', 'admin', '2007-08-01 16:18:11');
INSERT INTO `care_encounter_custom_ddc` (`nr`, `encounter_nr`, `indatetime`, `urinesugar`, `acetone`, `bloodsugar`, `tablets`, `insulin`, `createid`, `createtime`) VALUES (2, 2007000355, '2007-08-06 12:37:00', '12', '12', '12.00', '14', '12.00', 'admin', '2007-08-15 00:26:48');
INSERT INTO `care_encounter_custom_ddc` (`nr`, `encounter_nr`, `indatetime`, `urinesugar`, `acetone`, `bloodsugar`, `tablets`, `insulin`, `createid`, `createtime`) VALUES (3, 2007000319, '2007-08-14 15:58:00', '4', '4', '40.00', '4', '4.00', 'admin', '2007-08-14 15:58:56');
INSERT INTO `care_encounter_custom_ddc` (`nr`, `encounter_nr`, `indatetime`, `urinesugar`, `acetone`, `bloodsugar`, `tablets`, `insulin`, `createid`, `createtime`) VALUES (4, 2007000355, '2007-08-15 00:26:00', '12', '12', '12.00', '12', '12.00', 'admin', '2007-08-15 00:26:41');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter_custom_inout`
-- 

CREATE TABLE `care_encounter_custom_inout` (
  `nr` int(11) NOT NULL auto_increment,
  `encounter_nr` int(11) NOT NULL,
  `indatetime` datetime NOT NULL,
  `pint` decimal(10,2) NOT NULL,
  `solution` varchar(32) collate latin1_general_ci NOT NULL,
  `solutionamount` decimal(10,2) NOT NULL,
  `initial` varchar(6) collate latin1_general_ci NOT NULL,
  `oralfluid` varchar(32) collate latin1_general_ci NOT NULL,
  `oralfluidamount` decimal(10,2) NOT NULL,
  `urinetime` time NOT NULL,
  `urineamount` decimal(10,2) NOT NULL,
  `rta` decimal(10,2) NOT NULL,
  `drain` decimal(10,2) NOT NULL,
  `createid` varchar(64) collate latin1_general_ci NOT NULL,
  `createtime` timestamp NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=5 ;

-- 
-- Dumping data for table `care_encounter_custom_inout`
-- 

INSERT INTO `care_encounter_custom_inout` (`nr`, `encounter_nr`, `indatetime`, `pint`, `solution`, `solutionamount`, `initial`, `oralfluid`, `oralfluidamount`, `urinetime`, `urineamount`, `rta`, `drain`, `createid`, `createtime`) VALUES (1, 2007000178, '2007-08-01 16:17:00', '12.00', '12', '12.00', '12', '12', '12.00', '00:00:12', '12.00', '12.00', '12.00', 'admin', '2007-08-01 16:17:57');
INSERT INTO `care_encounter_custom_inout` (`nr`, `encounter_nr`, `indatetime`, `pint`, `solution`, `solutionamount`, `initial`, `oralfluid`, `oralfluidamount`, `urinetime`, `urineamount`, `rta`, `drain`, `createid`, `createtime`) VALUES (2, 2007000355, '2007-08-06 12:42:00', '12.00', '12', '12.00', '12', '12', '12.00', '00:00:12', '12.00', '12.00', '12.00', 'admin', '2007-08-06 12:42:18');
INSERT INTO `care_encounter_custom_inout` (`nr`, `encounter_nr`, `indatetime`, `pint`, `solution`, `solutionamount`, `initial`, `oralfluid`, `oralfluidamount`, `urinetime`, `urineamount`, `rta`, `drain`, `createid`, `createtime`) VALUES (3, 2007000319, '2007-08-14 15:58:00', '12.00', '14', '12.00', '124', '124', '12.00', '00:00:04', '14.00', '14.00', '12.40', 'admin', '2007-08-14 15:58:33');
INSERT INTO `care_encounter_custom_inout` (`nr`, `encounter_nr`, `indatetime`, `pint`, `solution`, `solutionamount`, `initial`, `oralfluid`, `oralfluidamount`, `urinetime`, `urineamount`, `rta`, `drain`, `createid`, `createtime`) VALUES (4, 2007000355, '2007-08-15 00:27:00', '13.00', '13', '13.00', '13', '13', '13.00', '00:00:13', '13.00', '13.00', '13.00', 'admin', '2007-08-15 00:27:19');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter_custom_noc`
-- 

CREATE TABLE `care_encounter_custom_noc` (
  `nr` int(11) NOT NULL auto_increment,
  `encounter_nr` int(11) NOT NULL,
  `indatetime` datetime NOT NULL,
  `verbal` tinyint(1) NOT NULL,
  `moton` tinyint(1) NOT NULL,
  `eyes` tinyint(1) NOT NULL,
  `createid` varchar(64) collate latin1_general_ci NOT NULL,
  `createtime` timestamp NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=6 ;

-- 
-- Dumping data for table `care_encounter_custom_noc`
-- 

INSERT INTO `care_encounter_custom_noc` (`nr`, `encounter_nr`, `indatetime`, `verbal`, `moton`, `eyes`, `createid`, `createtime`) VALUES (1, 2007000178, '2007-08-01 16:14:00', 1, 1, 1, 'admin', '2007-08-01 16:16:10');
INSERT INTO `care_encounter_custom_noc` (`nr`, `encounter_nr`, `indatetime`, `verbal`, `moton`, `eyes`, `createid`, `createtime`) VALUES (2, 2007000355, '2007-08-06 12:50:00', 2, 2, 2, 'admin', '2007-08-06 12:51:48');
INSERT INTO `care_encounter_custom_noc` (`nr`, `encounter_nr`, `indatetime`, `verbal`, `moton`, `eyes`, `createid`, `createtime`) VALUES (3, 2007000319, '2007-08-14 15:59:00', 5, 6, 2, 'admin', '2007-08-14 15:59:39');
INSERT INTO `care_encounter_custom_noc` (`nr`, `encounter_nr`, `indatetime`, `verbal`, `moton`, `eyes`, `createid`, `createtime`) VALUES (4, 2007000319, '2007-08-14 15:59:00', 5, 6, 4, 'admin', '2007-08-14 15:59:51');
INSERT INTO `care_encounter_custom_noc` (`nr`, `encounter_nr`, `indatetime`, `verbal`, `moton`, `eyes`, `createid`, `createtime`) VALUES (5, 2007000355, '2007-08-15 00:33:00', 5, 6, 4, 'admin', '2007-08-15 00:33:43');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter_custom_tc`
-- 

CREATE TABLE `care_encounter_custom_tc` (
  `nr` int(11) NOT NULL auto_increment,
  `encounter_nr` int(11) NOT NULL,
  `createid` varchar(64) collate latin1_general_ci NOT NULL,
  `createtime` timestamp NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `indatetime` datetime NOT NULL,
  `time` time NOT NULL,
  `position` varchar(32) collate latin1_general_ci NOT NULL,
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=19 ;

-- 
-- Dumping data for table `care_encounter_custom_tc`
-- 

INSERT INTO `care_encounter_custom_tc` (`nr`, `encounter_nr`, `createid`, `createtime`, `indatetime`, `time`, `position`) VALUES (1, 2007000178, 'admin', '2007-08-01 16:16:49', '2007-08-01 01:00:00', '13:00:00', 'SUPINE');
INSERT INTO `care_encounter_custom_tc` (`nr`, `encounter_nr`, `createid`, `createtime`, `indatetime`, `time`, `position`) VALUES (2, 2007000178, 'admin', '2007-08-01 16:16:56', '2007-08-01 02:00:00', '14:00:00', 'LEFT LATERAL');
INSERT INTO `care_encounter_custom_tc` (`nr`, `encounter_nr`, `createid`, `createtime`, `indatetime`, `time`, `position`) VALUES (3, 2007000178, 'admin', '2007-08-01 16:17:03', '2007-08-01 03:00:00', '15:00:00', 'RIGHT LATERAL');
INSERT INTO `care_encounter_custom_tc` (`nr`, `encounter_nr`, `createid`, `createtime`, `indatetime`, `time`, `position`) VALUES (4, 2007000355, 'admin', '2007-08-06 12:55:07', '2007-08-06 12:12:00', '12:12:00', 'DEKUBITUS LATERAL I MAJTE');
INSERT INTO `care_encounter_custom_tc` (`nr`, `encounter_nr`, `createid`, `createtime`, `indatetime`, `time`, `position`) VALUES (5, 2007000355, 'admin', '2007-08-14 23:42:24', '2007-08-06 00:00:00', '00:00:00', 'SUPINE');
INSERT INTO `care_encounter_custom_tc` (`nr`, `encounter_nr`, `createid`, `createtime`, `indatetime`, `time`, `position`) VALUES (6, 2007000355, 'admin', '2007-08-06 12:55:17', '2007-08-06 12:00:00', '00:00:00', 'DEKUBITUS LATERAL I DJATHTE');
INSERT INTO `care_encounter_custom_tc` (`nr`, `encounter_nr`, `createid`, `createtime`, `indatetime`, `time`, `position`) VALUES (7, 2007000355, 'admin', '2007-08-06 12:55:20', '2007-08-06 12:00:00', '00:00:00', 'SUPIN');
INSERT INTO `care_encounter_custom_tc` (`nr`, `encounter_nr`, `createid`, `createtime`, `indatetime`, `time`, `position`) VALUES (8, 2007000319, 'admin', '2007-08-14 15:59:31', '2007-08-14 00:00:00', '00:00:00', 'SUPIN');
INSERT INTO `care_encounter_custom_tc` (`nr`, `encounter_nr`, `createid`, `createtime`, `indatetime`, `time`, `position`) VALUES (9, 2007000319, 'admin', '2007-08-14 15:59:06', '2007-08-14 12:00:00', '00:00:12', 'DEKUBITUS LATERAL I MAJTE');
INSERT INTO `care_encounter_custom_tc` (`nr`, `encounter_nr`, `createid`, `createtime`, `indatetime`, `time`, `position`) VALUES (10, 2007000319, 'admin', '2007-08-14 15:59:11', '2007-08-14 12:00:00', '00:00:00', 'DEKUBITUS LATERAL I MAJTE');
INSERT INTO `care_encounter_custom_tc` (`nr`, `encounter_nr`, `createid`, `createtime`, `indatetime`, `time`, `position`) VALUES (11, 2007000319, 'admin', '2007-08-14 15:59:22', '2007-08-14 12:00:00', '00:00:12', 'SUPIN');
INSERT INTO `care_encounter_custom_tc` (`nr`, `encounter_nr`, `createid`, `createtime`, `indatetime`, `time`, `position`) VALUES (12, 2007000319, 'admin', '2007-08-14 15:59:25', '2007-08-14 12:00:00', '00:00:12', 'DEKUBITUS LATERAL I DJATHTE');
INSERT INTO `care_encounter_custom_tc` (`nr`, `encounter_nr`, `createid`, `createtime`, `indatetime`, `time`, `position`) VALUES (13, 2007000355, 'admin', '2007-08-14 23:42:31', '2007-08-14 12:00:00', '00:00:12', 'LEFT LATERAL');
INSERT INTO `care_encounter_custom_tc` (`nr`, `encounter_nr`, `createid`, `createtime`, `indatetime`, `time`, `position`) VALUES (14, 2007000355, 'admin', '2007-08-14 23:42:37', '2007-08-14 12:00:00', '00:00:12', 'SUPINE');
INSERT INTO `care_encounter_custom_tc` (`nr`, `encounter_nr`, `createid`, `createtime`, `indatetime`, `time`, `position`) VALUES (15, 2007000355, 'admin', '2007-08-14 23:42:43', '2007-08-14 02:00:00', '00:00:14', 'RIGHT LATERAL');
INSERT INTO `care_encounter_custom_tc` (`nr`, `encounter_nr`, `createid`, `createtime`, `indatetime`, `time`, `position`) VALUES (16, 2007000355, 'admin', '2007-08-15 11:04:19', '2007-08-15 12:00:00', '00:00:00', 'DEKUBITUS LATERAL I MAJTE');
INSERT INTO `care_encounter_custom_tc` (`nr`, `encounter_nr`, `createid`, `createtime`, `indatetime`, `time`, `position`) VALUES (17, 2007000355, 'admin', '2007-08-15 11:04:25', '2007-08-15 12:00:00', '00:00:00', 'SUPIN');
INSERT INTO `care_encounter_custom_tc` (`nr`, `encounter_nr`, `createid`, `createtime`, `indatetime`, `time`, `position`) VALUES (18, 2007000355, 'admin', '2007-08-15 11:04:38', '2007-08-15 12:00:00', '00:00:00', 'DEKUBITUS LATERAL I DJATHTE');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter_diagnosis`
-- 

CREATE TABLE `care_encounter_diagnosis` (
  `diagnosis_nr` int(11) NOT NULL auto_increment,
  `encounter_nr` int(11) NOT NULL default '0',
  `op_nr` int(10) unsigned NOT NULL default '0',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `code` varchar(25) collate latin1_general_ci NOT NULL,
  `code_parent` varchar(25) collate latin1_general_ci NOT NULL,
  `group_nr` mediumint(8) unsigned NOT NULL default '0',
  `code_version` tinyint(4) NOT NULL default '0',
  `localcode` varchar(35) collate latin1_general_ci NOT NULL,
  `category_nr` tinyint(3) unsigned NOT NULL default '0',
  `type` varchar(35) collate latin1_general_ci NOT NULL,
  `localization` varchar(35) collate latin1_general_ci NOT NULL,
  `diagnosing_clinician` varchar(60) collate latin1_general_ci NOT NULL,
  `diagnosing_dept_nr` smallint(5) unsigned NOT NULL default '0',
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`diagnosis_nr`),
  KEY `encounter_nr` (`encounter_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=165 ;

-- 
-- Dumping data for table `care_encounter_diagnosis`
-- 

INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10, 2006000004, 0, '2006-12-20 13:21:48', 'L10.3', 'L10.-', 0, 10, '', 1, '', '3', 'Ardianu Dervishi', 0, '', 'Create 2006-12-20 13:21:48 Ardianu Dervishi\nSet category 2006-12-20 13:21:51 Ardianu Dervishi\nSet localization 2006-12-20 13:21:53 Ardianu Dervishi\n', 'Ardianu Dervishi', '2006-12-20 13:21:53', 'Ardianu Dervishi', '2006-12-20 13:21:48');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (11, 2007000050, 0, '2007-01-20 10:22:34', '490', '', 0, 10, '', 99, '', '', 'Ardiana Dervishi', 0, '', 'Create 2007-01-20 10:22:34 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 10:22:34', 'Ardiana Dervishi', '2007-01-20 10:22:34');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (12, 2007000070, 0, '2007-01-22 09:59:09', '490', '', 0, 10, '', 99, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-22 09:59:09 Ardiana Dervishi\nSet localization 2007-01-22 09:59:25 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 09:59:25', 'Ardiana Dervishi', '2007-01-22 09:59:09');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (13, 2007000143, 0, '2007-01-23 12:28:02', '490', '', 0, 10, '', 99, '', '', 'Ardiana Dervishi', 0, '', 'Create 2007-01-23 12:28:02 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-23 12:28:02', 'Ardiana Dervishi', '2007-01-23 12:28:02');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (14, 2007000173, 0, '2007-01-24 09:01:14', '466', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-24 09:01:14 Ardiana Dervishi\nSet category 2007-01-24 09:01:30 Ardiana Dervishi\nSet localization 2007-01-24 09:01:43 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 09:01:43', 'Ardiana Dervishi', '2007-01-24 09:01:14');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (15, 2007000120, 0, '2007-01-24 09:06:27', '558', '', 0, 10, '', 1, '', '', 'Ardiana Dervishi', 0, '', 'Create 2007-01-24 09:06:27 Ardiana Dervishi\nSet category 2007-01-24 09:06:45 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 09:06:45', 'Ardiana Dervishi', '2007-01-24 09:06:27');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (16, 2007000105, 0, '2007-01-24 11:07:52', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-24 11:07:52 Ardiana Dervishi\nSet category 2007-01-24 11:08:01 Ardiana Dervishi\nSet localization 2007-01-24 11:08:05 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:08:05', 'Ardiana Dervishi', '2007-01-24 11:07:52');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (17, 2007000158, 0, '2007-01-24 11:09:22', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-24 11:09:22 Ardiana Dervishi\nSet category 2007-01-24 11:09:29 Ardiana Dervishi\nSet localization 2007-01-24 11:09:32 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:09:32', 'Ardiana Dervishi', '2007-01-24 11:09:22');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (18, 2007000126, 0, '2007-01-24 11:12:04', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-24 11:12:04 Ardiana Dervishi\nSet category 2007-01-24 11:12:08 Ardiana Dervishi\nSet localization 2007-01-24 11:12:11 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:12:11', 'Ardiana Dervishi', '2007-01-24 11:12:04');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (19, 2007000108, 0, '2007-01-24 11:13:14', '485', '', 0, 10, '', 1, '', '2', 'Ardiana Dervishi', 0, '', 'Create 2007-01-24 11:13:14 Ardiana Dervishi\nSet category 2007-01-24 11:13:22 Ardiana Dervishi\nSet localization 2007-01-24 11:13:25 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:13:25', 'Ardiana Dervishi', '2007-01-24 11:13:14');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (20, 2007000189, 0, '2007-01-24 11:21:54', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-24 11:21:54 Ardiana Dervishi\nSet category 2007-01-24 11:22:07 Ardiana Dervishi\nSet localization 2007-01-24 11:22:10 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:22:10', 'Ardiana Dervishi', '2007-01-24 11:21:54');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (21, 2007000190, 0, '2007-01-24 11:27:38', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-24 11:27:38 Ardiana Dervishi\nSet category 2007-01-24 11:27:42 Ardiana Dervishi\nSet localization 2007-01-24 11:27:45 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:27:45', 'Ardiana Dervishi', '2007-01-24 11:27:38');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (22, 2007000191, 0, '2007-01-24 11:34:38', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-24 11:34:38 Ardiana Dervishi\nSet category 2007-01-24 11:34:46 Ardiana Dervishi\nSet localization 2007-01-24 11:34:56 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:34:56', 'Ardiana Dervishi', '2007-01-24 11:34:38');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (23, 2007000115, 0, '2007-01-24 12:57:27', '280', '', 0, 10, '', 99, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-24 12:57:27 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 12:57:27', 'Ermal Dibra', '2007-01-24 12:57:27');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (24, 2007000150, 0, '2007-01-25 08:41:59', '428', '', 0, 10, '', 99, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-25 08:41:59 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 08:41:59', 'Ermal Dibra', '2007-01-25 08:41:59');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (25, 2007000106, 0, '2007-01-25 12:26:46', '413', '', 0, 10, '', 99, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-25 12:26:46 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 12:26:46', 'Ermal Dibra', '2007-01-25 12:26:46');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (26, 2007000068, 0, '2007-01-25 12:29:20', '250', '', 0, 10, '', 99, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-25 12:29:20 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 12:29:20', 'Ermal Dibra', '2007-01-25 12:29:20');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (27, 2007000199, 0, '2007-01-25 12:45:24', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-25 12:45:24 Ardiana Dervishi\nSet category 2007-01-25 12:45:39 Ardiana Dervishi\nSet localization 2007-01-25 12:45:45 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-25 12:45:45', 'Ardiana Dervishi', '2007-01-25 12:45:24');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (28, 2007000084, 0, '2007-01-25 13:17:45', '410', '', 0, 10, '', 99, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-25 13:17:45 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 13:17:45', 'Ermal Dibra', '2007-01-25 13:17:45');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (29, 2007000192, 0, '2007-01-26 09:56:33', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-26 09:56:33 Ardiana Dervishi\nSet category 2007-01-26 09:56:37 Ardiana Dervishi\nSet localization 2007-01-26 09:56:39 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 09:56:39', 'Ardiana Dervishi', '2007-01-26 09:56:33');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (30, 2007000078, 0, '2007-01-26 10:04:33', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-26 10:04:33 Ardiana Dervishi\nSet category 2007-01-26 10:04:37 Ardiana Dervishi\nSet localization 2007-01-26 10:04:42 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:04:42', 'Ardiana Dervishi', '2007-01-26 10:04:33');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (31, 2007000031, 0, '2007-01-26 10:07:48', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-26 10:07:48 Ardiana Dervishi\nSet category 2007-01-26 10:07:52 Ardiana Dervishi\nSet localization 2007-01-26 10:07:54 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:07:54', 'Ardiana Dervishi', '2007-01-26 10:07:48');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (32, 2007000141, 0, '2007-01-26 10:11:29', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-26 10:11:29 Ardiana Dervishi\nSet category 2007-01-26 10:11:32 Ardiana Dervishi\nSet localization 2007-01-26 10:11:34 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:11:34', 'Ardiana Dervishi', '2007-01-26 10:11:29');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (33, 2007000123, 0, '2007-01-26 10:13:34', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-26 10:13:34 Ardiana Dervishi\nSet category 2007-01-26 10:13:37 Ardiana Dervishi\nSet localization 2007-01-26 10:13:39 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:13:39', 'Ardiana Dervishi', '2007-01-26 10:13:34');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (34, 2007000077, 0, '2007-01-26 10:16:58', '466', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-26 10:16:58 Ardiana Dervishi\nSet category 2007-01-26 10:17:01 Ardiana Dervishi\nSet localization 2007-01-26 10:17:05 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:17:05', 'Ardiana Dervishi', '2007-01-26 10:16:58');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (35, 2007000139, 0, '2007-01-26 10:18:10', '413', '', 0, 10, '', 99, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-26 10:18:10 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 10:18:10', 'Ermal Dibra', '2007-01-26 10:18:10');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (36, 2007000044, 0, '2007-01-26 10:20:09', '413', '', 0, 10, '', 99, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-26 10:20:09 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 10:20:09', 'Ermal Dibra', '2007-01-26 10:20:09');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (37, 2007000127, 0, '2007-01-26 10:22:46', '001', '', 0, 10, '', 99, '', '', 'Ardiana Dervishi', 0, '', 'Create 2007-01-26 10:22:46 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:22:46', 'Ardiana Dervishi', '2007-01-26 10:22:46');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (38, 2007000182, 0, '2007-01-26 10:23:02', '585', '', 0, 10, '', 99, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-26 10:23:02 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 10:23:02', 'Ermal Dibra', '2007-01-26 10:23:02');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (39, 2007000054, 0, '2007-01-26 10:28:53', '280', '', 0, 10, '', 99, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-26 10:28:53 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 10:28:53', 'Ermal Dibra', '2007-01-26 10:28:53');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (40, 2007000217, 0, '2007-01-26 13:11:48', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-26 13:11:48 Ardiana Dervishi\nSet category 2007-01-26 13:12:01 Ardiana Dervishi\nSet localization 2007-01-26 13:12:07 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:12:07', 'Ardiana Dervishi', '2007-01-26 13:11:48');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (41, 2007000176, 0, '2007-01-26 13:14:31', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-26 13:14:31 Ardiana Dervishi\nSet category 2007-01-26 13:14:48 Ardiana Dervishi\nSet localization 2007-01-26 13:14:54 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:14:54', 'Ardiana Dervishi', '2007-01-26 13:14:31');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (42, 2007000221, 0, '2007-01-26 13:16:49', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-26 13:16:49 Ardiana Dervishi\nSet category 2007-01-26 13:16:58 Ardiana Dervishi\nSet localization 2007-01-26 13:17:03 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:17:03', 'Ardiana Dervishi', '2007-01-26 13:16:49');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (43, 2007000210, 0, '2007-01-26 13:20:21', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-26 13:20:21 Ardiana Dervishi\nSet category 2007-01-26 13:20:29 Ardiana Dervishi\nSet localization 2007-01-26 13:20:34 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:20:34', 'Ardiana Dervishi', '2007-01-26 13:20:21');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (44, 2007000216, 0, '2007-01-26 13:23:11', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-26 13:23:11 Ardiana Dervishi\nSet category 2007-01-26 13:23:26 Ardiana Dervishi\nSet localization 2007-01-26 13:23:31 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:23:31', 'Ardiana Dervishi', '2007-01-26 13:23:11');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (45, 2007000114, 0, '2007-01-27 09:52:42', '413', '', 0, 10, '', 99, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 09:52:42 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 09:52:42', 'Ermal Dibra', '2007-01-27 09:52:42');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (46, 2007000148, 0, '2007-01-27 09:55:51', '413', '', 0, 10, '', 99, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 09:55:51 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 09:55:51', 'Ermal Dibra', '2007-01-27 09:55:51');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (47, 2007000147, 0, '2007-01-27 09:58:00', '413', '', 0, 10, '', 99, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 09:58:00 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 09:58:00', 'Ermal Dibra', '2007-01-27 09:58:00');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (48, 2007000140, 0, '2007-01-27 11:16:26', '401', '', 0, 10, '', 99, '', '', 'Ermal Dibra', 0, 'deleted', 'Create 2007-01-27 11:16:26 Ermal Dibra\nDelete 2007-01-27 11:16:54 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:16:54', 'Ermal Dibra', '2007-01-27 11:16:26');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (49, 2007000140, 0, '2007-01-27 11:17:10', '401', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:17:10 Ermal Dibra\nSet category 2007-01-27 11:17:22 Ermal Dibra\nReset main category 2007-01-27 11:18:13 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:18:13', 'Ermal Dibra', '2007-01-27 11:17:10');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (50, 2007000140, 0, '2007-01-27 11:18:09', '414', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:18:09 Ermal Dibra\nSet category 2007-01-27 11:18:13 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:18:13', 'Ermal Dibra', '2007-01-27 11:18:09');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (51, 2007000085, 0, '2007-01-27 11:23:51', '425', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:23:51 Ermal Dibra\nSet category 2007-01-27 11:23:57 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:23:57', 'Ermal Dibra', '2007-01-27 11:23:51');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (52, 2007000085, 0, '2007-01-27 11:24:15', '250', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:24:15 Ermal Dibra\nSet category 2007-01-27 11:24:21 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:24:21', 'Ermal Dibra', '2007-01-27 11:24:15');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (53, 2007000151, 0, '2007-01-27 11:27:17', '425', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:27:17 Ermal Dibra\nSet category 2007-01-27 11:27:21 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:27:21', 'Ermal Dibra', '2007-01-27 11:27:17');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (54, 2007000151, 0, '2007-01-27 11:27:48', '427', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:27:48 Ermal Dibra\nSet category 2007-01-27 11:27:52 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:27:52', 'Ermal Dibra', '2007-01-27 11:27:48');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (55, 2007000138, 0, '2007-01-27 11:29:39', '415', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:29:39 Ermal Dibra\nSet category 2007-01-27 11:29:45 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:29:45', 'Ermal Dibra', '2007-01-27 11:29:39');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (56, 2007000138, 0, '2007-01-27 11:30:02', '410', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:30:02 Ermal Dibra\nSet category 2007-01-27 11:30:10 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:30:10', 'Ermal Dibra', '2007-01-27 11:30:02');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (57, 2007000215, 0, '2007-01-27 11:32:15', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-27 11:32:15 Ardiana Dervishi\nSet category 2007-01-27 11:32:19 Ardiana Dervishi\nSet localization 2007-01-27 11:32:21 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 11:32:21', 'Ardiana Dervishi', '2007-01-27 11:32:15');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (58, 2007000205, 0, '2007-01-27 11:33:48', '415', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:33:48 Ermal Dibra\nSet category 2007-01-27 11:34:27 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:34:27', 'Ermal Dibra', '2007-01-27 11:33:48');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (59, 2007000205, 0, '2007-01-27 11:34:22', '413', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:34:22 Ermal Dibra\nSet category 2007-01-27 11:34:30 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:34:30', 'Ermal Dibra', '2007-01-27 11:34:22');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (60, 2007000257, 0, '2007-01-27 11:34:37', '463', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-27 11:34:37 Ardiana Dervishi\nSet category 2007-01-27 11:34:40 Ardiana Dervishi\nSet localization 2007-01-27 11:52:57 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 11:52:57', 'Ardiana Dervishi', '2007-01-27 11:34:37');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (61, 2007000165, 0, '2007-01-27 11:35:55', '401', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:35:55 Ermal Dibra\nSet category 2007-01-27 11:36:00 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:36:00', 'Ermal Dibra', '2007-01-27 11:35:55');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (62, 2007000165, 0, '2007-01-27 11:36:18', '425', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:36:18 Ermal Dibra\nSet category 2007-01-27 11:36:23 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:36:23', 'Ermal Dibra', '2007-01-27 11:36:18');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (63, 2007000154, 0, '2007-01-27 11:39:32', '580', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, 'deleted', 'Create 2007-01-27 11:39:32 Ermal Dibra\nSet category 2007-01-27 11:39:37 Ermal Dibra\nDelete 2007-01-27 11:40:05 Ermal Dibra\nReset main category 2007-01-27 11:40:27 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:40:27', 'Ermal Dibra', '2007-01-27 11:39:32');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (64, 2007000154, 0, '2007-01-27 11:40:24', '583', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:40:24 Ermal Dibra\nSet category 2007-01-27 11:40:27 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:40:27', 'Ermal Dibra', '2007-01-27 11:40:24');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (65, 2007000154, 0, '2007-01-27 11:41:24', '590', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:41:24 Ermal Dibra\nSet category 2007-01-27 11:41:28 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:41:28', 'Ermal Dibra', '2007-01-27 11:41:24');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (66, 2007000180, 0, '2007-01-27 11:43:29', '401', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:43:29 Ermal Dibra\nSet category 2007-01-27 11:43:34 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:43:34', 'Ermal Dibra', '2007-01-27 11:43:29');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (67, 2007000152, 0, '2007-01-27 11:45:33', '401', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:45:33 Ermal Dibra\nSet category 2007-01-27 11:45:36 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:45:36', 'Ermal Dibra', '2007-01-27 11:45:33');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (68, 2007000152, 0, '2007-01-27 11:46:33', '413', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:46:33 Ermal Dibra\nSet category 2007-01-27 11:46:36 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:46:36', 'Ermal Dibra', '2007-01-27 11:46:33');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (69, 2007000152, 0, '2007-01-27 11:46:52', '250', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:46:52 Ermal Dibra\nSet category 2007-01-27 11:46:55 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:46:55', 'Ermal Dibra', '2007-01-27 11:46:52');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (70, 2007000156, 0, '2007-01-27 11:49:19', '720', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:49:19 Ermal Dibra\nSet category 2007-01-27 11:49:25 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:49:25', 'Ermal Dibra', '2007-01-27 11:49:19');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (71, 2007000208, 0, '2007-01-27 11:51:20', '415', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:51:20 Ermal Dibra\nSet category 2007-01-27 11:51:23 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:51:23', 'Ermal Dibra', '2007-01-27 11:51:20');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (72, 2007000208, 0, '2007-01-27 11:51:40', '413', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:51:40 Ermal Dibra\nSet category 2007-01-27 11:51:44 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:51:44', 'Ermal Dibra', '2007-01-27 11:51:40');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (73, 2007000203, 0, '2007-01-27 11:53:12', '415', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:53:12 Ermal Dibra\nSet category 2007-01-27 11:53:17 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:53:17', 'Ermal Dibra', '2007-01-27 11:53:12');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (74, 2007000203, 0, '2007-01-27 11:53:32', '413', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:53:32 Ermal Dibra\nSet category 2007-01-27 11:53:36 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:53:36', 'Ermal Dibra', '2007-01-27 11:53:32');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (75, 2007000168, 0, '2007-01-27 11:55:38', '558', '', 0, 10, '', 1, '', '', 'Ardiana Dervishi', 0, '', 'Create 2007-01-27 11:55:38 Ardiana Dervishi\nSet category 2007-01-27 11:55:44 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 11:55:44', 'Ardiana Dervishi', '2007-01-27 11:55:38');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (76, 2007000200, 0, '2007-01-27 11:57:37', '415', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:57:37 Ermal Dibra\nSet category 2007-01-27 11:57:39 Ermal Dibra\nReset main category 2007-01-27 11:58:14 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:58:14', 'Ermal Dibra', '2007-01-27 11:57:37');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (77, 2007000200, 0, '2007-01-27 11:58:10', '413', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 11:58:10 Ermal Dibra\nSet category 2007-01-27 11:58:14 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:58:14', 'Ermal Dibra', '2007-01-27 11:58:10');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (78, 2007000171, 0, '2007-01-27 11:59:59', '480', '', 0, 10, '', 1, '', '2', 'Ardiana Dervishi', 0, '', 'Create 2007-01-27 11:59:59 Ardiana Dervishi\nSet category 2007-01-27 12:00:12 Ardiana Dervishi\nSet localization 2007-01-27 12:00:16 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 12:00:16', 'Ardiana Dervishi', '2007-01-27 11:59:59');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (79, 2007000251, 0, '2007-01-27 12:00:11', '415', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 12:00:11 Ermal Dibra\nSet category 2007-01-27 12:00:14 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 12:00:14', 'Ermal Dibra', '2007-01-27 12:00:11');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (80, 2007000251, 0, '2007-01-27 12:00:29', '413', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-27 12:00:29 Ermal Dibra\nSet category 2007-01-27 12:00:32 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 12:00:32', 'Ermal Dibra', '2007-01-27 12:00:29');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (81, 2007000270, 0, '2007-01-29 12:09:05', '412', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-29 12:09:05 Ermal Dibra\nSet category 2007-01-29 12:09:34 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 12:09:34', 'Ermal Dibra', '2007-01-29 12:09:05');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (82, 2007000270, 0, '2007-01-29 12:09:31', '425', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-29 12:09:31 Ermal Dibra\nSet category 2007-01-29 12:09:37 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 12:09:37', 'Ermal Dibra', '2007-01-29 12:09:31');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (83, 2007000185, 0, '2007-01-29 12:11:12', '250', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-29 12:11:12 Ermal Dibra\nSet category 2007-01-29 12:11:16 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 12:11:16', 'Ermal Dibra', '2007-01-29 12:11:12');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (84, 2007000185, 0, '2007-01-29 12:12:53', '710', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-29 12:12:53 Ermal Dibra\nSet category 2007-01-29 12:12:57 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 12:12:57', 'Ermal Dibra', '2007-01-29 12:12:53');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (85, 2007000155, 0, '2007-01-29 12:14:28', '720', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-29 12:14:28 Ermal Dibra\nSet category 2007-01-29 12:14:33 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 12:14:33', 'Ermal Dibra', '2007-01-29 12:14:28');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (86, 2007000256, 0, '2007-01-29 12:33:20', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-29 12:33:20 Ardiana Dervishi\nSet category 2007-01-29 12:33:24 Ardiana Dervishi\nSet localization 2007-01-29 12:33:26 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-29 12:33:26', 'Ardiana Dervishi', '2007-01-29 12:33:20');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (87, 2007000207, 0, '2007-01-29 12:34:54', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-29 12:34:54 Ardiana Dervishi\nSet category 2007-01-29 12:34:57 Ardiana Dervishi\nSet localization 2007-01-29 12:35:02 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-29 12:35:02', 'Ardiana Dervishi', '2007-01-29 12:34:54');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (88, 2007000269, 0, '2007-01-29 12:38:59', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-29 12:38:59 Ardiana Dervishi\nSet category 2007-01-29 12:39:03 Ardiana Dervishi\nSet localization 2007-01-29 12:39:05 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-29 12:39:05', 'Ardiana Dervishi', '2007-01-29 12:38:59');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (89, 2007000153, 0, '2007-01-29 13:09:29', '425', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-29 13:09:29 Ermal Dibra\nSet category 2007-01-29 13:09:58 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 13:09:58', 'Ermal Dibra', '2007-01-29 13:09:29');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (90, 2007000153, 0, '2007-01-29 13:09:55', '427', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-29 13:09:55 Ermal Dibra\nSet category 2007-01-29 13:10:00 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 13:10:00', 'Ermal Dibra', '2007-01-29 13:09:55');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (91, 2007000093, 0, '2007-01-29 13:15:32', '425', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-29 13:15:32 Ermal Dibra\nSet category 2007-01-29 13:15:37 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 13:15:37', 'Ermal Dibra', '2007-01-29 13:15:32');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (92, 2007000093, 0, '2007-01-29 13:15:59', '413', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-29 13:15:59 Ermal Dibra\nSet category 2007-01-29 13:16:03 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 13:16:03', 'Ermal Dibra', '2007-01-29 13:15:59');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (93, 2007000281, 0, '2007-01-29 13:22:27', '426', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-29 13:22:27 Ermal Dibra\nSet category 2007-01-29 13:22:30 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 13:22:30', 'Ermal Dibra', '2007-01-29 13:22:27');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (94, 2007000282, 0, '2007-01-29 13:28:11', '414', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-29 13:28:11 Ermal Dibra\nSet category 2007-01-29 13:28:14 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 13:28:14', 'Ermal Dibra', '2007-01-29 13:28:11');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (95, 2007000282, 0, '2007-01-29 13:28:29', '413', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-29 13:28:29 Ermal Dibra\nSet category 2007-01-29 13:28:33 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 13:28:33', 'Ermal Dibra', '2007-01-29 13:28:29');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (96, 2007000149, 0, '2007-01-30 10:14:55', '410', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-30 10:14:55 Ermal Dibra\nSet category 2007-01-30 10:15:32 Ermal Dibra\n', 'Ermal Dibra', '2007-01-30 10:15:32', 'Ermal Dibra', '2007-01-30 10:14:55');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (97, 2007000149, 0, '2007-01-30 10:14:55', '410', '', 0, 10, '', 99, '', '', 'Ermal Dibra', 0, 'deleted', 'Create 2007-01-30 10:14:55 Ermal Dibra\nDelete 2007-01-30 10:15:27 Ermal Dibra\n', 'Ermal Dibra', '2007-01-30 10:15:27', 'Ermal Dibra', '2007-01-30 10:14:55');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (98, 2007000149, 0, '2007-01-30 10:15:48', '250', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-30 10:15:48 Ermal Dibra\nSet category 2007-01-30 10:16:02 Ermal Dibra\n', 'Ermal Dibra', '2007-01-30 10:16:02', 'Ermal Dibra', '2007-01-30 10:15:48');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (99, 2007000149, 0, '2007-01-30 10:15:48', '250', '', 0, 10, '', 99, '', '', 'Ermal Dibra', 0, 'deleted', 'Create 2007-01-30 10:15:48 Ermal Dibra\nDelete 2007-01-30 10:15:59 Ermal Dibra\n', 'Ermal Dibra', '2007-01-30 10:15:59', 'Ermal Dibra', '2007-01-30 10:15:48');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100, 2007000228, 0, '2007-01-30 10:27:16', '480', '', 0, 10, '', 1, '', '2', 'Ardiana Dervishi', 0, '', 'Create 2007-01-30 10:27:16 Ardiana Dervishi\nSet category 2007-01-30 10:27:35 Ardiana Dervishi\nSet localization 2007-01-30 10:27:43 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 10:27:43', 'Ardiana Dervishi', '2007-01-30 10:27:16');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (101, 2007000230, 0, '2007-01-30 10:31:04', '558', '', 0, 10, '', 1, '', '', 'Ardiana Dervishi', 0, '', 'Create 2007-01-30 10:31:04 Ardiana Dervishi\nSet category 2007-01-30 10:31:13 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 10:31:13', 'Ardiana Dervishi', '2007-01-30 10:31:04');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (102, 2007000169, 0, '2007-01-30 10:33:27', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-30 10:33:27 Ardiana Dervishi\nSet category 2007-01-30 10:33:34 Ardiana Dervishi\nSet localization 2007-01-30 10:33:39 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 10:33:39', 'Ardiana Dervishi', '2007-01-30 10:33:27');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (103, 2007000229, 0, '2007-01-30 10:36:04', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-30 10:36:04 Ardiana Dervishi\nSet category 2007-01-30 10:36:13 Ardiana Dervishi\nSet localization 2007-01-30 10:36:18 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 10:36:18', 'Ardiana Dervishi', '2007-01-30 10:36:04');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (104, 2007000233, 0, '2007-01-30 11:25:01', '558', '', 0, 10, '', 1, '', '', 'Ardiana Dervishi', 0, '', 'Create 2007-01-30 11:25:01 Ardiana Dervishi\nSet category 2007-01-30 11:25:11 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 11:25:11', 'Ardiana Dervishi', '2007-01-30 11:25:01');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (105, 2007000196, 0, '2007-01-30 11:54:14', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-01-30 11:54:14 Ardiana Dervishi\nSet category 2007-01-30 11:54:35 Ardiana Dervishi\nSet localization 2007-01-30 11:54:45 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 11:54:45', 'Ardiana Dervishi', '2007-01-30 11:54:14');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (106, 2007000303, 0, '2007-01-30 12:26:19', '401', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-30 12:26:19 Ermal Dibra\nSet category 2007-01-30 12:26:25 Ermal Dibra\n', 'Ermal Dibra', '2007-01-30 12:26:25', 'Ermal Dibra', '2007-01-30 12:26:19');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (107, 2007000198, 0, '2007-01-30 12:54:23', '590', '', 0, 10, '', 99, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-30 12:54:23 Ermal Dibra\n', 'Ermal Dibra', '2007-01-30 12:54:23', 'Ermal Dibra', '2007-01-30 12:54:23');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (108, 2007000163, 0, '2007-01-30 12:56:30', '250', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-30 12:56:30 Ermal Dibra\nSet category 2007-01-30 12:56:35 Ermal Dibra\n', 'Ermal Dibra', '2007-01-30 12:56:35', 'Ermal Dibra', '2007-01-30 12:56:30');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (109, 2007000280, 0, '2007-01-30 12:59:15', '480', '', 0, 10, '', 1, '', '', 'Ardiana Dervishi', 0, '', 'Create 2007-01-30 12:59:15 Ardiana Dervishi\nSet category 2007-01-30 12:59:19 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 12:59:19', 'Ardiana Dervishi', '2007-01-30 12:59:15');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (110, 2007000135, 0, '2007-01-31 09:20:58', '425', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-31 09:20:58 Ermal Dibra\nSet category 2007-01-31 09:21:01 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 09:21:01', 'Ermal Dibra', '2007-01-31 09:20:58');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (111, 2007000135, 0, '2007-01-31 09:21:38', '426', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-31 09:21:38 Ermal Dibra\nSet category 2007-01-31 09:21:40 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 09:21:40', 'Ermal Dibra', '2007-01-31 09:21:38');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (112, 2007000135, 0, '2007-01-31 09:21:54', '250', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-31 09:21:54 Ermal Dibra\nSet category 2007-01-31 09:21:56 Ermal Dibra\nSet category 2007-01-31 09:22:00 Ermal Dibra\nSet category 2007-01-31 09:22:07 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 09:22:07', 'Ermal Dibra', '2007-01-31 09:21:54');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (113, 2007000157, 0, '2007-01-31 09:47:27', '008', '', 0, 10, '', 1, '', '', 'Ardiana Dervishi', 0, '', 'Create 2007-01-31 09:47:27 Ardiana Dervishi\nSet category 2007-01-31 09:47:31 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-31 09:47:31', 'Ardiana Dervishi', '2007-01-31 09:47:27');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (114, 2007000238, 0, '2007-01-31 09:49:23', '008', '', 0, 10, '', 1, '', '', 'Ardiana Dervishi', 0, '', 'Create 2007-01-31 09:49:23 Ardiana Dervishi\nSet category 2007-01-31 09:49:27 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-31 09:49:27', 'Ardiana Dervishi', '2007-01-31 09:49:23');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (115, 2007000202, 0, '2007-01-31 10:45:26', '425', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-31 10:45:26 Ermal Dibra\nSet category 2007-01-31 10:46:00 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 10:46:00', 'Ermal Dibra', '2007-01-31 10:45:26');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (116, 2007000202, 0, '2007-01-31 10:45:49', '413', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-31 10:45:49 Ermal Dibra\nSet category 2007-01-31 10:46:03 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 10:46:03', 'Ermal Dibra', '2007-01-31 10:45:49');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (117, 2007000310, 0, '2007-01-31 10:53:11', '426', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-31 10:53:11 Ermal Dibra\nSet category 2007-01-31 10:53:14 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 10:53:14', 'Ermal Dibra', '2007-01-31 10:53:11');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (118, 2007000310, 0, '2007-01-31 10:53:47', '401', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-31 10:53:47 Ermal Dibra\nSet category 2007-01-31 10:53:51 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 10:53:51', 'Ermal Dibra', '2007-01-31 10:53:47');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (119, 2007000311, 0, '2007-01-31 11:00:59', '413', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-31 11:00:59 Ermal Dibra\nSet category 2007-01-31 11:01:44 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:01:44', 'Ermal Dibra', '2007-01-31 11:00:59');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (120, 2007000311, 0, '2007-01-31 11:01:40', '401', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-31 11:01:40 Ermal Dibra\nSet category 2007-01-31 11:01:46 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:01:46', 'Ermal Dibra', '2007-01-31 11:01:40');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (121, 2007000249, 0, '2007-01-31 11:44:21', '720', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-31 11:44:21 Ermal Dibra\nSet category 2007-01-31 11:44:24 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:44:24', 'Ermal Dibra', '2007-01-31 11:44:21');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (122, 2007000266, 0, '2007-01-31 11:46:32', '732', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-31 11:46:32 Ermal Dibra\nSet category 2007-01-31 11:46:39 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:46:39', 'Ermal Dibra', '2007-01-31 11:46:32');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (123, 2007000117, 0, '2007-01-31 11:49:33', '710', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-31 11:49:33 Ermal Dibra\nSet category 2007-01-31 11:49:36 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:49:36', 'Ermal Dibra', '2007-01-31 11:49:33');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (124, 2007000117, 0, '2007-01-31 11:49:50', '250', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-31 11:49:50 Ermal Dibra\nSet category 2007-01-31 11:49:53 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:49:53', 'Ermal Dibra', '2007-01-31 11:49:50');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (125, 2007000285, 0, '2007-01-31 11:51:42', '732', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-31 11:51:42 Ermal Dibra\nSet category 2007-01-31 11:51:44 Ermal Dibra\nSet category 2007-01-31 11:51:47 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:51:47', 'Ermal Dibra', '2007-01-31 11:51:42');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (126, 2007000057, 0, '2007-01-31 11:53:35', '710', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-31 11:53:35 Ermal Dibra\nSet category 2007-01-31 11:53:38 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:53:38', 'Ermal Dibra', '2007-01-31 11:53:35');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (127, 2007000116, 0, '2007-01-31 11:54:54', '720', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-31 11:54:54 Ermal Dibra\nSet category 2007-01-31 11:54:56 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:54:56', 'Ermal Dibra', '2007-01-31 11:54:54');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (128, 2007000248, 0, '2007-01-31 11:57:11', '714', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-31 11:57:11 Ermal Dibra\nSet category 2007-01-31 11:57:14 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:57:14', 'Ermal Dibra', '2007-01-31 11:57:11');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (129, 2007000175, 0, '2007-01-31 12:06:39', '410', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-31 12:06:39 Ermal Dibra\nSet category 2007-01-31 12:06:42 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 12:06:42', 'Ermal Dibra', '2007-01-31 12:06:39');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (130, 2007000317, 0, '2007-01-31 12:35:22', '426', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-31 12:35:22 Ermal Dibra\nSet category 2007-01-31 12:35:26 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 12:35:26', 'Ermal Dibra', '2007-01-31 12:35:22');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (131, 2007000317, 0, '2007-01-31 12:35:39', '401', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-31 12:35:39 Ermal Dibra\nSet category 2007-01-31 12:35:43 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 12:35:43', 'Ermal Dibra', '2007-01-31 12:35:39');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (132, 2007000167, 0, '2007-01-31 12:57:59', '250', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-01-31 12:57:59 Ermal Dibra\nSet category 2007-01-31 12:58:03 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 12:58:03', 'Ermal Dibra', '2007-01-31 12:57:59');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (133, 2007000225, 0, '2007-02-01 09:07:35', '428', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-02-01 09:07:35 Ermal Dibra\nSet category 2007-02-01 09:08:00 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 09:08:00', 'Ermal Dibra', '2007-02-01 09:07:35');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (134, 2007000225, 0, '2007-02-01 09:07:54', '426', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-02-01 09:07:54 Ermal Dibra\nSet category 2007-02-01 09:07:58 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 09:07:58', 'Ermal Dibra', '2007-02-01 09:07:54');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (135, 2007000326, 0, '2007-02-01 09:14:48', '410', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, 'deleted', 'Create 2007-02-01 09:14:48 Ermal Dibra\nSet category 2007-02-01 09:14:52 Ermal Dibra\nDelete 2007-02-01 09:14:58 Ermal Dibra\nReset main category 2007-02-01 09:15:18 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 09:15:18', 'Ermal Dibra', '2007-02-01 09:14:48');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (136, 2007000326, 0, '2007-02-01 09:15:15', '412', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-02-01 09:15:15 Ermal Dibra\nSet category 2007-02-01 09:15:18 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 09:15:18', 'Ermal Dibra', '2007-02-01 09:15:15');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (137, 2007000326, 0, '2007-02-01 09:16:04', '410', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-02-01 09:16:04 Ermal Dibra\nSet category 2007-02-01 09:16:08 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 09:16:08', 'Ermal Dibra', '2007-02-01 09:16:04');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (138, 2007000188, 0, '2007-02-01 09:59:25', '485', '', 0, 10, '', 2, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-02-01 09:59:25 Ardiana Dervishi\nSet category 2007-02-01 09:59:33 Ardiana Dervishi\nSet localization 2007-02-01 09:59:39 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 09:59:39', 'Ardiana Dervishi', '2007-02-01 09:59:25');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (139, 2007000258, 0, '2007-02-01 10:02:22', '490', '', 0, 10, '', 1, '', '', 'Ardiana Dervishi', 0, '', 'Create 2007-02-01 10:02:22 Ardiana Dervishi\nSet category 2007-02-01 10:02:39 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:02:39', 'Ardiana Dervishi', '2007-02-01 10:02:22');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (140, 2007000312, 0, '2007-02-01 10:05:37', '558', '', 0, 10, '', 1, '', '', 'Ardiana Dervishi', 0, '', 'Create 2007-02-01 10:05:37 Ardiana Dervishi\nSet category 2007-02-01 10:05:46 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:05:46', 'Ardiana Dervishi', '2007-02-01 10:05:37');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (141, 2007000268, 0, '2007-02-01 10:09:03', '485', '', 0, 10, '', 99, '', '', 'Ardiana Dervishi', 0, '', 'Create 2007-02-01 10:09:03 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:09:03', 'Ardiana Dervishi', '2007-02-01 10:09:03');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (142, 2007000255, 0, '2007-02-01 10:11:20', '590', '', 0, 10, '', 1, '', '1', 'Ardiana Dervishi', 0, '', 'Create 2007-02-01 10:11:20 Ardiana Dervishi\nSet category 2007-02-01 10:11:28 Ardiana Dervishi\nSet localization 2007-02-01 10:11:42 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:11:42', 'Ardiana Dervishi', '2007-02-01 10:11:20');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (143, 2007000260, 0, '2007-02-01 10:14:02', '490', '', 0, 10, '', 1, '', '', 'Ardiana Dervishi', 0, '', 'Create 2007-02-01 10:14:02 Ardiana Dervishi\nSet category 2007-02-01 10:14:13 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:14:13', 'Ardiana Dervishi', '2007-02-01 10:14:02');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (144, 2007000261, 0, '2007-02-01 10:16:08', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-02-01 10:16:08 Ardiana Dervishi\nSet category 2007-02-01 10:16:20 Ardiana Dervishi\nSet localization 2007-02-01 10:16:24 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:16:24', 'Ardiana Dervishi', '2007-02-01 10:16:08');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (145, 2007000272, 0, '2007-02-01 10:23:04', '001', '', 0, 10, '', 1, '', '', 'Ardiana Dervishi', 0, '', 'Create 2007-02-01 10:23:04 Ardiana Dervishi\nSet category 2007-02-01 10:23:15 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:23:15', 'Ardiana Dervishi', '2007-02-01 10:23:04');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (146, 2007000172, 0, '2007-02-01 10:24:41', '480', '', 0, 10, '', 1, '', '2', 'Ardiana Dervishi', 0, '', 'Create 2007-02-01 10:24:41 Ardiana Dervishi\nSet category 2007-02-01 10:24:48 Ardiana Dervishi\nSet localization 2007-02-01 10:24:54 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:24:54', 'Ardiana Dervishi', '2007-02-01 10:24:41');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (147, 2007000254, 0, '2007-02-01 10:28:41', '466', '', 0, 10, '', 1, '', '', 'Ardiana Dervishi', 0, '', 'Create 2007-02-01 10:28:41 Ardiana Dervishi\nSet category 2007-02-01 10:28:47 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:28:47', 'Ardiana Dervishi', '2007-02-01 10:28:41');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (148, 2007000193, 0, '2007-02-01 10:29:59', '485', '', 0, 10, '', 1, '', '3', 'Ardiana Dervishi', 0, '', 'Create 2007-02-01 10:29:59 Ardiana Dervishi\nSet category 2007-02-01 10:30:07 Ardiana Dervishi\nSet localization 2007-02-01 10:30:10 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:30:10', 'Ardiana Dervishi', '2007-02-01 10:29:59');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (149, 2007000227, 0, '2007-02-01 10:39:06', '485', '', 0, 10, '', 1, '', '', 'Ardiana Dervishi', 0, '', 'Create 2007-02-01 10:39:06 Ardiana Dervishi\nSet category 2007-02-01 10:39:16 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:39:16', 'Ardiana Dervishi', '2007-02-01 10:39:06');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (150, 2007000179, 0, '2007-02-01 10:47:13', '590', '', 0, 10, '', 1, '', '', 'Ardiana Dervishi', 0, '', 'Create 2007-02-01 10:47:13 Ardiana Dervishi\nSet category 2007-02-01 10:47:23 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:47:23', 'Ardiana Dervishi', '2007-02-01 10:47:13');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (151, 2007000271, 0, '2007-02-01 10:52:17', '008', '', 0, 10, '', 1, '', '', 'Ardiana Dervishi', 0, '', 'Create 2007-02-01 10:52:17 Ardiana Dervishi\nSet category 2007-02-01 10:52:26 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:52:26', 'Ardiana Dervishi', '2007-02-01 10:52:17');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (152, 2007000327, 0, '2007-02-01 11:02:53', '008', '', 0, 10, '', 1, '', '', 'Ardiana Dervishi', 0, '', 'Create 2007-02-01 11:02:53 Ardiana Dervishi\nSet category 2007-02-01 11:03:03 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 11:03:03', 'Ardiana Dervishi', '2007-02-01 11:02:53');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (153, 2007000284, 0, '2007-02-01 11:23:35', '410', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-02-01 11:23:35 Ermal Dibra\nSet category 2007-02-01 11:23:46 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 11:23:46', 'Ermal Dibra', '2007-02-01 11:23:35');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (154, 2007000284, 0, '2007-02-01 11:23:35', '410', '', 0, 10, '', 99, '', '', 'Ermal Dibra', 0, 'deleted', 'Create 2007-02-01 11:23:35 Ermal Dibra\nDelete 2007-02-01 11:23:43 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 11:23:43', 'Ermal Dibra', '2007-02-01 11:23:35');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (155, 2007000284, 0, '2007-02-01 11:24:11', '413', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-02-01 11:24:11 Ermal Dibra\nSet category 2007-02-01 11:24:14 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 11:24:14', 'Ermal Dibra', '2007-02-01 11:24:11');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (156, 2007000284, 0, '2007-02-01 11:24:24', '425', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-02-01 11:24:24 Ermal Dibra\nSet category 2007-02-01 11:24:27 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 11:24:27', 'Ermal Dibra', '2007-02-01 11:24:24');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (157, 2007000246, 0, '2007-02-01 11:27:00', '530', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-02-01 11:27:00 Ermal Dibra\nSet category 2007-02-01 11:27:04 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 11:27:04', 'Ermal Dibra', '2007-02-01 11:27:00');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (158, 2007000206, 0, '2007-02-01 11:46:56', '532', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-02-01 11:46:56 Ermal Dibra\nSet category 2007-02-01 11:46:59 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 11:46:59', 'Ermal Dibra', '2007-02-01 11:46:56');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (159, 2007000209, 0, '2007-02-01 11:49:53', '150', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-02-01 11:49:53 Ermal Dibra\nSet category 2007-02-01 11:49:57 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 11:49:57', 'Ermal Dibra', '2007-02-01 11:49:53');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (160, 2007000298, 0, '2007-02-01 12:20:43', '404', '', 0, 10, '', 1, '', '', 'Ermal Dibra', 0, '', 'Create 2007-02-01 12:20:43 Ermal Dibra\nSet category 2007-02-01 12:20:47 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 12:20:47', 'Ermal Dibra', '2007-02-01 12:20:43');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (161, 2007000298, 0, '2007-02-01 12:21:05', '401', '', 0, 10, '', 2, '', '', 'Ermal Dibra', 0, '', 'Create 2007-02-01 12:21:05 Ermal Dibra\nSet category 2007-02-01 12:21:10 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 12:21:10', 'Ermal Dibra', '2007-02-01 12:21:05');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (162, 2007000319, 0, '2007-02-02 09:26:36', '017', '', 0, 10, '', 99, '', '', 'admin', 0, 'deleted', 'Create 2007-02-02 09:26:36 admin\nDelete 2007-02-02 09:26:43 admin\n', 'admin', '2007-02-02 09:26:43', 'admin', '2007-02-02 09:26:36');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (163, 2007000355, 1, '2007-08-22 16:13:37', '144', '', 0, 10, '', 1, '', '1', 'admin', 56, '', 'Create 2007-08-22 16:13:37 admin\nSet category 2007-08-22 16:13:39 admin\nSet localization 2007-08-22 16:13:42 admin\n', 'admin', '2007-08-22 16:13:42', 'admin', '2007-08-22 16:13:37');
INSERT INTO `care_encounter_diagnosis` (`diagnosis_nr`, `encounter_nr`, `op_nr`, `date`, `code`, `code_parent`, `group_nr`, `code_version`, `localcode`, `category_nr`, `type`, `localization`, `diagnosing_clinician`, `diagnosing_dept_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (164, 2007000355, 1, '2007-08-22 16:13:37', '145', '', 0, 10, '', 2, '', '1', 'admin', 56, '', 'Create 2007-08-22 16:13:37 admin\nSet category 2007-08-22 16:13:41 admin\nSet localization 2007-08-22 16:13:44 admin\n', 'admin', '2007-08-22 16:13:44', 'admin', '2007-08-22 16:13:37');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter_diagnostics_report`
-- 

CREATE TABLE `care_encounter_diagnostics_report` (
  `item_nr` int(11) NOT NULL auto_increment,
  `report_nr` int(11) NOT NULL default '0',
  `reporting_dept_nr` smallint(5) unsigned NOT NULL default '0',
  `reporting_dept` varchar(100) collate latin1_general_ci NOT NULL,
  `report_date` date NOT NULL default '0000-00-00',
  `report_time` time NOT NULL default '00:00:00',
  `encounter_nr` int(10) NOT NULL default '0',
  `script_call` varchar(255) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`item_nr`,`report_nr`),
  KEY `report_nr` (`report_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=31 ;

-- 
-- Dumping data for table `care_encounter_diagnostics_report`
-- 

INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 10000000, 24, 'Laborator mjekesor', '2007-07-18', '13:02:52', 2006000008, 'labor_test_request_printpop.php?entry_date=&target=admin&subtarget=chemlabor&dept_nr=24&batch_nr=10000000&pn=2006000008', 'pending', 'Initial report: 2006-12-22 13:45:39 admin\n\rUpdate: 2007-07-11 18:52:05 admin\nUpdate: 2007-07-18 13:02:52 admin\n', 'admin', '2007-07-18 13:02:52', 'admin', '2006-12-22 13:45:39');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 10000001, 24, 'Laborator mjekesor', '2007-07-18', '22:40:48', 2006000008, 'labor_test_request_printpop.php?entry_date=&target=&subtarget=chemlabor&dept_nr=24&batch_nr=10000001&pn=2006000008', 'pending', 'Initial report: 2006-12-22 13:51:07 admin\n\rUpdate: 2007-07-15 16:46:15 admin\nUpdate: 2007-07-18 22:40:48 admin\n', 'admin', '2007-07-18 22:40:48', 'admin', '2006-12-22 13:51:07');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 10000002, 24, 'Laborator mjekesor', '2007-07-18', '22:42:37', 2007000039, 'labor_test_request_printpop.php?entry_date=&target=admin&subtarget=chemlabor&dept_nr=24&batch_nr=10000002&pn=2007000039', 'pending', 'Initial report: 2007-03-21 20:59:01 admin\n\rUpdate: 2007-07-14 18:42:14 admin\nUpdate: 2007-07-18 22:42:37 admin\n', 'admin', '2007-07-18 22:42:37', 'admin', '2007-03-21 20:59:01');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 60000000, 19, 'Radiologji', '2007-05-19', '12:50:23', 2006000008, 'labor_test_findings_printpop.php?entry_date=2006-12-22&target=admin&subtarget=radio&dept_nr=19&batch_nr=60000000&pn=2006000008', 'pending', 'Initial report: 2007-05-19 12:50:23 admin\n\r', '', '2007-05-19 12:50:23', 'admin', '2007-05-19 12:50:23');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (7, 60000001, 19, 'Radiologji', '2007-05-19', '12:53:14', 2007000348, 'labor_test_findings_printpop.php?entry_date=2007-05-19&target=admin&subtarget=radio&dept_nr=19&batch_nr=60000001&pn=2007000348', 'pending', 'Initial report: 2007-05-19 12:53:14 admin\n\r', '', '2007-05-19 12:53:14', 'admin', '2007-05-19 12:53:14');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (8, 60000002, 19, 'Radiologji', '2007-05-19', '18:17:50', 2007000247, 'labor_test_findings_printpop.php?entry_date=0000-00-00&target=admin&subtarget=radio&dept_nr=19&batch_nr=60000002&pn=2007000247', 'pending', 'Initial report: 2007-05-19 18:17:47 admin\n\rUpdate: 2007-05-19 18:17:50 admin\n', 'admin', '2007-05-19 18:17:50', 'admin', '2007-05-19 18:17:47');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (9, 10000003, 24, 'Laborator mjekesor', '2007-08-07', '18:44:38', 2007000277, 'labor_test_request_printpop.php?entry_date=&target=&subtarget=chemlabor&dept_nr=24&batch_nr=10000003&pn=2007000277', 'pending', 'Initial report: 2007-07-11 00:59:15 admin\n\rUpdate: 2007-07-14 18:42:10 admin\nUpdate: 2007-08-07 18:44:38 admin\n', 'admin', '2007-08-07 18:44:38', 'admin', '2007-07-11 00:59:15');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10, 10000004, 24, 'Laborator mjekesor', '2007-07-11', '01:02:03', 2007000277, 'labor_test_request_printpop.php?entry_date=&target=&subtarget=chemlabor&dept_nr=24&batch_nr=10000004&pn=2007000277', 'pending', 'Initial report: 2007-07-11 01:02:03 admin\n\r', '', '2007-07-11 01:02:03', 'admin', '2007-07-11 01:02:03');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (11, 10000005, 24, 'Laborator mjekesor', '2007-07-11', '01:39:33', 2007000277, 'labor_test_request_printpop.php?entry_date=&target=&subtarget=chemlabor&dept_nr=24&batch_nr=10000005&pn=2007000277', 'pending', 'Initial report: 2007-07-11 01:39:33 admin\n\r', '', '2007-07-11 01:39:33', 'admin', '2007-07-11 01:39:33');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (12, 10000006, 24, 'Laborator mjekesor', '2007-07-11', '15:26:14', 2007000277, 'labor_test_request_printpop.php?entry_date=&target=admin&subtarget=chemlabor&dept_nr=24&batch_nr=10000006&pn=2007000277', 'pending', 'Initial report: 2007-07-11 15:26:14 admin\n\r', '', '2007-07-11 15:26:14', 'admin', '2007-07-11 15:26:14');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (13, 30000000, 25, 'Laborator i analizave bakteriologjike', '2007-07-11', '18:22:17', 2007000302, 'labor_test_findings_printpop.php?entry_date=&target=admin&subtarget=baclabor&dept_nr=25&batch_nr=30000000&pn=2007000302', 'pending', 'Initial report: 2007-07-11 18:22:17 admin\n\r', '', '2007-07-11 18:22:17', 'admin', '2007-07-11 18:22:17');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (14, 30000002, 25, 'Laborator i analizave histopatologjike', '2007-08-10', '16:53:09', 2007000355, 'labor_test_findings_printpop.php?entry_date=&target=admin&subtarget=baclabor&dept_nr=25&batch_nr=30000002&pn=2007000355', 'pending', 'Initial report: 2007-08-10 16:53:09 admin\n\r', '', '2007-08-10 16:53:09', 'admin', '2007-08-10 16:53:09');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (15, 10000016, 24, '', '2007-10-05', '22:56:53', 2007000355, 'labor_test_request_printpop.php?entry_date=&target=admin&subtarget=chemlabor&dept_nr=24&batch_nr=10000016&pn=2007000355', 'pending', 'Initial report: 2007-08-14 11:35:21 admin\n\rUpdate: 2007-10-05 22:56:53 admin\n', 'admin', '2007-10-05 22:56:53', 'admin', '2007-08-14 11:35:21');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (16, 10000015, 24, '', '2007-10-04', '18:17:15', 2007000355, 'labor_test_request_printpop.php?entry_date=&target=admin&subtarget=chemlabor&dept_nr=24&batch_nr=10000015&pn=2007000355', 'pending', 'Initial report: 2007-08-14 11:36:42 admin\n\rUpdate: 2007-10-04 18:17:15 admin\n', 'admin', '2007-10-04 18:17:15', 'admin', '2007-08-14 11:36:42');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (17, 10000014, 24, '', '2007-10-04', '17:08:05', 2007000355, 'labor_test_request_printpop.php?entry_date=&target=admin&subtarget=chemlabor&dept_nr=24&batch_nr=10000014&pn=2007000355', 'pending', 'Initial report: 2007-08-14 16:01:49 admin\n\rUpdate: 2007-10-04 17:08:05 admin\n', 'admin', '2007-10-04 17:08:05', 'admin', '2007-08-14 16:01:49');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (18, 10000013, 24, '', '2007-08-14', '16:02:26', 2007000348, 'labor_test_request_printpop.php?entry_date=&target=admin&subtarget=chemlabor&dept_nr=24&batch_nr=10000013&pn=2007000348', 'pending', 'Initial report: 2007-08-14 16:02:26 admin\n\r', '', '2007-08-14 16:02:26', 'admin', '2007-08-14 16:02:26');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (19, 10000012, 24, '', '2007-08-14', '16:43:26', 2007000224, 'labor_test_request_printpop.php?entry_date=&target=admin&subtarget=chemlabor&dept_nr=24&batch_nr=10000012&pn=2007000224', 'pending', 'Initial report: 2007-08-14 16:43:26 admin\n\r', '', '2007-08-14 16:43:26', 'admin', '2007-08-14 16:43:26');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (20, 20000000, 8, '', '2007-08-21', '21:08:40', 2007000355, 'labor_test_findings_printpop.php?entry_date=2007-08-20&target=admin&subtarget=patho&dept_nr=8&batch_nr=20000000&pn=2007000355', 'pending', 'Initial report: 2007-08-20 21:08:40 admin\n\r', '', '2007-08-20 21:08:40', 'admin', '2007-08-20 21:08:40');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (21, 60000004, 19, '', '2007-08-26', '15:28:17', 2007000355, 'labor_test_findings_printpop.php?entry_date=2007-08-24&target=admin&subtarget=radio&dept_nr=19&batch_nr=60000004&pn=2007000355', 'pending', 'Initial report: 2007-08-22 15:28:17 admin\n\r', '', '2007-08-22 15:28:17', 'admin', '2007-08-22 15:28:17');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (22, 60000003, 19, '', '2007-08-21', '18:13:32', 2007000355, 'labor_test_findings_printpop.php?entry_date=0000-00-00&target=admin&subtarget=radio&dept_nr=19&batch_nr=60000003&pn=2007000355', 'pending', 'Initial report: 2007-08-22 18:13:32 admin\n\r', '', '2007-08-22 18:13:32', 'admin', '2007-08-22 18:13:32');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (23, 60000005, 19, '', '2007-08-23', '18:14:49', 2007000355, 'labor_test_findings_printpop.php?entry_date=0000-00-00&target=admin&subtarget=radio&dept_nr=19&batch_nr=60000005&pn=2007000355', 'pending', 'Initial report: 2007-08-22 18:14:49 admin\n\r', '', '2007-08-22 18:14:49', 'admin', '2007-08-22 18:14:49');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (24, 20000001, 8, '', '2007-10-04', '12:31:36', 2007000355, 'labor_test_findings_printpop.php?entry_date=2007-10-04&target=admin&subtarget=patho&dept_nr=8&batch_nr=20000001&pn=2007000355', 'pending', 'Initial report: 2007-10-04 12:31:36 admin\n\r', '', '2007-10-04 12:31:36', 'admin', '2007-10-04 12:31:36');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (25, 40000000, 43, '', '2007-10-04', '13:34:59', 2007000355, 'labor_test_request_printpop.php?entry_date=&target=admin&subtarget=blood&dept_nr=43&batch_nr=40000000&pn=2007000355', 'pending', 'Initial report: 2007-10-04 13:01:54 admin\n\rUpdate: 2007-10-04 13:01:59 admin\nUpdate: 2007-10-04 13:03:30 admin\nUpdate: 2007-10-04 13:09:03 admin\nUpdate: 2007-10-04 13:09:10 admin\nUpdate: 2007-10-04 13:31:46 admin\nUpdate: 2007-10-04 13:34:18 admin\nUpdate: 2007-10-04 13:34:59 admin\n', 'admin', '2007-10-04 13:34:59', 'admin', '2007-10-04 13:01:54');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (26, 20000002, 8, '', '2007-10-04', '14:48:23', 2007000355, 'labor_test_findings_printpop.php?entry_date=2007-10-04&target=admin&subtarget=patho&dept_nr=8&batch_nr=20000002&pn=2007000355', 'pending', 'Initial report: 2007-10-04 13:38:21 admin\n\rUpdate: 2007-10-04 14:48:23 admin\n', 'admin', '2007-10-04 14:48:23', 'admin', '2007-10-04 13:38:21');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (27, 10000020, 24, '', '2007-11-01', '17:24:20', 2007000355, 'labor_test_request_printpop.php?entry_date=&target=&subtarget=chemlabor&dept_nr=24&batch_nr=10000020&pn=2007000355', 'pending', 'Initial report: 2007-10-04 16:28:38 admin\n\rUpdate: 2007-11-01 17:24:20 admin\n', 'admin', '2007-11-01 17:24:20', 'admin', '2007-10-04 16:28:38');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (28, 10000017, 24, '', '2007-10-05', '23:18:58', 2007000355, 'labor_test_request_printpop.php?entry_date=&target=&subtarget=chemlabor&dept_nr=24&batch_nr=10000017&pn=2007000355', 'pending', 'Initial report: 2007-10-05 23:18:58 admin\n\r', '', '2007-10-05 23:18:58', 'admin', '2007-10-05 23:18:58');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (29, 10000018, 24, '', '2007-10-06', '01:25:33', 2007000355, 'labor_test_request_printpop.php?entry_date=&target=&subtarget=chemlabor&dept_nr=24&batch_nr=10000018&pn=2007000355', 'pending', 'Initial report: 2007-10-06 01:25:33 admin\n\r', '', '2007-10-06 01:25:33', 'admin', '2007-10-06 01:25:33');
INSERT INTO `care_encounter_diagnostics_report` (`item_nr`, `report_nr`, `reporting_dept_nr`, `reporting_dept`, `report_date`, `report_time`, `encounter_nr`, `script_call`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (30, 20000003, 8, 'Anatomi Patologjike', '2007-10-10', '18:39:42', 2007000355, 'labor_test_findings_printpop.php?entry_date=2007-10-10&target=admin&subtarget=patho&dept_nr=8&batch_nr=20000003&pn=2007000355', 'pending', 'Initial report: 2007-10-10 18:39:42 admin\n\r', '', '2007-10-10 18:39:42', 'admin', '2007-10-10 18:39:42');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter_drg_intern`
-- 

CREATE TABLE `care_encounter_drg_intern` (
  `nr` int(11) NOT NULL auto_increment,
  `encounter_nr` int(11) NOT NULL default '0',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `group_nr` mediumint(8) unsigned NOT NULL default '0',
  `clinician` varchar(60) collate latin1_general_ci NOT NULL,
  `dept_nr` smallint(5) unsigned NOT NULL default '0',
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  KEY `encounter_nr` (`encounter_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_encounter_drg_intern`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter_event_signaller`
-- 

CREATE TABLE `care_encounter_event_signaller` (
  `encounter_nr` int(10) unsigned NOT NULL default '0',
  `yellow` tinyint(1) NOT NULL default '0',
  `black` tinyint(1) NOT NULL default '0',
  `blue_pale` tinyint(1) NOT NULL default '0',
  `brown` tinyint(1) NOT NULL default '0',
  `pink` tinyint(1) NOT NULL default '0',
  `yellow_pale` tinyint(1) NOT NULL default '0',
  `red` tinyint(1) NOT NULL default '0',
  `green_pale` tinyint(1) NOT NULL default '0',
  `violet` tinyint(1) NOT NULL default '0',
  `blue` tinyint(1) NOT NULL default '0',
  `biege` tinyint(1) NOT NULL default '0',
  `orange` tinyint(1) NOT NULL default '0',
  `green_1` tinyint(1) NOT NULL default '0',
  `green_2` tinyint(1) NOT NULL default '0',
  `green_3` tinyint(1) NOT NULL default '0',
  `green_4` tinyint(1) NOT NULL default '0',
  `green_5` tinyint(1) NOT NULL default '0',
  `green_6` tinyint(1) NOT NULL default '0',
  `green_7` tinyint(1) NOT NULL default '0',
  `rose_1` tinyint(1) NOT NULL default '0',
  `rose_2` tinyint(1) NOT NULL default '0',
  `rose_3` tinyint(1) NOT NULL default '0',
  `rose_4` tinyint(1) NOT NULL default '0',
  `rose_5` tinyint(1) NOT NULL default '0',
  `rose_6` tinyint(1) NOT NULL default '0',
  `rose_7` tinyint(1) NOT NULL default '0',
  `rose_8` tinyint(1) NOT NULL default '0',
  `rose_9` tinyint(1) NOT NULL default '0',
  `rose_10` tinyint(1) NOT NULL default '0',
  `rose_11` tinyint(1) NOT NULL default '0',
  `rose_12` tinyint(1) NOT NULL default '0',
  `rose_13` tinyint(1) NOT NULL default '0',
  `rose_14` tinyint(1) NOT NULL default '0',
  `rose_15` tinyint(1) NOT NULL default '0',
  `rose_16` tinyint(1) NOT NULL default '0',
  `rose_17` tinyint(1) NOT NULL default '0',
  `rose_18` tinyint(1) NOT NULL default '0',
  `rose_19` tinyint(1) NOT NULL default '0',
  `rose_20` tinyint(1) NOT NULL default '0',
  `rose_21` tinyint(1) NOT NULL default '0',
  `rose_22` tinyint(1) NOT NULL default '0',
  `rose_23` tinyint(1) NOT NULL default '0',
  `rose_24` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`encounter_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_encounter_event_signaller`
-- 

INSERT INTO `care_encounter_event_signaller` (`encounter_nr`, `yellow`, `black`, `blue_pale`, `brown`, `pink`, `yellow_pale`, `red`, `green_pale`, `violet`, `blue`, `biege`, `orange`, `green_1`, `green_2`, `green_3`, `green_4`, `green_5`, `green_6`, `green_7`, `rose_1`, `rose_2`, `rose_3`, `rose_4`, `rose_5`, `rose_6`, `rose_7`, `rose_8`, `rose_9`, `rose_10`, `rose_11`, `rose_12`, `rose_13`, `rose_14`, `rose_15`, `rose_16`, `rose_17`, `rose_18`, `rose_19`, `rose_20`, `rose_21`, `rose_22`, `rose_23`, `rose_24`) VALUES (2006000000, 0, 0, 2, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `care_encounter_event_signaller` (`encounter_nr`, `yellow`, `black`, `blue_pale`, `brown`, `pink`, `yellow_pale`, `red`, `green_pale`, `violet`, `blue`, `biege`, `orange`, `green_1`, `green_2`, `green_3`, `green_4`, `green_5`, `green_6`, `green_7`, `rose_1`, `rose_2`, `rose_3`, `rose_4`, `rose_5`, `rose_6`, `rose_7`, `rose_8`, `rose_9`, `rose_10`, `rose_11`, `rose_12`, `rose_13`, `rose_14`, `rose_15`, `rose_16`, `rose_17`, `rose_18`, `rose_19`, `rose_20`, `rose_21`, `rose_22`, `rose_23`, `rose_24`) VALUES (2006000002, 0, 2, 0, 0, 2, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `care_encounter_event_signaller` (`encounter_nr`, `yellow`, `black`, `blue_pale`, `brown`, `pink`, `yellow_pale`, `red`, `green_pale`, `violet`, `blue`, `biege`, `orange`, `green_1`, `green_2`, `green_3`, `green_4`, `green_5`, `green_6`, `green_7`, `rose_1`, `rose_2`, `rose_3`, `rose_4`, `rose_5`, `rose_6`, `rose_7`, `rose_8`, `rose_9`, `rose_10`, `rose_11`, `rose_12`, `rose_13`, `rose_14`, `rose_15`, `rose_16`, `rose_17`, `rose_18`, `rose_19`, `rose_20`, `rose_21`, `rose_22`, `rose_23`, `rose_24`) VALUES (2006000008, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `care_encounter_event_signaller` (`encounter_nr`, `yellow`, `black`, `blue_pale`, `brown`, `pink`, `yellow_pale`, `red`, `green_pale`, `violet`, `blue`, `biege`, `orange`, `green_1`, `green_2`, `green_3`, `green_4`, `green_5`, `green_6`, `green_7`, `rose_1`, `rose_2`, `rose_3`, `rose_4`, `rose_5`, `rose_6`, `rose_7`, `rose_8`, `rose_9`, `rose_10`, `rose_11`, `rose_12`, `rose_13`, `rose_14`, `rose_15`, `rose_16`, `rose_17`, `rose_18`, `rose_19`, `rose_20`, `rose_21`, `rose_22`, `rose_23`, `rose_24`) VALUES (2007000039, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `care_encounter_event_signaller` (`encounter_nr`, `yellow`, `black`, `blue_pale`, `brown`, `pink`, `yellow_pale`, `red`, `green_pale`, `violet`, `blue`, `biege`, `orange`, `green_1`, `green_2`, `green_3`, `green_4`, `green_5`, `green_6`, `green_7`, `rose_1`, `rose_2`, `rose_3`, `rose_4`, `rose_5`, `rose_6`, `rose_7`, `rose_8`, `rose_9`, `rose_10`, `rose_11`, `rose_12`, `rose_13`, `rose_14`, `rose_15`, `rose_16`, `rose_17`, `rose_18`, `rose_19`, `rose_20`, `rose_21`, `rose_22`, `rose_23`, `rose_24`) VALUES (2007000091, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `care_encounter_event_signaller` (`encounter_nr`, `yellow`, `black`, `blue_pale`, `brown`, `pink`, `yellow_pale`, `red`, `green_pale`, `violet`, `blue`, `biege`, `orange`, `green_1`, `green_2`, `green_3`, `green_4`, `green_5`, `green_6`, `green_7`, `rose_1`, `rose_2`, `rose_3`, `rose_4`, `rose_5`, `rose_6`, `rose_7`, `rose_8`, `rose_9`, `rose_10`, `rose_11`, `rose_12`, `rose_13`, `rose_14`, `rose_15`, `rose_16`, `rose_17`, `rose_18`, `rose_19`, `rose_20`, `rose_21`, `rose_22`, `rose_23`, `rose_24`) VALUES (2007000178, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `care_encounter_event_signaller` (`encounter_nr`, `yellow`, `black`, `blue_pale`, `brown`, `pink`, `yellow_pale`, `red`, `green_pale`, `violet`, `blue`, `biege`, `orange`, `green_1`, `green_2`, `green_3`, `green_4`, `green_5`, `green_6`, `green_7`, `rose_1`, `rose_2`, `rose_3`, `rose_4`, `rose_5`, `rose_6`, `rose_7`, `rose_8`, `rose_9`, `rose_10`, `rose_11`, `rose_12`, `rose_13`, `rose_14`, `rose_15`, `rose_16`, `rose_17`, `rose_18`, `rose_19`, `rose_20`, `rose_21`, `rose_22`, `rose_23`, `rose_24`) VALUES (2007000211, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `care_encounter_event_signaller` (`encounter_nr`, `yellow`, `black`, `blue_pale`, `brown`, `pink`, `yellow_pale`, `red`, `green_pale`, `violet`, `blue`, `biege`, `orange`, `green_1`, `green_2`, `green_3`, `green_4`, `green_5`, `green_6`, `green_7`, `rose_1`, `rose_2`, `rose_3`, `rose_4`, `rose_5`, `rose_6`, `rose_7`, `rose_8`, `rose_9`, `rose_10`, `rose_11`, `rose_12`, `rose_13`, `rose_14`, `rose_15`, `rose_16`, `rose_17`, `rose_18`, `rose_19`, `rose_20`, `rose_21`, `rose_22`, `rose_23`, `rose_24`) VALUES (2007000224, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `care_encounter_event_signaller` (`encounter_nr`, `yellow`, `black`, `blue_pale`, `brown`, `pink`, `yellow_pale`, `red`, `green_pale`, `violet`, `blue`, `biege`, `orange`, `green_1`, `green_2`, `green_3`, `green_4`, `green_5`, `green_6`, `green_7`, `rose_1`, `rose_2`, `rose_3`, `rose_4`, `rose_5`, `rose_6`, `rose_7`, `rose_8`, `rose_9`, `rose_10`, `rose_11`, `rose_12`, `rose_13`, `rose_14`, `rose_15`, `rose_16`, `rose_17`, `rose_18`, `rose_19`, `rose_20`, `rose_21`, `rose_22`, `rose_23`, `rose_24`) VALUES (2007000240, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `care_encounter_event_signaller` (`encounter_nr`, `yellow`, `black`, `blue_pale`, `brown`, `pink`, `yellow_pale`, `red`, `green_pale`, `violet`, `blue`, `biege`, `orange`, `green_1`, `green_2`, `green_3`, `green_4`, `green_5`, `green_6`, `green_7`, `rose_1`, `rose_2`, `rose_3`, `rose_4`, `rose_5`, `rose_6`, `rose_7`, `rose_8`, `rose_9`, `rose_10`, `rose_11`, `rose_12`, `rose_13`, `rose_14`, `rose_15`, `rose_16`, `rose_17`, `rose_18`, `rose_19`, `rose_20`, `rose_21`, `rose_22`, `rose_23`, `rose_24`) VALUES (2007000242, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `care_encounter_event_signaller` (`encounter_nr`, `yellow`, `black`, `blue_pale`, `brown`, `pink`, `yellow_pale`, `red`, `green_pale`, `violet`, `blue`, `biege`, `orange`, `green_1`, `green_2`, `green_3`, `green_4`, `green_5`, `green_6`, `green_7`, `rose_1`, `rose_2`, `rose_3`, `rose_4`, `rose_5`, `rose_6`, `rose_7`, `rose_8`, `rose_9`, `rose_10`, `rose_11`, `rose_12`, `rose_13`, `rose_14`, `rose_15`, `rose_16`, `rose_17`, `rose_18`, `rose_19`, `rose_20`, `rose_21`, `rose_22`, `rose_23`, `rose_24`) VALUES (2007000247, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `care_encounter_event_signaller` (`encounter_nr`, `yellow`, `black`, `blue_pale`, `brown`, `pink`, `yellow_pale`, `red`, `green_pale`, `violet`, `blue`, `biege`, `orange`, `green_1`, `green_2`, `green_3`, `green_4`, `green_5`, `green_6`, `green_7`, `rose_1`, `rose_2`, `rose_3`, `rose_4`, `rose_5`, `rose_6`, `rose_7`, `rose_8`, `rose_9`, `rose_10`, `rose_11`, `rose_12`, `rose_13`, `rose_14`, `rose_15`, `rose_16`, `rose_17`, `rose_18`, `rose_19`, `rose_20`, `rose_21`, `rose_22`, `rose_23`, `rose_24`) VALUES (2007000277, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `care_encounter_event_signaller` (`encounter_nr`, `yellow`, `black`, `blue_pale`, `brown`, `pink`, `yellow_pale`, `red`, `green_pale`, `violet`, `blue`, `biege`, `orange`, `green_1`, `green_2`, `green_3`, `green_4`, `green_5`, `green_6`, `green_7`, `rose_1`, `rose_2`, `rose_3`, `rose_4`, `rose_5`, `rose_6`, `rose_7`, `rose_8`, `rose_9`, `rose_10`, `rose_11`, `rose_12`, `rose_13`, `rose_14`, `rose_15`, `rose_16`, `rose_17`, `rose_18`, `rose_19`, `rose_20`, `rose_21`, `rose_22`, `rose_23`, `rose_24`) VALUES (2007000302, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `care_encounter_event_signaller` (`encounter_nr`, `yellow`, `black`, `blue_pale`, `brown`, `pink`, `yellow_pale`, `red`, `green_pale`, `violet`, `blue`, `biege`, `orange`, `green_1`, `green_2`, `green_3`, `green_4`, `green_5`, `green_6`, `green_7`, `rose_1`, `rose_2`, `rose_3`, `rose_4`, `rose_5`, `rose_6`, `rose_7`, `rose_8`, `rose_9`, `rose_10`, `rose_11`, `rose_12`, `rose_13`, `rose_14`, `rose_15`, `rose_16`, `rose_17`, `rose_18`, `rose_19`, `rose_20`, `rose_21`, `rose_22`, `rose_23`, `rose_24`) VALUES (2007000323, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `care_encounter_event_signaller` (`encounter_nr`, `yellow`, `black`, `blue_pale`, `brown`, `pink`, `yellow_pale`, `red`, `green_pale`, `violet`, `blue`, `biege`, `orange`, `green_1`, `green_2`, `green_3`, `green_4`, `green_5`, `green_6`, `green_7`, `rose_1`, `rose_2`, `rose_3`, `rose_4`, `rose_5`, `rose_6`, `rose_7`, `rose_8`, `rose_9`, `rose_10`, `rose_11`, `rose_12`, `rose_13`, `rose_14`, `rose_15`, `rose_16`, `rose_17`, `rose_18`, `rose_19`, `rose_20`, `rose_21`, `rose_22`, `rose_23`, `rose_24`) VALUES (2007000331, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `care_encounter_event_signaller` (`encounter_nr`, `yellow`, `black`, `blue_pale`, `brown`, `pink`, `yellow_pale`, `red`, `green_pale`, `violet`, `blue`, `biege`, `orange`, `green_1`, `green_2`, `green_3`, `green_4`, `green_5`, `green_6`, `green_7`, `rose_1`, `rose_2`, `rose_3`, `rose_4`, `rose_5`, `rose_6`, `rose_7`, `rose_8`, `rose_9`, `rose_10`, `rose_11`, `rose_12`, `rose_13`, `rose_14`, `rose_15`, `rose_16`, `rose_17`, `rose_18`, `rose_19`, `rose_20`, `rose_21`, `rose_22`, `rose_23`, `rose_24`) VALUES (2007000334, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `care_encounter_event_signaller` (`encounter_nr`, `yellow`, `black`, `blue_pale`, `brown`, `pink`, `yellow_pale`, `red`, `green_pale`, `violet`, `blue`, `biege`, `orange`, `green_1`, `green_2`, `green_3`, `green_4`, `green_5`, `green_6`, `green_7`, `rose_1`, `rose_2`, `rose_3`, `rose_4`, `rose_5`, `rose_6`, `rose_7`, `rose_8`, `rose_9`, `rose_10`, `rose_11`, `rose_12`, `rose_13`, `rose_14`, `rose_15`, `rose_16`, `rose_17`, `rose_18`, `rose_19`, `rose_20`, `rose_21`, `rose_22`, `rose_23`, `rose_24`) VALUES (2007000348, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `care_encounter_event_signaller` (`encounter_nr`, `yellow`, `black`, `blue_pale`, `brown`, `pink`, `yellow_pale`, `red`, `green_pale`, `violet`, `blue`, `biege`, `orange`, `green_1`, `green_2`, `green_3`, `green_4`, `green_5`, `green_6`, `green_7`, `rose_1`, `rose_2`, `rose_3`, `rose_4`, `rose_5`, `rose_6`, `rose_7`, `rose_8`, `rose_9`, `rose_10`, `rose_11`, `rose_12`, `rose_13`, `rose_14`, `rose_15`, `rose_16`, `rose_17`, `rose_18`, `rose_19`, `rose_20`, `rose_21`, `rose_22`, `rose_23`, `rose_24`) VALUES (2007000355, 0, 0, 2, 2, 2, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 2);

-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter_financial_class`
-- 

CREATE TABLE `care_encounter_financial_class` (
  `nr` bigint(20) unsigned NOT NULL auto_increment,
  `encounter_nr` int(11) NOT NULL default '0',
  `class_nr` smallint(3) unsigned NOT NULL default '0',
  `date_start` date default NULL,
  `date_end` date default NULL,
  `date_create` datetime NOT NULL default '0000-00-00 00:00:00',
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_encounter_financial_class`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter_image`
-- 

CREATE TABLE `care_encounter_image` (
  `nr` bigint(20) NOT NULL auto_increment,
  `encounter_nr` int(11) NOT NULL default '0',
  `shot_date` date NOT NULL default '0000-00-00',
  `shot_nr` smallint(6) NOT NULL default '0',
  `mime_type` varchar(10) collate latin1_general_ci NOT NULL,
  `upload_date` date NOT NULL default '0000-00-00',
  `notes` text collate latin1_general_ci NOT NULL,
  `graphic_script` text collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  KEY `encounter_nr` (`encounter_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=3 ;

-- 
-- Dumping data for table `care_encounter_image`
-- 

INSERT INTO `care_encounter_image` (`nr`, `encounter_nr`, `shot_date`, `shot_nr`, `mime_type`, `upload_date`, `notes`, `graphic_script`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 2007000211, '2007-07-13', 1, 'jpg', '2007-07-22', '', '', '', 'Upload 2007-07-22 18:40:33 admin\n', '', '2007-07-22 18:40:33', 'admin', '2007-07-22 18:40:33');
INSERT INTO `care_encounter_image` (`nr`, `encounter_nr`, `shot_date`, `shot_nr`, `mime_type`, `upload_date`, `notes`, `graphic_script`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 2007000355, '2007-10-13', 1, 'jpg', '2007-10-13', '[[2007-11-06]]\n [[admin]]\n pamje\n', '', '', 'Upload 2007-10-13 15:47:49 admin\nNotes 2007-11-06 11:58:16 admin\n', 'admin', '2007-11-06 11:58:16', 'admin', '2007-10-13 15:47:49');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter_immunization`
-- 

CREATE TABLE `care_encounter_immunization` (
  `nr` int(10) unsigned NOT NULL auto_increment,
  `encounter_nr` int(11) NOT NULL default '0',
  `date` date NOT NULL default '0000-00-00',
  `type` varchar(60) collate latin1_general_ci NOT NULL,
  `medicine` varchar(60) collate latin1_general_ci NOT NULL,
  `dosage` varchar(60) collate latin1_general_ci default NULL,
  `application_type_nr` smallint(5) unsigned NOT NULL default '0',
  `application_by` varchar(60) collate latin1_general_ci default NULL,
  `titer` varchar(15) collate latin1_general_ci default NULL,
  `refresh_date` date default NULL,
  `notes` text collate latin1_general_ci,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_encounter_immunization`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter_location`
-- 

CREATE TABLE `care_encounter_location` (
  `nr` int(11) NOT NULL auto_increment,
  `encounter_nr` int(11) unsigned NOT NULL default '0',
  `type_nr` smallint(5) unsigned NOT NULL default '0',
  `location_nr` smallint(5) unsigned NOT NULL default '0',
  `group_nr` smallint(5) unsigned NOT NULL default '0',
  `date_from` date NOT NULL default '0000-00-00',
  `date_to` date NOT NULL default '0000-00-00',
  `time_from` time default '00:00:00',
  `time_to` time default NULL,
  `discharge_type_nr` tinyint(3) unsigned NOT NULL default '0',
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`,`location_nr`),
  KEY `type` (`type_nr`),
  KEY `location_id` (`location_nr`),
  KEY `encounter_nr` (`encounter_nr`),
  KEY `location_nr` (`location_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1356 ;

-- 
-- Dumping data for table `care_encounter_location`
-- 

INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (32, 2006000000, 2, 3, 3, '2006-12-18', '2006-12-18', '13:25:52', '13:34:00', 1, 'discharged', 'Create: 2006-12-18 13:25:52 admin\nUpdate (discharged): 2006-12-18 13:35:31 admin\n', 'admin', '2006-12-18 13:35:31', 'admin', '2006-12-18 13:25:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (33, 2006000000, 4, 1, 3, '2006-12-18', '2006-12-18', '13:25:52', '13:34:00', 1, 'discharged', 'Create: 2006-12-18 13:25:52 admin\nUpdate (discharged): 2006-12-18 13:35:31 admin\n', 'admin', '2006-12-18 13:35:31', 'admin', '2006-12-18 13:25:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (34, 2006000000, 5, 2, 3, '2006-12-18', '2006-12-18', '13:25:52', '13:34:00', 1, 'discharged', 'Create: 2006-12-18 13:25:52 admin\nUpdate (discharged): 2006-12-18 13:35:31 admin\n', 'admin', '2006-12-18 13:35:31', 'admin', '2006-12-18 13:25:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (35, 2006000001, 2, 3, 3, '2006-12-19', '2006-12-19', '12:42:40', '12:44:00', 1, 'discharged', 'Create: 2006-12-19 12:42:40 Ermal Dibra\nUpdate (discharged): 2006-12-19 12:45:07 Ermal Dibra\n', 'Ermal Dibra', '2006-12-19 12:45:07', 'Ermal Dibra', '2006-12-19 12:42:40');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (36, 2006000001, 4, 1, 3, '2006-12-19', '2006-12-19', '12:42:40', '12:44:00', 1, 'discharged', 'Create: 2006-12-19 12:42:40 Ermal Dibra\nUpdate (discharged): 2006-12-19 12:45:07 Ermal Dibra\n', 'Ermal Dibra', '2006-12-19 12:45:07', 'Ermal Dibra', '2006-12-19 12:42:40');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (37, 2006000001, 5, 1, 3, '2006-12-19', '2006-12-19', '12:42:40', '12:44:00', 1, 'discharged', 'Create: 2006-12-19 12:42:40 Ermal Dibra\nUpdate (discharged): 2006-12-19 12:45:07 Ermal Dibra\n', 'Ermal Dibra', '2006-12-19 12:45:07', 'Ermal Dibra', '2006-12-19 12:42:40');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (38, 2006000004, 2, 3, 3, '2006-12-20', '2006-12-20', '12:42:58', '12:43:00', 1, 'discharged', 'Create: 2006-12-20 12:42:58 admin\nUpdate (discharged): 2006-12-20 12:43:11 admin\n', 'admin', '2006-12-20 12:43:11', 'admin', '2006-12-20 12:42:58');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (39, 2006000004, 4, 1, 3, '2006-12-20', '2006-12-20', '12:42:58', '12:43:00', 1, 'discharged', 'Create: 2006-12-20 12:42:58 admin\nUpdate (discharged): 2006-12-20 12:43:11 admin\n', 'admin', '2006-12-20 12:43:11', 'admin', '2006-12-20 12:42:58');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (40, 2006000004, 5, 1, 3, '2006-12-20', '2006-12-20', '12:42:58', '12:43:00', 1, 'discharged', 'Create: 2006-12-20 12:42:58 admin\nUpdate (discharged): 2006-12-20 12:43:11 admin\n', 'admin', '2006-12-20 12:43:11', 'admin', '2006-12-20 12:42:58');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (41, 2006000003, 2, 4, 4, '2006-12-20', '2006-12-22', '12:48:13', '12:35:00', 1, 'discharged', 'Create: 2006-12-20 12:48:13 admin\nUpdate (discharged): 2006-12-22 12:36:47 Ardiana Dervishi\n', 'Ardiana Dervishi', '2006-12-22 12:36:47', 'admin', '2006-12-20 12:48:13');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (42, 2006000003, 4, 1, 4, '2006-12-20', '2006-12-22', '12:48:13', '12:35:00', 1, 'discharged', 'Create: 2006-12-20 12:48:13 admin\nUpdate (discharged): 2006-12-22 12:36:47 Ardiana Dervishi\n', 'Ardiana Dervishi', '2006-12-22 12:36:47', 'admin', '2006-12-20 12:48:13');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (43, 2006000003, 5, 1, 4, '2006-12-20', '2006-12-22', '12:48:13', '12:35:00', 1, 'discharged', 'Create: 2006-12-20 12:48:13 admin\nUpdate (discharged): 2006-12-22 12:36:47 Ardiana Dervishi\n', 'Ardiana Dervishi', '2006-12-22 12:36:47', 'admin', '2006-12-20 12:48:13');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (44, 2006000002, 2, 4, 4, '2006-12-20', '2006-12-27', '12:48:22', '11:18:00', 1, 'discharged', 'Create: 2006-12-20 12:48:22 admin\nUpdate (discharged): 2006-12-27 11:18:24 admin\n', 'admin', '2006-12-27 11:18:24', 'admin', '2006-12-20 12:48:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (45, 2006000002, 4, 6, 4, '2006-12-20', '2006-12-27', '12:48:22', '11:18:00', 1, 'discharged', 'Create: 2006-12-20 12:48:22 admin\nUpdate (discharged): 2006-12-27 11:18:24 admin\n', 'admin', '2006-12-27 11:18:24', 'admin', '2006-12-20 12:48:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (46, 2006000002, 5, 1, 4, '2006-12-20', '2006-12-27', '12:48:22', '11:18:00', 1, 'discharged', 'Create: 2006-12-20 12:48:22 admin\nUpdate (discharged): 2006-12-27 11:18:24 admin\n', 'admin', '2006-12-27 11:18:24', 'admin', '2006-12-20 12:48:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (47, 2006000004, 2, 4, 4, '2006-12-20', '2006-12-20', '13:19:34', '13:24:00', 7, 'discharged', 'Create: 2006-12-20 13:19:34 Ardianu Dervishi\nUpdate (discharged): 2006-12-20 13:24:48 Ardianu Dervishi\n', 'Ardianu Dervishi', '2006-12-20 13:24:48', 'Ardianu Dervishi', '2006-12-20 13:19:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (48, 2006000004, 4, 19, 4, '2006-12-20', '2006-12-20', '13:19:34', '13:24:00', 7, 'discharged', 'Create: 2006-12-20 13:19:34 Ardianu Dervishi\nUpdate (discharged): 2006-12-20 13:24:48 Ardianu Dervishi\n', 'Ardianu Dervishi', '2006-12-20 13:24:48', 'Ardianu Dervishi', '2006-12-20 13:19:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (49, 2006000004, 5, 1, 4, '2006-12-20', '2006-12-20', '13:19:34', '13:24:00', 7, 'discharged', 'Create: 2006-12-20 13:19:34 Ardianu Dervishi\nUpdate (discharged): 2006-12-20 13:24:48 Ardianu Dervishi\n', 'Ardianu Dervishi', '2006-12-20 13:24:48', 'Ardianu Dervishi', '2006-12-20 13:19:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (50, 2006000005, 2, 4, 4, '2006-12-22', '2006-12-27', '12:03:15', '11:18:00', 1, 'discharged', 'Create: 2006-12-22 12:03:15 Ardiana Dervishi\nUpdate (discharged): 2006-12-27 11:18:55 admin\n', 'admin', '2006-12-27 11:18:55', 'Ardiana Dervishi', '2006-12-22 12:03:15');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (51, 2006000005, 4, 18, 4, '2006-12-22', '2006-12-27', '12:03:15', '11:18:00', 1, 'discharged', 'Create: 2006-12-22 12:03:15 Ardiana Dervishi\nUpdate (discharged): 2006-12-27 11:18:55 admin\n', 'admin', '2006-12-27 11:18:55', 'Ardiana Dervishi', '2006-12-22 12:03:15');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (52, 2006000005, 5, 1, 4, '2006-12-22', '2006-12-27', '12:03:15', '11:18:00', 1, 'discharged', 'Create: 2006-12-22 12:03:15 Ardiana Dervishi\nUpdate (discharged): 2006-12-27 11:18:55 admin\n', 'admin', '2006-12-27 11:18:55', 'Ardiana Dervishi', '2006-12-22 12:03:15');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (53, 2006000006, 2, 4, 4, '2006-12-22', '2006-12-27', '12:43:54', '11:18:00', 1, 'discharged', 'Create: 2006-12-22 12:43:54 Ardiana Dervishi\nUpdate (discharged): 2006-12-27 11:18:47 admin\n', 'admin', '2006-12-27 11:18:47', 'Ardiana Dervishi', '2006-12-22 12:43:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (54, 2006000006, 4, 13, 4, '2006-12-22', '2006-12-27', '12:43:54', '11:18:00', 1, 'discharged', 'Create: 2006-12-22 12:43:54 Ardiana Dervishi\nUpdate (discharged): 2006-12-27 11:18:47 admin\n', 'admin', '2006-12-27 11:18:47', 'Ardiana Dervishi', '2006-12-22 12:43:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (55, 2006000006, 5, 2, 4, '2006-12-22', '2006-12-27', '12:43:54', '11:18:00', 1, 'discharged', 'Create: 2006-12-22 12:43:54 Ardiana Dervishi\nUpdate (discharged): 2006-12-27 11:18:47 admin\n', 'admin', '2006-12-27 11:18:47', 'Ardiana Dervishi', '2006-12-22 12:43:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (56, 2006000007, 2, 4, 4, '2006-12-22', '2006-12-22', '12:58:34', '13:08:00', 1, 'discharged', 'Create: 2006-12-22 12:58:34 Ardiana Dervishi\nUpdate (discharged): 2006-12-22 13:11:59 Ardiana Dervishi\n', 'Ardiana Dervishi', '2006-12-22 13:11:59', 'Ardiana Dervishi', '2006-12-22 12:58:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (57, 2006000007, 4, 5, 4, '2006-12-22', '2006-12-22', '12:58:34', '13:08:00', 1, 'discharged', 'Create: 2006-12-22 12:58:34 Ardiana Dervishi\nUpdate (discharged): 2006-12-22 13:11:59 Ardiana Dervishi\n', 'Ardiana Dervishi', '2006-12-22 13:11:59', 'Ardiana Dervishi', '2006-12-22 12:58:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (58, 2006000007, 5, 1, 4, '2006-12-22', '2006-12-22', '12:58:34', '13:08:00', 1, 'discharged', 'Create: 2006-12-22 12:58:34 Ardiana Dervishi\nUpdate (discharged): 2006-12-22 13:11:59 Ardiana Dervishi\n', 'Ardiana Dervishi', '2006-12-22 13:11:59', 'Ardiana Dervishi', '2006-12-22 12:58:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (59, 2006000008, 2, 4, 4, '2006-12-22', '2006-12-27', '13:20:40', '11:18:00', 1, 'discharged', 'Create: 2006-12-22 13:20:40 Ardiana Dervishi\nUpdate (discharged): 2006-12-27 11:18:30 admin\n', 'admin', '2006-12-27 11:18:30', 'Ardiana Dervishi', '2006-12-22 13:20:40');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (60, 2006000008, 4, 5, 4, '2006-12-22', '2006-12-27', '13:20:40', '11:18:00', 1, 'discharged', 'Create: 2006-12-22 13:20:40 Ardiana Dervishi\nUpdate (discharged): 2006-12-27 11:18:30 admin\n', 'admin', '2006-12-27 11:18:30', 'Ardiana Dervishi', '2006-12-22 13:20:40');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (61, 2006000008, 5, 2, 4, '2006-12-22', '2006-12-27', '13:20:40', '11:18:00', 1, 'discharged', 'Create: 2006-12-22 13:20:40 Ardiana Dervishi\nUpdate (discharged): 2006-12-27 11:18:30 admin\n', 'admin', '2006-12-27 11:18:30', 'Ardiana Dervishi', '2006-12-22 13:20:40');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (62, 2006000009, 2, 6, 6, '2006-12-27', '2007-01-08', '11:38:22', '13:16:00', 1, 'discharged', 'Create: 2006-12-27 11:38:22 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:16:33 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:16:33', 'Ardiana Dervishi', '2006-12-27 11:38:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (63, 2006000009, 4, 2, 6, '2006-12-27', '2007-01-08', '11:38:22', '13:16:00', 1, 'discharged', 'Create: 2006-12-27 11:38:22 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:16:33 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:16:33', 'Ardiana Dervishi', '2006-12-27 11:38:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (64, 2006000009, 5, 4, 6, '2006-12-27', '2007-01-08', '11:38:22', '13:16:00', 1, 'discharged', 'Create: 2006-12-27 11:38:22 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:16:33 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:16:33', 'Ardiana Dervishi', '2006-12-27 11:38:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (65, 2006000010, 2, 6, 6, '2006-12-27', '2007-01-08', '11:45:22', '13:17:00', 1, 'discharged', 'Create: 2006-12-27 11:45:22 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:17:37 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:17:37', 'Ardiana Dervishi', '2006-12-27 11:45:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (66, 2006000010, 4, 3, 6, '2006-12-27', '2007-01-08', '11:45:22', '13:17:00', 1, 'discharged', 'Create: 2006-12-27 11:45:22 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:17:37 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:17:37', 'Ardiana Dervishi', '2006-12-27 11:45:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (67, 2006000010, 5, 4, 6, '2006-12-27', '2007-01-08', '11:45:22', '13:17:00', 1, 'discharged', 'Create: 2006-12-27 11:45:22 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:17:37 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:17:37', 'Ardiana Dervishi', '2006-12-27 11:45:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (68, 2006000011, 2, 6, 6, '2006-12-27', '2006-12-27', '12:01:08', '12:09:16', 6, 'discharged', 'Create: 2006-12-27 12:01:08 Ardiana Dervishi\nUpdate (discharged): 2006-12-27 12:09:16 Ardiana Dervishi\n', 'Ardiana Dervishi', '2006-12-27 12:09:16', 'Ardiana Dervishi', '2006-12-27 12:01:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (69, 2006000011, 4, 1, 6, '2006-12-27', '2006-12-27', '12:01:08', '12:09:16', 6, 'discharged', 'Create: 2006-12-27 12:01:08 Ardiana Dervishi\nUpdate (discharged): 2006-12-27 12:09:16 Ardiana Dervishi\n', 'Ardiana Dervishi', '2006-12-27 12:09:16', 'Ardiana Dervishi', '2006-12-27 12:01:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (70, 2006000011, 5, 1, 6, '2006-12-27', '2006-12-27', '12:01:08', '12:09:16', 6, 'discharged', 'Create: 2006-12-27 12:01:08 Ardiana Dervishi\nUpdate (discharged): 2006-12-27 12:09:16 Ardiana Dervishi\n', 'Ardiana Dervishi', '2006-12-27 12:09:16', 'Ardiana Dervishi', '2006-12-27 12:01:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (71, 2006000011, 2, 6, 6, '2006-12-27', '2007-01-08', '12:09:16', '13:16:00', 1, 'discharged', 'Create: 2006-12-27 12:09:16 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:16:11 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:16:11', 'Ardiana Dervishi', '2006-12-27 12:09:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (72, 2006000011, 4, 2, 6, '2006-12-27', '2007-01-08', '12:09:16', '13:16:00', 1, 'discharged', 'Create: 2006-12-27 12:09:16 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:16:11 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:16:11', 'Ardiana Dervishi', '2006-12-27 12:09:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (73, 2006000011, 5, 2, 6, '2006-12-27', '2007-01-08', '12:09:16', '13:16:00', 1, 'discharged', 'Create: 2006-12-27 12:09:16 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:16:11 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:16:11', 'Ardiana Dervishi', '2006-12-27 12:09:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (74, 2006000012, 2, 6, 6, '2006-12-27', '2007-01-05', '12:21:27', '11:21:00', 1, 'discharged', 'Create: 2006-12-27 12:21:27 Ardiana Dervishi\nUpdate (discharged): 2007-01-05 11:22:29 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-05 11:22:29', 'Ardiana Dervishi', '2006-12-27 12:21:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (75, 2006000012, 4, 8, 6, '2006-12-27', '2007-01-05', '12:21:27', '11:21:00', 1, 'discharged', 'Create: 2006-12-27 12:21:27 Ardiana Dervishi\nUpdate (discharged): 2007-01-05 11:22:29 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-05 11:22:29', 'Ardiana Dervishi', '2006-12-27 12:21:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (76, 2006000012, 5, 1, 6, '2006-12-27', '2007-01-05', '12:21:27', '11:21:00', 1, 'discharged', 'Create: 2006-12-27 12:21:27 Ardiana Dervishi\nUpdate (discharged): 2007-01-05 11:22:29 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-05 11:22:29', 'Ardiana Dervishi', '2006-12-27 12:21:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (77, 2006000013, 2, 6, 6, '2006-12-28', '2007-01-04', '08:19:42', '11:37:00', 1, 'discharged', 'Create: 2006-12-28 08:19:42 Ardiana Dervishi\nUpdate (discharged): 2007-01-04 11:38:08 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-04 11:38:08', 'Ardiana Dervishi', '2006-12-28 08:19:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (78, 2006000013, 4, 10, 6, '2006-12-28', '2007-01-04', '08:19:42', '11:37:00', 1, 'discharged', 'Create: 2006-12-28 08:19:42 Ardiana Dervishi\nUpdate (discharged): 2007-01-04 11:38:08 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-04 11:38:08', 'Ardiana Dervishi', '2006-12-28 08:19:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (79, 2006000013, 5, 1, 6, '2006-12-28', '2007-01-04', '08:19:42', '11:37:00', 1, 'discharged', 'Create: 2006-12-28 08:19:42 Ardiana Dervishi\nUpdate (discharged): 2007-01-04 11:38:08 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-04 11:38:08', 'Ardiana Dervishi', '2006-12-28 08:19:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (80, 2006000015, 2, 6, 6, '2006-12-28', '2006-12-29', '09:58:31', '11:00:00', 1, 'discharged', 'Create: 2006-12-28 09:58:31 Ardiana Dervishi\nUpdate (discharged): 2006-12-29 11:01:26 Ardiana Dervishi\n', 'Ardiana Dervishi', '2006-12-29 11:01:26', 'Ardiana Dervishi', '2006-12-28 09:58:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (81, 2006000015, 4, 1, 6, '2006-12-28', '2006-12-29', '09:58:31', '11:00:00', 1, 'discharged', 'Create: 2006-12-28 09:58:31 Ardiana Dervishi\nUpdate (discharged): 2006-12-29 11:01:26 Ardiana Dervishi\n', 'Ardiana Dervishi', '2006-12-29 11:01:26', 'Ardiana Dervishi', '2006-12-28 09:58:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (82, 2006000015, 5, 1, 6, '2006-12-28', '2006-12-29', '09:58:31', '11:00:00', 1, 'discharged', 'Create: 2006-12-28 09:58:31 Ardiana Dervishi\nUpdate (discharged): 2006-12-29 11:01:26 Ardiana Dervishi\n', 'Ardiana Dervishi', '2006-12-29 11:01:26', 'Ardiana Dervishi', '2006-12-28 09:58:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (83, 2006000014, 2, 6, 6, '2006-12-28', '2007-01-05', '09:59:13', '11:20:00', 1, 'discharged', 'Create: 2006-12-28 09:59:13 Ardiana Dervishi\nUpdate (discharged): 2007-01-05 11:21:26 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-05 11:21:26', 'Ardiana Dervishi', '2006-12-28 09:59:13');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (84, 2006000014, 4, 8, 6, '2006-12-28', '2007-01-05', '09:59:13', '11:20:00', 1, 'discharged', 'Create: 2006-12-28 09:59:13 Ardiana Dervishi\nUpdate (discharged): 2007-01-05 11:21:26 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-05 11:21:26', 'Ardiana Dervishi', '2006-12-28 09:59:13');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (85, 2006000014, 5, 2, 6, '2006-12-28', '2007-01-05', '09:59:13', '11:20:00', 1, 'discharged', 'Create: 2006-12-28 09:59:13 Ardiana Dervishi\nUpdate (discharged): 2007-01-05 11:21:26 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-05 11:21:26', 'Ardiana Dervishi', '2006-12-28 09:59:13');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (86, 2006000016, 2, 6, 6, '2006-12-28', '2007-01-17', '10:14:03', '09:33:00', 1, 'discharged', 'Create: 2006-12-28 10:14:03 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:33:03 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:33:03', 'Ardiana Dervishi', '2006-12-28 10:14:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (87, 2006000016, 4, 6, 6, '2006-12-28', '2007-01-17', '10:14:03', '09:33:00', 1, 'discharged', 'Create: 2006-12-28 10:14:03 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:33:03 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:33:03', 'Ardiana Dervishi', '2006-12-28 10:14:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (88, 2006000016, 5, 1, 6, '2006-12-28', '2007-01-17', '10:14:03', '09:33:00', 1, 'discharged', 'Create: 2006-12-28 10:14:03 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:33:03 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:33:03', 'Ardiana Dervishi', '2006-12-28 10:14:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (89, 2006000018, 2, 6, 6, '2006-12-28', '2007-01-09', '10:59:12', '12:14:00', 1, 'discharged', 'Create: 2006-12-28 10:59:12 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:14:49 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:14:49', 'Ardiana Dervishi', '2006-12-28 10:59:12');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (90, 2006000018, 4, 8, 6, '2006-12-28', '2007-01-09', '10:59:12', '12:14:00', 1, 'discharged', 'Create: 2006-12-28 10:59:12 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:14:49 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:14:49', 'Ardiana Dervishi', '2006-12-28 10:59:12');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (91, 2006000018, 5, 3, 6, '2006-12-28', '2007-01-09', '10:59:12', '12:14:00', 1, 'discharged', 'Create: 2006-12-28 10:59:12 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:14:49 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:14:49', 'Ardiana Dervishi', '2006-12-28 10:59:12');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (92, 2006000017, 2, 6, 6, '2006-12-28', '2006-12-28', '11:08:33', '11:12:00', 1, 'discharged', 'Create: 2006-12-28 11:08:33 Ardiana Dervishi\nUpdate (discharged): 2006-12-28 11:12:34 Ardiana Dervishi\n', 'Ardiana Dervishi', '2006-12-28 11:12:34', 'Ardiana Dervishi', '2006-12-28 11:08:33');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (93, 2006000017, 4, 6, 6, '2006-12-28', '2006-12-28', '11:08:33', '11:12:00', 1, 'discharged', 'Create: 2006-12-28 11:08:33 Ardiana Dervishi\nUpdate (discharged): 2006-12-28 11:12:34 Ardiana Dervishi\n', 'Ardiana Dervishi', '2006-12-28 11:12:34', 'Ardiana Dervishi', '2006-12-28 11:08:33');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (94, 2006000017, 5, 2, 6, '2006-12-28', '2006-12-28', '11:08:33', '11:12:00', 1, 'discharged', 'Create: 2006-12-28 11:08:33 Ardiana Dervishi\nUpdate (discharged): 2006-12-28 11:12:34 Ardiana Dervishi\n', 'Ardiana Dervishi', '2006-12-28 11:12:34', 'Ardiana Dervishi', '2006-12-28 11:08:33');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (95, 2006000019, 2, 6, 6, '2006-12-28', '2007-01-08', '11:22:55', '13:15:00', 1, 'discharged', 'Create: 2006-12-28 11:22:55 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:16:00 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:16:00', 'Ardiana Dervishi', '2006-12-28 11:22:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (96, 2006000019, 4, 2, 6, '2006-12-28', '2007-01-08', '11:22:55', '13:15:00', 1, 'discharged', 'Create: 2006-12-28 11:22:55 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:16:00 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:16:00', 'Ardiana Dervishi', '2006-12-28 11:22:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (97, 2006000019, 5, 1, 6, '2006-12-28', '2007-01-08', '11:22:55', '13:15:00', 1, 'discharged', 'Create: 2006-12-28 11:22:55 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:16:00 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:16:00', 'Ardiana Dervishi', '2006-12-28 11:22:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (98, 2006000020, 2, 6, 6, '2006-12-28', '2007-01-08', '11:30:39', '13:17:00', 1, 'discharged', 'Create: 2006-12-28 11:30:39 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:17:14 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:17:14', 'Ardiana Dervishi', '2006-12-28 11:30:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (99, 2006000020, 4, 7, 6, '2006-12-28', '2007-01-08', '11:30:39', '13:17:00', 1, 'discharged', 'Create: 2006-12-28 11:30:39 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:17:14 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:17:14', 'Ardiana Dervishi', '2006-12-28 11:30:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100, 2006000020, 5, 5, 6, '2006-12-28', '2007-01-08', '11:30:39', '13:17:00', 1, 'discharged', 'Create: 2006-12-28 11:30:39 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:17:14 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:17:14', 'Ardiana Dervishi', '2006-12-28 11:30:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (101, 2006000021, 2, 6, 6, '2006-12-28', '2007-01-05', '11:42:42', '11:40:00', 1, 'discharged', 'Create: 2006-12-28 11:42:42 Ardiana Dervishi\nUpdate (discharged): 2007-01-05 11:41:24 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-05 11:41:24', 'Ardiana Dervishi', '2006-12-28 11:42:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (102, 2006000021, 4, 3, 6, '2006-12-28', '2007-01-05', '11:42:42', '11:40:00', 1, 'discharged', 'Create: 2006-12-28 11:42:42 Ardiana Dervishi\nUpdate (discharged): 2007-01-05 11:41:24 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-05 11:41:24', 'Ardiana Dervishi', '2006-12-28 11:42:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (103, 2006000021, 5, 3, 6, '2006-12-28', '2007-01-05', '11:42:42', '11:40:00', 1, 'discharged', 'Create: 2006-12-28 11:42:42 Ardiana Dervishi\nUpdate (discharged): 2007-01-05 11:41:24 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-05 11:41:24', 'Ardiana Dervishi', '2006-12-28 11:42:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (104, 2006000022, 2, 6, 6, '2006-12-28', '2007-01-05', '11:50:50', '11:39:00', 1, 'discharged', 'Create: 2006-12-28 11:50:50 Ardiana Dervishi\nUpdate (discharged): 2007-01-05 11:40:27 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-05 11:40:27', 'Ardiana Dervishi', '2006-12-28 11:50:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (105, 2006000022, 4, 3, 6, '2006-12-28', '2007-01-05', '11:50:50', '11:39:00', 1, 'discharged', 'Create: 2006-12-28 11:50:50 Ardiana Dervishi\nUpdate (discharged): 2007-01-05 11:40:27 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-05 11:40:27', 'Ardiana Dervishi', '2006-12-28 11:50:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (106, 2006000022, 5, 2, 6, '2006-12-28', '2007-01-05', '11:50:50', '11:39:00', 1, 'discharged', 'Create: 2006-12-28 11:50:50 Ardiana Dervishi\nUpdate (discharged): 2007-01-05 11:40:27 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-05 11:40:27', 'Ardiana Dervishi', '2006-12-28 11:50:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (107, 2006000023, 2, 6, 6, '2006-12-28', '2007-01-05', '11:59:38', '11:38:00', 1, 'discharged', 'Create: 2006-12-28 11:59:38 Ardiana Dervishi\nUpdate (discharged): 2007-01-05 11:39:49 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-05 11:39:49', 'Ardiana Dervishi', '2006-12-28 11:59:38');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (108, 2006000023, 4, 3, 6, '2006-12-28', '2007-01-05', '11:59:38', '11:38:00', 1, 'discharged', 'Create: 2006-12-28 11:59:38 Ardiana Dervishi\nUpdate (discharged): 2007-01-05 11:39:49 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-05 11:39:49', 'Ardiana Dervishi', '2006-12-28 11:59:38');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (109, 2006000023, 5, 1, 6, '2006-12-28', '2007-01-05', '11:59:38', '11:38:00', 1, 'discharged', 'Create: 2006-12-28 11:59:38 Ardiana Dervishi\nUpdate (discharged): 2007-01-05 11:39:49 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-05 11:39:49', 'Ardiana Dervishi', '2006-12-28 11:59:38');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (110, 2006000024, 2, 6, 6, '2006-12-28', '2007-01-08', '12:08:22', '13:16:00', 1, 'discharged', 'Create: 2006-12-28 12:08:22 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:16:21 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:16:21', 'Ardiana Dervishi', '2006-12-28 12:08:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (111, 2006000024, 4, 2, 6, '2006-12-28', '2007-01-08', '12:08:22', '13:16:00', 1, 'discharged', 'Create: 2006-12-28 12:08:22 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:16:21 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:16:21', 'Ardiana Dervishi', '2006-12-28 12:08:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (112, 2006000024, 5, 3, 6, '2006-12-28', '2007-01-08', '12:08:22', '13:16:00', 1, 'discharged', 'Create: 2006-12-28 12:08:22 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:16:21 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:16:21', 'Ardiana Dervishi', '2006-12-28 12:08:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (113, 2006000025, 2, 3, 3, '2006-12-28', '0000-00-00', '12:49:20', NULL, 0, '', 'Create: 2006-12-28 12:49:20 Ermal Dibra\n', '', '2006-12-28 12:49:20', 'Ermal Dibra', '2006-12-28 12:49:20');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (114, 2006000025, 4, 9, 3, '2006-12-28', '0000-00-00', '12:49:20', NULL, 0, '', 'Create: 2006-12-28 12:49:20 Ermal Dibra\n', '', '2006-12-28 12:49:20', 'Ermal Dibra', '2006-12-28 12:49:20');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (115, 2006000025, 5, 1, 3, '2006-12-28', '0000-00-00', '12:49:20', NULL, 0, '', 'Create: 2006-12-28 12:49:20 Ermal Dibra\n', '', '2006-12-28 12:49:20', 'Ermal Dibra', '2006-12-28 12:49:20');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (116, 2006000026, 2, 6, 6, '2006-12-29', '2007-01-03', '11:04:56', '11:14:00', 1, 'discharged', 'Create: 2006-12-29 11:04:56 Ardiana Dervishi\nUpdate (discharged): 2007-01-03 11:15:43 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-03 11:15:43', 'Ardiana Dervishi', '2006-12-29 11:04:56');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (117, 2006000026, 4, 1, 6, '2006-12-29', '2007-01-03', '11:04:56', '11:14:00', 1, 'discharged', 'Create: 2006-12-29 11:04:56 Ardiana Dervishi\nUpdate (discharged): 2007-01-03 11:15:43 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-03 11:15:43', 'Ardiana Dervishi', '2006-12-29 11:04:56');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (118, 2006000026, 5, 3, 6, '2006-12-29', '2007-01-03', '11:04:56', '11:14:00', 1, 'discharged', 'Create: 2006-12-29 11:04:56 Ardiana Dervishi\nUpdate (discharged): 2007-01-03 11:15:43 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-03 11:15:43', 'Ardiana Dervishi', '2006-12-29 11:04:56');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (119, 2006000027, 2, 3, 3, '2006-12-29', '2007-01-11', '11:26:46', '08:55:00', 1, 'discharged', 'Create: 2006-12-29 11:26:46 Ermal Dibra\nUpdate (discharged): 2007-01-11 08:58:04 Ermal Dibra\n', 'Ermal Dibra', '2007-01-11 08:58:04', 'Ermal Dibra', '2006-12-29 11:26:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (120, 2006000027, 4, 4, 3, '2006-12-29', '2007-01-11', '11:26:46', '08:55:00', 1, 'discharged', 'Create: 2006-12-29 11:26:46 Ermal Dibra\nUpdate (discharged): 2007-01-11 08:58:04 Ermal Dibra\n', 'Ermal Dibra', '2007-01-11 08:58:04', 'Ermal Dibra', '2006-12-29 11:26:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (121, 2006000027, 5, 1, 3, '2006-12-29', '2007-01-11', '11:26:46', '08:55:00', 1, 'discharged', 'Create: 2006-12-29 11:26:46 Ermal Dibra\nUpdate (discharged): 2007-01-11 08:58:04 Ermal Dibra\n', 'Ermal Dibra', '2007-01-11 08:58:04', 'Ermal Dibra', '2006-12-29 11:26:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (122, 2006000028, 2, 6, 6, '2006-12-29', '2007-01-03', '11:31:54', '11:25:00', 1, 'discharged', 'Create: 2006-12-29 11:31:54 Ardiana Dervishi\nUpdate (discharged): 2007-01-03 11:26:06 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-03 11:26:06', 'Ardiana Dervishi', '2006-12-29 11:31:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (123, 2006000028, 4, 1, 6, '2006-12-29', '2007-01-03', '11:31:54', '11:25:00', 1, 'discharged', 'Create: 2006-12-29 11:31:54 Ardiana Dervishi\nUpdate (discharged): 2007-01-03 11:26:06 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-03 11:26:06', 'Ardiana Dervishi', '2006-12-29 11:31:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (124, 2006000028, 5, 4, 6, '2006-12-29', '2007-01-03', '11:31:54', '11:25:00', 1, 'discharged', 'Create: 2006-12-29 11:31:54 Ardiana Dervishi\nUpdate (discharged): 2007-01-03 11:26:06 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-03 11:26:06', 'Ardiana Dervishi', '2006-12-29 11:31:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (125, 2006000029, 2, 6, 6, '2006-12-29', '2006-12-29', '11:36:59', '11:37:56', 6, 'discharged', 'Create: 2006-12-29 11:36:59 Ardiana Dervishi\nUpdate (discharged): 2006-12-29 11:37:56 Ardiana Dervishi\n', 'Ardiana Dervishi', '2006-12-29 11:37:56', 'Ardiana Dervishi', '2006-12-29 11:36:59');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (126, 2006000029, 4, 1, 6, '2006-12-29', '2006-12-29', '11:36:59', '11:37:56', 6, 'discharged', 'Create: 2006-12-29 11:36:59 Ardiana Dervishi\nUpdate (discharged): 2006-12-29 11:37:56 Ardiana Dervishi\n', 'Ardiana Dervishi', '2006-12-29 11:37:56', 'Ardiana Dervishi', '2006-12-29 11:36:59');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (127, 2006000029, 5, 2, 6, '2006-12-29', '2006-12-29', '11:36:59', '11:37:56', 6, 'discharged', 'Create: 2006-12-29 11:36:59 Ardiana Dervishi\nUpdate (discharged): 2006-12-29 11:37:56 Ardiana Dervishi\n', 'Ardiana Dervishi', '2006-12-29 11:37:56', 'Ardiana Dervishi', '2006-12-29 11:36:59');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (128, 2006000029, 2, 6, 6, '2006-12-29', '2007-01-09', '11:37:56', '12:10:00', 1, 'discharged', 'Create: 2006-12-29 11:37:56 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:10:42 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:10:42', 'Ardiana Dervishi', '2006-12-29 11:37:56');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (129, 2006000029, 4, 13, 6, '2006-12-29', '2007-01-09', '11:37:56', '12:10:00', 1, 'discharged', 'Create: 2006-12-29 11:37:56 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:10:42 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:10:42', 'Ardiana Dervishi', '2006-12-29 11:37:56');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (130, 2006000029, 5, 1, 6, '2006-12-29', '2007-01-09', '11:37:56', '12:10:00', 1, 'discharged', 'Create: 2006-12-29 11:37:56 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:10:42 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:10:42', 'Ardiana Dervishi', '2006-12-29 11:37:56');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (131, 2006000030, 2, 3, 3, '2006-12-29', '2007-01-10', '11:47:18', '12:32:00', 1, 'discharged', 'Create: 2006-12-29 11:47:18 Ermal Dibra\nUpdate (discharged): 2007-01-20 12:33:24 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 12:33:24', 'Ermal Dibra', '2006-12-29 11:47:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (132, 2006000030, 4, 1, 3, '2006-12-29', '2007-01-10', '11:47:18', '12:32:00', 1, 'discharged', 'Create: 2006-12-29 11:47:18 Ermal Dibra\nUpdate (discharged): 2007-01-20 12:33:24 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 12:33:24', 'Ermal Dibra', '2006-12-29 11:47:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (133, 2006000030, 5, 1, 3, '2006-12-29', '2007-01-10', '11:47:18', '12:32:00', 1, 'discharged', 'Create: 2006-12-29 11:47:18 Ermal Dibra\nUpdate (discharged): 2007-01-20 12:33:24 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 12:33:24', 'Ermal Dibra', '2006-12-29 11:47:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (134, 2006000031, 2, 3, 3, '2006-12-30', '2007-01-10', '09:38:39', '10:38:00', 1, 'discharged', 'Create: 2006-12-30 09:38:39 Ermal Dibra\nUpdate (discharged): 2007-01-12 10:42:14 Ermal Dibra\n', 'Ermal Dibra', '2007-01-12 10:42:14', 'Ermal Dibra', '2006-12-30 09:38:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (135, 2006000031, 4, 8, 3, '2006-12-30', '2007-01-10', '09:38:39', '10:38:00', 1, 'discharged', 'Create: 2006-12-30 09:38:39 Ermal Dibra\nUpdate (discharged): 2007-01-12 10:42:14 Ermal Dibra\n', 'Ermal Dibra', '2007-01-12 10:42:14', 'Ermal Dibra', '2006-12-30 09:38:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (136, 2006000031, 5, 1, 3, '2006-12-30', '2007-01-10', '09:38:39', '10:38:00', 1, 'discharged', 'Create: 2006-12-30 09:38:39 Ermal Dibra\nUpdate (discharged): 2007-01-12 10:42:14 Ermal Dibra\n', 'Ermal Dibra', '2007-01-12 10:42:14', 'Ermal Dibra', '2006-12-30 09:38:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (137, 2006000032, 2, 6, 6, '2006-12-30', '2007-01-04', '10:26:04', '11:38:00', 1, 'discharged', 'Create: 2006-12-30 10:26:04 Ardiana Dervishi\nUpdate (discharged): 2007-01-04 11:39:09 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-04 11:39:09', 'Ardiana Dervishi', '2006-12-30 10:26:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (138, 2006000032, 4, 4, 6, '2006-12-30', '2007-01-04', '10:26:04', '11:38:00', 1, 'discharged', 'Create: 2006-12-30 10:26:04 Ardiana Dervishi\nUpdate (discharged): 2007-01-04 11:39:09 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-04 11:39:09', 'Ardiana Dervishi', '2006-12-30 10:26:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (139, 2006000032, 5, 4, 6, '2006-12-30', '2007-01-04', '10:26:04', '11:38:00', 1, 'discharged', 'Create: 2006-12-30 10:26:04 Ardiana Dervishi\nUpdate (discharged): 2007-01-04 11:39:09 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-04 11:39:09', 'Ardiana Dervishi', '2006-12-30 10:26:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (140, 2006000033, 2, 6, 6, '2006-12-30', '2007-01-08', '11:06:52', '13:27:00', 1, 'discharged', 'Create: 2006-12-30 11:06:52 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:28:01 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:28:01', 'Ardiana Dervishi', '2006-12-30 11:06:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (141, 2006000033, 4, 7, 6, '2006-12-30', '2007-01-08', '11:06:52', '13:27:00', 1, 'discharged', 'Create: 2006-12-30 11:06:52 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:28:01 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:28:01', 'Ardiana Dervishi', '2006-12-30 11:06:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (142, 2006000033, 5, 2, 6, '2006-12-30', '2007-01-08', '11:06:52', '13:27:00', 1, 'discharged', 'Create: 2006-12-30 11:06:52 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:28:01 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:28:01', 'Ardiana Dervishi', '2006-12-30 11:06:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (143, 2006000034, 2, 6, 6, '2006-12-30', '2007-01-09', '11:18:57', '12:15:00', 1, 'discharged', 'Create: 2006-12-30 11:18:57 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:15:12 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:15:12', 'Ardiana Dervishi', '2006-12-30 11:18:57');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (144, 2006000034, 4, 8, 6, '2006-12-30', '2007-01-09', '11:18:57', '12:15:00', 1, 'discharged', 'Create: 2006-12-30 11:18:57 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:15:12 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:15:12', 'Ardiana Dervishi', '2006-12-30 11:18:57');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (145, 2006000034, 5, 4, 6, '2006-12-30', '2007-01-09', '11:18:57', '12:15:00', 1, 'discharged', 'Create: 2006-12-30 11:18:57 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:15:12 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:15:12', 'Ardiana Dervishi', '2006-12-30 11:18:57');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (146, 2007000000, 2, 6, 6, '2007-01-03', '2007-01-08', '11:04:35', '13:15:00', 1, 'discharged', 'Create: 2007-01-03 11:04:35 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:15:42 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:15:42', 'Ardiana Dervishi', '2007-01-03 11:04:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (147, 2007000000, 4, 1, 6, '2007-01-03', '2007-01-08', '11:04:35', '13:15:00', 1, 'discharged', 'Create: 2007-01-03 11:04:35 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:15:42 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:15:42', 'Ardiana Dervishi', '2007-01-03 11:04:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (148, 2007000000, 5, 1, 6, '2007-01-03', '2007-01-08', '11:04:35', '13:15:00', 1, 'discharged', 'Create: 2007-01-03 11:04:35 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:15:42 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:15:42', 'Ardiana Dervishi', '2007-01-03 11:04:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (149, 2007000001, 2, 6, 6, '2007-01-03', '2007-01-15', '11:14:22', '08:21:00', 1, 'discharged', 'Create: 2007-01-03 11:14:22 Ardiana Dervishi\nUpdate (discharged): 2007-01-15 08:24:01 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-15 08:24:01', 'Ardiana Dervishi', '2007-01-03 11:14:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (150, 2007000001, 4, 1, 6, '2007-01-03', '2007-01-15', '11:14:22', '08:21:00', 1, 'discharged', 'Create: 2007-01-03 11:14:22 Ardiana Dervishi\nUpdate (discharged): 2007-01-15 08:24:01 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-15 08:24:01', 'Ardiana Dervishi', '2007-01-03 11:14:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (151, 2007000001, 5, 2, 6, '2007-01-03', '2007-01-15', '11:14:22', '08:21:00', 1, 'discharged', 'Create: 2007-01-03 11:14:22 Ardiana Dervishi\nUpdate (discharged): 2007-01-15 08:24:01 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-15 08:24:01', 'Ardiana Dervishi', '2007-01-03 11:14:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (152, 2007000002, 2, 6, 6, '2007-01-03', '2007-01-08', '11:34:56', '13:14:00', 1, 'discharged', 'Create: 2007-01-03 11:34:56 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:15:24 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:15:24', 'Ardiana Dervishi', '2007-01-03 11:34:56');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (153, 2007000002, 4, 1, 6, '2007-01-03', '2007-01-08', '11:34:56', '13:14:00', 1, 'discharged', 'Create: 2007-01-03 11:34:56 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:15:24 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:15:24', 'Ardiana Dervishi', '2007-01-03 11:34:56');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (154, 2007000002, 5, 4, 6, '2007-01-03', '2007-01-08', '11:34:56', '13:14:00', 1, 'discharged', 'Create: 2007-01-03 11:34:56 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:15:24 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:15:24', 'Ardiana Dervishi', '2007-01-03 11:34:56');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (155, 2007000003, 2, 6, 6, '2007-01-04', '2007-01-09', '11:36:45', '12:09:00', 1, 'discharged', 'Create: 2007-01-04 11:36:45 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:10:04 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:10:04', 'Ardiana Dervishi', '2007-01-04 11:36:45');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (156, 2007000003, 4, 11, 6, '2007-01-04', '2007-01-09', '11:36:45', '12:09:00', 1, 'discharged', 'Create: 2007-01-04 11:36:45 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:10:04 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:10:04', 'Ardiana Dervishi', '2007-01-04 11:36:45');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (157, 2007000003, 5, 2, 6, '2007-01-04', '2007-01-09', '11:36:45', '12:09:00', 1, 'discharged', 'Create: 2007-01-04 11:36:45 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:10:04 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:10:04', 'Ardiana Dervishi', '2007-01-04 11:36:45');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (158, 2007000004, 2, 6, 6, '2007-01-04', '2007-01-09', '11:48:54', '12:08:00', 1, 'discharged', 'Create: 2007-01-04 11:48:54 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:09:20 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:09:20', 'Ardiana Dervishi', '2007-01-04 11:48:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (159, 2007000004, 4, 11, 6, '2007-01-04', '2007-01-09', '11:48:54', '12:08:00', 1, 'discharged', 'Create: 2007-01-04 11:48:54 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:09:20 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:09:20', 'Ardiana Dervishi', '2007-01-04 11:48:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (160, 2007000004, 5, 1, 6, '2007-01-04', '2007-01-09', '11:48:54', '12:08:00', 1, 'discharged', 'Create: 2007-01-04 11:48:54 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:09:20 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:09:20', 'Ardiana Dervishi', '2007-01-04 11:48:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (161, 2007000005, 2, 6, 6, '2007-01-05', '2007-01-09', '11:11:41', '12:13:00', 1, 'discharged', 'Create: 2007-01-05 11:11:41 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:14:22 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:14:22', 'Ardiana Dervishi', '2007-01-05 11:11:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (162, 2007000005, 4, 3, 6, '2007-01-05', '2007-01-09', '11:11:41', '12:13:00', 1, 'discharged', 'Create: 2007-01-05 11:11:41 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:14:22 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:14:22', 'Ardiana Dervishi', '2007-01-05 11:11:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (163, 2007000005, 5, 5, 6, '2007-01-05', '2007-01-09', '11:11:41', '12:13:00', 1, 'discharged', 'Create: 2007-01-05 11:11:41 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:14:22 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:14:22', 'Ardiana Dervishi', '2007-01-05 11:11:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (164, 2007000006, 2, 6, 6, '2007-01-05', '2007-01-17', '11:20:36', '09:34:00', 1, 'discharged', 'Create: 2007-01-05 11:20:36 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:34:05 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:34:05', 'Ardiana Dervishi', '2007-01-05 11:20:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (165, 2007000006, 4, 8, 6, '2007-01-05', '2007-01-17', '11:20:36', '09:34:00', 1, 'discharged', 'Create: 2007-01-05 11:20:36 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:34:05 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:34:05', 'Ardiana Dervishi', '2007-01-05 11:20:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (166, 2007000006, 5, 5, 6, '2007-01-05', '2007-01-17', '11:20:36', '09:34:00', 1, 'discharged', 'Create: 2007-01-05 11:20:36 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:34:05 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:34:05', 'Ardiana Dervishi', '2007-01-05 11:20:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (167, 2007000007, 2, 6, 6, '2007-01-05', '2007-01-08', '11:26:39', '13:28:00', 1, 'discharged', 'Create: 2007-01-05 11:26:39 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:28:45 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:28:45', 'Ardiana Dervishi', '2007-01-05 11:26:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (168, 2007000007, 4, 2, 6, '2007-01-05', '2007-01-08', '11:26:39', '13:28:00', 1, 'discharged', 'Create: 2007-01-05 11:26:39 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:28:45 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:28:45', 'Ardiana Dervishi', '2007-01-05 11:26:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (169, 2007000007, 5, 5, 6, '2007-01-05', '2007-01-08', '11:26:39', '13:28:00', 1, 'discharged', 'Create: 2007-01-05 11:26:39 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:28:45 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:28:45', 'Ardiana Dervishi', '2007-01-05 11:26:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (170, 2007000008, 2, 6, 6, '2007-01-05', '2007-01-08', '11:42:04', '13:16:00', 1, 'discharged', 'Create: 2007-01-05 11:42:04 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:16:55 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:16:55', 'Ardiana Dervishi', '2007-01-05 11:42:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (171, 2007000008, 4, 3, 6, '2007-01-05', '2007-01-08', '11:42:04', '13:16:00', 1, 'discharged', 'Create: 2007-01-05 11:42:04 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:16:55 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:16:55', 'Ardiana Dervishi', '2007-01-05 11:42:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (172, 2007000008, 5, 3, 6, '2007-01-05', '2007-01-08', '11:42:04', '13:16:00', 1, 'discharged', 'Create: 2007-01-05 11:42:04 Ardiana Dervishi\nUpdate (discharged): 2007-01-08 13:16:55 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-08 13:16:55', 'Ardiana Dervishi', '2007-01-05 11:42:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (173, 2007000009, 2, 6, 6, '2007-01-05', '2007-01-15', '11:46:52', '11:32:00', 1, 'discharged', 'Create: 2007-01-05 11:46:52 Ardiana Dervishi\nUpdate (discharged): 2007-01-15 11:32:24 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-15 11:32:24', 'Ardiana Dervishi', '2007-01-05 11:46:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (174, 2007000009, 4, 7, 6, '2007-01-05', '2007-01-15', '11:46:52', '11:32:00', 1, 'discharged', 'Create: 2007-01-05 11:46:52 Ardiana Dervishi\nUpdate (discharged): 2007-01-15 11:32:24 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-15 11:32:24', 'Ardiana Dervishi', '2007-01-05 11:46:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (175, 2007000009, 5, 1, 6, '2007-01-05', '2007-01-15', '11:46:52', '11:32:00', 1, 'discharged', 'Create: 2007-01-05 11:46:52 Ardiana Dervishi\nUpdate (discharged): 2007-01-15 11:32:24 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-15 11:32:24', 'Ardiana Dervishi', '2007-01-05 11:46:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (176, 2007000010, 2, 6, 6, '2007-01-05', '2007-01-17', '11:54:39', '09:30:00', 1, 'discharged', 'Create: 2007-01-05 11:54:39 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:30:11 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:30:11', 'Ardiana Dervishi', '2007-01-05 11:54:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (177, 2007000010, 4, 4, 6, '2007-01-05', '2007-01-17', '11:54:39', '09:30:00', 1, 'discharged', 'Create: 2007-01-05 11:54:39 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:30:11 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:30:11', 'Ardiana Dervishi', '2007-01-05 11:54:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (178, 2007000010, 5, 2, 6, '2007-01-05', '2007-01-17', '11:54:39', '09:30:00', 1, 'discharged', 'Create: 2007-01-05 11:54:39 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:30:11 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:30:11', 'Ardiana Dervishi', '2007-01-05 11:54:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (179, 2007000011, 2, 6, 6, '2007-01-06', '2007-01-09', '08:08:27', '11:36:00', 1, 'discharged', 'Create: 2007-01-06 08:08:27 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 11:37:21 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 11:37:21', 'Ardiana Dervishi', '2007-01-06 08:08:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (180, 2007000011, 4, 1, 6, '2007-01-06', '2007-01-09', '08:08:27', '11:36:00', 1, 'discharged', 'Create: 2007-01-06 08:08:27 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 11:37:21 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 11:37:21', 'Ardiana Dervishi', '2007-01-06 08:08:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (181, 2007000011, 5, 3, 6, '2007-01-06', '2007-01-09', '08:08:27', '11:36:00', 1, 'discharged', 'Create: 2007-01-06 08:08:27 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 11:37:21 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 11:37:21', 'Ardiana Dervishi', '2007-01-06 08:08:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (182, 2007000012, 2, 6, 6, '2007-01-06', '2007-01-09', '08:33:03', '12:26:57', 6, 'discharged', 'Create: 2007-01-06 08:33:03 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:26:57 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:26:57', 'Ardiana Dervishi', '2007-01-06 08:33:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (183, 2007000012, 4, 17, 6, '2007-01-06', '2007-01-09', '08:33:03', '12:26:57', 6, 'discharged', 'Create: 2007-01-06 08:33:03 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:26:57 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:26:57', 'Ardiana Dervishi', '2007-01-06 08:33:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (184, 2007000012, 5, 1, 6, '2007-01-06', '2007-01-09', '08:33:03', '12:26:57', 6, 'discharged', 'Create: 2007-01-06 08:33:03 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:26:57 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:26:57', 'Ardiana Dervishi', '2007-01-06 08:33:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (185, 2007000013, 2, 6, 6, '2007-01-06', '2007-01-09', '08:38:24', '12:28:03', 6, 'discharged', 'Create: 2007-01-06 08:38:24 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:28:03 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:28:03', 'Ardiana Dervishi', '2007-01-06 08:38:24');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (186, 2007000013, 4, 17, 6, '2007-01-06', '2007-01-09', '08:38:24', '12:28:03', 6, 'discharged', 'Create: 2007-01-06 08:38:24 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:28:03 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:28:03', 'Ardiana Dervishi', '2007-01-06 08:38:24');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (187, 2007000013, 5, 2, 6, '2007-01-06', '2007-01-09', '08:38:24', '12:28:03', 6, 'discharged', 'Create: 2007-01-06 08:38:24 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:28:03 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:28:03', 'Ardiana Dervishi', '2007-01-06 08:38:24');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (188, 2007000015, 2, 6, 6, '2007-01-08', '2007-01-17', '12:15:17', '09:29:00', 1, 'discharged', 'Create: 2007-01-08 12:15:17 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:29:35 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:29:35', 'Ardiana Dervishi', '2007-01-08 12:15:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (189, 2007000015, 4, 3, 6, '2007-01-08', '2007-01-17', '12:15:17', '09:29:00', 1, 'discharged', 'Create: 2007-01-08 12:15:17 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:29:35 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:29:35', 'Ardiana Dervishi', '2007-01-08 12:15:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (190, 2007000015, 5, 2, 6, '2007-01-08', '2007-01-17', '12:15:17', '09:29:00', 1, 'discharged', 'Create: 2007-01-08 12:15:17 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:29:35 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:29:35', 'Ardiana Dervishi', '2007-01-08 12:15:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (191, 2007000014, 2, 6, 6, '2007-01-08', '2007-01-15', '12:15:36', '11:31:00', 1, 'discharged', 'Create: 2007-01-08 12:15:36 Ardiana Dervishi\nUpdate (discharged): 2007-01-15 11:31:42 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-15 11:31:42', 'Ardiana Dervishi', '2007-01-08 12:15:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (192, 2007000014, 4, 7, 6, '2007-01-08', '2007-01-15', '12:15:36', '11:31:00', 1, 'discharged', 'Create: 2007-01-08 12:15:36 Ardiana Dervishi\nUpdate (discharged): 2007-01-15 11:31:42 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-15 11:31:42', 'Ardiana Dervishi', '2007-01-08 12:15:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (193, 2007000014, 5, 3, 6, '2007-01-08', '2007-01-15', '12:15:36', '11:31:00', 1, 'discharged', 'Create: 2007-01-08 12:15:36 Ardiana Dervishi\nUpdate (discharged): 2007-01-15 11:31:42 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-15 11:31:42', 'Ardiana Dervishi', '2007-01-08 12:15:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (194, 2007000016, 2, 6, 6, '2007-01-08', '2007-01-17', '13:23:41', '09:27:00', 1, 'discharged', 'Create: 2007-01-08 13:23:41 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:27:52 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:27:52', 'Ardiana Dervishi', '2007-01-08 13:23:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (195, 2007000016, 4, 2, 6, '2007-01-08', '2007-01-17', '13:23:41', '09:27:00', 1, 'discharged', 'Create: 2007-01-08 13:23:41 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:27:52 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:27:52', 'Ardiana Dervishi', '2007-01-08 13:23:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (196, 2007000016, 5, 1, 6, '2007-01-08', '2007-01-17', '13:23:41', '09:27:00', 1, 'discharged', 'Create: 2007-01-08 13:23:41 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:27:52 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:27:52', 'Ardiana Dervishi', '2007-01-08 13:23:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (197, 2007000017, 2, 6, 6, '2007-01-09', '2007-01-17', '09:30:21', '09:33:00', 1, 'discharged', 'Create: 2007-01-09 09:30:21 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:33:43 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:33:43', 'Ardiana Dervishi', '2007-01-09 09:30:21');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (198, 2007000017, 4, 8, 6, '2007-01-09', '2007-01-17', '09:30:21', '09:33:00', 1, 'discharged', 'Create: 2007-01-09 09:30:21 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:33:43 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:33:43', 'Ardiana Dervishi', '2007-01-09 09:30:21');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (199, 2007000017, 5, 1, 6, '2007-01-09', '2007-01-17', '09:30:21', '09:33:00', 1, 'discharged', 'Create: 2007-01-09 09:30:21 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:33:43 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:33:43', 'Ardiana Dervishi', '2007-01-09 09:30:21');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (200, 2007000018, 2, 6, 6, '2007-01-09', '2007-01-17', '10:37:42', '09:31:00', 1, 'discharged', 'Create: 2007-01-09 10:37:42 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:31:34 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:31:34', 'Ardiana Dervishi', '2007-01-09 10:37:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (201, 2007000018, 4, 5, 6, '2007-01-09', '2007-01-17', '10:37:42', '09:31:00', 1, 'discharged', 'Create: 2007-01-09 10:37:42 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:31:34 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:31:34', 'Ardiana Dervishi', '2007-01-09 10:37:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (202, 2007000018, 5, 4, 6, '2007-01-09', '2007-01-17', '10:37:42', '09:31:00', 1, 'discharged', 'Create: 2007-01-09 10:37:42 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:31:34 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:31:34', 'Ardiana Dervishi', '2007-01-09 10:37:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (203, 2007000019, 2, 6, 6, '2007-01-09', '2007-01-17', '10:42:58', '09:29:00', 1, 'discharged', 'Create: 2007-01-09 10:42:58 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:29:56 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:29:56', 'Ardiana Dervishi', '2007-01-09 10:42:58');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (204, 2007000019, 4, 4, 6, '2007-01-09', '2007-01-17', '10:42:58', '09:29:00', 1, 'discharged', 'Create: 2007-01-09 10:42:58 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:29:56 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:29:56', 'Ardiana Dervishi', '2007-01-09 10:42:58');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (205, 2007000019, 5, 1, 6, '2007-01-09', '2007-01-17', '10:42:58', '09:29:00', 1, 'discharged', 'Create: 2007-01-09 10:42:58 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:29:56 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:29:56', 'Ardiana Dervishi', '2007-01-09 10:42:58');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (206, 2007000020, 2, 6, 6, '2007-01-09', '2007-01-17', '11:21:04', '09:29:00', 1, 'discharged', 'Create: 2007-01-09 11:21:04 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:29:25 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:29:25', 'Ardiana Dervishi', '2007-01-09 11:21:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (207, 2007000020, 4, 3, 6, '2007-01-09', '2007-01-17', '11:21:04', '09:29:00', 1, 'discharged', 'Create: 2007-01-09 11:21:04 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:29:25 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:29:25', 'Ardiana Dervishi', '2007-01-09 11:21:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (208, 2007000020, 5, 3, 6, '2007-01-09', '2007-01-17', '11:21:04', '09:29:00', 1, 'discharged', 'Create: 2007-01-09 11:21:04 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:29:25 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:29:25', 'Ardiana Dervishi', '2007-01-09 11:21:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (209, 2007000021, 2, 6, 6, '2007-01-09', '2007-01-12', '11:25:59', '00:00:10', 1, 'discharged', 'Create: 2007-01-09 11:25:59 Ardiana Dervishi\nUpdate (discharged): 2007-01-12 13:40:49 Greta Naraci\n', 'Greta Naraci', '2007-01-12 13:40:49', 'Ardiana Dervishi', '2007-01-09 11:25:59');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (210, 2007000021, 4, 4, 6, '2007-01-09', '2007-01-12', '11:25:59', '00:00:10', 1, 'discharged', 'Create: 2007-01-09 11:25:59 Ardiana Dervishi\nUpdate (discharged): 2007-01-12 13:40:49 Greta Naraci\n', 'Greta Naraci', '2007-01-12 13:40:49', 'Ardiana Dervishi', '2007-01-09 11:25:59');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (211, 2007000021, 5, 3, 6, '2007-01-09', '2007-01-12', '11:25:59', '00:00:10', 1, 'discharged', 'Create: 2007-01-09 11:25:59 Ardiana Dervishi\nUpdate (discharged): 2007-01-12 13:40:49 Greta Naraci\n', 'Greta Naraci', '2007-01-12 13:40:49', 'Ardiana Dervishi', '2007-01-09 11:25:59');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (212, 2007000022, 2, 6, 6, '2007-01-09', '2007-01-17', '11:33:00', '09:26:00', 1, 'discharged', 'Create: 2007-01-09 11:33:00 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:26:45 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:26:45', 'Ardiana Dervishi', '2007-01-09 11:33:00');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (213, 2007000022, 4, 1, 6, '2007-01-09', '2007-01-17', '11:33:00', '09:26:00', 1, 'discharged', 'Create: 2007-01-09 11:33:00 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:26:45 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:26:45', 'Ardiana Dervishi', '2007-01-09 11:33:00');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (214, 2007000022, 5, 1, 6, '2007-01-09', '2007-01-17', '11:33:00', '09:26:00', 1, 'discharged', 'Create: 2007-01-09 11:33:00 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:26:45 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:26:45', 'Ardiana Dervishi', '2007-01-09 11:33:00');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (215, 2007000023, 2, 6, 6, '2007-01-09', '2007-01-17', '12:23:22', '09:35:00', 1, 'discharged', 'Create: 2007-01-09 12:23:22 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:36:22 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:36:22', 'Ardiana Dervishi', '2007-01-09 12:23:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (216, 2007000023, 4, 11, 6, '2007-01-09', '2007-01-17', '12:23:22', '09:35:00', 1, 'discharged', 'Create: 2007-01-09 12:23:22 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:36:22 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:36:22', 'Ardiana Dervishi', '2007-01-09 12:23:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (217, 2007000023, 5, 1, 6, '2007-01-09', '2007-01-17', '12:23:22', '09:35:00', 1, 'discharged', 'Create: 2007-01-09 12:23:22 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:36:22 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:36:22', 'Ardiana Dervishi', '2007-01-09 12:23:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (218, 2007000012, 2, 6, 6, '2007-01-09', '2007-01-09', '12:26:57', '12:27:18', 6, 'discharged', 'Create: 2007-01-09 12:26:57 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:27:18 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:27:18', 'Ardiana Dervishi', '2007-01-09 12:26:57');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (219, 2007000012, 4, 6, 6, '2007-01-09', '2007-01-09', '12:26:57', '12:27:18', 6, 'discharged', 'Create: 2007-01-09 12:26:57 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:27:18 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:27:18', 'Ardiana Dervishi', '2007-01-09 12:26:57');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (220, 2007000012, 5, 2, 6, '2007-01-09', '2007-01-09', '12:26:57', '12:27:18', 6, 'discharged', 'Create: 2007-01-09 12:26:57 Ardiana Dervishi\nUpdate (discharged): 2007-01-09 12:27:18 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-09 12:27:18', 'Ardiana Dervishi', '2007-01-09 12:26:57');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (221, 2007000012, 2, 6, 6, '2007-01-09', '2007-01-11', '12:27:18', '11:25:00', 1, 'discharged', 'Create: 2007-01-09 12:27:18 Ardiana Dervishi\nUpdate (discharged): 2007-01-11 11:25:43 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-11 11:25:43', 'Ardiana Dervishi', '2007-01-09 12:27:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (222, 2007000012, 4, 6, 6, '2007-01-09', '2007-01-11', '12:27:18', '11:25:00', 1, 'discharged', 'Create: 2007-01-09 12:27:18 Ardiana Dervishi\nUpdate (discharged): 2007-01-11 11:25:43 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-11 11:25:43', 'Ardiana Dervishi', '2007-01-09 12:27:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (223, 2007000012, 5, 3, 6, '2007-01-09', '2007-01-11', '12:27:18', '11:25:00', 1, 'discharged', 'Create: 2007-01-09 12:27:18 Ardiana Dervishi\nUpdate (discharged): 2007-01-11 11:25:43 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-11 11:25:43', 'Ardiana Dervishi', '2007-01-09 12:27:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (224, 2007000013, 2, 6, 6, '2007-01-09', '2007-01-11', '12:28:03', '11:25:00', 1, 'discharged', 'Create: 2007-01-09 12:28:03 Ardiana Dervishi\nUpdate (discharged): 2007-01-11 11:25:20 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-11 11:25:20', 'Ardiana Dervishi', '2007-01-09 12:28:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (225, 2007000013, 4, 6, 6, '2007-01-09', '2007-01-11', '12:28:03', '11:25:00', 1, 'discharged', 'Create: 2007-01-09 12:28:03 Ardiana Dervishi\nUpdate (discharged): 2007-01-11 11:25:20 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-11 11:25:20', 'Ardiana Dervishi', '2007-01-09 12:28:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (226, 2007000013, 5, 2, 6, '2007-01-09', '2007-01-11', '12:28:03', '11:25:00', 1, 'discharged', 'Create: 2007-01-09 12:28:03 Ardiana Dervishi\nUpdate (discharged): 2007-01-11 11:25:20 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-11 11:25:20', 'Ardiana Dervishi', '2007-01-09 12:28:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (227, 2007000024, 2, 6, 6, '2007-01-10', '2007-01-17', '11:03:05', '09:34:34', 6, 'discharged', 'Create: 2007-01-10 11:03:05 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:34:34 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:34:34', 'Ardiana Dervishi', '2007-01-10 11:03:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (228, 2007000024, 4, 8, 6, '2007-01-10', '2007-01-17', '11:03:05', '09:34:34', 6, 'discharged', 'Create: 2007-01-10 11:03:05 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:34:34 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:34:34', 'Ardiana Dervishi', '2007-01-10 11:03:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (229, 2007000024, 5, 3, 6, '2007-01-10', '2007-01-17', '11:03:05', '09:34:34', 6, 'discharged', 'Create: 2007-01-10 11:03:05 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:34:34 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:34:34', 'Ardiana Dervishi', '2007-01-10 11:03:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (230, 2007000025, 2, 6, 6, '2007-01-10', '2007-01-17', '11:09:05', '09:31:00', 1, 'discharged', 'Create: 2007-01-10 11:09:05 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:31:24 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:31:24', 'Ardiana Dervishi', '2007-01-10 11:09:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (231, 2007000025, 4, 5, 6, '2007-01-10', '2007-01-17', '11:09:05', '09:31:00', 1, 'discharged', 'Create: 2007-01-10 11:09:05 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:31:24 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:31:24', 'Ardiana Dervishi', '2007-01-10 11:09:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (232, 2007000025, 5, 1, 6, '2007-01-10', '2007-01-17', '11:09:05', '09:31:00', 1, 'discharged', 'Create: 2007-01-10 11:09:05 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:31:24 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:31:24', 'Ardiana Dervishi', '2007-01-10 11:09:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (233, 2007000026, 2, 3, 3, '2007-01-10', '2007-01-18', '12:04:23', '13:08:00', 1, 'discharged', 'Create: 2007-01-10 12:04:23 Ermal Dibra\nUpdate (discharged): 2007-01-18 13:08:36 Ermal Dibra\n', 'Ermal Dibra', '2007-01-18 13:08:36', 'Ermal Dibra', '2007-01-10 12:04:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (234, 2007000026, 4, 11, 3, '2007-01-10', '2007-01-18', '12:04:23', '13:08:00', 1, 'discharged', 'Create: 2007-01-10 12:04:23 Ermal Dibra\nUpdate (discharged): 2007-01-18 13:08:36 Ermal Dibra\n', 'Ermal Dibra', '2007-01-18 13:08:36', 'Ermal Dibra', '2007-01-10 12:04:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (235, 2007000026, 5, 1, 3, '2007-01-10', '2007-01-18', '12:04:23', '13:08:00', 1, 'discharged', 'Create: 2007-01-10 12:04:23 Ermal Dibra\nUpdate (discharged): 2007-01-18 13:08:36 Ermal Dibra\n', 'Ermal Dibra', '2007-01-18 13:08:36', 'Ermal Dibra', '2007-01-10 12:04:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (236, 2007000027, 2, 6, 6, '2007-01-10', '2007-01-17', '12:08:16', '09:35:00', 1, 'discharged', 'Create: 2007-01-10 12:08:16 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:35:25 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:35:25', 'Ardiana Dervishi', '2007-01-10 12:08:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (237, 2007000027, 4, 10, 6, '2007-01-10', '2007-01-17', '12:08:16', '09:35:00', 1, 'discharged', 'Create: 2007-01-10 12:08:16 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:35:25 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:35:25', 'Ardiana Dervishi', '2007-01-10 12:08:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (238, 2007000027, 5, 1, 6, '2007-01-10', '2007-01-17', '12:08:16', '09:35:00', 1, 'discharged', 'Create: 2007-01-10 12:08:16 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:35:25 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:35:25', 'Ardiana Dervishi', '2007-01-10 12:08:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (239, 2007000028, 2, 6, 6, '2007-01-10', '2007-01-19', '12:13:08', '09:53:00', 1, 'discharged', 'Create: 2007-01-10 12:13:08 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:53:23 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:53:23', 'Ardiana Dervishi', '2007-01-10 12:13:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (240, 2007000028, 4, 5, 6, '2007-01-10', '2007-01-19', '12:13:08', '09:53:00', 1, 'discharged', 'Create: 2007-01-10 12:13:08 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:53:23 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:53:23', 'Ardiana Dervishi', '2007-01-10 12:13:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (241, 2007000028, 5, 2, 6, '2007-01-10', '2007-01-19', '12:13:08', '09:53:00', 1, 'discharged', 'Create: 2007-01-10 12:13:08 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:53:23 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:53:23', 'Ardiana Dervishi', '2007-01-10 12:13:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (242, 2007000029, 2, 6, 6, '2007-01-10', '2007-01-12', '12:20:06', '13:41:00', 1, 'discharged', 'Create: 2007-01-10 12:20:06 Ardiana Dervishi\nUpdate (discharged): 2007-01-12 13:42:39 Greta Naraci\n', 'Greta Naraci', '2007-01-12 13:42:39', 'Ardiana Dervishi', '2007-01-10 12:20:06');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (243, 2007000029, 4, 10, 6, '2007-01-10', '2007-01-12', '12:20:06', '13:41:00', 1, 'discharged', 'Create: 2007-01-10 12:20:06 Ardiana Dervishi\nUpdate (discharged): 2007-01-12 13:42:39 Greta Naraci\n', 'Greta Naraci', '2007-01-12 13:42:39', 'Ardiana Dervishi', '2007-01-10 12:20:06');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (244, 2007000029, 5, 3, 6, '2007-01-10', '2007-01-12', '12:20:06', '13:41:00', 1, 'discharged', 'Create: 2007-01-10 12:20:06 Ardiana Dervishi\nUpdate (discharged): 2007-01-12 13:42:39 Greta Naraci\n', 'Greta Naraci', '2007-01-12 13:42:39', 'Ardiana Dervishi', '2007-01-10 12:20:06');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (245, 2007000030, 2, 6, 6, '2007-01-10', '2007-01-10', '12:26:01', '12:41:00', 1, 'discharged', 'Create: 2007-01-10 12:26:01 Ardiana Dervishi\nUpdate (discharged): 2007-01-10 12:42:00 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-10 12:42:00', 'Ardiana Dervishi', '2007-01-10 12:26:01');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (246, 2007000030, 4, 8, 6, '2007-01-10', '2007-01-10', '12:26:01', '12:41:00', 1, 'discharged', 'Create: 2007-01-10 12:26:01 Ardiana Dervishi\nUpdate (discharged): 2007-01-10 12:42:00 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-10 12:42:00', 'Ardiana Dervishi', '2007-01-10 12:26:01');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (247, 2007000030, 5, 2, 6, '2007-01-10', '2007-01-10', '12:26:01', '12:41:00', 1, 'discharged', 'Create: 2007-01-10 12:26:01 Ardiana Dervishi\nUpdate (discharged): 2007-01-10 12:42:00 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-10 12:42:00', 'Ardiana Dervishi', '2007-01-10 12:26:01');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (248, 2007000031, 2, 6, 6, '2007-01-10', '2007-01-26', '12:33:38', '10:08:00', 1, 'discharged', 'Create: 2007-01-10 12:33:38 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:08:11 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:08:11', 'Ardiana Dervishi', '2007-01-10 12:33:38');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (249, 2007000031, 4, 5, 6, '2007-01-10', '2007-01-26', '12:33:38', '10:08:00', 1, 'discharged', 'Create: 2007-01-10 12:33:38 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:08:11 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:08:11', 'Ardiana Dervishi', '2007-01-10 12:33:38');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (250, 2007000031, 5, 3, 6, '2007-01-10', '2007-01-26', '12:33:38', '10:08:00', 1, 'discharged', 'Create: 2007-01-10 12:33:38 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:08:11 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:08:11', 'Ardiana Dervishi', '2007-01-10 12:33:38');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (251, 2007000032, 2, 3, 3, '2007-01-11', '2007-01-18', '10:44:30', '08:40:00', 1, 'discharged', 'Create: 2007-01-11 10:44:30 Ermal Dibra\nUpdate (discharged): 2007-01-18 08:41:08 Ermal Dibra\n', 'Ermal Dibra', '2007-01-18 08:41:08', 'Ermal Dibra', '2007-01-11 10:44:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (252, 2007000032, 4, 11, 3, '2007-01-11', '2007-01-18', '10:44:30', '08:40:00', 1, 'discharged', 'Create: 2007-01-11 10:44:30 Ermal Dibra\nUpdate (discharged): 2007-01-18 08:41:08 Ermal Dibra\n', 'Ermal Dibra', '2007-01-18 08:41:08', 'Ermal Dibra', '2007-01-11 10:44:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (253, 2007000032, 5, 2, 3, '2007-01-11', '2007-01-18', '10:44:30', '08:40:00', 1, 'discharged', 'Create: 2007-01-11 10:44:30 Ermal Dibra\nUpdate (discharged): 2007-01-18 08:41:08 Ermal Dibra\n', 'Ermal Dibra', '2007-01-18 08:41:08', 'Ermal Dibra', '2007-01-11 10:44:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (254, 2007000033, 2, 6, 6, '2007-01-11', '2007-01-15', '10:48:06', '11:32:00', 1, 'discharged', 'Create: 2007-01-11 10:48:06 Ardiana Dervishi\nUpdate (discharged): 2007-01-15 11:32:38 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-15 11:32:38', 'Ardiana Dervishi', '2007-01-11 10:48:06');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (255, 2007000033, 4, 7, 6, '2007-01-11', '2007-01-15', '10:48:06', '11:32:00', 1, 'discharged', 'Create: 2007-01-11 10:48:06 Ardiana Dervishi\nUpdate (discharged): 2007-01-15 11:32:38 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-15 11:32:38', 'Ardiana Dervishi', '2007-01-11 10:48:06');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (256, 2007000033, 5, 2, 6, '2007-01-11', '2007-01-15', '10:48:06', '11:32:00', 1, 'discharged', 'Create: 2007-01-11 10:48:06 Ardiana Dervishi\nUpdate (discharged): 2007-01-15 11:32:38 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-15 11:32:38', 'Ardiana Dervishi', '2007-01-11 10:48:06');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (257, 2007000034, 2, 6, 6, '2007-01-11', '2007-01-20', '10:56:52', '09:47:00', 1, 'discharged', 'Create: 2007-01-11 10:56:52 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 09:48:53 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 09:48:53', 'Ardiana Dervishi', '2007-01-11 10:56:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (258, 2007000034, 4, 3, 6, '2007-01-11', '2007-01-20', '10:56:52', '09:47:00', 1, 'discharged', 'Create: 2007-01-11 10:56:52 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 09:48:53 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 09:48:53', 'Ardiana Dervishi', '2007-01-11 10:56:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (259, 2007000034, 5, 5, 6, '2007-01-11', '2007-01-20', '10:56:52', '09:47:00', 1, 'discharged', 'Create: 2007-01-11 10:56:52 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 09:48:53 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 09:48:53', 'Ardiana Dervishi', '2007-01-11 10:56:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (260, 2007000035, 2, 3, 3, '2007-01-11', '2007-01-20', '11:00:51', '10:44:00', 1, 'discharged', 'Create: 2007-01-11 11:00:51 Ermal Dibra\nUpdate (discharged): 2007-01-20 10:45:06 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 10:45:06', 'Ermal Dibra', '2007-01-11 11:00:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (261, 2007000035, 4, 9, 3, '2007-01-11', '2007-01-20', '11:00:51', '10:44:00', 1, 'discharged', 'Create: 2007-01-11 11:00:51 Ermal Dibra\nUpdate (discharged): 2007-01-20 10:45:06 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 10:45:06', 'Ermal Dibra', '2007-01-11 11:00:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (262, 2007000035, 5, 2, 3, '2007-01-11', '2007-01-20', '11:00:51', '10:44:00', 1, 'discharged', 'Create: 2007-01-11 11:00:51 Ermal Dibra\nUpdate (discharged): 2007-01-20 10:45:06 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 10:45:06', 'Ermal Dibra', '2007-01-11 11:00:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (263, 2007000036, 2, 6, 6, '2007-01-11', '2007-01-17', '11:04:04', '09:32:00', 1, 'discharged', 'Create: 2007-01-11 11:04:04 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:32:39 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:32:39', 'Ardiana Dervishi', '2007-01-11 11:04:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (264, 2007000036, 4, 6, 6, '2007-01-11', '2007-01-17', '11:04:04', '09:32:00', 1, 'discharged', 'Create: 2007-01-11 11:04:04 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:32:39 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:32:39', 'Ardiana Dervishi', '2007-01-11 11:04:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (265, 2007000036, 5, 4, 6, '2007-01-11', '2007-01-17', '11:04:04', '09:32:00', 1, 'discharged', 'Create: 2007-01-11 11:04:04 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:32:39 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:32:39', 'Ardiana Dervishi', '2007-01-11 11:04:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (266, 2007000037, 2, 6, 6, '2007-01-11', '2007-01-11', '11:09:30', '11:24:35', 6, 'discharged', 'Create: 2007-01-11 11:09:30 Ardiana Dervishi\nUpdate (discharged): 2007-01-11 11:24:35 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-11 11:24:35', 'Ardiana Dervishi', '2007-01-11 11:09:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (267, 2007000037, 4, 1, 6, '2007-01-11', '2007-01-11', '11:09:30', '11:24:35', 6, 'discharged', 'Create: 2007-01-11 11:09:30 Ardiana Dervishi\nUpdate (discharged): 2007-01-11 11:24:35 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-11 11:24:35', 'Ardiana Dervishi', '2007-01-11 11:09:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (268, 2007000037, 5, 4, 6, '2007-01-11', '2007-01-11', '11:09:30', '11:24:35', 6, 'discharged', 'Create: 2007-01-11 11:09:30 Ardiana Dervishi\nUpdate (discharged): 2007-01-11 11:24:35 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-11 11:24:35', 'Ardiana Dervishi', '2007-01-11 11:09:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (269, 2007000038, 2, 6, 6, '2007-01-11', '2007-01-19', '11:15:05', '11:27:00', 1, 'discharged', 'Create: 2007-01-11 11:15:05 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 11:27:19 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 11:27:19', 'Ardiana Dervishi', '2007-01-11 11:15:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (270, 2007000038, 4, 6, 6, '2007-01-11', '2007-01-19', '11:15:05', '11:27:00', 1, 'discharged', 'Create: 2007-01-11 11:15:05 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 11:27:19 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 11:27:19', 'Ardiana Dervishi', '2007-01-11 11:15:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (271, 2007000038, 5, 5, 6, '2007-01-11', '2007-01-19', '11:15:05', '11:27:00', 1, 'discharged', 'Create: 2007-01-11 11:15:05 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 11:27:19 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 11:27:19', 'Ardiana Dervishi', '2007-01-11 11:15:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (272, 2007000039, 2, 3, 3, '2007-01-11', '0000-00-00', '11:20:39', NULL, 0, '', 'Create: 2007-01-11 11:20:39 Ermal Dibra\n', '', '2007-01-11 11:20:39', 'Ermal Dibra', '2007-01-11 11:20:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (273, 2007000039, 4, 1, 3, '2007-01-11', '0000-00-00', '11:20:39', NULL, 0, '', 'Create: 2007-01-11 11:20:39 Ermal Dibra\n', '', '2007-01-11 11:20:39', 'Ermal Dibra', '2007-01-11 11:20:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (274, 2007000039, 5, 2, 3, '2007-01-11', '0000-00-00', '11:20:39', NULL, 0, '', 'Create: 2007-01-11 11:20:39 Ermal Dibra\n', '', '2007-01-11 11:20:39', 'Ermal Dibra', '2007-01-11 11:20:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (275, 2007000040, 2, 6, 6, '2007-01-11', '2007-01-17', '11:20:50', '09:28:00', 1, 'discharged', 'Create: 2007-01-11 11:20:50 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:29:07 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:29:07', 'Ardiana Dervishi', '2007-01-11 11:20:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (276, 2007000040, 4, 2, 6, '2007-01-11', '2007-01-17', '11:20:50', '09:28:00', 1, 'discharged', 'Create: 2007-01-11 11:20:50 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:29:07 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:29:07', 'Ardiana Dervishi', '2007-01-11 11:20:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (277, 2007000040, 5, 5, 6, '2007-01-11', '2007-01-17', '11:20:50', '09:28:00', 1, 'discharged', 'Create: 2007-01-11 11:20:50 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:29:07 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:29:07', 'Ardiana Dervishi', '2007-01-11 11:20:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (278, 2007000037, 2, 6, 6, '2007-01-11', '2007-01-15', '11:24:35', '11:31:00', 1, 'discharged', 'Create: 2007-01-11 11:24:35 Ardiana Dervishi\nUpdate (discharged): 2007-01-15 11:32:04 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-15 11:32:04', 'Ardiana Dervishi', '2007-01-11 11:24:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (279, 2007000037, 4, 7, 6, '2007-01-11', '2007-01-15', '11:24:35', '11:31:00', 1, 'discharged', 'Create: 2007-01-11 11:24:35 Ardiana Dervishi\nUpdate (discharged): 2007-01-15 11:32:04 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-15 11:32:04', 'Ardiana Dervishi', '2007-01-11 11:24:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (280, 2007000037, 5, 4, 6, '2007-01-11', '2007-01-15', '11:24:35', '11:31:00', 1, 'discharged', 'Create: 2007-01-11 11:24:35 Ardiana Dervishi\nUpdate (discharged): 2007-01-15 11:32:04 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-15 11:32:04', 'Ardiana Dervishi', '2007-01-11 11:24:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (281, 2007000041, 2, 3, 3, '2007-01-11', '2007-01-11', '11:34:54', '11:42:00', 7, 'discharged', 'Create: 2007-01-11 11:34:54 Ermal Dibra\nUpdate (discharged): 2007-01-11 12:15:11 Ermal Dibra\n', 'Ermal Dibra', '2007-01-11 12:15:11', 'Ermal Dibra', '2007-01-11 11:34:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (282, 2007000041, 4, 12, 3, '2007-01-11', '2007-01-11', '11:34:54', '11:42:00', 7, 'discharged', 'Create: 2007-01-11 11:34:54 Ermal Dibra\nUpdate (discharged): 2007-01-11 12:15:11 Ermal Dibra\n', 'Ermal Dibra', '2007-01-11 12:15:11', 'Ermal Dibra', '2007-01-11 11:34:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (283, 2007000041, 5, 1, 3, '2007-01-11', '2007-01-11', '11:34:54', '11:42:00', 7, 'discharged', 'Create: 2007-01-11 11:34:54 Ermal Dibra\nUpdate (discharged): 2007-01-11 12:15:11 Ermal Dibra\n', 'Ermal Dibra', '2007-01-11 12:15:11', 'Ermal Dibra', '2007-01-11 11:34:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (284, 2007000042, 2, 3, 3, '2007-01-11', '2007-01-17', '13:28:39', '12:08:00', 1, 'discharged', 'Create: 2007-01-11 13:28:39 Ermal Dibra\nUpdate (discharged): 2007-01-17 12:09:12 Ermal Dibra\n', 'Ermal Dibra', '2007-01-17 12:09:12', 'Ermal Dibra', '2007-01-11 13:28:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (285, 2007000042, 4, 7, 3, '2007-01-11', '2007-01-17', '13:28:39', '12:08:00', 1, 'discharged', 'Create: 2007-01-11 13:28:39 Ermal Dibra\nUpdate (discharged): 2007-01-17 12:09:12 Ermal Dibra\n', 'Ermal Dibra', '2007-01-17 12:09:12', 'Ermal Dibra', '2007-01-11 13:28:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (286, 2007000042, 5, 1, 3, '2007-01-11', '2007-01-17', '13:28:39', '12:08:00', 1, 'discharged', 'Create: 2007-01-11 13:28:39 Ermal Dibra\nUpdate (discharged): 2007-01-17 12:09:12 Ermal Dibra\n', 'Ermal Dibra', '2007-01-17 12:09:12', 'Ermal Dibra', '2007-01-11 13:28:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (287, 2007000043, 2, 3, 3, '2007-01-11', '2007-01-20', '13:38:52', '08:36:00', 1, 'discharged', 'Create: 2007-01-11 13:38:52 Ermal Dibra\nUpdate (discharged): 2007-01-20 08:38:25 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 08:38:25', 'Ermal Dibra', '2007-01-11 13:38:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (288, 2007000043, 4, 12, 3, '2007-01-11', '2007-01-20', '13:38:52', '08:36:00', 1, 'discharged', 'Create: 2007-01-11 13:38:52 Ermal Dibra\nUpdate (discharged): 2007-01-20 08:38:25 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 08:38:25', 'Ermal Dibra', '2007-01-11 13:38:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (289, 2007000043, 5, 1, 3, '2007-01-11', '2007-01-20', '13:38:52', '08:36:00', 1, 'discharged', 'Create: 2007-01-11 13:38:52 Ermal Dibra\nUpdate (discharged): 2007-01-20 08:38:25 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 08:38:25', 'Ermal Dibra', '2007-01-11 13:38:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (290, 2007000044, 2, 3, 3, '2007-01-11', '2007-01-25', '13:48:14', '10:20:00', 1, 'discharged', 'Create: 2007-01-11 13:48:14 Ermal Dibra\nUpdate (discharged): 2007-01-26 10:21:20 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 10:21:20', 'Ermal Dibra', '2007-01-11 13:48:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (291, 2007000044, 4, 5, 3, '2007-01-11', '2007-01-25', '13:48:14', '10:20:00', 1, 'discharged', 'Create: 2007-01-11 13:48:14 Ermal Dibra\nUpdate (discharged): 2007-01-26 10:21:20 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 10:21:20', 'Ermal Dibra', '2007-01-11 13:48:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (292, 2007000044, 5, 1, 3, '2007-01-11', '2007-01-25', '13:48:14', '10:20:00', 1, 'discharged', 'Create: 2007-01-11 13:48:14 Ermal Dibra\nUpdate (discharged): 2007-01-26 10:21:20 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 10:21:20', 'Ermal Dibra', '2007-01-11 13:48:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (293, 2007000045, 2, 3, 3, '2007-01-11', '2007-01-22', '14:04:19', '11:28:00', 1, 'discharged', 'Create: 2007-01-11 14:04:19 Ermal Dibra\nUpdate (discharged): 2007-01-22 11:29:22 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 11:29:22', 'Ermal Dibra', '2007-01-11 14:04:19');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (294, 2007000045, 4, 8, 3, '2007-01-11', '2007-01-22', '14:04:19', '11:28:00', 1, 'discharged', 'Create: 2007-01-11 14:04:19 Ermal Dibra\nUpdate (discharged): 2007-01-22 11:29:22 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 11:29:22', 'Ermal Dibra', '2007-01-11 14:04:19');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (295, 2007000045, 5, 2, 3, '2007-01-11', '2007-01-22', '14:04:19', '11:28:00', 1, 'discharged', 'Create: 2007-01-11 14:04:19 Ermal Dibra\nUpdate (discharged): 2007-01-22 11:29:22 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 11:29:22', 'Ermal Dibra', '2007-01-11 14:04:19');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (296, 2007000046, 2, 3, 3, '2007-01-11', '2007-01-12', '14:14:19', '10:27:00', 1, 'discharged', 'Create: 2007-01-11 14:14:19 Ermal Dibra\nUpdate (discharged): 2007-01-12 10:28:43 Ermal Dibra\n', 'Ermal Dibra', '2007-01-12 10:28:43', 'Ermal Dibra', '2007-01-11 14:14:19');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (297, 2007000046, 4, 1, 3, '2007-01-11', '2007-01-12', '14:14:19', '10:27:00', 1, 'discharged', 'Create: 2007-01-11 14:14:19 Ermal Dibra\nUpdate (discharged): 2007-01-12 10:28:43 Ermal Dibra\n', 'Ermal Dibra', '2007-01-12 10:28:43', 'Ermal Dibra', '2007-01-11 14:14:19');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (298, 2007000046, 5, 3, 3, '2007-01-11', '2007-01-12', '14:14:19', '10:27:00', 1, 'discharged', 'Create: 2007-01-11 14:14:19 Ermal Dibra\nUpdate (discharged): 2007-01-12 10:28:43 Ermal Dibra\n', 'Ermal Dibra', '2007-01-12 10:28:43', 'Ermal Dibra', '2007-01-11 14:14:19');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (299, 2007000047, 2, 3, 3, '2007-01-11', '2007-01-20', '14:20:32', '10:23:00', 1, 'discharged', 'Create: 2007-01-11 14:20:32 Ermal Dibra\nUpdate (discharged): 2007-01-20 10:24:35 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 10:24:35', 'Ermal Dibra', '2007-01-11 14:20:32');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (300, 2007000047, 4, 9, 3, '2007-01-11', '2007-01-20', '14:20:32', '10:23:00', 1, 'discharged', 'Create: 2007-01-11 14:20:32 Ermal Dibra\nUpdate (discharged): 2007-01-20 10:24:35 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 10:24:35', 'Ermal Dibra', '2007-01-11 14:20:32');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (301, 2007000047, 5, 3, 3, '2007-01-11', '2007-01-20', '14:20:32', '10:23:00', 1, 'discharged', 'Create: 2007-01-11 14:20:32 Ermal Dibra\nUpdate (discharged): 2007-01-20 10:24:35 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 10:24:35', 'Ermal Dibra', '2007-01-11 14:20:32');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (302, 2007000048, 2, 3, 3, '2007-01-11', '0000-00-00', '14:27:41', NULL, 0, '', 'Create: 2007-01-11 14:27:41 Ermal Dibra\n', '', '2007-01-11 14:27:41', 'Ermal Dibra', '2007-01-11 14:27:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (303, 2007000048, 4, 2, 3, '2007-01-11', '0000-00-00', '14:27:41', NULL, 0, '', 'Create: 2007-01-11 14:27:41 Ermal Dibra\n', '', '2007-01-11 14:27:41', 'Ermal Dibra', '2007-01-11 14:27:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (304, 2007000048, 5, 1, 3, '2007-01-11', '0000-00-00', '14:27:41', NULL, 0, '', 'Create: 2007-01-11 14:27:41 Ermal Dibra\n', '', '2007-01-11 14:27:41', 'Ermal Dibra', '2007-01-11 14:27:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (305, 2007000049, 2, 3, 3, '2007-01-12', '2007-01-15', '08:01:00', '12:34:00', 1, 'discharged', 'Create: 2007-01-12 08:01:00 Ermal Dibra\nUpdate (discharged): 2007-01-20 12:35:36 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 12:35:36', 'Ermal Dibra', '2007-01-12 08:01:00');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (306, 2007000049, 4, 5, 3, '2007-01-12', '2007-01-15', '08:01:00', '12:34:00', 1, 'discharged', 'Create: 2007-01-12 08:01:00 Ermal Dibra\nUpdate (discharged): 2007-01-20 12:35:36 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 12:35:36', 'Ermal Dibra', '2007-01-12 08:01:00');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (307, 2007000049, 5, 2, 3, '2007-01-12', '2007-01-15', '08:01:00', '12:34:00', 1, 'discharged', 'Create: 2007-01-12 08:01:00 Ermal Dibra\nUpdate (discharged): 2007-01-20 12:35:36 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 12:35:36', 'Ermal Dibra', '2007-01-12 08:01:00');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (308, 2007000050, 2, 6, 6, '2007-01-12', '2007-01-15', '10:11:09', '08:57:41', 6, 'discharged', 'Create: 2007-01-12 10:11:09 Ardiana Dervishi\nUpdate (discharged): 2007-01-15 08:57:41 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-15 08:57:41', 'Ardiana Dervishi', '2007-01-12 10:11:09');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (309, 2007000050, 4, 1, 6, '2007-01-12', '2007-01-15', '10:11:09', '08:57:41', 6, 'discharged', 'Create: 2007-01-12 10:11:09 Ardiana Dervishi\nUpdate (discharged): 2007-01-15 08:57:41 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-15 08:57:41', 'Ardiana Dervishi', '2007-01-12 10:11:09');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (310, 2007000050, 5, 4, 6, '2007-01-12', '2007-01-15', '10:11:09', '08:57:41', 6, 'discharged', 'Create: 2007-01-12 10:11:09 Ardiana Dervishi\nUpdate (discharged): 2007-01-15 08:57:41 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-15 08:57:41', 'Ardiana Dervishi', '2007-01-12 10:11:09');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (311, 2007000051, 2, 6, 6, '2007-01-12', '2007-01-17', '10:20:41', '09:27:19', 6, 'discharged', 'Create: 2007-01-12 10:20:41 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:27:19 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:27:19', 'Ardiana Dervishi', '2007-01-12 10:20:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (312, 2007000051, 4, 1, 6, '2007-01-12', '2007-01-17', '10:20:41', '09:27:19', 6, 'discharged', 'Create: 2007-01-12 10:20:41 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:27:19 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:27:19', 'Ardiana Dervishi', '2007-01-12 10:20:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (313, 2007000051, 5, 3, 6, '2007-01-12', '2007-01-17', '10:20:41', '09:27:19', 6, 'discharged', 'Create: 2007-01-12 10:20:41 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:27:19 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:27:19', 'Ardiana Dervishi', '2007-01-12 10:20:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (314, 2007000052, 2, 3, 3, '2007-01-12', '2007-01-13', '12:17:27', '09:01:00', 1, 'discharged', 'Create: 2007-01-12 12:17:27 Ermal Dibra\nUpdate (discharged): 2007-01-16 09:02:54 Ermal Dibra\n', 'Ermal Dibra', '2007-01-16 09:02:54', 'Ermal Dibra', '2007-01-12 12:17:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (315, 2007000052, 4, 15, 3, '2007-01-12', '2007-01-13', '12:17:27', '09:01:00', 1, 'discharged', 'Create: 2007-01-12 12:17:27 Ermal Dibra\nUpdate (discharged): 2007-01-16 09:02:54 Ermal Dibra\n', 'Ermal Dibra', '2007-01-16 09:02:54', 'Ermal Dibra', '2007-01-12 12:17:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (316, 2007000052, 5, 1, 3, '2007-01-12', '2007-01-13', '12:17:27', '09:01:00', 1, 'discharged', 'Create: 2007-01-12 12:17:27 Ermal Dibra\nUpdate (discharged): 2007-01-16 09:02:54 Ermal Dibra\n', 'Ermal Dibra', '2007-01-16 09:02:54', 'Ermal Dibra', '2007-01-12 12:17:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (317, 2007000053, 2, 3, 3, '2007-01-12', '2007-01-22', '12:22:45', '10:49:00', 3, 'discharged', 'Create: 2007-01-12 12:22:45 Ermal Dibra\nUpdate (discharged): 2007-01-23 10:50:27 Ermal Dibra\n', 'Ermal Dibra', '2007-01-23 10:50:27', 'Ermal Dibra', '2007-01-12 12:22:45');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (318, 2007000053, 4, 15, 3, '2007-01-12', '2007-01-22', '12:22:45', '10:49:00', 3, 'discharged', 'Create: 2007-01-12 12:22:45 Ermal Dibra\nUpdate (discharged): 2007-01-23 10:50:27 Ermal Dibra\n', 'Ermal Dibra', '2007-01-23 10:50:27', 'Ermal Dibra', '2007-01-12 12:22:45');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (319, 2007000053, 5, 2, 3, '2007-01-12', '2007-01-22', '12:22:45', '10:49:00', 3, 'discharged', 'Create: 2007-01-12 12:22:45 Ermal Dibra\nUpdate (discharged): 2007-01-23 10:50:27 Ermal Dibra\n', 'Ermal Dibra', '2007-01-23 10:50:27', 'Ermal Dibra', '2007-01-12 12:22:45');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (320, 2007000054, 2, 3, 3, '2007-01-12', '2007-01-26', '12:28:07', '10:29:00', 1, 'discharged', 'Create: 2007-01-12 12:28:07 Ermal Dibra\nUpdate (discharged): 2007-01-26 10:30:42 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 10:30:42', 'Ermal Dibra', '2007-01-12 12:28:07');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (321, 2007000054, 4, 2, 3, '2007-01-12', '2007-01-26', '12:28:07', '10:29:00', 1, 'discharged', 'Create: 2007-01-12 12:28:07 Ermal Dibra\nUpdate (discharged): 2007-01-26 10:30:42 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 10:30:42', 'Ermal Dibra', '2007-01-12 12:28:07');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (322, 2007000054, 5, 2, 3, '2007-01-12', '2007-01-26', '12:28:07', '10:29:00', 1, 'discharged', 'Create: 2007-01-12 12:28:07 Ermal Dibra\nUpdate (discharged): 2007-01-26 10:30:42 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 10:30:42', 'Ermal Dibra', '2007-01-12 12:28:07');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (323, 2007000055, 2, 3, 3, '2007-01-12', '2007-01-13', '12:34:16', '09:31:00', 1, 'discharged', 'Create: 2007-01-12 12:34:16 Ermal Dibra\nUpdate (discharged): 2007-01-15 09:32:41 Ermal Dibra\n', 'Ermal Dibra', '2007-01-15 09:32:41', 'Ermal Dibra', '2007-01-12 12:34:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (324, 2007000055, 4, 16, 3, '2007-01-12', '2007-01-13', '12:34:16', '09:31:00', 1, 'discharged', 'Create: 2007-01-12 12:34:16 Ermal Dibra\nUpdate (discharged): 2007-01-15 09:32:41 Ermal Dibra\n', 'Ermal Dibra', '2007-01-15 09:32:41', 'Ermal Dibra', '2007-01-12 12:34:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (325, 2007000055, 5, 1, 3, '2007-01-12', '2007-01-13', '12:34:16', '09:31:00', 1, 'discharged', 'Create: 2007-01-12 12:34:16 Ermal Dibra\nUpdate (discharged): 2007-01-15 09:32:41 Ermal Dibra\n', 'Ermal Dibra', '2007-01-15 09:32:41', 'Ermal Dibra', '2007-01-12 12:34:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (326, 2007000056, 2, 3, 3, '2007-01-12', '2007-01-13', '12:41:50', '09:03:00', 1, 'discharged', 'Create: 2007-01-12 12:41:50 Ermal Dibra\nUpdate (discharged): 2007-01-16 09:04:19 Ermal Dibra\n', 'Ermal Dibra', '2007-01-16 09:04:19', 'Ermal Dibra', '2007-01-12 12:41:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (327, 2007000056, 4, 3, 3, '2007-01-12', '2007-01-13', '12:41:50', '09:03:00', 1, 'discharged', 'Create: 2007-01-12 12:41:50 Ermal Dibra\nUpdate (discharged): 2007-01-16 09:04:19 Ermal Dibra\n', 'Ermal Dibra', '2007-01-16 09:04:19', 'Ermal Dibra', '2007-01-12 12:41:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (328, 2007000056, 5, 1, 3, '2007-01-12', '2007-01-13', '12:41:50', '09:03:00', 1, 'discharged', 'Create: 2007-01-12 12:41:50 Ermal Dibra\nUpdate (discharged): 2007-01-16 09:04:19 Ermal Dibra\n', 'Ermal Dibra', '2007-01-16 09:04:19', 'Ermal Dibra', '2007-01-12 12:41:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (329, 2007000057, 2, 3, 3, '2007-01-12', '2007-01-31', '12:47:18', '11:53:00', 1, 'discharged', 'Create: 2007-01-12 12:47:18 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:54:10 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:54:10', 'Ermal Dibra', '2007-01-12 12:47:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (330, 2007000057, 4, 1, 3, '2007-01-12', '2007-01-31', '12:47:18', '11:53:00', 1, 'discharged', 'Create: 2007-01-12 12:47:18 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:54:10 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:54:10', 'Ermal Dibra', '2007-01-12 12:47:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (331, 2007000057, 5, 3, 3, '2007-01-12', '2007-01-31', '12:47:18', '11:53:00', 1, 'discharged', 'Create: 2007-01-12 12:47:18 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:54:10 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:54:10', 'Ermal Dibra', '2007-01-12 12:47:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (332, 2007000058, 2, 6, 6, '2007-01-12', '2007-01-17', '12:51:55', '09:27:00', 1, 'discharged', 'Create: 2007-01-12 12:51:55 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:27:34 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:27:34', 'Ardiana Dervishi', '2007-01-12 12:51:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (333, 2007000058, 4, 1, 6, '2007-01-12', '2007-01-17', '12:51:55', '09:27:00', 1, 'discharged', 'Create: 2007-01-12 12:51:55 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:27:34 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:27:34', 'Ardiana Dervishi', '2007-01-12 12:51:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (334, 2007000058, 5, 5, 6, '2007-01-12', '2007-01-17', '12:51:55', '09:27:00', 1, 'discharged', 'Create: 2007-01-12 12:51:55 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:27:34 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:27:34', 'Ardiana Dervishi', '2007-01-12 12:51:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (335, 2007000059, 2, 6, 6, '2007-01-12', '2007-01-12', '13:08:45', '13:37:38', 6, 'discharged', 'Create: 2007-01-12 13:08:45 Ardiana Dervishi\nUpdate (discharged): 2007-01-12 13:37:38 Greta Naraci\n', 'Greta Naraci', '2007-01-12 13:37:38', 'Ardiana Dervishi', '2007-01-12 13:08:45');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (336, 2007000059, 4, 6, 6, '2007-01-12', '2007-01-12', '13:08:45', '13:37:38', 6, 'discharged', 'Create: 2007-01-12 13:08:45 Ardiana Dervishi\nUpdate (discharged): 2007-01-12 13:37:38 Greta Naraci\n', 'Greta Naraci', '2007-01-12 13:37:38', 'Ardiana Dervishi', '2007-01-12 13:08:45');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (337, 2007000059, 5, 2, 6, '2007-01-12', '2007-01-12', '13:08:45', '13:37:38', 6, 'discharged', 'Create: 2007-01-12 13:08:45 Ardiana Dervishi\nUpdate (discharged): 2007-01-12 13:37:38 Greta Naraci\n', 'Greta Naraci', '2007-01-12 13:37:38', 'Ardiana Dervishi', '2007-01-12 13:08:45');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (338, 2007000059, 2, 6, 6, '2007-01-12', '2007-01-17', '13:37:38', '09:32:00', 1, 'discharged', 'Create: 2007-01-12 13:37:38 Greta Naraci\nUpdate (discharged): 2007-01-17 09:32:04 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:32:04', 'Greta Naraci', '2007-01-12 13:37:38');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (339, 2007000059, 4, 6, 6, '2007-01-12', '2007-01-17', '13:37:38', '09:32:00', 1, 'discharged', 'Create: 2007-01-12 13:37:38 Greta Naraci\nUpdate (discharged): 2007-01-17 09:32:04 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:32:04', 'Greta Naraci', '2007-01-12 13:37:38');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (340, 2007000059, 5, 3, 6, '2007-01-12', '2007-01-17', '13:37:38', '09:32:00', 1, 'discharged', 'Create: 2007-01-12 13:37:38 Greta Naraci\nUpdate (discharged): 2007-01-17 09:32:04 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:32:04', 'Greta Naraci', '2007-01-12 13:37:38');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (341, 2007000060, 2, 3, 3, '2007-01-13', '2007-01-18', '07:41:10', '13:09:00', 1, 'discharged', 'Create: 2007-01-13 07:41:10 Ermal Dibra\nUpdate (discharged): 2007-01-18 13:10:41 Ermal Dibra\n', 'Ermal Dibra', '2007-01-18 13:10:41', 'Ermal Dibra', '2007-01-13 07:41:10');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (342, 2007000060, 4, 10, 3, '2007-01-13', '2007-01-18', '07:41:10', '13:09:00', 1, 'discharged', 'Create: 2007-01-13 07:41:10 Ermal Dibra\nUpdate (discharged): 2007-01-18 13:10:41 Ermal Dibra\n', 'Ermal Dibra', '2007-01-18 13:10:41', 'Ermal Dibra', '2007-01-13 07:41:10');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (343, 2007000060, 5, 1, 3, '2007-01-13', '2007-01-18', '07:41:10', '13:09:00', 1, 'discharged', 'Create: 2007-01-13 07:41:10 Ermal Dibra\nUpdate (discharged): 2007-01-18 13:10:41 Ermal Dibra\n', 'Ermal Dibra', '2007-01-18 13:10:41', 'Ermal Dibra', '2007-01-13 07:41:10');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (344, 2007000061, 2, 3, 3, '2007-01-13', '2007-01-22', '07:54:29', '08:42:00', 1, 'discharged', 'Create: 2007-01-13 07:54:29 Ermal Dibra\nUpdate (discharged): 2007-01-24 08:42:54 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 08:42:54', 'Ermal Dibra', '2007-01-13 07:54:29');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (345, 2007000061, 4, 4, 3, '2007-01-13', '2007-01-22', '07:54:29', '08:42:00', 1, 'discharged', 'Create: 2007-01-13 07:54:29 Ermal Dibra\nUpdate (discharged): 2007-01-24 08:42:54 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 08:42:54', 'Ermal Dibra', '2007-01-13 07:54:29');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (346, 2007000061, 5, 1, 3, '2007-01-13', '2007-01-22', '07:54:29', '08:42:00', 1, 'discharged', 'Create: 2007-01-13 07:54:29 Ermal Dibra\nUpdate (discharged): 2007-01-24 08:42:54 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 08:42:54', 'Ermal Dibra', '2007-01-13 07:54:29');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (347, 2007000062, 2, 3, 3, '2007-01-13', '2007-01-22', '08:06:46', '11:27:00', 1, 'discharged', 'Create: 2007-01-13 08:06:46 Ermal Dibra\nUpdate (discharged): 2007-01-22 11:27:51 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 11:27:51', 'Ermal Dibra', '2007-01-13 08:06:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (348, 2007000062, 4, 8, 3, '2007-01-13', '2007-01-22', '08:06:46', '11:27:00', 1, 'discharged', 'Create: 2007-01-13 08:06:46 Ermal Dibra\nUpdate (discharged): 2007-01-22 11:27:51 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 11:27:51', 'Ermal Dibra', '2007-01-13 08:06:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (349, 2007000062, 5, 1, 3, '2007-01-13', '2007-01-22', '08:06:46', '11:27:00', 1, 'discharged', 'Create: 2007-01-13 08:06:46 Ermal Dibra\nUpdate (discharged): 2007-01-22 11:27:51 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 11:27:51', 'Ermal Dibra', '2007-01-13 08:06:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (350, 2007000063, 2, 3, 3, '2007-01-13', '2007-01-15', '09:09:41', '12:01:00', 1, 'discharged', 'Create: 2007-01-13 09:09:41 Ermal Dibra\nUpdate (discharged): 2007-01-19 12:02:05 Ermal Dibra\n', 'Ermal Dibra', '2007-01-19 12:02:05', 'Ermal Dibra', '2007-01-13 09:09:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (351, 2007000063, 4, 1, 3, '2007-01-13', '2007-01-15', '09:09:41', '12:01:00', 1, 'discharged', 'Create: 2007-01-13 09:09:41 Ermal Dibra\nUpdate (discharged): 2007-01-19 12:02:05 Ermal Dibra\n', 'Ermal Dibra', '2007-01-19 12:02:05', 'Ermal Dibra', '2007-01-13 09:09:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (352, 2007000063, 5, 4, 3, '2007-01-13', '2007-01-15', '09:09:41', '12:01:00', 1, 'discharged', 'Create: 2007-01-13 09:09:41 Ermal Dibra\nUpdate (discharged): 2007-01-19 12:02:05 Ermal Dibra\n', 'Ermal Dibra', '2007-01-19 12:02:05', 'Ermal Dibra', '2007-01-13 09:09:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (353, 2007000064, 2, 3, 3, '2007-01-13', '2007-01-13', '09:17:50', '09:27:00', 1, 'discharged', 'Create: 2007-01-13 09:17:50 Ermal Dibra\nUpdate (discharged): 2007-01-15 09:30:08 Ermal Dibra\n', 'Ermal Dibra', '2007-01-15 09:30:08', 'Ermal Dibra', '2007-01-13 09:17:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (354, 2007000064, 4, 10, 3, '2007-01-13', '2007-01-13', '09:17:50', '09:27:00', 1, 'discharged', 'Create: 2007-01-13 09:17:50 Ermal Dibra\nUpdate (discharged): 2007-01-15 09:30:08 Ermal Dibra\n', 'Ermal Dibra', '2007-01-15 09:30:08', 'Ermal Dibra', '2007-01-13 09:17:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (355, 2007000064, 5, 2, 3, '2007-01-13', '2007-01-13', '09:17:50', '09:27:00', 1, 'discharged', 'Create: 2007-01-13 09:17:50 Ermal Dibra\nUpdate (discharged): 2007-01-15 09:30:08 Ermal Dibra\n', 'Ermal Dibra', '2007-01-15 09:30:08', 'Ermal Dibra', '2007-01-13 09:17:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (356, 2007000065, 2, 3, 3, '2007-01-13', '2007-01-20', '09:25:57', '10:43:00', 1, 'discharged', 'Create: 2007-01-13 09:25:57 Ermal Dibra\nUpdate (discharged): 2007-01-20 10:44:01 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 10:44:01', 'Ermal Dibra', '2007-01-13 09:25:57');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (357, 2007000065, 4, 11, 3, '2007-01-13', '2007-01-20', '09:25:57', '10:43:00', 1, 'discharged', 'Create: 2007-01-13 09:25:57 Ermal Dibra\nUpdate (discharged): 2007-01-20 10:44:01 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 10:44:01', 'Ermal Dibra', '2007-01-13 09:25:57');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (358, 2007000065, 5, 3, 3, '2007-01-13', '2007-01-20', '09:25:57', '10:43:00', 1, 'discharged', 'Create: 2007-01-13 09:25:57 Ermal Dibra\nUpdate (discharged): 2007-01-20 10:44:01 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 10:44:01', 'Ermal Dibra', '2007-01-13 09:25:57');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (359, 2007000066, 2, 3, 3, '2007-01-13', '2007-01-18', '12:07:07', '13:11:00', 1, 'discharged', 'Create: 2007-01-13 12:07:07 Ermal Dibra\nUpdate (discharged): 2007-01-18 13:11:48 Ermal Dibra\n', 'Ermal Dibra', '2007-01-18 13:11:48', 'Ermal Dibra', '2007-01-13 12:07:07');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (360, 2007000066, 4, 6, 3, '2007-01-13', '2007-01-18', '12:07:07', '13:11:00', 1, 'discharged', 'Create: 2007-01-13 12:07:07 Ermal Dibra\nUpdate (discharged): 2007-01-18 13:11:48 Ermal Dibra\n', 'Ermal Dibra', '2007-01-18 13:11:48', 'Ermal Dibra', '2007-01-13 12:07:07');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (361, 2007000066, 5, 1, 3, '2007-01-13', '2007-01-18', '12:07:07', '13:11:00', 1, 'discharged', 'Create: 2007-01-13 12:07:07 Ermal Dibra\nUpdate (discharged): 2007-01-18 13:11:48 Ermal Dibra\n', 'Ermal Dibra', '2007-01-18 13:11:48', 'Ermal Dibra', '2007-01-13 12:07:07');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (362, 2007000067, 2, 3, 3, '2007-01-13', '2007-01-18', '12:14:05', '07:59:00', 1, 'discharged', 'Create: 2007-01-13 12:14:05 Ermal Dibra\nUpdate (discharged): 2007-01-18 08:00:26 Ermal Dibra\n', 'Ermal Dibra', '2007-01-18 08:00:26', 'Ermal Dibra', '2007-01-13 12:14:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (363, 2007000067, 4, 4, 3, '2007-01-13', '2007-01-18', '12:14:05', '07:59:00', 1, 'discharged', 'Create: 2007-01-13 12:14:05 Ermal Dibra\nUpdate (discharged): 2007-01-18 08:00:26 Ermal Dibra\n', 'Ermal Dibra', '2007-01-18 08:00:26', 'Ermal Dibra', '2007-01-13 12:14:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (364, 2007000067, 5, 2, 3, '2007-01-13', '2007-01-18', '12:14:05', '07:59:00', 1, 'discharged', 'Create: 2007-01-13 12:14:05 Ermal Dibra\nUpdate (discharged): 2007-01-18 08:00:26 Ermal Dibra\n', 'Ermal Dibra', '2007-01-18 08:00:26', 'Ermal Dibra', '2007-01-13 12:14:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (365, 2007000068, 2, 3, 3, '2007-01-13', '2007-01-25', '12:19:23', '12:30:00', 1, 'discharged', 'Create: 2007-01-13 12:19:23 Ermal Dibra\nUpdate (discharged): 2007-01-25 12:30:22 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 12:30:22', 'Ermal Dibra', '2007-01-13 12:19:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (366, 2007000068, 4, 6, 3, '2007-01-13', '2007-01-25', '12:19:23', '12:30:00', 1, 'discharged', 'Create: 2007-01-13 12:19:23 Ermal Dibra\nUpdate (discharged): 2007-01-25 12:30:22 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 12:30:22', 'Ermal Dibra', '2007-01-13 12:19:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (367, 2007000068, 5, 2, 3, '2007-01-13', '2007-01-25', '12:19:23', '12:30:00', 1, 'discharged', 'Create: 2007-01-13 12:19:23 Ermal Dibra\nUpdate (discharged): 2007-01-25 12:30:22 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 12:30:22', 'Ermal Dibra', '2007-01-13 12:19:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (368, 2007000069, 2, 3, 3, '2007-01-13', '2007-01-20', '12:36:11', '10:45:00', 1, 'discharged', 'Create: 2007-01-13 12:36:11 Ermal Dibra\nUpdate (discharged): 2007-01-20 10:46:05 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 10:46:05', 'Ermal Dibra', '2007-01-13 12:36:11');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (369, 2007000069, 4, 11, 3, '2007-01-13', '2007-01-20', '12:36:11', '10:45:00', 1, 'discharged', 'Create: 2007-01-13 12:36:11 Ermal Dibra\nUpdate (discharged): 2007-01-20 10:46:05 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 10:46:05', 'Ermal Dibra', '2007-01-13 12:36:11');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (370, 2007000069, 5, 4, 3, '2007-01-13', '2007-01-20', '12:36:11', '10:45:00', 1, 'discharged', 'Create: 2007-01-13 12:36:11 Ermal Dibra\nUpdate (discharged): 2007-01-20 10:46:05 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 10:46:05', 'Ermal Dibra', '2007-01-13 12:36:11');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (371, 2007000070, 2, 6, 6, '2007-01-13', '2007-01-22', '12:40:23', '10:00:00', 1, 'discharged', 'Create: 2007-01-13 12:40:23 Ardiana Dervishi\nUpdate (discharged): 2007-01-22 10:01:04 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 10:01:04', 'Ardiana Dervishi', '2007-01-13 12:40:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (372, 2007000070, 4, 2, 6, '2007-01-13', '2007-01-22', '12:40:23', '10:00:00', 1, 'discharged', 'Create: 2007-01-13 12:40:23 Ardiana Dervishi\nUpdate (discharged): 2007-01-22 10:01:04 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 10:01:04', 'Ardiana Dervishi', '2007-01-13 12:40:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (373, 2007000070, 5, 2, 6, '2007-01-13', '2007-01-22', '12:40:23', '10:00:00', 1, 'discharged', 'Create: 2007-01-13 12:40:23 Ardiana Dervishi\nUpdate (discharged): 2007-01-22 10:01:04 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 10:01:04', 'Ardiana Dervishi', '2007-01-13 12:40:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (374, 2007000071, 2, 6, 6, '2007-01-13', '2007-01-17', '12:46:02', '09:35:00', 1, 'discharged', 'Create: 2007-01-13 12:46:02 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:35:13 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:35:13', 'Ardiana Dervishi', '2007-01-13 12:46:02');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (375, 2007000071, 4, 10, 6, '2007-01-13', '2007-01-17', '12:46:02', '09:35:00', 1, 'discharged', 'Create: 2007-01-13 12:46:02 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:35:13 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:35:13', 'Ardiana Dervishi', '2007-01-13 12:46:02');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (376, 2007000071, 5, 2, 6, '2007-01-13', '2007-01-17', '12:46:02', '09:35:00', 1, 'discharged', 'Create: 2007-01-13 12:46:02 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:35:13 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:35:13', 'Ardiana Dervishi', '2007-01-13 12:46:02');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (377, 2007000072, 2, 6, 6, '2007-01-13', '2007-01-22', '12:51:26', '10:01:00', 1, 'discharged', 'Create: 2007-01-13 12:51:26 Ardiana Dervishi\nUpdate (discharged): 2007-01-22 10:01:43 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 10:01:43', 'Ardiana Dervishi', '2007-01-13 12:51:26');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (378, 2007000072, 4, 5, 6, '2007-01-13', '2007-01-22', '12:51:26', '10:01:00', 1, 'discharged', 'Create: 2007-01-13 12:51:26 Ardiana Dervishi\nUpdate (discharged): 2007-01-22 10:01:43 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 10:01:43', 'Ardiana Dervishi', '2007-01-13 12:51:26');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (379, 2007000072, 5, 5, 6, '2007-01-13', '2007-01-22', '12:51:26', '10:01:00', 1, 'discharged', 'Create: 2007-01-13 12:51:26 Ardiana Dervishi\nUpdate (discharged): 2007-01-22 10:01:43 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 10:01:43', 'Ardiana Dervishi', '2007-01-13 12:51:26');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (380, 2007000073, 2, 6, 6, '2007-01-13', '2007-01-17', '12:58:11', '09:34:00', 1, 'discharged', 'Create: 2007-01-13 12:58:11 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:34:47 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:34:47', 'Ardiana Dervishi', '2007-01-13 12:58:11');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (381, 2007000073, 4, 8, 6, '2007-01-13', '2007-01-17', '12:58:11', '09:34:00', 1, 'discharged', 'Create: 2007-01-13 12:58:11 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:34:47 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:34:47', 'Ardiana Dervishi', '2007-01-13 12:58:11');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (382, 2007000073, 5, 2, 6, '2007-01-13', '2007-01-17', '12:58:11', '09:34:00', 1, 'discharged', 'Create: 2007-01-13 12:58:11 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:34:47 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:34:47', 'Ardiana Dervishi', '2007-01-13 12:58:11');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (383, 2007000074, 2, 6, 6, '2007-01-15', '2007-01-17', '08:26:48', '09:27:04', 6, 'discharged', 'Create: 2007-01-15 08:26:48 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:27:04 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:27:04', 'Ardiana Dervishi', '2007-01-15 08:26:48');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (384, 2007000074, 4, 1, 6, '2007-01-15', '2007-01-17', '08:26:48', '09:27:04', 6, 'discharged', 'Create: 2007-01-15 08:26:48 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:27:04 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:27:04', 'Ardiana Dervishi', '2007-01-15 08:26:48');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (385, 2007000074, 5, 2, 6, '2007-01-15', '2007-01-17', '08:26:48', '09:27:04', 6, 'discharged', 'Create: 2007-01-15 08:26:48 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:27:04 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:27:04', 'Ardiana Dervishi', '2007-01-15 08:26:48');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (386, 2007000075, 2, 6, 6, '2007-01-15', '2007-01-17', '08:32:03', '09:35:00', 1, 'discharged', 'Create: 2007-01-15 08:32:03 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:35:45 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:35:45', 'Ardiana Dervishi', '2007-01-15 08:32:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (387, 2007000075, 4, 10, 6, '2007-01-15', '2007-01-17', '08:32:03', '09:35:00', 1, 'discharged', 'Create: 2007-01-15 08:32:03 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:35:45 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:35:45', 'Ardiana Dervishi', '2007-01-15 08:32:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (388, 2007000075, 5, 3, 6, '2007-01-15', '2007-01-17', '08:32:03', '09:35:00', 1, 'discharged', 'Create: 2007-01-15 08:32:03 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:35:45 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:35:45', 'Ardiana Dervishi', '2007-01-15 08:32:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (389, 2007000050, 2, 6, 6, '2007-01-15', '2007-01-17', '08:57:41', '09:30:37', 6, 'discharged', 'Create: 2007-01-15 08:57:41 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:30:37 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:30:37', 'Ardiana Dervishi', '2007-01-15 08:57:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (390, 2007000050, 4, 4, 6, '2007-01-15', '2007-01-17', '08:57:41', '09:30:37', 6, 'discharged', 'Create: 2007-01-15 08:57:41 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:30:37 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:30:37', 'Ardiana Dervishi', '2007-01-15 08:57:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (391, 2007000050, 5, 3, 6, '2007-01-15', '2007-01-17', '08:57:41', '09:30:37', 6, 'discharged', 'Create: 2007-01-15 08:57:41 Ardiana Dervishi\nUpdate (discharged): 2007-01-17 09:30:37 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-17 09:30:37', 'Ardiana Dervishi', '2007-01-15 08:57:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (392, 2007000076, 2, 6, 6, '2007-01-15', '2007-01-19', '11:19:21', '11:27:00', 1, 'discharged', 'Create: 2007-01-15 11:19:21 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 11:27:44 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 11:27:44', 'Ardiana Dervishi', '2007-01-15 11:19:21');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (393, 2007000076, 4, 11, 6, '2007-01-15', '2007-01-19', '11:19:21', '11:27:00', 1, 'discharged', 'Create: 2007-01-15 11:19:21 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 11:27:44 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 11:27:44', 'Ardiana Dervishi', '2007-01-15 11:19:21');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (394, 2007000076, 5, 2, 6, '2007-01-15', '2007-01-19', '11:19:21', '11:27:00', 1, 'discharged', 'Create: 2007-01-15 11:19:21 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 11:27:44 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 11:27:44', 'Ardiana Dervishi', '2007-01-15 11:19:21');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (395, 2007000077, 2, 6, 6, '2007-01-15', '2007-01-26', '11:33:09', '10:17:00', 1, 'discharged', 'Create: 2007-01-15 11:33:09 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:17:30 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:17:30', 'Ardiana Dervishi', '2007-01-15 11:33:09');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (396, 2007000077, 4, 7, 6, '2007-01-15', '2007-01-26', '11:33:09', '10:17:00', 1, 'discharged', 'Create: 2007-01-15 11:33:09 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:17:30 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:17:30', 'Ardiana Dervishi', '2007-01-15 11:33:09');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (397, 2007000077, 5, 2, 6, '2007-01-15', '2007-01-26', '11:33:09', '10:17:00', 1, 'discharged', 'Create: 2007-01-15 11:33:09 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:17:30 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:17:30', 'Ardiana Dervishi', '2007-01-15 11:33:09');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (398, 2007000078, 2, 6, 6, '2007-01-15', '2007-01-26', '12:08:13', '10:05:00', 1, 'discharged', 'Create: 2007-01-15 12:08:13 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:05:50 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:05:50', 'Ardiana Dervishi', '2007-01-15 12:08:13');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (399, 2007000078, 4, 4, 6, '2007-01-15', '2007-01-26', '12:08:13', '10:05:00', 1, 'discharged', 'Create: 2007-01-15 12:08:13 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:05:50 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:05:50', 'Ardiana Dervishi', '2007-01-15 12:08:13');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (400, 2007000078, 5, 4, 6, '2007-01-15', '2007-01-26', '12:08:13', '10:05:00', 1, 'discharged', 'Create: 2007-01-15 12:08:13 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:05:50 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:05:50', 'Ardiana Dervishi', '2007-01-15 12:08:13');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (401, 2007000079, 2, 3, 3, '2007-01-16', '2007-01-17', '07:32:46', '12:26:00', 1, 'discharged', 'Create: 2007-01-16 07:32:46 Ermal Dibra\nUpdate (discharged): 2007-01-17 12:28:05 Ermal Dibra\n', 'Ermal Dibra', '2007-01-17 12:28:05', 'Ermal Dibra', '2007-01-16 07:32:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (402, 2007000079, 4, 3, 3, '2007-01-16', '2007-01-17', '07:32:46', '12:26:00', 1, 'discharged', 'Create: 2007-01-16 07:32:46 Ermal Dibra\nUpdate (discharged): 2007-01-17 12:28:05 Ermal Dibra\n', 'Ermal Dibra', '2007-01-17 12:28:05', 'Ermal Dibra', '2007-01-16 07:32:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (403, 2007000079, 5, 2, 3, '2007-01-16', '2007-01-17', '07:32:46', '12:26:00', 1, 'discharged', 'Create: 2007-01-16 07:32:46 Ermal Dibra\nUpdate (discharged): 2007-01-17 12:28:05 Ermal Dibra\n', 'Ermal Dibra', '2007-01-17 12:28:05', 'Ermal Dibra', '2007-01-16 07:32:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (404, 2007000080, 2, 3, 3, '2007-01-16', '2007-01-22', '07:39:22', '11:29:00', 1, 'discharged', 'Create: 2007-01-16 07:39:22 Ermal Dibra\nUpdate (discharged): 2007-01-22 11:30:13 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 11:30:13', 'Ermal Dibra', '2007-01-16 07:39:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (405, 2007000080, 4, 7, 3, '2007-01-16', '2007-01-22', '07:39:22', '11:29:00', 1, 'discharged', 'Create: 2007-01-16 07:39:22 Ermal Dibra\nUpdate (discharged): 2007-01-22 11:30:13 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 11:30:13', 'Ermal Dibra', '2007-01-16 07:39:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (406, 2007000080, 5, 2, 3, '2007-01-16', '2007-01-22', '07:39:22', '11:29:00', 1, 'discharged', 'Create: 2007-01-16 07:39:22 Ermal Dibra\nUpdate (discharged): 2007-01-22 11:30:13 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 11:30:13', 'Ermal Dibra', '2007-01-16 07:39:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (407, 2007000081, 2, 3, 3, '2007-01-16', '2007-01-25', '07:44:55', '11:01:00', 1, 'discharged', 'Create: 2007-01-16 07:44:55 Ermal Dibra\nUpdate (discharged): 2007-01-25 11:01:51 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 11:01:51', 'Ermal Dibra', '2007-01-16 07:44:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (408, 2007000081, 4, 7, 3, '2007-01-16', '2007-01-25', '07:44:55', '11:01:00', 1, 'discharged', 'Create: 2007-01-16 07:44:55 Ermal Dibra\nUpdate (discharged): 2007-01-25 11:01:51 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 11:01:51', 'Ermal Dibra', '2007-01-16 07:44:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (409, 2007000081, 5, 3, 3, '2007-01-16', '2007-01-25', '07:44:55', '11:01:00', 1, 'discharged', 'Create: 2007-01-16 07:44:55 Ermal Dibra\nUpdate (discharged): 2007-01-25 11:01:51 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 11:01:51', 'Ermal Dibra', '2007-01-16 07:44:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (410, 2007000082, 2, 3, 3, '2007-01-16', '2007-01-26', '07:52:59', '10:25:00', 1, 'discharged', 'Create: 2007-01-16 07:52:59 Ermal Dibra\nUpdate (discharged): 2007-01-26 10:26:24 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 10:26:24', 'Ermal Dibra', '2007-01-16 07:52:59');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (411, 2007000082, 4, 5, 3, '2007-01-16', '2007-01-26', '07:52:59', '10:25:00', 1, 'discharged', 'Create: 2007-01-16 07:52:59 Ermal Dibra\nUpdate (discharged): 2007-01-26 10:26:24 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 10:26:24', 'Ermal Dibra', '2007-01-16 07:52:59');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (412, 2007000082, 5, 3, 3, '2007-01-16', '2007-01-26', '07:52:59', '10:25:00', 1, 'discharged', 'Create: 2007-01-16 07:52:59 Ermal Dibra\nUpdate (discharged): 2007-01-26 10:26:24 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 10:26:24', 'Ermal Dibra', '2007-01-16 07:52:59');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (413, 2007000083, 2, 3, 3, '2007-01-16', '2007-01-24', '12:29:13', '08:54:00', 3, 'discharged', 'Create: 2007-01-16 12:29:13 Ermal Dibra\nUpdate (discharged): 2007-01-24 08:55:02 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 08:55:02', 'Ermal Dibra', '2007-01-16 12:29:13');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (414, 2007000083, 4, 10, 3, '2007-01-16', '2007-01-24', '12:29:13', '08:54:00', 3, 'discharged', 'Create: 2007-01-16 12:29:13 Ermal Dibra\nUpdate (discharged): 2007-01-24 08:55:02 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 08:55:02', 'Ermal Dibra', '2007-01-16 12:29:13');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (415, 2007000083, 5, 2, 3, '2007-01-16', '2007-01-24', '12:29:13', '08:54:00', 3, 'discharged', 'Create: 2007-01-16 12:29:13 Ermal Dibra\nUpdate (discharged): 2007-01-24 08:55:02 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 08:55:02', 'Ermal Dibra', '2007-01-16 12:29:13');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (416, 2007000084, 2, 3, 3, '2007-01-16', '2007-01-25', '12:38:25', '13:18:00', 1, 'discharged', 'Create: 2007-01-16 12:38:25 Ermal Dibra\nUpdate (discharged): 2007-01-25 13:19:22 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 13:19:22', 'Ermal Dibra', '2007-01-16 12:38:25');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (417, 2007000084, 4, 4, 3, '2007-01-16', '2007-01-25', '12:38:25', '13:18:00', 1, 'discharged', 'Create: 2007-01-16 12:38:25 Ermal Dibra\nUpdate (discharged): 2007-01-25 13:19:22 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 13:19:22', 'Ermal Dibra', '2007-01-16 12:38:25');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (418, 2007000084, 5, 3, 3, '2007-01-16', '2007-01-25', '12:38:25', '13:18:00', 1, 'discharged', 'Create: 2007-01-16 12:38:25 Ermal Dibra\nUpdate (discharged): 2007-01-25 13:19:22 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 13:19:22', 'Ermal Dibra', '2007-01-16 12:38:25');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (419, 2007000085, 2, 3, 3, '2007-01-16', '2007-01-25', '12:56:20', '11:25:00', 1, 'discharged', 'Create: 2007-01-16 12:56:20 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:26:08 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:26:08', 'Ermal Dibra', '2007-01-16 12:56:20');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (420, 2007000085, 4, 2, 3, '2007-01-16', '2007-01-25', '12:56:20', '11:25:00', 1, 'discharged', 'Create: 2007-01-16 12:56:20 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:26:08 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:26:08', 'Ermal Dibra', '2007-01-16 12:56:20');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (421, 2007000085, 5, 3, 3, '2007-01-16', '2007-01-25', '12:56:20', '11:25:00', 1, 'discharged', 'Create: 2007-01-16 12:56:20 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:26:08 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:26:08', 'Ermal Dibra', '2007-01-16 12:56:20');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (422, 2007000086, 2, 3, 3, '2007-01-16', '2007-01-20', '13:02:21', '08:39:00', 1, 'discharged', 'Create: 2007-01-16 13:02:21 Ermal Dibra\nUpdate (discharged): 2007-01-20 08:41:10 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 08:41:10', 'Ermal Dibra', '2007-01-16 13:02:21');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (423, 2007000086, 4, 10, 3, '2007-01-16', '2007-01-20', '13:02:21', '08:39:00', 1, 'discharged', 'Create: 2007-01-16 13:02:21 Ermal Dibra\nUpdate (discharged): 2007-01-20 08:41:10 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 08:41:10', 'Ermal Dibra', '2007-01-16 13:02:21');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (424, 2007000086, 5, 3, 3, '2007-01-16', '2007-01-20', '13:02:21', '08:39:00', 1, 'discharged', 'Create: 2007-01-16 13:02:21 Ermal Dibra\nUpdate (discharged): 2007-01-20 08:41:10 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 08:41:10', 'Ermal Dibra', '2007-01-16 13:02:21');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (425, 2007000087, 2, 3, 3, '2007-01-16', '2007-01-22', '13:07:14', '11:32:00', 1, 'discharged', 'Create: 2007-01-16 13:07:14 Ermal Dibra\nUpdate (discharged): 2007-01-22 11:32:53 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 11:32:53', 'Ermal Dibra', '2007-01-16 13:07:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (426, 2007000087, 4, 3, 3, '2007-01-16', '2007-01-22', '13:07:14', '11:32:00', 1, 'discharged', 'Create: 2007-01-16 13:07:14 Ermal Dibra\nUpdate (discharged): 2007-01-22 11:32:53 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 11:32:53', 'Ermal Dibra', '2007-01-16 13:07:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (427, 2007000087, 5, 3, 3, '2007-01-16', '2007-01-22', '13:07:14', '11:32:00', 1, 'discharged', 'Create: 2007-01-16 13:07:14 Ermal Dibra\nUpdate (discharged): 2007-01-22 11:32:53 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 11:32:53', 'Ermal Dibra', '2007-01-16 13:07:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (428, 2007000088, 2, 3, 3, '2007-01-17', '2007-01-19', '07:39:12', '08:41:00', 1, 'discharged', 'Create: 2007-01-17 07:39:12 Ermal Dibra\nUpdate (discharged): 2007-01-20 08:42:16 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 08:42:16', 'Ermal Dibra', '2007-01-17 07:39:12');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (429, 2007000088, 4, 5, 3, '2007-01-17', '2007-01-19', '07:39:12', '08:41:00', 1, 'discharged', 'Create: 2007-01-17 07:39:12 Ermal Dibra\nUpdate (discharged): 2007-01-20 08:42:16 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 08:42:16', 'Ermal Dibra', '2007-01-17 07:39:12');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (430, 2007000088, 5, 4, 3, '2007-01-17', '2007-01-19', '07:39:12', '08:41:00', 1, 'discharged', 'Create: 2007-01-17 07:39:12 Ermal Dibra\nUpdate (discharged): 2007-01-20 08:42:16 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 08:42:16', 'Ermal Dibra', '2007-01-17 07:39:12');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (431, 2007000089, 2, 3, 3, '2007-01-17', '2007-01-25', '07:45:05', '10:57:00', 1, 'discharged', 'Create: 2007-01-17 07:45:05 Ermal Dibra\nUpdate (discharged): 2007-01-25 10:58:36 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 10:58:36', 'Ermal Dibra', '2007-01-17 07:45:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (432, 2007000089, 4, 4, 3, '2007-01-17', '2007-01-25', '07:45:05', '10:57:00', 1, 'discharged', 'Create: 2007-01-17 07:45:05 Ermal Dibra\nUpdate (discharged): 2007-01-25 10:58:36 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 10:58:36', 'Ermal Dibra', '2007-01-17 07:45:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (433, 2007000089, 5, 4, 3, '2007-01-17', '2007-01-25', '07:45:05', '10:57:00', 1, 'discharged', 'Create: 2007-01-17 07:45:05 Ermal Dibra\nUpdate (discharged): 2007-01-25 10:58:36 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 10:58:36', 'Ermal Dibra', '2007-01-17 07:45:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (434, 2007000090, 2, 3, 3, '2007-01-17', '2007-01-23', '07:52:30', '08:11:00', 1, 'discharged', 'Create: 2007-01-17 07:52:30 Ermal Dibra\nUpdate (discharged): 2007-01-24 08:12:03 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 08:12:03', 'Ermal Dibra', '2007-01-17 07:52:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (435, 2007000090, 4, 15, 3, '2007-01-17', '2007-01-23', '07:52:30', '08:11:00', 1, 'discharged', 'Create: 2007-01-17 07:52:30 Ermal Dibra\nUpdate (discharged): 2007-01-24 08:12:03 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 08:12:03', 'Ermal Dibra', '2007-01-17 07:52:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (436, 2007000090, 5, 3, 3, '2007-01-17', '2007-01-23', '07:52:30', '08:11:00', 1, 'discharged', 'Create: 2007-01-17 07:52:30 Ermal Dibra\nUpdate (discharged): 2007-01-24 08:12:03 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 08:12:03', 'Ermal Dibra', '2007-01-17 07:52:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (437, 2007000091, 2, 3, 3, '2007-01-17', '0000-00-00', '08:14:14', NULL, 0, '', 'Create: 2007-01-17 08:14:14 Ermal Dibra\n', '', '2007-01-17 08:14:14', 'Ermal Dibra', '2007-01-17 08:14:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (438, 2007000091, 4, 13, 3, '2007-01-17', '0000-00-00', '08:14:14', NULL, 0, '', 'Create: 2007-01-17 08:14:14 Ermal Dibra\n', '', '2007-01-17 08:14:14', 'Ermal Dibra', '2007-01-17 08:14:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (439, 2007000091, 5, 1, 3, '2007-01-17', '0000-00-00', '08:14:14', NULL, 0, '', 'Create: 2007-01-17 08:14:14 Ermal Dibra\n', '', '2007-01-17 08:14:14', 'Ermal Dibra', '2007-01-17 08:14:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (440, 2007000092, 2, 3, 3, '2007-01-17', '2007-01-24', '08:18:51', '10:46:00', 1, 'discharged', 'Create: 2007-01-17 08:18:51 Ermal Dibra\nUpdate (discharged): 2007-01-24 10:46:54 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 10:46:54', 'Ermal Dibra', '2007-01-17 08:18:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (441, 2007000092, 4, 12, 3, '2007-01-17', '2007-01-24', '08:18:51', '10:46:00', 1, 'discharged', 'Create: 2007-01-17 08:18:51 Ermal Dibra\nUpdate (discharged): 2007-01-24 10:46:54 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 10:46:54', 'Ermal Dibra', '2007-01-17 08:18:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (442, 2007000092, 5, 2, 3, '2007-01-17', '2007-01-24', '08:18:51', '10:46:00', 1, 'discharged', 'Create: 2007-01-17 08:18:51 Ermal Dibra\nUpdate (discharged): 2007-01-24 10:46:54 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 10:46:54', 'Ermal Dibra', '2007-01-17 08:18:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (443, 2007000074, 2, 6, 6, '2007-01-17', '2007-01-19', '09:27:04', '09:47:00', 1, 'discharged', 'Create: 2007-01-17 09:27:04 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:47:24 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:47:24', 'Ardiana Dervishi', '2007-01-17 09:27:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (444, 2007000074, 4, 1, 6, '2007-01-17', '2007-01-19', '09:27:04', '09:47:00', 1, 'discharged', 'Create: 2007-01-17 09:27:04 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:47:24 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:47:24', 'Ardiana Dervishi', '2007-01-17 09:27:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (445, 2007000074, 5, 1, 6, '2007-01-17', '2007-01-19', '09:27:04', '09:47:00', 1, 'discharged', 'Create: 2007-01-17 09:27:04 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:47:24 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:47:24', 'Ardiana Dervishi', '2007-01-17 09:27:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (446, 2007000051, 2, 6, 6, '2007-01-17', '2007-01-19', '09:27:19', '11:26:48', 6, 'discharged', 'Create: 2007-01-17 09:27:19 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 11:26:48 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 11:26:48', 'Ardiana Dervishi', '2007-01-17 09:27:19');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (447, 2007000051, 4, 2, 6, '2007-01-17', '2007-01-19', '09:27:19', '11:26:48', 6, 'discharged', 'Create: 2007-01-17 09:27:19 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 11:26:48 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 11:26:48', 'Ardiana Dervishi', '2007-01-17 09:27:19');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (448, 2007000051, 5, 3, 6, '2007-01-17', '2007-01-19', '09:27:19', '11:26:48', 6, 'discharged', 'Create: 2007-01-17 09:27:19 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 11:26:48 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 11:26:48', 'Ardiana Dervishi', '2007-01-17 09:27:19');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (449, 2007000093, 2, 3, 3, '2007-01-17', '2007-01-29', '09:28:37', '13:16:00', 1, 'discharged', 'Create: 2007-01-17 09:28:37 Ermal Dibra\nUpdate (discharged): 2007-01-29 13:16:28 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 13:16:28', 'Ermal Dibra', '2007-01-17 09:28:37');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (450, 2007000093, 4, 2, 3, '2007-01-17', '2007-01-29', '09:28:37', '13:16:00', 1, 'discharged', 'Create: 2007-01-17 09:28:37 Ermal Dibra\nUpdate (discharged): 2007-01-29 13:16:28 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 13:16:28', 'Ermal Dibra', '2007-01-17 09:28:37');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (451, 2007000093, 5, 4, 3, '2007-01-17', '2007-01-29', '09:28:37', '13:16:00', 1, 'discharged', 'Create: 2007-01-17 09:28:37 Ermal Dibra\nUpdate (discharged): 2007-01-29 13:16:28 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 13:16:28', 'Ermal Dibra', '2007-01-17 09:28:37');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (452, 2007000050, 2, 6, 6, '2007-01-17', '2007-01-22', '09:30:37', '10:02:00', 1, 'discharged', 'Create: 2007-01-17 09:30:37 Ardiana Dervishi\nUpdate (discharged): 2007-01-22 10:02:48 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 10:02:48', 'Ardiana Dervishi', '2007-01-17 09:30:37');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (453, 2007000050, 4, 2, 6, '2007-01-17', '2007-01-22', '09:30:37', '10:02:00', 1, 'discharged', 'Create: 2007-01-17 09:30:37 Ardiana Dervishi\nUpdate (discharged): 2007-01-22 10:02:48 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 10:02:48', 'Ardiana Dervishi', '2007-01-17 09:30:37');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (454, 2007000050, 5, 4, 6, '2007-01-17', '2007-01-22', '09:30:37', '10:02:00', 1, 'discharged', 'Create: 2007-01-17 09:30:37 Ardiana Dervishi\nUpdate (discharged): 2007-01-22 10:02:48 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 10:02:48', 'Ardiana Dervishi', '2007-01-17 09:30:37');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (455, 2007000024, 2, 6, 6, '2007-01-17', '2007-01-19', '09:34:34', '09:49:00', 1, 'discharged', 'Create: 2007-01-17 09:34:34 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:49:37 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:49:37', 'Ardiana Dervishi', '2007-01-17 09:34:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (456, 2007000024, 4, 7, 6, '2007-01-17', '2007-01-19', '09:34:34', '09:49:00', 1, 'discharged', 'Create: 2007-01-17 09:34:34 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:49:37 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:49:37', 'Ardiana Dervishi', '2007-01-17 09:34:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (457, 2007000024, 5, 1, 6, '2007-01-17', '2007-01-19', '09:34:34', '09:49:00', 1, 'discharged', 'Create: 2007-01-17 09:34:34 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:49:37 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:49:37', 'Ardiana Dervishi', '2007-01-17 09:34:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (458, 2007000094, 2, 6, 6, '2007-01-17', '2007-01-20', '09:41:02', '09:40:05', 6, 'discharged', 'Create: 2007-01-17 09:41:02 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 09:40:05 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 09:40:05', 'Ardiana Dervishi', '2007-01-17 09:41:02');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (459, 2007000094, 4, 1, 6, '2007-01-17', '2007-01-20', '09:41:02', '09:40:05', 6, 'discharged', 'Create: 2007-01-17 09:41:02 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 09:40:05 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 09:40:05', 'Ardiana Dervishi', '2007-01-17 09:41:02');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (460, 2007000094, 5, 2, 6, '2007-01-17', '2007-01-20', '09:41:02', '09:40:05', 6, 'discharged', 'Create: 2007-01-17 09:41:02 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 09:40:05 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 09:40:05', 'Ardiana Dervishi', '2007-01-17 09:41:02');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (461, 2007000095, 2, 3, 3, '2007-01-17', '2007-01-22', '11:08:46', '11:28:00', 1, 'discharged', 'Create: 2007-01-17 11:08:46 Ermal Dibra\nUpdate (discharged): 2007-01-22 11:28:34 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 11:28:34', 'Ermal Dibra', '2007-01-17 11:08:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (462, 2007000095, 4, 7, 3, '2007-01-17', '2007-01-22', '11:08:46', '11:28:00', 1, 'discharged', 'Create: 2007-01-17 11:08:46 Ermal Dibra\nUpdate (discharged): 2007-01-22 11:28:34 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 11:28:34', 'Ermal Dibra', '2007-01-17 11:08:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (463, 2007000095, 5, 4, 3, '2007-01-17', '2007-01-22', '11:08:46', '11:28:00', 1, 'discharged', 'Create: 2007-01-17 11:08:46 Ermal Dibra\nUpdate (discharged): 2007-01-22 11:28:34 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 11:28:34', 'Ermal Dibra', '2007-01-17 11:08:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (464, 2007000096, 2, 3, 3, '2007-01-17', '2007-01-25', '11:13:39', '11:02:00', 1, 'discharged', 'Create: 2007-01-17 11:13:39 Ermal Dibra\nUpdate (discharged): 2007-01-25 11:02:40 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 11:02:40', 'Ermal Dibra', '2007-01-17 11:13:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (465, 2007000096, 4, 6, 3, '2007-01-17', '2007-01-25', '11:13:39', '11:02:00', 1, 'discharged', 'Create: 2007-01-17 11:13:39 Ermal Dibra\nUpdate (discharged): 2007-01-25 11:02:40 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 11:02:40', 'Ermal Dibra', '2007-01-17 11:13:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (466, 2007000096, 5, 3, 3, '2007-01-17', '2007-01-25', '11:13:39', '11:02:00', 1, 'discharged', 'Create: 2007-01-17 11:13:39 Ermal Dibra\nUpdate (discharged): 2007-01-25 11:02:40 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 11:02:40', 'Ermal Dibra', '2007-01-17 11:13:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (467, 2007000097, 2, 6, 6, '2007-01-17', '2007-01-19', '11:18:07', '09:47:00', 1, 'discharged', 'Create: 2007-01-17 11:18:07 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:47:51 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:47:51', 'Ardiana Dervishi', '2007-01-17 11:18:07');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (468, 2007000097, 4, 3, 6, '2007-01-17', '2007-01-19', '11:18:07', '09:47:00', 1, 'discharged', 'Create: 2007-01-17 11:18:07 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:47:51 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:47:51', 'Ardiana Dervishi', '2007-01-17 11:18:07');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (469, 2007000097, 5, 3, 6, '2007-01-17', '2007-01-19', '11:18:07', '09:47:00', 1, 'discharged', 'Create: 2007-01-17 11:18:07 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:47:51 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:47:51', 'Ardiana Dervishi', '2007-01-17 11:18:07');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (470, 2007000098, 2, 3, 3, '2007-01-17', '2007-01-24', '11:19:51', '08:55:00', 1, 'discharged', 'Create: 2007-01-17 11:19:51 Ermal Dibra\nUpdate (discharged): 2007-01-24 08:56:21 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 08:56:21', 'Ermal Dibra', '2007-01-17 11:19:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (471, 2007000098, 4, 13, 3, '2007-01-17', '2007-01-24', '11:19:51', '08:55:00', 1, 'discharged', 'Create: 2007-01-17 11:19:51 Ermal Dibra\nUpdate (discharged): 2007-01-24 08:56:21 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 08:56:21', 'Ermal Dibra', '2007-01-17 11:19:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (472, 2007000098, 5, 2, 3, '2007-01-17', '2007-01-24', '11:19:51', '08:55:00', 1, 'discharged', 'Create: 2007-01-17 11:19:51 Ermal Dibra\nUpdate (discharged): 2007-01-24 08:56:21 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 08:56:21', 'Ermal Dibra', '2007-01-17 11:19:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (473, 2007000099, 2, 6, 6, '2007-01-17', '2007-01-19', '11:22:06', '09:52:00', 1, 'discharged', 'Create: 2007-01-17 11:22:06 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:52:27 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:52:27', 'Ardiana Dervishi', '2007-01-17 11:22:06');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (474, 2007000099, 4, 4, 6, '2007-01-17', '2007-01-19', '11:22:06', '09:52:00', 1, 'discharged', 'Create: 2007-01-17 11:22:06 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:52:27 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:52:27', 'Ardiana Dervishi', '2007-01-17 11:22:06');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (475, 2007000099, 5, 5, 6, '2007-01-17', '2007-01-19', '11:22:06', '09:52:00', 1, 'discharged', 'Create: 2007-01-17 11:22:06 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:52:27 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:52:27', 'Ardiana Dervishi', '2007-01-17 11:22:06');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (476, 2007000100, 2, 6, 6, '2007-01-17', '2007-01-20', '11:34:44', '11:47:00', 1, 'discharged', 'Create: 2007-01-17 11:34:44 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 11:47:33 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 11:47:33', 'Ardiana Dervishi', '2007-01-17 11:34:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (477, 2007000100, 4, 10, 6, '2007-01-17', '2007-01-20', '11:34:44', '11:47:00', 1, 'discharged', 'Create: 2007-01-17 11:34:44 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 11:47:33 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 11:47:33', 'Ardiana Dervishi', '2007-01-17 11:34:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (478, 2007000100, 5, 1, 6, '2007-01-17', '2007-01-20', '11:34:44', '11:47:00', 1, 'discharged', 'Create: 2007-01-17 11:34:44 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 11:47:33 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 11:47:33', 'Ardiana Dervishi', '2007-01-17 11:34:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (479, 2007000101, 2, 6, 6, '2007-01-17', '2007-01-19', '11:36:40', '09:50:00', 1, 'discharged', 'Create: 2007-01-17 11:36:40 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:50:10 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:50:10', 'Ardiana Dervishi', '2007-01-17 11:36:40');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (480, 2007000101, 4, 10, 6, '2007-01-17', '2007-01-19', '11:36:40', '09:50:00', 1, 'discharged', 'Create: 2007-01-17 11:36:40 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:50:10 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:50:10', 'Ardiana Dervishi', '2007-01-17 11:36:40');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (481, 2007000101, 5, 2, 6, '2007-01-17', '2007-01-19', '11:36:40', '09:50:00', 1, 'discharged', 'Create: 2007-01-17 11:36:40 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:50:10 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:50:10', 'Ardiana Dervishi', '2007-01-17 11:36:40');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (482, 2007000102, 2, 3, 3, '2007-01-17', '2007-01-25', '11:42:07', '11:03:00', 1, 'discharged', 'Create: 2007-01-17 11:42:07 Ermal Dibra\nUpdate (discharged): 2007-01-25 11:03:23 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 11:03:23', 'Ermal Dibra', '2007-01-17 11:42:07');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (483, 2007000102, 4, 13, 3, '2007-01-17', '2007-01-25', '11:42:07', '11:03:00', 1, 'discharged', 'Create: 2007-01-17 11:42:07 Ermal Dibra\nUpdate (discharged): 2007-01-25 11:03:23 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 11:03:23', 'Ermal Dibra', '2007-01-17 11:42:07');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (484, 2007000102, 5, 3, 3, '2007-01-17', '2007-01-25', '11:42:07', '11:03:00', 1, 'discharged', 'Create: 2007-01-17 11:42:07 Ermal Dibra\nUpdate (discharged): 2007-01-25 11:03:23 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 11:03:23', 'Ermal Dibra', '2007-01-17 11:42:07');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (485, 2007000103, 2, 6, 6, '2007-01-17', '2007-01-26', '11:45:44', '10:19:00', 1, 'discharged', 'Create: 2007-01-17 11:45:44 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:19:26 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:19:26', 'Ardiana Dervishi', '2007-01-17 11:45:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (486, 2007000103, 4, 8, 6, '2007-01-17', '2007-01-26', '11:45:44', '10:19:00', 1, 'discharged', 'Create: 2007-01-17 11:45:44 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:19:26 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:19:26', 'Ardiana Dervishi', '2007-01-17 11:45:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (487, 2007000103, 5, 3, 6, '2007-01-17', '2007-01-26', '11:45:44', '10:19:00', 1, 'discharged', 'Create: 2007-01-17 11:45:44 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:19:26 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:19:26', 'Ardiana Dervishi', '2007-01-17 11:45:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (488, 2007000104, 2, 3, 3, '2007-01-17', '2007-01-22', '11:50:29', '11:30:00', 1, 'discharged', 'Create: 2007-01-17 11:50:29 Ermal Dibra\nUpdate (discharged): 2007-01-22 11:31:13 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 11:31:13', 'Ermal Dibra', '2007-01-17 11:50:29');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (489, 2007000104, 4, 14, 3, '2007-01-17', '2007-01-22', '11:50:29', '11:30:00', 1, 'discharged', 'Create: 2007-01-17 11:50:29 Ermal Dibra\nUpdate (discharged): 2007-01-22 11:31:13 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 11:31:13', 'Ermal Dibra', '2007-01-17 11:50:29');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (490, 2007000104, 5, 1, 3, '2007-01-17', '2007-01-22', '11:50:29', '11:30:00', 1, 'discharged', 'Create: 2007-01-17 11:50:29 Ermal Dibra\nUpdate (discharged): 2007-01-22 11:31:13 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 11:31:13', 'Ermal Dibra', '2007-01-17 11:50:29');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (491, 2007000105, 2, 6, 6, '2007-01-17', '2007-01-24', '11:51:30', '11:08:00', 1, 'discharged', 'Create: 2007-01-17 11:51:30 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 11:08:33 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:08:33', 'Ardiana Dervishi', '2007-01-17 11:51:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (492, 2007000105, 4, 4, 6, '2007-01-17', '2007-01-24', '11:51:30', '11:08:00', 1, 'discharged', 'Create: 2007-01-17 11:51:30 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 11:08:33 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:08:33', 'Ardiana Dervishi', '2007-01-17 11:51:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (493, 2007000105, 5, 1, 6, '2007-01-17', '2007-01-24', '11:51:30', '11:08:00', 1, 'discharged', 'Create: 2007-01-17 11:51:30 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 11:08:33 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:08:33', 'Ardiana Dervishi', '2007-01-17 11:51:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (494, 2007000106, 2, 3, 3, '2007-01-17', '2007-01-25', '12:35:09', '12:27:00', 1, 'discharged', 'Create: 2007-01-17 12:35:09 Ermal Dibra\nUpdate (discharged): 2007-01-25 12:28:06 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 12:28:06', 'Ermal Dibra', '2007-01-17 12:35:09');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (495, 2007000106, 4, 3, 3, '2007-01-17', '2007-01-25', '12:35:09', '12:27:00', 1, 'discharged', 'Create: 2007-01-17 12:35:09 Ermal Dibra\nUpdate (discharged): 2007-01-25 12:28:06 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 12:28:06', 'Ermal Dibra', '2007-01-17 12:35:09');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (496, 2007000106, 5, 1, 3, '2007-01-17', '2007-01-25', '12:35:09', '12:27:00', 1, 'discharged', 'Create: 2007-01-17 12:35:09 Ermal Dibra\nUpdate (discharged): 2007-01-25 12:28:06 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 12:28:06', 'Ermal Dibra', '2007-01-17 12:35:09');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (497, 2007000107, 2, 6, 6, '2007-01-18', '2007-01-19', '07:34:08', '09:48:00', 1, 'discharged', 'Create: 2007-01-18 07:34:08 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:48:10 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:48:10', 'Ardiana Dervishi', '2007-01-18 07:34:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (498, 2007000107, 4, 2, 6, '2007-01-18', '2007-01-19', '07:34:08', '09:48:00', 1, 'discharged', 'Create: 2007-01-18 07:34:08 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:48:10 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:48:10', 'Ardiana Dervishi', '2007-01-18 07:34:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (499, 2007000107, 5, 5, 6, '2007-01-18', '2007-01-19', '07:34:08', '09:48:00', 1, 'discharged', 'Create: 2007-01-18 07:34:08 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:48:10 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:48:10', 'Ardiana Dervishi', '2007-01-18 07:34:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (500, 2007000108, 2, 6, 6, '2007-01-18', '2007-01-24', '07:40:20', '11:13:00', 1, 'discharged', 'Create: 2007-01-18 07:40:20 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 11:14:20 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:14:20', 'Ardiana Dervishi', '2007-01-18 07:40:20');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (501, 2007000108, 4, 2, 6, '2007-01-18', '2007-01-24', '07:40:20', '11:13:00', 1, 'discharged', 'Create: 2007-01-18 07:40:20 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 11:14:20 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:14:20', 'Ardiana Dervishi', '2007-01-18 07:40:20');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (502, 2007000108, 5, 1, 6, '2007-01-18', '2007-01-24', '07:40:20', '11:13:00', 1, 'discharged', 'Create: 2007-01-18 07:40:20 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 11:14:20 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:14:20', 'Ardiana Dervishi', '2007-01-18 07:40:20');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (503, 2007000110, 2, 3, 3, '2007-01-18', '2007-01-22', '08:02:53', '07:46:00', 1, 'discharged', 'Create: 2007-01-18 08:02:53 Ermal Dibra\nUpdate (discharged): 2007-01-23 07:46:47 Ermal Dibra\n', 'Ermal Dibra', '2007-01-23 07:46:47', 'Ermal Dibra', '2007-01-18 08:02:53');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (504, 2007000110, 4, 12, 3, '2007-01-18', '2007-01-22', '08:02:53', '07:46:00', 1, 'discharged', 'Create: 2007-01-18 08:02:53 Ermal Dibra\nUpdate (discharged): 2007-01-23 07:46:47 Ermal Dibra\n', 'Ermal Dibra', '2007-01-23 07:46:47', 'Ermal Dibra', '2007-01-18 08:02:53');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (505, 2007000110, 5, 3, 3, '2007-01-18', '2007-01-22', '08:02:53', '07:46:00', 1, 'discharged', 'Create: 2007-01-18 08:02:53 Ermal Dibra\nUpdate (discharged): 2007-01-23 07:46:47 Ermal Dibra\n', 'Ermal Dibra', '2007-01-23 07:46:47', 'Ermal Dibra', '2007-01-18 08:02:53');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (506, 2007000109, 2, 6, 6, '2007-01-18', '2007-01-26', '08:02:56', '10:20:00', 1, 'discharged', 'Create: 2007-01-18 08:02:56 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:20:32 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:20:32', 'Ardiana Dervishi', '2007-01-18 08:02:56');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (507, 2007000109, 4, 8, 6, '2007-01-18', '2007-01-26', '08:02:56', '10:20:00', 1, 'discharged', 'Create: 2007-01-18 08:02:56 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:20:32 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:20:32', 'Ardiana Dervishi', '2007-01-18 08:02:56');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (508, 2007000109, 5, 4, 6, '2007-01-18', '2007-01-26', '08:02:56', '10:20:00', 1, 'discharged', 'Create: 2007-01-18 08:02:56 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:20:32 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:20:32', 'Ardiana Dervishi', '2007-01-18 08:02:56');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (509, 2007000111, 2, 6, 6, '2007-01-18', '2007-01-19', '08:08:58', '09:54:00', 1, 'discharged', 'Create: 2007-01-18 08:08:58 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:54:50 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:54:50', 'Ardiana Dervishi', '2007-01-18 08:08:58');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (510, 2007000111, 4, 7, 6, '2007-01-18', '2007-01-19', '08:08:58', '09:54:00', 1, 'discharged', 'Create: 2007-01-18 08:08:58 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:54:50 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:54:50', 'Ardiana Dervishi', '2007-01-18 08:08:58');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (511, 2007000111, 5, 3, 6, '2007-01-18', '2007-01-19', '08:08:58', '09:54:00', 1, 'discharged', 'Create: 2007-01-18 08:08:58 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:54:50 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:54:50', 'Ardiana Dervishi', '2007-01-18 08:08:58');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (512, 2007000112, 2, 6, 6, '2007-01-18', '2007-01-19', '08:13:15', '09:49:00', 1, 'discharged', 'Create: 2007-01-18 08:13:15 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:49:17 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:49:17', 'Ardiana Dervishi', '2007-01-18 08:13:15');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (513, 2007000112, 4, 3, 6, '2007-01-18', '2007-01-19', '08:13:15', '09:49:00', 1, 'discharged', 'Create: 2007-01-18 08:13:15 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:49:17 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:49:17', 'Ardiana Dervishi', '2007-01-18 08:13:15');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (514, 2007000112, 5, 1, 6, '2007-01-18', '2007-01-19', '08:13:15', '09:49:00', 1, 'discharged', 'Create: 2007-01-18 08:13:15 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 09:49:17 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 09:49:17', 'Ardiana Dervishi', '2007-01-18 08:13:15');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (515, 2007000113, 2, 3, 3, '2007-01-18', '2007-01-25', '12:49:14', '10:59:00', 1, 'discharged', 'Create: 2007-01-18 12:49:14 Ermal Dibra\nUpdate (discharged): 2007-01-25 10:59:46 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 10:59:46', 'Ermal Dibra', '2007-01-18 12:49:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (516, 2007000113, 4, 14, 3, '2007-01-18', '2007-01-25', '12:49:14', '10:59:00', 1, 'discharged', 'Create: 2007-01-18 12:49:14 Ermal Dibra\nUpdate (discharged): 2007-01-25 10:59:46 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 10:59:46', 'Ermal Dibra', '2007-01-18 12:49:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (517, 2007000113, 5, 2, 3, '2007-01-18', '2007-01-25', '12:49:14', '10:59:00', 1, 'discharged', 'Create: 2007-01-18 12:49:14 Ermal Dibra\nUpdate (discharged): 2007-01-25 10:59:46 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 10:59:46', 'Ermal Dibra', '2007-01-18 12:49:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (518, 2007000114, 2, 3, 3, '2007-01-18', '2007-01-27', '12:58:20', '09:53:00', 1, 'discharged', 'Create: 2007-01-18 12:58:20 Ermal Dibra\nUpdate (discharged): 2007-01-27 09:53:59 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 09:53:59', 'Ermal Dibra', '2007-01-18 12:58:20');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (519, 2007000114, 4, 16, 3, '2007-01-18', '2007-01-27', '12:58:20', '09:53:00', 1, 'discharged', 'Create: 2007-01-18 12:58:20 Ermal Dibra\nUpdate (discharged): 2007-01-27 09:53:59 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 09:53:59', 'Ermal Dibra', '2007-01-18 12:58:20');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (520, 2007000114, 5, 1, 3, '2007-01-18', '2007-01-27', '12:58:20', '09:53:00', 1, 'discharged', 'Create: 2007-01-18 12:58:20 Ermal Dibra\nUpdate (discharged): 2007-01-27 09:53:59 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 09:53:59', 'Ermal Dibra', '2007-01-18 12:58:20');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (521, 2007000115, 2, 3, 3, '2007-01-18', '2007-01-24', '13:04:27', '12:58:00', 1, 'discharged', 'Create: 2007-01-18 13:04:27 Ermal Dibra\nUpdate (discharged): 2007-01-24 12:58:54 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 12:58:54', 'Ermal Dibra', '2007-01-18 13:04:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (522, 2007000115, 4, 7, 3, '2007-01-18', '2007-01-24', '13:04:27', '12:58:00', 1, 'discharged', 'Create: 2007-01-18 13:04:27 Ermal Dibra\nUpdate (discharged): 2007-01-24 12:58:54 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 12:58:54', 'Ermal Dibra', '2007-01-18 13:04:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (523, 2007000115, 5, 1, 3, '2007-01-18', '2007-01-24', '13:04:27', '12:58:00', 1, 'discharged', 'Create: 2007-01-18 13:04:27 Ermal Dibra\nUpdate (discharged): 2007-01-24 12:58:54 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 12:58:54', 'Ermal Dibra', '2007-01-18 13:04:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (524, 2007000116, 2, 3, 3, '2007-01-19', '2007-01-31', '08:09:07', '11:55:00', 1, 'discharged', 'Create: 2007-01-19 08:09:07 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:55:46 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:55:46', 'Ermal Dibra', '2007-01-19 08:09:07');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (525, 2007000116, 4, 3, 3, '2007-01-19', '2007-01-31', '08:09:07', '11:55:00', 1, 'discharged', 'Create: 2007-01-19 08:09:07 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:55:46 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:55:46', 'Ermal Dibra', '2007-01-19 08:09:07');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (526, 2007000116, 5, 2, 3, '2007-01-19', '2007-01-31', '08:09:07', '11:55:00', 1, 'discharged', 'Create: 2007-01-19 08:09:07 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:55:46 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:55:46', 'Ermal Dibra', '2007-01-19 08:09:07');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (527, 2007000117, 2, 3, 3, '2007-01-19', '2007-01-31', '08:41:34', '11:50:00', 1, 'discharged', 'Create: 2007-01-19 08:41:34 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:50:35 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:50:35', 'Ermal Dibra', '2007-01-19 08:41:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (528, 2007000117, 4, 3, 3, '2007-01-19', '2007-01-31', '08:41:34', '11:50:00', 1, 'discharged', 'Create: 2007-01-19 08:41:34 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:50:35 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:50:35', 'Ermal Dibra', '2007-01-19 08:41:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (529, 2007000117, 5, 4, 3, '2007-01-19', '2007-01-31', '08:41:34', '11:50:00', 1, 'discharged', 'Create: 2007-01-19 08:41:34 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:50:35 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:50:35', 'Ermal Dibra', '2007-01-19 08:41:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (530, 2007000118, 2, 6, 6, '2007-01-19', '2007-01-20', '09:00:43', '11:49:00', 1, 'discharged', 'Create: 2007-01-19 09:00:43 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 11:49:30 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 11:49:30', 'Ardiana Dervishi', '2007-01-19 09:00:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (531, 2007000118, 4, 5, 6, '2007-01-19', '2007-01-20', '09:00:43', '11:49:00', 1, 'discharged', 'Create: 2007-01-19 09:00:43 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 11:49:30 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 11:49:30', 'Ardiana Dervishi', '2007-01-19 09:00:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (532, 2007000118, 5, 1, 6, '2007-01-19', '2007-01-20', '09:00:43', '11:49:00', 1, 'discharged', 'Create: 2007-01-19 09:00:43 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 11:49:30 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 11:49:30', 'Ardiana Dervishi', '2007-01-19 09:00:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (533, 2007000119, 2, 6, 6, '2007-01-19', '2007-01-26', '09:05:56', '10:08:39', 4, 'discharged', 'Create: 2007-01-19 09:05:56 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:08:39 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:08:39', 'Ardiana Dervishi', '2007-01-19 09:05:56');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (534, 2007000119, 4, 5, 6, '2007-01-19', '2007-01-26', '09:05:56', '10:08:39', 4, 'discharged', 'Create: 2007-01-19 09:05:56 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:08:39 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:08:39', 'Ardiana Dervishi', '2007-01-19 09:05:56');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (535, 2007000119, 5, 4, 6, '2007-01-19', '2007-01-26', '09:05:56', '10:08:39', 4, 'discharged', 'Create: 2007-01-19 09:05:56 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:08:39 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:08:39', 'Ardiana Dervishi', '2007-01-19 09:05:56');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (536, 2007000120, 2, 6, 6, '2007-01-19', '2007-01-23', '09:12:03', '13:16:00', 1, 'discharged', 'Create: 2007-01-19 09:12:03 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:16:52 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:16:52', 'Ardiana Dervishi', '2007-01-19 09:12:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (537, 2007000120, 4, 7, 6, '2007-01-19', '2007-01-23', '09:12:03', '13:16:00', 1, 'discharged', 'Create: 2007-01-19 09:12:03 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:16:52 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:16:52', 'Ardiana Dervishi', '2007-01-19 09:12:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (538, 2007000120, 5, 4, 6, '2007-01-19', '2007-01-23', '09:12:03', '13:16:00', 1, 'discharged', 'Create: 2007-01-19 09:12:03 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:16:52 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:16:52', 'Ardiana Dervishi', '2007-01-19 09:12:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (539, 2007000121, 2, 6, 6, '2007-01-19', '2007-01-26', '09:16:42', '10:21:00', 1, 'discharged', 'Create: 2007-01-19 09:16:42 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:21:30 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:21:30', 'Ardiana Dervishi', '2007-01-19 09:16:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (540, 2007000121, 4, 10, 6, '2007-01-19', '2007-01-26', '09:16:42', '10:21:00', 1, 'discharged', 'Create: 2007-01-19 09:16:42 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:21:30 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:21:30', 'Ardiana Dervishi', '2007-01-19 09:16:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (541, 2007000121, 5, 3, 6, '2007-01-19', '2007-01-26', '09:16:42', '10:21:00', 1, 'discharged', 'Create: 2007-01-19 09:16:42 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:21:30 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:21:30', 'Ardiana Dervishi', '2007-01-19 09:16:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (542, 2007000122, 2, 6, 6, '2007-01-19', '2007-01-26', '09:20:43', '10:02:13', 4, 'discharged', 'Create: 2007-01-19 09:20:43 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:02:13 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:02:13', 'Ardiana Dervishi', '2007-01-19 09:20:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (543, 2007000122, 4, 4, 6, '2007-01-19', '2007-01-26', '09:20:43', '10:02:13', 4, 'discharged', 'Create: 2007-01-19 09:20:43 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:02:13 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:02:13', 'Ardiana Dervishi', '2007-01-19 09:20:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (544, 2007000122, 5, 2, 6, '2007-01-19', '2007-01-26', '09:20:43', '10:02:13', 4, 'discharged', 'Create: 2007-01-19 09:20:43 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:02:13 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:02:13', 'Ardiana Dervishi', '2007-01-19 09:20:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (545, 2007000123, 2, 6, 6, '2007-01-19', '2007-01-26', '09:26:36', '10:13:00', 1, 'discharged', 'Create: 2007-01-19 09:26:36 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:13:56 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:13:56', 'Ardiana Dervishi', '2007-01-19 09:26:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (546, 2007000123, 4, 6, 6, '2007-01-19', '2007-01-26', '09:26:36', '10:13:00', 1, 'discharged', 'Create: 2007-01-19 09:26:36 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:13:56 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:13:56', 'Ardiana Dervishi', '2007-01-19 09:26:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (547, 2007000123, 5, 1, 6, '2007-01-19', '2007-01-26', '09:26:36', '10:13:00', 1, 'discharged', 'Create: 2007-01-19 09:26:36 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:13:56 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:13:56', 'Ardiana Dervishi', '2007-01-19 09:26:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (548, 2007000124, 2, 6, 6, '2007-01-19', '2007-01-20', '09:32:51', '09:50:00', 1, 'discharged', 'Create: 2007-01-19 09:32:51 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 09:52:00 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 09:52:00', 'Ardiana Dervishi', '2007-01-19 09:32:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (549, 2007000124, 4, 3, 6, '2007-01-19', '2007-01-20', '09:32:51', '09:50:00', 1, 'discharged', 'Create: 2007-01-19 09:32:51 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 09:52:00 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 09:52:00', 'Ardiana Dervishi', '2007-01-19 09:32:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (550, 2007000124, 5, 4, 6, '2007-01-19', '2007-01-20', '09:32:51', '09:50:00', 1, 'discharged', 'Create: 2007-01-19 09:32:51 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 09:52:00 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 09:52:00', 'Ardiana Dervishi', '2007-01-19 09:32:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (551, 2007000125, 2, 6, 6, '2007-01-19', '2007-01-20', '09:39:43', '11:50:00', 1, 'discharged', 'Create: 2007-01-19 09:39:43 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 11:50:05 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 11:50:05', 'Ardiana Dervishi', '2007-01-19 09:39:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (552, 2007000125, 4, 3, 6, '2007-01-19', '2007-01-20', '09:39:43', '11:50:00', 1, 'discharged', 'Create: 2007-01-19 09:39:43 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 11:50:05 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 11:50:05', 'Ardiana Dervishi', '2007-01-19 09:39:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (553, 2007000125, 5, 2, 6, '2007-01-19', '2007-01-20', '09:39:43', '11:50:00', 1, 'discharged', 'Create: 2007-01-19 09:39:43 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 11:50:05 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 11:50:05', 'Ardiana Dervishi', '2007-01-19 09:39:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (554, 2007000126, 2, 6, 6, '2007-01-19', '2007-01-20', '09:44:28', '09:46:05', 6, 'discharged', 'Create: 2007-01-19 09:44:28 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 09:46:05 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 09:46:05', 'Ardiana Dervishi', '2007-01-19 09:44:28');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (555, 2007000126, 4, 4, 6, '2007-01-19', '2007-01-20', '09:44:28', '09:46:05', 6, 'discharged', 'Create: 2007-01-19 09:44:28 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 09:46:05 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 09:46:05', 'Ardiana Dervishi', '2007-01-19 09:44:28');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (556, 2007000126, 5, 3, 6, '2007-01-19', '2007-01-20', '09:44:28', '09:46:05', 6, 'discharged', 'Create: 2007-01-19 09:44:28 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 09:46:05 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 09:46:05', 'Ardiana Dervishi', '2007-01-19 09:44:28');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (557, 2007000127, 2, 6, 6, '2007-01-19', '2007-01-26', '10:01:50', '10:23:00', 1, 'discharged', 'Create: 2007-01-19 10:01:50 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:23:46 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:23:46', 'Ardiana Dervishi', '2007-01-19 10:01:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (558, 2007000127, 4, 12, 6, '2007-01-19', '2007-01-26', '10:01:50', '10:23:00', 1, 'discharged', 'Create: 2007-01-19 10:01:50 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:23:46 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:23:46', 'Ardiana Dervishi', '2007-01-19 10:01:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (559, 2007000127, 5, 1, 6, '2007-01-19', '2007-01-26', '10:01:50', '10:23:00', 1, 'discharged', 'Create: 2007-01-19 10:01:50 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:23:46 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:23:46', 'Ardiana Dervishi', '2007-01-19 10:01:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (560, 2007000128, 2, 6, 6, '2007-01-19', '2007-01-30', '10:05:29', '13:00:00', 1, 'discharged', 'Create: 2007-01-19 10:05:29 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 13:00:05 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 13:00:05', 'Ardiana Dervishi', '2007-01-19 10:05:29');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (561, 2007000128, 4, 13, 6, '2007-01-19', '2007-01-30', '10:05:29', '13:00:00', 1, 'discharged', 'Create: 2007-01-19 10:05:29 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 13:00:05 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 13:00:05', 'Ardiana Dervishi', '2007-01-19 10:05:29');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (562, 2007000128, 5, 1, 6, '2007-01-19', '2007-01-30', '10:05:29', '13:00:00', 1, 'discharged', 'Create: 2007-01-19 10:05:29 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 13:00:05 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 13:00:05', 'Ardiana Dervishi', '2007-01-19 10:05:29');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (563, 2007000129, 2, 6, 6, '2007-01-19', '2007-01-26', '10:11:43', '10:24:00', 1, 'discharged', 'Create: 2007-01-19 10:11:43 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:24:19 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:24:19', 'Ardiana Dervishi', '2007-01-19 10:11:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (564, 2007000129, 4, 14, 6, '2007-01-19', '2007-01-26', '10:11:43', '10:24:00', 1, 'discharged', 'Create: 2007-01-19 10:11:43 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:24:19 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:24:19', 'Ardiana Dervishi', '2007-01-19 10:11:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (565, 2007000129, 5, 1, 6, '2007-01-19', '2007-01-26', '10:11:43', '10:24:00', 1, 'discharged', 'Create: 2007-01-19 10:11:43 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:24:19 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:24:19', 'Ardiana Dervishi', '2007-01-19 10:11:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (566, 2007000130, 2, 6, 6, '2007-01-19', '2007-01-31', '10:18:08', '09:56:00', 1, 'discharged', 'Create: 2007-01-19 10:18:08 Ardiana Dervishi\nUpdate (discharged): 2007-01-31 09:56:30 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-31 09:56:30', 'Ardiana Dervishi', '2007-01-19 10:18:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (567, 2007000130, 4, 14, 6, '2007-01-19', '2007-01-31', '10:18:08', '09:56:00', 1, 'discharged', 'Create: 2007-01-19 10:18:08 Ardiana Dervishi\nUpdate (discharged): 2007-01-31 09:56:30 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-31 09:56:30', 'Ardiana Dervishi', '2007-01-19 10:18:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (568, 2007000130, 5, 2, 6, '2007-01-19', '2007-01-31', '10:18:08', '09:56:00', 1, 'discharged', 'Create: 2007-01-19 10:18:08 Ardiana Dervishi\nUpdate (discharged): 2007-01-31 09:56:30 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-31 09:56:30', 'Ardiana Dervishi', '2007-01-19 10:18:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (569, 2007000051, 2, 6, 6, '2007-01-19', '2007-01-20', '11:26:48', '09:19:00', 1, 'discharged', 'Create: 2007-01-19 11:26:48 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 09:19:53 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 09:19:53', 'Ardiana Dervishi', '2007-01-19 11:26:48');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (570, 2007000051, 4, 1, 6, '2007-01-19', '2007-01-20', '11:26:48', '09:19:00', 1, 'discharged', 'Create: 2007-01-19 11:26:48 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 09:19:53 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 09:19:53', 'Ardiana Dervishi', '2007-01-19 11:26:48');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (571, 2007000051, 5, 1, 6, '2007-01-19', '2007-01-20', '11:26:48', '09:19:00', 1, 'discharged', 'Create: 2007-01-19 11:26:48 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 09:19:53 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 09:19:53', 'Ardiana Dervishi', '2007-01-19 11:26:48');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (572, 2007000131, 2, 6, 6, '2007-01-19', '2007-01-20', '11:32:31', '09:44:29', 6, 'discharged', 'Create: 2007-01-19 11:32:31 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 09:44:29 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 09:44:29', 'Ardiana Dervishi', '2007-01-19 11:32:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (573, 2007000131, 4, 1, 6, '2007-01-19', '2007-01-20', '11:32:31', '09:44:29', 6, 'discharged', 'Create: 2007-01-19 11:32:31 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 09:44:29 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 09:44:29', 'Ardiana Dervishi', '2007-01-19 11:32:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (574, 2007000131, 5, 5, 6, '2007-01-19', '2007-01-20', '11:32:31', '09:44:29', 6, 'discharged', 'Create: 2007-01-19 11:32:31 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 09:44:29 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 09:44:29', 'Ardiana Dervishi', '2007-01-19 11:32:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (575, 2007000132, 2, 6, 6, '2007-01-19', '2007-01-19', '12:29:05', '12:36:52', 6, 'discharged', 'Create: 2007-01-19 12:29:05 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 12:36:52 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 12:36:52', 'Ardiana Dervishi', '2007-01-19 12:29:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (576, 2007000132, 4, 5, 6, '2007-01-19', '2007-01-19', '12:29:05', '12:36:52', 6, 'discharged', 'Create: 2007-01-19 12:29:05 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 12:36:52 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 12:36:52', 'Ardiana Dervishi', '2007-01-19 12:29:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (577, 2007000132, 5, 2, 6, '2007-01-19', '2007-01-19', '12:29:05', '12:36:52', 6, 'discharged', 'Create: 2007-01-19 12:29:05 Ardiana Dervishi\nUpdate (discharged): 2007-01-19 12:36:52 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-19 12:36:52', 'Ardiana Dervishi', '2007-01-19 12:29:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (578, 2007000132, 2, 6, 6, '2007-01-19', '2007-01-20', '12:36:52', '09:41:17', 6, 'discharged', 'Create: 2007-01-19 12:36:52 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 09:41:17 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 09:41:17', 'Ardiana Dervishi', '2007-01-19 12:36:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (579, 2007000132, 4, 1, 6, '2007-01-19', '2007-01-20', '12:36:52', '09:41:17', 6, 'discharged', 'Create: 2007-01-19 12:36:52 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 09:41:17 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 09:41:17', 'Ardiana Dervishi', '2007-01-19 12:36:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (580, 2007000132, 5, 3, 6, '2007-01-19', '2007-01-20', '12:36:52', '09:41:17', 6, 'discharged', 'Create: 2007-01-19 12:36:52 Ardiana Dervishi\nUpdate (discharged): 2007-01-20 09:41:17 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-20 09:41:17', 'Ardiana Dervishi', '2007-01-19 12:36:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (581, 2007000134, 2, 3, 3, '2007-01-19', '2007-01-24', '13:06:46', '09:50:00', 1, 'discharged', 'Create: 2007-01-19 13:06:46 Ermal Dibra\nUpdate (discharged): 2007-01-24 09:51:32 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 09:51:32', 'Ermal Dibra', '2007-01-19 13:06:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (582, 2007000134, 4, 10, 3, '2007-01-19', '2007-01-24', '13:06:46', '09:50:00', 1, 'discharged', 'Create: 2007-01-19 13:06:46 Ermal Dibra\nUpdate (discharged): 2007-01-24 09:51:32 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 09:51:32', 'Ermal Dibra', '2007-01-19 13:06:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (583, 2007000134, 5, 1, 3, '2007-01-19', '2007-01-24', '13:06:46', '09:50:00', 1, 'discharged', 'Create: 2007-01-19 13:06:46 Ermal Dibra\nUpdate (discharged): 2007-01-24 09:51:32 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 09:51:32', 'Ermal Dibra', '2007-01-19 13:06:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (584, 2007000135, 2, 3, 3, '2007-01-19', '2007-01-30', '13:11:17', '09:22:00', 1, 'discharged', 'Create: 2007-01-19 13:11:17 Ermal Dibra\nUpdate (discharged): 2007-01-31 09:22:53 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 09:22:53', 'Ermal Dibra', '2007-01-19 13:11:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (585, 2007000135, 4, 1, 3, '2007-01-19', '2007-01-30', '13:11:17', '09:22:00', 1, 'discharged', 'Create: 2007-01-19 13:11:17 Ermal Dibra\nUpdate (discharged): 2007-01-31 09:22:53 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 09:22:53', 'Ermal Dibra', '2007-01-19 13:11:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (586, 2007000135, 5, 4, 3, '2007-01-19', '2007-01-30', '13:11:17', '09:22:00', 1, 'discharged', 'Create: 2007-01-19 13:11:17 Ermal Dibra\nUpdate (discharged): 2007-01-31 09:22:53 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 09:22:53', 'Ermal Dibra', '2007-01-19 13:11:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (587, 2007000136, 2, 3, 3, '2007-01-19', '2007-01-25', '13:16:06', '11:00:00', 1, 'discharged', 'Create: 2007-01-19 13:16:06 Ermal Dibra\nUpdate (discharged): 2007-01-25 11:00:46 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 11:00:46', 'Ermal Dibra', '2007-01-19 13:16:06');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (588, 2007000136, 4, 6, 3, '2007-01-19', '2007-01-25', '13:16:06', '11:00:00', 1, 'discharged', 'Create: 2007-01-19 13:16:06 Ermal Dibra\nUpdate (discharged): 2007-01-25 11:00:46 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 11:00:46', 'Ermal Dibra', '2007-01-19 13:16:06');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (589, 2007000136, 5, 1, 3, '2007-01-19', '2007-01-25', '13:16:06', '11:00:00', 1, 'discharged', 'Create: 2007-01-19 13:16:06 Ermal Dibra\nUpdate (discharged): 2007-01-25 11:00:46 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 11:00:46', 'Ermal Dibra', '2007-01-19 13:16:06');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (590, 2007000137, 2, 3, 3, '2007-01-19', '2007-01-26', '13:22:04', '13:39:00', 1, 'discharged', 'Create: 2007-01-19 13:22:04 Ermal Dibra\nUpdate (discharged): 2007-01-26 13:40:02 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 13:40:02', 'Ermal Dibra', '2007-01-19 13:22:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (591, 2007000137, 4, 4, 3, '2007-01-19', '2007-01-26', '13:22:04', '13:39:00', 1, 'discharged', 'Create: 2007-01-19 13:22:04 Ermal Dibra\nUpdate (discharged): 2007-01-26 13:40:02 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 13:40:02', 'Ermal Dibra', '2007-01-19 13:22:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (592, 2007000137, 5, 2, 3, '2007-01-19', '2007-01-26', '13:22:04', '13:39:00', 1, 'discharged', 'Create: 2007-01-19 13:22:04 Ermal Dibra\nUpdate (discharged): 2007-01-26 13:40:02 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 13:40:02', 'Ermal Dibra', '2007-01-19 13:22:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (593, 2007000138, 2, 3, 3, '2007-01-20', '2007-01-25', '07:50:57', '11:30:00', 1, 'discharged', 'Create: 2007-01-20 07:50:57 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:31:06 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:31:06', 'Ermal Dibra', '2007-01-20 07:50:57');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (594, 2007000138, 4, 16, 3, '2007-01-20', '2007-01-25', '07:50:57', '11:30:00', 1, 'discharged', 'Create: 2007-01-20 07:50:57 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:31:06 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:31:06', 'Ermal Dibra', '2007-01-20 07:50:57');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (595, 2007000138, 5, 2, 3, '2007-01-20', '2007-01-25', '07:50:57', '11:30:00', 1, 'discharged', 'Create: 2007-01-20 07:50:57 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:31:06 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:31:06', 'Ermal Dibra', '2007-01-20 07:50:57');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (596, 2007000139, 2, 3, 3, '2007-01-20', '2007-01-25', '07:58:18', '10:18:00', 1, 'discharged', 'Create: 2007-01-20 07:58:18 Ermal Dibra\nUpdate (discharged): 2007-01-26 10:19:18 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 10:19:18', 'Ermal Dibra', '2007-01-20 07:58:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (597, 2007000139, 4, 13, 3, '2007-01-20', '2007-01-25', '07:58:18', '10:18:00', 1, 'discharged', 'Create: 2007-01-20 07:58:18 Ermal Dibra\nUpdate (discharged): 2007-01-26 10:19:18 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 10:19:18', 'Ermal Dibra', '2007-01-20 07:58:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (598, 2007000139, 5, 4, 3, '2007-01-20', '2007-01-25', '07:58:18', '10:18:00', 1, 'discharged', 'Create: 2007-01-20 07:58:18 Ermal Dibra\nUpdate (discharged): 2007-01-26 10:19:18 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 10:19:18', 'Ermal Dibra', '2007-01-20 07:58:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (599, 2007000140, 2, 3, 3, '2007-01-20', '2007-01-25', '08:05:16', '11:18:00', 1, 'discharged', 'Create: 2007-01-20 08:05:16 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:19:11 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:19:11', 'Ermal Dibra', '2007-01-20 08:05:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (600, 2007000140, 4, 11, 3, '2007-01-20', '2007-01-25', '08:05:16', '11:18:00', 1, 'discharged', 'Create: 2007-01-20 08:05:16 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:19:11 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:19:11', 'Ermal Dibra', '2007-01-20 08:05:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (601, 2007000140, 5, 2, 3, '2007-01-20', '2007-01-25', '08:05:16', '11:18:00', 1, 'discharged', 'Create: 2007-01-20 08:05:16 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:19:11 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:19:11', 'Ermal Dibra', '2007-01-20 08:05:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (602, 2007000141, 2, 6, 6, '2007-01-20', '2007-01-26', '09:27:41', '10:11:00', 1, 'discharged', 'Create: 2007-01-20 09:27:41 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:11:58 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:11:58', 'Ardiana Dervishi', '2007-01-20 09:27:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (603, 2007000141, 4, 7, 6, '2007-01-20', '2007-01-26', '09:27:41', '10:11:00', 1, 'discharged', 'Create: 2007-01-20 09:27:41 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:11:58 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:11:58', 'Ardiana Dervishi', '2007-01-20 09:27:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (604, 2007000141, 5, 1, 6, '2007-01-20', '2007-01-26', '09:27:41', '10:11:00', 1, 'discharged', 'Create: 2007-01-20 09:27:41 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:11:58 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:11:58', 'Ardiana Dervishi', '2007-01-20 09:27:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (605, 2007000142, 2, 6, 6, '2007-01-20', '2007-01-26', '09:34:31', '10:21:00', 1, 'discharged', 'Create: 2007-01-20 09:34:31 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:21:16 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:21:16', 'Ardiana Dervishi', '2007-01-20 09:34:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (606, 2007000142, 4, 10, 6, '2007-01-20', '2007-01-26', '09:34:31', '10:21:00', 1, 'discharged', 'Create: 2007-01-20 09:34:31 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:21:16 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:21:16', 'Ardiana Dervishi', '2007-01-20 09:34:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (607, 2007000142, 5, 2, 6, '2007-01-20', '2007-01-26', '09:34:31', '10:21:00', 1, 'discharged', 'Create: 2007-01-20 09:34:31 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:21:16 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:21:16', 'Ardiana Dervishi', '2007-01-20 09:34:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (608, 2007000094, 2, 6, 6, '2007-01-20', '2007-01-22', '09:40:05', '09:34:20', 6, 'discharged', 'Create: 2007-01-20 09:40:05 Ardiana Dervishi\nUpdate (discharged): 2007-01-22 09:34:20 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 09:34:20', 'Ardiana Dervishi', '2007-01-20 09:40:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (609, 2007000094, 4, 17, 6, '2007-01-20', '2007-01-22', '09:40:05', '09:34:20', 6, 'discharged', 'Create: 2007-01-20 09:40:05 Ardiana Dervishi\nUpdate (discharged): 2007-01-22 09:34:20 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 09:34:20', 'Ardiana Dervishi', '2007-01-20 09:40:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (610, 2007000094, 5, 2, 6, '2007-01-20', '2007-01-22', '09:40:05', '09:34:20', 6, 'discharged', 'Create: 2007-01-20 09:40:05 Ardiana Dervishi\nUpdate (discharged): 2007-01-22 09:34:20 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 09:34:20', 'Ardiana Dervishi', '2007-01-20 09:40:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (611, 2007000132, 2, 6, 6, '2007-01-20', '2007-01-22', '09:41:17', '11:24:00', 1, 'discharged', 'Create: 2007-01-20 09:41:17 Ardiana Dervishi\nUpdate (discharged): 2007-01-22 11:24:33 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 11:24:33', 'Ardiana Dervishi', '2007-01-20 09:41:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (612, 2007000132, 4, 5, 6, '2007-01-20', '2007-01-22', '09:41:17', '11:24:00', 1, 'discharged', 'Create: 2007-01-20 09:41:17 Ardiana Dervishi\nUpdate (discharged): 2007-01-22 11:24:33 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 11:24:33', 'Ardiana Dervishi', '2007-01-20 09:41:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (613, 2007000132, 5, 2, 6, '2007-01-20', '2007-01-22', '09:41:17', '11:24:00', 1, 'discharged', 'Create: 2007-01-20 09:41:17 Ardiana Dervishi\nUpdate (discharged): 2007-01-22 11:24:33 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 11:24:33', 'Ardiana Dervishi', '2007-01-20 09:41:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (614, 2007000131, 2, 6, 6, '2007-01-20', '2007-01-22', '09:44:29', '10:02:00', 1, 'discharged', 'Create: 2007-01-20 09:44:29 Ardiana Dervishi\nUpdate (discharged): 2007-01-22 10:03:46 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 10:03:46', 'Ardiana Dervishi', '2007-01-20 09:44:29');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (615, 2007000131, 4, 3, 6, '2007-01-20', '2007-01-22', '09:44:29', '10:02:00', 1, 'discharged', 'Create: 2007-01-20 09:44:29 Ardiana Dervishi\nUpdate (discharged): 2007-01-22 10:03:46 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 10:03:46', 'Ardiana Dervishi', '2007-01-20 09:44:29');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (616, 2007000131, 5, 1, 6, '2007-01-20', '2007-01-22', '09:44:29', '10:02:00', 1, 'discharged', 'Create: 2007-01-20 09:44:29 Ardiana Dervishi\nUpdate (discharged): 2007-01-22 10:03:46 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 10:03:46', 'Ardiana Dervishi', '2007-01-20 09:44:29');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (617, 2007000126, 2, 6, 6, '2007-01-20', '2007-01-24', '09:46:05', '11:12:00', 1, 'discharged', 'Create: 2007-01-20 09:46:05 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 11:12:38 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:12:38', 'Ardiana Dervishi', '2007-01-20 09:46:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (618, 2007000126, 4, 2, 6, '2007-01-20', '2007-01-24', '09:46:05', '11:12:00', 1, 'discharged', 'Create: 2007-01-20 09:46:05 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 11:12:38 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:12:38', 'Ardiana Dervishi', '2007-01-20 09:46:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (619, 2007000126, 5, 3, 6, '2007-01-20', '2007-01-24', '09:46:05', '11:12:00', 1, 'discharged', 'Create: 2007-01-20 09:46:05 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 11:12:38 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:12:38', 'Ardiana Dervishi', '2007-01-20 09:46:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (620, 2007000143, 2, 6, 6, '2007-01-20', '2007-01-22', '10:08:16', '09:32:43', 6, 'discharged', 'Create: 2007-01-20 10:08:16 Ardiana Dervishi\nUpdate (discharged): 2007-01-22 09:32:43 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 09:32:43', 'Ardiana Dervishi', '2007-01-20 10:08:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (621, 2007000143, 4, 17, 6, '2007-01-20', '2007-01-22', '10:08:16', '09:32:43', 6, 'discharged', 'Create: 2007-01-20 10:08:16 Ardiana Dervishi\nUpdate (discharged): 2007-01-22 09:32:43 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 09:32:43', 'Ardiana Dervishi', '2007-01-20 10:08:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (622, 2007000143, 5, 1, 6, '2007-01-20', '2007-01-22', '10:08:16', '09:32:43', 6, 'discharged', 'Create: 2007-01-20 10:08:16 Ardiana Dervishi\nUpdate (discharged): 2007-01-22 09:32:43 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-22 09:32:43', 'Ardiana Dervishi', '2007-01-20 10:08:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (623, 2007000144, 2, 6, 6, '2007-01-20', '2007-01-31', '10:40:09', '09:53:00', 1, 'discharged', 'Create: 2007-01-20 10:40:09 Ardiana Dervishi\nUpdate (discharged): 2007-01-31 09:53:49 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-31 09:53:49', 'Ardiana Dervishi', '2007-01-20 10:40:09');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (624, 2007000144, 4, 12, 6, '2007-01-20', '2007-01-31', '10:40:09', '09:53:00', 1, 'discharged', 'Create: 2007-01-20 10:40:09 Ardiana Dervishi\nUpdate (discharged): 2007-01-31 09:53:49 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-31 09:53:49', 'Ardiana Dervishi', '2007-01-20 10:40:09');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (625, 2007000144, 5, 2, 6, '2007-01-20', '2007-01-31', '10:40:09', '09:53:00', 1, 'discharged', 'Create: 2007-01-20 10:40:09 Ardiana Dervishi\nUpdate (discharged): 2007-01-31 09:53:49 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-31 09:53:49', 'Ardiana Dervishi', '2007-01-20 10:40:09');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (626, 2007000145, 2, 6, 6, '2007-01-20', '2007-01-23', '11:41:46', '12:32:00', 1, 'discharged', 'Create: 2007-01-20 11:41:46 Ardiana Dervishi\nUpdate (discharged): 2007-01-23 12:32:49 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-23 12:32:49', 'Ardiana Dervishi', '2007-01-20 11:41:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (627, 2007000145, 4, 6, 6, '2007-01-20', '2007-01-23', '11:41:46', '12:32:00', 1, 'discharged', 'Create: 2007-01-20 11:41:46 Ardiana Dervishi\nUpdate (discharged): 2007-01-23 12:32:49 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-23 12:32:49', 'Ardiana Dervishi', '2007-01-20 11:41:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (628, 2007000145, 5, 2, 6, '2007-01-20', '2007-01-23', '11:41:46', '12:32:00', 1, 'discharged', 'Create: 2007-01-20 11:41:46 Ardiana Dervishi\nUpdate (discharged): 2007-01-23 12:32:49 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-23 12:32:49', 'Ardiana Dervishi', '2007-01-20 11:41:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (629, 2007000146, 2, 3, 3, '2007-01-20', '2007-01-22', '12:38:52', '11:33:00', 1, 'discharged', 'Create: 2007-01-20 12:38:52 Ermal Dibra\nUpdate (discharged): 2007-01-22 11:33:41 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 11:33:41', 'Ermal Dibra', '2007-01-20 12:38:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (630, 2007000146, 4, 15, 3, '2007-01-20', '2007-01-22', '12:38:52', '11:33:00', 1, 'discharged', 'Create: 2007-01-20 12:38:52 Ermal Dibra\nUpdate (discharged): 2007-01-22 11:33:41 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 11:33:41', 'Ermal Dibra', '2007-01-20 12:38:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (631, 2007000146, 5, 1, 3, '2007-01-20', '2007-01-22', '12:38:52', '11:33:00', 1, 'discharged', 'Create: 2007-01-20 12:38:52 Ermal Dibra\nUpdate (discharged): 2007-01-22 11:33:41 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 11:33:41', 'Ermal Dibra', '2007-01-20 12:38:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (632, 2007000147, 2, 3, 3, '2007-01-20', '2007-01-27', '12:45:15', '09:58:00', 1, 'discharged', 'Create: 2007-01-20 12:45:15 Ermal Dibra\nUpdate (discharged): 2007-01-27 09:58:39 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 09:58:39', 'Ermal Dibra', '2007-01-20 12:45:15');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (633, 2007000147, 4, 8, 3, '2007-01-20', '2007-01-27', '12:45:15', '09:58:00', 1, 'discharged', 'Create: 2007-01-20 12:45:15 Ermal Dibra\nUpdate (discharged): 2007-01-27 09:58:39 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 09:58:39', 'Ermal Dibra', '2007-01-20 12:45:15');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (634, 2007000147, 5, 3, 3, '2007-01-20', '2007-01-27', '12:45:15', '09:58:00', 1, 'discharged', 'Create: 2007-01-20 12:45:15 Ermal Dibra\nUpdate (discharged): 2007-01-27 09:58:39 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 09:58:39', 'Ermal Dibra', '2007-01-20 12:45:15');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (635, 2007000148, 2, 3, 3, '2007-01-20', '2007-01-27', '13:01:57', '09:56:00', 1, 'discharged', 'Create: 2007-01-20 13:01:57 Ermal Dibra\nUpdate (discharged): 2007-01-27 09:57:01 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 09:57:01', 'Ermal Dibra', '2007-01-20 13:01:57');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (636, 2007000148, 4, 9, 3, '2007-01-20', '2007-01-27', '13:01:57', '09:56:00', 1, 'discharged', 'Create: 2007-01-20 13:01:57 Ermal Dibra\nUpdate (discharged): 2007-01-27 09:57:01 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 09:57:01', 'Ermal Dibra', '2007-01-20 13:01:57');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (637, 2007000148, 5, 2, 3, '2007-01-20', '2007-01-27', '13:01:57', '09:56:00', 1, 'discharged', 'Create: 2007-01-20 13:01:57 Ermal Dibra\nUpdate (discharged): 2007-01-27 09:57:01 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 09:57:01', 'Ermal Dibra', '2007-01-20 13:01:57');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (638, 2007000133, 2, 3, 3, '2007-01-20', '2007-01-20', '13:09:17', '13:12:00', 1, 'discharged', 'Create: 2007-01-20 13:09:17 Ermal Dibra\nUpdate (discharged): 2007-01-20 13:12:59 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 13:12:59', 'Ermal Dibra', '2007-01-20 13:09:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (639, 2007000133, 4, 14, 3, '2007-01-20', '2007-01-20', '13:09:17', '13:12:00', 1, 'discharged', 'Create: 2007-01-20 13:09:17 Ermal Dibra\nUpdate (discharged): 2007-01-20 13:12:59 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 13:12:59', 'Ermal Dibra', '2007-01-20 13:09:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (640, 2007000133, 5, 3, 3, '2007-01-20', '2007-01-20', '13:09:17', '13:12:00', 1, 'discharged', 'Create: 2007-01-20 13:09:17 Ermal Dibra\nUpdate (discharged): 2007-01-20 13:12:59 Ermal Dibra\n', 'Ermal Dibra', '2007-01-20 13:12:59', 'Ermal Dibra', '2007-01-20 13:09:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (641, 2007000149, 2, 3, 3, '2007-01-20', '2007-01-29', '13:17:03', '10:16:00', 1, 'discharged', 'Create: 2007-01-20 13:17:03 Ermal Dibra\nUpdate (discharged): 2007-01-30 10:16:44 Ermal Dibra\n', 'Ermal Dibra', '2007-01-30 10:16:44', 'Ermal Dibra', '2007-01-20 13:17:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (642, 2007000149, 4, 17, 3, '2007-01-20', '2007-01-29', '13:17:03', '10:16:00', 1, 'discharged', 'Create: 2007-01-20 13:17:03 Ermal Dibra\nUpdate (discharged): 2007-01-30 10:16:44 Ermal Dibra\n', 'Ermal Dibra', '2007-01-30 10:16:44', 'Ermal Dibra', '2007-01-20 13:17:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (643, 2007000149, 5, 1, 3, '2007-01-20', '2007-01-29', '13:17:03', '10:16:00', 1, 'discharged', 'Create: 2007-01-20 13:17:04 Ermal Dibra\nUpdate (discharged): 2007-01-30 10:16:44 Ermal Dibra\n', 'Ermal Dibra', '2007-01-30 10:16:44', 'Ermal Dibra', '2007-01-20 13:17:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (644, 2007000150, 2, 3, 3, '2007-01-20', '2007-01-24', '13:23:42', '08:43:00', 7, 'discharged', 'Create: 2007-01-20 13:23:42 Ermal Dibra\nUpdate (discharged): 2007-01-25 08:48:04 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 08:48:04', 'Ermal Dibra', '2007-01-20 13:23:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (645, 2007000150, 4, 17, 3, '2007-01-20', '2007-01-24', '13:23:42', '08:43:00', 7, 'discharged', 'Create: 2007-01-20 13:23:42 Ermal Dibra\nUpdate (discharged): 2007-01-25 08:48:04 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 08:48:04', 'Ermal Dibra', '2007-01-20 13:23:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (646, 2007000150, 5, 2, 3, '2007-01-20', '2007-01-24', '13:23:42', '08:43:00', 7, 'discharged', 'Create: 2007-01-20 13:23:42 Ermal Dibra\nUpdate (discharged): 2007-01-25 08:48:04 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 08:48:04', 'Ermal Dibra', '2007-01-20 13:23:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (647, 2007000151, 2, 3, 3, '2007-01-20', '2007-01-25', '13:30:15', '11:28:00', 1, 'discharged', 'Create: 2007-01-20 13:30:15 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:28:33 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:28:33', 'Ermal Dibra', '2007-01-20 13:30:15');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (648, 2007000151, 4, 9, 3, '2007-01-20', '2007-01-25', '13:30:15', '11:28:00', 1, 'discharged', 'Create: 2007-01-20 13:30:15 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:28:33 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:28:33', 'Ermal Dibra', '2007-01-20 13:30:15');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (649, 2007000151, 5, 3, 3, '2007-01-20', '2007-01-25', '13:30:15', '11:28:00', 1, 'discharged', 'Create: 2007-01-20 13:30:15 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:28:33 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:28:33', 'Ermal Dibra', '2007-01-20 13:30:15');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (650, 2007000152, 2, 3, 3, '2007-01-20', '2007-01-27', '14:21:58', '11:47:00', 1, 'discharged', 'Create: 2007-01-20 14:21:58 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:47:36 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:47:36', 'Ermal Dibra', '2007-01-20 14:21:58');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (651, 2007000152, 4, 5, 3, '2007-01-20', '2007-01-27', '14:21:58', '11:47:00', 1, 'discharged', 'Create: 2007-01-20 14:21:58 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:47:36 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:47:36', 'Ermal Dibra', '2007-01-20 14:21:58');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (652, 2007000152, 5, 2, 3, '2007-01-20', '2007-01-27', '14:21:58', '11:47:00', 1, 'discharged', 'Create: 2007-01-20 14:21:58 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:47:36 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:47:36', 'Ermal Dibra', '2007-01-20 14:21:58');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (653, 2007000153, 2, 3, 3, '2007-01-20', '2007-01-29', '14:26:44', '13:11:00', 1, 'discharged', 'Create: 2007-01-20 14:26:44 Ermal Dibra\nUpdate (discharged): 2007-01-29 13:12:00 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 13:12:00', 'Ermal Dibra', '2007-01-20 14:26:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (654, 2007000153, 4, 10, 3, '2007-01-20', '2007-01-29', '14:26:44', '13:11:00', 1, 'discharged', 'Create: 2007-01-20 14:26:44 Ermal Dibra\nUpdate (discharged): 2007-01-29 13:12:00 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 13:12:00', 'Ermal Dibra', '2007-01-20 14:26:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (655, 2007000153, 5, 3, 3, '2007-01-20', '2007-01-29', '14:26:44', '13:11:00', 1, 'discharged', 'Create: 2007-01-20 14:26:44 Ermal Dibra\nUpdate (discharged): 2007-01-29 13:12:00 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 13:12:00', 'Ermal Dibra', '2007-01-20 14:26:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (656, 2007000154, 2, 3, 3, '2007-01-20', '2007-01-27', '14:31:03', '11:41:00', 1, 'discharged', 'Create: 2007-01-20 14:31:03 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:42:31 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:42:31', 'Ermal Dibra', '2007-01-20 14:31:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (657, 2007000154, 4, 5, 3, '2007-01-20', '2007-01-27', '14:31:03', '11:41:00', 1, 'discharged', 'Create: 2007-01-20 14:31:03 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:42:31 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:42:31', 'Ermal Dibra', '2007-01-20 14:31:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (658, 2007000154, 5, 4, 3, '2007-01-20', '2007-01-27', '14:31:03', '11:41:00', 1, 'discharged', 'Create: 2007-01-20 14:31:03 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:42:31 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:42:31', 'Ermal Dibra', '2007-01-20 14:31:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (659, 2007000155, 2, 3, 3, '2007-01-20', '2007-01-29', '14:36:23', '12:14:00', 1, 'discharged', 'Create: 2007-01-20 14:36:23 Ermal Dibra\nUpdate (discharged): 2007-01-29 12:15:04 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 12:15:04', 'Ermal Dibra', '2007-01-20 14:36:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (660, 2007000155, 4, 14, 3, '2007-01-20', '2007-01-29', '14:36:23', '12:14:00', 1, 'discharged', 'Create: 2007-01-20 14:36:23 Ermal Dibra\nUpdate (discharged): 2007-01-29 12:15:04 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 12:15:04', 'Ermal Dibra', '2007-01-20 14:36:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (661, 2007000155, 5, 3, 3, '2007-01-20', '2007-01-29', '14:36:23', '12:14:00', 1, 'discharged', 'Create: 2007-01-20 14:36:23 Ermal Dibra\nUpdate (discharged): 2007-01-29 12:15:04 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 12:15:04', 'Ermal Dibra', '2007-01-20 14:36:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (662, 2007000156, 2, 3, 3, '2007-01-20', '2007-01-27', '14:40:27', '11:49:00', 1, 'discharged', 'Create: 2007-01-20 14:40:27 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:50:19 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:50:19', 'Ermal Dibra', '2007-01-20 14:40:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (663, 2007000156, 4, 14, 3, '2007-01-20', '2007-01-27', '14:40:27', '11:49:00', 1, 'discharged', 'Create: 2007-01-20 14:40:27 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:50:19 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:50:19', 'Ermal Dibra', '2007-01-20 14:40:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (664, 2007000156, 5, 4, 3, '2007-01-20', '2007-01-27', '14:40:27', '11:49:00', 1, 'discharged', 'Create: 2007-01-20 14:40:27 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:50:19 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:50:19', 'Ermal Dibra', '2007-01-20 14:40:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (665, 2007000143, 2, 6, 6, '2007-01-22', '2007-01-23', '09:32:43', '12:28:00', 1, 'discharged', 'Create: 2007-01-22 09:32:43 Ardiana Dervishi\nUpdate (discharged): 2007-01-23 12:29:07 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-23 12:29:07', 'Ardiana Dervishi', '2007-01-22 09:32:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (666, 2007000143, 4, 2, 6, '2007-01-22', '2007-01-23', '09:32:43', '12:28:00', 1, 'discharged', 'Create: 2007-01-22 09:32:43 Ardiana Dervishi\nUpdate (discharged): 2007-01-23 12:29:07 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-23 12:29:07', 'Ardiana Dervishi', '2007-01-22 09:32:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (667, 2007000143, 5, 5, 6, '2007-01-22', '2007-01-23', '09:32:43', '12:28:00', 1, 'discharged', 'Create: 2007-01-22 09:32:43 Ardiana Dervishi\nUpdate (discharged): 2007-01-23 12:29:07 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-23 12:29:07', 'Ardiana Dervishi', '2007-01-22 09:32:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (668, 2007000094, 2, 6, 6, '2007-01-22', '2007-01-23', '09:34:20', '12:29:00', 1, 'discharged', 'Create: 2007-01-22 09:34:20 Ardiana Dervishi\nUpdate (discharged): 2007-01-23 12:30:00 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-23 12:30:00', 'Ardiana Dervishi', '2007-01-22 09:34:20');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (669, 2007000094, 4, 4, 6, '2007-01-22', '2007-01-23', '09:34:20', '12:29:00', 1, 'discharged', 'Create: 2007-01-22 09:34:20 Ardiana Dervishi\nUpdate (discharged): 2007-01-23 12:30:00 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-23 12:30:00', 'Ardiana Dervishi', '2007-01-22 09:34:20');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (670, 2007000094, 5, 5, 6, '2007-01-22', '2007-01-23', '09:34:20', '12:29:00', 1, 'discharged', 'Create: 2007-01-22 09:34:20 Ardiana Dervishi\nUpdate (discharged): 2007-01-23 12:30:00 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-23 12:30:00', 'Ardiana Dervishi', '2007-01-22 09:34:20');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (671, 2007000157, 2, 6, 6, '2007-01-22', '2007-01-26', '09:48:55', '09:47:00', 1, 'discharged', 'Create: 2007-01-22 09:48:55 Ardiana Dervishi\nUpdate (discharged): 2007-01-31 09:48:27 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-31 09:48:27', 'Ardiana Dervishi', '2007-01-22 09:48:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (672, 2007000157, 4, 11, 6, '2007-01-22', '2007-01-26', '09:48:55', '09:47:00', 1, 'discharged', 'Create: 2007-01-22 09:48:55 Ardiana Dervishi\nUpdate (discharged): 2007-01-31 09:48:27 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-31 09:48:27', 'Ardiana Dervishi', '2007-01-22 09:48:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (673, 2007000157, 5, 2, 6, '2007-01-22', '2007-01-26', '09:48:55', '09:47:00', 1, 'discharged', 'Create: 2007-01-22 09:48:55 Ardiana Dervishi\nUpdate (discharged): 2007-01-31 09:48:27 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-31 09:48:27', 'Ardiana Dervishi', '2007-01-22 09:48:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (674, 2007000158, 2, 6, 6, '2007-01-22', '2007-01-24', '11:27:59', '11:09:00', 1, 'discharged', 'Create: 2007-01-22 11:27:59 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 11:10:22 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:10:22', 'Ardiana Dervishi', '2007-01-22 11:27:59');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (675, 2007000158, 4, 4, 6, '2007-01-22', '2007-01-24', '11:27:59', '11:09:00', 1, 'discharged', 'Create: 2007-01-22 11:27:59 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 11:10:22 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:10:22', 'Ardiana Dervishi', '2007-01-22 11:27:59');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (676, 2007000158, 5, 3, 6, '2007-01-22', '2007-01-24', '11:27:59', '11:09:00', 1, 'discharged', 'Create: 2007-01-22 11:27:59 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 11:10:22 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:10:22', 'Ardiana Dervishi', '2007-01-22 11:27:59');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (677, 2007000159, 2, 3, 3, '2007-01-22', '2007-01-23', '11:39:30', '11:09:00', 1, 'discharged', 'Create: 2007-01-22 11:39:30 Ermal Dibra\nUpdate (discharged): 2007-01-23 11:10:27 Ermal Dibra\n', 'Ermal Dibra', '2007-01-23 11:10:27', 'Ermal Dibra', '2007-01-22 11:39:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (678, 2007000159, 4, 11, 3, '2007-01-22', '2007-01-23', '11:39:30', '11:09:00', 1, 'discharged', 'Create: 2007-01-22 11:39:30 Ermal Dibra\nUpdate (discharged): 2007-01-23 11:10:27 Ermal Dibra\n', 'Ermal Dibra', '2007-01-23 11:10:27', 'Ermal Dibra', '2007-01-22 11:39:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (679, 2007000159, 5, 1, 3, '2007-01-22', '2007-01-23', '11:39:30', '11:09:00', 1, 'discharged', 'Create: 2007-01-22 11:39:30 Ermal Dibra\nUpdate (discharged): 2007-01-23 11:10:27 Ermal Dibra\n', 'Ermal Dibra', '2007-01-23 11:10:27', 'Ermal Dibra', '2007-01-22 11:39:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (680, 2007000160, 2, 3, 3, '2007-01-22', '0000-00-00', '13:18:52', NULL, 0, '', 'Create: 2007-01-22 13:18:52 Ermal Dibra\n', '', '2007-01-22 13:18:52', 'Ermal Dibra', '2007-01-22 13:18:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (681, 2007000160, 4, 3, 3, '2007-01-22', '0000-00-00', '13:18:52', NULL, 0, '', 'Create: 2007-01-22 13:18:52 Ermal Dibra\n', '', '2007-01-22 13:18:52', 'Ermal Dibra', '2007-01-22 13:18:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (682, 2007000160, 5, 3, 3, '2007-01-22', '0000-00-00', '13:18:52', NULL, 0, '', 'Create: 2007-01-22 13:18:52 Ermal Dibra\n', '', '2007-01-22 13:18:52', 'Ermal Dibra', '2007-01-22 13:18:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (683, 2007000161, 2, 3, 3, '2007-01-22', '2007-01-22', '13:23:12', '13:28:00', 7, 'discharged', 'Create: 2007-01-22 13:23:12 Ermal Dibra\nUpdate (discharged): 2007-01-22 13:30:30 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 13:30:30', 'Ermal Dibra', '2007-01-22 13:23:12');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (684, 2007000161, 4, 1, 3, '2007-01-22', '2007-01-22', '13:23:12', '13:28:00', 7, 'discharged', 'Create: 2007-01-22 13:23:12 Ermal Dibra\nUpdate (discharged): 2007-01-22 13:30:30 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 13:30:30', 'Ermal Dibra', '2007-01-22 13:23:12');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (685, 2007000161, 5, 1, 3, '2007-01-22', '2007-01-22', '13:23:12', '13:28:00', 7, 'discharged', 'Create: 2007-01-22 13:23:12 Ermal Dibra\nUpdate (discharged): 2007-01-22 13:30:30 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 13:30:30', 'Ermal Dibra', '2007-01-22 13:23:12');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (686, 2007000162, 2, 3, 3, '2007-01-22', '2007-01-21', '13:35:08', '13:38:00', 2, 'discharged', 'Create: 2007-01-22 13:35:08 Ermal Dibra\nUpdate (discharged): 2007-01-22 13:38:59 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 13:38:59', 'Ermal Dibra', '2007-01-22 13:35:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (687, 2007000162, 4, 1, 3, '2007-01-22', '2007-01-21', '13:35:08', '13:38:00', 2, 'discharged', 'Create: 2007-01-22 13:35:08 Ermal Dibra\nUpdate (discharged): 2007-01-22 13:38:59 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 13:38:59', 'Ermal Dibra', '2007-01-22 13:35:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (688, 2007000162, 5, 1, 3, '2007-01-22', '2007-01-21', '13:35:08', '13:38:00', 2, 'discharged', 'Create: 2007-01-22 13:35:08 Ermal Dibra\nUpdate (discharged): 2007-01-22 13:38:59 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 13:38:59', 'Ermal Dibra', '2007-01-22 13:35:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (689, 2007000163, 2, 3, 3, '2007-01-23', '2007-01-30', '07:49:42', '12:56:00', 1, 'discharged', 'Create: 2007-01-23 07:49:42 Ermal Dibra\nUpdate (discharged): 2007-01-30 12:57:14 Ermal Dibra\n', 'Ermal Dibra', '2007-01-30 12:57:14', 'Ermal Dibra', '2007-01-23 07:49:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (690, 2007000163, 4, 11, 3, '2007-01-23', '2007-01-30', '07:49:42', '12:56:00', 1, 'discharged', 'Create: 2007-01-23 07:49:42 Ermal Dibra\nUpdate (discharged): 2007-01-30 12:57:14 Ermal Dibra\n', 'Ermal Dibra', '2007-01-30 12:57:14', 'Ermal Dibra', '2007-01-23 07:49:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (691, 2007000163, 5, 3, 3, '2007-01-23', '2007-01-30', '07:49:42', '12:56:00', 1, 'discharged', 'Create: 2007-01-23 07:49:42 Ermal Dibra\nUpdate (discharged): 2007-01-30 12:57:14 Ermal Dibra\n', 'Ermal Dibra', '2007-01-30 12:57:14', 'Ermal Dibra', '2007-01-23 07:49:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (692, 2007000164, 2, 3, 3, '2007-01-23', '2007-01-24', '07:55:42', '09:53:00', 1, 'discharged', 'Create: 2007-01-23 07:55:42 Ermal Dibra\nUpdate (discharged): 2007-01-24 09:54:02 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 09:54:02', 'Ermal Dibra', '2007-01-23 07:55:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (693, 2007000164, 4, 11, 3, '2007-01-23', '2007-01-24', '07:55:42', '09:53:00', 1, 'discharged', 'Create: 2007-01-23 07:55:42 Ermal Dibra\nUpdate (discharged): 2007-01-24 09:54:02 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 09:54:02', 'Ermal Dibra', '2007-01-23 07:55:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (694, 2007000164, 5, 4, 3, '2007-01-23', '2007-01-24', '07:55:42', '09:53:00', 1, 'discharged', 'Create: 2007-01-23 07:55:42 Ermal Dibra\nUpdate (discharged): 2007-01-24 09:54:02 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 09:54:02', 'Ermal Dibra', '2007-01-23 07:55:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (695, 2007000165, 2, 3, 3, '2007-01-23', '2007-01-25', '08:00:18', '11:36:00', 1, 'discharged', 'Create: 2007-01-23 08:00:18 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:37:09 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:37:09', 'Ermal Dibra', '2007-01-23 08:00:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (696, 2007000165, 4, 1, 3, '2007-01-23', '2007-01-25', '08:00:18', '11:36:00', 1, 'discharged', 'Create: 2007-01-23 08:00:18 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:37:09 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:37:09', 'Ermal Dibra', '2007-01-23 08:00:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (697, 2007000165, 5, 1, 3, '2007-01-23', '2007-01-25', '08:00:18', '11:36:00', 1, 'discharged', 'Create: 2007-01-23 08:00:18 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:37:09 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:37:09', 'Ermal Dibra', '2007-01-23 08:00:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (698, 2007000166, 2, 3, 3, '2007-01-23', '2007-01-24', '08:06:39', '10:45:00', 1, 'discharged', 'Create: 2007-01-23 08:06:39 Ermal Dibra\nUpdate (discharged): 2007-01-24 10:45:59 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 10:45:59', 'Ermal Dibra', '2007-01-23 08:06:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (699, 2007000166, 4, 14, 3, '2007-01-23', '2007-01-24', '08:06:39', '10:45:00', 1, 'discharged', 'Create: 2007-01-23 08:06:39 Ermal Dibra\nUpdate (discharged): 2007-01-24 10:45:59 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 10:45:59', 'Ermal Dibra', '2007-01-23 08:06:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (700, 2007000166, 5, 1, 3, '2007-01-23', '2007-01-24', '08:06:39', '10:45:00', 1, 'discharged', 'Create: 2007-01-23 08:06:39 Ermal Dibra\nUpdate (discharged): 2007-01-24 10:45:59 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 10:45:59', 'Ermal Dibra', '2007-01-23 08:06:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (701, 2007000167, 2, 3, 3, '2007-01-23', '2007-01-31', '08:10:47', '12:58:00', 1, 'discharged', 'Create: 2007-01-23 08:10:47 Ermal Dibra\nUpdate (discharged): 2007-01-31 12:58:43 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 12:58:43', 'Ermal Dibra', '2007-01-23 08:10:47');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (702, 2007000167, 4, 12, 3, '2007-01-23', '2007-01-31', '08:10:47', '12:58:00', 1, 'discharged', 'Create: 2007-01-23 08:10:47 Ermal Dibra\nUpdate (discharged): 2007-01-31 12:58:43 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 12:58:43', 'Ermal Dibra', '2007-01-23 08:10:47');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (703, 2007000167, 5, 1, 3, '2007-01-23', '2007-01-31', '08:10:47', '12:58:00', 1, 'discharged', 'Create: 2007-01-23 08:10:47 Ermal Dibra\nUpdate (discharged): 2007-01-31 12:58:43 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 12:58:43', 'Ermal Dibra', '2007-01-23 08:10:47');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (704, 2007000168, 2, 6, 6, '2007-01-23', '2007-01-27', '08:14:41', '11:56:00', 1, 'discharged', 'Create: 2007-01-23 08:14:41 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 11:56:32 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 11:56:32', 'Ardiana Dervishi', '2007-01-23 08:14:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (705, 2007000168, 4, 3, 6, '2007-01-23', '2007-01-27', '08:14:41', '11:56:00', 1, 'discharged', 'Create: 2007-01-23 08:14:41 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 11:56:32 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 11:56:32', 'Ardiana Dervishi', '2007-01-23 08:14:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (706, 2007000168, 5, 5, 6, '2007-01-23', '2007-01-27', '08:14:41', '11:56:00', 1, 'discharged', 'Create: 2007-01-23 08:14:41 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 11:56:32 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 11:56:32', 'Ardiana Dervishi', '2007-01-23 08:14:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (707, 2007000169, 2, 6, 6, '2007-01-23', '2007-01-26', '08:21:42', '10:00:53', 6, 'discharged', 'Create: 2007-01-23 08:21:42 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:00:53 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:00:53', 'Ardiana Dervishi', '2007-01-23 08:21:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (708, 2007000169, 4, 3, 6, '2007-01-23', '2007-01-26', '08:21:42', '10:00:53', 6, 'discharged', 'Create: 2007-01-23 08:21:42 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:00:53 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:00:53', 'Ardiana Dervishi', '2007-01-23 08:21:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (709, 2007000169, 5, 3, 6, '2007-01-23', '2007-01-26', '08:21:42', '10:00:53', 6, 'discharged', 'Create: 2007-01-23 08:21:42 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:00:53 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:00:53', 'Ardiana Dervishi', '2007-01-23 08:21:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (710, 2007000170, 2, 6, 6, '2007-01-23', '2007-01-26', '08:27:24', '10:18:00', 1, 'discharged', 'Create: 2007-01-23 08:27:24 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:18:23 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:18:23', 'Ardiana Dervishi', '2007-01-23 08:27:24');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (711, 2007000170, 4, 8, 6, '2007-01-23', '2007-01-26', '08:27:24', '10:18:00', 1, 'discharged', 'Create: 2007-01-23 08:27:24 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:18:23 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:18:23', 'Ardiana Dervishi', '2007-01-23 08:27:24');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (712, 2007000170, 5, 2, 6, '2007-01-23', '2007-01-26', '08:27:24', '10:18:00', 1, 'discharged', 'Create: 2007-01-23 08:27:24 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:18:23 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:18:23', 'Ardiana Dervishi', '2007-01-23 08:27:24');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (713, 2007000171, 2, 6, 6, '2007-01-23', '2007-01-26', '08:37:41', '10:19:52', 6, 'discharged', 'Create: 2007-01-23 08:37:41 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:19:52 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:19:52', 'Ardiana Dervishi', '2007-01-23 08:37:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (714, 2007000171, 4, 8, 6, '2007-01-23', '2007-01-26', '08:37:41', '10:19:52', 6, 'discharged', 'Create: 2007-01-23 08:37:41 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:19:52 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:19:52', 'Ardiana Dervishi', '2007-01-23 08:37:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (715, 2007000171, 5, 5, 6, '2007-01-23', '2007-01-26', '08:37:41', '10:19:52', 6, 'discharged', 'Create: 2007-01-23 08:37:41 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:19:52 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:19:52', 'Ardiana Dervishi', '2007-01-23 08:37:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (716, 2007000172, 2, 6, 6, '2007-01-23', '2007-01-26', '08:54:40', '10:03:23', 6, 'discharged', 'Create: 2007-01-23 08:54:40 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:03:23 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:03:23', 'Ardiana Dervishi', '2007-01-23 08:54:40');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (717, 2007000172, 4, 3, 6, '2007-01-23', '2007-01-26', '08:54:40', '10:03:23', 6, 'discharged', 'Create: 2007-01-23 08:54:40 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:03:23 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:03:23', 'Ardiana Dervishi', '2007-01-23 08:54:40');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (718, 2007000172, 5, 4, 6, '2007-01-23', '2007-01-26', '08:54:40', '10:03:23', 6, 'discharged', 'Create: 2007-01-23 08:54:40 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:03:23 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:03:23', 'Ardiana Dervishi', '2007-01-23 08:54:40');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (719, 2007000173, 2, 6, 6, '2007-01-23', '2007-01-24', '09:12:32', '09:02:00', 1, 'discharged', 'Create: 2007-01-23 09:12:32 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 09:02:15 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 09:02:15', 'Ardiana Dervishi', '2007-01-23 09:12:32');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (720, 2007000173, 4, 5, 6, '2007-01-23', '2007-01-24', '09:12:32', '09:02:00', 1, 'discharged', 'Create: 2007-01-23 09:12:32 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 09:02:15 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 09:02:15', 'Ardiana Dervishi', '2007-01-23 09:12:32');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (721, 2007000173, 5, 2, 6, '2007-01-23', '2007-01-24', '09:12:32', '09:02:00', 1, 'discharged', 'Create: 2007-01-23 09:12:32 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 09:02:15 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 09:02:15', 'Ardiana Dervishi', '2007-01-23 09:12:32');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (722, 2007000174, 2, 6, 6, '2007-01-23', '2007-01-27', '09:48:25', '13:23:00', 1, 'discharged', 'Create: 2007-01-23 09:48:25 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:23:24 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:23:24', 'Ardiana Dervishi', '2007-01-23 09:48:25');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (723, 2007000174, 4, 10, 6, '2007-01-23', '2007-01-27', '09:48:25', '13:23:00', 1, 'discharged', 'Create: 2007-01-23 09:48:25 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:23:24 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:23:24', 'Ardiana Dervishi', '2007-01-23 09:48:25');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (724, 2007000174, 5, 4, 6, '2007-01-23', '2007-01-27', '09:48:25', '13:23:00', 1, 'discharged', 'Create: 2007-01-23 09:48:25 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:23:24 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:23:24', 'Ardiana Dervishi', '2007-01-23 09:48:25');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (725, 2007000175, 2, 3, 3, '2007-01-23', '2007-01-30', '10:20:15', '12:06:00', 1, 'discharged', 'Create: 2007-01-23 10:20:15 Ermal Dibra\nUpdate (discharged): 2007-01-31 12:09:18 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 12:09:18', 'Ermal Dibra', '2007-01-23 10:20:15');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (726, 2007000175, 4, 15, 3, '2007-01-23', '2007-01-30', '10:20:15', '12:06:00', 1, 'discharged', 'Create: 2007-01-23 10:20:15 Ermal Dibra\nUpdate (discharged): 2007-01-31 12:09:18 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 12:09:18', 'Ermal Dibra', '2007-01-23 10:20:15');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (727, 2007000175, 5, 1, 3, '2007-01-23', '2007-01-30', '10:20:15', '12:06:00', 1, 'discharged', 'Create: 2007-01-23 10:20:15 Ermal Dibra\nUpdate (discharged): 2007-01-31 12:09:18 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 12:09:18', 'Ermal Dibra', '2007-01-23 10:20:15');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (728, 2007000176, 2, 6, 6, '2007-01-23', '2007-01-26', '10:36:30', '09:58:04', 6, 'discharged', 'Create: 2007-01-23 10:36:30 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 09:58:04 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 09:58:04', 'Ardiana Dervishi', '2007-01-23 10:36:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (729, 2007000176, 4, 2, 6, '2007-01-23', '2007-01-26', '10:36:30', '09:58:04', 6, 'discharged', 'Create: 2007-01-23 10:36:30 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 09:58:04 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 09:58:04', 'Ardiana Dervishi', '2007-01-23 10:36:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (730, 2007000176, 5, 2, 6, '2007-01-23', '2007-01-26', '10:36:30', '09:58:04', 6, 'discharged', 'Create: 2007-01-23 10:36:30 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 09:58:04 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 09:58:04', 'Ardiana Dervishi', '2007-01-23 10:36:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (731, 2007000177, 2, 6, 6, '2007-01-23', '2007-01-26', '10:42:43', '10:12:00', 1, 'discharged', 'Create: 2007-01-23 10:42:43 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:13:01 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:13:01', 'Ardiana Dervishi', '2007-01-23 10:42:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (732, 2007000177, 4, 6, 6, '2007-01-23', '2007-01-26', '10:42:43', '10:12:00', 1, 'discharged', 'Create: 2007-01-23 10:42:43 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:13:01 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:13:01', 'Ardiana Dervishi', '2007-01-23 10:42:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (733, 2007000177, 5, 3, 6, '2007-01-23', '2007-01-26', '10:42:43', '10:12:00', 1, 'discharged', 'Create: 2007-01-23 10:42:43 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:13:01 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:13:01', 'Ardiana Dervishi', '2007-01-23 10:42:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (734, 2007000178, 2, 6, 6, '2007-01-23', '2007-08-01', '10:46:44', '18:54:00', 1, 'discharged', 'Create: 2007-01-23 10:46:44 Ardiana Dervishi\nUpdate (discharged): 2007-08-01 18:55:06 admin\n', 'admin', '2007-08-01 18:55:06', 'Ardiana Dervishi', '2007-01-23 10:46:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (735, 2007000178, 4, 1, 6, '2007-01-23', '2007-08-01', '10:46:44', '18:54:00', 1, 'discharged', 'Create: 2007-01-23 10:46:44 Ardiana Dervishi\nUpdate (discharged): 2007-08-01 18:55:06 admin\n', 'admin', '2007-08-01 18:55:06', 'Ardiana Dervishi', '2007-01-23 10:46:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (736, 2007000178, 5, 1, 6, '2007-01-23', '2007-08-01', '10:46:44', '18:54:00', 1, 'discharged', 'Create: 2007-01-23 10:46:44 Ardiana Dervishi\nUpdate (discharged): 2007-08-01 18:55:06 admin\n', 'admin', '2007-08-01 18:55:06', 'Ardiana Dervishi', '2007-01-23 10:46:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (737, 2007000179, 2, 6, 6, '2007-01-23', '2007-02-01', '10:57:55', '10:47:00', 1, 'discharged', 'Create: 2007-01-23 10:57:55 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:47:58 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:47:58', 'Ardiana Dervishi', '2007-01-23 10:57:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (738, 2007000179, 4, 17, 6, '2007-01-23', '2007-02-01', '10:57:55', '10:47:00', 1, 'discharged', 'Create: 2007-01-23 10:57:55 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:47:58 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:47:58', 'Ardiana Dervishi', '2007-01-23 10:57:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (739, 2007000179, 5, 2, 6, '2007-01-23', '2007-02-01', '10:57:55', '10:47:00', 1, 'discharged', 'Create: 2007-01-23 10:57:55 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:47:58 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:47:58', 'Ardiana Dervishi', '2007-01-23 10:57:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (740, 2007000180, 2, 3, 3, '2007-01-23', '2007-01-27', '11:33:38', '11:43:00', 1, 'discharged', 'Create: 2007-01-23 11:33:38 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:44:33 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:44:33', 'Ermal Dibra', '2007-01-23 11:33:38');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (741, 2007000180, 4, 7, 3, '2007-01-23', '2007-01-27', '11:33:38', '11:43:00', 1, 'discharged', 'Create: 2007-01-23 11:33:38 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:44:33 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:44:33', 'Ermal Dibra', '2007-01-23 11:33:38');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (742, 2007000180, 5, 2, 3, '2007-01-23', '2007-01-27', '11:33:38', '11:43:00', 1, 'discharged', 'Create: 2007-01-23 11:33:38 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:44:33 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:44:33', 'Ermal Dibra', '2007-01-23 11:33:38');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (743, 2007000181, 2, 3, 3, '2007-01-23', '0000-00-00', '11:38:25', NULL, 0, '', 'Create: 2007-01-23 11:38:25 Ermal Dibra\n', '', '2007-01-23 11:38:25', 'Ermal Dibra', '2007-01-23 11:38:25');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (744, 2007000181, 4, 11, 3, '2007-01-23', '0000-00-00', '11:38:25', NULL, 0, '', 'Create: 2007-01-23 11:38:25 Ermal Dibra\n', '', '2007-01-23 11:38:25', 'Ermal Dibra', '2007-01-23 11:38:25');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (745, 2007000181, 5, 1, 3, '2007-01-23', '0000-00-00', '11:38:25', NULL, 0, '', 'Create: 2007-01-23 11:38:25 Ermal Dibra\n', '', '2007-01-23 11:38:25', 'Ermal Dibra', '2007-01-23 11:38:25');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (746, 2007000182, 2, 3, 3, '2007-01-23', '2007-01-26', '11:43:55', '10:23:00', 2, 'discharged', 'Create: 2007-01-23 11:43:55 Ermal Dibra\nUpdate (discharged): 2007-01-26 10:24:06 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 10:24:06', 'Ermal Dibra', '2007-01-23 11:43:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (747, 2007000182, 4, 15, 3, '2007-01-23', '2007-01-26', '11:43:55', '10:23:00', 2, 'discharged', 'Create: 2007-01-23 11:43:55 Ermal Dibra\nUpdate (discharged): 2007-01-26 10:24:06 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 10:24:06', 'Ermal Dibra', '2007-01-23 11:43:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (748, 2007000182, 5, 2, 3, '2007-01-23', '2007-01-26', '11:43:55', '10:23:00', 2, 'discharged', 'Create: 2007-01-23 11:43:55 Ermal Dibra\nUpdate (discharged): 2007-01-26 10:24:06 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 10:24:06', 'Ermal Dibra', '2007-01-23 11:43:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (749, 2007000183, 2, 6, 6, '2007-01-23', '2007-01-23', '12:09:27', '13:08:00', 1, 'discharged', 'Create: 2007-01-23 12:09:27 Ardiana Dervishi\nUpdate (discharged): 2007-01-23 12:12:57 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-23 12:12:57', 'Ardiana Dervishi', '2007-01-23 12:09:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (750, 2007000183, 4, 15, 6, '2007-01-23', '2007-01-23', '12:09:27', '13:08:00', 1, 'discharged', 'Create: 2007-01-23 12:09:27 Ardiana Dervishi\nUpdate (discharged): 2007-01-23 12:12:57 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-23 12:12:57', 'Ardiana Dervishi', '2007-01-23 12:09:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (751, 2007000183, 5, 1, 6, '2007-01-23', '2007-01-23', '12:09:27', '13:08:00', 1, 'discharged', 'Create: 2007-01-23 12:09:27 Ardiana Dervishi\nUpdate (discharged): 2007-01-23 12:12:57 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-23 12:12:57', 'Ardiana Dervishi', '2007-01-23 12:09:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (752, 2007000184, 2, 3, 3, '2007-01-23', '2007-01-24', '13:03:16', '08:35:00', 1, 'discharged', 'Create: 2007-01-23 13:03:16 Ermal Dibra\nUpdate (discharged): 2007-01-24 08:36:39 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 08:36:39', 'Ermal Dibra', '2007-01-23 13:03:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (753, 2007000184, 4, 7, 3, '2007-01-23', '2007-01-24', '13:03:16', '08:35:00', 1, 'discharged', 'Create: 2007-01-23 13:03:16 Ermal Dibra\nUpdate (discharged): 2007-01-24 08:36:39 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 08:36:39', 'Ermal Dibra', '2007-01-23 13:03:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (754, 2007000184, 5, 4, 3, '2007-01-23', '2007-01-24', '13:03:16', '08:35:00', 1, 'discharged', 'Create: 2007-01-23 13:03:16 Ermal Dibra\nUpdate (discharged): 2007-01-24 08:36:39 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 08:36:39', 'Ermal Dibra', '2007-01-23 13:03:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (755, 2007000185, 2, 3, 3, '2007-01-23', '2007-01-29', '13:09:14', '12:13:00', 1, 'discharged', 'Create: 2007-01-23 13:09:14 Ermal Dibra\nUpdate (discharged): 2007-01-29 12:13:33 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 12:13:33', 'Ermal Dibra', '2007-01-23 13:09:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (756, 2007000185, 4, 12, 3, '2007-01-23', '2007-01-29', '13:09:14', '12:13:00', 1, 'discharged', 'Create: 2007-01-23 13:09:14 Ermal Dibra\nUpdate (discharged): 2007-01-29 12:13:33 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 12:13:33', 'Ermal Dibra', '2007-01-23 13:09:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (757, 2007000185, 5, 3, 3, '2007-01-23', '2007-01-29', '13:09:14', '12:13:00', 1, 'discharged', 'Create: 2007-01-23 13:09:14 Ermal Dibra\nUpdate (discharged): 2007-01-29 12:13:33 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 12:13:33', 'Ermal Dibra', '2007-01-23 13:09:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (758, 2007000186, 2, 3, 3, '2007-01-23', '2007-01-24', '13:17:29', '09:52:00', 1, 'discharged', 'Create: 2007-01-23 13:17:29 Ermal Dibra\nUpdate (discharged): 2007-01-24 09:53:06 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 09:53:06', 'Ermal Dibra', '2007-01-23 13:17:29');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (759, 2007000186, 4, 8, 3, '2007-01-23', '2007-01-24', '13:17:29', '09:52:00', 1, 'discharged', 'Create: 2007-01-23 13:17:29 Ermal Dibra\nUpdate (discharged): 2007-01-24 09:53:06 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 09:53:06', 'Ermal Dibra', '2007-01-23 13:17:29');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (760, 2007000186, 5, 1, 3, '2007-01-23', '2007-01-24', '13:17:29', '09:52:00', 1, 'discharged', 'Create: 2007-01-23 13:17:29 Ermal Dibra\nUpdate (discharged): 2007-01-24 09:53:06 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 09:53:06', 'Ermal Dibra', '2007-01-23 13:17:29');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (761, 2007000187, 2, 6, 6, '2007-01-24', '2007-01-26', '08:41:36', '10:24:00', 1, 'discharged', 'Create: 2007-01-24 08:41:36 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:24:06 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:24:06', 'Ardiana Dervishi', '2007-01-24 08:41:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (762, 2007000187, 4, 13, 6, '2007-01-24', '2007-01-26', '08:41:36', '10:24:00', 1, 'discharged', 'Create: 2007-01-24 08:41:36 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:24:06 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:24:06', 'Ardiana Dervishi', '2007-01-24 08:41:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (763, 2007000187, 5, 2, 6, '2007-01-24', '2007-01-26', '08:41:36', '10:24:00', 1, 'discharged', 'Create: 2007-01-24 08:41:36 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:24:06 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:24:06', 'Ardiana Dervishi', '2007-01-24 08:41:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (764, 2007000188, 2, 6, 6, '2007-01-24', '2007-01-31', '08:46:42', '10:00:00', 1, 'discharged', 'Create: 2007-01-24 08:46:42 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:01:20 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:01:20', 'Ardiana Dervishi', '2007-01-24 08:46:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (765, 2007000188, 4, 17, 6, '2007-01-24', '2007-01-31', '08:46:42', '10:00:00', 1, 'discharged', 'Create: 2007-01-24 08:46:42 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:01:20 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:01:20', 'Ardiana Dervishi', '2007-01-24 08:46:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (766, 2007000188, 5, 1, 6, '2007-01-24', '2007-01-31', '08:46:42', '10:00:00', 1, 'discharged', 'Create: 2007-01-24 08:46:42 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:01:20 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:01:20', 'Ardiana Dervishi', '2007-01-24 08:46:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (767, 2007000189, 2, 6, 6, '2007-01-24', '2007-01-24', '11:19:51', '11:22:00', 1, 'discharged', 'Create: 2007-01-24 11:19:51 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 11:22:35 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:22:35', 'Ardiana Dervishi', '2007-01-24 11:19:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (768, 2007000189, 4, 5, 6, '2007-01-24', '2007-01-24', '11:19:51', '11:22:00', 1, 'discharged', 'Create: 2007-01-24 11:19:51 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 11:22:35 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:22:35', 'Ardiana Dervishi', '2007-01-24 11:19:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (769, 2007000189, 5, 1, 6, '2007-01-24', '2007-01-24', '11:19:51', '11:22:00', 1, 'discharged', 'Create: 2007-01-24 11:19:51 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 11:22:35 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:22:35', 'Ardiana Dervishi', '2007-01-24 11:19:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (770, 2007000190, 2, 6, 6, '2007-01-24', '2007-01-24', '11:24:59', '11:28:00', 1, 'discharged', 'Create: 2007-01-24 11:24:59 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 11:28:05 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:28:05', 'Ardiana Dervishi', '2007-01-24 11:24:59');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (771, 2007000190, 4, 3, 6, '2007-01-24', '2007-01-24', '11:24:59', '11:28:00', 1, 'discharged', 'Create: 2007-01-24 11:24:59 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 11:28:05 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:28:05', 'Ardiana Dervishi', '2007-01-24 11:24:59');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (772, 2007000190, 5, 2, 6, '2007-01-24', '2007-01-24', '11:24:59', '11:28:00', 1, 'discharged', 'Create: 2007-01-24 11:24:59 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 11:28:05 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:28:05', 'Ardiana Dervishi', '2007-01-24 11:24:59');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (773, 2007000191, 2, 6, 6, '2007-01-24', '2007-01-24', '11:32:24', '11:35:00', 1, 'discharged', 'Create: 2007-01-24 11:32:24 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 11:36:03 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:36:03', 'Ardiana Dervishi', '2007-01-24 11:32:24');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (774, 2007000191, 4, 7, 6, '2007-01-24', '2007-01-24', '11:32:24', '11:35:00', 1, 'discharged', 'Create: 2007-01-24 11:32:24 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 11:36:03 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:36:03', 'Ardiana Dervishi', '2007-01-24 11:32:24');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (775, 2007000191, 5, 6, 6, '2007-01-24', '2007-01-24', '11:32:24', '11:35:00', 1, 'discharged', 'Create: 2007-01-24 11:32:24 Ardiana Dervishi\nUpdate (discharged): 2007-01-24 11:36:03 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-24 11:36:03', 'Ardiana Dervishi', '2007-01-24 11:32:24');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (776, 2007000192, 2, 6, 6, '2007-01-24', '2007-01-26', '11:41:11', '09:57:00', 1, 'discharged', 'Create: 2007-01-24 11:41:11 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 09:57:10 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 09:57:10', 'Ardiana Dervishi', '2007-01-24 11:41:11');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (777, 2007000192, 4, 8, 6, '2007-01-24', '2007-01-26', '11:41:11', '09:57:00', 1, 'discharged', 'Create: 2007-01-24 11:41:11 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 09:57:10 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 09:57:10', 'Ardiana Dervishi', '2007-01-24 11:41:11');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (778, 2007000192, 5, 1, 6, '2007-01-24', '2007-01-26', '11:41:11', '09:57:00', 1, 'discharged', 'Create: 2007-01-24 11:41:11 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 09:57:10 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 09:57:10', 'Ardiana Dervishi', '2007-01-24 11:41:11');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (779, 2007000193, 2, 6, 6, '2007-01-24', '2007-01-26', '11:44:40', '10:18:13', 6, 'discharged', 'Create: 2007-01-24 11:44:40 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:18:13 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:18:13', 'Ardiana Dervishi', '2007-01-24 11:44:40');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (780, 2007000193, 4, 8, 6, '2007-01-24', '2007-01-26', '11:44:40', '10:18:13', 6, 'discharged', 'Create: 2007-01-24 11:44:40 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:18:13 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:18:13', 'Ardiana Dervishi', '2007-01-24 11:44:40');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (781, 2007000193, 5, 6, 6, '2007-01-24', '2007-01-26', '11:44:40', '10:18:13', 6, 'discharged', 'Create: 2007-01-24 11:44:40 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:18:13 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:18:13', 'Ardiana Dervishi', '2007-01-24 11:44:40');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (782, 2007000194, 2, 6, 6, '2007-01-24', '2007-01-26', '11:48:17', '10:18:50', 6, 'discharged', 'Create: 2007-01-24 11:48:17 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:18:50 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:18:50', 'Ardiana Dervishi', '2007-01-24 11:48:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (783, 2007000194, 4, 9, 6, '2007-01-24', '2007-01-26', '11:48:17', '10:18:50', 6, 'discharged', 'Create: 2007-01-24 11:48:17 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:18:50 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:18:50', 'Ardiana Dervishi', '2007-01-24 11:48:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (784, 2007000194, 5, 1, 6, '2007-01-24', '2007-01-26', '11:48:17', '10:18:50', 6, 'discharged', 'Create: 2007-01-24 11:48:17 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:18:50 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:18:50', 'Ardiana Dervishi', '2007-01-24 11:48:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (785, 2007000195, 2, 3, 3, '2007-01-24', '2007-01-23', '11:52:11', '11:52:00', 1, 'discharged', 'Create: 2007-01-24 11:52:11 Ermal Dibra\nUpdate (discharged): 2007-01-24 11:53:27 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 11:53:27', 'Ermal Dibra', '2007-01-24 11:52:11');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (786, 2007000195, 4, 7, 3, '2007-01-24', '2007-01-23', '11:52:11', '11:52:00', 1, 'discharged', 'Create: 2007-01-24 11:52:11 Ermal Dibra\nUpdate (discharged): 2007-01-24 11:53:27 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 11:53:27', 'Ermal Dibra', '2007-01-24 11:52:11');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (787, 2007000195, 5, 4, 3, '2007-01-24', '2007-01-23', '11:52:11', '11:52:00', 1, 'discharged', 'Create: 2007-01-24 11:52:11 Ermal Dibra\nUpdate (discharged): 2007-01-24 11:53:27 Ermal Dibra\n', 'Ermal Dibra', '2007-01-24 11:53:27', 'Ermal Dibra', '2007-01-24 11:52:11');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (788, 2007000196, 2, 6, 6, '2007-01-24', '2007-01-27', '11:53:42', '13:22:23', 6, 'discharged', 'Create: 2007-01-24 11:53:42 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:22:23 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:22:23', 'Ardiana Dervishi', '2007-01-24 11:53:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (789, 2007000196, 4, 10, 6, '2007-01-24', '2007-01-27', '11:53:42', '13:22:23', 6, 'discharged', 'Create: 2007-01-24 11:53:42 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:22:23 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:22:23', 'Ardiana Dervishi', '2007-01-24 11:53:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (790, 2007000196, 5, 1, 6, '2007-01-24', '2007-01-27', '11:53:42', '13:22:23', 6, 'discharged', 'Create: 2007-01-24 11:53:42 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:22:23 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:22:23', 'Ardiana Dervishi', '2007-01-24 11:53:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (791, 2007000197, 2, 6, 6, '2007-01-24', '0000-00-00', '11:58:05', NULL, 0, '', 'Create: 2007-01-24 11:58:05 Ardiana Dervishi\n', '', '2007-01-24 11:58:05', 'Ardiana Dervishi', '2007-01-24 11:58:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (792, 2007000197, 4, 7, 6, '2007-01-24', '0000-00-00', '11:58:05', NULL, 0, '', 'Create: 2007-01-24 11:58:05 Ardiana Dervishi\n', '', '2007-01-24 11:58:05', 'Ardiana Dervishi', '2007-01-24 11:58:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (793, 2007000197, 5, 3, 6, '2007-01-24', '0000-00-00', '11:58:05', NULL, 0, '', 'Create: 2007-01-24 11:58:05 Ardiana Dervishi\n', '', '2007-01-24 11:58:05', 'Ardiana Dervishi', '2007-01-24 11:58:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (794, 2007000198, 2, 3, 3, '2007-01-24', '2007-01-30', '12:01:08', '12:54:00', 1, 'discharged', 'Create: 2007-01-24 12:01:08 Ermal Dibra\nUpdate (discharged): 2007-01-30 12:55:00 Ermal Dibra\n', 'Ermal Dibra', '2007-01-30 12:55:00', 'Ermal Dibra', '2007-01-24 12:01:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (795, 2007000198, 4, 10, 3, '2007-01-24', '2007-01-30', '12:01:08', '12:54:00', 1, 'discharged', 'Create: 2007-01-24 12:01:08 Ermal Dibra\nUpdate (discharged): 2007-01-30 12:55:00 Ermal Dibra\n', 'Ermal Dibra', '2007-01-30 12:55:00', 'Ermal Dibra', '2007-01-24 12:01:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (796, 2007000198, 5, 1, 3, '2007-01-24', '2007-01-30', '12:01:08', '12:54:00', 1, 'discharged', 'Create: 2007-01-24 12:01:08 Ermal Dibra\nUpdate (discharged): 2007-01-30 12:55:00 Ermal Dibra\n', 'Ermal Dibra', '2007-01-30 12:55:00', 'Ermal Dibra', '2007-01-24 12:01:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (797, 2007000199, 2, 6, 6, '2007-01-24', '2007-01-25', '12:02:52', '12:46:00', 1, 'discharged', 'Create: 2007-01-24 12:02:52 Ardiana Dervishi\nUpdate (discharged): 2007-01-25 12:47:32 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-25 12:47:32', 'Ardiana Dervishi', '2007-01-24 12:02:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (798, 2007000199, 4, 10, 6, '2007-01-24', '2007-01-25', '12:02:52', '12:46:00', 1, 'discharged', 'Create: 2007-01-24 12:02:52 Ardiana Dervishi\nUpdate (discharged): 2007-01-25 12:47:32 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-25 12:47:32', 'Ardiana Dervishi', '2007-01-24 12:02:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (799, 2007000199, 5, 5, 6, '2007-01-24', '2007-01-25', '12:02:52', '12:46:00', 1, 'discharged', 'Create: 2007-01-24 12:02:52 Ardiana Dervishi\nUpdate (discharged): 2007-01-25 12:47:32 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-25 12:47:32', 'Ardiana Dervishi', '2007-01-24 12:02:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (800, 2007000200, 2, 3, 3, '2007-01-24', '2007-01-27', '12:06:48', '11:58:00', 1, 'discharged', 'Create: 2007-01-24 12:06:48 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:59:12 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:59:12', 'Ermal Dibra', '2007-01-24 12:06:48');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (801, 2007000200, 4, 11, 3, '2007-01-24', '2007-01-27', '12:06:48', '11:58:00', 1, 'discharged', 'Create: 2007-01-24 12:06:48 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:59:12 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:59:12', 'Ermal Dibra', '2007-01-24 12:06:48');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (802, 2007000200, 5, 4, 3, '2007-01-24', '2007-01-27', '12:06:48', '11:58:00', 1, 'discharged', 'Create: 2007-01-24 12:06:48 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:59:12 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:59:12', 'Ermal Dibra', '2007-01-24 12:06:48');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (803, 2007000201, 2, 6, 6, '2007-01-24', '2007-01-26', '12:07:06', '13:30:00', 1, 'discharged', 'Create: 2007-01-24 12:07:06 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 13:31:03 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:31:03', 'Ardiana Dervishi', '2007-01-24 12:07:06');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (804, 2007000201, 4, 7, 6, '2007-01-24', '2007-01-26', '12:07:06', '13:30:00', 1, 'discharged', 'Create: 2007-01-24 12:07:06 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 13:31:03 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:31:03', 'Ardiana Dervishi', '2007-01-24 12:07:06');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (805, 2007000201, 5, 5, 6, '2007-01-24', '2007-01-26', '12:07:06', '13:30:00', 1, 'discharged', 'Create: 2007-01-24 12:07:06 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 13:31:03 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:31:03', 'Ardiana Dervishi', '2007-01-24 12:07:06');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (806, 2007000202, 2, 3, 3, '2007-01-24', '2007-01-31', '12:11:08', '10:46:00', 1, 'discharged', 'Create: 2007-01-24 12:11:08 Ermal Dibra\nUpdate (discharged): 2007-01-31 10:47:37 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 10:47:37', 'Ermal Dibra', '2007-01-24 12:11:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (807, 2007000202, 4, 15, 3, '2007-01-24', '2007-01-31', '12:11:08', '10:46:00', 1, 'discharged', 'Create: 2007-01-24 12:11:08 Ermal Dibra\nUpdate (discharged): 2007-01-31 10:47:37 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 10:47:37', 'Ermal Dibra', '2007-01-24 12:11:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (808, 2007000202, 5, 3, 3, '2007-01-24', '2007-01-31', '12:11:08', '10:46:00', 1, 'discharged', 'Create: 2007-01-24 12:11:08 Ermal Dibra\nUpdate (discharged): 2007-01-31 10:47:37 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 10:47:37', 'Ermal Dibra', '2007-01-24 12:11:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (809, 2007000203, 2, 3, 3, '2007-01-24', '2007-01-27', '12:15:22', '11:53:00', 1, 'discharged', 'Create: 2007-01-24 12:15:22 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:54:17 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:54:17', 'Ermal Dibra', '2007-01-24 12:15:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (810, 2007000203, 4, 7, 3, '2007-01-24', '2007-01-27', '12:15:22', '11:53:00', 1, 'discharged', 'Create: 2007-01-24 12:15:22 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:54:17 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:54:17', 'Ermal Dibra', '2007-01-24 12:15:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (811, 2007000203, 5, 4, 3, '2007-01-24', '2007-01-27', '12:15:22', '11:53:00', 1, 'discharged', 'Create: 2007-01-24 12:15:22 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:54:17 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:54:17', 'Ermal Dibra', '2007-01-24 12:15:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (812, 2007000204, 2, 6, 6, '2007-01-24', '2007-01-26', '12:17:58', '10:00:04', 6, 'discharged', 'Create: 2007-01-24 12:17:58 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:00:04 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:00:04', 'Ardiana Dervishi', '2007-01-24 12:17:58');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (813, 2007000204, 4, 4, 6, '2007-01-24', '2007-01-26', '12:17:58', '10:00:04', 6, 'discharged', 'Create: 2007-01-24 12:17:58 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:00:04 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:00:04', 'Ardiana Dervishi', '2007-01-24 12:17:58');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (814, 2007000204, 5, 1, 6, '2007-01-24', '2007-01-26', '12:17:58', '10:00:04', 6, 'discharged', 'Create: 2007-01-24 12:17:58 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:00:04 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:00:04', 'Ardiana Dervishi', '2007-01-24 12:17:58');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (815, 2007000205, 2, 3, 3, '2007-01-24', '2007-01-27', '12:20:46', '11:34:00', 1, 'discharged', 'Create: 2007-01-24 12:20:46 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:35:23 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:35:23', 'Ermal Dibra', '2007-01-24 12:20:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (816, 2007000205, 4, 8, 3, '2007-01-24', '2007-01-27', '12:20:46', '11:34:00', 1, 'discharged', 'Create: 2007-01-24 12:20:46 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:35:23 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:35:23', 'Ermal Dibra', '2007-01-24 12:20:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (817, 2007000205, 5, 1, 3, '2007-01-24', '2007-01-27', '12:20:46', '11:34:00', 1, 'discharged', 'Create: 2007-01-24 12:20:46 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:35:23 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:35:23', 'Ermal Dibra', '2007-01-24 12:20:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (818, 2007000206, 2, 3, 3, '2007-01-24', '2007-02-01', '12:27:33', '11:47:00', 1, 'discharged', 'Create: 2007-01-24 12:27:33 Ermal Dibra\nUpdate (discharged): 2007-02-01 11:47:36 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 11:47:36', 'Ermal Dibra', '2007-01-24 12:27:33');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (819, 2007000206, 4, 12, 3, '2007-01-24', '2007-02-01', '12:27:33', '11:47:00', 1, 'discharged', 'Create: 2007-01-24 12:27:33 Ermal Dibra\nUpdate (discharged): 2007-02-01 11:47:36 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 11:47:36', 'Ermal Dibra', '2007-01-24 12:27:33');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (820, 2007000206, 5, 2, 3, '2007-01-24', '2007-02-01', '12:27:33', '11:47:00', 1, 'discharged', 'Create: 2007-01-24 12:27:33 Ermal Dibra\nUpdate (discharged): 2007-02-01 11:47:36 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 11:47:36', 'Ermal Dibra', '2007-01-24 12:27:33');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (821, 2007000207, 2, 6, 6, '2007-01-24', '2007-01-29', '12:34:31', '12:35:00', 1, 'discharged', 'Create: 2007-01-24 12:34:31 Ardiana Dervishi\nUpdate (discharged): 2007-01-29 12:36:57 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-29 12:36:57', 'Ardiana Dervishi', '2007-01-24 12:34:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (822, 2007000207, 4, 5, 6, '2007-01-24', '2007-01-29', '12:34:31', '12:35:00', 1, 'discharged', 'Create: 2007-01-24 12:34:31 Ardiana Dervishi\nUpdate (discharged): 2007-01-29 12:36:57 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-29 12:36:57', 'Ardiana Dervishi', '2007-01-24 12:34:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (823, 2007000207, 5, 5, 6, '2007-01-24', '2007-01-29', '12:34:31', '12:35:00', 1, 'discharged', 'Create: 2007-01-24 12:34:31 Ardiana Dervishi\nUpdate (discharged): 2007-01-29 12:36:57 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-29 12:36:57', 'Ardiana Dervishi', '2007-01-24 12:34:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (824, 2007000208, 2, 3, 3, '2007-01-24', '2007-01-27', '12:35:31', '11:52:00', 1, 'discharged', 'Create: 2007-01-24 12:35:31 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:52:31 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:52:31', 'Ermal Dibra', '2007-01-24 12:35:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (825, 2007000208, 4, 4, 3, '2007-01-24', '2007-01-27', '12:35:31', '11:52:00', 1, 'discharged', 'Create: 2007-01-24 12:35:31 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:52:31 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:52:31', 'Ermal Dibra', '2007-01-24 12:35:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (826, 2007000208, 5, 1, 3, '2007-01-24', '2007-01-27', '12:35:31', '11:52:00', 1, 'discharged', 'Create: 2007-01-24 12:35:31 Ermal Dibra\nUpdate (discharged): 2007-01-27 11:52:31 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 11:52:31', 'Ermal Dibra', '2007-01-24 12:35:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (827, 2007000209, 2, 3, 3, '2007-01-24', '2007-02-01', '12:40:28', '11:50:00', 1, 'discharged', 'Create: 2007-01-24 12:40:28 Ermal Dibra\nUpdate (discharged): 2007-02-01 11:50:42 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 11:50:42', 'Ermal Dibra', '2007-01-24 12:40:28');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (828, 2007000209, 4, 8, 3, '2007-01-24', '2007-02-01', '12:40:28', '11:50:00', 1, 'discharged', 'Create: 2007-01-24 12:40:28 Ermal Dibra\nUpdate (discharged): 2007-02-01 11:50:42 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 11:50:42', 'Ermal Dibra', '2007-01-24 12:40:28');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (829, 2007000209, 5, 2, 3, '2007-01-24', '2007-02-01', '12:40:28', '11:50:00', 1, 'discharged', 'Create: 2007-01-24 12:40:28 Ermal Dibra\nUpdate (discharged): 2007-02-01 11:50:42 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 11:50:42', 'Ermal Dibra', '2007-01-24 12:40:28');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (830, 2007000210, 2, 6, 6, '2007-01-24', '2007-01-27', '12:43:00', '10:12:00', 1, 'discharged', 'Create: 2007-01-24 12:43:00 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 10:12:10 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 10:12:10', 'Ardiana Dervishi', '2007-01-24 12:43:00');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (831, 2007000210, 4, 3, 6, '2007-01-24', '2007-01-27', '12:43:00', '10:12:00', 1, 'discharged', 'Create: 2007-01-24 12:43:00 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 10:12:10 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 10:12:10', 'Ardiana Dervishi', '2007-01-24 12:43:00');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (832, 2007000210, 5, 1, 6, '2007-01-24', '2007-01-27', '12:43:00', '10:12:00', 1, 'discharged', 'Create: 2007-01-24 12:43:00 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 10:12:10 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 10:12:10', 'Ardiana Dervishi', '2007-01-24 12:43:00');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (833, 2007000211, 2, 3, 3, '2007-01-24', '0000-00-00', '12:46:41', NULL, 0, '', 'Create: 2007-01-24 12:46:41 Ermal Dibra\n', '', '2007-01-24 12:46:41', 'Ermal Dibra', '2007-01-24 12:46:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (834, 2007000211, 4, 13, 3, '2007-01-24', '0000-00-00', '12:46:41', NULL, 0, '', 'Create: 2007-01-24 12:46:41 Ermal Dibra\n', '', '2007-01-24 12:46:41', 'Ermal Dibra', '2007-01-24 12:46:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (835, 2007000211, 5, 2, 3, '2007-01-24', '0000-00-00', '12:46:41', NULL, 0, '', 'Create: 2007-01-24 12:46:41 Ermal Dibra\n', '', '2007-01-24 12:46:41', 'Ermal Dibra', '2007-01-24 12:46:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (836, 2007000212, 2, 6, 6, '2007-01-24', '0000-00-00', '12:50:35', NULL, 0, '', 'Create: 2007-01-24 12:50:35 Ardiana Dervishi\n', '', '2007-01-24 12:50:35', 'Ardiana Dervishi', '2007-01-24 12:50:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (837, 2007000212, 4, 2, 6, '2007-01-24', '0000-00-00', '12:50:35', NULL, 0, '', 'Create: 2007-01-24 12:50:35 Ardiana Dervishi\n', '', '2007-01-24 12:50:35', 'Ardiana Dervishi', '2007-01-24 12:50:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (838, 2007000212, 5, 5, 6, '2007-01-24', '0000-00-00', '12:50:35', NULL, 0, '', 'Create: 2007-01-24 12:50:35 Ardiana Dervishi\n', '', '2007-01-24 12:50:35', 'Ardiana Dervishi', '2007-01-24 12:50:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (839, 2007000213, 2, 6, 6, '2007-01-24', '2007-01-24', '12:56:25', '13:26:00', 1, 'discharged', 'Create: 2007-01-24 12:56:25 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:26:26 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:26:26', 'Ardiana Dervishi', '2007-01-24 12:56:25');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (840, 2007000213, 4, 6, 6, '2007-01-24', '2007-01-24', '12:56:25', '13:26:00', 1, 'discharged', 'Create: 2007-01-24 12:56:25 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:26:26 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:26:26', 'Ardiana Dervishi', '2007-01-24 12:56:25');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (841, 2007000213, 5, 2, 6, '2007-01-24', '2007-01-24', '12:56:25', '13:26:00', 1, 'discharged', 'Create: 2007-01-24 12:56:25 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:26:26 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:26:26', 'Ardiana Dervishi', '2007-01-24 12:56:25');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (842, 2007000214, 2, 6, 6, '2007-01-24', '0000-00-00', '13:00:10', NULL, 0, '', 'Create: 2007-01-24 13:00:10 Ardiana Dervishi\n', '', '2007-01-24 13:00:10', 'Ardiana Dervishi', '2007-01-24 13:00:10');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (843, 2007000214, 4, 5, 6, '2007-01-24', '0000-00-00', '13:00:10', NULL, 0, '', 'Create: 2007-01-24 13:00:10 Ardiana Dervishi\n', '', '2007-01-24 13:00:10', 'Ardiana Dervishi', '2007-01-24 13:00:10');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (844, 2007000214, 5, 2, 6, '2007-01-24', '0000-00-00', '13:00:10', NULL, 0, '', 'Create: 2007-01-24 13:00:10 Ardiana Dervishi\n', '', '2007-01-24 13:00:10', 'Ardiana Dervishi', '2007-01-24 13:00:10');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (845, 2007000215, 2, 6, 6, '2007-01-25', '2007-01-27', '08:40:01', '13:11:00', 1, 'discharged', 'Create: 2007-01-25 08:40:01 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:11:32 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:11:32', 'Ardiana Dervishi', '2007-01-25 08:40:01');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (846, 2007000215, 4, 1, 6, '2007-01-25', '2007-01-27', '08:40:01', '13:11:00', 1, 'discharged', 'Create: 2007-01-25 08:40:01 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:11:32 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:11:32', 'Ardiana Dervishi', '2007-01-25 08:40:01');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (847, 2007000215, 5, 2, 6, '2007-01-25', '2007-01-27', '08:40:01', '13:11:00', 1, 'discharged', 'Create: 2007-01-25 08:40:01 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:11:32 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:11:32', 'Ardiana Dervishi', '2007-01-25 08:40:01');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (848, 2007000216, 2, 6, 6, '2007-01-25', '2007-01-26', '08:57:58', '13:23:00', 1, 'discharged', 'Create: 2007-01-25 08:57:58 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 13:24:25 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:24:25', 'Ardiana Dervishi', '2007-01-25 08:57:58');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (849, 2007000216, 4, 6, 6, '2007-01-25', '2007-01-26', '08:57:58', '13:23:00', 1, 'discharged', 'Create: 2007-01-25 08:57:58 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 13:24:25 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:24:25', 'Ardiana Dervishi', '2007-01-25 08:57:58');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (850, 2007000216, 5, 4, 6, '2007-01-25', '2007-01-26', '08:57:58', '13:23:00', 1, 'discharged', 'Create: 2007-01-25 08:57:58 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 13:24:25 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:24:25', 'Ardiana Dervishi', '2007-01-25 08:57:58');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (851, 2007000217, 2, 3, 3, '2007-01-25', '2007-01-25', '09:07:11', '09:12:42', 4, 'discharged', 'Create: 2007-01-25 09:07:11 Ardiana Dervishi\nUpdate (discharged): 2007-01-25 09:12:42 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-25 09:12:42', 'Ardiana Dervishi', '2007-01-25 09:07:11');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (852, 2007000217, 4, 7, 3, '2007-01-25', '2007-01-25', '09:07:11', '09:12:42', 4, 'discharged', 'Create: 2007-01-25 09:07:11 Ardiana Dervishi\nUpdate (discharged): 2007-01-25 09:12:42 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-25 09:12:42', 'Ardiana Dervishi', '2007-01-25 09:07:11');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (853, 2007000217, 5, 1, 3, '2007-01-25', '2007-01-25', '09:07:11', '09:12:42', 4, 'discharged', 'Create: 2007-01-25 09:07:11 Ardiana Dervishi\nUpdate (discharged): 2007-01-25 09:12:42 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-25 09:12:42', 'Ardiana Dervishi', '2007-01-25 09:07:11');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (854, 2007000217, 2, 6, 6, '2007-01-25', '2007-01-26', '09:14:31', '13:12:00', 1, 'discharged', 'Create: 2007-01-25 09:14:31 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 13:13:40 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:13:40', 'Ardiana Dervishi', '2007-01-25 09:14:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (855, 2007000217, 4, 1, 6, '2007-01-25', '2007-01-26', '09:14:31', '13:12:00', 1, 'discharged', 'Create: 2007-01-25 09:14:31 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 13:13:40 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:13:40', 'Ardiana Dervishi', '2007-01-25 09:14:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (856, 2007000217, 5, 3, 6, '2007-01-25', '2007-01-26', '09:14:31', '13:12:00', 1, 'discharged', 'Create: 2007-01-25 09:14:31 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 13:13:40 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:13:40', 'Ardiana Dervishi', '2007-01-25 09:14:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (857, 2007000218, 2, 6, 6, '2007-01-25', '2007-01-27', '09:19:18', '13:22:51', 6, 'discharged', 'Create: 2007-01-25 09:19:18 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:22:51 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:22:51', 'Ardiana Dervishi', '2007-01-25 09:19:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (858, 2007000218, 4, 10, 6, '2007-01-25', '2007-01-27', '09:19:18', '13:22:51', 6, 'discharged', 'Create: 2007-01-25 09:19:18 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:22:51 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:22:51', 'Ardiana Dervishi', '2007-01-25 09:19:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (859, 2007000218, 5, 6, 6, '2007-01-25', '2007-01-27', '09:19:18', '13:22:51', 6, 'discharged', 'Create: 2007-01-25 09:19:18 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:22:51 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:22:51', 'Ardiana Dervishi', '2007-01-25 09:19:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (860, 2007000219, 2, 6, 6, '2007-01-25', '2007-01-26', '10:04:26', '10:09:03', 6, 'discharged', 'Create: 2007-01-25 10:04:26 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:09:03 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:09:03', 'Ardiana Dervishi', '2007-01-25 10:04:26');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (861, 2007000219, 4, 6, 6, '2007-01-25', '2007-01-26', '10:04:26', '10:09:03', 6, 'discharged', 'Create: 2007-01-25 10:04:26 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:09:03 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:09:03', 'Ardiana Dervishi', '2007-01-25 10:04:26');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (862, 2007000219, 5, 5, 6, '2007-01-25', '2007-01-26', '10:04:26', '10:09:03', 6, 'discharged', 'Create: 2007-01-25 10:04:26 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:09:03 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:09:03', 'Ardiana Dervishi', '2007-01-25 10:04:26');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (863, 2007000220, 2, 6, 6, '2007-01-25', '0000-00-00', '10:19:55', NULL, 0, '', 'Create: 2007-01-25 10:19:55 Ardiana Dervishi\n', '', '2007-01-25 10:19:55', 'Ardiana Dervishi', '2007-01-25 10:19:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (864, 2007000220, 4, 17, 6, '2007-01-25', '0000-00-00', '10:19:55', NULL, 0, '', 'Create: 2007-01-25 10:19:55 Ardiana Dervishi\n', '', '2007-01-25 10:19:55', 'Ardiana Dervishi', '2007-01-25 10:19:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (865, 2007000220, 5, 5, 6, '2007-01-25', '0000-00-00', '10:19:55', NULL, 0, '', 'Create: 2007-01-25 10:19:55 Ardiana Dervishi\n', '', '2007-01-25 10:19:55', 'Ardiana Dervishi', '2007-01-25 10:19:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (866, 2007000221, 2, 6, 6, '2007-01-25', '2007-01-26', '10:32:39', '13:17:00', 1, 'discharged', 'Create: 2007-01-25 10:32:39 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 13:18:35 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:18:35', 'Ardiana Dervishi', '2007-01-25 10:32:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (867, 2007000221, 4, 3, 6, '2007-01-25', '2007-01-26', '10:32:39', '13:17:00', 1, 'discharged', 'Create: 2007-01-25 10:32:39 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 13:18:35 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:18:35', 'Ardiana Dervishi', '2007-01-25 10:32:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (868, 2007000221, 5, 2, 6, '2007-01-25', '2007-01-26', '10:32:39', '13:17:00', 1, 'discharged', 'Create: 2007-01-25 10:32:39 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 13:18:35 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:18:35', 'Ardiana Dervishi', '2007-01-25 10:32:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (869, 2007000222, 2, 3, 3, '2007-01-25', '0000-00-00', '11:12:10', NULL, 0, '', 'Create: 2007-01-25 11:12:10 Ermal Dibra\n', '', '2007-01-25 11:12:10', 'Ermal Dibra', '2007-01-25 11:12:10');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (870, 2007000222, 4, 14, 3, '2007-01-25', '0000-00-00', '11:12:10', NULL, 0, '', 'Create: 2007-01-25 11:12:10 Ermal Dibra\n', '', '2007-01-25 11:12:10', 'Ermal Dibra', '2007-01-25 11:12:10');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (871, 2007000222, 5, 2, 3, '2007-01-25', '0000-00-00', '11:12:10', NULL, 0, '', 'Create: 2007-01-25 11:12:10 Ermal Dibra\n', '', '2007-01-25 11:12:10', 'Ermal Dibra', '2007-01-25 11:12:10');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (872, 2007000223, 2, 3, 3, '2007-01-25', '0000-00-00', '11:17:47', NULL, 0, '', 'Create: 2007-01-25 11:17:47 Ermal Dibra\n', '', '2007-01-25 11:17:47', 'Ermal Dibra', '2007-01-25 11:17:47');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (873, 2007000223, 4, 4, 3, '2007-01-25', '0000-00-00', '11:17:47', NULL, 0, '', 'Create: 2007-01-25 11:17:47 Ermal Dibra\n', '', '2007-01-25 11:17:47', 'Ermal Dibra', '2007-01-25 11:17:47');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (874, 2007000223, 5, 4, 3, '2007-01-25', '0000-00-00', '11:17:47', NULL, 0, '', 'Create: 2007-01-25 11:17:47 Ermal Dibra\n', '', '2007-01-25 11:17:47', 'Ermal Dibra', '2007-01-25 11:17:47');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (875, 2007000224, 2, 6, 6, '2007-01-25', '0000-00-00', '11:21:36', NULL, 0, '', 'Create: 2007-01-25 11:21:36 Ardiana Dervishi\n', '', '2007-01-25 11:21:36', 'Ardiana Dervishi', '2007-01-25 11:21:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (876, 2007000224, 4, 4, 6, '2007-01-25', '0000-00-00', '11:21:36', NULL, 0, '', 'Create: 2007-01-25 11:21:36 Ardiana Dervishi\n', '', '2007-01-25 11:21:36', 'Ardiana Dervishi', '2007-01-25 11:21:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (877, 2007000224, 5, 3, 6, '2007-01-25', '0000-00-00', '11:21:36', NULL, 0, '', 'Create: 2007-01-25 11:21:36 Ardiana Dervishi\n', '', '2007-01-25 11:21:36', 'Ardiana Dervishi', '2007-01-25 11:21:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (878, 2007000225, 2, 3, 3, '2007-01-25', '2007-02-01', '11:22:17', '09:08:00', 1, 'discharged', 'Create: 2007-01-25 11:22:17 Ermal Dibra\nUpdate (discharged): 2007-02-01 09:08:43 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 09:08:43', 'Ermal Dibra', '2007-01-25 11:22:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (879, 2007000225, 4, 6, 3, '2007-01-25', '2007-02-01', '11:22:17', '09:08:00', 1, 'discharged', 'Create: 2007-01-25 11:22:17 Ermal Dibra\nUpdate (discharged): 2007-02-01 09:08:43 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 09:08:43', 'Ermal Dibra', '2007-01-25 11:22:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (880, 2007000225, 5, 1, 3, '2007-01-25', '2007-02-01', '11:22:17', '09:08:00', 1, 'discharged', 'Create: 2007-01-25 11:22:17 Ermal Dibra\nUpdate (discharged): 2007-02-01 09:08:43 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 09:08:43', 'Ermal Dibra', '2007-01-25 11:22:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (881, 2007000226, 2, 3, 3, '2007-01-25', '0000-00-00', '11:26:38', NULL, 0, '', 'Create: 2007-01-25 11:26:38 Ermal Dibra\n', '', '2007-01-25 11:26:38', 'Ermal Dibra', '2007-01-25 11:26:38');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (882, 2007000226, 4, 10, 3, '2007-01-25', '0000-00-00', '11:26:38', NULL, 0, '', 'Create: 2007-01-25 11:26:38 Ermal Dibra\n', '', '2007-01-25 11:26:38', 'Ermal Dibra', '2007-01-25 11:26:38');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (883, 2007000226, 5, 2, 3, '2007-01-25', '0000-00-00', '11:26:38', NULL, 0, '', 'Create: 2007-01-25 11:26:38 Ermal Dibra\n', '', '2007-01-25 11:26:38', 'Ermal Dibra', '2007-01-25 11:26:38');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (884, 2007000227, 2, 6, 6, '2007-01-25', '2007-02-01', '12:38:38', '10:39:00', 1, 'discharged', 'Create: 2007-01-25 12:38:38 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:40:20 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:40:20', 'Ardiana Dervishi', '2007-01-25 12:38:38');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (885, 2007000227, 4, 17, 6, '2007-01-25', '2007-02-01', '12:38:38', '10:39:00', 1, 'discharged', 'Create: 2007-01-25 12:38:38 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:40:20 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:40:20', 'Ardiana Dervishi', '2007-01-25 12:38:38');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (886, 2007000227, 5, 7, 6, '2007-01-25', '2007-02-01', '12:38:38', '10:39:00', 1, 'discharged', 'Create: 2007-01-25 12:38:38 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:40:20 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:40:20', 'Ardiana Dervishi', '2007-01-25 12:38:38');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (887, 2007000228, 2, 6, 6, '2007-01-26', '2007-01-30', '08:23:14', '10:28:00', 1, 'discharged', 'Create: 2007-01-26 08:23:14 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 10:28:53 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 10:28:53', 'Ardiana Dervishi', '2007-01-26 08:23:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (888, 2007000228, 4, 1, 6, '2007-01-26', '2007-01-30', '08:23:14', '10:28:00', 1, 'discharged', 'Create: 2007-01-26 08:23:14 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 10:28:53 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 10:28:53', 'Ardiana Dervishi', '2007-01-26 08:23:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (889, 2007000228, 5, 5, 6, '2007-01-26', '2007-01-30', '08:23:14', '10:28:00', 1, 'discharged', 'Create: 2007-01-26 08:23:14 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 10:28:53 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 10:28:53', 'Ardiana Dervishi', '2007-01-26 08:23:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (890, 2007000229, 2, 6, 6, '2007-01-26', '2007-01-30', '08:41:05', '10:36:00', 1, 'discharged', 'Create: 2007-01-26 08:41:05 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 10:36:46 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 10:36:46', 'Ardiana Dervishi', '2007-01-26 08:41:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (891, 2007000229, 4, 5, 6, '2007-01-26', '2007-01-30', '08:41:05', '10:36:00', 1, 'discharged', 'Create: 2007-01-26 08:41:05 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 10:36:46 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 10:36:46', 'Ardiana Dervishi', '2007-01-26 08:41:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (892, 2007000229, 5, 1, 6, '2007-01-26', '2007-01-30', '08:41:05', '10:36:00', 1, 'discharged', 'Create: 2007-01-26 08:41:05 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 10:36:46 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 10:36:46', 'Ardiana Dervishi', '2007-01-26 08:41:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (893, 2007000230, 2, 6, 6, '2007-01-26', '2007-01-27', '08:57:34', '13:25:15', 6, 'discharged', 'Create: 2007-01-26 08:57:34 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:25:15 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:25:15', 'Ardiana Dervishi', '2007-01-26 08:57:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (894, 2007000230, 4, 7, 6, '2007-01-26', '2007-01-27', '08:57:34', '13:25:15', 6, 'discharged', 'Create: 2007-01-26 08:57:34 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:25:15 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:25:15', 'Ardiana Dervishi', '2007-01-26 08:57:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (895, 2007000230, 5, 6, 6, '2007-01-26', '2007-01-27', '08:57:34', '13:25:15', 6, 'discharged', 'Create: 2007-01-26 08:57:34 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:25:15 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:25:15', 'Ardiana Dervishi', '2007-01-26 08:57:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (896, 2007000231, 2, 6, 6, '2007-01-26', '2007-01-26', '09:04:50', '10:15:07', 6, 'discharged', 'Create: 2007-01-26 09:04:50 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:15:07 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:15:07', 'Ardiana Dervishi', '2007-01-26 09:04:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (897, 2007000231, 4, 6, 6, '2007-01-26', '2007-01-26', '09:04:50', '10:15:07', 6, 'discharged', 'Create: 2007-01-26 09:04:50 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:15:07 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:15:07', 'Ardiana Dervishi', '2007-01-26 09:04:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (898, 2007000231, 5, 6, 6, '2007-01-26', '2007-01-26', '09:04:50', '10:15:07', 6, 'discharged', 'Create: 2007-01-26 09:04:50 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:15:07 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:15:07', 'Ardiana Dervishi', '2007-01-26 09:04:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (899, 2007000232, 2, 6, 6, '2007-01-26', '2007-01-26', '09:14:40', '10:03:52', 6, 'discharged', 'Create: 2007-01-26 09:14:40 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:03:52 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:03:52', 'Ardiana Dervishi', '2007-01-26 09:14:40');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (900, 2007000232, 4, 4, 6, '2007-01-26', '2007-01-26', '09:14:40', '10:03:52', 6, 'discharged', 'Create: 2007-01-26 09:14:40 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:03:52 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:03:52', 'Ardiana Dervishi', '2007-01-26 09:14:40');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (901, 2007000232, 5, 5, 6, '2007-01-26', '2007-01-26', '09:14:40', '10:03:52', 6, 'discharged', 'Create: 2007-01-26 09:14:40 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:03:52 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:03:52', 'Ardiana Dervishi', '2007-01-26 09:14:40');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (902, 2007000233, 2, 6, 6, '2007-01-26', '2007-01-30', '09:19:44', '11:25:00', 1, 'discharged', 'Create: 2007-01-26 09:19:44 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 11:25:48 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 11:25:48', 'Ardiana Dervishi', '2007-01-26 09:19:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (903, 2007000233, 4, 2, 6, '2007-01-26', '2007-01-30', '09:19:44', '11:25:00', 1, 'discharged', 'Create: 2007-01-26 09:19:44 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 11:25:48 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 11:25:48', 'Ardiana Dervishi', '2007-01-26 09:19:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (904, 2007000233, 5, 3, 6, '2007-01-26', '2007-01-30', '09:19:44', '11:25:00', 1, 'discharged', 'Create: 2007-01-26 09:19:44 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 11:25:48 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 11:25:48', 'Ardiana Dervishi', '2007-01-26 09:19:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (905, 2007000234, 2, 6, 6, '2007-01-26', '0000-00-00', '09:26:45', NULL, 0, '', 'Create: 2007-01-26 09:26:45 Ardiana Dervishi\n', '', '2007-01-26 09:26:45', 'Ardiana Dervishi', '2007-01-26 09:26:45');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (906, 2007000234, 4, 10, 6, '2007-01-26', '0000-00-00', '09:26:45', NULL, 0, '', 'Create: 2007-01-26 09:26:45 Ardiana Dervishi\n', '', '2007-01-26 09:26:45', 'Ardiana Dervishi', '2007-01-26 09:26:45');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (907, 2007000234, 5, 5, 6, '2007-01-26', '0000-00-00', '09:26:45', NULL, 0, '', 'Create: 2007-01-26 09:26:45 Ardiana Dervishi\n', '', '2007-01-26 09:26:45', 'Ardiana Dervishi', '2007-01-26 09:26:45');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (908, 2007000235, 2, 6, 6, '2007-01-26', '2007-01-30', '09:34:16', '13:01:00', 3, 'discharged', 'Create: 2007-01-26 09:34:16 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 13:02:59 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 13:02:59', 'Ardiana Dervishi', '2007-01-26 09:34:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (909, 2007000235, 4, 15, 6, '2007-01-26', '2007-01-30', '09:34:16', '13:01:00', 3, 'discharged', 'Create: 2007-01-26 09:34:16 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 13:02:59 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 13:02:59', 'Ardiana Dervishi', '2007-01-26 09:34:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (910, 2007000235, 5, 1, 6, '2007-01-26', '2007-01-30', '09:34:16', '13:01:00', 3, 'discharged', 'Create: 2007-01-26 09:34:16 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 13:02:59 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 13:02:59', 'Ardiana Dervishi', '2007-01-26 09:34:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (911, 2007000236, 2, 6, 6, '2007-01-26', '2007-01-26', '09:39:53', '10:23:00', 1, 'discharged', 'Create: 2007-01-26 09:39:53 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:23:33 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:23:33', 'Ardiana Dervishi', '2007-01-26 09:39:53');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (912, 2007000236, 4, 11, 6, '2007-01-26', '2007-01-26', '09:39:53', '10:23:00', 1, 'discharged', 'Create: 2007-01-26 09:39:53 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:23:33 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:23:33', 'Ardiana Dervishi', '2007-01-26 09:39:53');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (913, 2007000236, 5, 1, 6, '2007-01-26', '2007-01-26', '09:39:53', '10:23:00', 1, 'discharged', 'Create: 2007-01-26 09:39:53 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:23:33 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:23:33', 'Ardiana Dervishi', '2007-01-26 09:39:53');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (914, 2007000237, 2, 6, 6, '2007-01-26', '2007-01-26', '09:44:44', '09:45:00', 1, 'discharged', 'Create: 2007-01-26 09:44:44 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 09:45:54 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 09:45:54', 'Ardiana Dervishi', '2007-01-26 09:44:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (915, 2007000237, 4, 11, 6, '2007-01-26', '2007-01-26', '09:44:44', '09:45:00', 1, 'discharged', 'Create: 2007-01-26 09:44:44 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 09:45:54 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 09:45:54', 'Ardiana Dervishi', '2007-01-26 09:44:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (916, 2007000237, 5, 3, 6, '2007-01-26', '2007-01-26', '09:44:44', '09:45:00', 1, 'discharged', 'Create: 2007-01-26 09:44:44 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 09:45:54 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 09:45:54', 'Ardiana Dervishi', '2007-01-26 09:44:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (917, 2007000238, 2, 6, 6, '2007-01-26', '2007-01-26', '09:48:18', '09:49:00', 1, 'discharged', 'Create: 2007-01-26 09:48:18 Ardiana Dervishi\nUpdate (discharged): 2007-01-31 09:49:52 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-31 09:49:52', 'Ardiana Dervishi', '2007-01-26 09:48:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (918, 2007000238, 4, 11, 6, '2007-01-26', '2007-01-26', '09:48:18', '09:49:00', 1, 'discharged', 'Create: 2007-01-26 09:48:18 Ardiana Dervishi\nUpdate (discharged): 2007-01-31 09:49:52 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-31 09:49:52', 'Ardiana Dervishi', '2007-01-26 09:48:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (919, 2007000238, 5, 3, 6, '2007-01-26', '2007-01-26', '09:48:18', '09:49:00', 1, 'discharged', 'Create: 2007-01-26 09:48:18 Ardiana Dervishi\nUpdate (discharged): 2007-01-31 09:49:52 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-31 09:49:52', 'Ardiana Dervishi', '2007-01-26 09:48:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (920, 2007000176, 2, 6, 6, '2007-01-26', '2007-01-26', '09:58:04', '13:15:00', 1, 'discharged', 'Create: 2007-01-26 09:58:04 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 13:15:33 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:15:33', 'Ardiana Dervishi', '2007-01-26 09:58:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (921, 2007000176, 4, 2, 6, '2007-01-26', '2007-01-26', '09:58:04', '13:15:00', 1, 'discharged', 'Create: 2007-01-26 09:58:04 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 13:15:33 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:15:33', 'Ardiana Dervishi', '2007-01-26 09:58:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (922, 2007000176, 5, 1, 6, '2007-01-26', '2007-01-26', '09:58:04', '13:15:00', 1, 'discharged', 'Create: 2007-01-26 09:58:04 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 13:15:33 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:15:33', 'Ardiana Dervishi', '2007-01-26 09:58:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (923, 2007000204, 2, 6, 6, '2007-01-26', '2007-01-23', '10:00:04', '13:12:00', 1, 'discharged', 'Create: 2007-01-26 10:00:04 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:12:51 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:12:51', 'Ardiana Dervishi', '2007-01-26 10:00:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (924, 2007000204, 4, 2, 6, '2007-01-26', '2007-01-23', '10:00:04', '13:12:00', 1, 'discharged', 'Create: 2007-01-26 10:00:04 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:12:51 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:12:51', 'Ardiana Dervishi', '2007-01-26 10:00:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (925, 2007000204, 5, 4, 6, '2007-01-26', '2007-01-23', '10:00:04', '13:12:00', 1, 'discharged', 'Create: 2007-01-26 10:00:04 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:12:51 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:12:51', 'Ardiana Dervishi', '2007-01-26 10:00:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (926, 2007000169, 2, 6, 6, '2007-01-26', '2007-01-26', '10:00:53', '10:02:50', 6, 'discharged', 'Create: 2007-01-26 10:00:53 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:02:50 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:02:50', 'Ardiana Dervishi', '2007-01-26 10:00:53');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (927, 2007000169, 4, 4, 6, '2007-01-26', '2007-01-26', '10:00:53', '10:02:50', 6, 'discharged', 'Create: 2007-01-26 10:00:53 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:02:50 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:02:50', 'Ardiana Dervishi', '2007-01-26 10:00:53');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (928, 2007000169, 5, 1, 6, '2007-01-26', '2007-01-26', '10:00:53', '10:02:50', 6, 'discharged', 'Create: 2007-01-26 10:00:53 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:02:50 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:02:50', 'Ardiana Dervishi', '2007-01-26 10:00:53');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (929, 2007000169, 2, 6, 6, '2007-01-26', '2007-01-30', '10:02:50', '10:34:00', 1, 'discharged', 'Create: 2007-01-26 10:02:50 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 10:34:28 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 10:34:28', 'Ardiana Dervishi', '2007-01-26 10:02:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (930, 2007000169, 4, 3, 6, '2007-01-26', '2007-01-30', '10:02:50', '10:34:00', 1, 'discharged', 'Create: 2007-01-26 10:02:50 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 10:34:28 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 10:34:28', 'Ardiana Dervishi', '2007-01-26 10:02:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (931, 2007000169, 5, 3, 6, '2007-01-26', '2007-01-30', '10:02:50', '10:34:00', 1, 'discharged', 'Create: 2007-01-26 10:02:50 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 10:34:28 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 10:34:28', 'Ardiana Dervishi', '2007-01-26 10:02:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (932, 2007000172, 2, 6, 6, '2007-01-26', '2007-01-26', '10:03:23', '10:25:00', 1, 'discharged', 'Create: 2007-01-26 10:03:23 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:26:55 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:26:55', 'Ardiana Dervishi', '2007-01-26 10:03:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (933, 2007000172, 4, 4, 6, '2007-01-26', '2007-01-26', '10:03:23', '10:25:00', 1, 'discharged', 'Create: 2007-01-26 10:03:23 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:26:55 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:26:55', 'Ardiana Dervishi', '2007-01-26 10:03:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (934, 2007000172, 5, 1, 6, '2007-01-26', '2007-01-26', '10:03:23', '10:25:00', 1, 'discharged', 'Create: 2007-01-26 10:03:23 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:26:55 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:26:55', 'Ardiana Dervishi', '2007-01-26 10:03:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (935, 2007000232, 2, 6, 6, '2007-01-26', '2007-01-27', '10:03:52', '13:27:00', 1, 'discharged', 'Create: 2007-01-26 10:03:52 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:27:46 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:27:46', 'Ardiana Dervishi', '2007-01-26 10:03:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (936, 2007000232, 4, 4, 6, '2007-01-26', '2007-01-27', '10:03:52', '13:27:00', 1, 'discharged', 'Create: 2007-01-26 10:03:52 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:27:46 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:27:46', 'Ardiana Dervishi', '2007-01-26 10:03:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (937, 2007000232, 5, 2, 6, '2007-01-26', '2007-01-27', '10:03:52', '13:27:00', 1, 'discharged', 'Create: 2007-01-26 10:03:52 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:27:46 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:27:46', 'Ardiana Dervishi', '2007-01-26 10:03:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (938, 2007000219, 2, 6, 6, '2007-01-26', '0000-00-00', '10:09:03', NULL, 0, '', 'Create: 2007-01-26 10:09:03 Ardiana Dervishi\n', '', '2007-01-26 10:09:03', 'Ardiana Dervishi', '2007-01-26 10:09:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (939, 2007000219, 4, 5, 6, '2007-01-26', '0000-00-00', '10:09:03', NULL, 0, '', 'Create: 2007-01-26 10:09:03 Ardiana Dervishi\n', '', '2007-01-26 10:09:03', 'Ardiana Dervishi', '2007-01-26 10:09:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (940, 2007000219, 5, 3, 6, '2007-01-26', '0000-00-00', '10:09:03', NULL, 0, '', 'Create: 2007-01-26 10:09:03 Ardiana Dervishi\n', '', '2007-01-26 10:09:03', 'Ardiana Dervishi', '2007-01-26 10:09:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (941, 2007000231, 2, 6, 6, '2007-01-26', '2007-01-26', '10:15:07', '13:28:00', 1, 'discharged', 'Create: 2007-01-26 10:15:07 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 13:28:46 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:28:46', 'Ardiana Dervishi', '2007-01-26 10:15:07');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (942, 2007000231, 4, 7, 6, '2007-01-26', '2007-01-26', '10:15:07', '13:28:00', 1, 'discharged', 'Create: 2007-01-26 10:15:07 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 13:28:46 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:28:46', 'Ardiana Dervishi', '2007-01-26 10:15:07');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (943, 2007000231, 5, 1, 6, '2007-01-26', '2007-01-26', '10:15:07', '13:28:00', 1, 'discharged', 'Create: 2007-01-26 10:15:07 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 13:28:46 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 13:28:46', 'Ardiana Dervishi', '2007-01-26 10:15:07');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (944, 2007000193, 2, 6, 6, '2007-01-26', '2007-01-27', '10:18:13', '13:30:49', 6, 'discharged', 'Create: 2007-01-26 10:18:13 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:30:49 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:30:49', 'Ardiana Dervishi', '2007-01-26 10:18:13');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (945, 2007000193, 4, 8, 6, '2007-01-26', '2007-01-27', '10:18:13', '13:30:49', 6, 'discharged', 'Create: 2007-01-26 10:18:13 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:30:49 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:30:49', 'Ardiana Dervishi', '2007-01-26 10:18:13');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (946, 2007000193, 5, 1, 6, '2007-01-26', '2007-01-27', '10:18:13', '13:30:49', 6, 'discharged', 'Create: 2007-01-26 10:18:13 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:30:49 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:30:49', 'Ardiana Dervishi', '2007-01-26 10:18:13');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (947, 2007000194, 2, 6, 6, '2007-01-26', '2007-01-26', '10:18:50', '10:19:00', 1, 'discharged', 'Create: 2007-01-26 10:18:50 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:19:09 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:19:09', 'Ardiana Dervishi', '2007-01-26 10:18:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (948, 2007000194, 4, 8, 6, '2007-01-26', '2007-01-26', '10:18:50', '10:19:00', 1, 'discharged', 'Create: 2007-01-26 10:18:50 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:19:09 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:19:09', 'Ardiana Dervishi', '2007-01-26 10:18:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (949, 2007000194, 5, 2, 6, '2007-01-26', '2007-01-26', '10:18:50', '10:19:00', 1, 'discharged', 'Create: 2007-01-26 10:18:50 Ardiana Dervishi\nUpdate (discharged): 2007-01-26 10:19:09 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-26 10:19:09', 'Ardiana Dervishi', '2007-01-26 10:18:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (950, 2007000171, 2, 6, 6, '2007-01-26', '2007-01-27', '10:19:52', '12:00:00', 1, 'discharged', 'Create: 2007-01-26 10:19:52 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 12:01:21 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 12:01:21', 'Ardiana Dervishi', '2007-01-26 10:19:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (951, 2007000171, 4, 8, 6, '2007-01-26', '2007-01-27', '10:19:52', '12:00:00', 1, 'discharged', 'Create: 2007-01-26 10:19:52 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 12:01:21 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 12:01:21', 'Ardiana Dervishi', '2007-01-26 10:19:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (952, 2007000171, 5, 2, 6, '2007-01-26', '2007-01-27', '10:19:52', '12:00:00', 1, 'discharged', 'Create: 2007-01-26 10:19:52 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 12:01:21 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 12:01:21', 'Ardiana Dervishi', '2007-01-26 10:19:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (953, 2007000239, 2, 3, 3, '2007-01-26', '0000-00-00', '14:03:43', NULL, 0, '', 'Create: 2007-01-26 14:03:43 Ermal Dibra\n', '', '2007-01-26 14:03:43', 'Ermal Dibra', '2007-01-26 14:03:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (954, 2007000239, 4, 17, 3, '2007-01-26', '0000-00-00', '14:03:43', NULL, 0, '', 'Create: 2007-01-26 14:03:43 Ermal Dibra\n', '', '2007-01-26 14:03:43', 'Ermal Dibra', '2007-01-26 14:03:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (955, 2007000239, 5, 2, 3, '2007-01-26', '0000-00-00', '14:03:43', NULL, 0, '', 'Create: 2007-01-26 14:03:43 Ermal Dibra\n', '', '2007-01-26 14:03:43', 'Ermal Dibra', '2007-01-26 14:03:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (956, 2007000240, 2, 3, 3, '2007-01-26', '0000-00-00', '14:08:43', NULL, 0, '', 'Create: 2007-01-26 14:08:43 Ermal Dibra\n', '', '2007-01-26 14:08:43', 'Ermal Dibra', '2007-01-26 14:08:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (957, 2007000240, 4, 6, 3, '2007-01-26', '0000-00-00', '14:08:43', NULL, 0, '', 'Create: 2007-01-26 14:08:43 Ermal Dibra\n', '', '2007-01-26 14:08:43', 'Ermal Dibra', '2007-01-26 14:08:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (958, 2007000240, 5, 2, 3, '2007-01-26', '0000-00-00', '14:08:43', NULL, 0, '', 'Create: 2007-01-26 14:08:43 Ermal Dibra\n', '', '2007-01-26 14:08:43', 'Ermal Dibra', '2007-01-26 14:08:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (959, 2007000241, 2, 3, 3, '2007-01-26', '0000-00-00', '14:12:42', NULL, 0, '', 'Create: 2007-01-26 14:12:42 Ermal Dibra\n', '', '2007-01-26 14:12:42', 'Ermal Dibra', '2007-01-26 14:12:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (960, 2007000241, 4, 13, 3, '2007-01-26', '0000-00-00', '14:12:42', NULL, 0, '', 'Create: 2007-01-26 14:12:42 Ermal Dibra\n', '', '2007-01-26 14:12:42', 'Ermal Dibra', '2007-01-26 14:12:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (961, 2007000241, 5, 3, 3, '2007-01-26', '0000-00-00', '14:12:42', NULL, 0, '', 'Create: 2007-01-26 14:12:42 Ermal Dibra\n', '', '2007-01-26 14:12:42', 'Ermal Dibra', '2007-01-26 14:12:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (962, 2007000119, 2, 3, 3, '2007-01-26', '2007-01-26', '14:19:00', '14:19:00', 1, 'discharged', 'Create: 2007-01-26 14:19:00 Ermal Dibra\nUpdate (discharged): 2007-01-26 14:19:18 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 14:19:18', 'Ermal Dibra', '2007-01-26 14:19:00');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (963, 2007000119, 4, 2, 3, '2007-01-26', '2007-01-26', '14:19:00', '14:19:00', 1, 'discharged', 'Create: 2007-01-26 14:19:00 Ermal Dibra\nUpdate (discharged): 2007-01-26 14:19:18 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 14:19:18', 'Ermal Dibra', '2007-01-26 14:19:00');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (964, 2007000119, 5, 2, 3, '2007-01-26', '2007-01-26', '14:19:00', '14:19:00', 1, 'discharged', 'Create: 2007-01-26 14:19:00 Ermal Dibra\nUpdate (discharged): 2007-01-26 14:19:18 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 14:19:18', 'Ermal Dibra', '2007-01-26 14:19:00');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (965, 2007000122, 2, 3, 3, '2007-01-26', '2007-01-26', '14:19:35', '14:19:00', 1, 'discharged', 'Create: 2007-01-26 14:19:35 Ermal Dibra\nUpdate (discharged): 2007-01-26 14:19:55 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 14:19:55', 'Ermal Dibra', '2007-01-26 14:19:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (966, 2007000122, 4, 2, 3, '2007-01-26', '2007-01-26', '14:19:35', '14:19:00', 1, 'discharged', 'Create: 2007-01-26 14:19:35 Ermal Dibra\nUpdate (discharged): 2007-01-26 14:19:55 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 14:19:55', 'Ermal Dibra', '2007-01-26 14:19:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (967, 2007000122, 5, 2, 3, '2007-01-26', '2007-01-26', '14:19:35', '14:19:00', 1, 'discharged', 'Create: 2007-01-26 14:19:35 Ermal Dibra\nUpdate (discharged): 2007-01-26 14:19:55 Ermal Dibra\n', 'Ermal Dibra', '2007-01-26 14:19:55', 'Ermal Dibra', '2007-01-26 14:19:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (968, 2007000242, 2, 3, 3, '2007-01-26', '0000-00-00', '14:21:39', NULL, 0, '', 'Create: 2007-01-26 14:21:39 Ermal Dibra\n', '', '2007-01-26 14:21:39', 'Ermal Dibra', '2007-01-26 14:21:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (969, 2007000242, 4, 4, 3, '2007-01-26', '0000-00-00', '14:21:39', NULL, 0, '', 'Create: 2007-01-26 14:21:39 Ermal Dibra\n', '', '2007-01-26 14:21:39', 'Ermal Dibra', '2007-01-26 14:21:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (970, 2007000242, 5, 2, 3, '2007-01-26', '0000-00-00', '14:21:39', NULL, 0, '', 'Create: 2007-01-26 14:21:39 Ermal Dibra\n', '', '2007-01-26 14:21:39', 'Ermal Dibra', '2007-01-26 14:21:39');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (971, 2007000243, 2, 3, 3, '2007-01-26', '0000-00-00', '14:25:32', NULL, 0, '', 'Create: 2007-01-26 14:25:32 Ermal Dibra\n', '', '2007-01-26 14:25:32', 'Ermal Dibra', '2007-01-26 14:25:32');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (972, 2007000243, 4, 13, 3, '2007-01-26', '0000-00-00', '14:25:32', NULL, 0, '', 'Create: 2007-01-26 14:25:32 Ermal Dibra\n', '', '2007-01-26 14:25:32', 'Ermal Dibra', '2007-01-26 14:25:32');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (973, 2007000243, 5, 4, 3, '2007-01-26', '0000-00-00', '14:25:32', NULL, 0, '', 'Create: 2007-01-26 14:25:32 Ermal Dibra\n', '', '2007-01-26 14:25:32', 'Ermal Dibra', '2007-01-26 14:25:32');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (974, 2007000244, 2, 3, 3, '2007-01-26', '0000-00-00', '14:29:13', NULL, 0, '', 'Create: 2007-01-26 14:29:13 Ermal Dibra\n', '', '2007-01-26 14:29:13', 'Ermal Dibra', '2007-01-26 14:29:13');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (975, 2007000244, 4, 15, 3, '2007-01-26', '0000-00-00', '14:29:13', NULL, 0, '', 'Create: 2007-01-26 14:29:13 Ermal Dibra\n', '', '2007-01-26 14:29:13', 'Ermal Dibra', '2007-01-26 14:29:13');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (976, 2007000244, 5, 2, 3, '2007-01-26', '0000-00-00', '14:29:13', NULL, 0, '', 'Create: 2007-01-26 14:29:13 Ermal Dibra\n', '', '2007-01-26 14:29:13', 'Ermal Dibra', '2007-01-26 14:29:13');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (977, 2007000245, 2, 3, 3, '2007-01-26', '0000-00-00', '14:33:12', NULL, 0, '', 'Create: 2007-01-26 14:33:12 Ermal Dibra\n', '', '2007-01-26 14:33:12', 'Ermal Dibra', '2007-01-26 14:33:12');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (978, 2007000245, 4, 6, 3, '2007-01-26', '0000-00-00', '14:33:12', NULL, 0, '', 'Create: 2007-01-26 14:33:12 Ermal Dibra\n', '', '2007-01-26 14:33:12', 'Ermal Dibra', '2007-01-26 14:33:12');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (979, 2007000245, 5, 3, 3, '2007-01-26', '0000-00-00', '14:33:12', NULL, 0, '', 'Create: 2007-01-26 14:33:12 Ermal Dibra\n', '', '2007-01-26 14:33:12', 'Ermal Dibra', '2007-01-26 14:33:12');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (980, 2007000246, 2, 3, 3, '2007-01-26', '2007-01-30', '14:45:03', '11:27:00', 1, 'discharged', 'Create: 2007-01-26 14:45:03 Ermal Dibra\nUpdate (discharged): 2007-02-01 11:29:24 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 11:29:24', 'Ermal Dibra', '2007-01-26 14:45:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (981, 2007000246, 4, 7, 3, '2007-01-26', '2007-01-30', '14:45:03', '11:27:00', 1, 'discharged', 'Create: 2007-01-26 14:45:03 Ermal Dibra\nUpdate (discharged): 2007-02-01 11:29:24 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 11:29:24', 'Ermal Dibra', '2007-01-26 14:45:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (982, 2007000246, 5, 1, 3, '2007-01-26', '2007-01-30', '14:45:03', '11:27:00', 1, 'discharged', 'Create: 2007-01-26 14:45:03 Ermal Dibra\nUpdate (discharged): 2007-02-01 11:29:24 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 11:29:24', 'Ermal Dibra', '2007-01-26 14:45:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (983, 2007000247, 2, 3, 3, '2007-01-26', '0000-00-00', '14:50:37', NULL, 0, '', 'Create: 2007-01-26 14:50:37 Ermal Dibra\n', '', '2007-01-26 14:50:37', 'Ermal Dibra', '2007-01-26 14:50:37');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (984, 2007000247, 4, 3, 3, '2007-01-26', '0000-00-00', '14:50:37', NULL, 0, '', 'Create: 2007-01-26 14:50:37 Ermal Dibra\n', '', '2007-01-26 14:50:37', 'Ermal Dibra', '2007-01-26 14:50:37');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (985, 2007000247, 5, 1, 3, '2007-01-26', '0000-00-00', '14:50:37', NULL, 0, '', 'Create: 2007-01-26 14:50:37 Ermal Dibra\n', '', '2007-01-26 14:50:37', 'Ermal Dibra', '2007-01-26 14:50:37');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (986, 2007000248, 2, 3, 3, '2007-01-26', '2007-01-31', '14:53:32', '11:57:00', 1, 'discharged', 'Create: 2007-01-26 14:53:32 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:57:56 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:57:56', 'Ermal Dibra', '2007-01-26 14:53:32');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (987, 2007000248, 4, 4, 3, '2007-01-26', '2007-01-31', '14:53:32', '11:57:00', 1, 'discharged', 'Create: 2007-01-26 14:53:32 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:57:56 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:57:56', 'Ermal Dibra', '2007-01-26 14:53:32');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (988, 2007000248, 5, 3, 3, '2007-01-26', '2007-01-31', '14:53:32', '11:57:00', 1, 'discharged', 'Create: 2007-01-26 14:53:32 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:57:56 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:57:56', 'Ermal Dibra', '2007-01-26 14:53:32');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (989, 2007000249, 2, 3, 3, '2007-01-26', '2007-01-31', '14:57:33', '11:44:00', 1, 'discharged', 'Create: 2007-01-26 14:57:33 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:45:19 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:45:19', 'Ermal Dibra', '2007-01-26 14:57:33');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (990, 2007000249, 4, 5, 3, '2007-01-26', '2007-01-31', '14:57:33', '11:44:00', 1, 'discharged', 'Create: 2007-01-26 14:57:33 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:45:19 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:45:19', 'Ermal Dibra', '2007-01-26 14:57:33');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (991, 2007000249, 5, 1, 3, '2007-01-26', '2007-01-31', '14:57:33', '11:44:00', 1, 'discharged', 'Create: 2007-01-26 14:57:33 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:45:19 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:45:19', 'Ermal Dibra', '2007-01-26 14:57:33');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (992, 2007000250, 2, 3, 3, '2007-01-27', '0000-00-00', '08:04:23', NULL, 0, '', 'Create: 2007-01-27 08:04:23 Ermal Dibra\n', '', '2007-01-27 08:04:23', 'Ermal Dibra', '2007-01-27 08:04:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (993, 2007000250, 4, 5, 3, '2007-01-27', '0000-00-00', '08:04:23', NULL, 0, '', 'Create: 2007-01-27 08:04:23 Ermal Dibra\n', '', '2007-01-27 08:04:23', 'Ermal Dibra', '2007-01-27 08:04:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (994, 2007000250, 5, 3, 3, '2007-01-27', '0000-00-00', '08:04:23', NULL, 0, '', 'Create: 2007-01-27 08:04:23 Ermal Dibra\n', '', '2007-01-27 08:04:23', 'Ermal Dibra', '2007-01-27 08:04:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (995, 2007000251, 2, 3, 3, '2007-01-27', '2007-01-27', '08:13:44', '12:00:00', 1, 'discharged', 'Create: 2007-01-27 08:13:44 Ermal Dibra\nUpdate (discharged): 2007-01-27 12:01:21 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 12:01:21', 'Ermal Dibra', '2007-01-27 08:13:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (996, 2007000251, 4, 7, 3, '2007-01-27', '2007-01-27', '08:13:44', '12:00:00', 1, 'discharged', 'Create: 2007-01-27 08:13:44 Ermal Dibra\nUpdate (discharged): 2007-01-27 12:01:21 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 12:01:21', 'Ermal Dibra', '2007-01-27 08:13:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (997, 2007000251, 5, 3, 3, '2007-01-27', '2007-01-27', '08:13:44', '12:00:00', 1, 'discharged', 'Create: 2007-01-27 08:13:44 Ermal Dibra\nUpdate (discharged): 2007-01-27 12:01:21 Ermal Dibra\n', 'Ermal Dibra', '2007-01-27 12:01:21', 'Ermal Dibra', '2007-01-27 08:13:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (998, 2007000252, 2, 3, 3, '2007-01-27', '0000-00-00', '08:20:16', NULL, 0, '', 'Create: 2007-01-27 08:20:16 Ermal Dibra\n', '', '2007-01-27 08:20:16', 'Ermal Dibra', '2007-01-27 08:20:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (999, 2007000252, 4, 2, 3, '2007-01-27', '0000-00-00', '08:20:16', NULL, 0, '', 'Create: 2007-01-27 08:20:16 Ermal Dibra\n', '', '2007-01-27 08:20:16', 'Ermal Dibra', '2007-01-27 08:20:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1000, 2007000252, 5, 2, 3, '2007-01-27', '0000-00-00', '08:20:16', NULL, 0, '', 'Create: 2007-01-27 08:20:16 Ermal Dibra\n', '', '2007-01-27 08:20:16', 'Ermal Dibra', '2007-01-27 08:20:16');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1001, 2007000253, 2, 6, 6, '2007-01-27', '0000-00-00', '10:01:25', NULL, 0, '', 'Create: 2007-01-27 10:01:25 Ardiana Dervishi\n', '', '2007-01-27 10:01:25', 'Ardiana Dervishi', '2007-01-27 10:01:25');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1002, 2007000253, 4, 6, 6, '2007-01-27', '0000-00-00', '10:01:25', NULL, 0, '', 'Create: 2007-01-27 10:01:25 Ardiana Dervishi\n', '', '2007-01-27 10:01:25', 'Ardiana Dervishi', '2007-01-27 10:01:25');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1003, 2007000253, 5, 3, 6, '2007-01-27', '0000-00-00', '10:01:25', NULL, 0, '', 'Create: 2007-01-27 10:01:25 Ardiana Dervishi\n', '', '2007-01-27 10:01:25', 'Ardiana Dervishi', '2007-01-27 10:01:25');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1004, 2007000254, 2, 6, 6, '2007-01-27', '2007-02-01', '10:05:34', '10:29:00', 1, 'discharged', 'Create: 2007-01-27 10:05:34 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:29:14 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:29:14', 'Ardiana Dervishi', '2007-01-27 10:05:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1005, 2007000254, 4, 3, 6, '2007-01-27', '2007-02-01', '10:05:34', '10:29:00', 1, 'discharged', 'Create: 2007-01-27 10:05:34 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:29:14 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:29:14', 'Ardiana Dervishi', '2007-01-27 10:05:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1006, 2007000254, 5, 2, 6, '2007-01-27', '2007-02-01', '10:05:34', '10:29:00', 1, 'discharged', 'Create: 2007-01-27 10:05:34 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:29:14 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:29:14', 'Ardiana Dervishi', '2007-01-27 10:05:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1007, 2007000255, 2, 6, 6, '2007-01-27', '2007-02-01', '10:08:29', '10:12:00', 1, 'discharged', 'Create: 2007-01-27 10:08:29 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:12:48 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:12:48', 'Ardiana Dervishi', '2007-01-27 10:08:29');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1008, 2007000255, 4, 3, 6, '2007-01-27', '2007-02-01', '10:08:29', '10:12:00', 1, 'discharged', 'Create: 2007-01-27 10:08:29 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:12:48 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:12:48', 'Ardiana Dervishi', '2007-01-27 10:08:29');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1009, 2007000255, 5, 4, 6, '2007-01-27', '2007-02-01', '10:08:29', '10:12:00', 1, 'discharged', 'Create: 2007-01-27 10:08:29 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:12:48 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:12:48', 'Ardiana Dervishi', '2007-01-27 10:08:29');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1010, 2007000256, 2, 6, 6, '2007-01-27', '2007-01-29', '10:12:35', '12:33:00', 1, 'discharged', 'Create: 2007-01-27 10:12:35 Ardiana Dervishi\nUpdate (discharged): 2007-01-29 12:34:07 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-29 12:34:07', 'Ardiana Dervishi', '2007-01-27 10:12:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1011, 2007000256, 4, 3, 6, '2007-01-27', '2007-01-29', '10:12:35', '12:33:00', 1, 'discharged', 'Create: 2007-01-27 10:12:35 Ardiana Dervishi\nUpdate (discharged): 2007-01-29 12:34:07 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-29 12:34:07', 'Ardiana Dervishi', '2007-01-27 10:12:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1012, 2007000256, 5, 1, 6, '2007-01-27', '2007-01-29', '10:12:35', '12:33:00', 1, 'discharged', 'Create: 2007-01-27 10:12:35 Ardiana Dervishi\nUpdate (discharged): 2007-01-29 12:34:07 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-29 12:34:07', 'Ardiana Dervishi', '2007-01-27 10:12:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1013, 2007000257, 2, 6, 6, '2007-01-27', '2007-01-27', '10:28:54', '11:53:00', 1, 'discharged', 'Create: 2007-01-27 10:28:54 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 11:54:41 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 11:54:41', 'Ardiana Dervishi', '2007-01-27 10:28:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1014, 2007000257, 4, 7, 6, '2007-01-27', '2007-01-27', '10:28:54', '11:53:00', 1, 'discharged', 'Create: 2007-01-27 10:28:54 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 11:54:41 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 11:54:41', 'Ardiana Dervishi', '2007-01-27 10:28:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1015, 2007000257, 5, 1, 6, '2007-01-27', '2007-01-27', '10:28:54', '11:53:00', 1, 'discharged', 'Create: 2007-01-27 10:28:54 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 11:54:41 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 11:54:41', 'Ardiana Dervishi', '2007-01-27 10:28:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1016, 2007000258, 2, 6, 6, '2007-01-27', '2007-01-31', '12:05:35', '10:02:00', 1, 'discharged', 'Create: 2007-01-27 12:05:35 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:04:34 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:04:34', 'Ardiana Dervishi', '2007-01-27 12:05:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1017, 2007000258, 4, 2, 6, '2007-01-27', '2007-01-31', '12:05:35', '10:02:00', 1, 'discharged', 'Create: 2007-01-27 12:05:35 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:04:34 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:04:34', 'Ardiana Dervishi', '2007-01-27 12:05:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1018, 2007000258, 5, 2, 6, '2007-01-27', '2007-01-31', '12:05:35', '10:02:00', 1, 'discharged', 'Create: 2007-01-27 12:05:35 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:04:34 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:04:34', 'Ardiana Dervishi', '2007-01-27 12:05:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1019, 2007000259, 2, 6, 6, '2007-01-27', '2007-01-27', '12:11:57', '13:14:08', 6, 'discharged', 'Create: 2007-01-27 12:11:57 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:14:08 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:14:08', 'Ardiana Dervishi', '2007-01-27 12:11:57');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1020, 2007000259, 4, 3, 6, '2007-01-27', '2007-01-27', '12:11:57', '13:14:08', 6, 'discharged', 'Create: 2007-01-27 12:11:57 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:14:08 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:14:08', 'Ardiana Dervishi', '2007-01-27 12:11:57');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1021, 2007000259, 5, 5, 6, '2007-01-27', '2007-01-27', '12:11:57', '13:14:08', 6, 'discharged', 'Create: 2007-01-27 12:11:57 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:14:08 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:14:08', 'Ardiana Dervishi', '2007-01-27 12:11:57');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1022, 2007000260, 2, 6, 6, '2007-01-27', '2007-02-01', '12:35:19', '10:14:00', 1, 'discharged', 'Create: 2007-01-27 12:35:19 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:15:14 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:15:14', 'Ardiana Dervishi', '2007-01-27 12:35:19');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1023, 2007000260, 4, 10, 6, '2007-01-27', '2007-02-01', '12:35:19', '10:14:00', 1, 'discharged', 'Create: 2007-01-27 12:35:19 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:15:14 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:15:14', 'Ardiana Dervishi', '2007-01-27 12:35:19');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1024, 2007000260, 5, 3, 6, '2007-01-27', '2007-02-01', '12:35:19', '10:14:00', 1, 'discharged', 'Create: 2007-01-27 12:35:19 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:15:14 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:15:14', 'Ardiana Dervishi', '2007-01-27 12:35:19');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1025, 2007000261, 2, 6, 6, '2007-01-27', '2007-01-27', '12:41:21', '13:25:43', 6, 'discharged', 'Create: 2007-01-27 12:41:21 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:25:43 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:25:43', 'Ardiana Dervishi', '2007-01-27 12:41:21');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1026, 2007000261, 4, 7, 6, '2007-01-27', '2007-01-27', '12:41:21', '13:25:43', 6, 'discharged', 'Create: 2007-01-27 12:41:21 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:25:43 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:25:43', 'Ardiana Dervishi', '2007-01-27 12:41:21');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1027, 2007000261, 5, 5, 6, '2007-01-27', '2007-01-27', '12:41:21', '13:25:43', 6, 'discharged', 'Create: 2007-01-27 12:41:21 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:25:43 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:25:43', 'Ardiana Dervishi', '2007-01-27 12:41:21');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1028, 2007000262, 2, 6, 6, '2007-01-27', '2007-02-01', '12:46:14', '10:20:00', 1, 'discharged', 'Create: 2007-01-27 12:46:14 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:20:47 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:20:47', 'Ardiana Dervishi', '2007-01-27 12:46:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1029, 2007000262, 4, 6, 6, '2007-01-27', '2007-02-01', '12:46:14', '10:20:00', 1, 'discharged', 'Create: 2007-01-27 12:46:14 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:20:47 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:20:47', 'Ardiana Dervishi', '2007-01-27 12:46:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1030, 2007000262, 5, 1, 6, '2007-01-27', '2007-02-01', '12:46:14', '10:20:00', 1, 'discharged', 'Create: 2007-01-27 12:46:14 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:20:47 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:20:47', 'Ardiana Dervishi', '2007-01-27 12:46:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1031, 2007000263, 2, 6, 6, '2007-01-27', '0000-00-00', '12:56:49', NULL, 0, '', 'Create: 2007-01-27 12:56:49 Ardiana Dervishi\n', '', '2007-01-27 12:56:49', 'Ardiana Dervishi', '2007-01-27 12:56:49');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1032, 2007000263, 4, 4, 6, '2007-01-27', '0000-00-00', '12:56:49', NULL, 0, '', 'Create: 2007-01-27 12:56:49 Ardiana Dervishi\n', '', '2007-01-27 12:56:49', 'Ardiana Dervishi', '2007-01-27 12:56:49');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1033, 2007000263, 5, 5, 6, '2007-01-27', '0000-00-00', '12:56:49', NULL, 0, '', 'Create: 2007-01-27 12:56:49 Ardiana Dervishi\n', '', '2007-01-27 12:56:49', 'Ardiana Dervishi', '2007-01-27 12:56:49');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1034, 2007000264, 2, 6, 6, '2007-01-27', '0000-00-00', '13:01:35', NULL, 0, '', 'Create: 2007-01-27 13:01:35 Ardiana Dervishi\n', '', '2007-01-27 13:01:35', 'Ardiana Dervishi', '2007-01-27 13:01:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1035, 2007000264, 4, 8, 6, '2007-01-27', '0000-00-00', '13:01:35', NULL, 0, '', 'Create: 2007-01-27 13:01:35 Ardiana Dervishi\n', '', '2007-01-27 13:01:35', 'Ardiana Dervishi', '2007-01-27 13:01:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1036, 2007000264, 5, 3, 6, '2007-01-27', '0000-00-00', '13:01:35', NULL, 0, '', 'Create: 2007-01-27 13:01:35 Ardiana Dervishi\n', '', '2007-01-27 13:01:35', 'Ardiana Dervishi', '2007-01-27 13:01:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1037, 2007000265, 2, 3, 3, '2007-01-27', '0000-00-00', '13:10:09', NULL, 0, '', 'Create: 2007-01-27 13:10:09 Ermal Dibra\n', '', '2007-01-27 13:10:09', 'Ermal Dibra', '2007-01-27 13:10:09');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1038, 2007000265, 4, 4, 3, '2007-01-27', '0000-00-00', '13:10:09', NULL, 0, '', 'Create: 2007-01-27 13:10:09 Ermal Dibra\n', '', '2007-01-27 13:10:09', 'Ermal Dibra', '2007-01-27 13:10:09');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1039, 2007000265, 5, 1, 3, '2007-01-27', '0000-00-00', '13:10:09', NULL, 0, '', 'Create: 2007-01-27 13:10:09 Ermal Dibra\n', '', '2007-01-27 13:10:09', 'Ermal Dibra', '2007-01-27 13:10:09');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1040, 2007000259, 2, 6, 6, '2007-01-27', '0000-00-00', '13:14:08', NULL, 0, '', 'Create: 2007-01-27 13:14:08 Ardiana Dervishi\n', '', '2007-01-27 13:14:08', 'Ardiana Dervishi', '2007-01-27 13:14:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1041, 2007000259, 4, 4, 6, '2007-01-27', '0000-00-00', '13:14:08', NULL, 0, '', 'Create: 2007-01-27 13:14:08 Ardiana Dervishi\n', '', '2007-01-27 13:14:08', 'Ardiana Dervishi', '2007-01-27 13:14:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1042, 2007000259, 5, 4, 6, '2007-01-27', '0000-00-00', '13:14:08', NULL, 0, '', 'Create: 2007-01-27 13:14:08 Ardiana Dervishi\n', '', '2007-01-27 13:14:08', 'Ardiana Dervishi', '2007-01-27 13:14:08');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1043, 2007000266, 2, 3, 3, '2007-01-27', '2007-01-31', '13:14:20', '11:46:00', 1, 'discharged', 'Create: 2007-01-27 13:14:20 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:47:33 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:47:33', 'Ermal Dibra', '2007-01-27 13:14:20');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1044, 2007000266, 4, 14, 3, '2007-01-27', '2007-01-31', '13:14:20', '11:46:00', 1, 'discharged', 'Create: 2007-01-27 13:14:20 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:47:33 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:47:33', 'Ermal Dibra', '2007-01-27 13:14:20');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1045, 2007000266, 5, 1, 3, '2007-01-27', '2007-01-31', '13:14:20', '11:46:00', 1, 'discharged', 'Create: 2007-01-27 13:14:20 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:47:33 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:47:33', 'Ermal Dibra', '2007-01-27 13:14:20');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1046, 2007000267, 2, 3, 3, '2007-01-27', '0000-00-00', '13:17:25', NULL, 0, '', 'Create: 2007-01-27 13:17:25 Ermal Dibra\n', '', '2007-01-27 13:17:25', 'Ermal Dibra', '2007-01-27 13:17:25');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1047, 2007000267, 4, 2, 3, '2007-01-27', '0000-00-00', '13:17:25', NULL, 0, '', 'Create: 2007-01-27 13:17:25 Ermal Dibra\n', '', '2007-01-27 13:17:25', 'Ermal Dibra', '2007-01-27 13:17:25');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1048, 2007000267, 5, 3, 3, '2007-01-27', '0000-00-00', '13:17:25', NULL, 0, '', 'Create: 2007-01-27 13:17:25 Ermal Dibra\n', '', '2007-01-27 13:17:25', 'Ermal Dibra', '2007-01-27 13:17:25');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1049, 2007000268, 2, 6, 6, '2007-01-27', '2007-01-27', '13:19:58', '13:28:31', 6, 'discharged', 'Create: 2007-01-27 13:19:58 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:28:31 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:28:31', 'Ardiana Dervishi', '2007-01-27 13:19:58');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1050, 2007000268, 4, 3, 6, '2007-01-27', '2007-01-27', '13:19:58', '13:28:31', 6, 'discharged', 'Create: 2007-01-27 13:19:58 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:28:31 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:28:31', 'Ardiana Dervishi', '2007-01-27 13:19:58');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1051, 2007000268, 5, 5, 6, '2007-01-27', '2007-01-27', '13:19:58', '13:28:31', 6, 'discharged', 'Create: 2007-01-27 13:19:58 Ardiana Dervishi\nUpdate (discharged): 2007-01-27 13:28:31 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-27 13:28:31', 'Ardiana Dervishi', '2007-01-27 13:19:58');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1052, 2007000196, 2, 6, 6, '2007-01-27', '2007-01-30', '13:22:23', '11:55:00', 1, 'discharged', 'Create: 2007-01-27 13:22:23 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 11:56:01 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 11:56:01', 'Ardiana Dervishi', '2007-01-27 13:22:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1053, 2007000196, 4, 10, 6, '2007-01-27', '2007-01-30', '13:22:23', '11:55:00', 1, 'discharged', 'Create: 2007-01-27 13:22:23 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 11:56:01 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 11:56:01', 'Ardiana Dervishi', '2007-01-27 13:22:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1054, 2007000196, 5, 2, 6, '2007-01-27', '2007-01-30', '13:22:23', '11:55:00', 1, 'discharged', 'Create: 2007-01-27 13:22:23 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 11:56:01 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 11:56:01', 'Ardiana Dervishi', '2007-01-27 13:22:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1055, 2007000218, 2, 6, 6, '2007-01-27', '0000-00-00', '13:22:51', NULL, 0, '', 'Create: 2007-01-27 13:22:51 Ardiana Dervishi\n', '', '2007-01-27 13:22:51', 'Ardiana Dervishi', '2007-01-27 13:22:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1056, 2007000218, 4, 10, 6, '2007-01-27', '0000-00-00', '13:22:51', NULL, 0, '', 'Create: 2007-01-27 13:22:51 Ardiana Dervishi\n', '', '2007-01-27 13:22:51', 'Ardiana Dervishi', '2007-01-27 13:22:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1057, 2007000218, 5, 1, 6, '2007-01-27', '0000-00-00', '13:22:51', NULL, 0, '', 'Create: 2007-01-27 13:22:51 Ardiana Dervishi\n', '', '2007-01-27 13:22:51', 'Ardiana Dervishi', '2007-01-27 13:22:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1058, 2007000230, 2, 6, 6, '2007-01-27', '2007-01-30', '13:25:15', '10:31:00', 1, 'discharged', 'Create: 2007-01-27 13:25:15 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 10:32:26 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 10:32:26', 'Ardiana Dervishi', '2007-01-27 13:25:15');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1059, 2007000230, 4, 7, 6, '2007-01-27', '2007-01-30', '13:25:15', '10:31:00', 1, 'discharged', 'Create: 2007-01-27 13:25:15 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 10:32:26 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 10:32:26', 'Ardiana Dervishi', '2007-01-27 13:25:15');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1060, 2007000230, 5, 2, 6, '2007-01-27', '2007-01-30', '13:25:15', '10:31:00', 1, 'discharged', 'Create: 2007-01-27 13:25:15 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 10:32:26 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 10:32:26', 'Ardiana Dervishi', '2007-01-27 13:25:15');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1061, 2007000261, 2, 6, 6, '2007-01-27', '2007-02-01', '13:25:43', '10:16:00', 1, 'discharged', 'Create: 2007-01-27 13:25:43 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:17:19 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:17:19', 'Ardiana Dervishi', '2007-01-27 13:25:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1062, 2007000261, 4, 7, 6, '2007-01-27', '2007-02-01', '13:25:43', '10:16:00', 1, 'discharged', 'Create: 2007-01-27 13:25:43 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:17:19 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:17:19', 'Ardiana Dervishi', '2007-01-27 13:25:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1063, 2007000261, 5, 6, 6, '2007-01-27', '2007-02-01', '13:25:43', '10:16:00', 1, 'discharged', 'Create: 2007-01-27 13:25:43 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:17:19 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:17:19', 'Ardiana Dervishi', '2007-01-27 13:25:43');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1064, 2007000268, 2, 6, 6, '2007-01-27', '2007-02-01', '13:28:31', '10:09:00', 1, 'discharged', 'Create: 2007-01-27 13:28:31 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:10:17 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:10:17', 'Ardiana Dervishi', '2007-01-27 13:28:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1065, 2007000268, 4, 4, 6, '2007-01-27', '2007-02-01', '13:28:31', '10:09:00', 1, 'discharged', 'Create: 2007-01-27 13:28:31 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:10:17 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:10:17', 'Ardiana Dervishi', '2007-01-27 13:28:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1066, 2007000268, 5, 2, 6, '2007-01-27', '2007-02-01', '13:28:31', '10:09:00', 1, 'discharged', 'Create: 2007-01-27 13:28:31 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:10:17 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:10:17', 'Ardiana Dervishi', '2007-01-27 13:28:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1067, 2007000193, 2, 6, 6, '2007-01-27', '2007-01-29', '13:30:49', '10:30:00', 1, 'discharged', 'Create: 2007-01-27 13:30:49 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:31:20 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:31:20', 'Ardiana Dervishi', '2007-01-27 13:30:49');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1068, 2007000193, 4, 8, 6, '2007-01-27', '2007-01-29', '13:30:49', '10:30:00', 1, 'discharged', 'Create: 2007-01-27 13:30:49 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:31:20 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:31:20', 'Ardiana Dervishi', '2007-01-27 13:30:49');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1069, 2007000193, 5, 2, 6, '2007-01-27', '2007-01-29', '13:30:49', '10:30:00', 1, 'discharged', 'Create: 2007-01-27 13:30:49 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:31:20 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:31:20', 'Ardiana Dervishi', '2007-01-27 13:30:49');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1070, 2007000269, 2, 6, 6, '2007-01-27', '2007-01-29', '13:31:09', '12:39:00', 1, 'discharged', 'Create: 2007-01-27 13:31:09 Ardiana Dervishi\nUpdate (discharged): 2007-01-29 12:39:52 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-29 12:39:52', 'Ardiana Dervishi', '2007-01-27 13:31:09');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1071, 2007000269, 4, 8, 6, '2007-01-27', '2007-01-29', '13:31:09', '12:39:00', 1, 'discharged', 'Create: 2007-01-27 13:31:09 Ardiana Dervishi\nUpdate (discharged): 2007-01-29 12:39:52 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-29 12:39:52', 'Ardiana Dervishi', '2007-01-27 13:31:09');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1072, 2007000269, 5, 1, 6, '2007-01-27', '2007-01-29', '13:31:09', '12:39:00', 1, 'discharged', 'Create: 2007-01-27 13:31:09 Ardiana Dervishi\nUpdate (discharged): 2007-01-29 12:39:52 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-29 12:39:52', 'Ardiana Dervishi', '2007-01-27 13:31:09');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1073, 2007000270, 2, 3, 3, '2007-01-27', '2007-01-28', '13:45:52', '12:09:00', 1, 'discharged', 'Create: 2007-01-27 13:45:52 Ermal Dibra\nUpdate (discharged): 2007-01-29 12:10:23 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 12:10:23', 'Ermal Dibra', '2007-01-27 13:45:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1074, 2007000270, 4, 1, 3, '2007-01-27', '2007-01-28', '13:45:52', '12:09:00', 1, 'discharged', 'Create: 2007-01-27 13:45:52 Ermal Dibra\nUpdate (discharged): 2007-01-29 12:10:23 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 12:10:23', 'Ermal Dibra', '2007-01-27 13:45:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1075, 2007000270, 5, 1, 3, '2007-01-27', '2007-01-28', '13:45:52', '12:09:00', 1, 'discharged', 'Create: 2007-01-27 13:45:52 Ermal Dibra\nUpdate (discharged): 2007-01-29 12:10:23 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 12:10:23', 'Ermal Dibra', '2007-01-27 13:45:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1076, 2007000271, 2, 6, 6, '2007-01-29', '2007-02-01', '07:29:01', '10:52:00', 1, 'discharged', 'Create: 2007-01-29 07:29:01 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:53:38 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:53:38', 'Ardiana Dervishi', '2007-01-29 07:29:01');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1077, 2007000271, 4, 17, 6, '2007-01-29', '2007-02-01', '07:29:01', '10:52:00', 1, 'discharged', 'Create: 2007-01-29 07:29:01 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:53:38 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:53:38', 'Ardiana Dervishi', '2007-01-29 07:29:01');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1078, 2007000271, 5, 3, 6, '2007-01-29', '2007-02-01', '07:29:01', '10:52:00', 1, 'discharged', 'Create: 2007-01-29 07:29:01 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:53:38 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:53:38', 'Ardiana Dervishi', '2007-01-29 07:29:01');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1079, 2007000272, 2, 6, 6, '2007-01-29', '2007-02-01', '10:18:54', '10:23:00', 1, 'discharged', 'Create: 2007-01-29 10:18:54 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:23:44 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:23:44', 'Ardiana Dervishi', '2007-01-29 10:18:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1080, 2007000272, 4, 8, 6, '2007-01-29', '2007-02-01', '10:18:54', '10:23:00', 1, 'discharged', 'Create: 2007-01-29 10:18:54 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:23:44 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:23:44', 'Ardiana Dervishi', '2007-01-29 10:18:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1081, 2007000272, 5, 4, 6, '2007-01-29', '2007-02-01', '10:18:54', '10:23:00', 1, 'discharged', 'Create: 2007-01-29 10:18:54 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:23:44 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:23:44', 'Ardiana Dervishi', '2007-01-29 10:18:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1082, 2007000273, 2, 6, 6, '2007-01-29', '2007-02-01', '10:22:05', '10:21:00', 1, 'discharged', 'Create: 2007-01-29 10:22:05 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:21:33 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:21:33', 'Ardiana Dervishi', '2007-01-29 10:22:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1083, 2007000273, 4, 6, 6, '2007-01-29', '2007-02-01', '10:22:05', '10:21:00', 1, 'discharged', 'Create: 2007-01-29 10:22:05 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:21:33 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:21:33', 'Ardiana Dervishi', '2007-01-29 10:22:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1084, 2007000273, 5, 2, 6, '2007-01-29', '2007-02-01', '10:22:05', '10:21:00', 1, 'discharged', 'Create: 2007-01-29 10:22:05 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:21:33 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:21:33', 'Ardiana Dervishi', '2007-01-29 10:22:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1085, 2007000274, 2, 6, 6, '2007-01-29', '0000-00-00', '12:04:18', NULL, 0, '', 'Create: 2007-01-29 12:04:18 Ardiana Dervishi\n', '', '2007-01-29 12:04:18', 'Ardiana Dervishi', '2007-01-29 12:04:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1086, 2007000274, 4, 6, 6, '2007-01-29', '0000-00-00', '12:04:18', NULL, 0, '', 'Create: 2007-01-29 12:04:18 Ardiana Dervishi\n', '', '2007-01-29 12:04:18', 'Ardiana Dervishi', '2007-01-29 12:04:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1087, 2007000274, 5, 4, 6, '2007-01-29', '0000-00-00', '12:04:18', NULL, 0, '', 'Create: 2007-01-29 12:04:18 Ardiana Dervishi\n', '', '2007-01-29 12:04:18', 'Ardiana Dervishi', '2007-01-29 12:04:18');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1088, 2007000275, 2, 6, 6, '2007-01-29', '0000-00-00', '12:07:46', NULL, 0, '', 'Create: 2007-01-29 12:07:46 Ardiana Dervishi\n', '', '2007-01-29 12:07:46', 'Ardiana Dervishi', '2007-01-29 12:07:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1089, 2007000275, 4, 3, 6, '2007-01-29', '0000-00-00', '12:07:46', NULL, 0, '', 'Create: 2007-01-29 12:07:46 Ardiana Dervishi\n', '', '2007-01-29 12:07:46', 'Ardiana Dervishi', '2007-01-29 12:07:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1090, 2007000275, 5, 5, 6, '2007-01-29', '0000-00-00', '12:07:46', NULL, 0, '', 'Create: 2007-01-29 12:07:46 Ardiana Dervishi\n', '', '2007-01-29 12:07:46', 'Ardiana Dervishi', '2007-01-29 12:07:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1091, 2007000276, 2, 6, 6, '2007-01-29', '0000-00-00', '12:11:44', NULL, 0, '', 'Create: 2007-01-29 12:11:44 Ardiana Dervishi\n', '', '2007-01-29 12:11:44', 'Ardiana Dervishi', '2007-01-29 12:11:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1092, 2007000276, 4, 1, 6, '2007-01-29', '0000-00-00', '12:11:44', NULL, 0, '', 'Create: 2007-01-29 12:11:44 Ardiana Dervishi\n', '', '2007-01-29 12:11:44', 'Ardiana Dervishi', '2007-01-29 12:11:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1093, 2007000276, 5, 2, 6, '2007-01-29', '0000-00-00', '12:11:44', NULL, 0, '', 'Create: 2007-01-29 12:11:44 Ardiana Dervishi\n', '', '2007-01-29 12:11:44', 'Ardiana Dervishi', '2007-01-29 12:11:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1094, 2007000277, 2, 6, 6, '2007-01-29', '0000-00-00', '12:14:38', NULL, 0, '', 'Create: 2007-01-29 12:14:38 Ardiana Dervishi\n', '', '2007-01-29 12:14:38', 'Ardiana Dervishi', '2007-01-29 12:14:38');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1095, 2007000277, 4, 1, 6, '2007-01-29', '0000-00-00', '12:14:38', NULL, 0, '', 'Create: 2007-01-29 12:14:38 Ardiana Dervishi\n', '', '2007-01-29 12:14:38', 'Ardiana Dervishi', '2007-01-29 12:14:38');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1096, 2007000277, 5, 4, 6, '2007-01-29', '0000-00-00', '12:14:38', NULL, 0, '', 'Create: 2007-01-29 12:14:38 Ardiana Dervishi\n', '', '2007-01-29 12:14:38', 'Ardiana Dervishi', '2007-01-29 12:14:38');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1097, 2007000278, 2, 6, 6, '2007-01-29', '0000-00-00', '12:19:17', NULL, 0, '', 'Create: 2007-01-29 12:19:17 Ardiana Dervishi\n', '', '2007-01-29 12:19:17', 'Ardiana Dervishi', '2007-01-29 12:19:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1098, 2007000278, 4, 2, 6, '2007-01-29', '0000-00-00', '12:19:17', NULL, 0, '', 'Create: 2007-01-29 12:19:17 Ardiana Dervishi\n', '', '2007-01-29 12:19:17', 'Ardiana Dervishi', '2007-01-29 12:19:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1099, 2007000278, 5, 4, 6, '2007-01-29', '0000-00-00', '12:19:17', NULL, 0, '', 'Create: 2007-01-29 12:19:17 Ardiana Dervishi\n', '', '2007-01-29 12:19:17', 'Ardiana Dervishi', '2007-01-29 12:19:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1100, 2007000279, 2, 6, 6, '2007-01-29', '0000-00-00', '12:22:36', NULL, 0, '', 'Create: 2007-01-29 12:22:36 Ardiana Dervishi\n', '', '2007-01-29 12:22:36', 'Ardiana Dervishi', '2007-01-29 12:22:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1101, 2007000279, 4, 11, 6, '2007-01-29', '0000-00-00', '12:22:36', NULL, 0, '', 'Create: 2007-01-29 12:22:36 Ardiana Dervishi\n', '', '2007-01-29 12:22:36', 'Ardiana Dervishi', '2007-01-29 12:22:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1102, 2007000279, 5, 1, 6, '2007-01-29', '0000-00-00', '12:22:36', NULL, 0, '', 'Create: 2007-01-29 12:22:36 Ardiana Dervishi\n', '', '2007-01-29 12:22:36', 'Ardiana Dervishi', '2007-01-29 12:22:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1103, 2007000280, 2, 6, 6, '2007-01-29', '2007-01-30', '12:26:25', '13:01:00', 1, 'discharged', 'Create: 2007-01-29 12:26:25 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 13:01:14 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 13:01:14', 'Ardiana Dervishi', '2007-01-29 12:26:25');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1104, 2007000280, 4, 12, 6, '2007-01-29', '2007-01-30', '12:26:25', '13:01:00', 1, 'discharged', 'Create: 2007-01-29 12:26:25 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 13:01:14 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 13:01:14', 'Ardiana Dervishi', '2007-01-29 12:26:25');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1105, 2007000280, 5, 1, 6, '2007-01-29', '2007-01-30', '12:26:25', '13:01:00', 1, 'discharged', 'Create: 2007-01-29 12:26:25 Ardiana Dervishi\nUpdate (discharged): 2007-01-30 13:01:14 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-30 13:01:14', 'Ardiana Dervishi', '2007-01-29 12:26:25');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1106, 2007000281, 2, 3, 3, '2007-01-29', '2007-01-29', '13:18:11', '13:22:00', 1, 'discharged', 'Create: 2007-01-29 13:18:11 Ermal Dibra\nUpdate (discharged): 2007-01-29 13:22:59 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 13:22:59', 'Ermal Dibra', '2007-01-29 13:18:11');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1107, 2007000281, 4, 1, 3, '2007-01-29', '2007-01-29', '13:18:11', '13:22:00', 1, 'discharged', 'Create: 2007-01-29 13:18:11 Ermal Dibra\nUpdate (discharged): 2007-01-29 13:22:59 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 13:22:59', 'Ermal Dibra', '2007-01-29 13:18:11');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1108, 2007000281, 5, 1, 3, '2007-01-29', '2007-01-29', '13:18:11', '13:22:00', 1, 'discharged', 'Create: 2007-01-29 13:18:11 Ermal Dibra\nUpdate (discharged): 2007-01-29 13:22:59 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 13:22:59', 'Ermal Dibra', '2007-01-29 13:18:11');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1109, 2007000282, 2, 3, 3, '2007-01-29', '2007-01-29', '13:25:19', '13:29:00', 1, 'discharged', 'Create: 2007-01-29 13:25:19 Ermal Dibra\nUpdate (discharged): 2007-01-29 13:29:22 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 13:29:22', 'Ermal Dibra', '2007-01-29 13:25:19');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1110, 2007000282, 4, 1, 3, '2007-01-29', '2007-01-29', '13:25:19', '13:29:00', 1, 'discharged', 'Create: 2007-01-29 13:25:19 Ermal Dibra\nUpdate (discharged): 2007-01-29 13:29:22 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 13:29:22', 'Ermal Dibra', '2007-01-29 13:25:19');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1111, 2007000282, 5, 1, 3, '2007-01-29', '2007-01-29', '13:25:19', '13:29:00', 1, 'discharged', 'Create: 2007-01-29 13:25:19 Ermal Dibra\nUpdate (discharged): 2007-01-29 13:29:22 Ermal Dibra\n', 'Ermal Dibra', '2007-01-29 13:29:22', 'Ermal Dibra', '2007-01-29 13:25:19');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1112, 2007000283, 2, 3, 3, '2007-01-30', '0000-00-00', '07:14:31', NULL, 0, '', 'Create: 2007-01-30 07:14:31 Ermal Dibra\n', '', '2007-01-30 07:14:31', 'Ermal Dibra', '2007-01-30 07:14:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1113, 2007000283, 4, 2, 3, '2007-01-30', '0000-00-00', '07:14:31', NULL, 0, '', 'Create: 2007-01-30 07:14:31 Ermal Dibra\n', '', '2007-01-30 07:14:31', 'Ermal Dibra', '2007-01-30 07:14:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1114, 2007000283, 5, 4, 3, '2007-01-30', '0000-00-00', '07:14:31', NULL, 0, '', 'Create: 2007-01-30 07:14:31 Ermal Dibra\n', '', '2007-01-30 07:14:31', 'Ermal Dibra', '2007-01-30 07:14:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1115, 2007000284, 2, 3, 3, '2007-01-30', '2007-02-01', '07:19:05', '11:24:00', 1, 'discharged', 'Create: 2007-01-30 07:19:05 Ermal Dibra\nUpdate (discharged): 2007-02-01 11:25:15 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 11:25:15', 'Ermal Dibra', '2007-01-30 07:19:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1116, 2007000284, 4, 8, 3, '2007-01-30', '2007-02-01', '07:19:05', '11:24:00', 1, 'discharged', 'Create: 2007-01-30 07:19:05 Ermal Dibra\nUpdate (discharged): 2007-02-01 11:25:15 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 11:25:15', 'Ermal Dibra', '2007-01-30 07:19:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1117, 2007000284, 5, 1, 3, '2007-01-30', '2007-02-01', '07:19:05', '11:24:00', 1, 'discharged', 'Create: 2007-01-30 07:19:05 Ermal Dibra\nUpdate (discharged): 2007-02-01 11:25:15 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 11:25:15', 'Ermal Dibra', '2007-01-30 07:19:05');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1118, 2007000285, 2, 3, 3, '2007-01-30', '2007-01-31', '07:23:27', '11:51:00', 1, 'discharged', 'Create: 2007-01-30 07:23:27 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:52:30 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:52:30', 'Ermal Dibra', '2007-01-30 07:23:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1119, 2007000285, 4, 1, 3, '2007-01-30', '2007-01-31', '07:23:27', '11:51:00', 1, 'discharged', 'Create: 2007-01-30 07:23:27 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:52:30 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:52:30', 'Ermal Dibra', '2007-01-30 07:23:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1120, 2007000285, 5, 1, 3, '2007-01-30', '2007-01-31', '07:23:27', '11:51:00', 1, 'discharged', 'Create: 2007-01-30 07:23:27 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:52:30 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:52:30', 'Ermal Dibra', '2007-01-30 07:23:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1121, 2007000286, 2, 3, 3, '2007-01-30', '0000-00-00', '07:27:10', NULL, 0, '', 'Create: 2007-01-30 07:27:10 Ermal Dibra\n', '', '2007-01-30 07:27:10', 'Ermal Dibra', '2007-01-30 07:27:10');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1122, 2007000286, 4, 5, 3, '2007-01-30', '0000-00-00', '07:27:10', NULL, 0, '', 'Create: 2007-01-30 07:27:10 Ermal Dibra\n', '', '2007-01-30 07:27:10', 'Ermal Dibra', '2007-01-30 07:27:10');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1123, 2007000286, 5, 2, 3, '2007-01-30', '0000-00-00', '07:27:10', NULL, 0, '', 'Create: 2007-01-30 07:27:10 Ermal Dibra\n', '', '2007-01-30 07:27:10', 'Ermal Dibra', '2007-01-30 07:27:10');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1124, 2007000287, 2, 3, 3, '2007-01-30', '0000-00-00', '07:31:22', NULL, 0, '', 'Create: 2007-01-30 07:31:22 Ermal Dibra\n', '', '2007-01-30 07:31:22', 'Ermal Dibra', '2007-01-30 07:31:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1125, 2007000287, 4, 9, 3, '2007-01-30', '0000-00-00', '07:31:22', NULL, 0, '', 'Create: 2007-01-30 07:31:22 Ermal Dibra\n', '', '2007-01-30 07:31:22', 'Ermal Dibra', '2007-01-30 07:31:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1126, 2007000287, 5, 2, 3, '2007-01-30', '0000-00-00', '07:31:22', NULL, 0, '', 'Create: 2007-01-30 07:31:22 Ermal Dibra\n', '', '2007-01-30 07:31:22', 'Ermal Dibra', '2007-01-30 07:31:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1127, 2007000288, 2, 3, 3, '2007-01-30', '0000-00-00', '07:35:27', NULL, 0, '', 'Create: 2007-01-30 07:35:27 Ermal Dibra\n', '', '2007-01-30 07:35:27', 'Ermal Dibra', '2007-01-30 07:35:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1128, 2007000288, 4, 5, 3, '2007-01-30', '0000-00-00', '07:35:27', NULL, 0, '', 'Create: 2007-01-30 07:35:27 Ermal Dibra\n', '', '2007-01-30 07:35:27', 'Ermal Dibra', '2007-01-30 07:35:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1129, 2007000288, 5, 4, 3, '2007-01-30', '0000-00-00', '07:35:27', NULL, 0, '', 'Create: 2007-01-30 07:35:27 Ermal Dibra\n', '', '2007-01-30 07:35:27', 'Ermal Dibra', '2007-01-30 07:35:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1130, 2007000289, 2, 6, 6, '2007-01-30', '0000-00-00', '10:21:42', NULL, 0, '', 'Create: 2007-01-30 10:21:42 Ardiana Dervishi\n', '', '2007-01-30 10:21:42', 'Ardiana Dervishi', '2007-01-30 10:21:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1131, 2007000289, 4, 3, 6, '2007-01-30', '0000-00-00', '10:21:42', NULL, 0, '', 'Create: 2007-01-30 10:21:42 Ardiana Dervishi\n', '', '2007-01-30 10:21:42', 'Ardiana Dervishi', '2007-01-30 10:21:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1132, 2007000289, 5, 1, 6, '2007-01-30', '0000-00-00', '10:21:42', NULL, 0, '', 'Create: 2007-01-30 10:21:42 Ardiana Dervishi\n', '', '2007-01-30 10:21:42', 'Ardiana Dervishi', '2007-01-30 10:21:42');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1133, 2007000290, 2, 6, 6, '2007-01-30', '0000-00-00', '10:51:23', NULL, 0, '', 'Create: 2007-01-30 10:51:23 Ardiana Dervishi\n', '', '2007-01-30 10:51:23', 'Ardiana Dervishi', '2007-01-30 10:51:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1134, 2007000290, 4, 17, 6, '2007-01-30', '0000-00-00', '10:51:23', NULL, 0, '', 'Create: 2007-01-30 10:51:23 Ardiana Dervishi\n', '', '2007-01-30 10:51:23', 'Ardiana Dervishi', '2007-01-30 10:51:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1135, 2007000290, 5, 4, 6, '2007-01-30', '0000-00-00', '10:51:23', NULL, 0, '', 'Create: 2007-01-30 10:51:23 Ardiana Dervishi\n', '', '2007-01-30 10:51:23', 'Ardiana Dervishi', '2007-01-30 10:51:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1136, 2007000291, 2, 6, 6, '2007-01-30', '0000-00-00', '11:03:10', NULL, 0, '', 'Create: 2007-01-30 11:03:10 Ardiana Dervishi\n', '', '2007-01-30 11:03:10', 'Ardiana Dervishi', '2007-01-30 11:03:10');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1137, 2007000291, 4, 6, 6, '2007-01-30', '0000-00-00', '11:03:10', NULL, 0, '', 'Create: 2007-01-30 11:03:10 Ardiana Dervishi\n', '', '2007-01-30 11:03:10', 'Ardiana Dervishi', '2007-01-30 11:03:10');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1138, 2007000291, 5, 5, 6, '2007-01-30', '0000-00-00', '11:03:10', NULL, 0, '', 'Create: 2007-01-30 11:03:10 Ardiana Dervishi\n', '', '2007-01-30 11:03:10', 'Ardiana Dervishi', '2007-01-30 11:03:10');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1139, 2007000292, 2, 6, 6, '2007-01-30', '0000-00-00', '11:11:51', NULL, 0, '', 'Create: 2007-01-30 11:11:51 Ardiana Dervishi\n', '', '2007-01-30 11:11:51', 'Ardiana Dervishi', '2007-01-30 11:11:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1140, 2007000292, 4, 8, 6, '2007-01-30', '0000-00-00', '11:11:51', NULL, 0, '', 'Create: 2007-01-30 11:11:51 Ardiana Dervishi\n', '', '2007-01-30 11:11:51', 'Ardiana Dervishi', '2007-01-30 11:11:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1141, 2007000292, 5, 1, 6, '2007-01-30', '0000-00-00', '11:11:51', NULL, 0, '', 'Create: 2007-01-30 11:11:51 Ardiana Dervishi\n', '', '2007-01-30 11:11:51', 'Ardiana Dervishi', '2007-01-30 11:11:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1142, 2007000293, 2, 6, 6, '2007-01-30', '0000-00-00', '11:19:19', NULL, 0, '', 'Create: 2007-01-30 11:19:19 Ardiana Dervishi\n', '', '2007-01-30 11:19:19', 'Ardiana Dervishi', '2007-01-30 11:19:19');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1143, 2007000293, 4, 8, 6, '2007-01-30', '0000-00-00', '11:19:19', NULL, 0, '', 'Create: 2007-01-30 11:19:19 Ardiana Dervishi\n', '', '2007-01-30 11:19:19', 'Ardiana Dervishi', '2007-01-30 11:19:19');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1144, 2007000293, 5, 6, 6, '2007-01-30', '0000-00-00', '11:19:19', NULL, 0, '', 'Create: 2007-01-30 11:19:19 Ardiana Dervishi\n', '', '2007-01-30 11:19:19', 'Ardiana Dervishi', '2007-01-30 11:19:19');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1145, 2007000294, 2, 6, 6, '2007-01-30', '0000-00-00', '11:44:46', NULL, 0, '', 'Create: 2007-01-30 11:44:46 Ardiana Dervishi\n', '', '2007-01-30 11:44:46', 'Ardiana Dervishi', '2007-01-30 11:44:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1146, 2007000294, 4, 10, 6, '2007-01-30', '0000-00-00', '11:44:46', NULL, 0, '', 'Create: 2007-01-30 11:44:46 Ardiana Dervishi\n', '', '2007-01-30 11:44:46', 'Ardiana Dervishi', '2007-01-30 11:44:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1147, 2007000294, 5, 4, 6, '2007-01-30', '0000-00-00', '11:44:46', NULL, 0, '', 'Create: 2007-01-30 11:44:46 Ardiana Dervishi\n', '', '2007-01-30 11:44:46', 'Ardiana Dervishi', '2007-01-30 11:44:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1148, 2007000295, 2, 3, 3, '2007-01-30', '0000-00-00', '12:01:03', NULL, 0, '', 'Create: 2007-01-30 12:01:03 Ermal Dibra\n', '', '2007-01-30 12:01:03', 'Ermal Dibra', '2007-01-30 12:01:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1149, 2007000295, 4, 16, 3, '2007-01-30', '0000-00-00', '12:01:03', NULL, 0, '', 'Create: 2007-01-30 12:01:03 Ermal Dibra\n', '', '2007-01-30 12:01:03', 'Ermal Dibra', '2007-01-30 12:01:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1150, 2007000295, 5, 1, 3, '2007-01-30', '0000-00-00', '12:01:03', NULL, 0, '', 'Create: 2007-01-30 12:01:03 Ermal Dibra\n', '', '2007-01-30 12:01:03', 'Ermal Dibra', '2007-01-30 12:01:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1151, 2007000296, 2, 6, 6, '2007-01-30', '0000-00-00', '12:04:19', NULL, 0, '', 'Create: 2007-01-30 12:04:19 Ardiana Dervishi\n', '', '2007-01-30 12:04:19', 'Ardiana Dervishi', '2007-01-30 12:04:19');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1152, 2007000296, 4, 12, 6, '2007-01-30', '0000-00-00', '12:04:19', NULL, 0, '', 'Create: 2007-01-30 12:04:19 Ardiana Dervishi\n', '', '2007-01-30 12:04:19', 'Ardiana Dervishi', '2007-01-30 12:04:19');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1153, 2007000296, 5, 3, 6, '2007-01-30', '0000-00-00', '12:04:19', NULL, 0, '', 'Create: 2007-01-30 12:04:19 Ardiana Dervishi\n', '', '2007-01-30 12:04:19', 'Ardiana Dervishi', '2007-01-30 12:04:19');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1154, 2007000297, 2, 3, 3, '2007-01-30', '0000-00-00', '12:05:33', NULL, 0, '', 'Create: 2007-01-30 12:05:33 Ermal Dibra\n', '', '2007-01-30 12:05:33', 'Ermal Dibra', '2007-01-30 12:05:33');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1155, 2007000297, 4, 7, 3, '2007-01-30', '0000-00-00', '12:05:33', NULL, 0, '', 'Create: 2007-01-30 12:05:33 Ermal Dibra\n', '', '2007-01-30 12:05:33', 'Ermal Dibra', '2007-01-30 12:05:33');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1156, 2007000297, 5, 2, 3, '2007-01-30', '0000-00-00', '12:05:33', NULL, 0, '', 'Create: 2007-01-30 12:05:33 Ermal Dibra\n', '', '2007-01-30 12:05:33', 'Ermal Dibra', '2007-01-30 12:05:33');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1157, 2007000298, 2, 3, 3, '2007-01-30', '2007-02-01', '12:08:36', '12:21:00', 1, 'discharged', 'Create: 2007-01-30 12:08:36 Ermal Dibra\nUpdate (discharged): 2007-02-01 12:22:25 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 12:22:25', 'Ermal Dibra', '2007-01-30 12:08:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1158, 2007000298, 4, 8, 3, '2007-01-30', '2007-02-01', '12:08:36', '12:21:00', 1, 'discharged', 'Create: 2007-01-30 12:08:36 Ermal Dibra\nUpdate (discharged): 2007-02-01 12:22:25 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 12:22:25', 'Ermal Dibra', '2007-01-30 12:08:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1159, 2007000298, 5, 3, 3, '2007-01-30', '2007-02-01', '12:08:36', '12:21:00', 1, 'discharged', 'Create: 2007-01-30 12:08:36 Ermal Dibra\nUpdate (discharged): 2007-02-01 12:22:25 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 12:22:25', 'Ermal Dibra', '2007-01-30 12:08:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1160, 2007000299, 2, 3, 3, '2007-01-30', '0000-00-00', '12:12:00', NULL, 0, '', 'Create: 2007-01-30 12:12:00 Ermal Dibra\n', '', '2007-01-30 12:12:00', 'Ermal Dibra', '2007-01-30 12:12:00');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1161, 2007000299, 4, 12, 3, '2007-01-30', '0000-00-00', '12:12:00', NULL, 0, '', 'Create: 2007-01-30 12:12:00 Ermal Dibra\n', '', '2007-01-30 12:12:00', 'Ermal Dibra', '2007-01-30 12:12:00');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1162, 2007000299, 5, 3, 3, '2007-01-30', '0000-00-00', '12:12:00', NULL, 0, '', 'Create: 2007-01-30 12:12:00 Ermal Dibra\n', '', '2007-01-30 12:12:00', 'Ermal Dibra', '2007-01-30 12:12:00');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1163, 2007000300, 2, 6, 6, '2007-01-30', '0000-00-00', '12:16:09', NULL, 0, '', 'Create: 2007-01-30 12:16:09 Ardiana Dervishi\n', '', '2007-01-30 12:16:09', 'Ardiana Dervishi', '2007-01-30 12:16:09');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1164, 2007000300, 4, 13, 6, '2007-01-30', '0000-00-00', '12:16:09', NULL, 0, '', 'Create: 2007-01-30 12:16:09 Ardiana Dervishi\n', '', '2007-01-30 12:16:09', 'Ardiana Dervishi', '2007-01-30 12:16:09');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1165, 2007000300, 5, 2, 6, '2007-01-30', '0000-00-00', '12:16:09', NULL, 0, '', 'Create: 2007-01-30 12:16:09 Ardiana Dervishi\n', '', '2007-01-30 12:16:09', 'Ardiana Dervishi', '2007-01-30 12:16:09');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1166, 2007000301, 2, 3, 3, '2007-01-30', '0000-00-00', '12:16:11', NULL, 0, '', 'Create: 2007-01-30 12:16:11 Ermal Dibra\n', '', '2007-01-30 12:16:11', 'Ermal Dibra', '2007-01-30 12:16:11');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1167, 2007000301, 4, 11, 3, '2007-01-30', '0000-00-00', '12:16:11', NULL, 0, '', 'Create: 2007-01-30 12:16:11 Ermal Dibra\n', '', '2007-01-30 12:16:11', 'Ermal Dibra', '2007-01-30 12:16:11');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1168, 2007000301, 5, 2, 3, '2007-01-30', '0000-00-00', '12:16:11', NULL, 0, '', 'Create: 2007-01-30 12:16:11 Ermal Dibra\n', '', '2007-01-30 12:16:11', 'Ermal Dibra', '2007-01-30 12:16:11');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1169, 2007000302, 2, 3, 3, '2007-01-30', '0000-00-00', '12:19:03', NULL, 0, '', 'Create: 2007-01-30 12:19:03 Ermal Dibra\n', '', '2007-01-30 12:19:03', 'Ermal Dibra', '2007-01-30 12:19:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1170, 2007000302, 4, 16, 3, '2007-01-30', '0000-00-00', '12:19:03', NULL, 0, '', 'Create: 2007-01-30 12:19:03 Ermal Dibra\n', '', '2007-01-30 12:19:03', 'Ermal Dibra', '2007-01-30 12:19:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1171, 2007000302, 5, 2, 3, '2007-01-30', '0000-00-00', '12:19:03', NULL, 0, '', 'Create: 2007-01-30 12:19:03 Ermal Dibra\n', '', '2007-01-30 12:19:03', 'Ermal Dibra', '2007-01-30 12:19:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1172, 2007000303, 2, 3, 3, '2007-01-30', '2007-01-27', '12:23:53', '12:26:00', 1, 'discharged', 'Create: 2007-01-30 12:23:53 Ermal Dibra\nUpdate (discharged): 2007-01-30 12:27:06 Ermal Dibra\n', 'Ermal Dibra', '2007-01-30 12:27:06', 'Ermal Dibra', '2007-01-30 12:23:53');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1173, 2007000303, 4, 7, 3, '2007-01-30', '2007-01-27', '12:23:53', '12:26:00', 1, 'discharged', 'Create: 2007-01-30 12:23:53 Ermal Dibra\nUpdate (discharged): 2007-01-30 12:27:06 Ermal Dibra\n', 'Ermal Dibra', '2007-01-30 12:27:06', 'Ermal Dibra', '2007-01-30 12:23:53');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1174, 2007000303, 5, 3, 3, '2007-01-30', '2007-01-27', '12:23:53', '12:26:00', 1, 'discharged', 'Create: 2007-01-30 12:23:53 Ermal Dibra\nUpdate (discharged): 2007-01-30 12:27:06 Ermal Dibra\n', 'Ermal Dibra', '2007-01-30 12:27:06', 'Ermal Dibra', '2007-01-30 12:23:53');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1175, 2007000304, 2, 3, 3, '2007-01-30', '0000-00-00', '12:30:26', NULL, 0, '', 'Create: 2007-01-30 12:30:26 Ermal Dibra\n', '', '2007-01-30 12:30:26', 'Ermal Dibra', '2007-01-30 12:30:26');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1176, 2007000304, 4, 7, 3, '2007-01-30', '0000-00-00', '12:30:26', NULL, 0, '', 'Create: 2007-01-30 12:30:26 Ermal Dibra\n', '', '2007-01-30 12:30:26', 'Ermal Dibra', '2007-01-30 12:30:26');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1177, 2007000304, 5, 3, 3, '2007-01-30', '0000-00-00', '12:30:26', NULL, 0, '', 'Create: 2007-01-30 12:30:26 Ermal Dibra\n', '', '2007-01-30 12:30:26', 'Ermal Dibra', '2007-01-30 12:30:26');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1178, 2007000305, 2, 3, 3, '2007-01-30', '0000-00-00', '12:35:01', NULL, 0, '', 'Create: 2007-01-30 12:35:01 Ermal Dibra\n', '', '2007-01-30 12:35:01', 'Ermal Dibra', '2007-01-30 12:35:01');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1179, 2007000305, 4, 9, 3, '2007-01-30', '0000-00-00', '12:35:01', NULL, 0, '', 'Create: 2007-01-30 12:35:01 Ermal Dibra\n', '', '2007-01-30 12:35:01', 'Ermal Dibra', '2007-01-30 12:35:01');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1180, 2007000305, 5, 3, 3, '2007-01-30', '0000-00-00', '12:35:01', NULL, 0, '', 'Create: 2007-01-30 12:35:01 Ermal Dibra\n', '', '2007-01-30 12:35:01', 'Ermal Dibra', '2007-01-30 12:35:01');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1181, 2007000306, 2, 3, 3, '2007-01-30', '0000-00-00', '12:43:54', NULL, 0, '', 'Create: 2007-01-30 12:43:54 Ermal Dibra\n', '', '2007-01-30 12:43:54', 'Ermal Dibra', '2007-01-30 12:43:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1182, 2007000306, 4, 7, 3, '2007-01-30', '0000-00-00', '12:43:54', NULL, 0, '', 'Create: 2007-01-30 12:43:54 Ermal Dibra\n', '', '2007-01-30 12:43:54', 'Ermal Dibra', '2007-01-30 12:43:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1183, 2007000306, 5, 4, 3, '2007-01-30', '0000-00-00', '12:43:54', NULL, 0, '', 'Create: 2007-01-30 12:43:54 Ermal Dibra\n', '', '2007-01-30 12:43:54', 'Ermal Dibra', '2007-01-30 12:43:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1184, 2007000307, 2, 6, 6, '2007-01-30', '2007-01-31', '12:50:23', '09:52:00', 1, 'discharged', 'Create: 2007-01-30 12:50:23 Ardiana Dervishi\nUpdate (discharged): 2007-01-31 09:53:11 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-31 09:53:11', 'Ardiana Dervishi', '2007-01-30 12:50:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1185, 2007000307, 4, 13, 6, '2007-01-30', '2007-01-31', '12:50:23', '09:52:00', 1, 'discharged', 'Create: 2007-01-30 12:50:23 Ardiana Dervishi\nUpdate (discharged): 2007-01-31 09:53:11 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-31 09:53:11', 'Ardiana Dervishi', '2007-01-30 12:50:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1186, 2007000307, 5, 3, 6, '2007-01-30', '2007-01-31', '12:50:23', '09:52:00', 1, 'discharged', 'Create: 2007-01-30 12:50:23 Ardiana Dervishi\nUpdate (discharged): 2007-01-31 09:53:11 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-01-31 09:53:11', 'Ardiana Dervishi', '2007-01-30 12:50:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1187, 2007000308, 2, 3, 3, '2007-01-30', '0000-00-00', '12:50:47', NULL, 0, '', 'Create: 2007-01-30 12:50:47 Ermal Dibra\n', '', '2007-01-30 12:50:47', 'Ermal Dibra', '2007-01-30 12:50:47');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1188, 2007000308, 4, 10, 3, '2007-01-30', '0000-00-00', '12:50:47', NULL, 0, '', 'Create: 2007-01-30 12:50:47 Ermal Dibra\n', '', '2007-01-30 12:50:47', 'Ermal Dibra', '2007-01-30 12:50:47');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1189, 2007000308, 5, 3, 3, '2007-01-30', '0000-00-00', '12:50:47', NULL, 0, '', 'Create: 2007-01-30 12:50:47 Ermal Dibra\n', '', '2007-01-30 12:50:47', 'Ermal Dibra', '2007-01-30 12:50:47');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1190, 2007000309, 2, 6, 6, '2007-01-30', '0000-00-00', '12:55:59', NULL, 0, '', 'Create: 2007-01-30 12:55:59 Ardiana Dervishi\n', '', '2007-01-30 12:55:59', 'Ardiana Dervishi', '2007-01-30 12:55:59');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1191, 2007000309, 4, 14, 6, '2007-01-30', '0000-00-00', '12:55:59', NULL, 0, '', 'Create: 2007-01-30 12:55:59 Ardiana Dervishi\n', '', '2007-01-30 12:55:59', 'Ardiana Dervishi', '2007-01-30 12:55:59');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1192, 2007000309, 5, 1, 6, '2007-01-30', '0000-00-00', '12:55:59', NULL, 0, '', 'Create: 2007-01-30 12:55:59 Ardiana Dervishi\n', '', '2007-01-30 12:55:59', 'Ardiana Dervishi', '2007-01-30 12:55:59');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1193, 2007000310, 2, 3, 3, '2007-01-31', '2007-01-31', '10:49:52', '10:54:00', 1, 'discharged', 'Create: 2007-01-31 10:49:52 Ermal Dibra\nUpdate (discharged): 2007-01-31 10:54:38 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 10:54:38', 'Ermal Dibra', '2007-01-31 10:49:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1194, 2007000310, 4, 1, 3, '2007-01-31', '2007-01-31', '10:49:52', '10:54:00', 1, 'discharged', 'Create: 2007-01-31 10:49:52 Ermal Dibra\nUpdate (discharged): 2007-01-31 10:54:38 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 10:54:38', 'Ermal Dibra', '2007-01-31 10:49:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1195, 2007000310, 5, 4, 3, '2007-01-31', '2007-01-31', '10:49:52', '10:54:00', 1, 'discharged', 'Create: 2007-01-31 10:49:52 Ermal Dibra\nUpdate (discharged): 2007-01-31 10:54:38 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 10:54:38', 'Ermal Dibra', '2007-01-31 10:49:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1196, 2007000311, 2, 3, 3, '2007-01-31', '2007-01-31', '10:57:03', '11:01:00', 1, 'discharged', 'Create: 2007-01-31 10:57:03 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:02:16 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:02:16', 'Ermal Dibra', '2007-01-31 10:57:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1197, 2007000311, 4, 1, 3, '2007-01-31', '2007-01-31', '10:57:03', '11:01:00', 1, 'discharged', 'Create: 2007-01-31 10:57:03 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:02:16 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:02:16', 'Ermal Dibra', '2007-01-31 10:57:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1198, 2007000311, 5, 4, 3, '2007-01-31', '2007-01-31', '10:57:03', '11:01:00', 1, 'discharged', 'Create: 2007-01-31 10:57:03 Ermal Dibra\nUpdate (discharged): 2007-01-31 11:02:16 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 11:02:16', 'Ermal Dibra', '2007-01-31 10:57:03');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1199, 2007000312, 2, 6, 6, '2007-01-31', '2007-02-01', '11:11:55', '10:06:00', 1, 'discharged', 'Create: 2007-01-31 11:11:55 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:06:47 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:06:47', 'Ardiana Dervishi', '2007-01-31 11:11:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1200, 2007000312, 4, 7, 6, '2007-01-31', '2007-02-01', '11:11:55', '10:06:00', 1, 'discharged', 'Create: 2007-01-31 11:11:55 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:06:47 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:06:47', 'Ardiana Dervishi', '2007-01-31 11:11:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1201, 2007000312, 5, 1, 6, '2007-01-31', '2007-02-01', '11:11:55', '10:06:00', 1, 'discharged', 'Create: 2007-01-31 11:11:55 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:06:47 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:06:47', 'Ardiana Dervishi', '2007-01-31 11:11:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1202, 2007000313, 2, 3, 3, '2007-01-31', '0000-00-00', '12:20:04', NULL, 0, '', 'Create: 2007-01-31 12:20:04 Ermal Dibra\n', '', '2007-01-31 12:20:04', 'Ermal Dibra', '2007-01-31 12:20:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1203, 2007000313, 4, 10, 3, '2007-01-31', '0000-00-00', '12:20:04', NULL, 0, '', 'Create: 2007-01-31 12:20:04 Ermal Dibra\n', '', '2007-01-31 12:20:04', 'Ermal Dibra', '2007-01-31 12:20:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1204, 2007000313, 5, 1, 3, '2007-01-31', '0000-00-00', '12:20:04', NULL, 0, '', 'Create: 2007-01-31 12:20:04 Ermal Dibra\n', '', '2007-01-31 12:20:04', 'Ermal Dibra', '2007-01-31 12:20:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1205, 2007000314, 2, 3, 3, '2007-01-31', '0000-00-00', '12:23:35', NULL, 0, '', 'Create: 2007-01-31 12:23:35 Ermal Dibra\n', '', '2007-01-31 12:23:35', 'Ermal Dibra', '2007-01-31 12:23:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1206, 2007000314, 4, 3, 3, '2007-01-31', '0000-00-00', '12:23:35', NULL, 0, '', 'Create: 2007-01-31 12:23:35 Ermal Dibra\n', '', '2007-01-31 12:23:35', 'Ermal Dibra', '2007-01-31 12:23:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1207, 2007000314, 5, 2, 3, '2007-01-31', '0000-00-00', '12:23:35', NULL, 0, '', 'Create: 2007-01-31 12:23:35 Ermal Dibra\n', '', '2007-01-31 12:23:35', 'Ermal Dibra', '2007-01-31 12:23:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1208, 2007000315, 2, 6, 6, '2007-01-31', '0000-00-00', '12:28:10', NULL, 0, '', 'Create: 2007-01-31 12:28:10 Ardiana Dervishi\n', '', '2007-01-31 12:28:10', 'Ardiana Dervishi', '2007-01-31 12:28:10');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1209, 2007000315, 4, 10, 6, '2007-01-31', '0000-00-00', '12:28:10', NULL, 0, '', 'Create: 2007-01-31 12:28:10 Ardiana Dervishi\n', '', '2007-01-31 12:28:10', 'Ardiana Dervishi', '2007-01-31 12:28:10');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1210, 2007000315, 5, 2, 6, '2007-01-31', '0000-00-00', '12:28:10', NULL, 0, '', 'Create: 2007-01-31 12:28:10 Ardiana Dervishi\n', '', '2007-01-31 12:28:10', 'Ardiana Dervishi', '2007-01-31 12:28:10');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1211, 2007000316, 2, 3, 3, '2007-01-31', '0000-00-00', '12:28:31', NULL, 0, '', 'Create: 2007-01-31 12:28:31 Ermal Dibra\n', '', '2007-01-31 12:28:31', 'Ermal Dibra', '2007-01-31 12:28:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1212, 2007000316, 4, 4, 3, '2007-01-31', '0000-00-00', '12:28:31', NULL, 0, '', 'Create: 2007-01-31 12:28:31 Ermal Dibra\n', '', '2007-01-31 12:28:31', 'Ermal Dibra', '2007-01-31 12:28:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1213, 2007000316, 5, 3, 3, '2007-01-31', '0000-00-00', '12:28:31', NULL, 0, '', 'Create: 2007-01-31 12:28:31 Ermal Dibra\n', '', '2007-01-31 12:28:31', 'Ermal Dibra', '2007-01-31 12:28:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1214, 2007000317, 2, 3, 3, '2007-01-31', '2007-01-31', '12:32:34', '12:35:00', 1, 'discharged', 'Create: 2007-01-31 12:32:34 Ermal Dibra\nUpdate (discharged): 2007-01-31 12:36:15 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 12:36:15', 'Ermal Dibra', '2007-01-31 12:32:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1215, 2007000317, 4, 1, 3, '2007-01-31', '2007-01-31', '12:32:34', '12:35:00', 1, 'discharged', 'Create: 2007-01-31 12:32:34 Ermal Dibra\nUpdate (discharged): 2007-01-31 12:36:15 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 12:36:15', 'Ermal Dibra', '2007-01-31 12:32:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1216, 2007000317, 5, 1, 3, '2007-01-31', '2007-01-31', '12:32:34', '12:35:00', 1, 'discharged', 'Create: 2007-01-31 12:32:34 Ermal Dibra\nUpdate (discharged): 2007-01-31 12:36:15 Ermal Dibra\n', 'Ermal Dibra', '2007-01-31 12:36:15', 'Ermal Dibra', '2007-01-31 12:32:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1217, 2007000318, 2, 6, 6, '2007-01-31', '0000-00-00', '12:38:33', NULL, 0, '', 'Create: 2007-01-31 12:38:33 Ardiana Dervishi\n', '', '2007-01-31 12:38:33', 'Ardiana Dervishi', '2007-01-31 12:38:33');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1218, 2007000318, 4, 5, 6, '2007-01-31', '0000-00-00', '12:38:33', NULL, 0, '', 'Create: 2007-01-31 12:38:33 Ardiana Dervishi\n', '', '2007-01-31 12:38:33', 'Ardiana Dervishi', '2007-01-31 12:38:33');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1219, 2007000318, 5, 5, 6, '2007-01-31', '0000-00-00', '12:38:33', NULL, 0, '', 'Create: 2007-01-31 12:38:33 Ardiana Dervishi\n', '', '2007-01-31 12:38:33', 'Ardiana Dervishi', '2007-01-31 12:38:33');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1220, 2007000319, 2, 3, 3, '2007-01-31', '0000-00-00', '12:41:17', NULL, 0, '', 'Create: 2007-01-31 12:41:17 Ermal Dibra\n', '', '2007-01-31 12:41:17', 'Ermal Dibra', '2007-01-31 12:41:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1221, 2007000319, 4, 1, 3, '2007-01-31', '0000-00-00', '12:41:17', NULL, 0, '', 'Create: 2007-01-31 12:41:17 Ermal Dibra\n', '', '2007-01-31 12:41:17', 'Ermal Dibra', '2007-01-31 12:41:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1222, 2007000319, 5, 1, 3, '2007-01-31', '0000-00-00', '12:41:17', NULL, 0, '', 'Create: 2007-01-31 12:41:17 Ermal Dibra\n', '', '2007-01-31 12:41:17', 'Ermal Dibra', '2007-01-31 12:41:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1223, 2007000320, 2, 6, 6, '2007-01-31', '0000-00-00', '12:47:35', NULL, 0, '', 'Create: 2007-01-31 12:47:35 Ardiana Dervishi\n', '', '2007-01-31 12:47:35', 'Ardiana Dervishi', '2007-01-31 12:47:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1224, 2007000320, 4, 3, 6, '2007-01-31', '0000-00-00', '12:47:35', NULL, 0, '', 'Create: 2007-01-31 12:47:35 Ardiana Dervishi\n', '', '2007-01-31 12:47:35', 'Ardiana Dervishi', '2007-01-31 12:47:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1225, 2007000320, 5, 3, 6, '2007-01-31', '0000-00-00', '12:47:35', NULL, 0, '', 'Create: 2007-01-31 12:47:35 Ardiana Dervishi\n', '', '2007-01-31 12:47:35', 'Ardiana Dervishi', '2007-01-31 12:47:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1226, 2007000321, 2, 3, 3, '2007-01-31', '0000-00-00', '13:00:21', NULL, 0, '', 'Create: 2007-01-31 13:00:21 Ermal Dibra\n', '', '2007-01-31 13:00:21', 'Ermal Dibra', '2007-01-31 13:00:21');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1227, 2007000321, 4, 11, 3, '2007-01-31', '0000-00-00', '13:00:21', NULL, 0, '', 'Create: 2007-01-31 13:00:21 Ermal Dibra\n', '', '2007-01-31 13:00:21', 'Ermal Dibra', '2007-01-31 13:00:21');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1228, 2007000321, 5, 3, 3, '2007-01-31', '0000-00-00', '13:00:21', NULL, 0, '', 'Create: 2007-01-31 13:00:21 Ermal Dibra\n', '', '2007-01-31 13:00:21', 'Ermal Dibra', '2007-01-31 13:00:21');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1229, 2007000322, 2, 6, 6, '2007-01-31', '0000-00-00', '13:05:22', NULL, 0, '', 'Create: 2007-01-31 13:05:22 Ardiana Dervishi\n', '', '2007-01-31 13:05:22', 'Ardiana Dervishi', '2007-01-31 13:05:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1230, 2007000322, 4, 6, 6, '2007-01-31', '0000-00-00', '13:05:22', NULL, 0, '', 'Create: 2007-01-31 13:05:22 Ardiana Dervishi\n', '', '2007-01-31 13:05:22', 'Ardiana Dervishi', '2007-01-31 13:05:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1231, 2007000322, 5, 6, 6, '2007-01-31', '0000-00-00', '13:05:22', NULL, 0, '', 'Create: 2007-01-31 13:05:22 Ardiana Dervishi\n', '', '2007-01-31 13:05:22', 'Ardiana Dervishi', '2007-01-31 13:05:22');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1232, 2007000323, 2, 6, 6, '2007-01-31', '0000-00-00', '13:14:45', NULL, 0, '', 'Create: 2007-01-31 13:14:45 Ardiana Dervishi\n', '', '2007-01-31 13:14:45', 'Ardiana Dervishi', '2007-01-31 13:14:45');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1233, 2007000323, 4, 2, 6, '2007-01-31', '0000-00-00', '13:14:45', NULL, 0, '', 'Create: 2007-01-31 13:14:45 Ardiana Dervishi\n', '', '2007-01-31 13:14:45', 'Ardiana Dervishi', '2007-01-31 13:14:45');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1234, 2007000323, 5, 3, 6, '2007-01-31', '0000-00-00', '13:14:45', NULL, 0, '', 'Create: 2007-01-31 13:14:45 Ardiana Dervishi\n', '', '2007-01-31 13:14:45', 'Ardiana Dervishi', '2007-01-31 13:14:45');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1235, 2007000324, 2, 6, 6, '2007-01-31', '0000-00-00', '13:27:50', NULL, 0, '', 'Create: 2007-01-31 13:27:50 Ardiana Dervishi\n', '', '2007-01-31 13:27:50', 'Ardiana Dervishi', '2007-01-31 13:27:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1236, 2007000324, 4, 5, 6, '2007-01-31', '0000-00-00', '13:27:50', NULL, 0, '', 'Create: 2007-01-31 13:27:50 Ardiana Dervishi\n', '', '2007-01-31 13:27:50', 'Ardiana Dervishi', '2007-01-31 13:27:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1237, 2007000324, 5, 1, 6, '2007-01-31', '0000-00-00', '13:27:50', NULL, 0, '', 'Create: 2007-01-31 13:27:50 Ardiana Dervishi\n', '', '2007-01-31 13:27:50', 'Ardiana Dervishi', '2007-01-31 13:27:50');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1238, 2007000325, 2, 6, 6, '2007-01-31', '2007-02-01', '13:51:52', '10:42:00', 1, 'discharged', 'Create: 2007-01-31 13:51:52 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:42:54 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:42:54', 'Ardiana Dervishi', '2007-01-31 13:51:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1239, 2007000325, 4, 17, 6, '2007-01-31', '2007-02-01', '13:51:52', '10:42:00', 1, 'discharged', 'Create: 2007-01-31 13:51:52 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:42:54 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:42:54', 'Ardiana Dervishi', '2007-01-31 13:51:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1240, 2007000325, 5, 6, 6, '2007-01-31', '2007-02-01', '13:51:52', '10:42:00', 1, 'discharged', 'Create: 2007-01-31 13:51:52 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 10:42:54 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 10:42:54', 'Ardiana Dervishi', '2007-01-31 13:51:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1241, 2007000326, 2, 3, 3, '2007-02-01', '2007-02-01', '09:10:52', '09:16:00', 1, 'discharged', 'Create: 2007-02-01 09:10:52 Ermal Dibra\nUpdate (discharged): 2007-02-01 09:16:55 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 09:16:55', 'Ermal Dibra', '2007-02-01 09:10:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1242, 2007000326, 4, 1, 3, '2007-02-01', '2007-02-01', '09:10:52', '09:16:00', 1, 'discharged', 'Create: 2007-02-01 09:10:52 Ermal Dibra\nUpdate (discharged): 2007-02-01 09:16:55 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 09:16:55', 'Ermal Dibra', '2007-02-01 09:10:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1243, 2007000326, 5, 3, 3, '2007-02-01', '2007-02-01', '09:10:52', '09:16:00', 1, 'discharged', 'Create: 2007-02-01 09:10:52 Ermal Dibra\nUpdate (discharged): 2007-02-01 09:16:55 Ermal Dibra\n', 'Ermal Dibra', '2007-02-01 09:16:55', 'Ermal Dibra', '2007-02-01 09:10:52');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1244, 2007000327, 2, 6, 6, '2007-02-01', '2007-02-01', '11:01:23', '11:04:00', 1, 'discharged', 'Create: 2007-02-01 11:01:23 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 11:04:57 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 11:04:57', 'Ardiana Dervishi', '2007-02-01 11:01:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1245, 2007000327, 4, 2, 6, '2007-02-01', '2007-02-01', '11:01:23', '11:04:00', 1, 'discharged', 'Create: 2007-02-01 11:01:23 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 11:04:57 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 11:04:57', 'Ardiana Dervishi', '2007-02-01 11:01:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1246, 2007000327, 5, 2, 6, '2007-02-01', '2007-02-01', '11:01:23', '11:04:00', 1, 'discharged', 'Create: 2007-02-01 11:01:23 Ardiana Dervishi\nUpdate (discharged): 2007-02-01 11:04:57 Ardiana Dervishi\n', 'Ardiana Dervishi', '2007-02-01 11:04:57', 'Ardiana Dervishi', '2007-02-01 11:01:23');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1247, 2007000328, 2, 6, 6, '2007-02-01', '0000-00-00', '11:20:36', NULL, 0, '', 'Create: 2007-02-01 11:20:36 Ardiana Dervishi\n', '', '2007-02-01 11:20:36', 'Ardiana Dervishi', '2007-02-01 11:20:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1248, 2007000328, 4, 9, 6, '2007-02-01', '0000-00-00', '11:20:36', NULL, 0, '', 'Create: 2007-02-01 11:20:36 Ardiana Dervishi\n', '', '2007-02-01 11:20:36', 'Ardiana Dervishi', '2007-02-01 11:20:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1249, 2007000328, 5, 1, 6, '2007-02-01', '0000-00-00', '11:20:36', NULL, 0, '', 'Create: 2007-02-01 11:20:36 Ardiana Dervishi\n', '', '2007-02-01 11:20:36', 'Ardiana Dervishi', '2007-02-01 11:20:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1250, 2007000329, 2, 6, 6, '2007-02-01', '0000-00-00', '11:32:35', NULL, 0, '', 'Create: 2007-02-01 11:32:35 Ardiana Dervishi\n', '', '2007-02-01 11:32:35', 'Ardiana Dervishi', '2007-02-01 11:32:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1251, 2007000329, 4, 3, 6, '2007-02-01', '0000-00-00', '11:32:35', NULL, 0, '', 'Create: 2007-02-01 11:32:35 Ardiana Dervishi\n', '', '2007-02-01 11:32:35', 'Ardiana Dervishi', '2007-02-01 11:32:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1252, 2007000329, 5, 2, 6, '2007-02-01', '0000-00-00', '11:32:35', NULL, 0, '', 'Create: 2007-02-01 11:32:35 Ardiana Dervishi\n', '', '2007-02-01 11:32:35', 'Ardiana Dervishi', '2007-02-01 11:32:35');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1253, 2007000330, 2, 3, 3, '2007-02-01', '0000-00-00', '11:53:30', NULL, 0, '', 'Create: 2007-02-01 11:53:30 Ermal Dibra\n', '', '2007-02-01 11:53:30', 'Ermal Dibra', '2007-02-01 11:53:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1254, 2007000330, 4, 1, 3, '2007-02-01', '0000-00-00', '11:53:30', NULL, 0, '', 'Create: 2007-02-01 11:53:30 Ermal Dibra\n', '', '2007-02-01 11:53:30', 'Ermal Dibra', '2007-02-01 11:53:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1255, 2007000330, 5, 3, 3, '2007-02-01', '0000-00-00', '11:53:30', NULL, 0, '', 'Create: 2007-02-01 11:53:30 Ermal Dibra\n', '', '2007-02-01 11:53:30', 'Ermal Dibra', '2007-02-01 11:53:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1256, 2007000331, 2, 3, 3, '2007-02-01', '0000-00-00', '11:56:24', NULL, 0, '', 'Create: 2007-02-01 11:56:24 Ermal Dibra\n', '', '2007-02-01 11:56:24', 'Ermal Dibra', '2007-02-01 11:56:24');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1257, 2007000331, 4, 6, 3, '2007-02-01', '0000-00-00', '11:56:24', NULL, 0, '', 'Create: 2007-02-01 11:56:24 Ermal Dibra\n', '', '2007-02-01 11:56:24', 'Ermal Dibra', '2007-02-01 11:56:24');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1258, 2007000331, 5, 1, 3, '2007-02-01', '0000-00-00', '11:56:24', NULL, 0, '', 'Create: 2007-02-01 11:56:24 Ermal Dibra\n', '', '2007-02-01 11:56:24', 'Ermal Dibra', '2007-02-01 11:56:24');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1259, 2007000332, 2, 3, 3, '2007-02-01', '0000-00-00', '12:00:27', NULL, 0, '', 'Create: 2007-02-01 12:00:27 Ermal Dibra\n', '', '2007-02-01 12:00:27', 'Ermal Dibra', '2007-02-01 12:00:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1260, 2007000332, 4, 14, 3, '2007-02-01', '0000-00-00', '12:00:27', NULL, 0, '', 'Create: 2007-02-01 12:00:27 Ermal Dibra\n', '', '2007-02-01 12:00:27', 'Ermal Dibra', '2007-02-01 12:00:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1261, 2007000332, 5, 1, 3, '2007-02-01', '0000-00-00', '12:00:27', NULL, 0, '', 'Create: 2007-02-01 12:00:27 Ermal Dibra\n', '', '2007-02-01 12:00:27', 'Ermal Dibra', '2007-02-01 12:00:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1262, 2007000334, 2, 3, 3, '2007-02-01', '0000-00-00', '12:02:41', NULL, 0, '', 'Create: 2007-02-01 12:02:41 Ermal Dibra\n', '', '2007-02-01 12:02:41', 'Ermal Dibra', '2007-02-01 12:02:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1263, 2007000334, 4, 1, 3, '2007-02-01', '0000-00-00', '12:02:41', NULL, 0, '', 'Create: 2007-02-01 12:02:41 Ermal Dibra\n', '', '2007-02-01 12:02:41', 'Ermal Dibra', '2007-02-01 12:02:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1264, 2007000334, 5, 4, 3, '2007-02-01', '0000-00-00', '12:02:41', NULL, 0, '', 'Create: 2007-02-01 12:02:41 Ermal Dibra\n', '', '2007-02-01 12:02:41', 'Ermal Dibra', '2007-02-01 12:02:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1265, 2007000333, 2, 6, 6, '2007-02-01', '0000-00-00', '12:02:48', NULL, 0, '', 'Create: 2007-02-01 12:02:48 Ardiana Dervishi\n', '', '2007-02-01 12:02:48', 'Ardiana Dervishi', '2007-02-01 12:02:48');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1266, 2007000333, 4, 17, 6, '2007-02-01', '0000-00-00', '12:02:48', NULL, 0, '', 'Create: 2007-02-01 12:02:48 Ardiana Dervishi\n', '', '2007-02-01 12:02:48', 'Ardiana Dervishi', '2007-02-01 12:02:48');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1267, 2007000333, 5, 3, 6, '2007-02-01', '0000-00-00', '12:02:48', NULL, 0, '', 'Create: 2007-02-01 12:02:48 Ardiana Dervishi\n', '', '2007-02-01 12:02:48', 'Ardiana Dervishi', '2007-02-01 12:02:48');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1268, 2007000335, 2, 6, 6, '2007-02-01', '0000-00-00', '12:08:30', NULL, 0, '', 'Create: 2007-02-01 12:08:30 Ardiana Dervishi\n', '', '2007-02-01 12:08:30', 'Ardiana Dervishi', '2007-02-01 12:08:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1269, 2007000335, 4, 17, 6, '2007-02-01', '0000-00-00', '12:08:30', NULL, 0, '', 'Create: 2007-02-01 12:08:30 Ardiana Dervishi\n', '', '2007-02-01 12:08:30', 'Ardiana Dervishi', '2007-02-01 12:08:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1270, 2007000335, 5, 1, 6, '2007-02-01', '0000-00-00', '12:08:30', NULL, 0, '', 'Create: 2007-02-01 12:08:30 Ardiana Dervishi\n', '', '2007-02-01 12:08:30', 'Ardiana Dervishi', '2007-02-01 12:08:30');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1271, 2007000336, 2, 6, 6, '2007-02-01', '0000-00-00', '12:15:20', NULL, 0, '', 'Create: 2007-02-01 12:15:20 Ardiana Dervishi\n', '', '2007-02-01 12:15:20', 'Ardiana Dervishi', '2007-02-01 12:15:20');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1272, 2007000336, 4, 17, 6, '2007-02-01', '0000-00-00', '12:15:20', NULL, 0, '', 'Create: 2007-02-01 12:15:20 Ardiana Dervishi\n', '', '2007-02-01 12:15:20', 'Ardiana Dervishi', '2007-02-01 12:15:20');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1273, 2007000336, 5, 7, 6, '2007-02-01', '0000-00-00', '12:15:20', NULL, 0, '', 'Create: 2007-02-01 12:15:20 Ardiana Dervishi\n', '', '2007-02-01 12:15:20', 'Ardiana Dervishi', '2007-02-01 12:15:20');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1274, 2007000337, 2, 3, 3, '2007-02-01', '0000-00-00', '12:16:53', NULL, 0, '', 'Create: 2007-02-01 12:16:53 Ermal Dibra\n', '', '2007-02-01 12:16:53', 'Ermal Dibra', '2007-02-01 12:16:53');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1275, 2007000337, 4, 7, 3, '2007-02-01', '0000-00-00', '12:16:53', NULL, 0, '', 'Create: 2007-02-01 12:16:53 Ermal Dibra\n', '', '2007-02-01 12:16:53', 'Ermal Dibra', '2007-02-01 12:16:53');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1276, 2007000337, 5, 1, 3, '2007-02-01', '0000-00-00', '12:16:53', NULL, 0, '', 'Create: 2007-02-01 12:16:53 Ermal Dibra\n', '', '2007-02-01 12:16:53', 'Ermal Dibra', '2007-02-01 12:16:53');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1277, 2007000338, 2, 6, 6, '2007-02-01', '0000-00-00', '12:23:54', NULL, 0, '', 'Create: 2007-02-01 12:23:54 Ardiana Dervishi\n', '', '2007-02-01 12:23:54', 'Ardiana Dervishi', '2007-02-01 12:23:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1278, 2007000338, 4, 5, 6, '2007-02-01', '0000-00-00', '12:23:54', NULL, 0, '', 'Create: 2007-02-01 12:23:54 Ardiana Dervishi\n', '', '2007-02-01 12:23:54', 'Ardiana Dervishi', '2007-02-01 12:23:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1279, 2007000338, 5, 4, 6, '2007-02-01', '0000-00-00', '12:23:54', NULL, 0, '', 'Create: 2007-02-01 12:23:54 Ardiana Dervishi\n', '', '2007-02-01 12:23:54', 'Ardiana Dervishi', '2007-02-01 12:23:54');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1280, 2007000339, 2, 3, 3, '2007-02-01', '0000-00-00', '12:24:14', NULL, 0, '', 'Create: 2007-02-01 12:24:14 Ermal Dibra\n', '', '2007-02-01 12:24:14', 'Ermal Dibra', '2007-02-01 12:24:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1281, 2007000339, 4, 8, 3, '2007-02-01', '0000-00-00', '12:24:14', NULL, 0, '', 'Create: 2007-02-01 12:24:14 Ermal Dibra\n', '', '2007-02-01 12:24:14', 'Ermal Dibra', '2007-02-01 12:24:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1282, 2007000339, 5, 3, 3, '2007-02-01', '0000-00-00', '12:24:14', NULL, 0, '', 'Create: 2007-02-01 12:24:14 Ermal Dibra\n', '', '2007-02-01 12:24:14', 'Ermal Dibra', '2007-02-01 12:24:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1283, 2007000340, 2, 6, 6, '2007-02-01', '0000-00-00', '12:33:44', NULL, 0, '', 'Create: 2007-02-01 12:33:44 Ardiana Dervishi\n', '', '2007-02-01 12:33:44', 'Ardiana Dervishi', '2007-02-01 12:33:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1284, 2007000340, 4, 7, 6, '2007-02-01', '0000-00-00', '12:33:44', NULL, 0, '', 'Create: 2007-02-01 12:33:44 Ardiana Dervishi\n', '', '2007-02-01 12:33:44', 'Ardiana Dervishi', '2007-02-01 12:33:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1285, 2007000340, 5, 1, 6, '2007-02-01', '0000-00-00', '12:33:44', NULL, 0, '', 'Create: 2007-02-01 12:33:44 Ardiana Dervishi\n', '', '2007-02-01 12:33:44', 'Ardiana Dervishi', '2007-02-01 12:33:44');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1286, 2007000341, 2, 6, 6, '2007-02-01', '0000-00-00', '12:38:04', NULL, 0, '', 'Create: 2007-02-01 12:38:04 Ardiana Dervishi\n', '', '2007-02-01 12:38:04', 'Ardiana Dervishi', '2007-02-01 12:38:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1287, 2007000341, 4, 10, 6, '2007-02-01', '0000-00-00', '12:38:04', NULL, 0, '', 'Create: 2007-02-01 12:38:04 Ardiana Dervishi\n', '', '2007-02-01 12:38:04', 'Ardiana Dervishi', '2007-02-01 12:38:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1288, 2007000341, 5, 3, 6, '2007-02-01', '0000-00-00', '12:38:04', NULL, 0, '', 'Create: 2007-02-01 12:38:04 Ardiana Dervishi\n', '', '2007-02-01 12:38:04', 'Ardiana Dervishi', '2007-02-01 12:38:04');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1289, 2007000342, 2, 6, 6, '2007-02-01', '0000-00-00', '12:42:59', NULL, 0, '', 'Create: 2007-02-01 12:42:59 Ardiana Dervishi\n', '', '2007-02-01 12:42:59', 'Ardiana Dervishi', '2007-02-01 12:42:59');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1290, 2007000342, 4, 1, 6, '2007-02-01', '0000-00-00', '12:42:59', NULL, 0, '', 'Create: 2007-02-01 12:42:59 Ardiana Dervishi\n', '', '2007-02-01 12:42:59', 'Ardiana Dervishi', '2007-02-01 12:42:59');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1291, 2007000342, 5, 3, 6, '2007-02-01', '0000-00-00', '12:42:59', NULL, 0, '', 'Create: 2007-02-01 12:42:59 Ardiana Dervishi\n', '', '2007-02-01 12:42:59', 'Ardiana Dervishi', '2007-02-01 12:42:59');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1292, 2007000343, 2, 6, 6, '2007-02-01', '0000-00-00', '12:46:46', NULL, 0, '', 'Create: 2007-02-01 12:46:46 Ardiana Dervishi\n', '', '2007-02-01 12:46:46', 'Ardiana Dervishi', '2007-02-01 12:46:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1293, 2007000343, 4, 1, 6, '2007-02-01', '0000-00-00', '12:46:46', NULL, 0, '', 'Create: 2007-02-01 12:46:46 Ardiana Dervishi\n', '', '2007-02-01 12:46:46', 'Ardiana Dervishi', '2007-02-01 12:46:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1294, 2007000343, 5, 5, 6, '2007-02-01', '0000-00-00', '12:46:46', NULL, 0, '', 'Create: 2007-02-01 12:46:46 Ardiana Dervishi\n', '', '2007-02-01 12:46:46', 'Ardiana Dervishi', '2007-02-01 12:46:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1295, 2007000344, 2, 3, 3, '2007-02-01', '0000-00-00', '12:48:51', NULL, 0, '', 'Create: 2007-02-01 12:48:51 Ermal Dibra\n', '', '2007-02-01 12:48:51', 'Ermal Dibra', '2007-02-01 12:48:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1296, 2007000344, 4, 12, 3, '2007-02-01', '0000-00-00', '12:48:51', NULL, 0, '', 'Create: 2007-02-01 12:48:51 Ermal Dibra\n', '', '2007-02-01 12:48:51', 'Ermal Dibra', '2007-02-01 12:48:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1297, 2007000344, 5, 1, 3, '2007-02-01', '0000-00-00', '12:48:51', NULL, 0, '', 'Create: 2007-02-01 12:48:51 Ermal Dibra\n', '', '2007-02-01 12:48:51', 'Ermal Dibra', '2007-02-01 12:48:51');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1298, 2007000345, 2, 6, 6, '2007-02-01', '0000-00-00', '12:49:49', NULL, 0, '', 'Create: 2007-02-01 12:49:49 Ardiana Dervishi\n', '', '2007-02-01 12:49:49', 'Ardiana Dervishi', '2007-02-01 12:49:49');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1299, 2007000345, 4, 2, 6, '2007-02-01', '0000-00-00', '12:49:49', NULL, 0, '', 'Create: 2007-02-01 12:49:49 Ardiana Dervishi\n', '', '2007-02-01 12:49:49', 'Ardiana Dervishi', '2007-02-01 12:49:49');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1300, 2007000345, 5, 2, 6, '2007-02-01', '0000-00-00', '12:49:49', NULL, 0, '', 'Create: 2007-02-01 12:49:49 Ardiana Dervishi\n', '', '2007-02-01 12:49:49', 'Ardiana Dervishi', '2007-02-01 12:49:49');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1301, 2007000346, 2, 6, 6, '2007-02-01', '0000-00-00', '12:53:21', NULL, 0, '', 'Create: 2007-02-01 12:53:21 Ardiana Dervishi\n', '', '2007-02-01 12:53:21', 'Ardiana Dervishi', '2007-02-01 12:53:21');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1302, 2007000346, 4, 4, 6, '2007-02-01', '0000-00-00', '12:53:21', NULL, 0, '', 'Create: 2007-02-01 12:53:21 Ardiana Dervishi\n', '', '2007-02-01 12:53:21', 'Ardiana Dervishi', '2007-02-01 12:53:21');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1303, 2007000346, 5, 2, 6, '2007-02-01', '0000-00-00', '12:53:21', NULL, 0, '', 'Create: 2007-02-01 12:53:21 Ardiana Dervishi\n', '', '2007-02-01 12:53:21', 'Ardiana Dervishi', '2007-02-01 12:53:21');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1304, 2007000347, 2, 3, 3, '2007-02-01', '0000-00-00', '12:55:02', NULL, 0, '', 'Create: 2007-02-01 12:55:02 Ermal Dibra\n', '', '2007-02-01 12:55:02', 'Ermal Dibra', '2007-02-01 12:55:02');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1305, 2007000347, 4, 3, 3, '2007-02-01', '0000-00-00', '12:55:02', NULL, 0, '', 'Create: 2007-02-01 12:55:02 Ermal Dibra\n', '', '2007-02-01 12:55:02', 'Ermal Dibra', '2007-02-01 12:55:02');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1306, 2007000347, 5, 4, 3, '2007-02-01', '0000-00-00', '12:55:02', NULL, 0, '', 'Create: 2007-02-01 12:55:02 Ermal Dibra\n', '', '2007-02-01 12:55:02', 'Ermal Dibra', '2007-02-01 12:55:02');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1307, 2007000348, 2, 6, 6, '2007-02-01', '0000-00-00', '12:56:06', NULL, 0, '', 'Create: 2007-02-01 12:56:06 Ardiana Dervishi\n', '', '2007-02-01 12:56:06', 'Ardiana Dervishi', '2007-02-01 12:56:06');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1308, 2007000348, 4, 6, 6, '2007-02-01', '0000-00-00', '12:56:06', NULL, 0, '', 'Create: 2007-02-01 12:56:06 Ardiana Dervishi\n', '', '2007-02-01 12:56:06', 'Ardiana Dervishi', '2007-02-01 12:56:06');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1309, 2007000348, 5, 1, 6, '2007-02-01', '0000-00-00', '12:56:06', NULL, 0, '', 'Create: 2007-02-01 12:56:06 Ardiana Dervishi\n', '', '2007-02-01 12:56:06', 'Ardiana Dervishi', '2007-02-01 12:56:06');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1310, 2007000349, 2, 6, 6, '2007-02-01', '0000-00-00', '12:59:56', NULL, 0, '', 'Create: 2007-02-01 12:59:56 Ardiana Dervishi\n', '', '2007-02-01 12:59:56', 'Ardiana Dervishi', '2007-02-01 12:59:56');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1311, 2007000349, 4, 3, 6, '2007-02-01', '0000-00-00', '12:59:56', NULL, 0, '', 'Create: 2007-02-01 12:59:56 Ardiana Dervishi\n', '', '2007-02-01 12:59:56', 'Ardiana Dervishi', '2007-02-01 12:59:56');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1312, 2007000349, 5, 4, 6, '2007-02-01', '0000-00-00', '12:59:56', NULL, 0, '', 'Create: 2007-02-01 12:59:56 Ardiana Dervishi\n', '', '2007-02-01 12:59:56', 'Ardiana Dervishi', '2007-02-01 12:59:56');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1313, 2007000350, 2, 6, 6, '2007-02-01', '0000-00-00', '13:05:14', NULL, 0, '', 'Create: 2007-02-01 13:05:14 Ardiana Dervishi\n', '', '2007-02-01 13:05:14', 'Ardiana Dervishi', '2007-02-01 13:05:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1314, 2007000350, 4, 11, 6, '2007-02-01', '0000-00-00', '13:05:14', NULL, 0, '', 'Create: 2007-02-01 13:05:14 Ardiana Dervishi\n', '', '2007-02-01 13:05:14', 'Ardiana Dervishi', '2007-02-01 13:05:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1315, 2007000350, 5, 2, 6, '2007-02-01', '0000-00-00', '13:05:14', NULL, 0, '', 'Create: 2007-02-01 13:05:14 Ardiana Dervishi\n', '', '2007-02-01 13:05:14', 'Ardiana Dervishi', '2007-02-01 13:05:14');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1316, 2007000351, 2, 6, 6, '2007-02-01', '0000-00-00', '13:08:36', NULL, 0, '', 'Create: 2007-02-01 13:08:36 Ardiana Dervishi\n', '', '2007-02-01 13:08:36', 'Ardiana Dervishi', '2007-02-01 13:08:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1317, 2007000351, 4, 11, 6, '2007-02-01', '0000-00-00', '13:08:36', NULL, 0, '', 'Create: 2007-02-01 13:08:36 Ardiana Dervishi\n', '', '2007-02-01 13:08:36', 'Ardiana Dervishi', '2007-02-01 13:08:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1318, 2007000351, 5, 3, 6, '2007-02-01', '0000-00-00', '13:08:36', NULL, 0, '', 'Create: 2007-02-01 13:08:36 Ardiana Dervishi\n', '', '2007-02-01 13:08:36', 'Ardiana Dervishi', '2007-02-01 13:08:36');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1319, 2007000352, 2, 6, 6, '2007-02-01', '0000-00-00', '13:14:02', NULL, 0, '', 'Create: 2007-02-01 13:14:02 Ardiana Dervishi\n', '', '2007-02-01 13:14:02', 'Ardiana Dervishi', '2007-02-01 13:14:02');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1320, 2007000352, 4, 12, 6, '2007-02-01', '0000-00-00', '13:14:02', NULL, 0, '', 'Create: 2007-02-01 13:14:02 Ardiana Dervishi\n', '', '2007-02-01 13:14:02', 'Ardiana Dervishi', '2007-02-01 13:14:02');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1321, 2007000352, 5, 1, 6, '2007-02-01', '0000-00-00', '13:14:02', NULL, 0, '', 'Create: 2007-02-01 13:14:02 Ardiana Dervishi\n', '', '2007-02-01 13:14:02', 'Ardiana Dervishi', '2007-02-01 13:14:02');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1322, 2007000353, 2, 6, 6, '2007-02-01', '0000-00-00', '13:19:34', NULL, 0, '', 'Create: 2007-02-01 13:19:34 Ardiana Dervishi\n', '', '2007-02-01 13:19:34', 'Ardiana Dervishi', '2007-02-01 13:19:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1323, 2007000353, 4, 7, 6, '2007-02-01', '0000-00-00', '13:19:34', NULL, 0, '', 'Create: 2007-02-01 13:19:34 Ardiana Dervishi\n', '', '2007-02-01 13:19:34', 'Ardiana Dervishi', '2007-02-01 13:19:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1324, 2007000353, 5, 2, 6, '2007-02-01', '0000-00-00', '13:19:34', NULL, 0, '', 'Create: 2007-02-01 13:19:34 Ardiana Dervishi\n', '', '2007-02-01 13:19:34', 'Ardiana Dervishi', '2007-02-01 13:19:34');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1325, 2007000354, 2, 6, 6, '2007-02-01', '0000-00-00', '13:24:31', NULL, 0, '', 'Create: 2007-02-01 13:24:31 Ardiana Dervishi\n', '', '2007-02-01 13:24:31', 'Ardiana Dervishi', '2007-02-01 13:24:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1326, 2007000354, 4, 6, 6, '2007-02-01', '0000-00-00', '13:24:31', NULL, 0, '', 'Create: 2007-02-01 13:24:31 Ardiana Dervishi\n', '', '2007-02-01 13:24:31', 'Ardiana Dervishi', '2007-02-01 13:24:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1327, 2007000354, 5, 2, 6, '2007-02-01', '0000-00-00', '13:24:31', NULL, 0, '', 'Create: 2007-02-01 13:24:31 Ardiana Dervishi\n', '', '2007-02-01 13:24:31', 'Ardiana Dervishi', '2007-02-01 13:24:31');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1328, 2007000355, 2, 6, 6, '2007-08-01', '0000-00-00', '18:56:13', NULL, 0, '', 'Create: 2007-08-01 18:56:13 admin\n', '', '2007-08-01 18:56:13', 'admin', '2007-08-01 18:56:13');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1329, 2007000355, 4, 1, 6, '2007-08-01', '0000-00-00', '18:56:13', NULL, 0, '', 'Create: 2007-08-01 18:56:13 admin\n', '', '2007-08-01 18:56:13', 'admin', '2007-08-01 18:56:13');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1330, 2007000355, 5, 1, 6, '2007-08-01', '0000-00-00', '18:56:13', NULL, 0, '', 'Create: 2007-08-01 18:56:13 admin\n', '', '2007-08-01 18:56:13', 'admin', '2007-08-01 18:56:13');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1331, 2007500000, 1, 49, 49, '2007-08-15', '2007-08-23', '11:21:46', '14:14:54', 8, 'discharged', 'Create: 2007-08-15 11:21:46 Greta Naraci\nUpdate (discharged): 2007-08-23 14:14:54 admin\n', 'admin', '2007-08-23 14:14:54', 'Greta Naraci', '2007-08-15 11:21:46');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1332, 2007500001, 1, 51, 51, '2007-08-20', '0000-00-00', '21:23:00', NULL, 0, '', 'Create: 2007-08-20 21:23:00 admin\n', '', '2007-08-20 21:23:00', 'admin', '2007-08-20 21:23:00');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1333, 2007000356, 2, 6, 6, '2007-08-23', '0000-00-00', '14:13:27', NULL, 0, '', 'Create: 2007-08-23 14:13:27 admin\n', '', '2007-08-23 14:13:27', 'admin', '2007-08-23 14:13:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1334, 2007000356, 4, 2, 6, '2007-08-23', '0000-00-00', '14:13:27', NULL, 0, '', 'Create: 2007-08-23 14:13:27 admin\n', '', '2007-08-23 14:13:27', 'admin', '2007-08-23 14:13:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1335, 2007000356, 5, 1, 6, '2007-08-23', '0000-00-00', '14:13:27', NULL, 0, '', 'Create: 2007-08-23 14:13:27 admin\n', '', '2007-08-23 14:13:27', 'admin', '2007-08-23 14:13:27');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1336, 2007500002, 1, 49, 49, '2007-08-23', '2007-08-23', '14:17:53', '14:19:20', 8, 'discharged', 'Create: 2007-08-23 14:17:53 admin\nUpdate (discharged): 2007-08-23 14:19:20 admin\n', 'admin', '2007-08-23 14:19:20', 'admin', '2007-08-23 14:17:53');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1337, 2007000357, 2, 6, 6, '2007-08-24', '0000-00-00', '10:32:17', NULL, 0, '', 'Create: 2007-08-24 10:32:17 admin\n', '', '2007-08-24 10:32:17', 'admin', '2007-08-24 10:32:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1338, 2007000357, 4, 4, 6, '2007-08-24', '0000-00-00', '10:32:17', NULL, 0, '', 'Create: 2007-08-24 10:32:17 admin\n', '', '2007-08-24 10:32:17', 'admin', '2007-08-24 10:32:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1339, 2007000357, 5, 1, 6, '2007-08-24', '0000-00-00', '10:32:17', NULL, 0, '', 'Create: 2007-08-24 10:32:17 admin\n', '', '2007-08-24 10:32:17', 'admin', '2007-08-24 10:32:17');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1340, 2007000358, 2, 6, 6, '2007-10-06', '0000-00-00', '18:01:55', NULL, 0, '', 'Create: 2007-10-06 18:01:55 admin\n', '', '2007-10-06 18:01:55', 'admin', '2007-10-06 18:01:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1341, 2007000358, 4, 7, 6, '2007-10-06', '0000-00-00', '18:01:55', NULL, 0, '', 'Create: 2007-10-06 18:01:55 admin\n', '', '2007-10-06 18:01:55', 'admin', '2007-10-06 18:01:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1342, 2007000358, 5, 4, 6, '2007-10-06', '0000-00-00', '18:01:55', NULL, 0, '', 'Create: 2007-10-06 18:01:55 admin\n', '', '2007-10-06 18:01:55', 'admin', '2007-10-06 18:01:55');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1343, 2007000360, 2, 6, 6, '2007-10-30', '2007-10-30', '20:38:41', '20:41:52', 4, 'discharged', 'Create: 2007-10-30 20:38:41 admin\nUpdate (discharged): 2007-10-30 20:41:52 kot1\n', 'kot1', '2007-10-30 20:41:52', 'admin', '2007-10-30 20:38:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1344, 2007000360, 4, 19, 6, '2007-10-30', '2007-10-30', '20:38:41', '20:41:52', 4, 'discharged', 'Create: 2007-10-30 20:38:41 admin\nUpdate (discharged): 2007-10-30 20:41:52 kot1\n', 'kot1', '2007-10-30 20:41:52', 'admin', '2007-10-30 20:38:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1345, 2007000360, 5, 7, 6, '2007-10-30', '2007-10-30', '20:38:41', '20:41:52', 4, 'discharged', 'Create: 2007-10-30 20:38:41 admin\nUpdate (discharged): 2007-10-30 20:41:52 kot1\n', 'kot1', '2007-10-30 20:41:52', 'admin', '2007-10-30 20:38:41');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1346, 2007000360, 2, 7, 7, '2007-10-30', '0000-00-00', '20:42:53', NULL, 0, '', 'Create: 2007-10-30 20:42:53 kot1\n', '', '2007-10-30 20:42:53', 'kot1', '2007-10-30 20:42:53');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1347, 2007000360, 4, 12, 7, '2007-10-30', '0000-00-00', '20:42:53', NULL, 0, '', 'Create: 2007-10-30 20:42:53 kot1\n', '', '2007-10-30 20:42:53', 'kot1', '2007-10-30 20:42:53');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1348, 2007000360, 5, 1, 7, '2007-10-30', '0000-00-00', '20:42:53', NULL, 0, '', 'Create: 2007-10-30 20:42:53 kot1\n', '', '2007-10-30 20:42:53', 'kot1', '2007-10-30 20:42:53');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1349, 2007000361, 2, 7, 7, '2007-10-30', '2007-10-30', '20:44:01', '20:46:00', 1, 'discharged', 'Create: 2007-10-30 20:44:01 kot1\nUpdate (discharged): 2007-10-30 20:46:15 kot1\n', 'kot1', '2007-10-30 20:46:15', 'kot1', '2007-10-30 20:44:01');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1350, 2007000361, 4, 12, 7, '2007-10-30', '2007-10-30', '20:44:01', '20:46:00', 1, 'discharged', 'Create: 2007-10-30 20:44:01 kot1\nUpdate (discharged): 2007-10-30 20:46:15 kot1\n', 'kot1', '2007-10-30 20:46:15', 'kot1', '2007-10-30 20:44:01');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1351, 2007000361, 5, 2, 7, '2007-10-30', '2007-10-30', '20:44:01', '20:46:00', 1, 'discharged', 'Create: 2007-10-30 20:44:01 kot1\nUpdate (discharged): 2007-10-30 20:46:15 kot1\n', 'kot1', '2007-10-30 20:46:15', 'kot1', '2007-10-30 20:44:01');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1352, 2007000362, 2, 6, 6, '2007-10-30', '0000-00-00', '20:47:12', NULL, 0, '', 'Create: 2007-10-30 20:47:12 kot1\n', '', '2007-10-30 20:47:12', 'kot1', '2007-10-30 20:47:12');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1353, 2007000362, 4, 19, 6, '2007-10-30', '0000-00-00', '20:47:12', NULL, 0, '', 'Create: 2007-10-30 20:47:12 kot1\n', '', '2007-10-30 20:47:12', 'kot1', '2007-10-30 20:47:12');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1354, 2007000362, 5, 7, 6, '2007-10-30', '0000-00-00', '20:47:12', NULL, 0, '', 'Create: 2007-10-30 20:47:12 kot1\n', '', '2007-10-30 20:47:12', 'kot1', '2007-10-30 20:47:12');
INSERT INTO `care_encounter_location` (`nr`, `encounter_nr`, `type_nr`, `location_nr`, `group_nr`, `date_from`, `date_to`, `time_from`, `time_to`, `discharge_type_nr`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1355, 2007500003, 1, 51, 51, '2007-11-12', '0000-00-00', '12:01:08', NULL, 0, '', 'Create: 2007-11-12 12:01:08 admin\n', '', '2007-11-12 12:01:08', 'admin', '2007-11-12 12:01:08');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter_measurement`
-- 

CREATE TABLE `care_encounter_measurement` (
  `nr` int(11) unsigned NOT NULL auto_increment,
  `msr_date` date NOT NULL default '0000-00-00',
  `msr_time` float(4,2) NOT NULL default '0.00',
  `encounter_nr` int(11) unsigned NOT NULL default '0',
  `msr_type_nr` tinyint(3) unsigned NOT NULL default '0',
  `value` varchar(255) collate latin1_general_ci default NULL,
  `unit_nr` smallint(5) unsigned default NULL,
  `unit_type_nr` tinyint(2) unsigned NOT NULL default '0',
  `notes` varchar(255) collate latin1_general_ci default NULL,
  `measured_by` varchar(35) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  KEY `type` (`msr_type_nr`),
  KEY `encounter_nr` (`encounter_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=27 ;

-- 
-- Dumping data for table `care_encounter_measurement`
-- 

INSERT INTO `care_encounter_measurement` (`nr`, `msr_date`, `msr_time`, `encounter_nr`, `msr_type_nr`, `value`, `unit_nr`, `unit_type_nr`, `notes`, `measured_by`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (15, '2006-12-20', 8.00, 2006000002, 3, '38', 15, 5, NULL, 'Ardianu Dervishi', '', 'Create: 2006-12-20 13:04:20 Ardianu Dervishi\n', 'Ardianu Dervishi', '2006-12-20 13:04:20', 'Ardianu Dervishi', '2006-12-20 13:04:20');
INSERT INTO `care_encounter_measurement` (`nr`, `msr_date`, `msr_time`, `encounter_nr`, `msr_type_nr`, `value`, `unit_nr`, `unit_type_nr`, `notes`, `measured_by`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (16, '2006-12-20', 14.00, 2006000002, 3, '39', 15, 5, NULL, 'Ardianu Dervishi', '', 'Create: 2006-12-20 13:04:20 Ardianu Dervishi\n', 'Ardianu Dervishi', '2006-12-20 13:04:20', 'Ardianu Dervishi', '2006-12-20 13:04:20');
INSERT INTO `care_encounter_measurement` (`nr`, `msr_date`, `msr_time`, `encounter_nr`, `msr_type_nr`, `value`, `unit_nr`, `unit_type_nr`, `notes`, `measured_by`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (17, '2006-12-20', 22.00, 2006000002, 3, '41', 15, 5, NULL, 'Ardianu Dervishi', '', 'Create: 2006-12-20 13:04:20 Ardianu Dervishi\n', 'Ardianu Dervishi', '2006-12-20 13:04:20', 'Ardianu Dervishi', '2006-12-20 13:04:20');
INSERT INTO `care_encounter_measurement` (`nr`, `msr_date`, `msr_time`, `encounter_nr`, `msr_type_nr`, `value`, `unit_nr`, `unit_type_nr`, `notes`, `measured_by`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (18, '2007-08-06', 19.35, 2007000247, 6, '55', 6, 2, NULL, 'Mikel Pavaci', '', 'Created: 2007-08-06 19:35:10 : Mikel Pavaci\r\n', '', '2007-08-06 19:35:41', 'Mikel Pavaci', '2007-08-06 19:35:41');
INSERT INTO `care_encounter_measurement` (`nr`, `msr_date`, `msr_time`, `encounter_nr`, `msr_type_nr`, `value`, `unit_nr`, `unit_type_nr`, `notes`, `measured_by`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (19, '2007-08-06', 19.35, 2007000247, 7, '155', 7, 3, NULL, 'Mikel Pavaci', '', 'Created: 2007-08-06 19:35:10 : Mikel Pavaci\r\n', '', '2007-08-06 19:35:41', 'Mikel Pavaci', '2007-08-06 19:35:41');
INSERT INTO `care_encounter_measurement` (`nr`, `msr_date`, `msr_time`, `encounter_nr`, `msr_type_nr`, `value`, `unit_nr`, `unit_type_nr`, `notes`, `measured_by`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (20, '2007-08-06', 19.35, 2007000247, 9, '55', 7, 3, NULL, 'Mikel Pavaci', '', 'Created: 2007-08-06 19:35:10 : Mikel Pavaci\r\n', '', '2007-08-06 19:35:41', 'Mikel Pavaci', '2007-08-06 19:35:41');
INSERT INTO `care_encounter_measurement` (`nr`, `msr_date`, `msr_time`, `encounter_nr`, `msr_type_nr`, `value`, `unit_nr`, `unit_type_nr`, `notes`, `measured_by`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (21, '2007-09-16', 12.10, 2007000355, 8, '12/12', 14, 4, NULL, 'admin', '', 'Create: 2007-09-14 18:45:35 admin\n', 'admin', '2007-09-14 18:45:35', 'admin', '2007-09-14 18:45:35');
INSERT INTO `care_encounter_measurement` (`nr`, `msr_date`, `msr_time`, `encounter_nr`, `msr_type_nr`, `value`, `unit_nr`, `unit_type_nr`, `notes`, `measured_by`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (22, '2007-09-21', 12.12, 2007000355, 8, '130', 14, 4, NULL, 'admin', '', 'Create: 2007-09-20 18:32:30 admin\n', 'admin', '2007-09-20 18:32:30', 'admin', '2007-09-20 18:32:30');
INSERT INTO `care_encounter_measurement` (`nr`, `msr_date`, `msr_time`, `encounter_nr`, `msr_type_nr`, `value`, `unit_nr`, `unit_type_nr`, `notes`, `measured_by`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (23, '2007-09-21', 12.12, 2007000355, 3, '38', 15, 5, NULL, 'admin', '', 'Create: 2007-09-20 18:32:30 admin\n', 'admin', '2007-09-20 18:32:30', 'admin', '2007-09-20 18:32:30');
INSERT INTO `care_encounter_measurement` (`nr`, `msr_date`, `msr_time`, `encounter_nr`, `msr_type_nr`, `value`, `unit_nr`, `unit_type_nr`, `notes`, `measured_by`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (24, '2007-10-08', 12.12, 2007000355, 8, '20', 14, 4, NULL, 'admin', '', 'Create: 2007-10-08 15:47:31 admin\n', 'admin', '2007-10-08 15:47:31', 'admin', '2007-10-08 15:47:31');
INSERT INTO `care_encounter_measurement` (`nr`, `msr_date`, `msr_time`, `encounter_nr`, `msr_type_nr`, `value`, `unit_nr`, `unit_type_nr`, `notes`, `measured_by`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (25, '2007-10-21', 12.12, 2007000355, 8, '140', 14, 4, NULL, 'admin', '', 'Create: 2007-10-21 14:47:22 admin\n', 'admin', '2007-10-21 14:47:22', 'admin', '2007-10-21 14:47:22');
INSERT INTO `care_encounter_measurement` (`nr`, `msr_date`, `msr_time`, `encounter_nr`, `msr_type_nr`, `value`, `unit_nr`, `unit_type_nr`, `notes`, `measured_by`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (26, '2007-10-21', 12.12, 2007000355, 3, '38', 15, 5, NULL, 'admin', '', 'Create: 2007-10-21 14:47:22 admin\n', 'admin', '2007-10-21 14:47:22', 'admin', '2007-10-21 14:47:22');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter_notes`
-- 

CREATE TABLE `care_encounter_notes` (
  `nr` int(10) unsigned NOT NULL auto_increment,
  `encounter_nr` int(10) unsigned NOT NULL default '0',
  `type_nr` smallint(5) unsigned NOT NULL default '0',
  `notes` text collate latin1_general_ci NOT NULL,
  `short_notes` varchar(25) collate latin1_general_ci default NULL,
  `aux_notes` varchar(255) collate latin1_general_ci default NULL,
  `ref_notes_nr` int(10) unsigned NOT NULL default '0',
  `personell_nr` int(10) unsigned NOT NULL default '0',
  `personell_name` varchar(60) collate latin1_general_ci NOT NULL,
  `send_to_pid` int(11) NOT NULL default '0',
  `send_to_name` varchar(60) collate latin1_general_ci default NULL,
  `date` date default NULL,
  `time` time default NULL,
  `location_type` varchar(35) collate latin1_general_ci default NULL,
  `location_type_nr` tinyint(3) NOT NULL default '0',
  `location_nr` mediumint(8) unsigned NOT NULL default '0',
  `location_id` varchar(60) collate latin1_general_ci default NULL,
  `ack_short_id` varchar(10) collate latin1_general_ci NOT NULL,
  `date_ack` datetime default NULL,
  `date_checked` datetime default NULL,
  `date_printed` datetime default NULL,
  `send_by_mail` tinyint(1) default NULL,
  `send_by_email` tinyint(1) default NULL,
  `send_by_fax` tinyint(1) default NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  KEY `encounter_nr` (`encounter_nr`),
  KEY `type_nr` (`type_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1029 ;

-- 
-- Dumping data for table `care_encounter_notes`
-- 

INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (32, 2006000000, 22, 'Nuk ka alergji', NULL, NULL, 0, 0, 'admin', 0, NULL, '2006-12-18', '13:26:33', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-18 13-26-33 admin\n\r', '', '2006-12-18 13:26:33', 'admin', '2006-12-18 13:26:33');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (33, 2006000000, 3, 'Pacienti doli nga spitali ne gjendje te mire', NULL, NULL, 0, 0, 'admin', 0, NULL, '2006-12-18', '13:34:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-18 13-35-31 admin\n\r', '', '2006-12-18 13:35:31', 'admin', '2006-12-18 13:35:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (34, 2006000004, 3, 'xjerrje nrml', NULL, NULL, 0, 0, 'admin', 0, NULL, '2006-12-20', '12:43:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-20 12-43-11 admin\n\r', '', '2006-12-20 12:43:11', 'admin', '2006-12-20 12:43:11');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (35, 2006000003, 12, 'Bronciolit, insuficence respiratore', 'got_medical_advice', NULL, 0, 0, 'Ardianu Dervishi', 0, NULL, '2006-12-20', '12:59:44', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-20 12:59:44 Ardianu Dervishi', 'Ardianu Dervishi', '2006-12-20 12:59:44', 'Ardianu Dervishi', '2006-12-20 12:59:44');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (36, 2006000003, 13, 'O2, Aspirim sekrecinesh, cefatoksin 200 mg, sol glu.20 cc.\r\nVentolin 7 pika me sol. fiz, 2cc, inhalacion.\r\nPrednizolon 10mg. sol fiz, 20cc, sol fiz. 100cc, me sol glu, 200 cc\r\nNahco3 30cc', 'got_medical_advice', NULL, 35, 0, 'Ardianu Dervishi', 0, NULL, '2006-12-20', '12:59:44', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-20 12:59:44 Ardianu Dervishi', 'Ardianu Dervishi', '2006-12-20 12:59:44', 'Ardianu Dervishi', '2006-12-20 12:59:44');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (37, 2006000002, 22, 'Ng penicilina', NULL, NULL, 0, 0, 'Ardianu Dervishi', 0, NULL, '2006-12-20', '13:03:18', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-20 13-03-18 Ardianu Dervishi\n\r', '', '2006-12-20 13:03:18', 'Ardianu Dervishi', '2006-12-20 13:03:18');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (38, 2006000002, 12, 'Kjekim me antibiotike', NULL, NULL, 0, 0, 'Ardianu Dervishi', 0, NULL, '2006-12-20', '13:03:34', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-20 13-03-34 Ardianu Dervishi\n\r', '', '2006-12-20 13:03:34', 'Ardianu Dervishi', '2006-12-20 13:03:34');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (39, 2006000002, 23, '', 'Lengje', NULL, 0, 0, 'Ardianu Dervishi', 0, NULL, '2006-12-20', '13:03:53', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-20 13-03-53 Ardianu Dervishi\n\r', '', '2006-12-20 13:03:53', 'Ardianu Dervishi', '2006-12-20 13:03:53');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (40, 2006000002, 8, 'Femij ka probleme me defekimin', NULL, NULL, 0, 0, 'Ardianu Dervishi', 0, NULL, '2006-12-20', '13:09:55', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-20 13-09-55 Ardianu Dervishi\n\r', '', '2006-12-20 13:09:55', 'Ardianu Dervishi', '2006-12-20 13:09:55');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (41, 2006000002, 11, 'Femij ka erdhur ne gjendje te rende', NULL, NULL, 0, 0, 'Ardianu Dervishi', 0, NULL, '2006-12-20', '13:10:21', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-20 13-10-21 Ardianu Dervishi\n\r', '', '2006-12-20 13:10:21', 'Ardianu Dervishi', '2006-12-20 13:10:21');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (42, 2006000002, 19, 'Femija te ndicet ne reanimacion, ', NULL, NULL, 0, 0, 'G.N.', 0, NULL, '2006-12-20', '13:10:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-20 13-11-35 Ardianu Dervishi\n\r', '', '2006-12-20 13:11:35', 'Ardianu Dervishi', '2006-12-20 13:11:35');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (43, 2006000002, 15, 'Femija paracitet ne gjendje te rende, dhe kerkohet asistenca e mjekut gjete gjith kohes', NULL, NULL, 0, 0, 'A.M.', 0, NULL, '2006-12-20', '13:11:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-20 13-12-41 Ardianu Dervishi\n\r', '', '2006-12-20 13:12:41', 'Ardianu Dervishi', '2006-12-20 13:12:41');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (44, 2006000004, 14, 'nuk ka', NULL, NULL, 0, 0, 'Ardianu Dervishi', 0, NULL, '2006-12-20', '13:19:56', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-20 13-19-56 Ardianu Dervishi\n\r', '', '2006-12-20 13:19:56', 'Ardianu Dervishi', '2006-12-20 13:19:56');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (45, 2006000004, 6, 'le tanto stupido er puteo', NULL, NULL, 0, 0, 'Ardianu Dervishi', 0, NULL, '2006-12-20', '13:23:00', NULL, 2, 4, 'Pediatria', '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-20 13-23-00 Ardianu Dervishi\n\r', '', '2006-12-20 13:23:00', 'Ardianu Dervishi', '2006-12-20 13:23:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (46, 2006000004, 3, 'ma ne fund', NULL, NULL, 0, 0, 'Ardianu Dervishi', 0, NULL, '2006-12-20', '13:24:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-20 13-24-48 Ardianu Dervishi\n\r', '', '2006-12-20 13:24:48', 'Ardianu Dervishi', '2006-12-20 13:24:48');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (47, 2006000005, 12, 'Insuficenc Respiratore', 'got_medical_advice', 'jo', 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-22', '12:24:37', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-22 12:24:37 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-22 12:24:37', 'Ardiana Dervishi', '2006-12-22 12:24:37');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (48, 2006000005, 13, 'O2 Terapi\r\nSol fiz.2cc+Sol salbotamol 2gut - Inhalim  \r\nSol fiz. 10cc + ultracorten IV, ora 08/20\r\nSol.Glu. 20cc+Cefatokxin IV. ora 08/20\r\nGentamicin 10mg ora 8/20\r\nKetotifen 2x1/4 tab. ora 18/06\r\n\r\nDr. L.Salabegu', 'got_medical_advice', 'jo', 47, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-22', '12:24:37', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-22 12:24:37 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-22 12:24:37', 'Ardiana Dervishi', '2006-12-22 12:24:37');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (49, 2006000003, 3, 'Pacjenti doli me mjekim ambulator.\r\nShih kartelen.', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-22', '12:35:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-22 12-36-47 Ardiana Dervishi\n\r', '', '2006-12-22 12:36:47', 'Ardiana Dervishi', '2006-12-22 12:36:47');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (50, 2006000007, 12, 'Bronkolit Insuf. Resp\r\n \r\n\r\n\r\n\r\n\r\nDr.S.Duka          ', NULL, 'jo', 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-22', '13:07:16', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-22 13:07:16 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-22 13:07:16', 'Ardiana Dervishi', '2006-12-22 13:07:16');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (51, 2006000007, 13, 'O2 Terapia \r\nVentolin \r\nAnpicillin\r\nPrednizolon\r\nVitamina\r\n\r\n', NULL, 'jo', 50, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-22', '13:07:16', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-22 13:07:16 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-22 13:07:16', 'Ardiana Dervishi', '2006-12-22 13:07:16');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (52, 2006000007, 3, 'Pac del me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-22', '13:08:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-22 13-11-59 Ardiana Dervishi\n\r', '', '2006-12-22 13:11:59', 'Ardiana Dervishi', '2006-12-22 13:11:59');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (53, 2006000009, 12, 'Bronchopneumoni bilaterale\r\n\r\nDr. L.Salabegu', 'got_medical_advice', 'Po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-27', '11:40:16', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-27 11:40:16 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-27 11:40:16', 'Ardiana Dervishi', '2006-12-27 11:40:16');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (54, 2006000009, 13, 'Ultrkorten\r\nCefatoxin\r\nGentamicin', 'got_medical_advice', 'Po', 53, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-27', '11:40:16', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-27 11:40:16 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-27 11:40:16', 'Ardiana Dervishi', '2006-12-27 11:40:16');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (55, 2006000010, 12, 'Broncopneumoniabilatrale\r\n\r\nDr.L.Salabegu', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-27', '11:49:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-27 11:49:04 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-27 11:49:04', 'Ardiana Dervishi', '2006-12-27 11:49:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (56, 2006000010, 13, 'Valium sol 5mg\r\nAnalgin 100 mg\r\nUltracorten 25 mg\r\nCepurin 300 mg \r\nGentamicin 20 mg', 'got_medical_advice', 'po', 55, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-27', '11:49:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-27 11:49:04 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-27 11:49:04', 'Ardiana Dervishi', '2006-12-27 11:49:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (57, 2006000011, 12, 'Laringit akut\r\n\r\nDr.H.Kotri', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-27', '12:08:18', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-27 12:08:18 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-27 12:08:18', 'Ardiana Dervishi', '2006-12-27 12:08:18');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (58, 2006000011, 13, 'Ulrakorten 25mg\r\nEuphilin 50mg\r\nCeporin 250mg\r\nKetotifen1/2tab\r\n', 'got_medical_advice', 'po', 57, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-27', '12:08:18', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-27 12:08:18 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-27 12:08:18', 'Ardiana Dervishi', '2006-12-27 12:08:18');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (59, 2006000011, 12, 'Laringit Akut\r\nDr.S.Duka', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-27', '12:13:56', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-27 12:13:56 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-27 12:13:56', 'Ardiana Dervishi', '2006-12-27 12:13:56');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (60, 2006000011, 13, 'Predizolon12.5mg\r\nAmpicillin300mg\r\nInhalacion', 'got_medical_advice', 'po', 59, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-27', '12:13:56', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-27 12:13:56 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-27 12:13:56', 'Ardiana Dervishi', '2006-12-27 12:13:56');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (61, 2006000012, 12, 'Intoksikacion nga Antipioretiket\r\n\r\n\r\nDr.H. Kotri', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-27', '12:26:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-27 12:26:12 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-27 12:26:12', 'Ardiana Dervishi', '2006-12-27 12:26:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (62, 2006000012, 13, 'Valium 5mg\r\nDeksametazon3mg\r\nSol glu 500cc\r\nSol fiz 200cc\r\nSol vit c 5cc', 'got_medical_advice', 'po', 61, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-27', '12:26:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-27 12:26:12 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-27 12:26:12', 'Ardiana Dervishi', '2006-12-27 12:26:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (63, 2006000016, 12, 'Broncopneumoni bilaterale\r\nAriana Bekteshi', 'got_medical_advice', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '10:20:21', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 10:20:21 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 10:20:21', 'Ardiana Dervishi', '2006-12-28 10:20:21');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (64, 2006000016, 13, 'Ceporine,3x100 mg\r\nGentamicfine 2x40mg\r\nVit.B1.b6', 'got_medical_advice', NULL, 63, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '10:20:21', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 10:20:21 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 10:20:21', 'Ardiana Dervishi', '2006-12-28 10:20:21');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (65, 2006000016, 12, 'Idem', 'got_medical_advice', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '10:22:15', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 10:22:15 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 10:22:15', 'Ardiana Dervishi', '2006-12-28 10:22:15');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (66, 2006000016, 13, 'Idem', 'got_medical_advice', NULL, 65, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '10:22:15', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 10:22:15 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 10:22:15', 'Ardiana Dervishi', '2006-12-28 10:22:15');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (67, 2006000018, 12, 'Brokopneumoni Bilaterale\r\nDr. L.Salabegu', 'got_medical_advice', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '11:02:40', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 11:02:40 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 11:02:40', 'Ardiana Dervishi', '2006-12-28 11:02:40');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (68, 2006000018, 13, 'Cepurin 500mg x4\r\nGenta 2x40mg\r\nvitB1,B6', 'got_medical_advice', NULL, 67, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '11:02:40', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 11:02:40 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 11:02:40', 'Ardiana Dervishi', '2006-12-28 11:02:40');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (69, 2006000011, 12, 'Idem', 'got_medical_advice', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '11:05:45', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 11:05:45 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 11:05:45', 'Ardiana Dervishi', '2006-12-28 11:05:45');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (70, 2006000011, 13, 'Idem+Sr Bromeksin', 'got_medical_advice', NULL, 69, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '11:05:45', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 11:05:45 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 11:05:45', 'Ardiana Dervishi', '2006-12-28 11:05:45');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (71, 2006000017, 12, 'Bronchopneumonia\r\n\r\nDr. Liza Salabegu', 'got_medical_advice', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '11:11:24', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 11:11:24 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 11:11:24', 'Ardiana Dervishi', '2006-12-28 11:11:24');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (72, 2006000017, 13, 'Cepurin\r\ngentamicin\r\nvit+', 'got_medical_advice', NULL, 71, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '11:11:24', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 11:11:24 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 11:11:24', 'Ardiana Dervishi', '2006-12-28 11:11:24');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (73, 2006000017, 3, 'Pacienti doli me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '11:12:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-28 11-12-34 Ardiana Dervishi\n\r', '', '2006-12-28 11:12:34', 'Ardiana Dervishi', '2006-12-28 11:12:34');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (74, 2006000019, 12, 'Toxicoz\r\nDr.M Shpori', 'got_medical_advice', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '11:25:18', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 11:25:18 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 11:25:18', 'Ardiana Dervishi', '2006-12-28 11:25:18');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (75, 2006000019, 13, 'Analgin20mg\r\nValium3mg\r\nCeftazidin200mg x4', 'got_medical_advice', NULL, 74, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '11:25:18', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 11:25:18 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 11:25:18', 'Ardiana Dervishi', '2006-12-28 11:25:18');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (76, 2006000020, 12, 'Bronkopneumoni Bilaterale\r\nDr.Aferdita', 'got_medical_advice', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '11:33:56', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 11:33:56 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 11:33:56', 'Ardiana Dervishi', '2006-12-28 11:33:56');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (77, 2006000020, 13, 'Ceporin400mg\r\nSr Bromeksin\r\nVitamina', 'got_medical_advice', NULL, 76, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '11:33:56', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 11:33:56 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 11:33:56', 'Ardiana Dervishi', '2006-12-28 11:33:56');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (78, 2006000021, 12, 'BrokopneumoniBilaterale\r\nDr.L.Salabegu', 'got_medical_advice', 'jo', 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '11:46:15', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 11:46:15 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 11:46:15', 'Ardiana Dervishi', '2006-12-28 11:46:15');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (79, 2006000021, 13, 'Ultrakorten x2 10mg\r\nCeporin x4 100mg\r\nGenta x2 7mg', 'got_medical_advice', 'jo', 78, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '11:46:15', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 11:46:15 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 11:46:15', 'Ardiana Dervishi', '2006-12-28 11:46:15');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (80, 2006000022, 12, 'Brokit Difuz\r\nDr.ABekteshi\r\n', 'got_medical_advice', 'jo', 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '11:53:40', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 11:53:40 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 11:53:40', 'Ardiana Dervishi', '2006-12-28 11:53:40');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (81, 2006000022, 13, 'Ceporin x4 300mg\r\nKemicitinx4 240mg', 'got_medical_advice', 'jo', 80, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '11:53:40', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 11:53:40 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 11:53:40', 'Ardiana Dervishi', '2006-12-28 11:53:40');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (82, 2006000023, 12, 'Bronkopneomonibilaterale\r\nDr.ABekteshi\r\n', 'got_medical_advice', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '12:03:40', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 12:03:40 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 12:03:40', 'Ardiana Dervishi', '2006-12-28 12:03:40');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (83, 2006000023, 13, 'Ultracorten 15mg x2\r\nCeporin 180 mg x4\r\nGenta 7 mg x2', 'got_medical_advice', NULL, 82, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '12:03:40', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 12:03:40 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 12:03:40', 'Ardiana Dervishi', '2006-12-28 12:03:40');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (84, 2006000024, 12, 'Bronco pneumoni dexter\r\nDr.E.Sadiku', 'got_medical_advice', 'jo', 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '12:11:45', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 12:11:45 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 12:11:45', 'Ardiana Dervishi', '2006-12-28 12:11:45');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (85, 2006000024, 13, 'Predizolon 15mg x2\r\nCefotokxin 200 x4\r\nGenta 20mg x2', 'got_medical_advice', 'jo', 84, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-28', '12:11:45', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 12:11:45 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-28 12:11:45', 'Ardiana Dervishi', '2006-12-28 12:11:45');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (86, 2006000025, 12, 'Angor i zgjatur\r\nEdeme pulmonare\r\n\r\nDr.Z.Hoxha', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2006-12-28', '12:52:35', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 12:52:35 Ermal Dibra', 'Ermal Dibra', '2006-12-28 12:52:35', 'Ermal Dibra', '2006-12-28 12:52:35');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (87, 2006000025, 13, 'Morfine 1amp\r\nO terapi\r\nHeparin 5000UI\r\nLasix 2amp', 'got_medical_advice', NULL, 86, 0, 'Ermal Dibra', 0, NULL, '2006-12-28', '12:52:35', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 12:52:35 Ermal Dibra', 'Ermal Dibra', '2006-12-28 12:52:35', 'Ermal Dibra', '2006-12-28 12:52:35');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (88, 2006000025, 12, 'idem', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2006-12-28', '12:55:07', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 12:55:07 Ermal Dibra', 'Ermal Dibra', '2006-12-28 12:55:07', 'Ermal Dibra', '2006-12-28 12:55:07');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (89, 2006000025, 13, 'idem', 'got_medical_advice', NULL, 88, 0, 'Ermal Dibra', 0, NULL, '2006-12-28', '12:55:07', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-28 12:55:07 Ermal Dibra', 'Ermal Dibra', '2006-12-28 12:55:07', 'Ermal Dibra', '2006-12-28 12:55:07');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (90, 2006000015, 3, 'Pacjenti doli me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-29', '11:00:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2006-12-29 11-01-26 Ardiana Dervishi\n\r', '', '2006-12-29 11:01:26', 'Ardiana Dervishi', '2006-12-29 11:01:26');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (91, 2006000026, 12, 'Bronkiolit\r\nS.Duka', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-29', '11:07:54', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-29 11:07:54 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-29 11:07:54', 'Ardiana Dervishi', '2006-12-29 11:07:54');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (92, 2006000026, 13, 'Ihalacion x3\r\nPednizolon x2 10mg\r\nPenicillin G x4 ', 'got_medical_advice', 'po', 91, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-29', '11:07:54', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-29 11:07:54 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-29 11:07:54', 'Ardiana Dervishi', '2006-12-29 11:07:54');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (93, 2006000028, 12, 'Bronkiolit\r\nDr.S.Duka', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-29', '11:34:32', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-29 11:34:32 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-29 11:34:32', 'Ardiana Dervishi', '2006-12-29 11:34:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (94, 2006000028, 13, 'Ampicillin 500mg x4\r\nGenta 20mg x2\r\nDiazepam 2mg x1', 'got_medical_advice', 'po', 93, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-29', '11:34:32', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-29 11:34:32 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-29 11:34:32', 'Ardiana Dervishi', '2006-12-29 11:34:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (95, 2006000027, 12, 'Flegmone pedis\r\nDiabet melitus T2\r\n\r\nDr. Ermir Nelaj', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2006-12-29', '11:38:24', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-29 11:38:24 Ermal Dibra', 'Ermal Dibra', '2006-12-29 11:38:24', 'Ermal Dibra', '2006-12-29 11:38:24');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (96, 2006000027, 13, 'Insulin actrapit \r\nGentamicun  1x80mg\r\nHeparin 3x5000U', 'got_medical_advice', NULL, 95, 0, 'Ermal Dibra', 0, NULL, '2006-12-29', '11:38:24', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-29 11:38:24 Ermal Dibra', 'Ermal Dibra', '2006-12-29 11:38:24', 'Ermal Dibra', '2006-12-29 11:38:24');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (97, 2006000030, 12, 'Artit romatoid ST3\r\nDr. A. Miloti', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2006-12-29', '11:50:25', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-29 11:50:25 Ermal Dibra', 'Ermal Dibra', '2006-12-29 11:50:25', 'Ermal Dibra', '2006-12-29 11:50:25');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (98, 2006000030, 13, 'Voltaren amp1x75mg\r\nCa. Glikonat 3x1amp\r\nMenatroxtat 3x2 tab\r\nPrednizolon 1x25mg\r\nValium 1x5mg\r\n', 'got_medical_advice', NULL, 97, 0, 'Ermal Dibra', 0, NULL, '2006-12-29', '11:50:25', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-29 11:50:25 Ermal Dibra', 'Ermal Dibra', '2006-12-29 11:50:25', 'Ermal Dibra', '2006-12-29 11:50:25');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (99, 2006000029, 12, 'Status post konvulsiv\r\nDr.L. salabegu', 'got_medical_advice', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-29', '12:02:53', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-29 12:02:53 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-29 12:02:53', 'Ardiana Dervishi', '2006-12-29 12:02:53');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100, 2006000029, 13, 'Valium5 mg\r\nGenta 10 mg x2\r\nCeporin 200 mg', 'got_medical_advice', NULL, 99, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-29', '12:02:53', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-29 12:02:53 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-29 12:02:53', 'Ardiana Dervishi', '2006-12-29 12:02:53');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (101, 2006000013, 12, 'Brokopneumoni bilaterale\r\nDr. A.Bekteshi', 'got_medical_advice', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-29', '12:08:44', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-29 12:08:44 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-29 12:08:44', 'Ardiana Dervishi', '2006-12-29 12:08:44');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (102, 2006000013, 13, 'Ampicilin 300 mg\r\nGenta 30mg \r\nVitamina', 'got_medical_advice', NULL, 101, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-29', '12:08:44', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-29 12:08:44 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-29 12:08:44', 'Ardiana Dervishi', '2006-12-29 12:08:44');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (103, 2006000031, 12, 'SAK Angor i paqendrueshem\r\n\r\nDr. Edi Smajlaj', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2006-12-30', '09:44:07', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-30 09:44:07 Ermal Dibra', 'Ermal Dibra', '2006-12-30 09:44:07', 'Ermal Dibra', '2006-12-30 09:44:07');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (104, 2006000031, 13, 'Carvazi 3x1 teb\r\nCorvitol 2x1/4\r\nCalciparin 2x1amp\r\nSalospir 1tab\r\nValium 1tab\r\nNorvasc1/2 tab', 'got_medical_advice', NULL, 103, 0, 'Ermal Dibra', 0, NULL, '2006-12-30', '09:44:07', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-30 09:44:07 Ermal Dibra', 'Ermal Dibra', '2006-12-30 09:44:07', 'Ermal Dibra', '2006-12-30 09:44:07');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (105, 2006000032, 12, 'Bronchiolitis', 'got_medical_advice', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-30', '10:31:06', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-30 10:31:06 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-30 10:31:06', 'Ardiana Dervishi', '2006-12-30 10:31:06');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (106, 2006000032, 13, 'Ventolin 13 pika+Sol Fiz.\r\nCefalexin 200mg+sol glu.5% 30cc\r\nPrednizolon 25mg + sol.fiz', 'got_medical_advice', NULL, 105, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-30', '10:31:06', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-30 10:31:06 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-30 10:31:06', 'Ardiana Dervishi', '2006-12-30 10:31:06');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (107, 2006000033, 12, 'Stomolitis & tonsilitis purtolent\r\nDr. Manjola Shpori', 'got_medical_advice', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-30', '11:13:17', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-30 11:13:17 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-30 11:13:17', 'Ardiana Dervishi', '2006-12-30 11:13:17');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (108, 2006000033, 13, 'Valium 5mg\r\nSol glu.+Sol.Fiz\r\nCefatoxin 300mg', 'got_medical_advice', NULL, 107, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-30', '11:13:17', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-30 11:13:17 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-30 11:13:17', 'Ardiana Dervishi', '2006-12-30 11:13:17');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (109, 2006000034, 12, 'Bronch.Pneumoni Destructive Bilaterale', 'got_medical_advice', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-30', '11:29:52', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-30 11:29:52 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-30 11:29:52', 'Ardiana Dervishi', '2006-12-30 11:29:52');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (110, 2006000034, 13, 'Cafatoxin 500mg+Sol.Glu.50cc+Vit\r\nGenta.40mg+sol.glu.50cc\r\nMetomidozol 200mg\r\nFlagyl 0.25 2x1 tab\r\nSol Fiz. 200cc+Sol Glu400cc\r\nPrednizolon 25mg+sol.fiz 20cc', 'got_medical_advice', NULL, 109, 0, 'Ardiana Dervishi', 0, NULL, '2006-12-30', '11:29:52', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2006-12-30 11:29:52 Ardiana Dervishi', 'Ardiana Dervishi', '2006-12-30 11:29:52', 'Ardiana Dervishi', '2006-12-30 11:29:52');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (111, 2007000000, 12, 'Bronkopneumoni bilaterale\r\n', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-03', '11:08:13', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-03 11:08:13 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-03 11:08:13', 'Ardiana Dervishi', '2007-01-03 11:08:13');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (112, 2007000000, 13, 'Predizolon 10mg\r\nPenicillin G 250 mg\r\nGenta 15mg', 'got_medical_advice', 'po', 111, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-03', '11:08:13', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-03 11:08:13 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-03 11:08:13', 'Ardiana Dervishi', '2007-01-03 11:08:13');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (113, 2006000026, 3, 'Pacjenti ka dale nga spitali me mjekim.', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-03', '11:14:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-03 11-15-43 Ardiana Dervishi\n\r', '', '2007-01-03 11:15:43', 'Ardiana Dervishi', '2007-01-03 11:15:43');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (114, 2007000001, 12, 'Bronkilit Insuficenc Respiratore \r\nAnomali e zemers', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-03', '11:20:20', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-03 11:20:20 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-03 11:20:20', 'Ardiana Dervishi', '2007-01-03 11:20:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (115, 2007000001, 13, 'O2 terapi Inhalacion\r\nUltrakorten 25mg x2\r\nEuphilin 25 mg x1\r\nAmpicillin 250 mg x4\r\n', 'got_medical_advice', 'po', 114, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-03', '11:20:20', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-03 11:20:20 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-03 11:20:20', 'Ardiana Dervishi', '2007-01-03 11:20:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (116, 2006000028, 3, 'Ka dale me mjekim', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-03', '11:25:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-03 11-26-06 Ardiana Dervishi\n\r', '', '2007-01-03 11:26:06', 'Ardiana Dervishi', '2007-01-03 11:26:06');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (117, 2006000013, 3, 'Pacjenti ka dale nga spitali me mjekim', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-04', '11:37:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-04 11-38-08 Ardiana Dervishi\n\r', '', '2007-01-04 11:38:08', 'Ardiana Dervishi', '2007-01-04 11:38:08');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (118, 2006000032, 3, 'Pacjenti ka dale me mjekim', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-04', '11:38:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-04 11-39-09 Ardiana Dervishi\n\r', '', '2007-01-04 11:39:09', 'Ardiana Dervishi', '2007-01-04 11:39:09');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (119, 2007000003, 12, 'Infexion viral ', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-04', '11:44:15', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-04 11:44:15 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-04 11:44:15', 'Ardiana Dervishi', '2007-01-04 11:44:15');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (120, 2007000003, 13, 'Ceporin 500 mg iv x4\r\nGenta 40 mg iv x2\r\nSup paracetomol 3x2', 'got_medical_advice', 'po', 119, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-04', '11:44:15', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-04 11:44:15 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-04 11:44:15', 'Ardiana Dervishi', '2007-01-04 11:44:15');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (121, 2007000004, 12, 'Dizanteri', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-04', '11:53:26', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-04 11:53:26 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-04 11:53:26', 'Ardiana Dervishi', '2007-01-04 11:53:26');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (122, 2007000004, 13, 'Cefatoxin 500 mg iv x4\r\nGenta 30mg iv x2\r\nSol NaHCO3 10cc+Sol KCl 10cc iv x 2\r\n', 'got_medical_advice', 'po', 121, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-04', '11:53:26', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-04 11:53:26 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-04 11:53:26', 'Ardiana Dervishi', '2007-01-04 11:53:26');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (123, 2007000005, 12, 'Bronchopneomoni spastike', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-05', '11:15:39', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-05 11:15:39 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-05 11:15:39', 'Ardiana Dervishi', '2007-01-05 11:15:39');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (124, 2007000005, 13, 'Prednizon iv x2\r\nCeporin iv x4\r\nInhalacion', 'got_medical_advice', 'po', 123, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-05', '11:15:39', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-05 11:15:39 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-05 11:15:39', 'Ardiana Dervishi', '2007-01-05 11:15:39');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (125, 2006000014, 3, 'Doli me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-05', '11:20:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-05 11-21-26 Ardiana Dervishi\n\r', '', '2007-01-05 11:21:26', 'Ardiana Dervishi', '2007-01-05 11:21:26');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (126, 2006000012, 3, 'Doli nga spitali me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-05', '11:21:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-05 11-22-29 Ardiana Dervishi\n\r', '', '2007-01-05 11:22:29', 'Ardiana Dervishi', '2007-01-05 11:22:29');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (127, 2007000007, 12, 'Bronkopneumoni spastike', 'got_medical_advice', 'PO', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-05', '11:32:27', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-05 11:32:27 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-05 11:32:27', 'Ardiana Dervishi', '2007-01-05 11:32:27');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (128, 2007000007, 13, 'Prednizolon 15 mg iv x2\r\nCeporin 100 mg  iv x4\r\nGenta 15mg iv x2', 'got_medical_advice', 'PO', 127, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-05', '11:32:27', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-05 11:32:27 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-05 11:32:27', 'Ardiana Dervishi', '2007-01-05 11:32:27');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (129, 2006000023, 3, 'Doli me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-05', '11:38:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-05 11-39-49 Ardiana Dervishi\n\r', '', '2007-01-05 11:39:49', 'Ardiana Dervishi', '2007-01-05 11:39:49');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (130, 2006000022, 3, 'Doli me mjekim', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-05', '11:39:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-05 11-40-27 Ardiana Dervishi\n\r', '', '2007-01-05 11:40:27', 'Ardiana Dervishi', '2007-01-05 11:40:27');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (131, 2006000021, 3, 'Doli me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-05', '11:40:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-05 11-41-24 Ardiana Dervishi\n\r', '', '2007-01-05 11:41:24', 'Ardiana Dervishi', '2007-01-05 11:41:24');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (132, 2007000011, 12, 'Bronkiolit', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-06', '08:12:57', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-06 08:12:57 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-06 08:12:57', 'Ardiana Dervishi', '2007-01-06 08:12:57');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (133, 2007000011, 13, 'Inhalacion 3x\r\nCeftriaxione 2x 250 mg\r\nGenta 2x 10 mg\r\nUltracorten 2x 10 mg\r\nPrometazin 1x 1/10amp', 'got_medical_advice', 'po', 132, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-06', '08:12:57', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-06 08:12:57 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-06 08:12:57', 'Ardiana Dervishi', '2007-01-06 08:12:57');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (134, 2007000012, 12, 'Bronkopneumoni bilaterale', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-06', '08:35:39', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-06 08:35:39 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-06 08:35:39', 'Ardiana Dervishi', '2007-01-06 08:35:39');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (135, 2007000012, 13, 'Ultracorten 2x iv 15mg\r\nCeftriaxione 2x iv 250mg\r\nGenta 2x iv 20mg', 'got_medical_advice', 'po', 134, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-06', '08:35:39', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-06 08:35:39 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-06 08:35:39', 'Ardiana Dervishi', '2007-01-06 08:35:39');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (136, 2007000013, 12, 'Bronkopneumoni bilaterale\r\nVaricele', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-06', '08:42:51', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-06 08:42:51 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-06 08:42:51', 'Ardiana Dervishi', '2007-01-06 08:42:51');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (137, 2007000013, 13, 'Analgin 150mg\r\nCeftriaxione 250mg x2 iv\r\nGenta 20 x2 iv \r\nUltracorten 20mg', 'got_medical_advice', 'po', 136, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-06', '08:42:51', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-06 08:42:51 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-06 08:42:51', 'Ardiana Dervishi', '2007-01-06 08:42:51');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (138, 2007000015, 12, 'Pneumoni sinistra', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-08', '13:14:14', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-08 13:14:14 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-08 13:14:14', 'Ardiana Dervishi', '2007-01-08 13:14:14');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (139, 2007000015, 13, 'Cefuroxine 300mg 4v iv\r\nGenta 30mg 2x iv\r\n', 'got_medical_advice', 'po', 138, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-08', '13:14:14', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-08 13:14:14 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-08 13:14:14', 'Ardiana Dervishi', '2007-01-08 13:14:14');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (140, 2007000002, 3, 'Pacjenti mori mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-08', '13:14:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-08 13-15-24 Ardiana Dervishi\n\r', '', '2007-01-08 13:15:24', 'Ardiana Dervishi', '2007-01-08 13:15:24');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (141, 2007000016, 12, 'Brokiolit', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-08', '13:27:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-08 13:27:00 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-08 13:27:00', 'Ardiana Dervishi', '2007-01-08 13:27:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (142, 2007000016, 13, 'Ampicillin 300 mg iv x4\r\nPredizolon 25 mg iv x2', 'got_medical_advice', 'po', 141, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-08', '13:27:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-08 13:27:00 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-08 13:27:00', 'Ardiana Dervishi', '2007-01-08 13:27:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (143, 2007000017, 12, 'Gastroenterit', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-09', '09:34:16', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-09 09:34:16 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-09 09:34:16', 'Ardiana Dervishi', '2007-01-09 09:34:16');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (144, 2007000017, 13, 'Ultracorten 25mg iv x2\r\nAmpicillin 300mg iv x2\r\nSol KCL 5cc\r\nSol NaHCO3 5cc', 'got_medical_advice', 'po', 143, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-09', '09:34:16', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-09 09:34:16 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-09 09:34:16', 'Ardiana Dervishi', '2007-01-09 09:34:16');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (145, 2007000018, 12, 'Tosilit Folikolar', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-09', '10:39:55', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-09 10:39:55 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-09 10:39:55', 'Ardiana Dervishi', '2007-01-09 10:39:55');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (146, 2007000018, 13, 'Cefatox 250 mg iv x2\r\nGenta 20 mg iv x2\r\nVit c 3x 1tab', 'got_medical_advice', 'po', 145, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-09', '10:39:55', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-09 10:39:55 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-09 10:39:55', 'Ardiana Dervishi', '2007-01-09 10:39:55');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (147, 2007000019, 12, 'Broncopneumoni Bilaterale', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-09', '10:45:40', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-09 10:45:40 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-09 10:45:40', 'Ardiana Dervishi', '2007-01-09 10:45:40');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (148, 2007000019, 13, 'Ultracorten 25mg iv x2\r\nKemicitin 250 mg iv x2\r\nVitamin c 3x1 tab ', 'got_medical_advice', 'po', 147, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-09', '10:45:40', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-09 10:45:40 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-09 10:45:40', 'Ardiana Dervishi', '2007-01-09 10:45:40');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (149, 2007000020, 12, 'Bronkopneumoni', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-09', '11:22:57', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-09 11:22:57 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-09 11:22:57', 'Ardiana Dervishi', '2007-01-09 11:22:57');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (150, 2007000020, 13, 'Ultracorten 10 mg iv x2\r\nCeporin  200mg iv x4\r\nGenta 20 mg iv x2', 'got_medical_advice', 'po', 149, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-09', '11:22:57', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-09 11:22:57 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-09 11:22:57', 'Ardiana Dervishi', '2007-01-09 11:22:57');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (151, 2007000021, 12, 'Tonsilit purulent', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-09', '11:28:02', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-09 11:28:02 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-09 11:28:02', 'Ardiana Dervishi', '2007-01-09 11:28:02');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (152, 2007000021, 13, 'Cefatox 500 mg iv x4\r\nGenta 60 mg iv x2\r\nVit c 2x 1/tab', 'got_medical_advice', 'po', 151, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-09', '11:28:02', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-09 11:28:02 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-09 11:28:02', 'Ardiana Dervishi', '2007-01-09 11:28:02');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (153, 2007000022, 12, 'Brochiolit Isuficrnc Respiratore ', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-09', '11:35:44', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-09 11:35:44 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-09 11:35:44', 'Ardiana Dervishi', '2007-01-09 11:35:44');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (154, 2007000022, 13, 'Aspirim Inhalacion\r\nAmpicillin 100 mg iv x4 \r\nPrednizolon 10 mg iv x2', 'got_medical_advice', 'po', 153, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-09', '11:35:44', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-09 11:35:44 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-09 11:35:44', 'Ardiana Dervishi', '2007-01-09 11:35:44');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (155, 2007000011, 3, 'Pacjenti ka dale nga spitali me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-09', '11:36:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-09 11-37-21 Ardiana Dervishi\n\r', '', '2007-01-09 11:37:21', 'Ardiana Dervishi', '2007-01-09 11:37:21');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (156, 2007000004, 3, 'Del me mjekim', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-09', '12:08:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-09 12-09-20 Ardiana Dervishi\n\r', '', '2007-01-09 12:09:20', 'Ardiana Dervishi', '2007-01-09 12:09:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (157, 2007000003, 3, 'Doli me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-09', '12:09:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-09 12-10-04 Ardiana Dervishi\n\r', '', '2007-01-09 12:10:04', 'Ardiana Dervishi', '2007-01-09 12:10:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (158, 2006000029, 3, 'Doli me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-09', '12:10:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-09 12-10-42 Ardiana Dervishi\n\r', '', '2007-01-09 12:10:42', 'Ardiana Dervishi', '2007-01-09 12:10:42');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (159, 2007000005, 3, 'Pacjenti ka dale nga spitali me mjekim', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-09', '12:13:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-09 12-14-22 Ardiana Dervishi\n\r', '', '2007-01-09 12:14:22', 'Ardiana Dervishi', '2007-01-09 12:14:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (160, 2007000023, 12, 'Infeksion viral', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-09', '12:25:10', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-09 12:25:10 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-09 12:25:10', 'Ardiana Dervishi', '2007-01-09 12:25:10');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (161, 2007000023, 13, 'Analgin 300mg iv x1\r\nKemicitin 500mg iv x2', 'got_medical_advice', 'po', 160, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-09', '12:25:10', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-09 12:25:10 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-09 12:25:10', 'Ardiana Dervishi', '2007-01-09 12:25:10');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (162, 2007000024, 12, 'Brnko pneumoni', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-10', '11:04:55', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-10 11:04:55 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-10 11:04:55', 'Ardiana Dervishi', '2007-01-10 11:04:55');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (163, 2007000024, 13, 'Ultracorten 15 mg iv x2\r\nCefatox 200 mg iv x4\r\nGenta 10 mg iv x2', 'got_medical_advice', 'po', 162, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-10', '11:04:55', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-10 11:04:55 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-10 11:04:55', 'Ardiana Dervishi', '2007-01-10 11:04:55');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (164, 2007000025, 12, 'Bronchopneumoni', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-10', '11:11:54', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-10 11:11:54 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-10 11:11:54', 'Ardiana Dervishi', '2007-01-10 11:11:54');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (165, 2007000025, 13, 'Cefatoxin 200 mg iv x4\r\nGenta 20 mg iv x2\r\nPrednizolon 12.5 mg iv x2', 'got_medical_advice', 'po', 164, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-10', '11:11:54', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-10 11:11:54 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-10 11:11:54', 'Ardiana Dervishi', '2007-01-10 11:11:54');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (166, 2007000027, 12, 'Tonsilit OBS', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-10', '12:10:20', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-10 12:10:20 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-10 12:10:20', 'Ardiana Dervishi', '2007-01-10 12:10:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (167, 2007000027, 13, 'Kemicitin 800 mg iv x2\r\nSol glu + Sol fiz 600 cc\r\nVit c 3x1 tab', 'got_medical_advice', 'po', 166, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-10', '12:10:20', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-10 12:10:20 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-10 12:10:20', 'Ardiana Dervishi', '2007-01-10 12:10:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (168, 2007000028, 12, 'Tonsilit OBS', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-10', '12:15:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-10 12:15:00 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-10 12:15:00', 'Ardiana Dervishi', '2007-01-10 12:15:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (169, 2007000028, 13, 'Kemicitin 250 mg iv x2\r\nAmpicillin 300 mg iv x4 \r\nVit c 3 x1 tab', 'got_medical_advice', 'po', 168, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-10', '12:15:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-10 12:15:00 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-10 12:15:00', 'Ardiana Dervishi', '2007-01-10 12:15:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (170, 2007000026, 12, 'Nefropatia per determinim', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-10', '12:15:18', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-10 12:15:18 Ermal Dibra', 'Ermal Dibra', '2007-01-10 12:15:18', 'Ermal Dibra', '2007-01-10 12:15:18');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (171, 2007000026, 13, '\r\nVit C 3*2 tab\r\nlisonopril  2*1/2tab\r\nCa glukonati  3*2 tab\r\nCiprox  2*1tab\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n', 'got_medical_advice', NULL, 170, 0, 'Ermal Dibra', 0, NULL, '2007-01-10', '12:15:18', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-10 12:15:18 Ermal Dibra', 'Ermal Dibra', '2007-01-10 12:15:18', 'Ermal Dibra', '2007-01-10 12:15:18');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (172, 2007000029, 12, 'Tonsilit Purulent', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-10', '12:22:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-10 12:22:12 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-10 12:22:12', 'Ardiana Dervishi', '2007-01-10 12:22:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (173, 2007000029, 13, 'Cepurin 500 mg iv x4\r\nGenta 40 mg iv x2\r\nSol Glu +Sol Fiz 500cc iv x2', 'got_medical_advice', 'po', 172, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-10', '12:22:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-10 12:22:12 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-10 12:22:12', 'Ardiana Dervishi', '2007-01-10 12:22:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (174, 2007000030, 12, 'Colika Abdominale  OBS', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-10', '12:29:55', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-10 12:29:55 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-10 12:29:55', 'Ardiana Dervishi', '2007-01-10 12:29:55');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (175, 2007000030, 13, 'Sol glukoz +Sol fiz 500 cc iv ngadal x1\r\nSol vit c 5cc\r\nPiperazin 3x1 tab', 'got_medical_advice', 'po', 174, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-10', '12:29:55', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-10 12:29:55 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-10 12:29:55', 'Ardiana Dervishi', '2007-01-10 12:29:55');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (176, 2007000031, 12, 'Kardiopati Kongenitale\r\nBronkopneumoni', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-10', '12:36:20', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-10 12:36:20 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-10 12:36:20', 'Ardiana Dervishi', '2007-01-10 12:36:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (177, 2007000031, 13, 'Ultracorten 25 mg iv x2\r\nCeporin 200 mg iv x4\r\nGenta 20 mg iv x2\r\nSir Tusipentol 3x1 l/kafe', 'got_medical_advice', 'po', 176, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-10', '12:36:20', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-10 12:36:20 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-10 12:36:20', 'Ardiana Dervishi', '2007-01-10 12:36:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (178, 2007000030, 3, 'Pacjenti doli nga spitali me mjekim ', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-10', '12:41:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-10 12-42-00 Ardiana Dervishi\n\r', '', '2007-01-10 12:42:00', 'Ardiana Dervishi', '2007-01-10 12:42:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (179, 2007000001, 12, 'Anomali e Zemers', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-11', '08:44:39', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 08:44:39 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-11 08:44:39', 'Ardiana Dervishi', '2007-01-11 08:44:39');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (180, 2007000001, 13, 'Cefuroxime 150 mg iv x2\r\nDigoxine 1/2 tab', 'got_medical_advice', 'po', 179, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-11', '08:44:39', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 08:44:39 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-11 08:44:39', 'Ardiana Dervishi', '2007-01-11 08:44:39');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (181, 2006000027, 3, 'Pacientja doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '08:55:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-11 08-58-04 Ermal Dibra\n\r', '', '2007-01-11 08:58:04', 'Ermal Dibra', '2007-01-11 08:58:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (182, 2007000033, 12, 'Bronchiolit\r\nDr.SDuka', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-11', '10:52:38', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 10:52:38 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-11 10:52:38', 'Ardiana Dervishi', '2007-01-11 10:52:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (183, 2007000033, 13, 'Prednizolon 25 mg iv x2\r\nAminophilin 100 mg iv + Sol glu 200cc \r\n iv x2\r\nAmpicillin 400 mg iv x4\r\nSir Mukotres 3x1l/kafe', 'got_medical_advice', 'po', 182, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-11', '10:52:38', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 10:52:38 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-11 10:52:38', 'Ardiana Dervishi', '2007-01-11 10:52:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (184, 2007000032, 12, 'SKV ne trajtim me HDI   \r\nGangrena pedis sin \r\nDM T2 me trajtim me insulin\r\n\r\nDr Teuta Mali', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '10:56:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 10:56:31 Ermal Dibra', 'Ermal Dibra', '2007-01-11 10:56:31', 'Ermal Dibra', '2007-01-11 10:56:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (185, 2007000032, 13, 'Ceftazidim  2x1 + sol fiz0.9%  20 cc\r\nAnalgin3x1 iv\r\nvit c 3x2\r\nFe sulfat3x1\r\nValium 1 amp iv.\r\n', 'got_medical_advice', NULL, 184, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '10:56:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 10:56:31 Ermal Dibra', 'Ermal Dibra', '2007-01-11 10:56:31', 'Ermal Dibra', '2007-01-11 10:56:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (186, 2007000034, 12, 'Bronchopneumoni bilaterale\r\nDr.LSalabegu', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-11', '11:00:06', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 11:00:06 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-11 11:00:06', 'Ardiana Dervishi', '2007-01-11 11:00:06');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (187, 2007000034, 13, 'Ultracorten 25mg iv x 2\r\nCeporin 400 mg iv x4\r\nGenta 20 mg iv x2', 'got_medical_advice', 'po', 186, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-11', '11:00:06', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 11:00:06 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-11 11:00:06', 'Ardiana Dervishi', '2007-01-11 11:00:06');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (188, 2007000036, 12, 'Tonsilit\r\nDr.ABekteshi', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-11', '11:06:29', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 11:06:29 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-11 11:06:29', 'Ardiana Dervishi', '2007-01-11 11:06:29');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (189, 2007000036, 13, 'Valium 5 mg iv x1\r\nKemicitin 800 mg iv x2\r\nAmpicilin 1gr iv x2', 'got_medical_advice', 'po', 188, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-11', '11:06:29', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 11:06:29 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-11 11:06:29', 'Ardiana Dervishi', '2007-01-11 11:06:29');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (190, 2007000035, 12, 'Diab Melitus tip 2', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '11:07:21', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 11:07:21 Ermal Dibra', 'Ermal Dibra', '2007-01-11 11:07:21', 'Ermal Dibra', '2007-01-11 11:07:21');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (191, 2007000035, 13, 'Ins. Actrapid\r\nIns. Mixtard 32UI.\r\nBisokor 1tab\r\nEnal. 2x1/2', 'got_medical_advice', NULL, 190, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '11:07:21', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 11:07:21 Ermal Dibra', 'Ermal Dibra', '2007-01-11 11:07:21', 'Ermal Dibra', '2007-01-11 11:07:21');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (192, 2007000037, 12, 'Mbytje ne grop te gelqeres\r\nDr.ABekteshi', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-11', '11:12:21', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 11:12:21 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-11 11:12:21', 'Ardiana Dervishi', '2007-01-11 11:12:21');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (193, 2007000037, 13, 'Ultracorten 25 mg iv x2\r\nPenicillin G 300 mg iv x4\r\nKemicitin 300 mg iv x2', 'got_medical_advice', 'po', 192, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-11', '11:12:21', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 11:12:21 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-11 11:12:21', 'Ardiana Dervishi', '2007-01-11 11:12:21');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (194, 2007000038, 12, 'Tonsilit purulent\r\nDr.ABekteshi', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-11', '11:18:02', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 11:18:02 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-11 11:18:02', 'Ardiana Dervishi', '2007-01-11 11:18:02');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (195, 2007000038, 13, 'Ceporin 500 mg iv x4\r\nSol glu +Sol fiz 500cc +Vit c 5cc \r\niv x2', 'got_medical_advice', 'po', 194, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-11', '11:18:02', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 11:18:02 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-11 11:18:02', 'Ardiana Dervishi', '2007-01-11 11:18:02');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (196, 2007000040, 12, 'Urticarje\r\nDr.ABekteshi', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-11', '11:23:17', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 11:23:17 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-11 11:23:17', 'Ardiana Dervishi', '2007-01-11 11:23:17');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (197, 2007000040, 13, 'Ultracorten 25 mg iv x2\r\nSol Ca Glukonat 10cc+Sol glukoz 500 cc iv x1', 'got_medical_advice', 'po', 196, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-11', '11:23:17', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 11:23:17 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-11 11:23:17', 'Ardiana Dervishi', '2007-01-11 11:23:17');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (198, 2007000039, 12, 'Susp DM tip 2\r\nSusp SIZ .HTA .', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '11:28:19', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 11:28:19 Ermal Dibra', 'Ermal Dibra', '2007-01-11 11:28:19', 'Ermal Dibra', '2007-01-11 11:28:19');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (199, 2007000039, 13, 'Carva. 3x1tab\r\nRan. 2x1tab\r\nAtenalol 2x1/4tab\r\nAmpic. 3x1 fl.+Sol .fiz 20cc\r\n\r\nDr. L Mlloja\r\n', 'got_medical_advice', NULL, 198, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '11:28:19', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 11:28:19 Ermal Dibra', 'Ermal Dibra', '2007-01-11 11:28:19', 'Ermal Dibra', '2007-01-11 11:28:19');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (200, 2007000041, 12, 'SAK  Angina pektoris e paqendrueshme\r\n\r\nDr N. Kasemi', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '11:41:30', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 11:41:30 Ermal Dibra', 'Ermal Dibra', '2007-01-11 11:41:30', 'Ermal Dibra', '2007-01-11 11:41:30');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (201, 2007000041, 13, 'Sol Heparin 5000 UI\r\nMorfin 1/2amp +Fiz 10cc \r\nAten. 2x1/2 tab\r\nCarvazin 3x1 tab\r\nRanitidin 2x1tab', 'got_medical_advice', NULL, 200, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '11:41:30', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 11:41:30 Ermal Dibra', 'Ermal Dibra', '2007-01-11 11:41:30', 'Ermal Dibra', '2007-01-11 11:41:30');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (202, 2007000041, 3, 'Pacientja pa puls pa TA.\r\nJu be masazh kardiak. Pacientja ne Rea, ju perdor defibrilatori 3 here por nuk u kthye.Pacientja beri Egzitus.\r\n', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '11:42:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-11 12-15-11 Ermal Dibra\n\r', '', '2007-01-11 12:15:11', 'Ermal Dibra', '2007-01-11 12:15:11');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (203, 2007000042, 12, 'D M tip 2 Flegmona\r\n\r\nDr.L Mlloja\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '13:35:27', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 13:35:27 Ermal Dibra', 'Ermal Dibra', '2007-01-11 13:35:27', 'Ermal Dibra', '2007-01-11 13:35:27');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (204, 2007000042, 13, 'Insu .Mixtard 24/-/16UI S/C\r\nCepurin +sol fiz.09% 20cc\r\nGent.2x1 amp\r\nFlogyl 3x2tab', 'got_medical_advice', NULL, 203, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '13:35:27', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 13:35:27 Ermal Dibra', 'Ermal Dibra', '2007-01-11 13:35:27', 'Ermal Dibra', '2007-01-11 13:35:27');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (205, 2007000043, 12, 'Pyelonefrit chronik.IRK\r\n\r\nDr A.Agolli', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '13:43:33', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 13:43:33 Ermal Dibra', 'Ermal Dibra', '2007-01-11 13:43:33', 'Ermal Dibra', '2007-01-11 13:43:33');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (206, 2007000043, 13, 'Atenaloli 2x1/2tab\r\nGlokoze 5% +Ca glukonati 2x1fl\r\n', 'got_medical_advice', NULL, 205, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '13:43:33', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 13:43:33 Ermal Dibra', 'Ermal Dibra', '2007-01-11 13:43:33', 'Ermal Dibra', '2007-01-11 13:43:33');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (207, 2007000044, 12, 'S.A.K Angina pektoris e paqendrueshme HTA\r\n\r\nDr S. Pirani', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '14:00:55', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 14:00:55 Ermal Dibra', 'Ermal Dibra', '2007-01-11 14:00:55', 'Ermal Dibra', '2007-01-11 14:00:55');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (208, 2007000044, 13, 'Carvazin 4x1tab\r\nAtenaloli 1/2\r\nSalospiri 1tab\r\nLasix 1tab\r\nEnaloprili 2x1/2tab \r\nValiumi 1 tab', 'got_medical_advice', NULL, 207, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '14:00:55', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 14:00:55 Ermal Dibra', 'Ermal Dibra', '2007-01-11 14:00:55', 'Ermal Dibra', '2007-01-11 14:00:55');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (209, 2007000045, 12, 'KMP e dilatuar Insuficensa kardiake \r\nNYHA III-IV\r\n\r\nDr N Kasemi', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '14:09:56', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 14:09:56 Ermal Dibra', 'Ermal Dibra', '2007-01-11 14:09:56', 'Ermal Dibra', '2007-01-11 14:09:56');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (210, 2007000045, 13, 'Lasix 2x2amp\r\nSpironolakton 2x1tab\r\nEnalopril 2x1/2tab', 'got_medical_advice', NULL, 209, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '14:09:56', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 14:09:56 Ermal Dibra', 'Ermal Dibra', '2007-01-11 14:09:56', 'Ermal Dibra', '2007-01-11 14:09:56');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (211, 2007000046, 12, 'Leucemia mieloide chronike\r\n\r\n\r\nDr E Kraja', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '14:16:13', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 14:16:13 Ermal Dibra', 'Ermal Dibra', '2007-01-11 14:16:13', 'Ermal Dibra', '2007-01-11 14:16:13');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (212, 2007000046, 13, 'Allapurinol3x1tab', 'got_medical_advice', NULL, 211, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '14:16:13', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 14:16:13 Ermal Dibra', 'Ermal Dibra', '2007-01-11 14:16:13', 'Ermal Dibra', '2007-01-11 14:16:13');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (213, 2007000047, 12, 'Cardiopatia e dilatuar Insuf kardiake\r\n\r\n\r\nDR Semiha Pirani', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '14:24:40', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 14:24:40 Ermal Dibra', 'Ermal Dibra', '2007-01-11 14:24:40', 'Ermal Dibra', '2007-01-11 14:24:40');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (214, 2007000047, 13, 'Lasix 2x2amp\r\nSpironolakton 1 tab \r\nDigoxini  1tab\r\nDilantrent 2x1/2tab\r\nEnalopril 2x1/2tab', 'got_medical_advice', NULL, 213, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '14:24:40', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 14:24:40 Ermal Dibra', 'Ermal Dibra', '2007-01-11 14:24:40', 'Ermal Dibra', '2007-01-11 14:24:40');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (215, 2007000048, 12, 'SAK Angor i paqendrueshem\r\n\r\n\r\nDr E Smajlaj', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '14:31:21', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 14:31:21 Ermal Dibra', 'Ermal Dibra', '2007-01-11 14:31:21', 'Ermal Dibra', '2007-01-11 14:31:21');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (216, 2007000048, 13, 'Diltiazem 3x1tab\r\nCarvazin 4x1tab\r\nCalciparini 2x1amp S/C \r\nMorfine 1amp', 'got_medical_advice', NULL, 215, 0, 'Ermal Dibra', 0, NULL, '2007-01-11', '14:31:21', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-11 14:31:21 Ermal Dibra', 'Ermal Dibra', '2007-01-11 14:31:21', 'Ermal Dibra', '2007-01-11 14:31:21');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (217, 2007000049, 12, 'Ciroza hepatike dekompesuar\r\n\r\nDr N Tabaku', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-12', '08:07:23', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 08:07:23 Ermal Dibra', 'Ermal Dibra', '2007-01-12 08:07:23', 'Ermal Dibra', '2007-01-12 08:07:23');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (218, 2007000049, 13, 'Glokoze 5% 500CC+Ca glukonati+vit C+Ranitidine  3x1 IV\r\nVit K 2x2amp\r\nVit B 12 1amp\r\nSpironolakton 2x2tab\r\nLasix 1/2tab\r\n', 'got_medical_advice', NULL, 217, 0, 'Ermal Dibra', 0, NULL, '2007-01-12', '08:07:23', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 08:07:23 Ermal Dibra', 'Ermal Dibra', '2007-01-12 08:07:23', 'Ermal Dibra', '2007-01-12 08:07:23');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (219, 2007000049, 12, 'Ciroza hepatike dekompesuar\r\n\r\nDr N Tabaku', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-12', '08:07:25', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 08:07:25 Ermal Dibra', 'Ermal Dibra', '2007-01-12 08:07:25', 'Ermal Dibra', '2007-01-12 08:07:25');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (220, 2007000049, 13, 'Glokoze 5% 500CC+Ca glukonati+vit C+Ranitidine  3x1 IV\r\nVit K 2x2amp\r\nVit B 12 1amp\r\nSpironolakton 2x2tab\r\nLasix 1/2tab\r\n', 'got_medical_advice', NULL, 219, 0, 'Ermal Dibra', 0, NULL, '2007-01-12', '08:07:25', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 08:07:25 Ermal Dibra', 'Ermal Dibra', '2007-01-12 08:07:25', 'Ermal Dibra', '2007-01-12 08:07:25');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (221, 2007000050, 12, 'Broncohopneumoni  \r\nInsuficenc respiratore\r\nDr.SDuka', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-12', '10:14:38', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 10:14:38 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-12 10:14:38', 'Ardiana Dervishi', '2007-01-12 10:14:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (222, 2007000050, 13, 'O2 Terapi +Inhalacion +Aspirim\r\nUltracorten 10 mg iv x2\r\nGenta 6 mg iv x2', 'got_medical_advice', 'po', 221, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-12', '10:14:38', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 10:14:38 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-12 10:14:38', 'Ardiana Dervishi', '2007-01-12 10:14:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (223, 2007000051, 12, 'Bronchopneumoni bilaterale\r\nDr.RMiloti', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-12', '10:23:32', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 10:23:32 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-12 10:23:32', 'Ardiana Dervishi', '2007-01-12 10:23:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (224, 2007000051, 13, 'Inhalacion +Aspirim\r\nUltracorten 10 mg iv x2\r\nCefatoxime 100 mg iv x4\r\nGentamicin 10mg iv x2', 'got_medical_advice', 'po', 223, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-12', '10:23:32', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 10:23:32 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-12 10:23:32', 'Ardiana Dervishi', '2007-01-12 10:23:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (225, 2007000046, 3, 'I drejtohet KEMPIT', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-12', '10:27:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-12 10-28-43 Ermal Dibra\n\r', '', '2007-01-12 10:28:43', 'Ermal Dibra', '2007-01-12 10:28:43');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (226, 2006000031, 3, 'Me mjekim ambulator\r\nDoli me daten 10/1/07', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-10', '10:38:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-12 10-42-14 Ermal Dibra\n\r', '', '2007-01-12 10:42:14', 'Ermal Dibra', '2007-01-12 10:42:14');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (227, 2007000052, 12, 'Edeme pulmunare acute\r\n\r\nDr S Pirani', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-12', '12:19:51', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 12:19:51 Ermal Dibra', 'Ermal Dibra', '2007-01-12 12:19:51', 'Ermal Dibra', '2007-01-12 12:19:51');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (228, 2007000052, 13, 'Lasix  2amp\r\nAnalgin 1amp\r\nO2 terapi', 'got_medical_advice', NULL, 227, 0, 'Ermal Dibra', 0, NULL, '2007-01-12', '12:19:51', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 12:19:51 Ermal Dibra', 'Ermal Dibra', '2007-01-12 12:19:51', 'Ermal Dibra', '2007-01-12 12:19:51');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (229, 2007000053, 12, 'Suspekt miokardit F.A\r\n\r\nDr S PIrani', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-12', '12:25:59', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 12:25:59 Ermal Dibra', 'Ermal Dibra', '2007-01-12 12:25:59', 'Ermal Dibra', '2007-01-12 12:25:59');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (230, 2007000053, 13, 'Lanatocid C 1amp\r\nAmpic 1fl\r\nLasix', 'got_medical_advice', NULL, 229, 0, 'Ermal Dibra', 0, NULL, '2007-01-12', '12:25:59', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 12:25:59 Ermal Dibra', 'Ermal Dibra', '2007-01-12 12:25:59', 'Ermal Dibra', '2007-01-12 12:25:59');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (231, 2007000054, 12, 'LLC\r\n\r\nDr E Kraja', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-12', '12:31:03', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 12:31:03 Ermal Dibra', 'Ermal Dibra', '2007-01-12 12:31:03', 'Ermal Dibra', '2007-01-12 12:31:03');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (232, 2007000054, 13, 'Ceftazidin 2x1gr\r\nGentamicin 2x1amp\r\nPrednizolon 2x1amp', 'got_medical_advice', NULL, 231, 0, 'Ermal Dibra', 0, NULL, '2007-01-12', '12:31:03', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 12:31:03 Ermal Dibra', 'Ermal Dibra', '2007-01-12 12:31:03', 'Ermal Dibra', '2007-01-12 12:31:03');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (233, 2007000055, 12, '\r\nGj.Lipotemie,HTA,SIZ, D. Mellitus\r\n\r\nDr L Mlloja', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-12', '12:39:42', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 12:39:42 Ermal Dibra', 'Ermal Dibra', '2007-01-12 12:39:42', 'Ermal Dibra', '2007-01-12 12:39:42');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (234, 2007000055, 13, 'Primperan 1amp \r\nCarvazin 4x1tab\r\nAspirin 1/2tab \r\nAmpic 3x1 fl', 'got_medical_advice', NULL, 233, 0, 'Ermal Dibra', 0, NULL, '2007-01-12', '12:39:42', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 12:39:42 Ermal Dibra', 'Ermal Dibra', '2007-01-12 12:39:42', 'Ermal Dibra', '2007-01-12 12:39:42');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (235, 2007000056, 12, 'SAK Angor ipaqendrueshm\r\n\r\n\r\nDr E Smajlaj', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-12', '12:44:52', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 12:44:52 Ermal Dibra', 'Ermal Dibra', '2007-01-12 12:44:52', 'Ermal Dibra', '2007-01-12 12:44:52');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (236, 2007000056, 13, 'Analgi 1amp IV\r\nCarvazi 4x1 tab \r\nHepari 4x5000UI s/c\r\nValium 1tab', 'got_medical_advice', NULL, 235, 0, 'Ermal Dibra', 0, NULL, '2007-01-12', '12:44:52', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 12:44:52 Ermal Dibra', 'Ermal Dibra', '2007-01-12 12:44:52', 'Ermal Dibra', '2007-01-12 12:44:52');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (237, 2007000057, 12, ' Bursit acut\r\n\r\nDr A.Miloti', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-12', '12:50:43', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 12:50:43 Ermal Dibra', 'Ermal Dibra', '2007-01-12 12:50:43', 'Ermal Dibra', '2007-01-12 12:50:43');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (238, 2007000057, 13, 'Artrosilen 1amp\r\nCa glukonat 3x1 amp\r\nCodeine 3x1 tab\r\nValium 1tab', 'got_medical_advice', NULL, 237, 0, 'Ermal Dibra', 0, NULL, '2007-01-12', '12:50:43', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 12:50:43 Ermal Dibra', 'Ermal Dibra', '2007-01-12 12:50:43', 'Ermal Dibra', '2007-01-12 12:50:43');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (239, 2007000058, 12, 'Bronchiolit\r\nDr.SDuka', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-12', '12:54:33', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 12:54:33 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-12 12:54:33', 'Ardiana Dervishi', '2007-01-12 12:54:33');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (240, 2007000058, 13, 'Aspirim +Inhalacion\r\nUltracorten 10 mg iv x2\r\nAmpicillin 250 mg iv x4', 'got_medical_advice', 'po', 239, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-12', '12:54:33', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 12:54:33 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-12 12:54:33', 'Ardiana Dervishi', '2007-01-12 12:54:33');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (241, 2007000059, 12, 'Bronchopneumonia dex\r\nM.Shpori', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-12', '13:12:08', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 13:12:08 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-12 13:12:08', 'Ardiana Dervishi', '2007-01-12 13:12:08');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (242, 2007000059, 13, 'Ceporine 500mg i/v x4\r\ngentamicine 50 mgi/vx2', 'got_medical_advice', 'po', 241, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-12', '13:12:08', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-12 13:12:08 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-12 13:12:08', 'Ardiana Dervishi', '2007-01-12 13:12:08');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (243, 2007000021, 3, 'Doli me mjekim ambulator', NULL, NULL, 0, 0, 'Greta Naraci', 0, NULL, '2007-01-12', '00:00:10', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-12 13-40-49 Greta Naraci\n\r', '', '2007-01-12 13:40:49', 'Greta Naraci', '2007-01-12 13:40:49');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (244, 2007000029, 3, 'mjekim ambulator', NULL, NULL, 0, 0, 'Greta Naraci', 0, NULL, '2007-01-12', '13:41:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-12 13-42-39 Greta Naraci\n\r', '', '2007-01-12 13:42:39', 'Greta Naraci', '2007-01-12 13:42:39');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (245, 2007000060, 12, 'Anemia per determinim\r\n\r\n\r\nDr.E.Kraja', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '07:46:27', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 07:46:27 Ermal Dibra', 'Ermal Dibra', '2007-01-13 07:46:27', 'Ermal Dibra', '2007-01-13 07:46:27');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (246, 2007000060, 13, 'vlium 1amp\r\nRetafer 3x1tab\r\nAc folik 3x1tab\r\nRanitidine 2x1tab\r\nGlukoze 5% 500cc+vit 1amp +vit B1 1amp 2x1fl IV', 'got_medical_advice', NULL, 245, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '07:46:27', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 07:46:27 Ermal Dibra', 'Ermal Dibra', '2007-01-13 07:46:27', 'Ermal Dibra', '2007-01-13 07:46:27');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (247, 2007000061, 12, 'Gj. post melene.\r\n\r\nDr .Z.Hoxha', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '08:02:03', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 08:02:03 Ermal Dibra', 'Ermal Dibra', '2007-01-13 08:02:03', 'Ermal Dibra', '2007-01-13 08:02:03');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (248, 2007000061, 13, 'Vit K2x2amp\r\nSol fiz 0.9% 500cc 1fl\r\nCa kloruri 1amp\r\nRanitidin 3x1amp', 'got_medical_advice', NULL, 247, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '08:02:03', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 08:02:03 Ermal Dibra', 'Ermal Dibra', '2007-01-13 08:02:03', 'Ermal Dibra', '2007-01-13 08:02:03');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (249, 2007000061, 12, 'Gj. post melene.\r\n\r\nDr .Z.Hoxha', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '08:02:05', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 08:02:05 Ermal Dibra', 'Ermal Dibra', '2007-01-13 08:02:05', 'Ermal Dibra', '2007-01-13 08:02:05');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (250, 2007000061, 13, 'Vit K2x2amp\r\nSol fiz 0.9% 500cc 1fl\r\nCa kloruri 1amp\r\nRanitidin 3x1amp', 'got_medical_advice', NULL, 249, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '08:02:05', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 08:02:05 Ermal Dibra', 'Ermal Dibra', '2007-01-13 08:02:05', 'Ermal Dibra', '2007-01-13 08:02:05');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (251, 2007000061, 12, 'Gj. post melene.\r\n\r\nDr .Z.Hoxha', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '08:02:07', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 08:02:07 Ermal Dibra', 'Ermal Dibra', '2007-01-13 08:02:07', 'Ermal Dibra', '2007-01-13 08:02:07');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (252, 2007000061, 13, 'Vit K2x2amp\r\nSol fiz 0.9% 500cc 1fl\r\nCa kloruri 1amp\r\nRanitidin 3x1amp', 'got_medical_advice', NULL, 251, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '08:02:07', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 08:02:07 Ermal Dibra', 'Ermal Dibra', '2007-01-13 08:02:07', 'Ermal Dibra', '2007-01-13 08:02:07');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (253, 2007000062, 12, 'U.B.Duodeni ne krize\r\n\r\n\r\nDr.Z.Hoxha', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '08:09:58', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 08:09:58 Ermal Dibra', 'Ermal Dibra', '2007-01-13 08:09:58', 'Ermal Dibra', '2007-01-13 08:09:58');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (254, 2007000062, 13, 'Ranitidine 2x1tab\r\nBuskupan 2x1amp\r\nPrimperan3x1tab\r\nValium 1 tab', 'got_medical_advice', NULL, 253, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '08:09:58', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 08:09:58 Ermal Dibra', 'Ermal Dibra', '2007-01-13 08:09:58', 'Ermal Dibra', '2007-01-13 08:09:58');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (255, 2007000062, 12, 'U.B.Duodeni ne krize\r\n\r\n\r\nDr.Z.Hoxha', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '08:09:59', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 08:09:59 Ermal Dibra', 'Ermal Dibra', '2007-01-13 08:09:59', 'Ermal Dibra', '2007-01-13 08:09:59');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (256, 2007000062, 13, 'Ranitidine 2x1tab\r\nBuskupan 2x1amp\r\nPrimperan3x1tab\r\nValium 1 tab', 'got_medical_advice', NULL, 255, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '08:09:59', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 08:09:59 Ermal Dibra', 'Ermal Dibra', '2007-01-13 08:09:59', 'Ermal Dibra', '2007-01-13 08:09:59');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (257, 2007000063, 12, 'Diabet Mellitus tip 2,IVU\r\n\r\nDr.L.Mlloja', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '09:15:08', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 09:15:08 Ermal Dibra', 'Ermal Dibra', '2007-01-13 09:15:08', 'Ermal Dibra', '2007-01-13 09:15:08');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (258, 2007000063, 13, 'Ins.Actapidi 12/14/-\r\nIns.Mixtard -/-/22 UI \r\nCiprinol 2amp+fiz 200cc 2x1fl IV\r\nGentamicine 2x1amp IM\r\nCodeine 3x1tab\r\nVit c 3x1tab', 'got_medical_advice', NULL, 257, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '09:15:08', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 09:15:08 Ermal Dibra', 'Ermal Dibra', '2007-01-13 09:15:08', 'Ermal Dibra', '2007-01-13 09:15:08');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (259, 2007000064, 12, 'Diabet Mellitus tip2 i thyer.\r\nShtrohet per te filluar insulinen.\r\n\r\n\r\nDr .L.Mlloja', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '09:23:18', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 09:23:18 Ermal Dibra', 'Ermal Dibra', '2007-01-13 09:23:18', 'Ermal Dibra', '2007-01-13 09:23:18');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (260, 2007000064, 13, 'Ins. Aktrapid 14/16/16/12 UI S/C\r\nFiz 500cc+MGSO4 1fl.IV\r\nAmpicillini 3x1fl IV\r\nValium 1tab', 'got_medical_advice', NULL, 259, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '09:23:18', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 09:23:18 Ermal Dibra', 'Ermal Dibra', '2007-01-13 09:23:18', 'Ermal Dibra', '2007-01-13 09:23:18');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (261, 2007000065, 12, 'Diabet Mellitus tip 2 .HTA\r\n\r\n\r\nDr L.Mlloja', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '09:34:58', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 09:34:58 Ermal Dibra', 'Ermal Dibra', '2007-01-13 09:34:58', 'Ermal Dibra', '2007-01-13 09:34:58');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (262, 2007000065, 13, 'Ins. actrapid 16/18/-UI\r\nIns.mixtard-/-/22\r\nBipenicillini 3x1 fl\r\nGentamicini 3x1amp', 'got_medical_advice', NULL, 261, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '09:34:58', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 09:34:58 Ermal Dibra', 'Ermal Dibra', '2007-01-13 09:34:58', 'Ermal Dibra', '2007-01-13 09:34:58');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (263, 2007000066, 12, 'Pyelonefriti acut sin\r\n\r\n\r\nDr.A.Agolli', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '12:10:43', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 12:10:43 Ermal Dibra', 'Ermal Dibra', '2007-01-13 12:10:43', 'Ermal Dibra', '2007-01-13 12:10:43');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (264, 2007000066, 13, 'Glukoze 20cc+Cepurin 3x1fl IV\r\nGentamicin 2x1amp im\r\nAc folik 3x1tab', 'got_medical_advice', NULL, 263, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '12:10:43', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 12:10:43 Ermal Dibra', 'Ermal Dibra', '2007-01-13 12:10:43', 'Ermal Dibra', '2007-01-13 12:10:43');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (265, 2007000067, 12, 'Hepatomegali per determinim\r\n\r\nDr.Z.Hoxha', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '12:16:33', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 12:16:33 Ermal Dibra', 'Ermal Dibra', '2007-01-13 12:16:33', 'Ermal Dibra', '2007-01-13 12:16:33');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (266, 2007000067, 13, 'Primperan 2x1amp\r\nLegalon 3x1tab', 'got_medical_advice', NULL, 265, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '12:16:33', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 12:16:33 Ermal Dibra', 'Ermal Dibra', '2007-01-13 12:16:33', 'Ermal Dibra', '2007-01-13 12:16:33');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (267, 2007000068, 12, 'Diabet mellitus tip2\r\nFlegmona pedis\r\n\r\nDr .E.Nelaj', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '12:24:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 12:24:01 Ermal Dibra', 'Ermal Dibra', '2007-01-13 12:24:01', 'Ermal Dibra', '2007-01-13 12:24:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (268, 2007000068, 13, 'Voltaren 1amp\r\nAdalat 1tab\r\nCepurin 3x1fl iv\r\nGentamicin 3x1amp\r\n', 'got_medical_advice', NULL, 267, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '12:24:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 12:24:01 Ermal Dibra', 'Ermal Dibra', '2007-01-13 12:24:01', 'Ermal Dibra', '2007-01-13 12:24:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (269, 2007000069, 12, 'Hipertension Arterial\r\nCardiopatia  hipretensive\r\n\r\nDr.N.Kasemi', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '12:40:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 12:40:04 Ermal Dibra', 'Ermal Dibra', '2007-01-13 12:40:04', 'Ermal Dibra', '2007-01-13 12:40:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (270, 2007000069, 13, 'Losortan2x1tab\r\nAmioderon 4x1tab\r\nSalospir 1tab', 'got_medical_advice', NULL, 269, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '12:40:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 12:40:04 Ermal Dibra', 'Ermal Dibra', '2007-01-13 12:40:04', 'Ermal Dibra', '2007-01-13 12:40:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (271, 2007000070, 12, 'Bronchopneumoni bilaterale\r\nDr.ABekteshi', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-13', '12:43:06', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 12:43:06 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-13 12:43:06', 'Ardiana Dervishi', '2007-01-13 12:43:06');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (272, 2007000070, 13, 'Ceporin 150mg/iv x2\r\nGenta 10 mg/iv x2', 'got_medical_advice', 'po', 271, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-13', '12:43:06', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 12:43:06 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-13 12:43:06', 'Ardiana Dervishi', '2007-01-13 12:43:06');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (273, 2007000071, 12, 'Bronchiolit\r\nDr.ABekteshi', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-13', '12:48:15', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 12:48:15 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-13 12:48:15', 'Ardiana Dervishi', '2007-01-13 12:48:15');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (274, 2007000071, 13, 'Ceporin 450 mg/iv x2\r\nKemicitin 305mg/iv x2', 'got_medical_advice', 'po', 273, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-13', '12:48:15', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 12:48:15 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-13 12:48:15', 'Ardiana Dervishi', '2007-01-13 12:48:15');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (275, 2007000072, 12, 'Tonsilit purulent\r\nDr.ABekteshi', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-13', '12:55:08', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 12:55:08 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-13 12:55:08', 'Ardiana Dervishi', '2007-01-13 12:55:08');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (276, 2007000072, 13, 'Ceporin 600 mg/iv x2\r\nGenta 80 mg/iv x2', 'got_medical_advice', 'po', 275, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-13', '12:55:08', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 12:55:08 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-13 12:55:08', 'Ardiana Dervishi', '2007-01-13 12:55:08');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (277, 2007000073, 12, 'Gastroenterit\r\nDr.LSalabegu', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-13', '13:01:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 13:01:12 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-13 13:01:12', 'Ardiana Dervishi', '2007-01-13 13:01:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (278, 2007000073, 13, 'Kemicitin 1gr/500mg/iv x/2\r\nSol KCl 5cc\r\nSol NaHCO3 /5cc', 'got_medical_advice', 'po', 277, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-13', '13:01:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-13 13:01:12 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-13 13:01:12', 'Ardiana Dervishi', '2007-01-13 13:01:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (279, 2007000001, 3, 'Pacjenti doli nga spitali  me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-15', '08:21:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-15 08-24-01 Ardiana Dervishi\n\r', '', '2007-01-15 08:24:01', 'Ardiana Dervishi', '2007-01-15 08:24:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (280, 2007000074, 12, 'Bronchiolit\r\nDr.RMiloti', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-15', '08:28:46', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-15 08:28:46 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-15 08:28:46', 'Ardiana Dervishi', '2007-01-15 08:28:46');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (281, 2007000074, 13, 'Cefatoxime 100 mg/iv x2\r\nUltracorten 10/mg iv x2', 'got_medical_advice', 'po', 280, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-15', '08:28:46', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-15 08:28:46 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-15 08:28:46', 'Ardiana Dervishi', '2007-01-15 08:28:46');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (282, 2007000075, 12, 'Intoxikacion nga Fosfororganik\r\nDr.MShpori', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-15', '08:36:32', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-15 08:36:32 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-15 08:36:32', 'Ardiana Dervishi', '2007-01-15 08:36:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (283, 2007000075, 13, 'Lavazh gastrik\r\nSol Glukoz 400cc\r\nSol Fizjllogjik 400cc iv/gut gut x1\r\nAtropin 0.2 mg s/c x1\r\n', 'got_medical_advice', 'po', 282, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-15', '08:36:32', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-15 08:36:32 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-15 08:36:32', 'Ardiana Dervishi', '2007-01-15 08:36:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (284, 2007000064, 3, 'Pacienti doli me mjeim ambulatore.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '09:27:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-15 09-30-08 Ermal Dibra\n\r', '', '2007-01-15 09:30:08', 'Ermal Dibra', '2007-01-15 09:30:08');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (285, 2007000055, 3, 'Pacientja doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '09:31:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-15 09-32-41 Ermal Dibra\n\r', '', '2007-01-15 09:32:41', 'Ermal Dibra', '2007-01-15 09:32:41');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (286, 2007000076, 12, 'Varicele\r\nDr.MShpori', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-15', '11:23:05', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-15 11:23:05 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-15 11:23:05', 'Ardiana Dervishi', '2007-01-15 11:23:05');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (287, 2007000076, 13, 'Ceporin 250/mg/iv x4\r\nSol glukoz 250/mg vi x2\r\nSol vit c+B1 3x1 tab', 'got_medical_advice', 'po', 286, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-15', '11:23:05', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-15 11:23:05 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-15 11:23:05', 'Ardiana Dervishi', '2007-01-15 11:23:05');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (288, 2007000077, 12, 'Bronchiolit\r\nDr.MShpori', 'got_medical_advice', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-15', '11:35:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-15 11:35:31 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-15 11:35:31', 'Ardiana Dervishi', '2007-01-15 11:35:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (289, 2007000077, 13, 'Ceporin 250/mg iv x4\r\nGentamicin 12/mg x2\r\nPrednizolon 15 mg iv x2', 'got_medical_advice', 'po', 288, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-15', '11:35:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-15 11:35:31 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-15 11:35:31', 'Ardiana Dervishi', '2007-01-15 11:35:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (290, 2007000078, 12, 'Status postkonvulsiv\r\nDr/Manjla Shpori', 'got_medical_advice', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-15', '12:09:47', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-15 12:09:47 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-15 12:09:47', 'Ardiana Dervishi', '2007-01-15 12:09:47');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (291, 2007000078, 13, 'Valium 5mg\r\nCepurin 200mg\r\nParacetemol 3x125mg', 'got_medical_advice', NULL, 290, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-15', '12:09:47', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-15 12:09:47 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-15 12:09:47', 'Ardiana Dervishi', '2007-01-15 12:09:47');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (292, 2007000079, 12, 'Pyelonefrit acut sin.\r\n\r\nDR.a.AGOLLI', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-16', '07:36:15', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-16 07:36:15 Ermal Dibra', 'Ermal Dibra', '2007-01-16 07:36:15', 'Ermal Dibra', '2007-01-16 07:36:15');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (293, 2007000079, 13, 'cEPURIN 3X1 FL IV\r\nGENTAMICIN 3X1amp', 'got_medical_advice', NULL, 292, 0, 'Ermal Dibra', 0, NULL, '2007-01-16', '07:36:15', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-16 07:36:15 Ermal Dibra', 'Ermal Dibra', '2007-01-16 07:36:15', 'Ermal Dibra', '2007-01-16 07:36:15');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (294, 2007000080, 12, 'Colopatia per determinim.\r\n\r\nDr.N.Tabaku', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-16', '07:40:56', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-16 07:40:56 Ermal Dibra', 'Ermal Dibra', '2007-01-16 07:40:56', 'Ermal Dibra', '2007-01-16 07:40:56');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (295, 2007000080, 13, 'Buskupan 2x1amp', 'got_medical_advice', NULL, 294, 0, 'Ermal Dibra', 0, NULL, '2007-01-16', '07:40:56', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-16 07:40:56 Ermal Dibra', 'Ermal Dibra', '2007-01-16 07:40:56', 'Ermal Dibra', '2007-01-16 07:40:56');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (296, 2007000081, 12, 'U.B.duodeni ne krize.\r\n\r\nDr.Z.Hoxha', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-16', '07:48:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-16 07:48:04 Ermal Dibra', 'Ermal Dibra', '2007-01-16 07:48:04', 'Ermal Dibra', '2007-01-16 07:48:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (297, 2007000081, 13, '1-buskupan 1amp.\r\n2-primperan 1amp.\r\n3-sol. fiziologjik 500cc 1fl iv.', 'got_medical_advice', NULL, 296, 0, 'Ermal Dibra', 0, NULL, '2007-01-16', '07:48:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-16 07:48:04 Ermal Dibra', 'Ermal Dibra', '2007-01-16 07:48:04', 'Ermal Dibra', '2007-01-16 07:48:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (298, 2007000082, 12, 'SAK.Angina pectorise paqendrueshme.\r\n\r\nDr.S.Pirani', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-16', '07:57:06', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-16 07:57:06 Ermal Dibra', 'Ermal Dibra', '2007-01-16 07:57:06', 'Ermal Dibra', '2007-01-16 07:57:06');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (299, 2007000082, 13, 'Heparin 4x5000ui S/C\r\nCorvitol 1/2tab', 'got_medical_advice', NULL, 298, 0, 'Ermal Dibra', 0, NULL, '2007-01-16', '07:57:06', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-16 07:57:06 Ermal Dibra', 'Ermal Dibra', '2007-01-16 07:57:06', 'Ermal Dibra', '2007-01-16 07:57:06');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (300, 2007000052, 3, 'Gjendje eper miresuar', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '09:01:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-16 09-02-54 Ermal Dibra\n\r', '', '2007-01-16 09:02:54', 'Ermal Dibra', '2007-01-16 09:02:54');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (301, 2007000056, 3, 'Me mjekim ambulator', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-13', '09:03:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-16 09-04-19 Ermal Dibra\n\r', '', '2007-01-16 09:04:19', 'Ermal Dibra', '2007-01-16 09:04:19');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (302, 2007000083, 12, 'Cirroze hepatike dekompesuar.\r\n\r\nDr.Z.Hoxha', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-16', '12:33:09', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-16 12:33:09 Ermal Dibra', 'Ermal Dibra', '2007-01-16 12:33:09', 'Ermal Dibra', '2007-01-16 12:33:09');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (303, 2007000083, 13, 'lasix 1tab\r\nspironolakton 2x2tab\r\nGlukoze 500cc+ca glukonat1amp 2x1fl iv\r\nampic.2x1fl iv', 'got_medical_advice', NULL, 302, 0, 'Ermal Dibra', 0, NULL, '2007-01-16', '12:33:09', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-16 12:33:09 Ermal Dibra', 'Ermal Dibra', '2007-01-16 12:33:09', 'Ermal Dibra', '2007-01-16 12:33:09');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (304, 2007000084, 12, 'Cardiopatia dilatuar\r\n\r\nDr.S.pirani', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-16', '12:41:26', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-16 12:41:26 Ermal Dibra', 'Ermal Dibra', '2007-01-16 12:41:26', 'Ermal Dibra', '2007-01-16 12:41:26');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (305, 2007000084, 13, 'lasix2x2amp iv\r\ndigoxin 1tab\r\nspironolakton 1tab\r\nenalopril 2x1/2tab \r\ncarvazin 4x1tab', 'got_medical_advice', NULL, 304, 0, 'Ermal Dibra', 0, NULL, '2007-01-16', '12:41:26', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-16 12:41:26 Ermal Dibra', 'Ermal Dibra', '2007-01-16 12:41:26', 'Ermal Dibra', '2007-01-16 12:41:26');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (306, 2007000085, 12, 'Insuficensa kardiake\r\n\r\nDr.S.Pirani', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-16', '12:58:59', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-16 12:58:59 Ermal Dibra', 'Ermal Dibra', '2007-01-16 12:58:59', 'Ermal Dibra', '2007-01-16 12:58:59');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (307, 2007000085, 13, 'O2 terapi\r\nlasix 2amp\r\ntrinitrina 1tab\r\n', 'got_medical_advice', NULL, 306, 0, 'Ermal Dibra', 0, NULL, '2007-01-16', '12:58:59', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-16 12:58:59 Ermal Dibra', 'Ermal Dibra', '2007-01-16 12:58:59', 'Ermal Dibra', '2007-01-16 12:58:59');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (308, 2007000086, 12, 'pyeloneftis acut sin\r\n\r\n\r\nDr.A.Agolli', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-16', '13:04:37', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-16 13:04:37 Ermal Dibra', 'Ermal Dibra', '2007-01-16 13:04:37', 'Ermal Dibra', '2007-01-16 13:04:37');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (309, 2007000086, 13, 'Sol glukoze 500cc\r\nCeftazidim 2x1 fl iv', 'got_medical_advice', NULL, 308, 0, 'Ermal Dibra', 0, NULL, '2007-01-16', '13:04:37', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-16 13:04:37 Ermal Dibra', 'Ermal Dibra', '2007-01-16 13:04:37', 'Ermal Dibra', '2007-01-16 13:04:37');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (310, 2007000087, 12, 'Gj.P. pankreatitis acut,D.M\r\n\r\n\r\nDr.N.Tabaku', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-16', '13:09:53', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-16 13:09:53 Ermal Dibra', 'Ermal Dibra', '2007-01-16 13:09:53', 'Ermal Dibra', '2007-01-16 13:09:53');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (311, 2007000087, 13, 'buskupan 2x1amp\r\nvalium 1tab\r\nranitidine 2x1tab', 'got_medical_advice', NULL, 310, 0, 'Ermal Dibra', 0, NULL, '2007-01-16', '13:09:53', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-16 13:09:53 Ermal Dibra', 'Ermal Dibra', '2007-01-16 13:09:53', 'Ermal Dibra', '2007-01-16 13:09:53');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (312, 2007000088, 12, 'PNCH atrofia dex .Status post-nefroktomia sin.IVU\r\n\r\nDr.T.Mali', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '07:42:32', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 07:42:32 Ermal Dibra', 'Ermal Dibra', '2007-01-17 07:42:32', 'Ermal Dibra', '2007-01-17 07:42:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (313, 2007000088, 13, 'ciprox 2x1tab\r\nbuskupan 3x1tab\r\ngentamicin2x1amp', 'got_medical_advice', NULL, 312, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '07:42:32', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 07:42:32 Ermal Dibra', 'Ermal Dibra', '2007-01-17 07:42:32', 'Ermal Dibra', '2007-01-17 07:42:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (314, 2007000089, 12, 'Diabet Mellitus tip2\r\n\r\nDr.E.Nelaj', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '07:50:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 07:50:01 Ermal Dibra', 'Ermal Dibra', '2007-01-17 07:50:01', 'Ermal Dibra', '2007-01-17 07:50:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (315, 2007000089, 13, 'Ins.Actarapid 18/18/18\r\nceftriaksion 3fl+fiz200cc  1x1fl iv', 'got_medical_advice', NULL, 314, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '07:50:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 07:50:01 Ermal Dibra', 'Ermal Dibra', '2007-01-17 07:50:01', 'Ermal Dibra', '2007-01-17 07:50:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (316, 2007000090, 12, 'Gj. Hipotensive\r\n\r\n\r\nDr.S.PIrani', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '07:56:54', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 07:56:54 Ermal Dibra', 'Ermal Dibra', '2007-01-17 07:56:54', 'Ermal Dibra', '2007-01-17 07:56:54');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (317, 2007000090, 13, 'O2 terapia\r\nDopamin2amp+fiz500cc\r\nheparin 4x5000ui ', 'got_medical_advice', NULL, 316, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '07:56:54', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 07:56:54 Ermal Dibra', 'Ermal Dibra', '2007-01-17 07:56:54', 'Ermal Dibra', '2007-01-17 07:56:54');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (318, 2007000091, 12, 'Colika renal\r\n\r\nDr.A.Agolli', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '08:16:16', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 08:16:16 Ermal Dibra', 'Ermal Dibra', '2007-01-17 08:16:16', 'Ermal Dibra', '2007-01-17 08:16:16');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (319, 2007000091, 13, 'volteren 1amp\r\nbuskupan 3x1amp \r\nciprox 2x1tab', 'got_medical_advice', NULL, 318, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '08:16:16', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 08:16:16 Ermal Dibra', 'Ermal Dibra', '2007-01-17 08:16:16', 'Ermal Dibra', '2007-01-17 08:16:16');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (320, 2007000092, 12, 'Infeksion i vijave urinare.\r\n\r\nDr.A.Agolli', 'got_medical_advice', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '08:20:57', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 08:20:57 Ermal Dibra', 'Ermal Dibra', '2007-01-17 08:20:57', 'Ermal Dibra', '2007-01-17 08:20:57');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (321, 2007000092, 13, 'Cepurin +glukoze 20cc 3x1fl iv\r\n', 'got_medical_advice', NULL, 320, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '08:20:57', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 08:20:57 Ermal Dibra', 'Ermal Dibra', '2007-01-17 08:20:57', 'Ermal Dibra', '2007-01-17 08:20:57');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (322, 2007000040, 3, 'Pacjenti del nga spitali me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-17', '09:28:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-17 09-29-07 Ardiana Dervishi\n\r', '', '2007-01-17 09:29:07', 'Ardiana Dervishi', '2007-01-17 09:29:07');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (323, 2007000093, 12, 'SAK.Cardiopatia e dilatuar ishemike.Angor ipaqendrueshem\r\n\r\n\r\n\r\nDR.E.SMAJLAJ', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '09:33:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 09:33:00 Ermal Dibra', 'Ermal Dibra', '2007-01-17 09:33:00', 'Ermal Dibra', '2007-01-17 09:33:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (324, 2007000093, 13, 'berlipril 1/4tab\r\ncovitol 2x1/2tab\r\nspironolacton 1tab ora 10\r\nsintrom 1/4tab \r\nvalium 1tab\r\n', 'marre_keshille_mjekesore', NULL, 323, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '09:33:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 09:33:00 Ermal Dibra', 'Ermal Dibra', '2007-01-17 09:33:00', 'Ermal Dibra', '2007-01-17 09:33:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (325, 2007000023, 3, 'Doli me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-17', '09:35:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-17 09-36-22 Ardiana Dervishi\n\r', '', '2007-01-17 09:36:22', 'Ardiana Dervishi', '2007-01-17 09:36:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (326, 2007000094, 12, 'Gjendje febrile\r\nBronchopneunoni bilaterale\r\nDr.RMiloti', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-17', '09:58:34', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 09:58:34 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 09:58:34', 'Ardiana Dervishi', '2007-01-17 09:58:34');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (327, 2007000094, 13, 'Ultracorten 10mg/ iv x2\r\nAmpicillin150/ mgivx4', 'marre_keshille_mjekesore', 'po', 326, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-17', '09:58:34', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 09:58:34 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 09:58:34', 'Ardiana Dervishi', '2007-01-17 09:58:34');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (328, 2007000095, 12, 'Kriza hipertensive\r\n\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '11:11:17', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:11:17 Ermal Dibra', 'Ermal Dibra', '2007-01-17 11:11:17', 'Ermal Dibra', '2007-01-17 11:11:17');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (329, 2007000095, 13, 'Adalat 1tab\r\nlasix 2amp iv\r\nManitol 1/2 fl\r\n', 'marre_keshille_mjekesore', NULL, 328, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '11:11:17', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:11:17 Ermal Dibra', 'Ermal Dibra', '2007-01-17 11:11:17', 'Ermal Dibra', '2007-01-17 11:11:17');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (330, 2007000096, 12, 'Edeme pulmunare acute.HTA.Stenoze Ao.\r\n\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '11:17:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:17:00 Ermal Dibra', 'Ermal Dibra', '2007-01-17 11:17:00', 'Ermal Dibra', '2007-01-17 11:17:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (331, 2007000096, 13, ' enalopril 2x1/2tab\r\n adalat 3x1tab\r\nlasix 1tab esell\r\nampicillini 3x1fl iv', 'marre_keshille_mjekesore', NULL, 330, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '11:17:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:17:00 Ermal Dibra', 'Ermal Dibra', '2007-01-17 11:17:00', 'Ermal Dibra', '2007-01-17 11:17:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (332, 2007000097, 12, 'DADM\r\nDr.AShala', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-17', '11:20:09', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:20:09 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 11:20:09', 'Ardiana Dervishi', '2007-01-17 11:20:09');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (333, 2007000097, 13, 'Ampicillin 300 mg/iv/x/4\r\nKemicitin 250 mg/iv/x2', 'marre_keshille_mjekesore', 'po', 332, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-17', '11:20:09', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:20:09 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 11:20:09', 'Ardiana Dervishi', '2007-01-17 11:20:09');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (334, 2007000099, 12, 'Bronchopneumoni et Gastroenterit\r\nDr.LSalabegu', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-17', '11:24:29', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:24:29 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 11:24:29', 'Ardiana Dervishi', '2007-01-17 11:24:29');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (335, 2007000099, 13, 'Ceporin 300/mg/iv/x/4\r\ngentamicin 40 mg /iv/x2', 'marre_keshille_mjekesore', 'po', 334, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-17', '11:24:29', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:24:29 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 11:24:29', 'Ardiana Dervishi', '2007-01-17 11:24:29');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (336, 2007000100, 12, 'Bronchpneumoni\r\nDr.AShala', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-17', '11:36:16', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:36:16 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 11:36:16', 'Ardiana Dervishi', '2007-01-17 11:36:16');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (337, 2007000100, 13, 'Ceporin 200mg iv x4\r\ngenta 20 mg iv x2', 'marre_keshille_mjekesore', 'po', 336, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-17', '11:36:16', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:36:16 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 11:36:16', 'Ardiana Dervishi', '2007-01-17 11:36:16');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (338, 2007000098, 12, 'Colecistit calkuloz\r\n\r\nDr.Z.Hoxha', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '11:39:37', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:39:37 Ermal Dibra', 'Ermal Dibra', '2007-01-17 11:39:37', 'Ermal Dibra', '2007-01-17 11:39:37');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (339, 2007000098, 13, 'cepurin 3x1fl\r\nflagyl 3x2tab     \r\nbuskupan 2x1amp\r\n ', 'marre_keshille_mjekesore', NULL, 338, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '11:39:37', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:39:37 Ermal Dibra', 'Ermal Dibra', '2007-01-17 11:39:37', 'Ermal Dibra', '2007-01-17 11:39:37');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (340, 2007000101, 12, 'Bronchopneumoni\r\nDr.LSalabegu', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-17', '11:41:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:41:31 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 11:41:31', 'Ardiana Dervishi', '2007-01-17 11:41:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (341, 2007000101, 13, 'Cefatoxim 300/mg iv x4\r\nGenta 30 /iv x2', 'marre_keshille_mjekesore', 'po', 340, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-17', '11:41:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:41:31 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 11:41:31', 'Ardiana Dervishi', '2007-01-17 11:41:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (342, 2007000102, 12, 'I.V.U.  HTA label\r\n\r\n\r\nDr.A.Agolli', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '11:44:39', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:44:39 Ermal Dibra', 'Ermal Dibra', '2007-01-17 11:44:39', 'Ermal Dibra', '2007-01-17 11:44:39');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (343, 2007000102, 13, 'cinarizin 3x1tab\r\nranitidin2x1tab\r\nvalium 1tab', 'marre_keshille_mjekesore', NULL, 342, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '11:44:39', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:44:39 Ermal Dibra', 'Ermal Dibra', '2007-01-17 11:44:39', 'Ermal Dibra', '2007-01-17 11:44:39');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (344, 2007000103, 12, 'Brochopneumoni Bilaterale\r\nDr.SDuka', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-17', '11:47:43', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:47:43 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 11:47:43', 'Ardiana Dervishi', '2007-01-17 11:47:43');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (345, 2007000103, 13, 'Cefatoxim 400 mg iv x4\r\nGenta 40 mg iv x2', 'marre_keshille_mjekesore', 'po', 344, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-17', '11:47:43', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:47:43 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 11:47:43', 'Ardiana Dervishi', '2007-01-17 11:47:43');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (346, 2007000105, 12, 'Bronchiolit\r\nDr.MShpori', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-17', '11:53:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:53:01 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 11:53:01', 'Ardiana Dervishi', '2007-01-17 11:53:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (347, 2007000105, 13, 'Ceporin 300mg iv x4\r\ngenta 20 mg iv x2', 'marre_keshille_mjekesore', 'po', 346, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-17', '11:53:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:53:01 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-17 11:53:01', 'Ardiana Dervishi', '2007-01-17 11:53:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (348, 2007000104, 12, 'Hepatoma me stad metastatik\r\n\r\n\r\nDr.A.Miloti', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '11:53:41', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:53:41 Ermal Dibra', 'Ermal Dibra', '2007-01-17 11:53:41', 'Ermal Dibra', '2007-01-17 11:53:41');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (349, 2007000104, 13, 'Glukoze 500cc+Vit C1amp  iv \r\nPrednizolon 2x1amp iv ', 'marre_keshille_mjekesore', NULL, 348, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '11:53:41', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 11:53:41 Ermal Dibra', 'Ermal Dibra', '2007-01-17 11:53:41', 'Ermal Dibra', '2007-01-17 11:53:41');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (350, 2007000042, 3, 'Me mjekim ambulator', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '12:08:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-17 12-09-12 Ermal Dibra\n\r', '', '2007-01-17 12:09:12', 'Ermal Dibra', '2007-01-17 12:09:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (351, 2007000079, 3, 'doli me mjekim ambulator.\r\nJu dha 10 dit raport.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '12:26:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-17 12-28-05 Ermal Dibra\n\r', '', '2007-01-17 12:28:05', 'Ermal Dibra', '2007-01-17 12:28:05');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (352, 2007000106, 12, 'SIZ. Angor paqendrueshem\r\n\r\n\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '12:38:32', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 12:38:32 Ermal Dibra', 'Ermal Dibra', '2007-01-17 12:38:32', 'Ermal Dibra', '2007-01-17 12:38:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (353, 2007000106, 13, 'carvazin3x1tab\r\nheparin 4x5000ui\r\naspirin 1/2tab\r\nnevrin+codeine 2x1tab\r\nvalium 1tab', 'marre_keshille_mjekesore', NULL, 352, 0, 'Ermal Dibra', 0, NULL, '2007-01-17', '12:38:32', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-17 12:38:32 Ermal Dibra', 'Ermal Dibra', '2007-01-17 12:38:32', 'Ermal Dibra', '2007-01-17 12:38:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (354, 2007000107, 12, 'Bronchopneumoni bilaterale\r\nDr.RMiloti', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-18', '07:36:22', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 07:36:22 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-18 07:36:22', 'Ardiana Dervishi', '2007-01-18 07:36:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (355, 2007000107, 13, 'Cefatoxime 250 /mg/iv/x/4\r\nGentamicin 40/mg /iv/x2', 'marre_keshille_mjekesore', 'po', 354, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-18', '07:36:22', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 07:36:22 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-18 07:36:22', 'Ardiana Dervishi', '2007-01-18 07:36:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (356, 2007000108, 12, 'Bronchopneumoni bilaterale\r\nDr.RMiloti', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-18', '07:47:20', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 07:47:20 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-18 07:47:20', 'Ardiana Dervishi', '2007-01-18 07:47:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (357, 2007000108, 13, 'Ultracorten 15 /mg /iv/x/2\r\nPrometazin 10mg/1/6 e amp /im/x1\r\nAmpicillin 400/mg/iv/x4\r\nTeuphilin 2x/1/2 amp\r\nSlbotamol 2x/1/2amp', 'marre_keshille_mjekesore', 'po', 356, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-18', '07:47:20', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 07:47:20 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-18 07:47:20', 'Ardiana Dervishi', '2007-01-18 07:47:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (358, 2007000067, 3, 'Del me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-18', '07:59:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-18 08-00-27 Ermal Dibra\n\r', '', '2007-01-18 08:00:27', 'Ermal Dibra', '2007-01-18 08:00:27');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (359, 2007000109, 12, 'Status Febril\r\nDr.SDuka', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-18', '08:05:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 08:05:00 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-18 08:05:00', 'Ardiana Dervishi', '2007-01-18 08:05:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (360, 2007000109, 13, 'Cefatoxime 750/mg/iv/x4\r\nGenta 40/mg/iv/x2', 'marre_keshille_mjekesore', 'po', 359, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-18', '08:05:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 08:05:00 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-18 08:05:00', 'Ardiana Dervishi', '2007-01-18 08:05:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (361, 2007000109, 12, 'Status Febril\r\nDr.SDuka', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-18', '08:05:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 08:05:01 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-18 08:05:01', 'Ardiana Dervishi', '2007-01-18 08:05:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (362, 2007000109, 13, 'Cefatoxime 750/mg/iv/x4\r\nGenta 40/mg/iv/x2', 'marre_keshille_mjekesore', 'po', 361, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-18', '08:05:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 08:05:01 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-18 08:05:01', 'Ardiana Dervishi', '2007-01-18 08:05:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (363, 2007000109, 12, 'Status Febril\r\nDr.SDuka', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-18', '08:05:03', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 08:05:03 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-18 08:05:03', 'Ardiana Dervishi', '2007-01-18 08:05:03');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (364, 2007000109, 13, 'Cefatoxime 750/mg/iv/x4\r\nGenta 40/mg/iv/x2', 'marre_keshille_mjekesore', 'po', 363, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-18', '08:05:03', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 08:05:03 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-18 08:05:03', 'Ardiana Dervishi', '2007-01-18 08:05:03');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (365, 2007000110, 12, 'Fib. atrial me frekuenc te larte.\r\n\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-18', '08:08:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 08:08:31 Ermal Dibra', 'Ermal Dibra', '2007-01-18 08:08:31', 'Ermal Dibra', '2007-01-18 08:08:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (366, 2007000110, 13, 'Lanatocid C 1amp+fiz 20cc iv\r\nKcl 30cc+ MGSO410cc+fiz 500cc', 'marre_keshille_mjekesore', NULL, 365, 0, 'Ermal Dibra', 0, NULL, '2007-01-18', '08:08:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 08:08:31 Ermal Dibra', 'Ermal Dibra', '2007-01-18 08:08:31', 'Ermal Dibra', '2007-01-18 08:08:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (367, 2007000111, 12, 'Bronchopneumoni Sinister\r\nDr.sDuka', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-18', '08:11:14', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 08:11:14 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-18 08:11:14', 'Ardiana Dervishi', '2007-01-18 08:11:14');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (368, 2007000111, 13, 'Cefatoxime 750 mg iv x4\r\ngenta 40 mg x2', 'marre_keshille_mjekesore', 'po', 367, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-18', '08:11:14', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 08:11:14 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-18 08:11:14', 'Ardiana Dervishi', '2007-01-18 08:11:14');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (369, 2007000111, 12, 'Bronchopneumoni Sinister\r\nDr.sDuka', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-18', '08:11:15', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 08:11:15 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-18 08:11:15', 'Ardiana Dervishi', '2007-01-18 08:11:15');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (370, 2007000111, 13, 'Cefatoxime 750 mg iv x4\r\ngenta 40 mg x2', 'marre_keshille_mjekesore', 'po', 369, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-18', '08:11:15', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 08:11:15 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-18 08:11:15', 'Ardiana Dervishi', '2007-01-18 08:11:15');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (371, 2007000112, 12, 'OBS Colica Renale\r\nDr.LSalabegu', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-18', '08:15:22', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 08:15:22 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-18 08:15:22', 'Ardiana Dervishi', '2007-01-18 08:15:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (372, 2007000112, 13, 'Ceporin 400 mg iv x4', 'marre_keshille_mjekesore', 'po', 371, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-18', '08:15:22', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 08:15:22 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-18 08:15:22', 'Ardiana Dervishi', '2007-01-18 08:15:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (373, 2007000112, 12, 'OBS Colica Renale\r\nDr.LSalabegu', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-18', '08:15:23', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 08:15:23 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-18 08:15:23', 'Ardiana Dervishi', '2007-01-18 08:15:23');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (374, 2007000112, 13, 'Ceporin 400 mg iv x4', 'marre_keshille_mjekesore', 'po', 373, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-18', '08:15:23', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 08:15:23 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-18 08:15:23', 'Ardiana Dervishi', '2007-01-18 08:15:23');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (375, 2007000032, 3, 'Del me mjewkim ambulator', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-18', '08:40:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-18 08-41-08 Ermal Dibra\n\r', '', '2007-01-18 08:41:08', 'Ermal Dibra', '2007-01-18 08:41:08');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (376, 2007000113, 12, 'D.M tip2\r\n\r\nDr.E.Nelaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-18', '12:54:22', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 12:54:22 Ermal Dibra', 'Ermal Dibra', '2007-01-18 12:54:22', 'Ermal Dibra', '2007-01-18 12:54:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (377, 2007000113, 13, 'Ins.Mixtard 10/-/6\r\nCefriaxone 2fl +fiz40cc iv\r\ngentamicin 2x1amp im', 'marre_keshille_mjekesore', NULL, 376, 0, 'Ermal Dibra', 0, NULL, '2007-01-18', '12:54:22', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 12:54:22 Ermal Dibra', 'Ermal Dibra', '2007-01-18 12:54:22', 'Ermal Dibra', '2007-01-18 12:54:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (378, 2007000114, 12, 'SAK.Angina pectoris HTA.Edem pulmunare\r\n\r\nDr.S.Pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-18', '13:01:46', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 13:01:46 Ermal Dibra', 'Ermal Dibra', '2007-01-18 13:01:46', 'Ermal Dibra', '2007-01-18 13:01:46');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (379, 2007000114, 13, 'Lenitral 1amp+fiz 500cc iv\r\nenalopril 2x1/2tab\r\nheparin 4x5000ui\r\n', 'marre_keshille_mjekesore', NULL, 378, 0, 'Ermal Dibra', 0, NULL, '2007-01-18', '13:01:46', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 13:01:46 Ermal Dibra', 'Ermal Dibra', '2007-01-18 13:01:46', 'Ermal Dibra', '2007-01-18 13:01:46');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (380, 2007000115, 12, 'Anemia per determinim\r\n\r\nDr.E.Kraja', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-18', '13:07:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 13:07:01 Ermal Dibra', 'Ermal Dibra', '2007-01-18 13:07:01', 'Ermal Dibra', '2007-01-18 13:07:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (381, 2007000115, 13, 'glukoze 500cc\r\nvit b1 2amp\r\nvit b6 2amp\r\nranitidine 2x1tab', 'marre_keshille_mjekesore', NULL, 380, 0, 'Ermal Dibra', 0, NULL, '2007-01-18', '13:07:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-18 13:07:01 Ermal Dibra', 'Ermal Dibra', '2007-01-18 13:07:01', 'Ermal Dibra', '2007-01-18 13:07:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (382, 2007000026, 3, 'Doli me mjekim ambulator', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-18', '13:08:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-18 13-08-36 Ermal Dibra\n\r', '', '2007-01-18 13:08:36', 'Ermal Dibra', '2007-01-18 13:08:36');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (383, 2007000060, 3, 'Doli me mjekim ambulotor', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-18', '13:09:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-18 13-10-41 Ermal Dibra\n\r', '', '2007-01-18 13:10:41', 'Ermal Dibra', '2007-01-18 13:10:41');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (384, 2007000066, 3, 'Doli negjendje te mire.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-18', '13:11:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-18 13-11-48 Ermal Dibra\n\r', '', '2007-01-18 13:11:48', 'Ermal Dibra', '2007-01-18 13:11:48');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (385, 2007000116, 12, '\r\nLumbago acute\r\n\r\n\r\nDr.A.Miloti', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-19', '08:11:22', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 08:11:22 Ermal Dibra', 'Ermal Dibra', '2007-01-19 08:11:22', 'Ermal Dibra', '2007-01-19 08:11:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (386, 2007000116, 13, 'volteren 1amp im\r\nanalgin 1amp im', 'marre_keshille_mjekesore', NULL, 385, 0, 'Ermal Dibra', 0, NULL, '2007-01-19', '08:11:22', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 08:11:22 Ermal Dibra', 'Ermal Dibra', '2007-01-19 08:11:22', 'Ermal Dibra', '2007-01-19 08:11:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (387, 2007000116, 12, '\r\nLumbago acute\r\n\r\n\r\nDr.A.Miloti', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-19', '08:11:23', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 08:11:23 Ermal Dibra', 'Ermal Dibra', '2007-01-19 08:11:24', 'Ermal Dibra', '2007-01-19 08:11:24');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (388, 2007000116, 13, 'volteren 1amp im\r\nanalgin 1amp im', 'marre_keshille_mjekesore', NULL, 387, 0, 'Ermal Dibra', 0, NULL, '2007-01-19', '08:11:23', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 08:11:23 Ermal Dibra', 'Ermal Dibra', '2007-01-19 08:11:24', 'Ermal Dibra', '2007-01-19 08:11:24');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (389, 2007000116, 12, '\r\nLumbago acute\r\n\r\n\r\nDr.A.Miloti', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-19', '08:11:26', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 08:11:26 Ermal Dibra', 'Ermal Dibra', '2007-01-19 08:11:26', 'Ermal Dibra', '2007-01-19 08:11:26');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (390, 2007000116, 13, 'volteren 1amp im\r\nanalgin 1amp im', 'marre_keshille_mjekesore', NULL, 389, 0, 'Ermal Dibra', 0, NULL, '2007-01-19', '08:11:26', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 08:11:26 Ermal Dibra', 'Ermal Dibra', '2007-01-19 08:11:26', 'Ermal Dibra', '2007-01-19 08:11:26');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (391, 2007000117, 12, 'Kolagjenozis .Poliarthrit\r\n\r\n\r\nDr.A.Miloti', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-19', '08:44:22', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 08:44:22 Ermal Dibra', 'Ermal Dibra', '2007-01-19 08:44:22', 'Ermal Dibra', '2007-01-19 08:44:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (392, 2007000117, 13, 'Volteren 1amp\r\nca glukonat 3x1tab', 'marre_keshille_mjekesore', NULL, 391, 0, 'Ermal Dibra', 0, NULL, '2007-01-19', '08:44:22', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 08:44:22 Ermal Dibra', 'Ermal Dibra', '2007-01-19 08:44:22', 'Ermal Dibra', '2007-01-19 08:44:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (393, 2007000118, 12, 'Bronkiolit\r\nDr.MShpori', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '09:02:44', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 09:02:44 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:02:44', 'Ardiana Dervishi', '2007-01-19 09:02:44');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (394, 2007000118, 13, 'Ceporin 250 mg iv x4\r\nPrednizolon 15 mg iv x2\r\nGenta 15 mg iv x2', 'marre_keshille_mjekesore', 'po', 393, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '09:02:44', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 09:02:44 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:02:44', 'Ardiana Dervishi', '2007-01-19 09:02:44');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (395, 2007000119, 12, 'Bronkopneumoni bilaterale\r\nDr.DrSDuka', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '09:09:47', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 09:09:47 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:09:47', 'Ardiana Dervishi', '2007-01-19 09:09:47');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (396, 2007000119, 13, 'Ceporin 150 mg iv x4\r\nGenta 20 mg iv x2\r\nPrednizolon 15 mg ixv x2\r\n Sir Tusipentol 3x1 l/kafe', 'marre_keshille_mjekesore', 'po', 395, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '09:09:47', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 09:09:47 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:09:47', 'Ardiana Dervishi', '2007-01-19 09:09:47');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (397, 2007000120, 12, 'Gastroenterit\r\nDr.HKotri\r\n', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '09:15:11', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 09:15:11 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:15:11', 'Ardiana Dervishi', '2007-01-19 09:15:11');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (398, 2007000120, 13, 'valium 5mg iv x1\r\nKemicitin 150 mg iv x4\r\nSol vit c /5cc iv x2', 'marre_keshille_mjekesore', 'po', 397, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '09:15:11', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 09:15:11 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:15:11', 'Ardiana Dervishi', '2007-01-19 09:15:11');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (399, 2007000121, 12, 'Tonsilit purulent\r\nDr.LSalabegu', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '09:19:18', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 09:19:18 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:19:18', 'Ardiana Dervishi', '2007-01-19 09:19:18');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (400, 2007000121, 13, 'Ultracorten 25 mg iv x2\r\npenicillin G 1gr /iv x4\r\nGenta 40 mg/iv x2', 'marre_keshille_mjekesore', 'po', 399, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '09:19:18', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 09:19:18 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:19:18', 'Ardiana Dervishi', '2007-01-19 09:19:18');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (401, 2007000122, 12, 'Bronchopneumoni \r\nDr.rMiloti', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '09:23:28', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 09:23:28 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:23:28', 'Ardiana Dervishi', '2007-01-19 09:23:28');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (402, 2007000122, 13, 'Ceporin 150 mg iv x4\r\nGenta 10 mg iv x2\r\nPrednizolon 10 mg iv x2', 'marre_keshille_mjekesore', 'po', 401, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '09:23:28', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 09:23:28 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:23:28', 'Ardiana Dervishi', '2007-01-19 09:23:28');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (403, 2007000123, 12, 'Angina et Enterit Akut\r\nDr.LSalabegu\r\n', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '09:28:19', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 09:28:19 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:28:19', 'Ardiana Dervishi', '2007-01-19 09:28:19');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (404, 2007000123, 13, 'Ceporin 250 mg iv x4\r\nKemicitin 400 mg iv x4', 'marre_keshille_mjekesore', 'po', 403, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '09:28:19', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 09:28:19 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:28:19', 'Ardiana Dervishi', '2007-01-19 09:28:19');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (405, 2007000124, 12, 'Bronchopneumoni Bilaterale\r\nABekteshi\r\n', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '09:35:33', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 09:35:33 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:35:33', 'Ardiana Dervishi', '2007-01-19 09:35:33');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (406, 2007000124, 13, 'Ultracorten 25 mg iv x2\r\nPenicillinG 300 mg iv x4\r\nGenta 12 mg iv x2', 'marre_keshille_mjekesore', 'po', 405, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '09:35:33', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 09:35:33 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:35:33', 'Ardiana Dervishi', '2007-01-19 09:35:33');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (407, 2007000125, 12, 'Bronchiolit\r\nDr.HKotri', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '09:41:45', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 09:41:45 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:41:45', 'Ardiana Dervishi', '2007-01-19 09:41:45');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (408, 2007000125, 13, 'Euphin 65 mg iv x1\r\nPrednizolon 25 mg iv x2\r\nceporin 400mg iv x4', 'marre_keshille_mjekesore', 'po', 407, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '09:41:45', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 09:41:45 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:41:45', 'Ardiana Dervishi', '2007-01-19 09:41:45');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (409, 2007000126, 12, 'Bronchopneumoni\r\nDr.HKotri', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '09:46:48', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 09:46:48 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:46:48', 'Ardiana Dervishi', '2007-01-19 09:46:48');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (410, 2007000126, 13, 'Cefatoxim 350 mg iv x4\r\nGenta 20 mg iv x2', 'marre_keshille_mjekesore', 'po', 409, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '09:46:48', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 09:46:48 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 09:46:48', 'Ardiana Dervishi', '2007-01-19 09:46:48');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (411, 2007000127, 12, 'Infeksion Viral\r\nDr.SKallogjeri\r\n', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '10:04:03', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 10:04:03 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 10:04:03', 'Ardiana Dervishi', '2007-01-19 10:04:03');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (412, 2007000127, 13, 'Ceporin 400mg iv x4\r\nGentamicin 40 mg iv x2\r\nSir Bromexine 3x1 l/kafe', 'marre_keshille_mjekesore', 'po', 411, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '10:04:03', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 10:04:03 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 10:04:03', 'Ardiana Dervishi', '2007-01-19 10:04:03');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (413, 2007000128, 12, 'Infeksion viral\r\nDr.HKotri\r\nDr.SKallogjeri', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '10:08:39', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 10:08:39 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 10:08:39', 'Ardiana Dervishi', '2007-01-19 10:08:39');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (414, 2007000128, 13, 'Deksametazon 4mg iv x1\r\nKemicitin 500mg iv x2', 'marre_keshille_mjekesore', 'po', 413, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '10:08:39', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 10:08:39 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 10:08:39', 'Ardiana Dervishi', '2007-01-19 10:08:39');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (415, 2007000129, 12, 'Leshmanoze\r\nDr.SKallogjeri ', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '10:14:55', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 10:14:55 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 10:14:55', 'Ardiana Dervishi', '2007-01-19 10:14:55');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (416, 2007000129, 13, 'Glukantin 4ml im x1\r\nCeporin 250 mg iv x4\r\nGentamicin 20 mg iv x2', 'marre_keshille_mjekesore', 'po', 415, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '10:14:55', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 10:14:55 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 10:14:55', 'Ardiana Dervishi', '2007-01-19 10:14:55');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (417, 2007000130, 12, 'Gjendje Febrile OBS\r\nDr.GNaraÃ§i', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '10:22:58', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 10:22:58 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 10:22:58', 'Ardiana Dervishi', '2007-01-19 10:22:58');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (418, 2007000130, 13, 'Grafiku i Tem Ã§do 3 ore \r\nSol glu 500cc+Sol fiz 250 cc iv x3\r\nVit B1+B6 /1 tab ', 'marre_keshille_mjekesore', 'po', 417, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '10:22:58', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 10:22:58 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 10:22:58', 'Ardiana Dervishi', '2007-01-19 10:22:58');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (419, 2007000131, 12, 'Bronchiolit Insuficenc Respiratore\r\nDr.SDuka', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '11:35:51', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 11:35:51 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 11:35:51', 'Ardiana Dervishi', '2007-01-19 11:35:51');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (420, 2007000131, 13, 'Inhalacion me Ventolin nebuliz x3\r\nCeporin 100mg iv x4\r\nPrednizolon 10 mg iv x2\r\nSir Bromexine 3x1 lug/Ã§aji', 'marre_keshille_mjekesore', 'po', 419, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '11:35:51', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 11:35:51 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 11:35:51', 'Ardiana Dervishi', '2007-01-19 11:35:51');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (421, 2007000063, 3, 'Me mjekim ambulator', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-15', '12:01:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-19 12-02-05 Ermal Dibra\n\r', '', '2007-01-19 12:02:05', 'Ermal Dibra', '2007-01-19 12:02:05');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (422, 2007000132, 12, 'Bronchiolit\r\nSt.post konvulsiv\r\nDr. S.Duka\r\n', 'marre_keshille_mjekesore', 'po\r\n', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '12:34:17', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 12:34:17 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 12:34:17', 'Ardiana Dervishi', '2007-01-19 12:34:17');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (423, 2007000132, 13, 'Ampiciline 250mg x4\r\nLuminal 15mgx2\r\ndexametazon 2mgx2', 'marre_keshille_mjekesore', 'po\r\n', 422, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-19', '12:34:17', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 12:34:17 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-19 12:34:17', 'Ardiana Dervishi', '2007-01-19 12:34:17');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (424, 2007000134, 12, 'Cardiopatia e dilatuar\r\n\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-19', '13:08:53', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 13:08:53 Ermal Dibra', 'Ermal Dibra', '2007-01-19 13:08:53', 'Ermal Dibra', '2007-01-19 13:08:53');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (425, 2007000134, 13, 'laxix 2amp\r\neufilin 1amp +fiz20cc iv', 'marre_keshille_mjekesore', NULL, 424, 0, 'Ermal Dibra', 0, NULL, '2007-01-19', '13:08:53', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 13:08:53 Ermal Dibra', 'Ermal Dibra', '2007-01-19 13:08:53', 'Ermal Dibra', '2007-01-19 13:08:53');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (426, 2007000135, 12, 'Cardiopapia e dilatuar\r\n\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-19', '13:13:53', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 13:13:53 Ermal Dibra', 'Ermal Dibra', '2007-01-19 13:13:53', 'Ermal Dibra', '2007-01-19 13:13:53');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (427, 2007000135, 13, 'Eufilina 1amp +fiz 20cc iv\r\nranitidin 1tab\r\nprimperan 1amp', 'marre_keshille_mjekesore', NULL, 426, 0, 'Ermal Dibra', 0, NULL, '2007-01-19', '13:13:53', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 13:13:53 Ermal Dibra', 'Ermal Dibra', '2007-01-19 13:13:53', 'Ermal Dibra', '2007-01-19 13:13:53');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (428, 2007000136, 12, 'lumbago acute\r\n\r\nDr.A.miloti', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-19', '13:17:51', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 13:17:51 Ermal Dibra', 'Ermal Dibra', '2007-01-19 13:17:51', 'Ermal Dibra', '2007-01-19 13:17:51');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (429, 2007000136, 13, 'volteren 1amp\r\nCa glukonat 3x1amp', 'marre_keshille_mjekesore', NULL, 428, 0, 'Ermal Dibra', 0, NULL, '2007-01-19', '13:17:51', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 13:17:51 Ermal Dibra', 'Ermal Dibra', '2007-01-19 13:17:51', 'Ermal Dibra', '2007-01-19 13:17:51');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (430, 2007000137, 12, 'Spoliartrozis  shume katshe\r\n\r\nDr.A.Miloti', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-19', '13:25:44', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 13:25:44 Ermal Dibra', 'Ermal Dibra', '2007-01-19 13:25:44', 'Ermal Dibra', '2007-01-19 13:25:44');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (431, 2007000137, 13, 'volteren 1amp\r\nca glukonat3x1tab', 'marre_keshille_mjekesore', NULL, 430, 0, 'Ermal Dibra', 0, NULL, '2007-01-19', '13:25:44', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-19 13:25:44 Ermal Dibra', 'Ermal Dibra', '2007-01-19 13:25:44', 'Ermal Dibra', '2007-01-19 13:25:44');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (432, 2007000138, 12, 'SAK.angina pectoris .Inf.myokardit anterior\r\n\r\nDr.S.Pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '07:54:18', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 07:54:18 Ermal Dibra', 'Ermal Dibra', '2007-01-20 07:54:18', 'Ermal Dibra', '2007-01-20 07:54:18');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (433, 2007000138, 13, 'O2,terapi\r\nMorfin 1amp iv+fiz 20cc\r\nLenitral1amp +fiz500cc', 'marre_keshille_mjekesore', NULL, 432, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '07:54:18', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 07:54:18 Ermal Dibra', 'Ermal Dibra', '2007-01-20 07:54:18', 'Ermal Dibra', '2007-01-20 07:54:18');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (434, 2007000139, 12, 'SAK.Angina e paqendrueshme\r\n\r\nDr.S.pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '08:02:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 08:02:00 Ermal Dibra', 'Ermal Dibra', '2007-01-20 08:02:00', 'Ermal Dibra', '2007-01-20 08:02:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (435, 2007000139, 13, 'Atenaloli 1/2tab\r\nheparin 4x5000ui \r\nsalospir 1tab\r\ncarvazin 4x1tab\r\nenalopril 2x1/2tab', 'marre_keshille_mjekesore', NULL, 434, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '08:02:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 08:02:00 Ermal Dibra', 'Ermal Dibra', '2007-01-20 08:02:01', 'Ermal Dibra', '2007-01-20 08:02:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (436, 2007000139, 12, 'SAK.Angina e paqendrueshme\r\n\r\nDr.S.pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '08:02:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 08:02:01 Ermal Dibra', 'Ermal Dibra', '2007-01-20 08:02:01', 'Ermal Dibra', '2007-01-20 08:02:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (437, 2007000139, 13, 'Atenaloli 1/2tab\r\nheparin 4x5000ui \r\nsalospir 1tab\r\ncarvazin 4x1tab\r\nenalopril 2x1/2tab', 'marre_keshille_mjekesore', NULL, 436, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '08:02:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 08:02:01 Ermal Dibra', 'Ermal Dibra', '2007-01-20 08:02:01', 'Ermal Dibra', '2007-01-20 08:02:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (438, 2007000139, 12, 'SAK.Angina e paqendrueshme\r\n\r\nDr.S.pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '08:02:03', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 08:02:03 Ermal Dibra', 'Ermal Dibra', '2007-01-20 08:02:03', 'Ermal Dibra', '2007-01-20 08:02:03');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (439, 2007000139, 13, 'Atenaloli 1/2tab\r\nheparin 4x5000ui \r\nsalospir 1tab\r\ncarvazin 4x1tab\r\nenalopril 2x1/2tab', 'marre_keshille_mjekesore', NULL, 438, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '08:02:03', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 08:02:03 Ermal Dibra', 'Ermal Dibra', '2007-01-20 08:02:03', 'Ermal Dibra', '2007-01-20 08:02:03');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (440, 2007000140, 12, 'HTA.SAK.Cardiopatia ishemike e dilatuar\r\n\r\nDr.S.pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '08:08:49', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 08:08:49 Ermal Dibra', 'Ermal Dibra', '2007-01-20 08:08:49', 'Ermal Dibra', '2007-01-20 08:08:49');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (441, 2007000140, 13, 'Adalati4x1tab\r\nenalopril2x1/2tab\r\nampicilini 3x1 fl iv\r\nlasix 1tab\r\n', 'marre_keshille_mjekesore', NULL, 440, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '08:08:49', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 08:08:49 Ermal Dibra', 'Ermal Dibra', '2007-01-20 08:08:49', 'Ermal Dibra', '2007-01-20 08:08:49');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (442, 2007000140, 12, 'HTA.SAK.Cardiopatia ishemike e dilatuar\r\n\r\nDr.S.pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '08:08:49', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 08:08:49 Ermal Dibra', 'Ermal Dibra', '2007-01-20 08:08:49', 'Ermal Dibra', '2007-01-20 08:08:49');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (443, 2007000140, 13, 'Adalati4x1tab\r\nenalopril2x1/2tab\r\nampicilini 3x1 fl iv\r\nlasix 1tab\r\n', 'marre_keshille_mjekesore', NULL, 442, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '08:08:49', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 08:08:49 Ermal Dibra', 'Ermal Dibra', '2007-01-20 08:08:49', 'Ermal Dibra', '2007-01-20 08:08:49');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (444, 2007000140, 12, 'HTA.SAK.Cardiopatia ishemike e dilatuar\r\n\r\nDr.S.pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '08:08:50', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 08:08:50 Ermal Dibra', 'Ermal Dibra', '2007-01-20 08:08:50', 'Ermal Dibra', '2007-01-20 08:08:50');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (445, 2007000140, 13, 'Adalati4x1tab\r\nenalopril2x1/2tab\r\nampicilini 3x1 fl iv\r\nlasix 1tab\r\n', 'marre_keshille_mjekesore', NULL, 444, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '08:08:50', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 08:08:50 Ermal Dibra', 'Ermal Dibra', '2007-01-20 08:08:50', 'Ermal Dibra', '2007-01-20 08:08:50');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (446, 2007000043, 3, 'Del e permirsuar.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '08:36:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-20 08-38-25 Ermal Dibra\n\r', '', '2007-01-20 08:38:25', 'Ermal Dibra', '2007-01-20 08:38:25');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (447, 2007000086, 3, 'Del e permiresuar', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '08:39:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-20 08-41-10 Ermal Dibra\n\r', '', '2007-01-20 08:41:10', 'Ermal Dibra', '2007-01-20 08:41:10');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (448, 2007000088, 3, 'Del e permiresuar', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-19', '08:41:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-20 08-42-16 Ermal Dibra\n\r', '', '2007-01-20 08:42:16', 'Ermal Dibra', '2007-01-20 08:42:16');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (449, 2007000051, 3, 'Del nga spitali me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-20', '09:19:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-20 09-19-53 Ardiana Dervishi\n\r', '', '2007-01-20 09:19:53', 'Ardiana Dervishi', '2007-01-20 09:19:53');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (450, 2007000141, 12, 'Bronchopneumoni Bilaterale\r\nDr.ESadiku', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-20', '09:30:32', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 09:30:32 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-20 09:30:32', 'Ardiana Dervishi', '2007-01-20 09:30:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (451, 2007000141, 13, 'Cefatoxime 150 mg iv x4\r\nVit c 2cc/iv/x/2\r\nSir Mukotres 3 x1 l/kafet', 'marre_keshille_mjekesore', 'po', 450, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-20', '09:30:32', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 09:30:32 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-20 09:30:32', 'Ardiana Dervishi', '2007-01-20 09:30:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (452, 2007000142, 12, 'Infeksion viral \r\nGjendje Konvulsive\r\nDr.LSalabegu', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-20', '09:37:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 09:37:31 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-20 09:37:31', 'Ardiana Dervishi', '2007-01-20 09:37:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (453, 2007000142, 13, 'Prednizolon 25 mg iv x2\r\nAmpicillin 500mg iv x4\r\ngenta 30 mg iv x2', 'marre_keshille_mjekesore', 'po', 452, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-20', '09:37:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 09:37:31 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-20 09:37:31', 'Ardiana Dervishi', '2007-01-20 09:37:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (454, 2007000034, 3, 'Doli me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-20', '09:47:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-20 09-48-53 Ardiana Dervishi\n\r', '', '2007-01-20 09:48:53', 'Ardiana Dervishi', '2007-01-20 09:48:53');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (455, 2007000124, 3, 'Doli me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-20', '09:50:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-20 09-52-00 Ardiana Dervishi\n\r', '', '2007-01-20 09:52:00', 'Ardiana Dervishi', '2007-01-20 09:52:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (456, 2007000047, 3, 'Doli i permiresuar.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '10:23:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-20 10-24-35 Ermal Dibra\n\r', '', '2007-01-20 10:24:35', 'Ermal Dibra', '2007-01-20 10:24:35');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (457, 2007000144, 12, 'Infeksion Viral\r\nDr.S.Kallugjeri', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-20', '10:43:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 10:43:04 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-20 10:43:04', 'Ardiana Dervishi', '2007-01-20 10:43:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (458, 2007000144, 13, 'Cepurin 200x4\r\nGentamicin 20x2', 'marre_keshille_mjekesore', NULL, 457, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-20', '10:43:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 10:43:04 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-20 10:43:04', 'Ardiana Dervishi', '2007-01-20 10:43:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (459, 2007000065, 3, 'Del me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '10:43:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-20 10-44-01 Ermal Dibra\n\r', '', '2007-01-20 10:44:01', 'Ermal Dibra', '2007-01-20 10:44:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (460, 2007000035, 3, 'Del me mjekim ambulator', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '10:44:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-20 10-45-06 Ermal Dibra\n\r', '', '2007-01-20 10:45:06', 'Ermal Dibra', '2007-01-20 10:45:06');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (461, 2007000069, 3, 'Del ne gjendje te mire.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '10:45:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-20 10-46-05 Ermal Dibra\n\r', '', '2007-01-20 10:46:05', 'Ermal Dibra', '2007-01-20 10:46:05');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (462, 2007000145, 12, 'Bronchopneumoni bilaterale\r\nDr.RMiloti', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-20', '11:43:42', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 11:43:42 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-20 11:43:42', 'Ardiana Dervishi', '2007-01-20 11:43:42');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (463, 2007000145, 13, 'Cefatoxim 250 mg iv x4\r\ngenta 40 mg iv x2', 'marre_keshille_mjekesore', 'po', 462, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-20', '11:43:42', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 11:43:42 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-20 11:43:42', 'Ardiana Dervishi', '2007-01-20 11:43:42');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (464, 2006000030, 3, 'Ju referua KEMPIT.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-10', '12:32:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-20 12-33-24 Ermal Dibra\n\r', '', '2007-01-20 12:33:24', 'Ermal Dibra', '2007-01-20 12:33:24');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (465, 2007000049, 3, 'Del me mjekim.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-15', '12:34:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-20 12-35-36 Ermal Dibra\n\r', '', '2007-01-20 12:35:36', 'Ermal Dibra', '2007-01-20 12:35:36');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (466, 2007000146, 12, 'IAM.Angor izgjatur\r\n\r\nDr.Z.Hoxha', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '12:43:46', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 12:43:46 Ermal Dibra', 'Ermal Dibra', '2007-01-20 12:43:46', 'Ermal Dibra', '2007-01-20 12:43:46');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (467, 2007000146, 13, 'Analgin 1amp\r\nNTG 1tab\r\nLanatocid 1amp', 'marre_keshille_mjekesore', NULL, 466, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '12:43:46', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 12:43:46 Ermal Dibra', 'Ermal Dibra', '2007-01-20 12:43:46', 'Ermal Dibra', '2007-01-20 12:43:46');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (468, 2007000147, 12, 'SAK. Angina pectoris\r\n\r\nDr.S.Pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '12:48:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 12:48:01 Ermal Dibra', 'Ermal Dibra', '2007-01-20 12:48:01', 'Ermal Dibra', '2007-01-20 12:48:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (469, 2007000147, 13, 'Analgin 1amp\r\nDiazepam 1amp\r\nNTG 1tab', 'marre_keshille_mjekesore', NULL, 468, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '12:48:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 12:48:01 Ermal Dibra', 'Ermal Dibra', '2007-01-20 12:48:01', 'Ermal Dibra', '2007-01-20 12:48:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (470, 2007000148, 12, 'SAK.Angina pektoris\r\n\r\nDr.S.Pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '13:05:25', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 13:05:25 Ermal Dibra', 'Ermal Dibra', '2007-01-20 13:05:25', 'Ermal Dibra', '2007-01-20 13:05:25');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (471, 2007000148, 13, 'Sol Heparin 4x5000 ui\r\nCarvarzin 4x1tab\r\nAspir. 1/2tab\r\nAtenaloli 1/4tab\r\nEnaloprili 2x1/4tab \r\nValium 1tab', 'marre_keshille_mjekesore', NULL, 470, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '13:05:25', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 13:05:25 Ermal Dibra', 'Ermal Dibra', '2007-01-20 13:05:25', 'Ermal Dibra', '2007-01-20 13:05:25');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (472, 2007000133, 3, 'Doli me mjekim ambulator', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '13:12:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-20 13-12-59 Ermal Dibra\n\r', '', '2007-01-20 13:12:59', 'Ermal Dibra', '2007-01-20 13:12:59');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (473, 2007000149, 12, 'Sindrom Koronar Acut\r\n\r\nDr.S.Pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '13:20:15', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 13:20:15 Ermal Dibra', 'Ermal Dibra', '2007-01-20 13:20:15', 'Ermal Dibra', '2007-01-20 13:20:15');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (474, 2007000149, 13, 'Sol morfin 1amp+fiz 20cc iv\r\nPrimperan 1amp\r\nFiz 500cc iv', 'marre_keshille_mjekesore', NULL, 473, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '13:20:15', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 13:20:15 Ermal Dibra', 'Ermal Dibra', '2007-01-20 13:20:15', 'Ermal Dibra', '2007-01-20 13:20:15');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (475, 2007000150, 12, 'Shok Cardiogjen. Cardiopatia dilatuar\r\n\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '13:28:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 13:28:12 Ermal Dibra', 'Ermal Dibra', '2007-01-20 13:28:12', 'Ermal Dibra', '2007-01-20 13:28:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (476, 2007000150, 13, 'Dobutamin 1fl +sol fiz500cc iv\r\n\r\ndopamin 4amp+fiz500cc iv\r\n', 'marre_keshille_mjekesore', NULL, 475, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '13:28:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 13:28:12 Ermal Dibra', 'Ermal Dibra', '2007-01-20 13:28:12', 'Ermal Dibra', '2007-01-20 13:28:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (477, 2007000151, 12, 'Angina pectoris\r\n\r\nDr.S.Pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '13:32:39', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 13:32:39 Ermal Dibra', 'Ermal Dibra', '2007-01-20 13:32:39', 'Ermal Dibra', '2007-01-20 13:32:39');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (478, 2007000151, 13, 'Dopamin 1amp+fiz500cc\r\nO2 terapi\r\nBuskupan 1amp', 'marre_keshille_mjekesore', NULL, 477, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '13:32:39', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 13:32:39 Ermal Dibra', 'Ermal Dibra', '2007-01-20 13:32:39', 'Ermal Dibra', '2007-01-20 13:32:39');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (479, 2007000152, 12, 'HTA.SAK.Angina pectoris e paqendrueshme.\r\n\r\nDR.N.Kasemi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '14:24:50', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 14:24:50 Ermal Dibra', 'Ermal Dibra', '2007-01-20 14:24:50', 'Ermal Dibra', '2007-01-20 14:24:50');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (480, 2007000152, 13, '2tab TNT sub/ling\r\n1tab Adalat\r\nAnalgin +fiz 20cc iv', 'marre_keshille_mjekesore', NULL, 479, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '14:24:50', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 14:24:50 Ermal Dibra', 'Ermal Dibra', '2007-01-20 14:24:50', 'Ermal Dibra', '2007-01-20 14:24:50');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (481, 2007000153, 12, 'Fib .Atrial. Fe e larte .Cardiopatia dilatuar\r\n\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '14:29:29', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 14:29:29 Ermal Dibra', 'Ermal Dibra', '2007-01-20 14:29:29', 'Ermal Dibra', '2007-01-20 14:29:29');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (482, 2007000153, 13, 'Berlipril 2x1/4tab\r\nCorvitol 2x1tab', 'marre_keshille_mjekesore', NULL, 481, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '14:29:29', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 14:29:29 Ermal Dibra', 'Ermal Dibra', '2007-01-20 14:29:29', 'Ermal Dibra', '2007-01-20 14:29:29');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (483, 2007000154, 12, 'Nefroctomia sin .Colika renale.HTA.\r\n\r\nDr.A.Agolli', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '14:33:39', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 14:33:39 Ermal Dibra', 'Ermal Dibra', '2007-01-20 14:33:39', 'Ermal Dibra', '2007-01-20 14:33:39');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (484, 2007000154, 13, 'Ciprox 2x1tab\r\nVolteren 3x1tab\r\nRanitidin 2x1tab', 'marre_keshille_mjekesore', NULL, 483, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '14:33:39', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 14:33:39 Ermal Dibra', 'Ermal Dibra', '2007-01-20 14:33:39', 'Ermal Dibra', '2007-01-20 14:33:39');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (485, 2007000155, 12, 'Spondiartrozis cervikale\r\n\r\nDr.A.Miloti', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '14:38:21', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 14:38:21 Ermal Dibra', 'Ermal Dibra', '2007-01-20 14:38:21', 'Ermal Dibra', '2007-01-20 14:38:21');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (486, 2007000155, 13, 'Volteren 1amp im\r\nCa glukonat 3x1tab', 'marre_keshille_mjekesore', NULL, 485, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '14:38:21', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 14:38:21 Ermal Dibra', 'Ermal Dibra', '2007-01-20 14:38:21', 'Ermal Dibra', '2007-01-20 14:38:21');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (487, 2007000156, 12, 'Spondiartrozis  shume katesahe\r\n\r\n\r\n\r\nDR.A.Miloti', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '14:42:09', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 14:42:09 Ermal Dibra', 'Ermal Dibra', '2007-01-20 14:42:09', 'Ermal Dibra', '2007-01-20 14:42:09');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (488, 2007000156, 13, 'Voltereni 1amp\r\nCa glukonati 3x1tab', 'marre_keshille_mjekesore', NULL, 487, 0, 'Ermal Dibra', 0, NULL, '2007-01-20', '14:42:09', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-20 14:42:09 Ermal Dibra', 'Ermal Dibra', '2007-01-20 14:42:09', 'Ermal Dibra', '2007-01-20 14:42:09');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (489, 2007000157, 12, 'Infeksion Viral\r\nStatus postconvulsiv', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-22', '09:51:51', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-22 09:51:51 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-22 09:51:51', 'Ardiana Dervishi', '2007-01-22 09:51:51');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (490, 2007000157, 13, 'Valium 2/mg/2x1/tab\r\nCeporin 100/mg/iv/x4', 'marre_keshille_mjekesore', 'po', 489, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-22', '09:51:51', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-22 09:51:51 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-22 09:51:51', 'Ardiana Dervishi', '2007-01-22 09:51:51');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (491, 2007000050, 3, 'Pacjenti del me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-22', '10:02:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-22 10-02-48 Ardiana Dervishi\n\r', '', '2007-01-22 10:02:48', 'Ardiana Dervishi', '2007-01-22 10:02:48');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (492, 2007000131, 3, 'Femia del me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-22', '10:02:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-22 10-03-46 Ardiana Dervishi\n\r', '', '2007-01-22 10:03:46', 'Ardiana Dervishi', '2007-01-22 10:03:46');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (493, 2007000132, 3, 'Doli me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-22', '11:24:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-22 11-24-33 Ardiana Dervishi\n\r', '', '2007-01-22 11:24:33', 'Ardiana Dervishi', '2007-01-22 11:24:33');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (494, 2007000062, 3, 'Doli i permiresuar.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-22', '11:27:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-22 11-27-51 Ermal Dibra\n\r', '', '2007-01-22 11:27:51', 'Ermal Dibra', '2007-01-22 11:27:51');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (495, 2007000095, 3, 'Doli e permiresuar.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-22', '11:28:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-22 11-28-34 Ermal Dibra\n\r', '', '2007-01-22 11:28:34', 'Ermal Dibra', '2007-01-22 11:28:34');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (496, 2007000045, 3, 'Doli i permiresuar.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-22', '11:28:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-22 11-29-22 Ermal Dibra\n\r', '', '2007-01-22 11:29:22', 'Ermal Dibra', '2007-01-22 11:29:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (497, 2007000158, 12, 'Bronchopneumoni bilaterale\r\nDr.ABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-22', '11:30:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-22 11:30:01 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-22 11:30:01', 'Ardiana Dervishi', '2007-01-22 11:30:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (498, 2007000158, 13, 'Cefatoxime 200 mg iv x4\r\nGenta 15 mg iv x2', 'marre_keshille_mjekesore', NULL, 497, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-22', '11:30:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-22 11:30:01 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-22 11:30:01', 'Ardiana Dervishi', '2007-01-22 11:30:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (499, 2007000080, 3, 'Doli e permiresuar.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-22', '11:29:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-22 11-30-13 Ermal Dibra\n\r', '', '2007-01-22 11:30:13', 'Ermal Dibra', '2007-01-22 11:30:13');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (500, 2007000104, 3, 'Doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-22', '11:30:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-22 11-31-13 Ermal Dibra\n\r', '', '2007-01-22 11:31:13', 'Ermal Dibra', '2007-01-22 11:31:13');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (501, 2007000087, 3, 'Doli me mjekim ambulatore.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-22', '11:32:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-22 11-32-53 Ermal Dibra\n\r', '', '2007-01-22 11:32:53', 'Ermal Dibra', '2007-01-22 11:32:53');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (502, 2007000146, 3, 'Doli me mire.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-22', '11:33:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-22 11-33-41 Ermal Dibra\n\r', '', '2007-01-22 11:33:41', 'Ermal Dibra', '2007-01-22 11:33:41');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (503, 2007000159, 12, 'SAK.Angor ipaqendrueshem.\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-22', '11:41:47', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-22 11:41:47 Ermal Dibra', 'Ermal Dibra', '2007-01-22 11:41:47', 'Ermal Dibra', '2007-01-22 11:41:47');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (504, 2007000159, 13, 'Carvazin 4x1tab\r\nAspir 1/2\r\nHeparin 4x5000ui ', 'marre_keshille_mjekesore', NULL, 503, 0, 'Ermal Dibra', 0, NULL, '2007-01-22', '11:41:47', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-22 11:41:47 Ermal Dibra', 'Ermal Dibra', '2007-01-22 11:41:47', 'Ermal Dibra', '2007-01-22 11:41:47');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (505, 2007000160, 12, 'Fib. paracistik.angina pectoris\r\n\r\n\r\n\r\nDr.S.Pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-22', '13:21:14', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-22 13:21:14 Ermal Dibra', 'Ermal Dibra', '2007-01-22 13:21:14', 'Ermal Dibra', '2007-01-22 13:21:14');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (506, 2007000160, 13, 'Analgin 1amp\r\nLanatocid 1amp\r\nLenitral1amp+fiz 500cc iv', 'marre_keshille_mjekesore', NULL, 505, 0, 'Ermal Dibra', 0, NULL, '2007-01-22', '13:21:14', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-22 13:21:14 Ermal Dibra', 'Ermal Dibra', '2007-01-22 13:21:14', 'Ermal Dibra', '2007-01-22 13:21:14');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (507, 2007000161, 12, 'Sindrom coronar acut.Shok kardiogjen.\r\n\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-22', '13:27:50', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-22 13:27:50 Ermal Dibra', 'Ermal Dibra', '2007-01-22 13:27:50', 'Ermal Dibra', '2007-01-22 13:27:50');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (508, 2007000161, 13, 'Monitor\r\nO2 Terapi\r\nSol Fiz 500cc Iv \r\nMorfin 1amp +fiz 20 cc iv\r\nheparin 5000ui \r\nDoputamin 1fl+Fiz500cc\r\nlasix 3amp', 'marre_keshille_mjekesore', NULL, 507, 0, 'Ermal Dibra', 0, NULL, '2007-01-22', '13:27:50', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-22 13:27:50 Ermal Dibra', 'Ermal Dibra', '2007-01-22 13:27:50', 'Ermal Dibra', '2007-01-22 13:27:50');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (509, 2007000161, 3, 'Ju aplikua goditje elektrike 300wat,por isemuri nuk kthehet .Ben arrest kardiak .', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-22', '13:28:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-22 13-30-30 Ermal Dibra\n\r', '', '2007-01-22 13:30:30', 'Ermal Dibra', '2007-01-22 13:30:30');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (510, 2007000162, 12, 'SAK.Post IM anterior.angina paqendrueshme.\r\n\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-22', '13:37:44', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-22 13:37:44 Ermal Dibra', 'Ermal Dibra', '2007-01-22 13:37:44', 'Ermal Dibra', '2007-01-22 13:37:44');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (511, 2007000162, 13, 'Carvazin 3x1tab\r\nHetarin 4x5000 ui\r\nAspirini 1/2 tab', 'marre_keshille_mjekesore', NULL, 510, 0, 'Ermal Dibra', 0, NULL, '2007-01-22', '13:37:44', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-22 13:37:44 Ermal Dibra', 'Ermal Dibra', '2007-01-22 13:37:44', 'Ermal Dibra', '2007-01-22 13:37:44');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (512, 2007000162, 3, 'Del me deshire.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-21', '13:38:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-22 13-38-59 Ermal Dibra\n\r', '', '2007-01-22 13:38:59', 'Ermal Dibra', '2007-01-22 13:38:59');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (513, 2007000110, 3, 'Doli e permiresuar.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-22', '07:46:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-23 07-46-47 Ermal Dibra\n\r', '', '2007-01-23 07:46:47', 'Ermal Dibra', '2007-01-23 07:46:47');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (514, 2007000163, 12, 'D.M.tip2 ithyer,Kome hiperosmolare.\r\n\r\n\r\nDr.E.Nelaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '07:53:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 07:53:01 Ermal Dibra', 'Ermal Dibra', '2007-01-23 07:53:01', 'Ermal Dibra', '2007-01-23 07:53:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (515, 2007000163, 13, 'Fiz 500cc iv\r\nIns Actapid 20im ui', 'marre_keshille_mjekesore', NULL, 514, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '07:53:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 07:53:01 Ermal Dibra', 'Ermal Dibra', '2007-01-23 07:53:01', 'Ermal Dibra', '2007-01-23 07:53:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (516, 2007000164, 12, 'Cardiopatia e dilatuar, Fib atrial\r\n\r\n\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '07:58:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 07:58:04 Ermal Dibra', 'Ermal Dibra', '2007-01-23 07:58:04', 'Ermal Dibra', '2007-01-23 07:58:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (517, 2007000164, 13, 'Pa terapi', 'marre_keshille_mjekesore', NULL, 516, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '07:58:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 07:58:04 Ermal Dibra', 'Ermal Dibra', '2007-01-23 07:58:04', 'Ermal Dibra', '2007-01-23 07:58:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (518, 2007000165, 12, 'edeme pulmunare acute\r\n\r\n\r\nDr.E..Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '08:02:26', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 08:02:26 Ermal Dibra', 'Ermal Dibra', '2007-01-23 08:02:26', 'Ermal Dibra', '2007-01-23 08:02:26');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (519, 2007000165, 13, 'Enalopril 2x1/2tab\r\nAtenaloli 1/2tab', 'marre_keshille_mjekesore', NULL, 518, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '08:02:26', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 08:02:26 Ermal Dibra', 'Ermal Dibra', '2007-01-23 08:02:26', 'Ermal Dibra', '2007-01-23 08:02:26');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (520, 2007000165, 12, 'edeme pulmunare acute\r\n\r\n\r\nDr.E..Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '08:02:26', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 08:02:26 Ermal Dibra', 'Ermal Dibra', '2007-01-23 08:02:26', 'Ermal Dibra', '2007-01-23 08:02:26');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (521, 2007000165, 13, 'Enalopril 2x1/2tab\r\nAtenaloli 1/2tab', 'marre_keshille_mjekesore', NULL, 520, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '08:02:26', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 08:02:26 Ermal Dibra', 'Ermal Dibra', '2007-01-23 08:02:26', 'Ermal Dibra', '2007-01-23 08:02:26');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (522, 2007000165, 12, 'edeme pulmunare acute\r\n\r\n\r\nDr.E..Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '08:02:28', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 08:02:28 Ermal Dibra', 'Ermal Dibra', '2007-01-23 08:02:28', 'Ermal Dibra', '2007-01-23 08:02:28');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (523, 2007000165, 13, 'Enalopril 2x1/2tab\r\nAtenaloli 1/2tab', 'marre_keshille_mjekesore', NULL, 522, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '08:02:28', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 08:02:28 Ermal Dibra', 'Ermal Dibra', '2007-01-23 08:02:28', 'Ermal Dibra', '2007-01-23 08:02:28');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (524, 2007000166, 12, 'colica renale dex .HTA', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '08:08:49', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 08:08:49 Ermal Dibra', 'Ermal Dibra', '2007-01-23 08:08:49', 'Ermal Dibra', '2007-01-23 08:08:49');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (525, 2007000166, 13, 'Ciprox 2x1tab', 'marre_keshille_mjekesore', NULL, 524, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '08:08:49', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 08:08:49 Ermal Dibra', 'Ermal Dibra', '2007-01-23 08:08:49', 'Ermal Dibra', '2007-01-23 08:08:49');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (526, 2007000167, 12, 'D.M.tip 2 Plage diabetike\r\n\r\n\r\nDr.E.Nelaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '08:13:29', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 08:13:29 Ermal Dibra', 'Ermal Dibra', '2007-01-23 08:13:29', 'Ermal Dibra', '2007-01-23 08:13:29');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (527, 2007000167, 13, 'Ins Actrapid 12/14/12/8 ui \r\nAmpic 3x2caps\r\nciprox 2x1tab\r\n\r\n', 'marre_keshille_mjekesore', NULL, 526, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '08:13:29', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 08:13:29 Ermal Dibra', 'Ermal Dibra', '2007-01-23 08:13:29', 'Ermal Dibra', '2007-01-23 08:13:29');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (528, 2007000168, 12, 'Gastroenterit Akut\r\nDr.LSalabegu', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '08:18:29', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 08:18:29 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 08:18:29', 'Ardiana Dervishi', '2007-01-23 08:18:29');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (529, 2007000168, 13, 'Ultracorten 25/mg/iv/x2\r\nKemicitin 750/mg/iv/x2\r\nKCl 7.5/5cc\r\nNaHCO3/5cc\r\nSol glu 300cc', 'marre_keshille_mjekesore', NULL, 528, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '08:18:29', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 08:18:29 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 08:18:29', 'Ardiana Dervishi', '2007-01-23 08:18:29');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (530, 2007000169, 12, 'Broncho pneumoni bilaterale\r\nDr.ABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '08:24:10', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 08:24:10 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 08:24:10', 'Ardiana Dervishi', '2007-01-23 08:24:10');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (531, 2007000169, 13, 'Ultracorten 25/mg/iv/x2\r\nCefatoxime 300/mg/iv/x4\r\nGentamicin 25/mg/iv/x2', 'marre_keshille_mjekesore', NULL, 530, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '08:24:10', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 08:24:10 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 08:24:10', 'Ardiana Dervishi', '2007-01-23 08:24:10');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (532, 2007000170, 12, 'Bronchopneumoni bilaterale\r\nDr.ABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '08:30:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 08:30:12 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 08:30:12', 'Ardiana Dervishi', '2007-01-23 08:30:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (533, 2007000170, 13, 'Inhalacion me ventolin 3x\r\nUltracorten 25/mg/iv/x2\r\nCefatoxime 700/mg/iv/x4\r\nEuphilin 80/mg/ivx1', 'marre_keshille_mjekesore', NULL, 532, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '08:30:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 08:30:12 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 08:30:12', 'Ardiana Dervishi', '2007-01-23 08:30:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (534, 2007000171, 12, 'Pneumoni Dex\r\nDr.LSalabegu', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '08:43:50', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 08:43:50 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 08:43:50', 'Ardiana Dervishi', '2007-01-23 08:43:50');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (535, 2007000171, 13, 'Ultrakorten 25/mg/iv/x2\r\nCefatoxim 500/mg/x4iv/ \r\nGEntamicn 60/mg/x2/iv', 'marre_keshille_mjekesore', NULL, 534, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '08:43:50', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 08:43:50 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 08:43:50', 'Ardiana Dervishi', '2007-01-23 08:43:50');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (536, 2007000172, 12, 'Pneumoni Dex\r\nDr.SDUka', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '09:02:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 09:02:12 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 09:02:12', 'Ardiana Dervishi', '2007-01-23 09:02:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (537, 2007000172, 13, 'Cefatoxin 750/mg/iv/x4\r\ngentamicin 40/mg/ivx2\r\nsir tusipektol 3x1/l/kafet', 'marre_keshille_mjekesore', NULL, 536, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '09:02:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 09:02:12 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 09:02:12', 'Ardiana Dervishi', '2007-01-23 09:02:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (538, 2007000173, 12, 'Bronkiolit\r\nDr.L.Salabegu', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '09:21:29', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 09:21:29 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 09:21:29', 'Ardiana Dervishi', '2007-01-23 09:21:29');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (539, 2007000173, 13, 'Ultracorten 15mg/ivx2 \r\n Cefatoxim 150mg/ivx4\r\nGenta 20mg/ivx2', 'marre_keshille_mjekesore', NULL, 538, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '09:21:29', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 09:21:29 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 09:21:29', 'Ardiana Dervishi', '2007-01-23 09:21:29');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (540, 2007000174, 12, 'Tonsilit Purulent       \r\nDr.LSAlabegu', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '09:52:32', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 09:52:32 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 09:52:32', 'Ardiana Dervishi', '2007-01-23 09:52:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (541, 2007000174, 13, 'Sol Analgin 100/mg iv x1\r\nUltracorten 25mg ivx2\r\nCefatoxim 250mg ivx4', 'marre_keshille_mjekesore', NULL, 540, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '09:52:32', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 09:52:32 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 09:52:32', 'Ardiana Dervishi', '2007-01-23 09:52:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (542, 2007000175, 12, 'SAK.Infarkt acut miokardit inferior .Fib atrial.\r\n\r\nDr.N.Kasemi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '10:23:54', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 10:23:54 Ermal Dibra', 'Ermal Dibra', '2007-01-23 10:23:54', 'Ermal Dibra', '2007-01-23 10:23:54');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (543, 2007000175, 13, 'Heparin 4x5000 ui \r\nDiovan 1tab\r\nAtenaloli 2x1/2tab\r\nCarvazine 4x1tab\r\nRanitidine 2x1tab', 'marre_keshille_mjekesore', NULL, 542, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '10:23:54', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 10:23:54 Ermal Dibra', 'Ermal Dibra', '2007-01-23 10:23:54', 'Ermal Dibra', '2007-01-23 10:23:54');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (544, 2007000176, 12, 'Broncho pneumoni bilaterale\r\nDr.ABekteshi\r\n', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '10:39:28', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 10:39:28 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 10:39:28', 'Ardiana Dervishi', '2007-01-23 10:39:28');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (545, 2007000176, 13, 'Cefatoxime 200mg/iv/x4\r\nGentamicin 20mg/iv/x2\r\nSir Tusipektol 3x1/l/kafe', 'marre_keshille_mjekesore', 'po', 544, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '10:39:28', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 10:39:28 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 10:39:28', 'Ardiana Dervishi', '2007-01-23 10:39:28');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (546, 2007000177, 12, 'Broncho pneumoni\r\nDr.ABekteshi', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '10:44:15', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 10:44:15 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 10:44:15', 'Ardiana Dervishi', '2007-01-23 10:44:15');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (547, 2007000177, 13, 'Cefatoxime 400mg/ iv x4\r\nKemicitin 300mg/iv/x2', 'marre_keshille_mjekesore', 'po', 546, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '10:44:15', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 10:44:15 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 10:44:15', 'Ardiana Dervishi', '2007-01-23 10:44:15');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (548, 2007000178, 12, 'Enterit Akut\r\nDr.ABekteshi', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '10:48:23', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 10:48:23 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 10:48:23', 'Ardiana Dervishi', '2007-01-23 10:48:23');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (549, 2007000178, 13, 'Ultracorten 20mg/iv/x2\r\nKemicitin 300mg/ivx2', 'marre_keshille_mjekesore', 'po', 548, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '10:48:23', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 10:48:23 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 10:48:23', 'Ardiana Dervishi', '2007-01-23 10:48:23');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (550, 2007000053, 3, 'Transferohet ne Tirane per ndjekje te metejshme.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-22', '10:49:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-23 10-50-27 Ermal Dibra\n\r', '', '2007-01-23 10:50:27', 'Ermal Dibra', '2007-01-23 10:50:27');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (551, 2007000179, 12, 'Konvulsion afebril\r\nDrS.Duka', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '11:02:38', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 11:02:38 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 11:02:38', 'Ardiana Dervishi', '2007-01-23 11:02:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (552, 2007000179, 13, 'Cefatoxim 100mg/ivx4\r\nDexametazon2mgivx2\r\nManitol 50cc\r\nDiazepam 2mg/1tab ne dite', 'marre_keshille_mjekesore', NULL, 551, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '11:02:38', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 11:02:38 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 11:02:38', 'Ardiana Dervishi', '2007-01-23 11:02:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (553, 2007000159, 3, 'Doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '11:09:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-23 11-10-27 Ermal Dibra\n\r', '', '2007-01-23 11:10:27', 'Ermal Dibra', '2007-01-23 11:10:27');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (554, 2007000180, 12, 'IVU.HTA.\r\nDr.A.Agolli', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '11:35:20', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 11:35:20 Ermal Dibra', 'Ermal Dibra', '2007-01-23 11:35:20', 'Ermal Dibra', '2007-01-23 11:35:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (555, 2007000180, 13, 'Ciprox 2x 1tab\r\nAtenaloli 2x1/2tab\r\n', 'marre_keshille_mjekesore', NULL, 554, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '11:35:20', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 11:35:20 Ermal Dibra', 'Ermal Dibra', '2007-01-23 11:35:20', 'Ermal Dibra', '2007-01-23 11:35:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (556, 2007000181, 12, 'Ascid per determinim.\r\n\r\nDr.N.Tabaku', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '11:40:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 11:40:01 Ermal Dibra', 'Ermal Dibra', '2007-01-23 11:40:01', 'Ermal Dibra', '2007-01-23 11:40:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (557, 2007000181, 13, 'Atropin +Papaverin\r\nloperamid 2x1tab', 'marre_keshille_mjekesore', NULL, 556, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '11:40:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 11:40:01 Ermal Dibra', 'Ermal Dibra', '2007-01-23 11:40:01', 'Ermal Dibra', '2007-01-23 11:40:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (558, 2007000182, 12, 'HTA stad  III Edeme pulmunare\r\n\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '11:45:59', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 11:45:59 Ermal Dibra', 'Ermal Dibra', '2007-01-23 11:45:59', 'Ermal Dibra', '2007-01-23 11:45:59');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (559, 2007000182, 13, 'Lenitral 1amp +fiz 500cc iv\r\nDiazepam 1amp', 'marre_keshille_mjekesore', NULL, 558, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '11:45:59', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 11:45:59 Ermal Dibra', 'Ermal Dibra', '2007-01-23 11:45:59', 'Ermal Dibra', '2007-01-23 11:45:59');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (560, 2007000183, 12, 'Status post konvulsiv\r\nDr.ABekteshi', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '12:11:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 12:11:31 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 12:11:31', 'Ardiana Dervishi', '2007-01-23 12:11:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (561, 2007000183, 13, 'Ultracorten 25mg/iv/x2\r\nKemicitin 400mg/iv/x4', 'marre_keshille_mjekesore', 'po', 560, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '12:11:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 12:11:31 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-23 12:11:31', 'Ardiana Dervishi', '2007-01-23 12:11:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (562, 2007000183, 3, 'Pacjenti del me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '13:08:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-23 12-12-57 Ardiana Dervishi\n\r', '', '2007-01-23 12:12:57', 'Ardiana Dervishi', '2007-01-23 12:12:57');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (563, 2007000143, 3, 'Doli me mjekim aqmbulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '12:28:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-23 12-29-07 Ardiana Dervishi\n\r', '', '2007-01-23 12:29:07', 'Ardiana Dervishi', '2007-01-23 12:29:07');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (564, 2007000145, 3, 'Pacjenti del me racet', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-23', '12:32:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-23 12-32-49 Ardiana Dervishi\n\r', '', '2007-01-23 12:32:49', 'Ardiana Dervishi', '2007-01-23 12:32:49');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (565, 2007000184, 12, 'Fib atrial .Status post tromboembulia pulmunare.\r\nDr.N.Kasemi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '13:06:24', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 13:06:24 Ermal Dibra', 'Ermal Dibra', '2007-01-23 13:06:24', 'Ermal Dibra', '2007-01-23 13:06:24');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (566, 2007000184, 13, 'Lanatocid 1amp\r\ncorvitol 2x1/2tab\r\nSyntrom 1/4tab\r\nDigoxini 1tab', 'marre_keshille_mjekesore', NULL, 565, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '13:06:24', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 13:06:24 Ermal Dibra', 'Ermal Dibra', '2007-01-23 13:06:24', 'Ermal Dibra', '2007-01-23 13:06:24');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (567, 2007000185, 12, 'Gonartritis acut dex.D.Mtip 2 .HTA.\r\n\r\nDr.A.Miloti', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '13:11:43', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 13:11:43 Ermal Dibra', 'Ermal Dibra', '2007-01-23 13:11:43', 'Ermal Dibra', '2007-01-23 13:11:43');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (568, 2007000185, 13, 'Volteren 1amp\r\nprednizolon 1amp \r\nRanitidin 1/2tab', 'marre_keshille_mjekesore', NULL, 567, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '13:11:43', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 13:11:43 Ermal Dibra', 'Ermal Dibra', '2007-01-23 13:11:43', 'Ermal Dibra', '2007-01-23 13:11:43');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (569, 2007000186, 12, 'HTA st III.Insuf Kardiake.\r\n\r\nDR.e.SMAJLAJ', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '13:20:46', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 13:20:46 Ermal Dibra', 'Ermal Dibra', '2007-01-23 13:20:46', 'Ermal Dibra', '2007-01-23 13:20:46');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (570, 2007000186, 13, 'Corvitol 2x1/2tab\r\nLenitral 1amp +Fiz  500cc iv\r\n', 'marre_keshille_mjekesore', NULL, 569, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '13:20:46', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-23 13:20:46 Ermal Dibra', 'Ermal Dibra', '2007-01-23 13:20:46', 'Ermal Dibra', '2007-01-23 13:20:46');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (571, 2007000090, 3, 'Del ne gjendje te mire', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '08:11:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-24 08-12-03 Ermal Dibra\n\r', '', '2007-01-24 08:12:04', 'Ermal Dibra', '2007-01-24 08:12:03');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (572, 2007000184, 3, 'Del ne gjendje te permiresuar.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '08:35:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-24 08-36-39 Ermal Dibra\n\r', '', '2007-01-24 08:36:39', 'Ermal Dibra', '2007-01-24 08:36:39');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (573, 2007000061, 3, 'Doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-22', '08:42:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-24 08-42-54 Ermal Dibra\n\r', '', '2007-01-24 08:42:54', 'Ermal Dibra', '2007-01-24 08:42:54');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (574, 2007000187, 12, 'Infeksion Viral OBS\r\nDr.SKallogjeri', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '08:44:06', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 08:44:06 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 08:44:06', 'Ardiana Dervishi', '2007-01-24 08:44:06');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (575, 2007000187, 13, 'Kemicitin 600mg/iv/x2\r\nAnalgin 200mg/iv/x1\r\nVit B1+B6+C 3x1/tab', 'marre_keshille_mjekesore', NULL, 574, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '08:44:06', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 08:44:06 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 08:44:06', 'Ardiana Dervishi', '2007-01-24 08:44:06');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (576, 2007000188, 12, 'Bronchiolit\r\nDr.SKallogjeri', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '08:50:45', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 08:50:45 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 08:50:45', 'Ardiana Dervishi', '2007-01-24 08:50:45');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (577, 2007000188, 13, 'Cefuroxime 150 mg/iv/x4\r\nPrednizolon 10 mg/iv/x2\r\nSir Solbutamol 3x5ml\r\nVit B1+B6 1/2', 'marre_keshille_mjekesore', NULL, 576, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '08:50:45', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 08:50:45 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 08:50:45', 'Ardiana Dervishi', '2007-01-24 08:50:45');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (578, 2007000083, 3, 'Pacienti shtrohet QSUT.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '08:54:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-24 08-55-02 Ermal Dibra\n\r', '', '2007-01-24 08:55:02', 'Ermal Dibra', '2007-01-24 08:55:02');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (579, 2007000098, 3, 'Doli me mjekim ambulatore.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '08:55:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-24 08-56-21 Ermal Dibra\n\r', '', '2007-01-24 08:56:21', 'Ermal Dibra', '2007-01-24 08:56:21');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (580, 2007000134, 3, 'Doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '09:50:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-24 09-51-32 Ermal Dibra\n\r', '', '2007-01-24 09:51:32', 'Ermal Dibra', '2007-01-24 09:51:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (581, 2007000186, 3, 'Del memjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '09:52:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-24 09-53-06 Ermal Dibra\n\r', '', '2007-01-24 09:53:06', 'Ermal Dibra', '2007-01-24 09:53:06');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (582, 2007000164, 3, 'Doli ne gjendje te mire.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '09:53:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-24 09-54-02 Ermal Dibra\n\r', '', '2007-01-24 09:54:02', 'Ermal Dibra', '2007-01-24 09:54:02');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (583, 2007000166, 3, 'Doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '10:45:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-24 10-45-59 Ermal Dibra\n\r', '', '2007-01-24 10:45:59', 'Ermal Dibra', '2007-01-24 10:45:59');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (584, 2007000092, 3, 'Doli epermiresuar.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '10:46:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-24 10-46-54 Ermal Dibra\n\r', '', '2007-01-24 10:46:54', 'Ermal Dibra', '2007-01-24 10:46:54');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (585, 2007000158, 3, 'Pacjenti del me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '11:09:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-24 11-10-22 Ardiana Dervishi\n\r', '', '2007-01-24 11:10:22', 'Ardiana Dervishi', '2007-01-24 11:10:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (586, 2007000108, 3, 'Del me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '11:13:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-24 11-14-20 Ardiana Dervishi\n\r', '', '2007-01-24 11:14:20', 'Ardiana Dervishi', '2007-01-24 11:14:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (587, 2007000189, 12, 'Bronchopneumoni\r\nDr.LSalabegu', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '11:21:25', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 11:21:25 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:21:25', 'Ardiana Dervishi', '2007-01-24 11:21:25');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (588, 2007000189, 13, 'Cefatoxime 300mg/iv/x4\r\nGenta 30mg/iv/x2', 'marre_keshille_mjekesore', NULL, 587, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '11:21:25', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 11:21:25 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:21:25', 'Ardiana Dervishi', '2007-01-24 11:21:25');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (589, 2007000190, 12, 'Bronchopneumoni bilaterale\r\nDr.ABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '11:27:10', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 11:27:10 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:27:10', 'Ardiana Dervishi', '2007-01-24 11:27:10');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (590, 2007000190, 13, 'ultracorten 25mg/iv/x2\r\nPenicillin G 300mg/iv/x4\r\nGenta 25mg/iv/x2', 'marre_keshille_mjekesore', NULL, 589, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '11:27:10', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 11:27:10 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:27:10', 'Ardiana Dervishi', '2007-01-24 11:27:10');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (591, 2007000191, 12, 'Bronchopneumoni\r\nDr.RMiloti', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '11:34:20', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 11:34:20 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:34:20', 'Ardiana Dervishi', '2007-01-24 11:34:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (592, 2007000191, 13, 'Cefatoxime 300 mg/iv/x4\r\nGenta 20 mg/iv/x2', 'marre_keshille_mjekesore', NULL, 591, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '11:34:20', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 11:34:20 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:34:20', 'Ardiana Dervishi', '2007-01-24 11:34:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (593, 2007000191, 3, 'Del me recete', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '11:35:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-24 11-36-03 Ardiana Dervishi\n\r', '', '2007-01-24 11:36:03', 'Ardiana Dervishi', '2007-01-24 11:36:03');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (594, 2007000192, 12, 'Broncho pneumoni bilaterale\r\nDr.ABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '11:43:22', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 11:43:22 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:43:22', 'Ardiana Dervishi', '2007-01-24 11:43:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (595, 2007000192, 13, 'PenicillinG 300mg/iv/x2\r\nGenta 80 mg/x2', 'marre_keshille_mjekesore', NULL, 594, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '11:43:22', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 11:43:22 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:43:22', 'Ardiana Dervishi', '2007-01-24 11:43:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (596, 2007000193, 12, 'Bronchopneumoni Bilaterale\r\nDr.ABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '11:46:16', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 11:46:16 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:46:16', 'Ardiana Dervishi', '2007-01-24 11:46:16');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (597, 2007000193, 13, 'Cefatoxime 700mg/iv/x4\r\nGenta 30mg/iv/x2', 'marre_keshille_mjekesore', NULL, 596, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '11:46:16', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 11:46:16 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:46:16', 'Ardiana Dervishi', '2007-01-24 11:46:16');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (598, 2007000194, 12, 'Bronchopneumoni\r\nAstma Bronciale ne kriz\r\nDr.SDuka', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '11:50:57', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 11:50:57 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:50:57', 'Ardiana Dervishi', '2007-01-24 11:50:57');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (599, 2007000194, 13, 'Aminophiline 150mg/iv/x2\r\nSol glukoz 200cc\r\nPrednizolon 25mg/iv/x2', 'marre_keshille_mjekesore', NULL, 598, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '11:50:57', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 11:50:57 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:50:57', 'Ardiana Dervishi', '2007-01-24 11:50:57');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (600, 2007000195, 3, 'Doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-23', '11:52:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-24 11-53-27 Ermal Dibra\n\r', '', '2007-01-24 11:53:27', 'Ermal Dibra', '2007-01-24 11:53:27');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (601, 2007000196, 12, 'Bronchopneumoni +Astma Bronciale\r\nDr.MSHpori\r\n', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '11:56:35', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 11:56:35 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:56:35', 'Ardiana Dervishi', '2007-01-24 11:56:35');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (602, 2007000196, 13, 'Cefatoxime 600mg/iv/x4\r\nPrednizolon 25mg/x/1\r\nEuphilin 3x1 tab\r\n', 'marre_keshille_mjekesore', NULL, 601, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '11:56:35', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 11:56:35 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 11:56:35', 'Ardiana Dervishi', '2007-01-24 11:56:35');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (603, 2007000197, 12, 'Tonsilit kataralis\r\nDr.ABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '12:00:17', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:00:17 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 12:00:17', 'Ardiana Dervishi', '2007-01-24 12:00:17');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (604, 2007000197, 13, 'Ca glukonat 5cc/x1\r\nKemicitin 250mg/iv/x2\r\n', 'marre_keshille_mjekesore', NULL, 603, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '12:00:17', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:00:17 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 12:00:17', 'Ardiana Dervishi', '2007-01-24 12:00:17');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (605, 2007000198, 12, 'Infeksion  i vijave urinare\r\n\r\nDr.A.Agolli', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '12:03:56', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:03:56 Ermal Dibra', 'Ermal Dibra', '2007-01-24 12:03:56', 'Ermal Dibra', '2007-01-24 12:03:56');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (606, 2007000198, 13, 'Ranitidine 2x1tab\r\nPrimperan 2x1amp im\r\nCeftriaxion 2x1fl', 'marre_keshille_mjekesore', NULL, 605, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '12:03:56', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:03:56 Ermal Dibra', 'Ermal Dibra', '2007-01-24 12:03:56', 'Ermal Dibra', '2007-01-24 12:03:56');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (607, 2007000199, 12, 'Bronchopneumonibilaterale\r\nDr.ABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '12:05:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:05:04 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 12:05:04', 'Ardiana Dervishi', '2007-01-24 12:05:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (608, 2007000199, 13, 'Cefatoxime 300mg/iv/x2\r\nCefatoxime 300mg/im/x2\r\nGenta 20mg/iv/x2', 'marre_keshille_mjekesore', NULL, 607, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '12:05:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:05:04 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 12:05:04', 'Ardiana Dervishi', '2007-01-24 12:05:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (609, 2007000200, 12, 'SAK.Angor i paqendrueshem\r\n\r\n\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '12:09:08', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:09:08 Ermal Dibra', 'Ermal Dibra', '2007-01-24 12:09:08', 'Ermal Dibra', '2007-01-24 12:09:08');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (610, 2007000200, 13, 'Corvitol 2x1/2tab\r\nHeparin 4x5000 ui\r\nCeftazidime  2x1fl\r\n', 'marre_keshille_mjekesore', NULL, 609, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '12:09:08', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:09:08 Ermal Dibra', 'Ermal Dibra', '2007-01-24 12:09:08', 'Ermal Dibra', '2007-01-24 12:09:08');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (611, 2007000201, 12, 'Tonsilit Kataral OBS\r\nDr.ABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '12:10:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:10:31 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 12:10:31', 'Ardiana Dervishi', '2007-01-24 12:10:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (612, 2007000201, 13, 'PenicillinG 300000Ui/x2/iv\r\nPenicillinG 300000Ui/x2/im\r\nKemicetin 160mg/iv/x2', 'marre_keshille_mjekesore', NULL, 611, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '12:10:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:10:31 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 12:10:31', 'Ardiana Dervishi', '2007-01-24 12:10:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (613, 2007000202, 12, 'Cardio, e dilatuar ishemike.Angor ipaqendrueshem \r\n\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '12:13:38', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:13:38 Ermal Dibra', 'Ermal Dibra', '2007-01-24 12:13:38', 'Ermal Dibra', '2007-01-24 12:13:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (614, 2007000202, 13, 'Lanatocid 1amp+fiz 20cc iv\r\nlasix 1amp', 'marre_keshille_mjekesore', NULL, 613, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '12:13:38', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:13:38 Ermal Dibra', 'Ermal Dibra', '2007-01-24 12:13:38', 'Ermal Dibra', '2007-01-24 12:13:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (615, 2007000203, 12, 'SAK .Sindrom coronar acut.\r\n\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '12:17:56', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:17:56 Ermal Dibra', 'Ermal Dibra', '2007-01-24 12:17:56', 'Ermal Dibra', '2007-01-24 12:17:56');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (616, 2007000203, 13, 'Lanatocid 1amp +fiz 20cc\r\n\r\nAnalgin 1amp\r\nheparin 4x5000ui s/c', 'marre_keshille_mjekesore', NULL, 615, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '12:17:56', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:17:56 Ermal Dibra', 'Ermal Dibra', '2007-01-24 12:17:56', 'Ermal Dibra', '2007-01-24 12:17:56');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (617, 2007000205, 12, 'SAK.Angor i paqendrueshem.', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '12:24:52', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:24:52 Ermal Dibra', 'Ermal Dibra', '2007-01-24 12:24:52', 'Ermal Dibra', '2007-01-24 12:24:52');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (618, 2007000205, 13, 'Berlipril 2x1/2tab\r\nCoral 2x1tab', 'marre_keshille_mjekesore', NULL, 617, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '12:24:52', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:24:52 Ermal Dibra', 'Ermal Dibra', '2007-01-24 12:24:52', 'Ermal Dibra', '2007-01-24 12:24:52');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (619, 2007000206, 12, 'U.B.Duodeni\r\n\r\nDr.Z.Hoxha', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '12:29:30', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:29:30 Ermal Dibra', 'Ermal Dibra', '2007-01-24 12:29:30', 'Ermal Dibra', '2007-01-24 12:29:30');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (620, 2007000206, 13, 'Ranitidin  2x1tab\r\nPrimpran 2x1tab', 'marre_keshille_mjekesore', NULL, 619, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '12:29:30', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:29:30 Ermal Dibra', 'Ermal Dibra', '2007-01-24 12:29:30', 'Ermal Dibra', '2007-01-24 12:29:30');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (621, 2007000204, 12, 'Bronkopneumoni bilaterale\r\nDRSKallogjeri', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '12:30:27', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:30:27 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 12:30:27', 'Ardiana Dervishi', '2007-01-24 12:30:27');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (622, 2007000204, 13, '\r\ncefatoxin250mg/x4/iv\r\ngentamicin20mg/x2iv', 'marre_keshille_mjekesore', NULL, 621, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '12:30:27', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:30:27 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 12:30:27', 'Ardiana Dervishi', '2007-01-24 12:30:27');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (623, 2007000208, 12, 'SAK.Angor i paqendrueshem\r\n\r\n\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '12:39:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:39:01 Ermal Dibra', 'Ermal Dibra', '2007-01-24 12:39:01', 'Ermal Dibra', '2007-01-24 12:39:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (624, 2007000208, 13, 'Analgin1amp +diazepam 1amp\r\n\r\nHeparin 4x5000ui ', 'marre_keshille_mjekesore', NULL, 623, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '12:39:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:39:01 Ermal Dibra', 'Ermal Dibra', '2007-01-24 12:39:01', 'Ermal Dibra', '2007-01-24 12:39:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (625, 2007000207, 12, 'Bronkopneumoni Bilaterale\r\nDrSKallugjeri', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '12:39:18', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:39:18 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 12:39:18', 'Ardiana Dervishi', '2007-01-24 12:39:18');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (626, 2007000207, 13, 'Prednizolon 25mgivx2\r\nCefatoxim 400mg/4x/iv \r\ngentamicin 30mg/2x/iv', 'marre_keshille_mjekesore', NULL, 625, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '12:39:18', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:39:18 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 12:39:18', 'Ardiana Dervishi', '2007-01-24 12:39:18');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (627, 2007000209, 12, 'Ascit per detrminim\r\n\r\nDr.Z.Hoxha', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '12:44:38', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:44:38 Ermal Dibra', 'Ermal Dibra', '2007-01-24 12:44:38', 'Ermal Dibra', '2007-01-24 12:44:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (628, 2007000209, 13, 'Lasix 1tab\r\nspironolacton 1tab \r\nVit B1+B2 2x1amp', 'marre_keshille_mjekesore', NULL, 627, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '12:44:38', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:44:38 Ermal Dibra', 'Ermal Dibra', '2007-01-24 12:44:38', 'Ermal Dibra', '2007-01-24 12:44:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (629, 2007000210, 12, 'Bronkopneumoni bilaterale\r\nSDuka', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '12:47:02', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:47:02 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 12:47:02', 'Ardiana Dervishi', '2007-01-24 12:47:02');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (630, 2007000210, 13, 'Cefatoxim600mg/ivx4\r\ngentamicin 40mg/ivx2\r\nsir mukotres 3x1/lug kafet', 'marre_keshille_mjekesore', NULL, 629, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '12:47:02', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:47:02 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 12:47:02', 'Ardiana Dervishi', '2007-01-24 12:47:02');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (631, 2007000211, 12, 'D.M. tip2 i thyer.Flegmona  pedis\r\n\r\nDr.E.Nelaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '12:51:20', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:51:20 Ermal Dibra', 'Ermal Dibra', '2007-01-24 12:51:20', 'Ermal Dibra', '2007-01-24 12:51:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (632, 2007000211, 13, 'Ins ,Actrapid 12/12/12/8 ui\r\nCeftriaxione +fiz 200cc 3fl  1x1 ne dite', 'marre_keshille_mjekesore', NULL, 631, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '12:51:20', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:51:20 Ermal Dibra', 'Ermal Dibra', '2007-01-24 12:51:20', 'Ermal Dibra', '2007-01-24 12:51:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (633, 2007000212, 12, 'Bronkopneumoni bilaterale \r\nDrABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '12:54:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:54:12 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 12:54:12', 'Ardiana Dervishi', '2007-01-24 12:54:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (634, 2007000212, 13, 'Ultrakorten 25mg/x2\r\ncefatoxim 125mg/x4iv', 'marre_keshille_mjekesore', NULL, 633, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '12:54:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:54:12 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 12:54:12', 'Ardiana Dervishi', '2007-01-24 12:54:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (635, 2007000213, 12, 'Tonsilit Porulent\r\nDr.ABekteshi', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '12:58:07', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:58:07 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 12:58:07', 'Ardiana Dervishi', '2007-01-24 12:58:07');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (636, 2007000213, 13, 'Cefatoxime 800mg/iv/x4\r\nKemicitin 800mg/iv/x2', 'marre_keshille_mjekesore', 'po', 635, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '12:58:07', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 12:58:07 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 12:58:07', 'Ardiana Dervishi', '2007-01-24 12:58:07');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (637, 2007000115, 3, 'Doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '12:58:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-24 12-58-54 Ermal Dibra\n\r', '', '2007-01-24 12:58:54', 'Ermal Dibra', '2007-01-24 12:58:54');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (638, 2007000214, 12, 'Bronchopnemonibilaterale\r\nDr.LSalabegu', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '13:01:58', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 13:01:58 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 13:01:58', 'Ardiana Dervishi', '2007-01-24 13:01:58');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (639, 2007000214, 13, 'Cefatoxime 300mg/iv/x4\r\nGenta 40mg/iv/x2', 'marre_keshille_mjekesore', NULL, 638, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-24', '13:01:58', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-24 13:01:58 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-24 13:01:58', 'Ardiana Dervishi', '2007-01-24 13:01:58');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (640, 2007000150, 3, 'pacientit ju aplikua dhe goditje elektrike  me 360w por nuk u kthye.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-24', '08:43:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-25 08-48-04 Ermal Dibra\n\r', '', '2007-01-25 08:48:04', 'Ermal Dibra', '2007-01-25 08:48:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (641, 2007000215, 12, 'Bronkopneumoni bilaterale\r\nDrS.Kallugjeri', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-25', '08:53:09', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 08:53:09 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 08:53:09', 'Ardiana Dervishi', '2007-01-25 08:53:09');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (642, 2007000215, 13, 'Cefatoxim 300mg/x4 \r\nGentamicin 30mg/x2\r\nSir tusipektol 3x1 lug/kafet', 'marre_keshille_mjekesore', NULL, 641, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-25', '08:53:09', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 08:53:09 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 08:53:09', 'Ardiana Dervishi', '2007-01-25 08:53:09');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (643, 2007000216, 12, 'Bronkopneumoni bilaterale\r\nDrA.Bekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-25', '09:02:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 09:02:04 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 09:02:04', 'Ardiana Dervishi', '2007-01-25 09:02:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (644, 2007000216, 13, 'Cefatoxim 600mg/iv/x4\r\ngentamicin40mg /ivx2\r\n vitc 3x1/tab', 'marre_keshille_mjekesore', NULL, 643, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-25', '09:02:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 09:02:04 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 09:02:04', 'Ardiana Dervishi', '2007-01-25 09:02:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (645, 2007000217, 12, 'Bronkopneumoni bilaterale\r\nDiare akute\r\nDrESadiku', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-25', '09:11:22', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 09:11:22 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 09:11:22', 'Ardiana Dervishi', '2007-01-25 09:11:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (646, 2007000217, 13, 'Cefatoxim 150mg/x4\r\nGenta 20mg/x2\r\nSir tusipektol 3x1/ lug kafet', 'marre_keshille_mjekesore', NULL, 645, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-25', '09:11:22', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 09:11:22 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 09:11:22', 'Ardiana Dervishi', '2007-01-25 09:11:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (647, 2007000218, 12, 'Bronkopneumoni bilaterale\r\nS.Duka', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-25', '09:24:42', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 09:24:42 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 09:24:42', 'Ardiana Dervishi', '2007-01-25 09:24:42');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (648, 2007000218, 13, 'v', 'marre_keshille_mjekesore', NULL, 647, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-25', '09:24:42', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 09:24:42 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 09:24:42', 'Ardiana Dervishi', '2007-01-25 09:24:42');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (649, 2007000218, 12, 'Bronchopneumoni bilaterale\r\nDr.SDuka', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-25', '10:02:42', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 10:02:42 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 10:02:42', 'Ardiana Dervishi', '2007-01-25 10:02:42');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (650, 2007000218, 13, 'Cefatoxime 750mg/iv/x/4\r\nGenta 50mg/iv/x/2\r\nSol glukoz 250cc\r\nSol fiz 350 cc\r\nivx2', 'marre_keshille_mjekesore', 'po', 649, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-25', '10:02:42', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 10:02:42 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 10:02:42', 'Ardiana Dervishi', '2007-01-25 10:02:42');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (651, 2007000219, 12, 'Bronkopneumoni dextra\r\nDr S.Duka\r\n', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-25', '10:11:29', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 10:11:29 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 10:11:29', 'Ardiana Dervishi', '2007-01-25 10:11:29');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (652, 2007000219, 13, 'Cefatoxim 400mg /x4/iv\r\nGentamicin 2x30mg/iv\r\nSir.Carbocistein 3x1 /lug kafet', 'marre_keshille_mjekesore', NULL, 651, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-25', '10:11:29', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 10:11:29 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 10:11:29', 'Ardiana Dervishi', '2007-01-25 10:11:29');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (653, 2007000220, 12, 'Pneumoni dex \r\nDr.R.Miloti', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-25', '10:24:42', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 10:24:42 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 10:24:42', 'Ardiana Dervishi', '2007-01-25 10:24:42');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (654, 2007000220, 13, 'Cefatoxim 1gr/x4/iv \r\nultrakorten 25mg/x2/iv\r\nvit c 5cc/x1\r\ngentamicin 80 mg/x2/iv \r\nflagyl 3x1/2 tab', 'marre_keshille_mjekesore', NULL, 653, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-25', '10:24:42', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 10:24:42 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 10:24:42', 'Ardiana Dervishi', '2007-01-25 10:24:42');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (655, 2007000221, 12, 'Bronkopneumoni bil\r\nDR.S.Duka', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-25', '10:36:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 10:36:04 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 10:36:04', 'Ardiana Dervishi', '2007-01-25 10:36:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (656, 2007000221, 13, 'Cefatoxim 750 mg/x4/iv\r\nGentamicin 40mg/x2 /iv', 'marre_keshille_mjekesore', NULL, 655, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-25', '10:36:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 10:36:04 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 10:36:04', 'Ardiana Dervishi', '2007-01-25 10:36:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (657, 2007000089, 3, 'Doli me mjekim ambulatore.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '10:57:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-25 10-58-36 Ermal Dibra\n\r', '', '2007-01-25 10:58:36', 'Ermal Dibra', '2007-01-25 10:58:36');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (658, 2007000113, 3, 'Doli me mjekim ambulotore.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '10:59:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-25 10-59-46 Ermal Dibra\n\r', '', '2007-01-25 10:59:46', 'Ermal Dibra', '2007-01-25 10:59:46');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (659, 2007000136, 3, 'Del me mjekim ambulatore.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '11:00:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-25 11-00-46 Ermal Dibra\n\r', '', '2007-01-25 11:00:46', 'Ermal Dibra', '2007-01-25 11:00:46');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (660, 2007000081, 3, 'Del ne gjendje te permiresuar.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '11:01:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-25 11-01-51 Ermal Dibra\n\r', '', '2007-01-25 11:01:51', 'Ermal Dibra', '2007-01-25 11:01:51');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (661, 2007000096, 3, 'Doli me mjekim ambulatore.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '11:02:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-25 11-02-40 Ermal Dibra\n\r', '', '2007-01-25 11:02:40', 'Ermal Dibra', '2007-01-25 11:02:40');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (662, 2007000102, 3, 'Del e permiresuar.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '11:03:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-25 11-03-23 Ermal Dibra\n\r', '', '2007-01-25 11:03:23', 'Ermal Dibra', '2007-01-25 11:03:23');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (663, 2007000222, 12, 'ACV.Fib atrial, HTA,Status post Bay-Pass.\r\n\r\nDrF.Boci  . DR.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '11:16:03', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 11:16:03 Ermal Dibra', 'Ermal Dibra', '2007-01-25 11:16:03', 'Ermal Dibra', '2007-01-25 11:16:03');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (664, 2007000222, 13, 'Manitol  100cc iv\r\nFiz 500+vit b1+B6 iv\r\nLanatocid 1amp +fiz 20cc', 'marre_keshille_mjekesore', NULL, 663, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '11:16:03', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 11:16:03 Ermal Dibra', 'Ermal Dibra', '2007-01-25 11:16:03', 'Ermal Dibra', '2007-01-25 11:16:03');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (665, 2007000223, 12, 'Neo vezika pyelonefrit  chronik bilateral\r\n\r\nDr.A.Agolli', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '11:20:13', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 11:20:13 Ermal Dibra', 'Ermal Dibra', '2007-01-25 11:20:13', 'Ermal Dibra', '2007-01-25 11:20:13');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (666, 2007000223, 13, 'Papaverine 1amp\r\nCeftriaxion 2x1fl iv\r\n', 'marre_keshille_mjekesore', NULL, 665, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '11:20:13', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 11:20:13 Ermal Dibra', 'Ermal Dibra', '2007-01-25 11:20:13', 'Ermal Dibra', '2007-01-25 11:20:13');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (667, 2007000225, 12, 'Fib atrial .Insuf kardiake.\r\n\r\nDr.S.Pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '11:24:08', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 11:24:08 Ermal Dibra', 'Ermal Dibra', '2007-01-25 11:24:08', 'Ermal Dibra', '2007-01-25 11:24:08');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (668, 2007000225, 13, 'Lasix 2amp\r\nLanatocid 1amp+Fiz 20cc', 'marre_keshille_mjekesore', NULL, 667, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '11:24:08', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 11:24:08 Ermal Dibra', 'Ermal Dibra', '2007-01-25 11:24:08', 'Ermal Dibra', '2007-01-25 11:24:08');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (669, 2007000226, 12, 'SAK.Angor i paqendrueshem.\r\n\r\n\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '11:29:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 11:29:31 Ermal Dibra', 'Ermal Dibra', '2007-01-25 11:29:31', 'Ermal Dibra', '2007-01-25 11:29:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (670, 2007000226, 13, 'Carvazine 4x1tab\r\nBerliprili 2x1/2tab\r\nheparin 4x5000ui', 'marre_keshille_mjekesore', NULL, 669, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '11:29:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 11:29:31 Ermal Dibra', 'Ermal Dibra', '2007-01-25 11:29:31', 'Ermal Dibra', '2007-01-25 11:29:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (671, 2007000106, 3, 'Doli me mjekim ambulatore.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '12:27:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-25 12-28-07 Ermal Dibra\n\r', '', '2007-01-25 12:28:07', 'Ermal Dibra', '2007-01-25 12:28:07');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (672, 2007000068, 3, 'Doli me mjekim ambulatore.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '12:30:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-25 12-30-22 Ermal Dibra\n\r', '', '2007-01-25 12:30:22', 'Ermal Dibra', '2007-01-25 12:30:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (673, 2007000227, 12, 'Bronkiolit \r\nbronkopneumoni\r\nDr.S.Duka', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-25', '12:43:55', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 12:43:55 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 12:43:55', 'Ardiana Dervishi', '2007-01-25 12:43:55');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (674, 2007000227, 13, 'Cefatoxim 150mg/x4/iv\r\nPrednizolon 10mg/x2/iv\r\nSir Mukotres 3x1 lug kafet', 'marre_keshille_mjekesore', NULL, 673, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-25', '12:43:55', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-25 12:43:55 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 12:43:55', 'Ardiana Dervishi', '2007-01-25 12:43:55');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (675, 2007000199, 3, 'Pacienti doli me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-25', '12:46:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-25 12-47-32 Ardiana Dervishi\n\r', '', '2007-01-25 12:47:32', 'Ardiana Dervishi', '2007-01-25 12:47:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (676, 2007000084, 3, 'Doli me mjekim ambulatore.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '13:18:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-25 13-19-22 Ermal Dibra\n\r', '', '2007-01-25 13:19:22', 'Ermal Dibra', '2007-01-25 13:19:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (677, 2007000228, 12, 'Pneumoni dextra\r\nDr.rMiloti', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '08:25:36', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 08:25:36 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 08:25:36', 'Ardiana Dervishi', '2007-01-26 08:25:36');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (678, 2007000228, 13, 'Cefatoxime 500mg/iv/x3\r\nGenta 40mg/iv/x2\r\nSir Tusipektol 3x1 lug/Ã§ajet\r\nVit C+Vit B1 3x1 tab', 'marre_keshille_mjekesore', NULL, 677, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '08:25:36', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 08:25:36 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 08:25:36', 'Ardiana Dervishi', '2007-01-26 08:25:36');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (679, 2007000126, 12, '\r\nBronchopneumoni bilaterale \r\nDrABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '08:37:10', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 08:37:10 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 08:37:10', 'Ardiana Dervishi', '2007-01-26 08:37:10');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (680, 2007000126, 13, 'Ultracorten 25mg/iv/x2\r\nKemicetin 150mg/iv/x4\r\nKcl 5cc +NaHCO3 5cc\r\n', 'marre_keshille_mjekesore', NULL, 679, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '08:37:10', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 08:37:10 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 08:37:10', 'Ardiana Dervishi', '2007-01-26 08:37:10');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (681, 2007000229, 12, 'Broncopneumoni\r\nDr.ABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '08:42:48', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 08:42:48 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 08:42:48', 'Ardiana Dervishi', '2007-01-26 08:42:48');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (682, 2007000229, 13, 'Ultracorten 10mg/iv/x2\r\nCeporin 125mg/iv/x2\r\nGenta 15/mg/iv/x2', 'marre_keshille_mjekesore', NULL, 681, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '08:42:48', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 08:42:48 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 08:42:48', 'Ardiana Dervishi', '2007-01-26 08:42:48');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (683, 2007000230, 12, 'Gasroenterit acut\r\nDrABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '09:01:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 09:01:01 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 09:01:01', 'Ardiana Dervishi', '2007-01-26 09:01:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (684, 2007000230, 13, 'Ampicilin 300mg/x2/iv\r\ngentamicin 20mgx2/iv\r\ntresol lug lug', 'marre_keshille_mjekesore', NULL, 683, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '09:01:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 09:01:01 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 09:01:01', 'Ardiana Dervishi', '2007-01-26 09:01:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (685, 2007000231, 12, 'Colika renale obs\r\nDrRMiloti', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '09:08:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 09:08:00 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 09:08:00', 'Ardiana Dervishi', '2007-01-26 09:08:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (686, 2007000231, 13, 'Bipenicilin 400.000 ui/imx2\r\nvitc 3x1 tab', 'marre_keshille_mjekesore', NULL, 685, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '09:08:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 09:08:00 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 09:08:00', 'Ardiana Dervishi', '2007-01-26 09:08:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (687, 2007000232, 12, 'Bronciolit\r\nDr.SDuka', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '09:16:35', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 09:16:35 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 09:16:35', 'Ardiana Dervishi', '2007-01-26 09:16:35');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (688, 2007000232, 13, 'Inhalacion 3x ne dite\r\nPrednizolon 10mg/iv/x2\r\nCefatoxime 150mg/iv/x2', 'marre_keshille_mjekesore', NULL, 687, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '09:16:35', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 09:16:35 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 09:16:35', 'Ardiana Dervishi', '2007-01-26 09:16:35');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (689, 2007000233, 12, 'Enterit Akut\r\nDr.ABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '09:22:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 09:22:04 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 09:22:04', 'Ardiana Dervishi', '2007-01-26 09:22:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (690, 2007000233, 13, 'Ampicillin 350mg/iv/x2\r\nAmpicillin 350mg/im/x2\r\nKemicetin  300mg/iv/x2\r\nVit C 3x1 tab ', 'marre_keshille_mjekesore', NULL, 689, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '09:22:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 09:22:04 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 09:22:04', 'Ardiana Dervishi', '2007-01-26 09:22:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (691, 2007000234, 12, 'Bronkopneumoni bil\r\nDrABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '09:29:37', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 09:29:37 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 09:29:37', 'Ardiana Dervishi', '2007-01-26 09:29:37');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (692, 2007000234, 13, 'Ultracorten 25mg /iv/x2\r\nCeporin300mg/iv/x4\r\nGenta 30mg /iv x2', 'marre_keshille_mjekesore', NULL, 691, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '09:29:37', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 09:29:37 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 09:29:37', 'Ardiana Dervishi', '2007-01-26 09:29:37');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (693, 2007000235, 12, 'Hepatosplenomegali \r\nDr.SKallugjeri', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '09:36:45', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 09:36:45 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 09:36:45', 'Ardiana Dervishi', '2007-01-26 09:36:45');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (694, 2007000235, 13, 'Glukantin 3cc /im\r\nVit B12 100 gr\r\nVit C + B1 + B6 3x1/tab', 'marre_keshille_mjekesore', NULL, 693, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '09:36:45', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 09:36:45 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 09:36:45', 'Ardiana Dervishi', '2007-01-26 09:36:45');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (695, 2007000236, 12, 'Infeksion Viral \r\nDr.SKallugjeri', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '09:42:11', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 09:42:11 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 09:42:11', 'Ardiana Dervishi', '2007-01-26 09:42:11');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (696, 2007000236, 13, 'Dexametazon 4mg/iv/x1\r\nKemicetin 500mg/iv/x2\r\nVit B1+B6 3x1 tab\r\n', 'marre_keshille_mjekesore', NULL, 695, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '09:42:11', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 09:42:11 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 09:42:11', 'Ardiana Dervishi', '2007-01-26 09:42:11');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (697, 2007000238, 12, 'Infeksion Viral\r\nDr.SKallogjeri', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '09:51:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 09:51:04 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 09:51:04', 'Ardiana Dervishi', '2007-01-26 09:51:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (698, 2007000238, 13, 'Ampicillin 1gr/iv/x2\r\nValium 5mg/x1\r\nAnalgin 500mg /iv/x1', 'marre_keshille_mjekesore', NULL, 697, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '09:51:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 09:51:04 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 09:51:04', 'Ardiana Dervishi', '2007-01-26 09:51:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (699, 2007000139, 3, 'Del me mjekim ambulator', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '10:18:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-26 10-19-18 Ermal Dibra\n\r', '', '2007-01-26 10:19:18', 'Ermal Dibra', '2007-01-26 10:19:18');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (700, 2007000044, 3, 'Dolime mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '10:20:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-26 10-21-20 Ermal Dibra\n\r', '', '2007-01-26 10:21:20', 'Ermal Dibra', '2007-01-26 10:21:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (701, 2007000182, 3, 'Del me deshiren e familjarve.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '10:23:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-26 10-24-06 Ermal Dibra\n\r', '', '2007-01-26 10:24:06', 'Ermal Dibra', '2007-01-26 10:24:06');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (702, 2007000082, 3, 'doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '10:25:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-26 10-26-24 Ermal Dibra\n\r', '', '2007-01-26 10:26:24', 'Ermal Dibra', '2007-01-26 10:26:24');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (703, 2007000054, 3, 'Del nga spitali me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '10:29:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-26 10-30-42 Ermal Dibra\n\r', '', '2007-01-26 10:30:42', 'Ermal Dibra', '2007-01-26 10:30:42');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (704, 2007000217, 3, 'Del me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '13:12:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-26 13-13-40 Ardiana Dervishi\n\r', '', '2007-01-26 13:13:40', 'Ardiana Dervishi', '2007-01-26 13:13:40');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (705, 2007000221, 3, 'Del me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '13:17:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-26 13-18-35 Ardiana Dervishi\n\r', '', '2007-01-26 13:18:35', 'Ardiana Dervishi', '2007-01-26 13:18:35');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (706, 2007000201, 3, 'Del me mjekim ', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '13:30:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-26 13-31-03 Ardiana Dervishi\n\r', '', '2007-01-26 13:31:03', 'Ardiana Dervishi', '2007-01-26 13:31:03');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (707, 2007000137, 3, 'Doli ne gjendje te permiresuar.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '13:39:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-26 13-40-02 Ermal Dibra\n\r', '', '2007-01-26 13:40:02', 'Ermal Dibra', '2007-01-26 13:40:02');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (708, 2007000239, 12, 'Sindrom coronar acut .\r\n\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:07:16', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:07:16 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:07:16', 'Ermal Dibra', '2007-01-26 14:07:16');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (709, 2007000239, 13, 'O2 terapi\r\nCorderon 6tab\r\nKcl 3amp +MGSO4 1ampFiz 200cc\r\nHeparin 4x5000ui', 'marre_keshille_mjekesore', NULL, 708, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:07:16', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:07:16 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:07:16', 'Ermal Dibra', '2007-01-26 14:07:16');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (710, 2007000240, 12, 'D.M.tip 1\r\n\r\nDr.E.Nelaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:10:49', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:10:49 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:10:49', 'Ermal Dibra', '2007-01-26 14:10:49');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (711, 2007000240, 13, 'Ins Actrapid  16/16/16/12\r\nCeftriaxion 2fl +200ccfiz\r\nGenta .1amp', 'marre_keshille_mjekesore', NULL, 710, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:10:49', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:10:49 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:10:49', 'Ermal Dibra', '2007-01-26 14:10:49');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (712, 2007000241, 12, 'Anemia per determinim\r\n\r\nDR.E.Kraja', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:15:32', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:15:32 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:15:32', 'Ermal Dibra', '2007-01-26 14:15:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (713, 2007000241, 13, 'Sol glukoze 500cc  iv 3x1fl\r\nVit C 3x1amp \r\nVIt B1 3x1amp', 'marre_keshille_mjekesore', NULL, 712, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:15:32', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:15:32 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:15:32', 'Ermal Dibra', '2007-01-26 14:15:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (714, 2007000242, 12, 'Cardiopatia e dilatuar.\r\n\r\n\r\nDrS.Pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:23:49', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:23:49 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:23:49', 'Ermal Dibra', '2007-01-26 14:23:49');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (715, 2007000242, 13, 'Lasix 1tab\r\nSpironolacton 1tab', 'marre_keshille_mjekesore', NULL, 714, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:23:49', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:23:49 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:23:49', 'Ermal Dibra', '2007-01-26 14:23:49');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (716, 2007000243, 12, 'Hepatit chronik\r\n\r\nDr.Z.Hoxha', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:27:35', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:27:35 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:27:35', 'Ermal Dibra', '2007-01-26 14:27:35');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (717, 2007000243, 13, 'Glukoze 500cc +Caglukunat  2x1fl\r\nRanitidine 2x1tab', 'marre_keshille_mjekesore', NULL, 716, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:27:35', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:27:35 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:27:35', 'Ermal Dibra', '2007-01-26 14:27:35');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (718, 2007000244, 12, 'Sindrom coronar acut\r\nDr.N.Kasemi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:31:38', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:31:38 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:31:38', 'Ermal Dibra', '2007-01-26 14:31:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (719, 2007000244, 13, 'O2 terapi\r\nheparin 5000 ui\r\nMorefin  1amp \r\nPrim peran 1amp', 'marre_keshille_mjekesore', NULL, 718, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:31:38', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:31:38 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:31:38', 'Ermal Dibra', '2007-01-26 14:31:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (720, 2007000245, 12, 'Diabet mellitus tip 2 i Thyer\r\n\r\n\r\nDr.E.Nelaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:37:02', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:37:02 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:37:02', 'Ermal Dibra', '2007-01-26 14:37:02');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (721, 2007000245, 13, 'Ins  Actrapid 12/12/12/6\r\nVankomicin  1fl +fiz 200cc', 'marre_keshille_mjekesore', NULL, 720, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:37:02', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:37:02 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:37:02', 'Ermal Dibra', '2007-01-26 14:37:02');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (722, 2007000246, 12, 'U.B.duodeni    Insu, Kardiake\r\n\r\nDr.N.Tabaku\r\n\r\n\r\n', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:47:26', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:47:26 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:47:26', 'Ermal Dibra', '2007-01-26 14:47:26');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (723, 2007000246, 13, 'Lasix 1tab \r\nSpironolacton 1tab \r\nDigoxini 1tab \r\nRanitidine 2x1tab\r\n', 'marre_keshille_mjekesore', NULL, 722, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:47:26', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:47:26 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:47:26', 'Ermal Dibra', '2007-01-26 14:47:26');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (724, 2007000247, 12, 'Diabet mellitus tip 2\r\n\r\n\r\ndr.E.nelaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:51:52', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:51:52 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:51:52', 'Ermal Dibra', '2007-01-26 14:51:52');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (725, 2007000247, 13, 'Maninil 2x1tab', 'marre_keshille_mjekesore', NULL, 724, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:51:52', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:51:52 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:51:52', 'Ermal Dibra', '2007-01-26 14:51:52');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (726, 2007000248, 12, 'Arthrit reumatoid. Erithema nodoze\r\n\r\n\r\nA.Miloti', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:55:44', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:55:44 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:55:44', 'Ermal Dibra', '2007-01-26 14:55:44');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (727, 2007000248, 13, 'Bipenicillini 3x1fl im\r\nVit C 3x1tab\r\nValteren 1amp', 'marre_keshille_mjekesore', NULL, 726, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:55:44', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:55:44 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:55:44', 'Ermal Dibra', '2007-01-26 14:55:44');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (728, 2007000249, 12, 'Lumbago  acute\r\n\r\n\r\nDr.A.Miloti', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:59:16', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:59:16 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:59:16', 'Ermal Dibra', '2007-01-26 14:59:16');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (729, 2007000249, 13, 'Voltren 1amp \r\nPrednizolon 1amp', 'marre_keshille_mjekesore', NULL, 728, 0, 'Ermal Dibra', 0, NULL, '2007-01-26', '14:59:16', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-26 14:59:16 Ermal Dibra', 'Ermal Dibra', '2007-01-26 14:59:16', 'Ermal Dibra', '2007-01-26 14:59:16');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (730, 2007000250, 12, 'Melena ,Hemoragji\r\n\r\n\r\nN.Tabaku', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '08:08:05', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 08:08:05 Ermal Dibra', 'Ermal Dibra', '2007-01-27 08:08:05', 'Ermal Dibra', '2007-01-27 08:08:05');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (731, 2007000250, 13, 'Sol Fiz 500cc+Ranitidin 3x1fl\r\nGlukoze +Ca glukonat  3x1   iv\r\n\r\nVit K 2x1amp', 'marre_keshille_mjekesore', NULL, 730, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '08:08:05', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 08:08:05 Ermal Dibra', 'Ermal Dibra', '2007-01-27 08:08:05', 'Ermal Dibra', '2007-01-27 08:08:05');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (732, 2007000250, 12, 'Melena ,Hemoragji\r\n\r\n\r\nN.Tabaku', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '08:08:08', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 08:08:08 Ermal Dibra', 'Ermal Dibra', '2007-01-27 08:08:08', 'Ermal Dibra', '2007-01-27 08:08:08');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (733, 2007000250, 13, 'Sol Fiz 500cc+Ranitidin 3x1fl\r\nGlukoze +Ca glukonat  3x1   iv\r\n\r\nVit K 2x1amp', 'marre_keshille_mjekesore', NULL, 732, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '08:08:08', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 08:08:08 Ermal Dibra', 'Ermal Dibra', '2007-01-27 08:08:08', 'Ermal Dibra', '2007-01-27 08:08:08');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (734, 2007000251, 12, 'SAK.Angor i paqendrueshem.\r\n\r\nDR.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '08:16:13', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 08:16:13 Ermal Dibra', 'Ermal Dibra', '2007-01-27 08:16:13', 'Ermal Dibra', '2007-01-27 08:16:13');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (735, 2007000251, 13, 'Morfin e 1amp +fiz 20cc iv \r\nHeparine 5000 ui', 'marre_keshille_mjekesore', NULL, 734, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '08:16:13', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 08:16:13 Ermal Dibra', 'Ermal Dibra', '2007-01-27 08:16:13', 'Ermal Dibra', '2007-01-27 08:16:13');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (736, 2007000252, 12, 'Bllok AV -geIII insuf Kardiake\r\n\r\n\r\nDr>E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '08:22:19', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 08:22:19 Ermal Dibra', 'Ermal Dibra', '2007-01-27 08:22:19', 'Ermal Dibra', '2007-01-27 08:22:19');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (737, 2007000252, 13, 'Enalopril 2x1/2tab\r\n\r\nlasix 1tab', 'marre_keshille_mjekesore', NULL, 736, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '08:22:19', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 08:22:19 Ermal Dibra', 'Ermal Dibra', '2007-01-27 08:22:19', 'Ermal Dibra', '2007-01-27 08:22:19');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (738, 2007000114, 3, 'Doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '09:53:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-27 09-53-59 Ermal Dibra\n\r', '', '2007-01-27 09:53:59', 'Ermal Dibra', '2007-01-27 09:53:59');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (739, 2007000148, 3, 'Doli me mjekim ambulatore.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '09:56:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-27 09-57-01 Ermal Dibra\n\r', '', '2007-01-27 09:57:01', 'Ermal Dibra', '2007-01-27 09:57:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (740, 2007000147, 3, 'Doli me mjekim ambulatore.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '09:58:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-27 09-58-39 Ermal Dibra\n\r', '', '2007-01-27 09:58:39', 'Ermal Dibra', '2007-01-27 09:58:39');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (741, 2007000253, 12, 'Brpnchopneumoni bilaterale\r\nDr.MShpori', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '10:04:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 10:04:00 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 10:04:00', 'Ardiana Dervishi', '2007-01-27 10:04:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (742, 2007000253, 13, 'Cefatoxime 500mg/iv/x4\r\nGenta 30mg/iv/x2\r\nSol glu 300cc\r\nSol fiz 200cc\r\niv/x1', 'marre_keshille_mjekesore', 'po', 741, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '10:04:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 10:04:00 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 10:04:00', 'Ardiana Dervishi', '2007-01-27 10:04:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (743, 2007000254, 12, 'Laringit akut \r\nDr.ABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '10:07:24', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 10:07:24 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 10:07:24', 'Ardiana Dervishi', '2007-01-27 10:07:24');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (744, 2007000254, 13, 'Ultracorten 25mg/iv/x2\r\nKemicetin 300mg/iv/x2\r\nVit C3x1tab', 'marre_keshille_mjekesore', NULL, 743, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '10:07:24', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 10:07:24 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 10:07:24', 'Ardiana Dervishi', '2007-01-27 10:07:24');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (745, 2007000255, 12, 'Pyelonefrit akut \r\nDr.ESadiku', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '10:10:05', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 10:10:05 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 10:10:05', 'Ardiana Dervishi', '2007-01-27 10:10:05');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (746, 2007000255, 13, 'Cefatoxime 200mg/iv/x4\r\nVit c 2cc x1', 'marre_keshille_mjekesore', NULL, 745, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '10:10:05', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 10:10:05 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 10:10:05', 'Ardiana Dervishi', '2007-01-27 10:10:05');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (747, 2007000256, 12, 'Bronchoneumoni bilaterale\r\nDADM\r\nDr.Dr.MSHpori', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '10:15:30', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 10:15:30 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 10:15:30', 'Ardiana Dervishi', '2007-01-27 10:15:30');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (748, 2007000256, 13, 'Cefatoxime 300mg/iv/x4\r\nGenta 25mg/iv/x2\r\nSir Tusipectol 3x1l/kafet', 'marre_keshille_mjekesore', NULL, 747, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '10:15:30', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 10:15:30 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 10:15:30', 'Ardiana Dervishi', '2007-01-27 10:15:30');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (749, 2007000257, 12, 'Status post konvulsiv\r\nDR M.SHpori', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '10:35:17', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 10:35:17 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 10:35:17', 'Ardiana Dervishi', '2007-01-27 10:35:17');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (750, 2007000257, 13, 'Valium 5mg/ rectal\r\nSol glukos 350cc\r\nSOL fiz 200cc\r\nLuminal /2x1/tab', 'marre_keshille_mjekesore', NULL, 749, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '10:35:17', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 10:35:17 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 10:35:17', 'Ardiana Dervishi', '2007-01-27 10:35:17');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (751, 2007000140, 3, 'Mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '11:18:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-27 11-19-11 Ermal Dibra\n\r', '', '2007-01-27 11:19:11', 'Ermal Dibra', '2007-01-27 11:19:11');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (752, 2007000085, 3, 'Doli ne gjendje te permirsuar.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '11:25:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-27 11-26-08 Ermal Dibra\n\r', '', '2007-01-27 11:26:08', 'Ermal Dibra', '2007-01-27 11:26:08');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (753, 2007000151, 3, 'Doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '11:28:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-27 11-28-33 Ermal Dibra\n\r', '', '2007-01-27 11:28:33', 'Ermal Dibra', '2007-01-27 11:28:33');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (754, 2007000138, 3, 'Doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '11:30:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-27 11-31-06 Ermal Dibra\n\r', '', '2007-01-27 11:31:06', 'Ermal Dibra', '2007-01-27 11:31:06');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (755, 2007000205, 3, 'Doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '11:34:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-27 11-35-23 Ermal Dibra\n\r', '', '2007-01-27 11:35:23', 'Ermal Dibra', '2007-01-27 11:35:23');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (756, 2007000165, 3, 'Doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-25', '11:36:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-27 11-37-09 Ermal Dibra\n\r', '', '2007-01-27 11:37:09', 'Ermal Dibra', '2007-01-27 11:37:09');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (757, 2007000154, 3, 'Doli ne gjendje te permiresuar.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '11:41:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-27 11-42-31 Ermal Dibra\n\r', '', '2007-01-27 11:42:31', 'Ermal Dibra', '2007-01-27 11:42:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (758, 2007000180, 3, 'Doli me mjekim ambulator', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '11:43:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-27 11-44-33 Ermal Dibra\n\r', '', '2007-01-27 11:44:33', 'Ermal Dibra', '2007-01-27 11:44:33');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (759, 2007000152, 3, 'Doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '11:47:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-27 11-47-36 Ermal Dibra\n\r', '', '2007-01-27 11:47:36', 'Ermal Dibra', '2007-01-27 11:47:36');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (760, 2007000156, 3, 'Doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '11:49:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-27 11-50-19 Ermal Dibra\n\r', '', '2007-01-27 11:50:19', 'Ermal Dibra', '2007-01-27 11:50:19');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (761, 2007000208, 3, 'Doli me mjekimambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '11:52:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-27 11-52-31 Ermal Dibra\n\r', '', '2007-01-27 11:52:31', 'Ermal Dibra', '2007-01-27 11:52:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (762, 2007000203, 3, 'Del ne gjendje te mire.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '11:53:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-27 11-54-17 Ermal Dibra\n\r', '', '2007-01-27 11:54:17', 'Ermal Dibra', '2007-01-27 11:54:17');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (763, 2007000257, 3, 'Doli mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '11:53:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-27 11-54-41 Ardiana Dervishi\n\r', '', '2007-01-27 11:54:41', 'Ardiana Dervishi', '2007-01-27 11:54:41');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (764, 2007000168, 3, 'Del i permiresuar', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '11:56:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-27 11-56-32 Ardiana Dervishi\n\r', '', '2007-01-27 11:56:32', 'Ardiana Dervishi', '2007-01-27 11:56:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (765, 2007000200, 3, 'Doli ne gjendje te permiresuar.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '11:58:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-27 11-59-12 Ermal Dibra\n\r', '', '2007-01-27 11:59:12', 'Ermal Dibra', '2007-01-27 11:59:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (766, 2007000171, 3, 'Pacjenti del i permiresuar', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '12:00:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-27 12-01-21 Ardiana Dervishi\n\r', '', '2007-01-27 12:01:21', 'Ardiana Dervishi', '2007-01-27 12:01:21');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (767, 2007000251, 3, 'Doli ne gjendje te permiresuar.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '12:00:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-27 12-01-21 Ermal Dibra\n\r', '', '2007-01-27 12:01:21', 'Ermal Dibra', '2007-01-27 12:01:21');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (768, 2007000258, 12, 'Bronchiolit\r\nDr.MShpori', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '12:08:24', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 12:08:24 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 12:08:24', 'Ardiana Dervishi', '2007-01-27 12:08:24');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (769, 2007000258, 13, 'Inhalacion me Ventoline 3x ne dite\r\nPrednizolon 20mg/iv/x2\r\nCefatoxime 300mg/iv/x4\r\nSir Tusipectol 3x1 l/Ã§ajet', 'marre_keshille_mjekesore', NULL, 768, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '12:08:24', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 12:08:24 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 12:08:24', 'Ardiana Dervishi', '2007-01-27 12:08:24');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (770, 2007000259, 12, 'Bronchopneumoni Bilaterale\r\nDr.LSalabegu', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '12:13:44', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 12:13:44 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 12:13:44', 'Ardiana Dervishi', '2007-01-27 12:13:44');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (771, 2007000259, 13, 'Ultracorten 25mg/iv/x2\r\nCefatoxime 250mg/iv/x4\r\n', 'marre_keshille_mjekesore', NULL, 770, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '12:13:44', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 12:13:44 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 12:13:44', 'Ardiana Dervishi', '2007-01-27 12:13:44');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (772, 2007000260, 12, 'Astma bronchiale ne krize\r\nDr.SDuka', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '12:39:03', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 12:39:03 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 12:39:03', 'Ardiana Dervishi', '2007-01-27 12:39:03');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (773, 2007000260, 13, 'Prednizolon 25mg/iv/x2\r\nAmpicillin 150mg/iv/x2\r\nCefatocime 400mg/iv/x4\r\nSir mucotres 3x1l/Ã§ajet\r\nInhalacion me ventolin 3xne dite', 'marre_keshille_mjekesore', 'po', 772, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '12:39:03', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 12:39:03 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 12:39:03', 'Ardiana Dervishi', '2007-01-27 12:39:03');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (774, 2007000261, 12, 'Bronchopneumoni bilaterale\r\nDr.SDuka', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '12:43:47', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 12:43:47 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 12:43:47', 'Ardiana Dervishi', '2007-01-27 12:43:47');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (775, 2007000261, 13, 'Cefatoxime 500mg/iv/x4\r\nGentamicin 40mg/iv/x2\r\nSir mucotres 3x1/l kafet', 'marre_keshille_mjekesore', NULL, 774, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '12:43:47', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 12:43:47 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 12:43:47', 'Ardiana Dervishi', '2007-01-27 12:43:47');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (776, 2007000262, 12, 'Tonsilit porulent OBS\r\nDr.HKotri', 'marre_keshille_mjekesore', 'po', 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '12:49:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 12:49:01 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 12:49:01', 'Ardiana Dervishi', '2007-01-27 12:49:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (777, 2007000262, 13, 'Paracetomol 0.5mg/3x1 tab\r\nPenicillin G 2.000,000.iv/x4\r\nGenta 60mg/iv/x2', 'marre_keshille_mjekesore', 'po', 776, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '12:49:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 12:49:01 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 12:49:01', 'Ardiana Dervishi', '2007-01-27 12:49:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (778, 2007000263, 12, 'Pneumoni dex\r\nDr.ESadiku', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '12:59:09', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 12:59:09 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 12:59:09', 'Ardiana Dervishi', '2007-01-27 12:59:09');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (779, 2007000263, 13, 'Analgine 100mg/iv/x1\r\nCefatoxime 350mg/iv/x4\r\nAmicacine 250mg/iv/x2\r\n', 'marre_keshille_mjekesore', NULL, 778, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '12:59:09', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 12:59:09 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 12:59:09', 'Ardiana Dervishi', '2007-01-27 12:59:09');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (780, 2007000264, 12, 'Pneumoni lobit dex\r\nDr.MShpori', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '13:05:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 13:05:31 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 13:05:31', 'Ardiana Dervishi', '2007-01-27 13:05:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (781, 2007000264, 13, 'Cefatoxime 150mg/iv/x4\r\nAmikacine 250mg/iv/x2\r\nFlagyl 2,25 /3x1 tab\r\nSir Tusipektol 3x1 l/Ã§ajet\r\nParacetomol 0,5/3x1tab', 'marre_keshille_mjekesore', NULL, 780, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '13:05:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 13:05:31 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 13:05:31', 'Ardiana Dervishi', '2007-01-27 13:05:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (782, 2007000265, 12, 'Strume modulare\r\n\r\n\r\nDr.E.Nelaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '13:11:50', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 13:11:50 Ermal Dibra', 'Ermal Dibra', '2007-01-27 13:11:50', 'Ermal Dibra', '2007-01-27 13:11:50');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (783, 2007000265, 13, 'Propil 3x4tab\r\nDiazepam 1tab', 'marre_keshille_mjekesore', NULL, 782, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '13:11:50', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 13:11:50 Ermal Dibra', 'Ermal Dibra', '2007-01-27 13:11:50', 'Ermal Dibra', '2007-01-27 13:11:50');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (784, 2007000266, 12, 'Osteoarthopatia..\r\n\r\n\r\nDr.A.Miloti', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '13:16:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 13:16:04 Ermal Dibra', 'Ermal Dibra', '2007-01-27 13:16:04', 'Ermal Dibra', '2007-01-27 13:16:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (785, 2007000266, 13, 'Volteren 1amp\r\nCa glukonat 3x1tab', 'marre_keshille_mjekesore', NULL, 784, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '13:16:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 13:16:04 Ermal Dibra', 'Ermal Dibra', '2007-01-27 13:16:04', 'Ermal Dibra', '2007-01-27 13:16:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (786, 2007000267, 12, 'Cardiopatia e dilatuar\r\n\r\n\r\nDr.S.Pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '13:19:23', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 13:19:23 Ermal Dibra', 'Ermal Dibra', '2007-01-27 13:19:23', 'Ermal Dibra', '2007-01-27 13:19:23');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (787, 2007000267, 13, 'Lasix 2amp iv\r\nHeparine 4x5000 ui', 'marre_keshille_mjekesore', NULL, 786, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '13:19:23', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 13:19:23 Ermal Dibra', 'Ermal Dibra', '2007-01-27 13:19:23', 'Ermal Dibra', '2007-01-27 13:19:23');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (788, 2007000268, 12, 'Bronchopneumoni bilaterale \r\nDr.LSalabegu', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '13:21:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 13:21:31 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 13:21:31', 'Ardiana Dervishi', '2007-01-27 13:21:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (789, 2007000268, 13, 'Cefatoxime 250mg/iv/x4\r\nGenta 20 mg/iv/x2', 'marre_keshille_mjekesore', NULL, 788, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-27', '13:21:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 13:21:31 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 13:21:31', 'Ardiana Dervishi', '2007-01-27 13:21:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (790, 2007000270, 12, 'Edeme pulmunare  acute\r\n\r\nDr.S.Pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '13:47:33', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 13:47:33 Ermal Dibra', 'Ermal Dibra', '2007-01-27 13:47:33', 'Ermal Dibra', '2007-01-27 13:47:33');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (791, 2007000270, 13, 'Lenitral 1amp +Fiz 500cc iv', 'marre_keshille_mjekesore', NULL, 790, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '13:47:33', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-27 13:47:33 Ermal Dibra', 'Ermal Dibra', '2007-01-27 13:47:33', 'Ermal Dibra', '2007-01-27 13:47:33');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (792, 2007000271, 12, 'Urtikarje\r\nDr.ABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '07:31:09', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 07:31:09 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 07:31:09', 'Ardiana Dervishi', '2007-01-29 07:31:09');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (793, 2007000271, 13, 'Ultrakorten 25mg/iv/x2\r\nSol Glukoz +SolFiz 300cc', 'marre_keshille_mjekesore', NULL, 792, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '07:31:09', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 07:31:09 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 07:31:09', 'Ardiana Dervishi', '2007-01-29 07:31:09');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (794, 2007000272, 12, 'Colika Abdominaqle\r\nDr.LSalabegu', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '10:20:54', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 10:20:54 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 10:20:54', 'Ardiana Dervishi', '2007-01-29 10:20:54');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (795, 2007000272, 13, 'Sol fiz +Sol glu 500ccx2\r\nSol vit C5cc x2 me pika te rralla', 'marre_keshille_mjekesore', NULL, 794, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '10:20:54', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 10:20:54 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 10:20:54', 'Ardiana Dervishi', '2007-01-29 10:20:54');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (796, 2007000273, 12, 'Tonsilit porulent\r\nDr.ABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '10:24:02', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 10:24:02 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 10:24:02', 'Ardiana Dervishi', '2007-01-29 10:24:02');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (797, 2007000273, 13, 'PenicillinG 4000,000 Ut\r\nSol glu +Sol fiz 300cc x2+vit C 5cc', 'marre_keshille_mjekesore', NULL, 796, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '10:24:02', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 10:24:02 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 10:24:02', 'Ardiana Dervishi', '2007-01-29 10:24:02');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (798, 2007000274, 12, 'Tonsilit Porulent\r\nDr.ABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '12:06:37', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 12:06:37 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 12:06:37', 'Ardiana Dervishi', '2007-01-29 12:06:37');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (799, 2007000274, 13, 'Penicillin G 4000,0000 UT\r\nKemicetin 500mg/iv/x2\r\nSol fiz +Sol glu 600 cc iv/x2', 'marre_keshille_mjekesore', NULL, 798, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '12:06:37', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 12:06:37 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 12:06:37', 'Ardiana Dervishi', '2007-01-29 12:06:37');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (800, 2007000275, 12, 'Colik abdominale \r\nDr.ABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '12:10:06', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 12:10:06 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 12:10:06', 'Ardiana Dervishi', '2007-01-29 12:10:06');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (801, 2007000275, 13, 'Buskupan 1 amp x1 \r\nKemicetine 500mg/iv/x2\r\nSol fiz+sol glu 600cc iv/x2\r\n', 'marre_keshille_mjekesore', NULL, 800, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '12:10:06', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 12:10:06 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 12:10:06', 'Ardiana Dervishi', '2007-01-29 12:10:06');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (802, 2007000270, 3, 'doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-28', '12:09:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-29 12-10-23 Ermal Dibra\n\r', '', '2007-01-29 12:10:23', 'Ermal Dibra', '2007-01-29 12:10:23');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (803, 2007000276, 12, 'Tonsilit porulent\r\nDr.LSalabegu', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '12:13:24', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 12:13:24 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 12:13:24', 'Ardiana Dervishi', '2007-01-29 12:13:24');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (804, 2007000276, 13, 'Amikacine 120mg/iv/x2\r\nUltracorten 25mg/iv/x2', 'marre_keshille_mjekesore', NULL, 803, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '12:13:24', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 12:13:24 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 12:13:24', 'Ardiana Dervishi', '2007-01-29 12:13:24');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (805, 2007000185, 3, 'doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-29', '12:13:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-29 12-13-33 Ermal Dibra\n\r', '', '2007-01-29 12:13:33', 'Ermal Dibra', '2007-01-29 12:13:33');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (806, 2007000155, 3, 'doli ne gjendje te mire.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-29', '12:14:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-29 12-15-04 Ermal Dibra\n\r', '', '2007-01-29 12:15:04', 'Ermal Dibra', '2007-01-29 12:15:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (807, 2007000277, 12, 'Bronchopneumoni bilaterale\r\nDr.ABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '12:16:36', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 12:16:36 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 12:16:36', 'Ardiana Dervishi', '2007-01-29 12:16:36');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (808, 2007000277, 13, 'Ultracorten 25mg/iv/x2\r\nCeporin 600mg/iv/x2  300mg/im/x2\r\n', 'marre_keshille_mjekesore', NULL, 807, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '12:16:36', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 12:16:36 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 12:16:36', 'Ardiana Dervishi', '2007-01-29 12:16:36');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (809, 2007000278, 12, 'Bronchopneumoni bilaterale\r\nDr.ABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '12:21:28', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 12:21:28 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 12:21:28', 'Ardiana Dervishi', '2007-01-29 12:21:28');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (810, 2007000278, 13, 'Ultracorten 25mg/iv/x2\r\nKemicetin 200mg/iv/x2\r\nCeporin 200mg/iv/x', 'marre_keshille_mjekesore', NULL, 809, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '12:21:28', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 12:21:28 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 12:21:28', 'Ardiana Dervishi', '2007-01-29 12:21:28');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (811, 2007000279, 12, 'Infeksion viral \r\nDR.SKallogjeri', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '12:25:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 12:25:31 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 12:25:31', 'Ardiana Dervishi', '2007-01-29 12:25:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (812, 2007000279, 13, 'Dexametazon 3ml/iv/x2\r\nKemicetin 500mg/iv/x4\r\nSol fiz +sol glu 700ccx2\r\nVit C 3x1 tab', 'marre_keshille_mjekesore', NULL, 811, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '12:25:31', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 12:25:31 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 12:25:31', 'Ardiana Dervishi', '2007-01-29 12:25:31');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (813, 2007000280, 12, 'Infeksion viral\r\nDr.SKallogjeri', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '12:29:38', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 12:29:38 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 12:29:38', 'Ardiana Dervishi', '2007-01-29 12:29:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (814, 2007000280, 13, 'Sup Paracetomol 3x1\r\nKemicetin 150mg/iv/x3\r\nSol glu +sol fiz 500cc iv/x2\r\nSol vit C 5cc iv/x2\r\n', 'marre_keshille_mjekesore', NULL, 813, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '12:29:38', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 12:29:38 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-29 12:29:38', 'Ardiana Dervishi', '2007-01-29 12:29:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (815, 2007000256, 3, 'Del me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '12:33:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-29 12-34-07 Ardiana Dervishi\n\r', '', '2007-01-29 12:34:07', 'Ardiana Dervishi', '2007-01-29 12:34:07');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (816, 2007000207, 3, 'Gjendja me mire del nga spitali', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '12:35:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-29 12-36-57 Ardiana Dervishi\n\r', '', '2007-01-29 12:36:57', 'Ardiana Dervishi', '2007-01-29 12:36:57');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (817, 2007000269, 3, 'Del me recet', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-29', '12:39:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-29 12-39-52 Ardiana Dervishi\n\r', '', '2007-01-29 12:39:52', 'Ardiana Dervishi', '2007-01-29 12:39:52');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (818, 2007000153, 3, 'Doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-29', '13:11:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-29 13-12-00 Ermal Dibra\n\r', '', '2007-01-29 13:12:00', 'Ermal Dibra', '2007-01-29 13:12:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (819, 2007000093, 3, 'me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-29', '13:16:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-29 13-16-28 Ermal Dibra\n\r', '', '2007-01-29 13:16:28', 'Ermal Dibra', '2007-01-29 13:16:28');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (820, 2007000281, 12, 'Fib .atrial \r\n\r\nDr.E.Kraja', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-29', '13:21:22', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 13:21:22 Ermal Dibra', 'Ermal Dibra', '2007-01-29 13:21:22', 'Ermal Dibra', '2007-01-29 13:21:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (821, 2007000281, 13, 'Heparine 4x5000ui\r\nAnalgin 1amp\r\n\r\nCinidina 1tab  ', 'marre_keshille_mjekesore', NULL, 820, 0, 'Ermal Dibra', 0, NULL, '2007-01-29', '13:21:22', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 13:21:22 Ermal Dibra', 'Ermal Dibra', '2007-01-29 13:21:22', 'Ermal Dibra', '2007-01-29 13:21:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (822, 2007000281, 3, 'me mjekim ambulator', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-29', '13:22:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-29 13-22-59 Ermal Dibra\n\r', '', '2007-01-29 13:22:59', 'Ermal Dibra', '2007-01-29 13:22:59');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (823, 2007000282, 12, 'SAk Angor paqendrueshem.\r\n\r\nDr.S.Pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-29', '13:27:14', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 13:27:14 Ermal Dibra', 'Ermal Dibra', '2007-01-29 13:27:14', 'Ermal Dibra', '2007-01-29 13:27:14');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (824, 2007000282, 13, 'Calciparine 2x12500ui\r\nBerlipril 2x1/2tab', 'marre_keshille_mjekesore', NULL, 823, 0, 'Ermal Dibra', 0, NULL, '2007-01-29', '13:27:14', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-29 13:27:14 Ermal Dibra', 'Ermal Dibra', '2007-01-29 13:27:14', 'Ermal Dibra', '2007-01-29 13:27:14');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (825, 2007000282, 3, 'Me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-29', '13:29:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-29 13-29-22 Ermal Dibra\n\r', '', '2007-01-29 13:29:22', 'Ermal Dibra', '2007-01-29 13:29:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (826, 2007000283, 12, 'SAK.gjemdje post ishemie.angina pectoris\r\n\r\n\r\n\r\nDR.S.Pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '07:16:15', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 07:16:15 Ermal Dibra', 'Ermal Dibra', '2007-01-30 07:16:15', 'Ermal Dibra', '2007-01-30 07:16:15');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (827, 2007000283, 13, 'Analgine 1amp \r\nTrinitrine 1tab', 'marre_keshille_mjekesore', NULL, 826, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '07:16:15', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 07:16:15 Ermal Dibra', 'Ermal Dibra', '2007-01-30 07:16:15', 'Ermal Dibra', '2007-01-30 07:16:15');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (828, 2007000284, 12, 'SAK<Post IM anterior\r\n\r\nDR.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '07:21:36', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 07:21:36 Ermal Dibra', 'Ermal Dibra', '2007-01-30 07:21:36', 'Ermal Dibra', '2007-01-30 07:21:36');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (829, 2007000284, 13, 'Morfine 1amp+fiz 20cc iv\r\nHeparine 4x5000ui\r\nCarvazine 4x1tab', 'marre_keshille_mjekesore', NULL, 828, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '07:21:36', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 07:21:36 Ermal Dibra', 'Ermal Dibra', '2007-01-30 07:21:36', 'Ermal Dibra', '2007-01-30 07:21:36');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (830, 2007000285, 12, 'Osteartrozis generalizata \r\n\r\nDr.A.Miloti', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '07:24:53', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 07:24:53 Ermal Dibra', 'Ermal Dibra', '2007-01-30 07:24:53', 'Ermal Dibra', '2007-01-30 07:24:53');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (831, 2007000285, 13, 'Volteren1amp', 'marre_keshille_mjekesore', NULL, 830, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '07:24:53', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 07:24:53 Ermal Dibra', 'Ermal Dibra', '2007-01-30 07:24:53', 'Ermal Dibra', '2007-01-30 07:24:53');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (832, 2007000286, 12, 'Edeme pulmunare  SAK IM anterior.\r\n\r\nDr.E.Kraja', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '07:29:43', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 07:29:43 Ermal Dibra', 'Ermal Dibra', '2007-01-30 07:29:43', 'Ermal Dibra', '2007-01-30 07:29:43');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (833, 2007000286, 13, 'Lasix 3amp\r\nLanatocid c 1amp \r\nO2 Trapi\r\nHeparine 4x5000 ui', 'marre_keshille_mjekesore', NULL, 832, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '07:29:43', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 07:29:43 Ermal Dibra', 'Ermal Dibra', '2007-01-30 07:29:43', 'Ermal Dibra', '2007-01-30 07:29:43');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (834, 2007000287, 12, 'Cor pulmunar.Insuf kardiake\r\n\r\nDr.S.Pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '07:33:44', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 07:33:44 Ermal Dibra', 'Ermal Dibra', '2007-01-30 07:33:44', 'Ermal Dibra', '2007-01-30 07:33:44');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (835, 2007000287, 13, 'lasix 3amp  S\r\nSpironolakton  1tab Enalopril 2x1/2tab', 'marre_keshille_mjekesore', NULL, 834, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '07:33:44', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 07:33:44 Ermal Dibra', 'Ermal Dibra', '2007-01-30 07:33:44', 'Ermal Dibra', '2007-01-30 07:33:44');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (836, 2007000288, 12, 'Kolagjenaze.\r\n\r\n\r\nDr>E.Kraja', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '07:37:02', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 07:37:02 Ermal Dibra', 'Ermal Dibra', '2007-01-30 07:37:02', 'Ermal Dibra', '2007-01-30 07:37:02');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (837, 2007000288, 13, 'Prednizolon 1amp\r\nO2 terapi', 'marre_keshille_mjekesore', NULL, 836, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '07:37:02', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 07:37:02 Ermal Dibra', 'Ermal Dibra', '2007-01-30 07:37:02', 'Ermal Dibra', '2007-01-30 07:37:02');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (838, 2007000149, 3, 'me mjrkim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-29', '10:16:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-30 10-16-44 Ermal Dibra\n\r', '', '2007-01-30 10:16:44', 'Ermal Dibra', '2007-01-30 10:16:44');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (839, 2007000289, 12, 'SDDM\r\nDR.L.Salabegu', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '10:25:21', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 10:25:21 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 10:25:21', 'Ardiana Dervishi', '2007-01-30 10:25:21');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (840, 2007000289, 13, 'Sol analgin 60mg/x1\r\nCeporin 100mg x4\r\nCa gluconat 3cc+Sol glu 300cc/x1', 'marre_keshille_mjekesore', NULL, 839, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '10:25:21', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 10:25:21 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 10:25:21', 'Ardiana Dervishi', '2007-01-30 10:25:21');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (841, 2007000228, 3, 'Del me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '10:28:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-30 10-28-53 Ardiana Dervishi\n\r', '', '2007-01-30 10:28:53', 'Ardiana Dervishi', '2007-01-30 10:28:53');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (842, 2007000230, 3, 'Del me recet', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '10:31:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-30 10-32-26 Ardiana Dervishi\n\r', '', '2007-01-30 10:32:26', 'Ardiana Dervishi', '2007-01-30 10:32:26');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (843, 2007000290, 12, 'Bronkopneumoni bil\r\nDrSDuka', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '10:58:59', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 10:58:59 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 10:58:59', 'Ardiana Dervishi', '2007-01-30 10:58:59');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (844, 2007000290, 13, '\r\nCefatox 500mg x4/iv\r\nGentamicin 40mg x2/iv    \r\nPrednizolon 25mg x2/iv', 'marre_keshille_mjekesore', NULL, 843, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '10:58:59', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 10:58:59 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 10:58:59', 'Ardiana Dervishi', '2007-01-30 10:58:59');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (845, 2007000291, 12, 'Bronkopneumoni bil\r\nAstma bronkiale\r\nDr Manjola shpori', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '11:08:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 11:08:04 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 11:08:04', 'Ardiana Dervishi', '2007-01-30 11:08:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (846, 2007000291, 13, 'Prednizolon 25mg x2/iv\r\nCEfatoxin 400mg x4/iv\r\nSir tusipektol  3x1 lug/caj                                      ', 'marre_keshille_mjekesore', NULL, 845, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '11:08:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 11:08:04 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 11:08:04', 'Ardiana Dervishi', '2007-01-30 11:08:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (847, 2007000292, 12, 'Bronkopneumoni bil\r\nDr.LSalabegu', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '11:16:13', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 11:16:13 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 11:16:13', 'Ardiana Dervishi', '2007-01-30 11:16:13');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (848, 2007000292, 13, 'Ultracorten 25mgx2/iv\r\nCefatoxim 500mgx4/iv\r\nAmikacin 350mgx2/iv', 'marre_keshille_mjekesore', NULL, 847, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '11:16:13', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 11:16:13 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 11:16:13', 'Ardiana Dervishi', '2007-01-30 11:16:13');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (849, 2007000293, 12, 'Tonsilit purulent \r\nvomitus OBS\r\nDRLSalabegu', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '11:23:21', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 11:23:21 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 11:23:21', 'Ardiana Dervishi', '2007-01-30 11:23:21');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (850, 2007000293, 13, 'Penicillin G 2500000uix4 /iv\r\nAmikacin 300mg x2/iv', 'marre_keshille_mjekesore', NULL, 849, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '11:23:21', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 11:23:21 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 11:23:21', 'Ardiana Dervishi', '2007-01-30 11:23:21');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (851, 2007000294, 12, 'Colika Renale\r\nDr\r\nESadiku\r\n', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '11:49:51', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 11:49:51 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 11:49:51', 'Ardiana Dervishi', '2007-01-30 11:49:51');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (852, 2007000294, 13, 'Sol glukoz+fiz500cc\r\nvitc2cc/x2\r\nBuskopan 2x1cc/im\r\noli recini 20gr', 'marre_keshille_mjekesore', NULL, 851, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '11:49:51', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 11:49:51 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 11:49:51', 'Ardiana Dervishi', '2007-01-30 11:49:51');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (853, 2007000196, 3, 'Del me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '11:55:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-30 11-56-01 Ardiana Dervishi\n\r', '', '2007-01-30 11:56:01', 'Ardiana Dervishi', '2007-01-30 11:56:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (854, 2007000295, 12, 'Sindrom koronar acut.D.M\r\n\r\n\r\nDr.E.Kraja', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:04:05', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:04:05 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:04:05', 'Ermal Dibra', '2007-01-30 12:04:05');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (855, 2007000295, 13, 'Heparin 4x5000ui\r\nAtenalol 2x1/2tab \r\nCarvazin 3x1tab Ranitidin 2x1tab', 'marre_keshille_mjekesore', NULL, 854, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:04:05', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:04:05 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:04:05', 'Ermal Dibra', '2007-01-30 12:04:05');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (856, 2007000297, 12, 'Post nefrektomia . HTA \r\n\r\n\r\nDr.A.Agolli', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:06:56', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:06:56 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:06:56', 'Ermal Dibra', '2007-01-30 12:06:56');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (857, 2007000297, 13, 'Corvitol 2x1/4tab\r\n', 'marre_keshille_mjekesore', NULL, 856, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:06:56', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:06:56 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:06:56', 'Ermal Dibra', '2007-01-30 12:06:56');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (858, 2007000298, 12, 'Kirize hipertensive\r\n\r\n\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:10:22', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:10:22 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:10:22', 'Ermal Dibra', '2007-01-30 12:10:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (859, 2007000298, 13, 'Berlipril 2x1/2tab\r\n\r\nCovitol 2x1/2tab\r\nCoral 2x1/2tab', 'marre_keshille_mjekesore', NULL, 858, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:10:22', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:10:22 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:10:22', 'Ermal Dibra', '2007-01-30 12:10:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (860, 2007000296, 12, 'Infeksion viral\r\nDR SKallugjeri', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '12:12:17', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:12:17 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 12:12:17', 'Ardiana Dervishi', '2007-01-30 12:12:17');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (861, 2007000296, 13, 'Sol analgin 100mg 1x/iv\r\nkemicetin 250mgx4/iv\r\nSol glu+sol fiz 500ccx2\r\nvit c5ccx2\r\nValium 2mg /per os/x2', 'marre_keshille_mjekesore', NULL, 860, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '12:12:17', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:12:17 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 12:12:17', 'Ardiana Dervishi', '2007-01-30 12:12:17');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (862, 2007000299, 12, 'Susp Hematemezis.\r\n\r\nDR.N.Tabaku', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:13:57', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:13:57 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:13:57', 'Ermal Dibra', '2007-01-30 12:13:57');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (863, 2007000299, 13, 'Fiz 500cc+Ca glukonat +Ranitidine  3x1fl\r\nVit K 2x2amp', 'marre_keshille_mjekesore', NULL, 862, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:13:57', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:13:57 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:13:57', 'Ermal Dibra', '2007-01-30 12:13:57');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (864, 2007000301, 12, 'SAK Angina Pektoris \r\n\r\nDR.N.Kasemi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:17:41', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:17:41 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:17:41', 'Ermal Dibra', '2007-01-30 12:17:41');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (865, 2007000301, 13, 'Atenaloli 2x1/4tab\r\nCarvazin 3x1tab ', 'marre_keshille_mjekesore', NULL, 864, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:17:41', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:17:41 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:17:41', 'Ermal Dibra', '2007-01-30 12:17:41');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (866, 2007000302, 12, 'Angina pectoris \r\n\r\n\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:21:02', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:21:02 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:21:02', 'Ermal Dibra', '2007-01-30 12:21:02');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (867, 2007000302, 13, 'O2 terapi \r\nLasix 2amp   Carvazine 3x1tab', 'marre_keshille_mjekesore', NULL, 866, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:21:02', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:21:02 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:21:02', 'Ermal Dibra', '2007-01-30 12:21:02');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (868, 2007000300, 12, 'Leishmanioz    OBS\r\nDR.SKAllugjeri\r\n', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '12:21:45', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:21:45 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 12:21:45', 'Ardiana Dervishi', '2007-01-30 12:21:45');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (869, 2007000300, 13, '  Apotel 1/3 amp/x1/im\r\nPenicillin G 500,000 uix4/iv\r\nSol fiz+sol glu500cc\r\n', 'marre_keshille_mjekesore', NULL, 868, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '12:21:45', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:21:45 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 12:21:45', 'Ardiana Dervishi', '2007-01-30 12:21:45');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (870, 2007000303, 12, 'HTA.Cardiopatia  hipertensive\r\nE>Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:25:20', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:25:20 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:25:20', 'Ermal Dibra', '2007-01-30 12:25:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (871, 2007000303, 13, 'Analgin 1amp', 'marre_keshille_mjekesore', NULL, 870, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:25:20', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:25:20 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:25:20', 'Ermal Dibra', '2007-01-30 12:25:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (872, 2007000303, 3, 'Me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-27', '12:26:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-30 12-27-06 Ermal Dibra\n\r', '', '2007-01-30 12:27:06', 'Ermal Dibra', '2007-01-30 12:27:06');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (873, 2007000304, 12, 'U.B.Duodeni new krize\r\n\r\nZ.Hoxha', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:32:27', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:32:27 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:32:27', 'Ermal Dibra', '2007-01-30 12:32:27');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (874, 2007000304, 13, 'Fiz 500cc 2x1fl\r\nPrimperan 2x1amp\r\nDiazepam 1 amp', 'marre_keshille_mjekesore', NULL, 873, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:32:27', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:32:27 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:32:27', 'Ermal Dibra', '2007-01-30 12:32:27');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (875, 2007000305, 12, 'Cirroze hepatike\r\n\r\n\r\nZ.Hoxha', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:36:53', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:36:53 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:36:53', 'Ermal Dibra', '2007-01-30 12:36:53');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (876, 2007000305, 13, 'Glukoze 500 cc+Ca glukonat   2x1fl\r\nAc folik 3x1tab', 'marre_keshille_mjekesore', NULL, 875, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:36:53', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:36:53 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:36:53', 'Ermal Dibra', '2007-01-30 12:36:53');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (877, 2007000306, 12, 'SAKAnGor Paqendrueshem HTA\r\n\r\nE Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:45:40', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:45:40 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:45:40', 'Ermal Dibra', '2007-01-30 12:45:40');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (878, 2007000306, 13, 'Carvazine 4x1tab\r\nCorvitol 2x1/2tab\r\nCoral 2x1tab', 'marre_keshille_mjekesore', NULL, 877, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:45:40', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:45:40 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:45:40', 'Ermal Dibra', '2007-01-30 12:45:40');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (879, 2007000306, 12, 'SAK >angor  paqendrueshem  \r\n\r\n\r\nE.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:48:35', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:48:35 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:48:35', 'Ermal Dibra', '2007-01-30 12:48:35');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (880, 2007000306, 13, 'Corvitol 2x1/2tab\r\nCoral 2x1tab\r\nCarvazin 4x1tab', 'marre_keshille_mjekesore', NULL, 879, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:48:35', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:48:35 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:48:35', 'Ermal Dibra', '2007-01-30 12:48:35');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (881, 2007000308, 12, 'Colika renale sin\r\n\r\n\r\nA.Agolli', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:52:08', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:52:08 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:52:08', 'Ermal Dibra', '2007-01-30 12:52:08');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (882, 2007000308, 13, 'Analgina 2x1amp\r\nbuskupan 2x1amp', 'marre_keshille_mjekesore', NULL, 881, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:52:08', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:52:08 Ermal Dibra', 'Ermal Dibra', '2007-01-30 12:52:08', 'Ermal Dibra', '2007-01-30 12:52:08');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (883, 2007000307, 12, 'Status post konvulsiv\r\nDr.GNaraÃ§i', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '12:53:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:53:00 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 12:53:00', 'Ardiana Dervishi', '2007-01-30 12:53:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (884, 2007000307, 13, 'Dexametazon 4ml/iv/x2\r\nKemicetin 500mg/iv/x45\r\nSol glu +sol fiz 500cc /ivx2\r\n\r\n\r\n', 'marre_keshille_mjekesore', NULL, 883, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '12:53:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:53:00 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 12:53:00', 'Ardiana Dervishi', '2007-01-30 12:53:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (885, 2007000198, 3, 'me mjekimambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:54:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-30 12-55-00 Ermal Dibra\n\r', '', '2007-01-30 12:55:00', 'Ermal Dibra', '2007-01-30 12:55:00');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (886, 2007000163, 3, ' me mjekim ambulator', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:56:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-30 12-57-14 Ermal Dibra\n\r', '', '2007-01-30 12:57:14', 'Ermal Dibra', '2007-01-30 12:57:14');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (887, 2007000309, 12, 'Sup Sarmonele\r\nDr.SKallogjeri', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '12:58:32', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:58:32 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 12:58:32', 'Ardiana Dervishi', '2007-01-30 12:58:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (888, 2007000309, 13, 'Ampicillin 400mg/iv/x4\r\nKemicetine 250mg/iv/x2\r\nLuminal 2x1tab', 'marre_keshille_mjekesore', NULL, 887, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '12:58:32', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-30 12:58:32 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-30 12:58:32', 'Ardiana Dervishi', '2007-01-30 12:58:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (889, 2007000235, 3, 'Pacjenti shkoi per Egzaminime te metejshme ne QSNT', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-30', '13:01:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-30 13-02-59 Ardiana Dervishi\n\r', '', '2007-01-30 13:02:59', 'Ardiana Dervishi', '2007-01-30 13:02:59');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (890, 2007000135, 3, 'me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '09:22:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-31 09-22-53 Ermal Dibra\n\r', '', '2007-01-31 09:22:53', 'Ermal Dibra', '2007-01-31 09:22:53');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (891, 2007000307, 3, 'Pacjenti doli nga spitali me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-31', '09:52:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-31 09-53-11 Ardiana Dervishi\n\r', '', '2007-01-31 09:53:11', 'Ardiana Dervishi', '2007-01-31 09:53:11');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (892, 2007000202, 3, 'me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '10:46:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-31 10-47-37 Ermal Dibra\n\r', '', '2007-01-31 10:47:37', 'Ermal Dibra', '2007-01-31 10:47:37');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (893, 2007000310, 12, 'Fib atrial.HTA\r\n\r\nDr.Z.Hoxha', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '10:52:09', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 10:52:09 Ermal Dibra', 'Ermal Dibra', '2007-01-31 10:52:09', 'Ermal Dibra', '2007-01-31 10:52:09');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (894, 2007000310, 13, 'Lantocid C1 amp\r\nCoritol 2x1/2tab\r\nBerlipril 2x1/2tab', 'marre_keshille_mjekesore', NULL, 893, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '10:52:09', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 10:52:09 Ermal Dibra', 'Ermal Dibra', '2007-01-31 10:52:09', 'Ermal Dibra', '2007-01-31 10:52:09');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (895, 2007000310, 3, 'Doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '10:54:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-31 10-54-38 Ermal Dibra\n\r', '', '2007-01-31 10:54:38', 'Ermal Dibra', '2007-01-31 10:54:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (896, 2007000311, 12, 'Angor zgjatur.\r\n\r\n\r\nDr.Z.Hoxha', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '11:00:17', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 11:00:17 Ermal Dibra', 'Ermal Dibra', '2007-01-31 11:00:17', 'Ermal Dibra', '2007-01-31 11:00:17');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (897, 2007000311, 13, 'Morfin 1amp\r\nPrimpreran 1amp\r\nFiz  500 cc\r\n', 'marre_keshille_mjekesore', NULL, 896, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '11:00:17', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 11:00:17 Ermal Dibra', 'Ermal Dibra', '2007-01-31 11:00:17', 'Ermal Dibra', '2007-01-31 11:00:17');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (898, 2007000311, 3, 'Me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '11:01:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-31 11-02-16 Ermal Dibra\n\r', '', '2007-01-31 11:02:16', 'Ermal Dibra', '2007-01-31 11:02:16');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (899, 2007000312, 12, 'DADM\r\nSDUKA', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-31', '11:19:42', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 11:19:42 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 11:19:42', 'Ardiana Dervishi', '2007-01-31 11:19:42');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (900, 2007000312, 13, 'Kemicetin 400mg x4/iv\r\nSol fiz 20cc/x4\r\nSol glukoze250+fiz 150cc/iv/x2', 'marre_keshille_mjekesore', NULL, 899, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-31', '11:19:42', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 11:19:42 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 11:19:42', 'Ardiana Dervishi', '2007-01-31 11:19:42');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (901, 2007000249, 3, 'Me mjekim amburator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '11:44:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-31 11-45-19 Ermal Dibra\n\r', '', '2007-01-31 11:45:19', 'Ermal Dibra', '2007-01-31 11:45:19');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (902, 2007000266, 3, 'Doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '11:46:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-31 11-47-33 Ermal Dibra\n\r', '', '2007-01-31 11:47:33', 'Ermal Dibra', '2007-01-31 11:47:33');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (903, 2007000117, 3, 'Doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '11:50:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-31 11-50-35 Ermal Dibra\n\r', '', '2007-01-31 11:50:35', 'Ermal Dibra', '2007-01-31 11:50:35');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (904, 2007000285, 3, 'Doli memjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '11:51:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-31 11-52-30 Ermal Dibra\n\r', '', '2007-01-31 11:52:30', 'Ermal Dibra', '2007-01-31 11:52:30');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (905, 2007000057, 3, 'Doli memekimambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '11:53:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-31 11-54-10 Ermal Dibra\n\r', '', '2007-01-31 11:54:10', 'Ermal Dibra', '2007-01-31 11:54:10');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (906, 2007000116, 3, 'Doli me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '11:55:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-31 11-55-46 Ermal Dibra\n\r', '', '2007-01-31 11:55:46', 'Ermal Dibra', '2007-01-31 11:55:46');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (907, 2007000248, 3, 'Doli ne gjendje te mire.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '11:57:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-31 11-57-56 Ermal Dibra\n\r', '', '2007-01-31 11:57:56', 'Ermal Dibra', '2007-01-31 11:57:56');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (908, 2007000175, 3, 'Doli me mjekimambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '12:06:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-31 12-09-18 Ermal Dibra\n\r', '', '2007-01-31 12:09:18', 'Ermal Dibra', '2007-01-31 12:09:18');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (909, 2007000313, 12, 'KMP e dilatuar  Insuficensa kardiake \r\nDr>N.Kasemi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '12:21:38', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 12:21:38 Ermal Dibra', 'Ermal Dibra', '2007-01-31 12:21:38', 'Ermal Dibra', '2007-01-31 12:21:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (910, 2007000313, 13, 'Per  efekt kempi', 'marre_keshille_mjekesore', NULL, 909, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '12:21:38', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 12:21:38 Ermal Dibra', 'Ermal Dibra', '2007-01-31 12:21:38', 'Ermal Dibra', '2007-01-31 12:21:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (911, 2007000314, 12, 'SAK Post IM  Angor i paqendrueshem\r\n\r\nDr.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '12:25:38', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 12:25:38 Ermal Dibra', 'Ermal Dibra', '2007-01-31 12:25:38', 'Ermal Dibra', '2007-01-31 12:25:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (912, 2007000314, 13, 'Morfine 1amp\r\nBisokor 2x1/2tab\r\nCarvazin 4x1tab', 'marre_keshille_mjekesore', NULL, 911, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '12:25:38', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 12:25:38 Ermal Dibra', 'Ermal Dibra', '2007-01-31 12:25:38', 'Ermal Dibra', '2007-01-31 12:25:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (913, 2007000316, 12, 'SAK ANgina pectoris .\r\n\r\n\r\nDr>N.Kasemi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '12:30:27', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 12:30:27 Ermal Dibra', 'Ermal Dibra', '2007-01-31 12:30:27', 'Ermal Dibra', '2007-01-31 12:30:27');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (914, 2007000316, 13, 'Heparin 4x5000ui\r\nAtenaloli 2x1/4tab\r\nCarvazine 3x1tab', 'marre_keshille_mjekesore', NULL, 913, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '12:30:27', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 12:30:27 Ermal Dibra', 'Ermal Dibra', '2007-01-31 12:30:27', 'Ermal Dibra', '2007-01-31 12:30:27');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (915, 2007000315, 12, 'Bronkopneumoni te vjella\r\nDRS Duka', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-31', '12:32:18', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 12:32:18 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 12:32:18', 'Ardiana Dervishi', '2007-01-31 12:32:18');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (916, 2007000315, 13, 'Cefatoxim 250mg x4iv\r\nGentamicin 2x30 mg/iv\r\nSir tusipektol 3x1 lug caji', 'marre_keshille_mjekesore', NULL, 915, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-31', '12:32:18', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 12:32:18 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 12:32:18', 'Ardiana Dervishi', '2007-01-31 12:32:18');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (917, 2007000317, 12, 'Fibrilacion Atrial \r\n\r\nDR.E.Smajlaj', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '12:34:48', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 12:34:48 Ermal Dibra', 'Ermal Dibra', '2007-01-31 12:34:48', 'Ermal Dibra', '2007-01-31 12:34:48');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (918, 2007000317, 13, 'Lanatocid C 1amp', 'marre_keshille_mjekesore', NULL, 917, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '12:34:48', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 12:34:48 Ermal Dibra', 'Ermal Dibra', '2007-01-31 12:34:48', 'Ermal Dibra', '2007-01-31 12:34:48');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (919, 2007000317, 3, 'Doli memjekim ambulator', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '12:35:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-31 12-36-15 Ermal Dibra\n\r', '', '2007-01-31 12:36:15', 'Ermal Dibra', '2007-01-31 12:36:15');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (920, 2007000318, 12, 'Bronkopneumoni bilaterale\r\nDrABekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-31', '12:42:03', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 12:42:03 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 12:42:03', 'Ardiana Dervishi', '2007-01-31 12:42:03');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (921, 2007000318, 13, 'Ultacorten 25mg x2/iv\r\nCefatoxim 800 mg x4/iv\r\nGentamicin 20mg x2/iv', 'marre_keshille_mjekesore', NULL, 920, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-31', '12:42:03', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 12:42:03 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 12:42:03', 'Ardiana Dervishi', '2007-01-31 12:42:03');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (922, 2007000319, 12, 'Insuficensa renale\r\n\r\nDr.A.Agolli', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '12:43:02', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 12:43:02 Ermal Dibra', 'Ermal Dibra', '2007-01-31 12:43:02', 'Ermal Dibra', '2007-01-31 12:43:02');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (923, 2007000319, 13, 'Glukoze 500cc+Ca glukonat  1x1fl\r\n\r\nLasix 1amp', 'marre_keshille_mjekesore', NULL, 922, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '12:43:02', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 12:43:02 Ermal Dibra', 'Ermal Dibra', '2007-01-31 12:43:02', 'Ermal Dibra', '2007-01-31 12:43:02');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (924, 2007000320, 12, 'Bronkopneumoni Anemi grave\r\nOtitis bilateral\r\nDrM Shpori', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-31', '12:53:37', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 12:53:37 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 12:53:37', 'Ardiana Dervishi', '2007-01-31 12:53:37');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (925, 2007000320, 13, 'Analgin 120 mg x1\r\nValium 5mg x1/iv\r\nCefatoxim 300 mg x4/iv\r\nAmikacin 120 mg x2x2', 'marre_keshille_mjekesore', NULL, 924, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-31', '12:53:37', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 12:53:37 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 12:53:37', 'Ardiana Dervishi', '2007-01-31 12:53:37');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (926, 2007000167, 3, 'Del me mjekim ambulator', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '12:58:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-01-31 12-58-43 Ermal Dibra\n\r', '', '2007-01-31 12:58:43', 'Ermal Dibra', '2007-01-31 12:58:43');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (927, 2007000321, 12, 'Susp Ascit perdeterminim\r\n\r\nDR.N.Tabaku', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '13:02:34', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 13:02:34 Ermal Dibra', 'Ermal Dibra', '2007-01-31 13:02:34', 'Ermal Dibra', '2007-01-31 13:02:34');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (928, 2007000321, 13, 'Spironolakton 2tab\r\nRanitidine 2x1tab\r\nGlukoze 500cc +vit C  1x1fl', 'marre_keshille_mjekesore', NULL, 927, 0, 'Ermal Dibra', 0, NULL, '2007-01-31', '13:02:34', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 13:02:34 Ermal Dibra', 'Ermal Dibra', '2007-01-31 13:02:34', 'Ermal Dibra', '2007-01-31 13:02:34');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (929, 2007000322, 12, 'Status febril\r\nOBS\r\nDr. S. Duka', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-31', '13:11:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 13:11:12 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 13:11:12', 'Ardiana Dervishi', '2007-01-31 13:11:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (930, 2007000322, 13, 'Cefatoxim 250 mg x4/iv\r\nAnalgin 200 mg x1', 'marre_keshille_mjekesore', NULL, 929, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-31', '13:11:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 13:11:12 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 13:11:12', 'Ardiana Dervishi', '2007-01-31 13:11:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (931, 2007000323, 12, 'Bronkopneumoni bilaterale\r\nDRS.Duka', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-31', '13:21:18', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 13:21:18 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 13:21:18', 'Ardiana Dervishi', '2007-01-31 13:21:18');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (932, 2007000323, 13, 'Cefatoxim 350 mg /x4/iv\r\nGentamicin 40 mg/x2iv\r\nSir mukotres 3x1 lug caji', 'marre_keshille_mjekesore', NULL, 931, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-31', '13:21:18', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 13:21:18 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 13:21:18', 'Ardiana Dervishi', '2007-01-31 13:21:18');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (933, 2007000324, 12, 'Bronkopneumoni bilaterale\r\nDr.A.Bekteshi', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-31', '13:31:55', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 13:31:55 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 13:31:55', 'Ardiana Dervishi', '2007-01-31 13:31:55');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (934, 2007000324, 13, 'Ultrakorten 15 mgx2/ iv\r\nCeporin 200 mg/ x4/ iv\r\nGentamicin 10 mg x2 im\r\n', 'marre_keshille_mjekesore', NULL, 933, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-31', '13:31:55', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 13:31:55 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 13:31:55', 'Ardiana Dervishi', '2007-01-31 13:31:55');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (935, 2007000325, 12, 'Laringit acut\r\nDr. S.Duka', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-31', '13:55:34', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 13:55:34 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 13:55:34', 'Ardiana Dervishi', '2007-01-31 13:55:34');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (936, 2007000325, 13, 'Adrenalin 1/3 amp\r\nPrednizolon 25 mg/x2/iv\r\nPenicillin G 250.000 ui x4/ iv\r\nSir mukotres 3x1 lug kafet', 'marre_keshille_mjekesore', NULL, 935, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-31', '13:55:34', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-01-31 13:55:34 Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-31 13:55:34', 'Ardiana Dervishi', '2007-01-31 13:55:34');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (937, 2007000225, 3, 'Del me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '09:08:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-02-01 09-08-43 Ermal Dibra\n\r', '', '2007-02-01 09:08:43', 'Ermal Dibra', '2007-02-01 09:08:43');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (938, 2007000326, 12, 'SAK.Gj .POst IM inferior.\r\nDr,S.Pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '09:13:52', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 09:13:52 Ermal Dibra', 'Ermal Dibra', '2007-02-01 09:13:52', 'Ermal Dibra', '2007-02-01 09:13:52');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (939, 2007000326, 13, 'Enalopril 20 mg 2x1/2tab\r\nCarvazine 10mg 4x1tab', 'marre_keshille_mjekesore', NULL, 938, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '09:13:52', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 09:13:52 Ermal Dibra', 'Ermal Dibra', '2007-02-01 09:13:52', 'Ermal Dibra', '2007-02-01 09:13:52');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (940, 2007000326, 3, 'Del me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '09:16:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-02-01 09-16-55 Ermal Dibra\n\r', '', '2007-02-01 09:16:55', 'Ermal Dibra', '2007-02-01 09:16:55');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (941, 2007000188, 3, 'Del me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-31', '10:00:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-02-01 10-01-20 Ardiana Dervishi\n\r', '', '2007-02-01 10:01:20', 'Ardiana Dervishi', '2007-02-01 10:01:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (942, 2007000258, 3, 'Del me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-31', '10:02:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-02-01 10-04-34 Ardiana Dervishi\n\r', '', '2007-02-01 10:04:34', 'Ardiana Dervishi', '2007-02-01 10:04:34');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (943, 2007000312, 3, 'Del me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '10:06:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-02-01 10-06-47 Ardiana Dervishi\n\r', '', '2007-02-01 10:06:47', 'Ardiana Dervishi', '2007-02-01 10:06:47');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (944, 2007000255, 3, 'Del me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '10:12:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-02-01 10-12-48 Ardiana Dervishi\n\r', '', '2007-02-01 10:12:48', 'Ardiana Dervishi', '2007-02-01 10:12:48');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (945, 2007000260, 3, 'Del me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '10:14:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-02-01 10-15-15 Ardiana Dervishi\n\r', '', '2007-02-01 10:15:15', 'Ardiana Dervishi', '2007-02-01 10:15:15');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (946, 2007000261, 3, 'Del me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '10:16:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-02-01 10-17-19 Ardiana Dervishi\n\r', '', '2007-02-01 10:17:19', 'Ardiana Dervishi', '2007-02-01 10:17:19');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (947, 2007000172, 3, 'Del me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-01-26', '10:25:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-02-01 10-26-55 Ardiana Dervishi\n\r', '', '2007-02-01 10:26:55', 'Ardiana Dervishi', '2007-02-01 10:26:55');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (948, 2007000227, 3, 'Del me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '10:39:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-02-01 10-40-20 Ardiana Dervishi\n\r', '', '2007-02-01 10:40:20', 'Ardiana Dervishi', '2007-02-01 10:40:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (949, 2007000325, 3, 'Del me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '10:42:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-02-01 10-42-54 Ardiana Dervishi\n\r', '', '2007-02-01 10:42:54', 'Ardiana Dervishi', '2007-02-01 10:42:54');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (950, 2007000271, 3, 'Del me mjekim ambulator', NULL, NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '10:52:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-02-01 10-53-38 Ardiana Dervishi\n\r', '', '2007-02-01 10:53:38', 'Ardiana Dervishi', '2007-02-01 10:53:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (951, 2007000328, 12, 'Bronkopneumoni bilaterale\r\nDr M Shpori', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '11:25:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 11:25:04 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 11:25:04', 'Ardiana Dervishi', '2007-02-01 11:25:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (952, 2007000328, 13, 'Cefatoxim 600 mgx4/iv\r\nPrednizolon 25 mg x1 \r\nSir pertusin 3x1 lug kafet\r\nEufilin 3x1 tab', 'marre_keshille_mjekesore', NULL, 951, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '11:25:04', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 11:25:04 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 11:25:04', 'Ardiana Dervishi', '2007-02-01 11:25:04');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (953, 2007000284, 3, 'Del i permiresear me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '11:24:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-02-01 11-25-15 Ermal Dibra\n\r', '', '2007-02-01 11:25:15', 'Ermal Dibra', '2007-02-01 11:25:15');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (954, 2007000246, 3, 'del me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-01-30', '11:27:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-02-01 11-29-24 Ermal Dibra\n\r', '', '2007-02-01 11:29:24', 'Ermal Dibra', '2007-02-01 11:29:24');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (955, 2007000329, 12, 'Laringit acut\r\nDr.A.Bekteshi\r\n', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '11:35:45', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 11:35:45 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 11:35:45', 'Ardiana Dervishi', '2007-02-01 11:35:45');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (956, 2007000329, 13, 'ultracorten 25 mgx2/iv\r\nKemicetin 300 mg x2/iv', 'marre_keshille_mjekesore', NULL, 955, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '11:35:45', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 11:35:45 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 11:35:45', 'Ardiana Dervishi', '2007-02-01 11:35:45');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (957, 2007000206, 3, 'Del me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '11:47:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-02-01 11-47-36 Ermal Dibra\n\r', '', '2007-02-01 11:47:36', 'Ermal Dibra', '2007-02-01 11:47:36');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (958, 2007000209, 3, 'Del me mjekim ambulatore.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '11:50:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-02-01 11-50-42 Ermal Dibra\n\r', '', '2007-02-01 11:50:42', 'Ermal Dibra', '2007-02-01 11:50:42');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (959, 2007000330, 12, 'SAK. HTA. \r\n\r\n\r\nDR.S.Pirani', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '11:54:47', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 11:54:47 Ermal Dibra', 'Ermal Dibra', '2007-02-01 11:54:47', 'Ermal Dibra', '2007-02-01 11:54:47');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (960, 2007000330, 13, 'Carvazin 4x1tab\r\n\r\n\r\nheparine 4x5000ui', 'marre_keshille_mjekesore', NULL, 959, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '11:54:47', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 11:54:47 Ermal Dibra', 'Ermal Dibra', '2007-02-01 11:54:47', 'Ermal Dibra', '2007-02-01 11:54:47');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (961, 2007000331, 12, 'Pyelonefritis  dex.\r\n\r\n\r\nDr.A.Agolli\r\n\r\n\r\n', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '11:58:52', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 11:58:52 Ermal Dibra', 'Ermal Dibra', '2007-02-01 11:58:52', 'Ermal Dibra', '2007-02-01 11:58:52');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (962, 2007000331, 13, 'Analgine 2x1amp\r\nCAF +fiz 20cc 3x1fl\r\nRanitidine 2x1tab', 'marre_keshille_mjekesore', NULL, 961, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '11:58:52', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 11:58:52 Ermal Dibra', 'Ermal Dibra', '2007-02-01 11:58:52', 'Ermal Dibra', '2007-02-01 11:58:52');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (963, 2007000332, 12, 'Post nefrektomia \r\n\r\nDR.A.Agolli', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '12:01:32', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:01:32 Ermal Dibra', 'Ermal Dibra', '2007-02-01 12:01:32', 'Ermal Dibra', '2007-02-01 12:01:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (964, 2007000332, 13, 'Pa terapi.', 'marre_keshille_mjekesore', NULL, 963, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '12:01:32', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:01:32 Ermal Dibra', 'Ermal Dibra', '2007-02-01 12:01:32', 'Ermal Dibra', '2007-02-01 12:01:32');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (965, 2007000333, 12, 'Bronchopneumoni bilaterale\r\nDr.LSalabegu', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:04:47', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:04:47 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:04:47', 'Ardiana Dervishi', '2007-02-01 12:04:47');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (966, 2007000333, 13, 'Prednizolon 15mg/iv/x2\r\nCefatoxine 100mg/ivx4\r\nGenta 20mg/iv/x2', 'marre_keshille_mjekesore', NULL, 965, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:04:47', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:04:47 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:04:47', 'Ardiana Dervishi', '2007-02-01 12:04:47');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (967, 2007000334, 12, 'Pyelonefritis  acut sin.\r\n\r\nDR.A.Agolli', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '12:04:49', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:04:49 Ermal Dibra', 'Ermal Dibra', '2007-02-01 12:04:49', 'Ermal Dibra', '2007-02-01 12:04:49');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (968, 2007000334, 13, 'Gentamicine 3x1map\r\nVit B1 3x1tab', 'marre_keshille_mjekesore', NULL, 967, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '12:04:49', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:04:49 Ermal Dibra', 'Ermal Dibra', '2007-02-01 12:04:49', 'Ermal Dibra', '2007-02-01 12:04:49');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (969, 2007000335, 12, 'Bronkopneumoni bilaterale\r\nDr.Miloti', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:11:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:11:01 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:11:01', 'Ardiana Dervishi', '2007-02-01 12:11:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (970, 2007000335, 13, 'Ultrakorten 10mg/iv/x2\r\nPenicillin G 400,000 ui /iv/x4\r\nAmikacin 100mg/iv/x2 ', 'marre_keshille_mjekesore', NULL, 969, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:11:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:11:01 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:11:01', 'Ardiana Dervishi', '2007-02-01 12:11:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (971, 2007000336, 12, 'Bronkopneumoni bilaterale\r\nDr.SDuka', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:17:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:17:12 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:17:12', 'Ardiana Dervishi', '2007-02-01 12:17:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (972, 2007000336, 13, 'Penicillin G 100,000 ui\r\nPrednizolon 10mg/ivf/x2\r\nSir Mukotres 3x1 l/kafet', 'marre_keshille_mjekesore', NULL, 971, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:17:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:17:12 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:17:12', 'Ardiana Dervishi', '2007-02-01 12:17:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (973, 2007000337, 12, 'Artrit reumatoid St III\r\n\r\n\r\nDr.A.Fishta', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '12:19:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:19:12 Ermal Dibra', 'Ermal Dibra', '2007-02-01 12:19:12', 'Ermal Dibra', '2007-02-01 12:19:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (974, 2007000337, 13, 'Volteren  1amp\r\nca glukonat 2x1amp\r\n', 'marre_keshille_mjekesore', NULL, 973, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '12:19:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:19:12 Ermal Dibra', 'Ermal Dibra', '2007-02-01 12:19:12', 'Ermal Dibra', '2007-02-01 12:19:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (975, 2007000298, 3, 'Del me mjekim ambulator.', NULL, NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '12:21:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-02-01 12-22-25 Ermal Dibra\n\r', '', '2007-02-01 12:22:25', 'Ermal Dibra', '2007-02-01 12:22:25');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (976, 2007000338, 12, 'Gastroenterit Dehidrim i Mesem\r\nDrLSaLabegu', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:27:51', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:27:51 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:27:51', 'Ardiana Dervishi', '2007-02-01 12:27:51');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (977, 2007000338, 13, 'Predizolon 150mg/iv/x2\r\nKemicetin 150mg/iv/x\r\n', 'marre_keshille_mjekesore', NULL, 976, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:27:51', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:27:51 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:27:51', 'Ardiana Dervishi', '2007-02-01 12:27:51');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (978, 2007000339, 12, 'Anemia per determinim\r\n\r\nDr.N.Tabaku', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '12:28:20', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:28:20 Ermal Dibra', 'Ermal Dibra', '2007-02-01 12:28:20', 'Ermal Dibra', '2007-02-01 12:28:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (979, 2007000339, 13, 'Sol Glukoze 500cc\r\nVit C 1amp        2x1fl\r\nVit B6 1amp    \r\n\r\nsol fiz 500 cc \r\nCa Glukonat 1amp  1x1fl ', 'marre_keshille_mjekesore', NULL, 978, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '12:28:20', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:28:20 Ermal Dibra', 'Ermal Dibra', '2007-02-01 12:28:20', 'Ermal Dibra', '2007-02-01 12:28:20');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (980, 2007000340, 12, 'Infeksion Urinar \r\nDr.LSalabegu\r\n', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:36:48', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:36:48 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:36:48', 'Ardiana Dervishi', '2007-02-01 12:36:48');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (981, 2007000340, 13, 'Cefatoxime 200mg/iv/x\r\nBuskopan 1/4 amp', 'marre_keshille_mjekesore', NULL, 980, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:36:48', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:36:48 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:36:48', 'Ardiana Dervishi', '2007-02-01 12:36:48');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (982, 2007000341, 12, 'DADM \r\nDr.SDuka', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:41:38', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:41:38 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:41:38', 'Ardiana Dervishi', '2007-02-01 12:41:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (983, 2007000341, 13, 'Kemecetin 400mg/iv/x4\r\nApotel 250mg/im/x1', 'marre_keshille_mjekesore', NULL, 982, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:41:38', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:41:38 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:41:38', 'Ardiana Dervishi', '2007-02-01 12:41:38');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (984, 2007000342, 12, 'Gostroenterit Akut\r\nLDr.LSalabegu', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:45:40', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:45:40 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:45:40', 'Ardiana Dervishi', '2007-02-01 12:45:40');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (985, 2007000342, 13, 'Kemicetin 250mg/iv/x2\r\nSol Analgine 100mg/iv/x1', 'marre_keshille_mjekesore', NULL, 984, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:45:40', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:45:40 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:45:40', 'Ardiana Dervishi', '2007-02-01 12:45:40');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (986, 2007000343, 12, 'Bronkopneumoni bilaterale \r\nDr.MShpori', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:48:55', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:48:55 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:48:55', 'Ardiana Dervishi', '2007-02-01 12:48:55');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (987, 2007000343, 13, 'Cefatoxime 400mg/iv/x4\r\nAmikacin 120mg/iv/x2\r\nSir Tusipektol 3x1/lug kafet', 'marre_keshille_mjekesore', NULL, 986, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:48:55', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:48:55 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:48:55', 'Ardiana Dervishi', '2007-02-01 12:48:55');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (988, 2007000345, 12, 'Konvulsione febrile\r\nBronkopneumoni bilaterale\r\nDR.SDuka', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:52:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:52:12 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:52:12', 'Ardiana Dervishi', '2007-02-01 12:52:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (989, 2007000345, 13, 'Kemicetin 250mg/iv/x4\r\nGentamicin 20mg/iv/x2\r\nLuminal 15mg/2x1tab', 'marre_keshille_mjekesore', NULL, 988, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:52:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:52:12 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:52:12', 'Ardiana Dervishi', '2007-02-01 12:52:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (990, 2007000344, 12, 'Fib atrial.HTA\r\n\r\nDr.F.Boci', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '12:52:51', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:52:51 Ermal Dibra', 'Ermal Dibra', '2007-02-01 12:52:51', 'Ermal Dibra', '2007-02-01 12:52:51');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (991, 2007000344, 13, 'lanatocid C 1 amp \r\nlasix 1 amp \r\nAdalat 1tab\r\nHeparine 4x5000ui', 'marre_keshille_mjekesore', NULL, 990, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '12:52:51', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:52:51 Ermal Dibra', 'Ermal Dibra', '2007-02-01 12:52:51', 'Ermal Dibra', '2007-02-01 12:52:51');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (992, 2007000346, 12, 'Tonsilit porulent \r\nDr.LSalabegu', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:55:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:55:12 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:55:12', 'Ardiana Dervishi', '2007-02-01 12:55:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (993, 2007000346, 13, 'Sol Analgine 100mg/iv/x1\r\nCeporine 150mg/iv/x2\r\nGentamicine 20mg/iv/x2', 'marre_keshille_mjekesore', NULL, 992, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:55:12', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:55:12 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:55:12', 'Ardiana Dervishi', '2007-02-01 12:55:12');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (994, 2007000347, 12, 'Perikardit eksudativ\r\n\r\nDr.f.Boci', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '12:56:51', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:56:51 Ermal Dibra', 'Ermal Dibra', '2007-02-01 12:56:51', 'Ermal Dibra', '2007-02-01 12:56:51');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (995, 2007000347, 13, 'O2 terapi \r\nPrednizolon 1amp', 'marre_keshille_mjekesore', NULL, 994, 0, 'Ermal Dibra', 0, NULL, '2007-02-01', '12:56:51', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:56:51 Ermal Dibra', 'Ermal Dibra', '2007-02-01 12:56:51', 'Ermal Dibra', '2007-02-01 12:56:51');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (996, 2007000348, 12, 'Gastroenterit Akut \r\nDr.LSalabegu', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:58:49', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:58:49 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:58:49', 'Ardiana Dervishi', '2007-02-01 12:58:49');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (997, 2007000348, 13, 'Kemicetine 250mg/iv/x2\r\nSol glukoz +Sol fiz 500m/cc iv/x2\r\nVit C 3x1 tab', 'marre_keshille_mjekesore', NULL, 996, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '12:58:49', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 12:58:49 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 12:58:49', 'Ardiana Dervishi', '2007-02-01 12:58:49');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (998, 2007000349, 12, 'Pneumoni Dex \r\nDr.RMiloti', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '13:02:05', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 13:02:05 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 13:02:05', 'Ardiana Dervishi', '2007-02-01 13:02:05');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (999, 2007000349, 13, 'Cefatox 100mg/iv/x4\r\nGenta 80mg/iv/x2\r\nUltrakorten 25mg/iv/x2', 'marre_keshille_mjekesore', NULL, 998, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '13:02:05', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 13:02:05 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 13:02:05', 'Ardiana Dervishi', '2007-02-01 13:02:05');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1000, 2007000350, 12, 'Bronkopneumoni et Gastroenterit \r\nDr.LSalabegu', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '13:07:07', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 13:07:07 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 13:07:07', 'Ardiana Dervishi', '2007-02-01 13:07:07');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1001, 2007000350, 13, 'Cefatoxime 200mg/iv/x4\r\nKemicetine 250mg/iv/x3\r\n', 'marre_keshille_mjekesore', NULL, 1000, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '13:07:07', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 13:07:07 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 13:07:07', 'Ardiana Dervishi', '2007-02-01 13:07:07');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1002, 2007000351, 12, 'Infeksion viral\r\nDrSKallogjeri', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '13:10:30', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 13:10:30 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 13:10:30', 'Ardiana Dervishi', '2007-02-01 13:10:30');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1003, 2007000351, 13, 'Cefatoxime 1gr/x4/iv\r\nSol fiz +Sol glukoz 500ccivx3', 'marre_keshille_mjekesore', NULL, 1002, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '13:10:30', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 13:10:30 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 13:10:30', 'Ardiana Dervishi', '2007-02-01 13:10:30');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1004, 2007000352, 12, 'Infeksion viral \r\nDr.LSalabegu', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '13:16:54', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 13:16:54 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 13:16:54', 'Ardiana Dervishi', '2007-02-01 13:16:54');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1005, 2007000352, 13, 'Kemicetine 750mg/iv/x3\r\nSol Glukoz +Sol Fiz 500mg/iv/x2', 'marre_keshille_mjekesore', NULL, 1004, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '13:16:54', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 13:16:54 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 13:16:54', 'Ardiana Dervishi', '2007-02-01 13:16:54');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1006, 2007000353, 12, 'Stomatit Aftoz \r\nDr.ESadiku', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '13:21:47', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 13:21:47 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 13:21:47', 'Ardiana Dervishi', '2007-02-01 13:21:47');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1007, 2007000353, 13, 'Cefatoxime 200mg/iv/x4\r\nVit C 2cc\r\nVit B1 +B6 /1cc/ im', 'marre_keshille_mjekesore', NULL, 1006, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '13:21:47', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 13:21:47 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 13:21:47', 'Ardiana Dervishi', '2007-02-01 13:21:47');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1008, 2007000354, 12, 'Pneumoni Apikale dex\r\nDr.S Duka', 'marre_keshille_mjekesore', NULL, 0, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '13:26:24', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 13:26:24 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 13:26:24', 'Ardiana Dervishi', '2007-02-01 13:26:24');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1009, 2007000354, 13, 'Cefatoxime 1gr/iv/x4\r\nGentamicine 80mg/iv/x2\r\nAnalgine 400mg/im/x1\r\n', 'marre_keshille_mjekesore', NULL, 1008, 0, 'Ardiana Dervishi', 0, NULL, '2007-02-01', '13:26:24', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-02-01 13:26:24 Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 13:26:24', 'Ardiana Dervishi', '2007-02-01 13:26:24');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1010, 2007000355, 7, 'kjhkhk', NULL, NULL, 0, 0, 'admin', 0, NULL, '2007-08-05', '14:49:40', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-08-04 14-49-40 admin\n\r', '', '2007-08-04 14:49:40', 'admin', '2007-08-04 14:49:40');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1011, 2007000355, 12, 'kot', 'marre_keshille_mjekesore', 'kot', 0, 0, 'admin', 0, NULL, '2007-08-23', '13:35:56', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-08-22 13:35:56 admin', 'admin', '2007-08-22 13:35:56', 'admin', '2007-08-22 13:35:56');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1012, 2007000355, 13, 'kot', 'marre_keshille_mjekesore', 'kot', 1011, 0, 'admin', 0, NULL, '2007-08-23', '13:35:56', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-08-22 13:35:56 admin', 'admin', '2007-08-22 13:35:56', 'admin', '2007-08-22 13:35:56');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1013, 2007000355, 22, 'alergji', NULL, NULL, 0, 0, 'admin', 0, NULL, '2007-08-22', '17:43:48', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-08-22 17-43-48 admin\n\r', '', '2007-08-22 17:43:48', 'admin', '2007-08-22 17:43:48');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1014, 2007000355, 10, 'antikoagulant', NULL, NULL, 0, 0, 'admin', 0, NULL, '2007-08-22', '17:44:06', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-08-22 17-44-06 admin\n\r', '', '2007-08-22 17:44:06', 'admin', '2007-08-22 17:44:06');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1015, 2007000355, 11, 'shenime', NULL, NULL, 0, 0, 'admin', 0, NULL, '2007-08-22', '17:44:14', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-08-22 17-44-14 admin\n\r', '', '2007-08-22 17:44:14', 'admin', '2007-08-22 17:44:14');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1016, 2007000355, 9, '', 'kotkot', NULL, 0, 0, 'admin', 0, NULL, '2007-09-19', '13:54:41', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-09-19 13-54-41 admin\n\r', '', '2007-09-19 13:54:41', 'admin', '2007-09-19 13:54:41');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1017, 2007000355, 8, 'nuk pshurr e nuk ka dhi hic\r\nna cau trapin \r\nedhe i fije asht tuj plase prej mutit', NULL, NULL, 0, 0, 'admin', 0, NULL, '2007-09-24', '12:35:10', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-09-24 12-35-10 admin\n\r', '', '2007-09-24 12:35:10', 'admin', '2007-09-24 12:35:10');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1018, 2007000355, 8, '*asdasd**', NULL, NULL, 0, 0, 'admin', 0, NULL, '2007-09-24', '12:55:01', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-09-24 12-55-01 admin\n\r', '', '2007-09-24 12:55:01', 'admin', '2007-09-24 12:55:01');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1019, 2007000355, 11, '*asdasd*', NULL, NULL, 0, 0, 'admin', 0, NULL, '2007-09-24', '12:55:11', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-09-24 12-55-11 admin\n\r', '', '2007-09-24 12:55:11', 'admin', '2007-09-24 12:55:11');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1020, 2007000355, 11, '*asd*', NULL, NULL, 0, 0, 'admin', 0, NULL, '2007-09-24', '12:55:30', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-09-24 12-55-30 admin\n\r', '', '2007-09-24 12:55:30', 'admin', '2007-09-24 12:55:30');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1021, 2007000355, 12, 'te dhenat e reja', NULL, NULL, 0, 0, 'admin', 0, NULL, '2007-10-03', '22:30:57', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-10-03 22-30-57 admin\n\r', '', '2007-10-03 22:30:57', 'admin', '2007-10-03 22:30:57');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1022, 2007000355, 12, 'nuk ka asnji diagnoze', 'marre_keshille_mjekesore', '', 0, 0, 'admin', 0, NULL, '2007-10-03', '22:31:43', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-10-03 22:31:43 admin', 'admin', '2007-10-03 22:31:43', 'admin', '2007-10-03 22:31:43');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1023, 2007000355, 13, 'hic terapi', '', '', 1022, 0, 'admin', 0, NULL, '2007-10-03', '22:31:43', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Entry: 2007-10-03 22:31:43 admin', 'admin', '2007-10-03 22:31:43', 'admin', '2007-10-03 22:31:43');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1024, 2007000355, 8, 'shenim', NULL, NULL, 0, 0, 'admin', 0, NULL, '2007-10-08', '15:48:22', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-10-08 15-48-22 admin\n\r', '', '2007-10-08 15:48:22', 'admin', '2007-10-08 15:48:22');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1025, 2007000355, 7, 'shenime ne grafike\r\nterpai glicemi insuline UI', NULL, NULL, 0, 0, 'admin', 0, NULL, '2007-10-08', '15:53:57', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-10-08 15-53-57 admin\n\r', '', '2007-10-08 15:53:57', 'admin', '2007-10-08 15:53:57');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1026, 2007000355, 11, 'meteriale te perdorura', NULL, NULL, 0, 0, 'admin', 0, NULL, '2007-10-08', '15:56:55', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-10-08 15-56-55 admin\n\r', '', '2007-10-08 15:56:55', 'admin', '2007-10-08 15:56:55');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1027, 2007000355, 9, '', 'shenim i vogel', NULL, 0, 0, 'admin', 0, NULL, '2007-10-08', '15:58:03', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-10-08 15-58-03 admin\n\r', '', '2007-10-08 15:58:03', 'admin', '2007-10-08 15:58:03');
INSERT INTO `care_encounter_notes` (`nr`, `encounter_nr`, `type_nr`, `notes`, `short_notes`, `aux_notes`, `ref_notes_nr`, `personell_nr`, `personell_name`, `send_to_pid`, `send_to_name`, `date`, `time`, `location_type`, `location_type_nr`, `location_nr`, `location_id`, `ack_short_id`, `date_ack`, `date_checked`, `date_printed`, `send_by_mail`, `send_by_email`, `send_by_fax`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1028, 2007000361, 3, 'normale', NULL, NULL, 0, 0, 'kot1', 0, NULL, '2007-10-30', '20:46:00', NULL, 0, 0, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', 'Create: 2007-10-30 20-46-15 kot1\n\r', '', '2007-10-30 20:46:15', 'kot1', '2007-10-30 20:46:15');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter_obstetric`
-- 

CREATE TABLE `care_encounter_obstetric` (
  `encounter_nr` int(11) unsigned NOT NULL auto_increment,
  `pregnancy_nr` int(11) unsigned NOT NULL default '0',
  `hospital_adm_nr` int(11) unsigned NOT NULL default '0',
  `patient_class` varchar(60) collate latin1_general_ci NOT NULL,
  `is_discharged_not_in_labour` tinyint(1) default NULL,
  `is_re_admission` tinyint(1) default NULL,
  `referral_status` varchar(60) collate latin1_general_ci default NULL,
  `referral_reason` text collate latin1_general_ci,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`encounter_nr`),
  KEY `encounter_nr` (`pregnancy_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_encounter_obstetric`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter_op`
-- 

CREATE TABLE `care_encounter_op` (
  `nr` int(11) NOT NULL auto_increment,
  `year` varchar(4) collate latin1_general_ci NOT NULL default '0',
  `dept_nr` smallint(5) unsigned NOT NULL default '0',
  `op_room` varchar(10) collate latin1_general_ci NOT NULL default '0',
  `op_nr` mediumint(9) NOT NULL default '0',
  `op_date` date NOT NULL default '0000-00-00',
  `op_src_date` varchar(8) collate latin1_general_ci NOT NULL,
  `encounter_nr` int(10) unsigned NOT NULL default '0',
  `diagnosis` text collate latin1_general_ci NOT NULL,
  `operator` text collate latin1_general_ci NOT NULL,
  `assistant` text collate latin1_general_ci NOT NULL,
  `scrub_nurse` text collate latin1_general_ci NOT NULL,
  `rotating_nurse` text collate latin1_general_ci NOT NULL,
  `anesthesia` varchar(30) collate latin1_general_ci NOT NULL,
  `an_doctor` text collate latin1_general_ci NOT NULL,
  `op_therapy` text collate latin1_general_ci NOT NULL,
  `result_info` text collate latin1_general_ci NOT NULL,
  `entry_time` varchar(5) collate latin1_general_ci NOT NULL,
  `cut_time` varchar(5) collate latin1_general_ci NOT NULL,
  `close_time` varchar(5) collate latin1_general_ci NOT NULL,
  `exit_time` varchar(5) collate latin1_general_ci NOT NULL,
  `entry_out` text collate latin1_general_ci NOT NULL,
  `cut_close` text collate latin1_general_ci NOT NULL,
  `wait_time` text collate latin1_general_ci NOT NULL,
  `bandage_time` text collate latin1_general_ci NOT NULL,
  `repos_time` text collate latin1_general_ci NOT NULL,
  `encoding` longtext collate latin1_general_ci NOT NULL,
  `doc_date` varchar(10) collate latin1_general_ci NOT NULL,
  `doc_time` varchar(5) collate latin1_general_ci NOT NULL,
  `duty_type` varchar(15) collate latin1_general_ci NOT NULL,
  `material_codedlist` text collate latin1_general_ci NOT NULL,
  `container_codedlist` text collate latin1_general_ci NOT NULL,
  `icd_code` text collate latin1_general_ci NOT NULL,
  `ops_code` text collate latin1_general_ci NOT NULL,
  `ops_intern_code` text collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  KEY `dept` (`dept_nr`),
  KEY `op_room` (`op_room`),
  KEY `op_date` (`op_date`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `care_encounter_op`
-- 

INSERT INTO `care_encounter_op` (`nr`, `year`, `dept_nr`, `op_room`, `op_nr`, `op_date`, `op_src_date`, `encounter_nr`, `diagnosis`, `operator`, `assistant`, `scrub_nurse`, `rotating_nurse`, `anesthesia`, `an_doctor`, `op_therapy`, `result_info`, `entry_time`, `cut_time`, `close_time`, `exit_time`, `entry_out`, `cut_close`, `wait_time`, `bandage_time`, `repos_time`, `encoding`, `doc_date`, `doc_time`, `duty_type`, `material_codedlist`, `container_codedlist`, `icd_code`, `ops_code`, `ops_intern_code`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, '2007', 56, '1', 1, '2007-08-22', '20070822', 2007000355, '\n', '~n=Begu,+Luiza&x=1', '', '', '', 'GEN', '', '\n', '\n', '', '', '', '', '', 's=10.45&e=11.05', 's=11.10&e=11.30&r=', '', '', ' ~e=admin&d=2007-08-22&t=16:16:34', '2007-08-22', '16:11', '', 'b=002&a=002&n=Analgina+A&g=Analgina&i=2&c=1\r\n', '', '', '', '', '', 'Create 2007-08-22 16:11:30 admin\nUpdated  2007-08-22 16:14:08 admin\nUpdated  2007-08-22 16:14:51 admin\nUpdated  2007-08-22 16:16:34 admin\n', '', '2007-08-22 16:16:34', 'admin', '2007-08-22 16:11:30');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter_prescription`
-- 

CREATE TABLE `care_encounter_prescription` (
  `nr` int(11) NOT NULL auto_increment,
  `encounter_nr` int(10) unsigned NOT NULL default '0',
  `prescribe_date` date default NULL,
  `notes` text collate latin1_general_ci,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `prescriber` varchar(60) collate latin1_general_ci NOT NULL,
  `dept_nr` int(11) NOT NULL default '0' COMMENT 'the dept from wich the prescriprion is being made',
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  KEY `encounter_nr` (`encounter_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AVG_ROW_LENGTH=85 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_encounter_prescription`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter_prescription_notes`
-- 

CREATE TABLE `care_encounter_prescription_notes` (
  `nr` bigint(20) unsigned NOT NULL auto_increment,
  `date` date NOT NULL default '0000-00-00',
  `prescription_nr` int(10) unsigned NOT NULL default '0',
  `notes` varchar(35) collate latin1_general_ci default NULL,
  `short_notes` varchar(25) collate latin1_general_ci default NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_encounter_prescription_notes`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter_prescription_sub`
-- 

CREATE TABLE `care_encounter_prescription_sub` (
  `nr` int(11) NOT NULL auto_increment,
  `prescription_nr` int(11) NOT NULL default '0',
  `prescription_type_nr` smallint(5) NOT NULL default '0',
  `bestellnum` varchar(20) collate latin1_general_ci NOT NULL default '0',
  `article` varchar(100) collate latin1_general_ci NOT NULL,
  `drug_class` varchar(60) collate latin1_general_ci NOT NULL,
  `dosage` varchar(255) collate latin1_general_ci NOT NULL,
  `admin_time` varchar(50) collate latin1_general_ci NOT NULL default '00',
  `quantity` varchar(10) collate latin1_general_ci NOT NULL default '0',
  `application_type_nr` smallint(5) NOT NULL default '0',
  `sub_speed` double(5,3) default NULL,
  `notes_sub` text collate latin1_general_ci,
  `color_marker` varchar(10) collate latin1_general_ci NOT NULL,
  `is_stopped` tinyint(1) NOT NULL default '0',
  `stop_date` date default NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `companion` varchar(50) collate latin1_general_ci NOT NULL default '-1',
  `price` decimal(10,2) NOT NULL default '0.00',
  PRIMARY KEY  (`nr`),
  KEY `prescription_nr` (`prescription_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_encounter_prescription_sub`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter_procedure`
-- 

CREATE TABLE `care_encounter_procedure` (
  `procedure_nr` int(11) NOT NULL auto_increment,
  `encounter_nr` int(11) NOT NULL default '0',
  `op_nr` int(11) NOT NULL default '0',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `code` varchar(25) collate latin1_general_ci NOT NULL,
  `code_parent` varchar(25) collate latin1_general_ci NOT NULL,
  `group_nr` mediumint(8) unsigned NOT NULL default '0',
  `code_version` tinyint(4) NOT NULL default '0',
  `localcode` varchar(35) collate latin1_general_ci NOT NULL,
  `category_nr` tinyint(3) unsigned NOT NULL default '0',
  `localization` varchar(35) collate latin1_general_ci NOT NULL,
  `responsible_clinician` varchar(60) collate latin1_general_ci NOT NULL,
  `responsible_dept_nr` smallint(5) unsigned NOT NULL default '0',
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`procedure_nr`),
  KEY `encounter_nr` (`encounter_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_encounter_procedure`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_encounter_sickconfirm`
-- 

CREATE TABLE `care_encounter_sickconfirm` (
  `nr` int(11) NOT NULL auto_increment,
  `encounter_nr` int(11) NOT NULL default '0',
  `date_confirm` date NOT NULL default '0000-00-00',
  `date_start` date NOT NULL default '0000-00-00',
  `date_end` date NOT NULL default '0000-00-00',
  `date_create` date NOT NULL default '0000-00-00',
  `diagnosis` text collate latin1_general_ci NOT NULL,
  `dept_nr` smallint(6) NOT NULL default '0',
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  KEY `encounter_nr` (`encounter_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_encounter_sickconfirm`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_furnitor`
-- 

CREATE TABLE `care_furnitor` (
  `idcare_furnitor` int(3) NOT NULL auto_increment,
  `furnitori` varchar(35) collate latin1_general_ci NOT NULL,
  `adresa` varchar(100) collate latin1_general_ci default NULL,
  `telefon` varchar(35) collate latin1_general_ci default NULL,
  `fax` varchar(35) collate latin1_general_ci default NULL,
  `kodi_postar` varchar(5) collate latin1_general_ci default NULL,
  `perfaqesues` varchar(35) collate latin1_general_ci default NULL,
  `history` text collate latin1_general_ci,
  `create_id` varchar(35) collate latin1_general_ci default NULL,
  `create_time` timestamp NOT NULL default CURRENT_TIMESTAMP,
  PRIMARY KEY  (`idcare_furnitor`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=49 ;

-- 
-- Dumping data for table `care_furnitor`
-- 

INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (1, 'ALB- Medisan', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (2, 'Albosi  Sh.P.K.', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (3, 'Albtrade farma', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (4, 'Aldosh farma', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (5, 'Aulona farma', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (6, 'Avicena', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (7, 'Bioclem Tirane', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (8, 'Biometrik  Albania', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (9, 'Curri  SHPK', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (10, 'OES Distrimed SHPK', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (11, 'Firma  Dong -Ya', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (12, 'Drejtoria e Shendetit Publik', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (13, 'Ecobi  "Albania" SH.P.K.', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (14, 'Edna  farma', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (15, 'Farmacia Qendrore Tirane', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (16, 'Farmacia  e Spitalit', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (17, 'Farmacia  Psiqiatrikut', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (18, 'Flor Farma', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (19, 'Filadelfia', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (20, 'Fondacion', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (21, 'Fortune Albania SHPK', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (22, 'Fu- Farma  SH.A', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (23, 'Imi Farma', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (24, 'Iris  SH.P.K.', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (25, 'Kanani SH.P.K.', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (26, 'Kruetani SHPK', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (27, 'Laser Med SHPK', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (28, 'Lasermed  SH.P.K.', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (29, 'Mag barneve', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (30, 'Medikamente SHPK', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (31, 'Mega  farma', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (32, 'Montal Sh.P.K', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (33, 'Motrat" Bashkesia e Udhes Shpirtero', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (34, 'Blere me lek', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (35, 'Pigasos SH.P.K', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (36, 'Rejsi  farma', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (37, 'Rio  Farma Tirane', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (38, 'Spitali  Lezhe', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (39, 'Spitali  Vlore', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (40, 'Spitali  Fier', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (41, 'Spitali  Sarande', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (42, 'Spitali Ballsh', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (43, 'Sulkaj', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (44, 'Teprice rekordimi', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (45, 'Teprice', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (46, 'Shoqata "The Door"', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (47, 'Vini  Farma', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');
INSERT INTO `care_furnitor` (`idcare_furnitor`, `furnitori`, `adresa`, `telefon`, `fax`, `kodi_postar`, `perfaqesues`, `history`, `create_id`, `create_time`) VALUES (48, 'F.M.E.S. Xhaxho', 'bosh', '00000', '00000', '00000', 'bosh', 'admin', '0', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_furnizim`
-- 

CREATE TABLE `care_furnizim` (
  `idcare_furnizim` int(10) unsigned NOT NULL auto_increment,
  `idcare_furnitor` tinyint(3) unsigned NOT NULL,
  `bestellnum` varchar(25) collate latin1_general_ci NOT NULL,
  `skadenca` varchar(25) collate latin1_general_ci default '0000-00-00 00:00:00',
  `sasi` int(10) unsigned default '0',
  `cmimi` double default '0',
  `vlera` double default '0',
  `shenime` varchar(200) collate latin1_general_ci default NULL,
  `nr_fature` varchar(25) collate latin1_general_ci default NULL,
  `create_time` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci default NULL,
  `history` text collate latin1_general_ci,
  `order_date` date default NULL,
  `articles` text collate latin1_general_ci,
  `order_time` time default NULL,
  `ip_addr` tinytext collate latin1_general_ci,
  `status` varchar(25) collate latin1_general_ci default NULL,
  `sent_datetime` datetime default '0000-00-00 00:00:00',
  `validator` tinytext collate latin1_general_ci,
  `modify_id` varchar(35) collate latin1_general_ci default NULL,
  `process_datetime` datetime default NULL,
  PRIMARY KEY  (`idcare_furnizim`,`idcare_furnitor`,`bestellnum`),
  KEY `idcare_furnitor` (`idcare_furnitor`),
  KEY `bestellnum` (`bestellnum`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `care_furnizim`
-- 

INSERT INTO `care_furnizim` (`idcare_furnizim`, `idcare_furnitor`, `bestellnum`, `skadenca`, `sasi`, `cmimi`, `vlera`, `shenime`, `nr_fature`, `create_time`, `create_id`, `history`, `order_date`, `articles`, `order_time`, `ip_addr`, `status`, `sent_datetime`, `validator`, `modify_id`, `process_datetime`) VALUES (1, 1, '', '0000-00-00 00:00:00', 1, 0, 0, NULL, '1', '2007-11-24 18:16:23', 'admin', ' Received  by admin on 2007-11-24 18:16:35\n\r', '2007-11-24', 'bestellnum=1&artikelname=med_a&pcs=1&minorder=1&maxorder=10&proorder=1&cmimi=10&vlera=10&skadenca=12/12/2008', '18:16:23', '127.0.0.1', 'ack_print', '2007-11-24 18:16:30', 'admin', NULL, '2007-11-24 18:16:35');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_furnizim_historik`
-- 

CREATE TABLE `care_furnizim_historik` (
  `id` bigint(20) NOT NULL auto_increment,
  `id_furnitor` int(11) NOT NULL,
  `data` date NOT NULL,
  `nr_fature` int(11) NOT NULL,
  `medikament` int(11) NOT NULL,
  `sasia` double NOT NULL,
  `cmimi` double NOT NULL,
  `vlera` double NOT NULL,
  `date_skadence` date NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=3 ;

-- 
-- Dumping data for table `care_furnizim_historik`
-- 

INSERT INTO `care_furnizim_historik` (`id`, `id_furnitor`, `data`, `nr_fature`, `medikament`, `sasia`, `cmimi`, `vlera`, `date_skadence`) VALUES (1, 1, '2007-11-24', 1, 1, 1, 10, 10, '2007-12-12');
INSERT INTO `care_furnizim_historik` (`id`, `id_furnitor`, `data`, `nr_fature`, `medikament`, `sasia`, `cmimi`, `vlera`, `date_skadence`) VALUES (2, 1, '2007-11-24', 1, 1, 1, 10, 10, '2008-12-12');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_group`
-- 

CREATE TABLE `care_group` (
  `nr` smallint(5) unsigned NOT NULL auto_increment,
  `id` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=7 ;

-- 
-- Dumping data for table `care_group`
-- 

INSERT INTO `care_group` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'pregnancy', 'Pregnancy', 'LDPregnancy', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_group` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'neonatal', 'Neonatal', 'LDNeonatal', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_group` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'encounter', 'Encounter', 'LDEncounter', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_group` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'op', 'OP', 'LDOP', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_group` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 'anesthesia', 'Anesthesia', 'LDAnesthesia', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_group` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 'prescription', 'Prescription', 'LDPrescription', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_icd10_sq`
-- 

CREATE TABLE `care_icd10_sq` (
  `diagnosis_code` varchar(12) collate latin1_general_ci default NULL,
  `description` text collate latin1_general_ci,
  `class_sub` varchar(5) collate latin1_general_ci default NULL,
  `type` varchar(10) collate latin1_general_ci default NULL,
  `inclusive` text collate latin1_general_ci,
  `exclusive` text collate latin1_general_ci,
  `notes` text collate latin1_general_ci,
  `std_code` char(1) collate latin1_general_ci default NULL,
  `sub_level` tinyint(4) default NULL,
  `remarks` text collate latin1_general_ci,
  `extra_codes` text collate latin1_general_ci,
  `extra_subclass` text collate latin1_general_ci,
  `id` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`id`),
  KEY `diagnosis_code` (`diagnosis_code`),
  KEY `std_code` (`std_code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1035 ;

-- 
-- Dumping data for table `care_icd10_sq`
-- 

INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('001', 'GRUPI 1 - SEMUNDJET INFEKTIVE INTESTINALE', '', '', '', '', '', '', 3, '', '', '', 1);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('001', 'Kolera', '', '', '', '', '', '', 4, '', '', '', 2);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('002', 'Ethja tifoide dhe paratifoide', '', '', '', '', '', '', 4, '', '', '', 3);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('003', 'Infeksione te tjera nga Salmonella (Salmoneloza te tjera)', '', '', '', '', '', '', 4, '', '', '', 4);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('004', 'Shigeloza', '', '', '', '', '', '', 4, '', '', '', 5);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('005', 'Te tjera intoksikacione alimentare nga bakteret', '', '', '', '', '', '', 4, '', '', '', 6);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('006', 'Amebiaza', '', '', '', '', '', '', 4, '', '', '', 7);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('007', 'Te tjera semundje intestinale nga protozoaret', '', '', '', '', '', '', 4, '', '', '', 8);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('008', 'Infeksione intestinale nga mikroorganizma te tjera', '', '', '', '', '', '', 4, '', '', '', 9);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('009', 'Infeksione intestinale te keq-percaktuara', '', '', '', '', '', '', 4, '', '', '', 10);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('010', 'GRUPI 2 - TUBERKULOZI ', '', '', '', '', '', '', 3, '', '', '', 11);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('010', 'Infeksioni tuberkular primar (kompleksi primar tuberkular)', '', '', '', '', '', '', 4, '', '', '', 12);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('011', 'Tuberkulozi pulmonar', '', '', '', '', '', '', 4, '', '', '', 13);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('012', 'Te tjera forma tuberkulozi te aparatit respirator', '', '', '', '', '', '', 4, '', '', '', 14);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('013', 'Tuberkulozi I cipave meningeale dhe I sistemit nervor qendror', '', '', '', '', '', '', 4, '', '', '', 15);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('014', 'Tuberkulozi i zorreve, peritoneumit dhe i gjendrrave mezenteriale', '', '', '', '', '', '', 4, '', '', '', 16);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('015', 'Tuberkulozi i kockave dhe i kyceve', '', '', '', '', '', '', 4, '', '', '', 17);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('016', 'Tuberkulozi i aparatit genital dhe urinar', '', '', '', '', '', '', 4, '', '', '', 18);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('017', 'Tuberkulozi i organeve te tjera', '', '', '', '', '', '', 4, '', '', '', 19);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('018', 'Tuberkuloz miliar', '', '', '', '', '', '', 4, '', '', '', 20);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('020', 'GRUPI 3 - ANTROPOZOONOZAT', '', '', '', '', '', '', 3, '', '', '', 21);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('020', 'Murtaja', '', '', '', '', '', '', 4, '', '', '', 22);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('021', 'Tularemia', '', '', '', '', '', '', 4, '', '', '', 23);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('022', 'Karbunkuli (Antraksi) (Plasja)', '', '', '', '', '', '', 4, '', '', '', 24);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('023', 'Bruceloza', '', '', '', '', '', '', 4, '', '', '', 25);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('024', 'Morva', '', '', '', '', '', '', 4, '', '', '', 26);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('025', 'Melioidoza', '', '', '', '', '', '', 4, '', '', '', 27);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('026', 'Ethja nga kafshimi i miut', '', '', '', '', '', '', 4, '', '', '', 28);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('027', 'Semundje te tjera bakteriale te transmetuara nga kafshet', '', '', '', '', '', '', 4, '', '', '', 29);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('030', 'GRUPI 4 - SEMUNDJE TE SHKAKTUARA NGA MIKROBE TE TJERA SPECIFIKE', '', '', '', '', '', '', 3, '', '', '', 30);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('030', 'Lepra', '', '', '', '', '', '', 4, '', '', '', 31);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('031', 'Semundje te shkaktuara nga Mykobaktere te tjera', '', '', '', '', '', '', 4, '', '', '', 32);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('032', 'Difteria', '', '', '', '', '', '', 4, '', '', '', 33);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('033', 'Pertusi (kolla e mire)', '', '', '', '', '', '', 4, '', '', '', 34);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('034', 'Angina streptokoksike dhe skarlatina', '', '', '', '', '', '', 4, '', '', '', 35);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('035', 'Erizipela', '', '', '', '', '', '', 4, '', '', '', 36);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('036', 'Infeksioni meningokoksemik', '', '', '', '', '', '', 4, '', '', '', 37);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('037', 'Tetanozi', '', '', '', '', '', '', 4, '', '', '', 38);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('038', 'Septicemia', '', '', '', '', '', '', 4, '', '', '', 39);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('039', 'Infeksione aktinomykotike', '', '', '', '', '', '', 4, '', '', '', 40);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('040', 'Te tjera semundje bakteriale', '', '', '', '', '', '', 4, '', '', '', 41);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('041', 'Infeksione bakteriale gjate semundjeve te klasifikuara ne vend tjeter dhe me vendndodhje te paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 42);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('042', 'Infeksion nga virusi i imunodeficiences humane (HIV) (SIDA)', '', '', '', '', '', '', 4, '', '', '', 43);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('045', 'GRUPI 5 - POLIOMIELITI DHE SEMUNDJE TE TJERA TE SISTEMIT NERVOR TE SHKAKTUARA NGA VIRUSET', '', '', '', '', '', '', 3, '', '', '', 44);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('045', 'Poliomieliti', '', '', '', '', '', '', 4, '', '', '', 45);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('046', 'Infeksione te sistemit nervor qendror nga viruse te ngadalta', '', '', '', '', '', '', 4, '', '', '', 46);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('047', 'Meningiti nga Enterovirus', '', '', '', '', '', '', 4, '', '', '', 47);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('048', 'Te tjera semundje te sistemit nervor qendror te shkaktuara nga Enterovirus', '', '', '', '', '', '', 4, '', '', '', 48);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('049', 'Te tjera semundje te sistemit nervor qendror qe nuk jane transmetuar nga artropodet (kembenyjetuarit)', '', '', '', '', '', '', 4, '', '', '', 49);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('050', 'GRUPI 6 - SEMUNDJE EKZANTEMATOZE TE SHKAKTUARA NGA VIRUSET', '', '', '', '', '', '', 3, '', '', '', 50);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('050', 'Lija (Vaiolo)', '', '', '', '', '', '', 4, '', '', '', 51);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('051', 'Semundja vaksinike dhe ajo simil-vaksinike', '', '', '', '', '', '', 4, '', '', '', 52);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('052', 'Varicella (Lija e dhenve)', '', '', '', '', '', '', 4, '', '', '', 53);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('053', 'Herpes Zoster', '', '', '', '', '', '', 4, '', '', '', 54);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('054', 'Herpes Simplex', '', '', '', '', '', '', 4, '', '', '', 55);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('055', 'Morbili (fruthi)', '', '', '', '', '', '', 4, '', '', '', 56);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('056', 'Rubeola (rosolia)', '', '', '', '', '', '', 4, '', '', '', 57);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('057', 'Te tjera ekzantema virale', '', '', '', '', '', '', 4, '', '', '', 58);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('060', 'GRUPI 7 - SEMUNDJE VIRALE TE TRANSMETUARA NGA ARTROPODET (KEMBENYJETUARIT)', '', '', '', '', '', '', 3, '', '', '', 59);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('060', 'Ethja e verdhe', '', '', '', '', '', '', 4, '', '', '', 60);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('061', 'Dengue', '', '', '', '', '', '', 4, '', '', '', 61);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('062', 'Encefaliti viral nga mushkonjat', '', '', '', '', '', '', 4, '', '', '', 62);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('063', 'Encefaliti viral nga kepushat (riqnat)', '', '', '', '', '', '', 4, '', '', '', 63);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('064', 'Encefaliti viral i transmetuar nga artropode (kembenyjetuar) te tjere dhe te paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 64);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('065', 'Ethja hemorragjike nga artropodet (kembenyjetuarit)', '', '', '', '', '', '', 4, '', '', '', 65);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('066', 'Te tjera semundje virale nga artropodet (kembenyjetuarit)', '', '', '', '', '', '', 4, '', '', '', 66);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('070', 'GRUPI 8 - TE TJERA SEMUNDJE TE SHKAKTUARA NGA VIRUSET DHE KLAMIDIET', '', '', '', '', '', '', 3, '', '', '', 67);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('070', 'Hepatiti viral', '', '', '', '', '', '', 4, '', '', '', 68);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('071', 'Rabies (Terbimi)', '', '', '', '', '', '', 4, '', '', '', 69);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('072', 'Parotiti epidemik (shytat)', '', '', '', '', '', '', 4, '', '', '', 70);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('073', 'Psitakoza (Ethet e papagalleve)', '', '', '', '', '', '', 4, '', '', '', 71);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('074', 'Semundje specifike nga viruse Coxsackie', '', '', '', '', '', '', 4, '', '', '', 72);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('075', 'Mononukleoza infektive', '', '', '', '', '', '', 4, '', '', '', 73);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('076', 'Trakoma', '', '', '', '', '', '', 4, '', '', '', 74);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('077', 'Te tjera semundje te konjunktives te shkaktuara nga viruse dhe nga Chlamydiae', '', '', '', '', '', '', 4, '', '', '', 75);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('078', 'Te tjera semundje te shkaktuara nga viruse dhe Chlamydiae', '', '', '', '', '', '', 4, '', '', '', 76);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('079', 'Infeksione nga viruse dhe Chlamydiae gjate semundjeve te klasifikuara ne vend tjeter dhe me vendndodhje te paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 77);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('080', 'GRUPI 9 - SEMUNDJET EKZANTEMATOZE JO-VIRALE', '', '', '', '', '', '', 3, '', '', '', 78);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('080', 'Tifoja epidemike (nga morrat)', '', '', '', '', '', '', 4, '', '', '', 79);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('081', 'Tifo te tjera', '', '', '', '', '', '', 4, '', '', '', 80);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('082', 'Rikeciozat nga kepushat (riqnat)', '', '', '', '', '', '', 4, '', '', '', 81);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('083', 'Rikecioza te tjera', '', '', '', '', '', '', 4, '', '', '', 82);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('084', 'Malarja', '', '', '', '', '', '', 4, '', '', '', 83);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('085', 'Leishmanioza', '', '', '', '', '', '', 4, '', '', '', 84);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('086', 'Tripanozomiaza', '', '', '', '', '', '', 4, '', '', '', 85);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('087', 'Ethja rekurrente (tifo rekurrente)', '', '', '', '', '', '', 4, '', '', '', 86);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('088', 'Semundje te tjera nga artropodet (kembenyjetuarit)', '', '', '', '', '', '', 4, '', '', '', 87);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('090', 'GRUPI 10 - SIFILIZI DHE SEMUNDJET E TJERA VENERIANE', '', '', '', '', '', '', 3, '', '', '', 88);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('090', 'Sifilizi kongenital', '', '', '', '', '', '', 4, '', '', '', 89);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('091', 'Sifiliz i ri simptomatik', '', '', '', '', '', '', 4, '', '', '', 90);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('092', 'Sifiliz i ri latent', '', '', '', '', '', '', 4, '', '', '', 91);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('093', 'Sifilizi kardiovaskular', '', '', '', '', '', '', 4, '', '', '', 92);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('094', 'Neurosifilizi', '', '', '', '', '', '', 4, '', '', '', 93);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('095', 'Te tjera forma sifilizi te vjeter simptomatik', '', '', '', '', '', '', 4, '', '', '', 94);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('096', 'Sifilizi i vjeter latent', '', '', '', '', '', '', 4, '', '', '', 95);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('097', 'Te tjera forma sifilizi, edhe te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 96);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('098', 'Infeksioni gonokoksik', '', '', '', '', '', '', 4, '', '', '', 97);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('099', 'Te tjera semundje veneriane', '', '', '', '', '', '', 4, '', '', '', 98);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('100', 'GRUPI 11 - INFEKSIONET NGA SPIROKETAT', '', '', '', '', '', '', 3, '', '', '', 99);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('100', 'Leptospiroza', '', '', '', '', '', '', 4, '', '', '', 100);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('101', 'Angina e Vincent', '', '', '', '', '', '', 4, '', '', '', 101);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('102', 'Framboezia (Pian)', '', '', '', '', '', '', 4, '', '', '', 102);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('103', 'Pinta', '', '', '', '', '', '', 4, '', '', '', 103);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('104', 'Te tjera infeksione nga spiroketat', '', '', '', '', '', '', 4, '', '', '', 104);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('110', 'GRUPI 12 - MYKOZAT', '', '', '', '', '', '', 3, '', '', '', 105);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('110', 'Dermatofitozat', '', '', '', '', '', '', 4, '', '', '', 106);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('111', 'Te tjera dermatomykoza, edhe te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 107);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('112', 'Kandidiaza', '', '', '', '', '', '', 4, '', '', '', 108);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('113', 'Koksidioidomykoza', '', '', '', '', '', '', 4, '', '', '', 109);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('114', 'Histoplazmoza', '', '', '', '', '', '', 4, '', '', '', 110);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('115', 'Infeksioni blastomykotik', '', '', '', '', '', '', 4, '', '', '', 111);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('116', 'Mykoza te tjera', '', '', '', '', '', '', 4, '', '', '', 112);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('117', 'Mykoza nga patogjene fakultative', '', '', '', '', '', '', 4, '', '', '', 113);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('120', 'GRUPI 13 - SEMUNDJET PARAZITARE', '', '', '', '', '', '', 3, '', '', '', 114);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('120', 'Skistosomiaza (Bilarcioza)', '', '', '', '', '', '', 4, '', '', '', 115);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('121', 'Te tjera infestime (ndotje) nga trematodet', '', '', '', '', '', '', 4, '', '', '', 116);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('122', 'Ekinokokoza', '', '', '', '', '', '', 4, '', '', '', 117);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('123', 'Te tjera infeksione nga cestodet', '', '', '', '', '', '', 4, '', '', '', 118);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('124', 'Trikinoza', '', '', '', '', '', '', 4, '', '', '', 119);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('125', 'Filariaza dhe drakontiaza', '', '', '', '', '', '', 4, '', '', '', 120);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('126', 'Ankilostomiaza dhe nekatoriaza', '', '', '', '', '', '', 4, '', '', '', 121);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('127', 'Te tjera helmintiaza intestinale', '', '', '', '', '', '', 4, '', '', '', 122);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('128', 'Te tjera helmintiaza, edhe te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 123);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('129', 'Parazitizmi intestinal, i paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 124);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('130', 'GRUPI 14 - TE TJERA SEMUNDJE INFEKTIVE DHE PARAZITARE', '', '', '', '', '', '', 3, '', '', '', 125);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('130', 'Toksoplazmoza', '', '', '', '', '', '', 4, '', '', '', 126);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('131', 'Trikomoniaza', '', '', '', '', '', '', 4, '', '', '', 127);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('132', 'Pedikuloza dhe ftiriaza', '', '', '', '', '', '', 4, '', '', '', 128);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('133', 'Akariaza (Scabies) (Zgjebja)', '', '', '', '', '', '', 4, '', '', '', 129);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('134', 'Infestime (ndotje) te tjera', '', '', '', '', '', '', 4, '', '', '', 130);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('135', 'Sarkoidoza', '', '', '', '', '', '', 4, '', '', '', 131);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('136', 'Te tjera semundje infektive dhe parazitare, edhe te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 132);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('137', 'GRUPI 15 - PASOJA TE SEMUNDJEVE INFEKTIVE DHE PARAZITARE', '', '', '', '', '', '', 3, '', '', '', 133);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('137', 'Pasoja te tuberkulozit', '', '', '', '', '', '', 4, '', '', '', 134);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('138', 'Pasoja te poliomielitit akut', '', '', '', '', '', '', 4, '', '', '', 135);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('139', 'Pasoja te semundjeve te tjera infektive dhe parazitare', '', '', '', '', '', '', 4, '', '', '', 136);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('140', 'KLASA II - SEMUNDJET TUMORALE (NEOPLAZITE)', '', '', '', '', '', '', 3, '', '', '', 137);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('140', 'GRUPI 1 - TUMORET MALINJE TE BUZES, GOJES DHE FARINGUT', '', '', '', '', '', '', 3, '', '', '', 138);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('140', 'Tumoret malinje te buzes', '', '', '', '', '', '', 4, '', '', '', 139);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('141', 'Tumoret malinje te gjuhes', '', '', '', '', '', '', 4, '', '', '', 140);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('142', 'Tumoret malinje te gjendrrave madhore te peshtymes', '', '', '', '', '', '', 4, '', '', '', 141);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('143', 'Tumoret malinje te gingivave (mishit te dhembeve)', '', '', '', '', '', '', 4, '', '', '', 142);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('144', 'Tumoret malinje te dyshemese se gojes', '', '', '', '', '', '', 4, '', '', '', 143);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('145', 'Tumoret malinje te pjeseve te tjera dhe te paspecifikuara te gojes', '', '', '', '', '', '', 4, '', '', '', 144);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('146', 'Tumoret malinje te orofaringut', '', '', '', '', '', '', 4, '', '', '', 145);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('147', 'Tumoret malinje te nazofaringut', '', '', '', '', '', '', 4, '', '', '', 146);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('148', 'Tumoret malinje te hipofaringut', '', '', '', '', '', '', 4, '', '', '', 147);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('149', 'Tumoret malinje ne regjione te tjera dhe te keq-percaktuara te buzeve, kavitetit oral dhe faringut', '', '', '', '', '', '', 4, '', '', '', 148);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('150', 'GRUPI 2 - TUMORET MALINJE TE APARATIT TRETES', '', '', '', '', '', '', 3, '', '', '', 149);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('150', 'Tumoret malinje te ezofagut', '', '', '', '', '', '', 4, '', '', '', 150);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('151', 'Tumoret malinje te stomakut', '', '', '', '', '', '', 4, '', '', '', 151);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('152', 'Tumoret malinje te zorres se holle, perfshi duodenin', '', '', '', '', '', '', 4, '', '', '', 152);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('153', 'Tumoret malinje te kolonit (zorres se trashe)', '', '', '', '', '', '', 4, '', '', '', 153);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('154', 'Tumoret malinje te rektumit, junksionit rekto-sigmoid dhe te anusit', '', '', '', '', '', '', 4, '', '', '', 154);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('155', 'Tumoret malinje te melcise dhe te rrugeve biliare intra-hepatike', '', '', '', '', '', '', 4, '', '', '', 155);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('156', 'Tumoret malinje te kolecistes dhe te rrugeve biliare ekstra-hepatike', '', '', '', '', '', '', 4, '', '', '', 156);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('157', 'Tumoret malinje te pankreasit', '', '', '', '', '', '', 4, '', '', '', 157);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('158', 'Tumoret malinje te retroperitoneumit dhe te peritoneumit', '', '', '', '', '', '', 4, '', '', '', 158);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('159', 'Tumoret malinje te regjioneve te tjera dhe te keq-percaktuara te aparatit tretes dhe te peritoneumit', '', '', '', '', '', '', 4, '', '', '', 159);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('160', 'GRUPI 3 - TUMORET MALINJE TE APARATIT RESPIRATOR DHE ORGANEVE TE MEDIASTINIT', '', '', '', '', '', '', 3, '', '', '', 160);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('160', 'Tumoret malinje te kaviteteve nazale, te veshit te mesem dhe te sinuseve paranazale', '', '', '', '', '', '', 4, '', '', '', 161);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('161', 'Tumoret malinje te laringut', '', '', '', '', '', '', 4, '', '', '', 162);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('162', 'Tumoret malinje te trakese, bronkeve dhe pulmoneve', '', '', '', '', '', '', 4, '', '', '', 163);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('163', 'Tumoret malinje te pleures', '', '', '', '', '', '', 4, '', '', '', 164);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('164', 'Tumoret malinje te timusit, zemres dhe mediastinit', '', '', '', '', '', '', 4, '', '', '', 165);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('165', 'Tumoret malinje te regjioneve te tjera dhe te keq-percaktuara te aparatit respirator dhe te organeve intratorakale', '', '', '', '', '', '', 4, '', '', '', 166);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('170', 'GRUPI 4 - TUMORET MALINJE TE INDIT KOCKOR; ARTIKULAR; LIDHOR E INDEVE TE TJERA TE BUTA', '', '', '', '', '', '', 3, '', '', '', 167);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('170', 'Tumoret malinje te kockave dhe te kartilagove artikulare', '', '', '', '', '', '', 4, '', '', '', 168);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('171', 'Tumoret malinje te indit lidhor dhe indeve te tjera te buta', '', '', '', '', '', '', 4, '', '', '', 169);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('172', 'Melanoma malinje kutane', '', '', '', '', '', '', 4, '', '', '', 170);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('173', 'Te tjera tumore malinje te lekures', '', '', '', '', '', '', 4, '', '', '', 171);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('174', 'Tumore malinje te gjirit te femres', '', '', '', '', '', '', 4, '', '', '', 172);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('175', 'Tumore malinje te gjirit te mashkullit', '', '', '', '', '', '', 4, '', '', '', 173);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('176', 'Sarkoma e Kaposi', '', '', '', '', '', '', 4, '', '', '', 174);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('179', 'GRUPI 5 - TUMORET MALINJE TE ORGANEVE URO-GENITALE', '', '', '', '', '', '', 3, '', '', '', 175);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('179', 'Tumoret malinje te uterusit (mitres), ne regjion te paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 176);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('180', 'Tumoret malinje te cervix uteri (qafes se mitres)', '', '', '', '', '', '', 4, '', '', '', 177);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('181', 'Tumoret malinje te placentes', '', '', '', '', '', '', 4, '', '', '', 178);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('182', 'Tumoret malinje te corpus uteri (trupit te mitres)', '', '', '', '', '', '', 4, '', '', '', 179);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('183', 'Tumoret malinje ovariale dhe te adnekseve te tjera uterine', '', '', '', '', '', '', 4, '', '', '', 180);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('184', 'Tumore malinje te organeve te tjera genitale femerore, edhe te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 181);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('185', 'Tumoret malinje te prostates', '', '', '', '', '', '', 4, '', '', '', 182);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('186', 'Tumoret malinje te testikujve', '', '', '', '', '', '', 4, '', '', '', 183);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('187', 'Tumoret malinje te penisit dhe organeve te tjera genitale mashkullore', '', '', '', '', '', '', 4, '', '', '', 184);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('188', 'Tumoret malinje te vezikes urinare', '', '', '', '', '', '', 4, '', '', '', 185);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('189', 'tumoret malinje te veshkave dhe organeve te tjera urinare, edhe te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 186);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('190', 'GRUPI 6 - TUMORET MALINJE NE ORGANE TE TJERA DHE TE PAPERCAKTUARA', '', '', '', '', '', '', 3, '', '', '', 187);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('190', 'Tumoret malinje te syrit', '', '', '', '', '', '', 4, '', '', '', 188);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('191', 'Tumoret malinje te trurit (encephalon)', '', '', '', '', '', '', 4, '', '', '', 189);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('192', 'Tumore malinje te regjioneve te tjera dhe te paspecifikuara te sistemit nervor', '', '', '', '', '', '', 4, '', '', '', 190);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('193', 'Tumoret malinje te gjendrres tiroide', '', '', '', '', '', '', 4, '', '', '', 191);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('194', 'Tumoret malinje te gjendrrave te tjera endokrine dhe te strukturave te nderlidhura me to', '', '', '', '', '', '', 4, '', '', '', 192);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('195', 'Tumore malinje ne regjione te tjera dhe te keq-percaktuara', '', '', '', '', '', '', 4, '', '', '', 193);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('196', 'Tumore malinje sekondare dhe te paspecifikuara te nyjeve linfatike', '', '', '', '', '', '', 4, '', '', '', 194);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('197', 'Tumoret malinje sekondare te aparatit respirator dhe tretes', '', '', '', '', '', '', 4, '', '', '', 195);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('198', 'Tumoret malinje sekondare te regjioneve te tjera te specifikuara', '', '', '', '', '', '', 4, '', '', '', 196);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('199', 'Tumoret malinje pa percaktim regjioni', '', '', '', '', '', '', 4, '', '', '', 197);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('200', 'GRUPI 7 - TUMORET MALINJE ME ORIGJINE HEMATOPOIETIKE', '', '', '', '', '', '', 3, '', '', '', 198);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('200', 'Linfosarkoma dhe retikulosarkoma', '', '', '', '', '', '', 4, '', '', '', 199);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('201', 'Semundja e Hodgkin', '', '', '', '', '', '', 4, '', '', '', 200);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('202', 'Te tjera neoplazi malinje te indit linfatik dhe histiocitar', '', '', '', '', '', '', 4, '', '', '', 201);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('203', 'Mieloma multiple dhe neoplazite imunoproliferative', '', '', '', '', '', '', 4, '', '', '', 202);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('204', 'Leukoza (leucemia) linfoide', '', '', '', '', '', '', 4, '', '', '', 203);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('205', 'Leukoza (leucemia) mieloide', '', '', '', '', '', '', 4, '', '', '', 204);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('206', 'Leukoza (leucemia) monocitare', '', '', '', '', '', '', 4, '', '', '', 205);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('207', 'Te tjera leukoza (leucemi) specifike', '', '', '', '', '', '', 4, '', '', '', 206);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('208', 'Leukoza (leucemi) me tipologji qelizore te paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 207);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('210', 'GRUPI 8 - TUMORET BENINJE', '', '', '', '', '', '', 3, '', '', '', 208);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('210', 'Tumoret beninje te buzeve, kavitetit oral dhe faringut', '', '', '', '', '', '', 4, '', '', '', 209);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('211', 'Tumoret beninje te regjioneve te tjera te aparatit tretes', '', '', '', '', '', '', 4, '', '', '', 210);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('212', 'Tumoret beninje te aparatit respirator dhe organeve intratorakale', '', '', '', '', '', '', 4, '', '', '', 211);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('213', 'Tumoret beninje te kockave dhe kartilagove artikulare', '', '', '', '', '', '', 4, '', '', '', 212);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('214', 'Lipoma', '', '', '', '', '', '', 4, '', '', '', 213);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('215', 'Te tjera tumore beninje te indit lidhor dhe indeve te tjera te buta', '', '', '', '', '', '', 4, '', '', '', 214);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('216', 'Tumoret beninje te lekures', '', '', '', '', '', '', 4, '', '', '', 215);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('217', 'Tumoret beninje te gjirit', '', '', '', '', '', '', 4, '', '', '', 216);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('218', 'Leiomioma e uterusit (mitres)', '', '', '', '', '', '', 4, '', '', '', 217);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('219', 'Te tjera tumore beninje te uterusit (mitres)', '', '', '', '', '', '', 4, '', '', '', 218);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('220', 'Tumoret beninje te ovarit (vezores)', '', '', '', '', '', '', 4, '', '', '', 219);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('221', 'Tumoret beninje te organeve te tjera genitale femerore', '', '', '', '', '', '', 4, '', '', '', 220);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('222', 'Tumoret beninje te organeve genitale mashkullore', '', '', '', '', '', '', 4, '', '', '', 221);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('223', 'Tumoret beninje te veshkes dhe organeve te tjera urinare', '', '', '', '', '', '', 4, '', '', '', 222);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('224', 'Tumoret beninje te syrit', '', '', '', '', '', '', 4, '', '', '', 223);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('225', 'Tumoret beninje te trurit (encephalon) dhe te pjeseve te tjera te sistemit nervor', '', '', '', '', '', '', 4, '', '', '', 224);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('226', 'Tumoret beninje te gjendrres tiroide', '', '', '', '', '', '', 4, '', '', '', 225);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('227', 'Tumoret beninje te gjendrrave te tjera endokrine dhe te strukturave te nderlidhura me to', '', '', '', '', '', '', 4, '', '', '', 226);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('228', 'Hemangioma dhe linfangioma, cdo regjion', '', '', '', '', '', '', 4, '', '', '', 227);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('229', 'Tumoret beninje te regjioneve te tjera dhe te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 228);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('230', 'GRUPI 9 - CARCINOMA IN SITU', '', '', '', '', '', '', 3, '', '', '', 229);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('230', 'Carcinoma in situ ne organet e tretjes', '', '', '', '', '', '', 4, '', '', '', 230);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('231', 'Carcinoma in situ ne aparatin respirator', '', '', '', '', '', '', 4, '', '', '', 231);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('232', 'Carcinoma in situ ne lekure', '', '', '', '', '', '', 4, '', '', '', 232);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('233', 'Carcinoma in situ ne gji dhe ne aparatin urogjenital', '', '', '', '', '', '', 4, '', '', '', 233);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('234', 'Carcinoma in situ ne regjione te tjera dhe te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 234);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('235', 'GRUPI 10 - TUMORET ME SJELLJE TE PAQARTE', '', '', '', '', '', '', 3, '', '', '', 235);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('235', 'Tumoret me sjellje te paqarte ne aparatin tretes dhe respirator', '', '', '', '', '', '', 4, '', '', '', 236);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('236', 'Tumoret me sjellje te paqarte ne organet urogjenitale', '', '', '', '', '', '', 4, '', '', '', 237);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('237', 'Tumoret me sjellje te paqarte ne gjendrrat endokrine dhe sistemin nervor', '', '', '', '', '', '', 4, '', '', '', 238);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('238', 'Tumoret me sjellje te paqarte ne regjione dhe inde te tjera e te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 239);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('235', 'GRUPI 11 - TUMORET ME NATYRE TE PASPECIFIKUAR', '', '', '', '', '', '', 3, '', '', '', 240);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('239', 'Tumoret me natyre te paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 241);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('240', 'KLASA III - SEMUNDJET ENDOKRINE; NUTRICIONALE; METABOLIKE DHE IMUNITARE', '', '', '', '', '', '', 3, '', '', '', 242);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('240', 'GRUPI 1 - SEMUNDJET E GJENDRRES TIROIDE', '', '', '', '', '', '', 3, '', '', '', 243);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('240', 'Struma e thjeshte e paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 244);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('241', 'Struma nodulare jo-toksike', '', '', '', '', '', '', 4, '', '', '', 245);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('242', 'Tireotoksikoza me ose pa strume', '', '', '', '', '', '', 4, '', '', '', 246);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('243', 'Hipotiroidizmi kongenital (primar)', '', '', '', '', '', '', 4, '', '', '', 247);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('244', 'Hipotiroidizmi i fituar (sekondar)', '', '', '', '', '', '', 4, '', '', '', 248);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('245', 'Tiroiditi', '', '', '', '', '', '', 4, '', '', '', 249);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('246', 'Crregullime te tjera te tiroides', '', '', '', '', '', '', 4, '', '', '', 250);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('250', 'GRUPI 2 - SEMUNDJE TE GJENDRRAVE TE TJERA ENDOKRINE', '', '', '', '', '', '', 3, '', '', '', 251);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('250', 'Diabetes mellitus (diabeti i sheqerit)', '', '', '', '', '', '', 4, '', '', '', 252);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('251', 'Crregullime te tjera te sekretimit endokrin te pankreasit', '', '', '', '', '', '', 4, '', '', '', 253);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('252', 'Semundje te gjendrrave paratiroide', '', '', '', '', '', '', 4, '', '', '', 254);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('253', 'Semundje hipotalamo-hipofizare', '', '', '', '', '', '', 4, '', '', '', 255);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('254', 'Semundje te timusit', '', '', '', '', '', '', 4, '', '', '', 256);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('255', 'Semundje te gjendrrave surenale (mbiveshkore)', '', '', '', '', '', '', 4, '', '', '', 257);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('256', 'Anomali te funksionit ovarial (vezorial)', '', '', '', '', '', '', 4, '', '', '', 258);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('257', 'Anomali te funksionit testikular', '', '', '', '', '', '', 4, '', '', '', 259);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('258', 'Semundje multi-glandulare (shume-gjendrrore) dhe crregullime qe lidhen me to', '', '', '', '', '', '', 4, '', '', '', 260);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('259', 'Te tjera crregullime endokrine', '', '', '', '', '', '', 4, '', '', '', 261);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('260', 'GRUPI 3 - DISVITAMINOZAT DHE CRREGULLIME TE TJERA NUTRICIONALE', '', '', '', '', '', '', 3, '', '', '', 262);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('260', 'Kwashiorkor (Malnutricioni proteinik) (Distrofia proteinike)', '', '', '', '', '', '', 4, '', '', '', 263);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('261', 'Marazma nga denutricioni (Malnutricioni proteiniko-kalorik) (Atrofia proteiniko-kalorike)', '', '', '', '', '', '', 4, '', '', '', 264);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('262', 'Te tjera malnutricione te renda proteiniko-kalorike', '', '', '', '', '', '', 4, '', '', '', 265);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('263', 'Te tjera malnutricione proteiniko-kalorike, te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 266);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('264', 'Mangesia ne vitamine A', '', '', '', '', '', '', 4, '', '', '', 267);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('265', 'Gjendje karenciale (mangesie) te Tiamines (B1) dhe Niacines', '', '', '', '', '', '', 4, '', '', '', 268);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('266', 'Mangesi te perberesve te kompleksit B', '', '', '', '', '', '', 4, '', '', '', 269);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('267', 'Mangesi te acidit askorbik (skorbuti)', '', '', '', '', '', '', 4, '', '', '', 270);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('268', 'Mangesi te vitamines D (rakitizmi, tetania hipokalcemike)', '', '', '', '', '', '', 4, '', '', '', 271);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('269', 'Te tjera mangesi nutricionale', '', '', '', '', '', '', 4, '', '', '', 272);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('270', 'GRUPI 4 - CRREGULLIME TE METABOLIZMIT DHE IMUNITETIT', '', '', '', '', '', '', 3, '', '', '', 273);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('270', 'Semundje te metabolizmit dhe transportit te aminoacideve', '', '', '', '', '', '', 4, '', '', '', 274);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('271', 'Crregullime te metabolizmit dhe transportit te glucideve (karbohidrateve)', '', '', '', '', '', '', 4, '', '', '', 275);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('272', 'Crregullime te metabolizmit te lipideve (yndyrnave)', '', '', '', '', '', '', 4, '', '', '', 276);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('273', 'Crregullime te metabolizmit te proteinave plazmatike', '', '', '', '', '', '', 4, '', '', '', 277);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('274', 'Guta (Hiperuricemia, Podagra)', '', '', '', '', '', '', 4, '', '', '', 278);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('275', 'Crregullime te metabolizimit te mineraleve', '', '', '', '', '', '', 4, '', '', '', 279);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('276', 'Crregullime te likideve, elektroliteve dhe te ekuilibrit acido-bazik', '', '', '', '', '', '', 4, '', '', '', 280);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('277', 'Crregullime metabolike te tjera dhe te papercaktuara', '', '', '', '', '', '', 4, '', '', '', 281);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('278', 'Obeziteti dhe gjendje te tjera mbiushqyerje', '', '', '', '', '', '', 4, '', '', '', 282);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('279', 'Semundje te sistemit imunitar', '', '', '', '', '', '', 4, '', '', '', 283);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('279', 'Semundje te sistemit imunitar', '', '', '', '', '', '', 4, '', '', '', 284);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('280', 'KLASA IV - SEMUNDJE TE GJAKUT; ORGANEVE HEMATOPOIETIKE DHE KOAGULIMIT', '', '', '', '', '', '', 3, '', '', '', 285);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('280', 'GRUPI 1 - SEMUNDJE TE GJAKUT; ORGANEVE HEMATOPOIETIKE DHE KOAGULIMIT', '', '', '', '', '', '', 3, '', '', '', 286);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('280', 'Anemia nga mangesia e hekurit (Anemia ferrodeficitare; anemia ferriprive)', '', '', '', '', '', '', 4, '', '', '', 287);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('281', 'Anemia nga mangesi te tjera', '', '', '', '', '', '', 4, '', '', '', 288);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('282', 'Anemi hemolitike hereditare (te trasheguara) (primare)', '', '', '', '', '', '', 4, '', '', '', 289);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('283', 'Anemi hemolitike tÃ« fituara (sekondare)', '', '', '', '', '', '', 4, '', '', '', 290);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('284', 'Anemia aplastike', '', '', '', '', '', '', 4, '', '', '', 291);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('285', 'Anemia te tjera dhe te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 292);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('286', 'Defekte te koagulimit', '', '', '', '', '', '', 4, '', '', '', 293);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('287', 'Purpura dhe situata te tjera hemorragjike', '', '', '', '', '', '', 4, '', '', '', 294);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('288', 'Semundje te leukociteve (rruazave te bardha te gjakut)', '', '', '', '', '', '', 4, '', '', '', 295);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('289', 'Te tjera semundje te gjakut dhe te organeve hematopojetike', '', '', '', '', '', '', 4, '', '', '', 296);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('290', 'KLASA V - SEMUNDJET MENDORE', '', '', '', '', '', '', 3, '', '', '', 297);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('290', 'GRUPI 1 - GJENDJET PSIKOTIKE ORGANIKE', '', '', '', '', '', '', 3, '', '', '', 298);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('290', 'Gjendje psikotike senile dhe pre-senile', '', '', '', '', '', '', 4, '', '', '', 299);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('291', 'Sindroma psikotike te induktuara nga alkooli (Psikoza alkoolike)', '', '', '', '', '', '', 4, '', '', '', 300);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('292', 'Psikozat e induktuara nga drogat', '', '', '', '', '', '', 4, '', '', '', 301);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('293', 'Gjendje psikotike organike transitore (kalimtare)', '', '', '', '', '', '', 4, '', '', '', 302);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('294', 'Te tjera gjendje psikotike organike kronike', '', '', '', '', '', '', 4, '', '', '', 303);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('295', 'GRUPI 2 - PSIKOZA TE TJERA', '', '', '', '', '', '', 3, '', '', '', 304);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('295', 'Psikozat skizofrenike', '', '', '', '', '', '', 4, '', '', '', 305);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('296', 'Psikozat afektive', '', '', '', '', '', '', 4, '', '', '', 306);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('297', 'Gjendjet paranoide', '', '', '', '', '', '', 4, '', '', '', 307);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('298', 'Te tjera psikoza jo-organike', '', '', '', '', '', '', 4, '', '', '', 308);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('299', 'Psikozat me origjine specifike feminore', '', '', '', '', '', '', 4, '', '', '', 309);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('300', 'GRUPI 3 - CRREGULLIMET NEUROTIKE; TE PERSONALITETIT; TE HUMORIT DHE VARTESIA NGA DROGAT', '', '', '', '', '', '', 3, '', '', '', 310);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('300', 'Crregullimet neurotike', '', '', '', '', '', '', 4, '', '', '', 311);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('301', 'Crregullimet e personalitetit', '', '', '', '', '', '', 4, '', '', '', 312);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('302', 'Deviacionet dhe crregullimet seksuale', '', '', '', '', '', '', 4, '', '', '', 313);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('303', 'Sindroma e varesise nga alkooli', '', '', '', '', '', '', 4, '', '', '', 314);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('304', 'Varesia nga drogat', '', '', '', '', '', '', 4, '', '', '', 315);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('305', 'Abuzim me droga, pa varesi', '', '', '', '', '', '', 4, '', '', '', 316);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('306', 'Disfunksione fizike si pasoje e crregullimeve psiqike', '', '', '', '', '', '', 4, '', '', '', 317);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('307', 'Simptoma ose sindroma te vecanta te paklasifikuara ne vend tjeter', '', '', '', '', '', '', 4, '', '', '', 318);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('308', 'Reaksion akut ndaj stresit', '', '', '', '', '', '', 4, '', '', '', 319);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('309', 'Reaksion pershtatjeje', '', '', '', '', '', '', 4, '', '', '', 320);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('310', 'Crregullime psiqike jo-psikotike specifike si pasoje e demtimeve cerebrale organike', '', '', '', '', '', '', 4, '', '', '', 321);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('311', 'Crregullimet depresive, te paklasifikuara ne vend tjeter', '', '', '', '', '', '', 4, '', '', '', 322);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('312', 'Crregullimet e sjelljes, te paklasifikuara ne vend tjeter', '', '', '', '', '', '', 4, '', '', '', 323);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('313', 'Crregullimet emocionale specifike per femijerine dhe adoleshencen', '', '', '', '', '', '', 4, '', '', '', 324);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('314', 'Sindroma hiperkinetike e femijerise', '', '', '', '', '', '', 4, '', '', '', 325);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('315', 'Vonesa specifike te zhvillimit', '', '', '', '', '', '', 4, '', '', '', 326);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('316', 'Faktore psiqike qe lidhen me semundje te klasifikuara ne vend tjeter', '', '', '', '', '', '', 4, '', '', '', 327);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('317', 'GRUPI 4 - PRAPAMBETJA MENDORE', '', '', '', '', '', '', 3, '', '', '', 328);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('317', 'Prapambetja mendore e lehte', '', '', '', '', '', '', 4, '', '', '', 329);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('318', 'Te tjera prapambetje mendore te specifikuara', '', '', '', '', '', '', 4, '', '', '', 330);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('319', 'Prapambetje mendore e paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 331);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('320', 'KLASA VI - SEMUNDJE TE SISTEMIT NERVOR DHE SHQISAVE', '', '', '', '', '', '', 3, '', '', '', 332);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('320', 'GRUPI 1 - SEMUNDJE INFLAMATORE TE SISTEMIT NERVOR QENDROR DHE KAFKES', '', '', '', '', '', '', 3, '', '', '', 333);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('320', 'Meningiti bakterial', '', '', '', '', '', '', 4, '', '', '', 334);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('321', 'Meningiti nga mikroorganizma te tjera', '', '', '', '', '', '', 4, '', '', '', 335);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('322', 'Meningiti nga shkak i paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 336);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('323', 'Encefaliti, mieliti dhe encefalomieliti', '', '', '', '', '', '', 4, '', '', '', 337);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('324', 'Abcesi intrakranial dhe intraraknoid', '', '', '', '', '', '', 4, '', '', '', 338);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('325', 'Flebiti dhe tromboflebiti i sinuseve venoze intrakraniale', '', '', '', '', '', '', 4, '', '', '', 339);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('326', 'Pasoja te abcesit intrakranial apo te infeksioneve nga piogjenet', '', '', '', '', '', '', 4, '', '', '', 340);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('330', 'GRUPI 2 - SEMUNDJE DEGJENERATIVE TE SISTEMIT NERVOR QENDROR', '', '', '', '', '', '', 3, '', '', '', 341);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('330', 'Degjenerime te trurit (cerebrum) qe zakonisht shfaqen ne femijeri', '', '', '', '', '', '', 4, '', '', '', 342);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('331', 'Degjenerime te tjera te trurit (cerebrum)', '', '', '', '', '', '', 4, '', '', '', 343);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('332', 'Morbus Parkinson', '', '', '', '', '', '', 4, '', '', '', 344);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('333', 'Te tjera semundje ekstrapiramidale dhe te tjera crregullime te levizjes', '', '', '', '', '', '', 4, '', '', '', 345);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('334', 'Semundje spinocerebelare (spino-cerebellum)', '', '', '', '', '', '', 4, '', '', '', 346);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('335', 'Semundje te qelizave te cornua anteriora', '', '', '', '', '', '', 4, '', '', '', 347);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('336', 'Te tjera semundje te medules spinale', '', '', '', '', '', '', 4, '', '', '', 348);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('337', 'Crregullime te sistemit nervor autonom', '', '', '', '', '', '', 4, '', '', '', 349);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('340', 'GRUPI 3 - SEMUNDJET ORGANIKE DHE SINDROMA TE SISTEMIT NERVOR QENDROR', '', '', '', '', '', '', 3, '', '', '', 350);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('340', 'Skleroza multiple', '', '', '', '', '', '', 4, '', '', '', 351);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('341', 'Te tjera semundje demielinizuese te sistemit nervor qendror', '', '', '', '', '', '', 4, '', '', '', 352);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('342', 'Hemiplegjia dhe hemipareza', '', '', '', '', '', '', 4, '', '', '', 353);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('343', 'Paralizat cerebrale infantile', '', '', '', '', '', '', 4, '', '', '', 354);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('344', 'Te tjera sindroma paralitike', '', '', '', '', '', '', 4, '', '', '', 355);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('345', 'Epilepsite', '', '', '', '', '', '', 4, '', '', '', 356);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('346', 'Migrena', '', '', '', '', '', '', 4, '', '', '', 357);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('347', 'Kataplesia dhe narkolepsia', '', '', '', '', '', '', 4, '', '', '', 358);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('348', 'Te tjera semundje te trurit (encephalon)', '', '', '', '', '', '', 4, '', '', '', 359);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('349', 'Te tjera crregullime te sistemit nervor, edhe te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 360);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('350', 'GRUPI 4 - SEMUNDJE ORGANIKE TE SISTEMIT NERVOR PERIFERIK', '', '', '', '', '', '', 3, '', '', '', 361);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('350', 'Crregullime te nervit trigeminal', '', '', '', '', '', '', 4, '', '', '', 362);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('351', 'Crregullime te nervit facial', '', '', '', '', '', '', 4, '', '', '', 363);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('352', 'Crregullime te nervave te tjere kraniale', '', '', '', '', '', '', 4, '', '', '', 364);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('353', 'Crregullime te radikseve dhe plekseve nervore', '', '', '', '', '', '', 4, '', '', '', 365);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('354', 'Mononeuriti i anesive te siperme dhe mononeuritet multiple', '', '', '', '', '', '', 4, '', '', '', 366);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('355', 'Mononeuritet e anesive inferiore dhe regjioneve te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 367);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('356', 'Neuropati periferike hereditare (te trasheguara) dhe idiopatike (me origjine te panjohur)', '', '', '', '', '', '', 4, '', '', '', 368);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('357', 'Neuropatite inflamatore dhe toksike', '', '', '', '', '', '', 4, '', '', '', 369);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('358', 'Crregullimet neuromuskulare', '', '', '', '', '', '', 4, '', '', '', 370);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('359', 'Distrofite muskulore dhe miopatite e tjera', '', '', '', '', '', '', 4, '', '', '', 371);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('360', 'GRUPI 5 - SEMUNDJE TE ORGANEVE TE SHIKIMIT', '', '', '', '', '', '', 3, '', '', '', 372);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('360', 'Semundje te globit te syrit (kokerdhokut)', '', '', '', '', '', '', 4, '', '', '', 373);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('361', 'Shkolitja dhe rupturat e retines', '', '', '', '', '', '', 4, '', '', '', 374);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('362', 'Te tjera semundje te retines', '', '', '', '', '', '', 4, '', '', '', 375);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('363', 'Inflamacionet korio-retinike, cikatricet dhe prekje te tjera te korioides', '', '', '', '', '', '', 4, '', '', '', 376);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('364', 'Prekje te irisit dhe trupit ciliar (corpus ciliare)', '', '', '', '', '', '', 4, '', '', '', 377);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('365', 'Glaukoma', '', '', '', '', '', '', 4, '', '', '', 378);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('366', 'Katarakti', '', '', '', '', '', '', 4, '', '', '', 379);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('367', 'Veset e refraksionit dhe crregullimet e akomodimit', '', '', '', '', '', '', 4, '', '', '', 380);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('368', 'Crregullimet pamore', '', '', '', '', '', '', 4, '', '', '', 381);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('369', 'Verbimi dhe hipovizioni (renia e pamjes)', '', '', '', '', '', '', 4, '', '', '', 382);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('370', 'Keratiti', '', '', '', '', '', '', 4, '', '', '', 383);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('371', 'Opacitetet korneale dhe crregullime te tjera te kornese', '', '', '', '', '', '', 4, '', '', '', 384);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('372', 'Semundje te konjunktives', '', '', '', '', '', '', 4, '', '', '', 385);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('373', 'Inflamacionet palpebrale (kapakeve te syve) (blefaritet)', '', '', '', '', '', '', 4, '', '', '', 386);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('374', 'Te tjera prekje palpebrale', '', '', '', '', '', '', 4, '', '', '', 387);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('375', 'Prekje te aparatit lakrimal (te lotimit)', '', '', '', '', '', '', 4, '', '', '', 388);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('376', 'Gjendje patologjike te orbites', '', '', '', '', '', '', 4, '', '', '', 389);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('377', 'Semundje te nervit dhe rrugeve optike', '', '', '', '', '', '', 4, '', '', '', 390);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('378', 'Strabizmi dhe te tjera crregullime te levizjes binokulare', '', '', '', '', '', '', 4, '', '', '', 391);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('379', 'Te tjera semundje te syrit', '', '', '', '', '', '', 4, '', '', '', 392);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('380', 'GRUPI 6 - SEMUNDJE TE ORGANEVE TE DEGJIMIT', '', '', '', '', '', '', 3, '', '', '', 393);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('380', 'Crregullime te veshit te jashtem', '', '', '', '', '', '', 4, '', '', '', 394);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('381', 'Otit i mesem jo-supurativ dhe crregullimet e tubit te Eustakit', '', '', '', '', '', '', 4, '', '', '', 395);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('382', 'Otiti i mesem supurativ dhe i paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 396);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('383', 'Mastoiditi dhe problemet e lidhura me te', '', '', '', '', '', '', 4, '', '', '', 397);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('384', 'Te tjera crregullime te membranes timpanike', '', '', '', '', '', '', 4, '', '', '', 398);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('385', 'Te tjera crregullime te veshit te mesem dhe te mastoides', '', '', '', '', '', '', 4, '', '', '', 399);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('386', 'Sindromat vertiginoze dhe crregullime te tjera te sistemit vestibular', '', '', '', '', '', '', 4, '', '', '', 400);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('387', 'Otoskleroza', '', '', '', '', '', '', 4, '', '', '', 401);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('388', 'Te tjera crregullime te veshit', '', '', '', '', '', '', 4, '', '', '', 402);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('389', 'Humbja e degjimit (hipoakuzia, shurdhimi)', '', '', '', '', '', '', 4, '', '', '', 403);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('390', 'KLASA VII - SEMUNDJE TE APARATIT KARDIOVASKULAR', '', '', '', '', '', '', 3, '', '', '', 404);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('390', 'GRUPI 1 - ETHJA REUMATIZMALE AKUTE', '', '', '', '', '', '', 3, '', '', '', 405);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('390', 'Ethja reumatizmale pa shprehje interesimi kardiak', '', '', '', '', '', '', 4, '', '', '', 406);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('391', 'Ethja reumatizmale me komplikacione kardiake', '', '', '', '', '', '', 4, '', '', '', 407);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('392', 'Corea reumatizmale (corea minor)', '', '', '', '', '', '', 4, '', '', '', 408);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('393', 'GRUPI 2 - ETHJA REUMATIZMALE KRONIKE', '', '', '', '', '', '', 3, '', '', '', 409);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('393', 'Perikarditi reumatizmal kronik', '', '', '', '', '', '', 4, '', '', '', 410);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('394', 'Semundje te valvules mitrale', '', '', '', '', '', '', 4, '', '', '', 411);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('395', 'Semundje te valvules aortale', '', '', '', '', '', '', 4, '', '', '', 412);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('396', 'Semundje te valvules mitrale dhe aortale', '', '', '', '', '', '', 4, '', '', '', 413);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('397', 'Semundje te strukturave te tjera endokardiale', '', '', '', '', '', '', 4, '', '', '', 414);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('398', 'Te tjera kardiopati reumatizmale', '', '', '', '', '', '', 4, '', '', '', 415);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('401', 'GRUPI 3 - SEMUNDJA HIPERTENSIVE', '', '', '', '', '', '', 3, '', '', '', 416);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('401', 'Hipertension esencial (primar, idiopatik)', '', '', '', '', '', '', 4, '', '', '', 417);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('402', 'Kardiopatia hipertensive', '', '', '', '', '', '', 4, '', '', '', 418);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('403', 'Nefropatia hipertensive', '', '', '', '', '', '', 4, '', '', '', 419);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('404', 'Kardionefropatia hipertensive', '', '', '', '', '', '', 4, '', '', '', 420);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('405', 'Hipertensioni sekondar (dytesor, me origjine te njohur)', '', '', '', '', '', '', 4, '', '', '', 421);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('410', 'GRUPI 4 - SEMUNDJA ISKEMIKE E ZEMRES', '', '', '', '', '', '', 3, '', '', '', 422);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('410', 'Infarkti akut i miokardit', '', '', '', '', '', '', 4, '', '', '', 423);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('411', 'Forma te tjera akute dhe subakute te kardiopatise iskemike', '', '', '', '', '', '', 4, '', '', '', 424);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('412', 'Infakt i vjeter i miokardit (status post infarkt miokardi)', '', '', '', '', '', '', 4, '', '', '', 425);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('413', 'Angina Pectoris', '', '', '', '', '', '', 4, '', '', '', 426);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('414', 'Forma te tjera te kardiopatise iskemike kronike', '', '', '', '', '', '', 4, '', '', '', 427);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('415', 'GRUPI 5 - CRREGULLIME TE QARKULLIMIT KARDIO-PULMONAR', '', '', '', '', '', '', 3, '', '', '', 428);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('415', 'Semundja kardiopulmonare akute (cor pulmonale eodematosa, edema pulmonare akute)', '', '', '', '', '', '', 4, '', '', '', 429);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('416', 'Semundja kardiopulmonare kronike (cor pulmonale chronicum, edema pulmonare kronike, astma kardiake)', '', '', '', '', '', '', 4, '', '', '', 430);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('417', 'Te tjera semundje te qarkullimit te gjakut ne mushkeri', '', '', '', '', '', '', 4, '', '', '', 431);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('420', 'GRUPI 6 - SEMUNDJE AKUTE DHE KRONIKE TE INDEVE KARDIAKE', '', '', '', '', '', '', 3, '', '', '', 432);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('420', 'Perikardit akut', '', '', '', '', '', '', 4, '', '', '', 433);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('421', 'Endokardit akut dhe subakut', '', '', '', '', '', '', 4, '', '', '', 434);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('422', 'Miokardit akut', '', '', '', '', '', '', 4, '', '', '', 435);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('423', 'Semundje te tjera te perikardit', '', '', '', '', '', '', 4, '', '', '', 436);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('424', 'Semundje te tjera te endokardit', '', '', '', '', '', '', 4, '', '', '', 437);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('425', 'Kardiomiopatite', '', '', '', '', '', '', 4, '', '', '', 438);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('426', 'Crregullimet e percimit', '', '', '', '', '', '', 4, '', '', '', 439);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('427', 'Disritmite kardiake (crregullimet e ritmit kardiak) (aritmite)', '', '', '', '', '', '', 4, '', '', '', 440);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('428', 'Insuficienca kardiake (dekompensimi kardiak)', '', '', '', '', '', '', 4, '', '', '', 441);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('429', 'Format kardiopatike te keq-percaktuara, edhe komplikacionet e tyre (kardiopative)', '', '', '', '', '', '', 4, '', '', '', 442);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('430', 'GRUPI 7 - SEMUNDJET CEREBROVASKULARE', '', '', '', '', '', '', 3, '', '', '', 443);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('430', 'Hemoragji subaraknoidale', '', '', '', '', '', '', 4, '', '', '', 444);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('431', 'Hemoragji cerebrale', '', '', '', '', '', '', 4, '', '', '', 445);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('432', 'Hemoragji nÃ« kokÃ«', '', '', '', '', '', '', 4, '', '', '', 446);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('433', 'Hemorragji intrakraniale te tjera e te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 447);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('434', 'Okluzioni i arterieve cerebrale (ictus cerebri)', '', '', '', '', '', '', 4, '', '', '', 448);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('435', 'Iskemia cerebrale transitore (TIA)', '', '', '', '', '', '', 4, '', '', '', 449);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('436', 'Vaskulopatite cerebrale akute, te keqpercaktuara', '', '', '', '', '', '', 4, '', '', '', 450);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('437', 'Vaskulopati cerebrale te tjera dhe te keqpercaktuara', '', '', '', '', '', '', 4, '', '', '', 451);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('438', 'Pasoja te semundjeve cerebrovaskulare (status post aksident cerebrovaskular, post-ACV)', '', '', '', '', '', '', 4, '', '', '', 452);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('440', 'GRUPI 8 - SEMUNDJE TE APARATIT ARTERIAL DHE KAPILAR', '', '', '', '', '', '', 3, '', '', '', 453);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('440', 'Ateroskleroza', '', '', '', '', '', '', 4, '', '', '', 454);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('441', 'Aneurizma dhe disekacioni i aortes', '', '', '', '', '', '', 4, '', '', '', 455);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('442', 'Aneurizma te tjera', '', '', '', '', '', '', 4, '', '', '', 456);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('443', 'Te tjera semundje vaskulare periferike', '', '', '', '', '', '', 4, '', '', '', 457);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('444', 'Embolia dhe tromboza arteriale', '', '', '', '', '', '', 4, '', '', '', 458);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('446', 'Poliartesitis nodosa dhe arteritet e ngjashme me te', '', '', '', '', '', '', 4, '', '', '', 459);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('447', 'Te tjera crregullime te arterieve dhe arteriolave', '', '', '', '', '', '', 4, '', '', '', 460);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('448', 'Semundje te kapilareve', '', '', '', '', '', '', 4, '', '', '', 461);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('451', 'GRUPI 9 - SEMUNDJE TE VENAVE DHE SISTEMIT LINFATIK', '', '', '', '', '', '', 3, '', '', '', 462);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('451', 'Flebit e tromboflebit', '', '', '', '', '', '', 4, '', '', '', 463);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('452', 'Tromboza e venÃ«s porta', '', '', '', '', '', '', 4, '', '', '', 464);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('453', 'Emboli e tromboza te venave te tjera', '', '', '', '', '', '', 4, '', '', '', 465);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('454', 'Varice te anesive te poshtme', '', '', '', '', '', '', 4, '', '', '', 466);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('455', 'Hemorroidet', '', '', '', '', '', '', 4, '', '', '', 467);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('456', 'VariÃ§e tÃ« regjioneve tÃ« tjera', '', '', '', '', '', '', 4, '', '', '', 468);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('457', 'Crregullime jo-infektive te eneve linfatike', '', '', '', '', '', '', 4, '', '', '', 469);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('458', 'Hipotensioni', '', '', '', '', '', '', 4, '', '', '', 470);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('459', 'Te tjera crregullime te qarkullimit te gjakut', '', '', '', '', '', '', 4, '', '', '', 471);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('460', 'KLASA VIII - SEMUNDJE TE APARATIT RESPIRATOR', '', '', '', '', '', '', 3, '', '', '', 472);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('460', 'GRUPI 1 - SEMUNDJE AKUTE TE TRAKTIT RESPIRATOR SUPERIOR', '', '', '', '', '', '', 3, '', '', '', 473);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('460', 'Rinofaringiti akut (ftohja e zakonshme, rrufa)', '', '', '', '', '', '', 4, '', '', '', 474);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('461', 'Sinuziti akut', '', '', '', '', '', '', 4, '', '', '', 475);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('462', 'Faringiti akut', '', '', '', '', '', '', 4, '', '', '', 476);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('463', 'Tonsiliti akut (Angina faringeale)', '', '', '', '', '', '', 4, '', '', '', 477);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('464', 'Laringiti e trakeiti akut', '', '', '', '', '', '', 4, '', '', '', 478);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('465', 'Infeksione akute te traktit respirator superior, me lokalizime te shumta ose te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 479);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('466', 'Bronkiti dhe bronkioliti akut', '', '', '', '', '', '', 4, '', '', '', 480);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('470', 'GRUPI 2 - SEMUNDJE TE TJERA TE TRAKTIT RESPIRATOR SUPERIOR', '', '', '', '', '', '', 3, '', '', '', 481);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('470', 'Deviacioni i septumit nazal', '', '', '', '', '', '', 4, '', '', '', 482);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('471', 'Polipet nazale', '', '', '', '', '', '', 4, '', '', '', 483);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('472', 'Faringiti dhe rinofaringiti kronik', '', '', '', '', '', '', 4, '', '', '', 484);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('473', 'Sinuzit kronik', '', '', '', '', '', '', 4, '', '', '', 485);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('474', 'Semundjet kronike te tonsilave dhe adenoideve', '', '', '', '', '', '', 4, '', '', '', 486);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('475', 'Abces peritonsilar', '', '', '', '', '', '', 4, '', '', '', 487);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('476', 'Laringiti dhe laringotrakeiti kronik', '', '', '', '', '', '', 4, '', '', '', 488);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('477', 'Riniti alergjik', '', '', '', '', '', '', 4, '', '', '', 489);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('478', 'Te tjera semundje te traktit respirator superior', '', '', '', '', '', '', 4, '', '', '', 490);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('480', 'GRUPI 3 - PNEUMONITE INFEKTIVE DHE GRIPI', '', '', '', '', '', '', 3, '', '', '', 491);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('480', 'Pneumonia virale', '', '', '', '', '', '', 4, '', '', '', 492);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('481', 'Pneumoni pneumokoksike (pneumonia nga Streptococcus pneumoniae, pneumonia tipike, pneumonia lobare klasike)', '', '', '', '', '', '', 4, '', '', '', 493);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('482', 'Te tjera pneumoni bakteriale', '', '', '', '', '', '', 4, '', '', '', 494);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('483', 'Pneumoni nga mikrorganizma te tjere te specifikuar', '', '', '', '', '', '', 4, '', '', '', 495);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('484', 'Pneumoni gjate semundjeve infektive te klasifikuara ne vend tjeter', '', '', '', '', '', '', 4, '', '', '', 496);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('485', 'Bronkopneumonia, e paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 497);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('486', 'Pneumonia, shkaktari i paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 498);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('487', 'Gripi', '', '', '', '', '', '', 4, '', '', '', 499);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('490', 'GRUPI 4 - SEMUNDJET BRONKOPULMONARE KRONIKE', '', '', '', '', '', '', 3, '', '', '', 500);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('490', 'Bronkiti, i paspecifikuar a eshte akut apo kronik', '', '', '', '', '', '', 4, '', '', '', 501);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('491', 'Bronkit kronik', '', '', '', '', '', '', 4, '', '', '', 502);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('492', 'Enfizema pulmonare', '', '', '', '', '', '', 4, '', '', '', 503);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('493', 'Astma bronkiale', '', '', '', '', '', '', 4, '', '', '', 504);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('494', 'Bronkiektazia', '', '', '', '', '', '', 4, '', '', '', 505);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('495', 'Alveoliti alergjik ekstrinsek', '', '', '', '', '', '', 4, '', '', '', 506);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('496', 'Obstruksionet kronike te rrugeve te frymemarrjes, te paklasifikuara ne vend tjeter', '', '', '', '', '', '', 4, '', '', '', 507);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('500', 'GRUPI 5 - PNEUMOKONIOZAT DHE PEUMOPATITE E TJERA NGA FAKTORET E JASHTEM', '', '', '', '', '', '', 3, '', '', '', 508);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('500', 'Pneumokoniozat e punetoreve te qymyrit (karbonit)', '', '', '', '', '', '', 4, '', '', '', 509);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('501', 'Asbestoza', '', '', '', '', '', '', 4, '', '', '', 510);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('502', 'Te tjera pneumokonioza nga silici dhe silikatet (Silikoza pulmonare)', '', '', '', '', '', '', 4, '', '', '', 511);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('503', 'Pneumokonioza nga te tjera pluhura inorganike', '', '', '', '', '', '', 4, '', '', '', 512);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('504', 'Pneumokonioza nga inhalacioni i pluhurave te tjera', '', '', '', '', '', '', 4, '', '', '', 513);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('505', 'Pneumokonioza, e paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 514);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('506', 'Semundje respiratore nga inhalacioni i tymrave dhe avujve kimike', '', '', '', '', '', '', 4, '', '', '', 515);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('507', 'Pneumonia nga trupat e ngurte dhe likidet (pneumonia aspirative, S. Mendelson, pneumonia nga mbytja)', '', '', '', '', '', '', 4, '', '', '', 516);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('508', 'Semundje respiratore nga agjente te jashtem te tjere dhe te paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 517);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('510', 'GRUPI 6 - SEMUNDJE TE TJERA TE APARATIT RESPIRATOR', '', '', '', '', '', '', 3, '', '', '', 518);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('510', 'Empiema', '', '', '', '', '', '', 4, '', '', '', 519);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('511', 'Pleuriti', '', '', '', '', '', '', 4, '', '', '', 520);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('512', 'Pneumotoraksi', '', '', '', '', '', '', 4, '', '', '', 521);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('513', 'Abcesi pulmonar e mediastinal', '', '', '', '', '', '', 4, '', '', '', 522);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('514', 'Kongjestioni dhe hipostaza pulmonare (pneumonia hipostazike, pneumopatia kongjestive, pneumopatia hipostazike)', '', '', '', '', '', '', 4, '', '', '', 523);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('515', 'Fibroza pulmonare post-inflamatore', '', '', '', '', '', '', 4, '', '', '', 524);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('516', 'Te tjera pneumopati alveolare dhe parieto-alveolare', '', '', '', '', '', '', 4, '', '', '', 525);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('517', 'Komplikacione pulmonare gjate semundjeve te klasifikuara ne vend tjeter', '', '', '', '', '', '', 4, '', '', '', 526);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('518', 'Te tjera semundje pulmonare', '', '', '', '', '', '', 4, '', '', '', 527);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('519', 'Te tjera semundje te aparatit respirator', '', '', '', '', '', '', 4, '', '', '', 528);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('520', 'KLASA IX - SEMUNDJET E APARATIT TE TRETJES', '', '', '', '', '', '', 3, '', '', '', 529);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('520', 'GRUPI 1 - SEMUNDJE TE INDEVE TE ZGAVRRES SE GOJES', '', '', '', '', '', '', 3, '', '', '', 530);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('520', 'Crregullime te zhvillimit dhe daljes se dhembit', '', '', '', '', '', '', 4, '', '', '', 531);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('521', 'Semundje te indeve te forta te dhembeve', '', '', '', '', '', '', 4, '', '', '', 532);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('522', 'Semundje te pulpes dhe te indeve periapikale', '', '', '', '', '', '', 4, '', '', '', 533);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('523', 'Semundje gingivale dhe periodontale', '', '', '', '', '', '', 4, '', '', '', 534);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('524', 'Anomalite odontofaciale', '', '', '', '', '', '', 4, '', '', '', 535);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('525', 'Te tjera semundje dhe crregullime te dhembeve dhe gingivave', '', '', '', '', '', '', 4, '', '', '', 536);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('526', 'Semundje te nofullave (te siperme ose te poshtme)', '', '', '', '', '', '', 4, '', '', '', 537);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('527', 'Semundje te gjendrrave te peshtymes', '', '', '', '', '', '', 4, '', '', '', 538);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('528', 'Semundje te indeve te buta te gojes', '', '', '', '', '', '', 4, '', '', '', 539);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('530', 'GRUPI 2 - SEMUNDJE TE EZOFAGUT; TE STOMAKUT E DUODENIT', '', '', '', '', '', '', 3, '', '', '', 540);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('530', 'Semundje te ezofagut', '', '', '', '', '', '', 4, '', '', '', 541);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('531', 'Ulcera gastrike', '', '', '', '', '', '', 4, '', '', '', 542);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('532', 'Ulcera duodenale', '', '', '', '', '', '', 4, '', '', '', 543);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('533', 'Ulcera peptike, regjioni i paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 544);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('534', 'Ulcera gastrojejunale', '', '', '', '', '', '', 4, '', '', '', 545);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('535 ', 'Gastriti e duodeniti', '', '', '', '', '', '', 4, '', '', '', 546);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('536', 'Crregullime te funksionit gastrik', '', '', '', '', '', '', 4, '', '', '', 547);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('537', 'Te tjera crregullime te stomakut e duodenit', '', '', '', '', '', '', 4, '', '', '', 548);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('540', 'GRUPI 3 - SEMUNDJE TE APENDIKSIT', '', '', '', '', '', '', 3, '', '', '', 549);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('540', 'Apendiciti akut', '', '', '', '', '', '', 4, '', '', '', 550);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('541', 'Apendiciti, i pasaktesuar', '', '', '', '', '', '', 4, '', '', '', 551);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('542', 'Te tjera forma apendiciti', '', '', '', '', '', '', 4, '', '', '', 552);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('543', 'Te tjera semundje te apendiksit', '', '', '', '', '', '', 4, '', '', '', 553);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('550', 'GRUPI 4 - HERNIET E ORGANEVE ABDOMINALE', '', '', '', '', '', '', 3, '', '', '', 554);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('550', 'Hernia inguinale', '', '', '', '', '', '', 4, '', '', '', 555);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('551', 'Te tjera hernie te kavitetit abdominal, me gangrene', '', '', '', '', '', '', 4, '', '', '', 556);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('552', 'Te tjera hernie te kavitetit abdominal, me obstruksion, por pa cilesim gangrene', '', '', '', '', '', '', 4, '', '', '', 557);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('555', 'GRUPI 5 - ENTERITET; KOLITET DHE ENTEROKOLITET JO-INFEKTIVE', '', '', '', '', '', '', 3, '', '', '', 558);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('555', 'Enteriti regjional (Semundja e Crohn; Morbus Crohn)', '', '', '', '', '', '', 4, '', '', '', 559);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('556', 'Koliti ulceroz (Rekto-koliti idiopatik)', '', '', '', '', '', '', 4, '', '', '', 560);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('557', 'Insuficienca vaskulare intestinale (mezenteriale)', '', '', '', '', '', '', 4, '', '', '', 561);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('558', 'Te tjera gastroenterite dhe kolite jo-infektive', '', '', '', '', '', '', 4, '', '', '', 562);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('560', 'GRUPI 6 - SEMUNDJE TE TJERA INTESTINALE DHE TE PERITONEUMIT', '', '', '', '', '', '', 3, '', '', '', 563);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('560', 'Okluzion intestinal pa cilesim hernie (ileusi okluziv; ileusi obstruktiv; ileusi mekanik obstruktiv)', '', '', '', '', '', '', 4, '', '', '', 564);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('562', 'Divertikul intestinal (ileusi divertikular)', '', '', '', '', '', '', 4, '', '', '', 565);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('564', 'Crregullime funksionale te tretjes, te paklasifikuara ne vend tjeter (dispepsite)', '', '', '', '', '', '', 4, '', '', '', 566);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('565', 'Fisurat (ragadet) dhe fistulat anale', '', '', '', '', '', '', 4, '', '', '', 567);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('566', 'Abcesi anal dhe rektal', '', '', '', '', '', '', 4, '', '', '', 568);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('567', 'Peritoniti', '', '', '', '', '', '', 4, '', '', '', 569);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('568', 'Te tjera crregullime te peritoneumit', '', '', '', '', '', '', 4, '', '', '', 570);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('569', 'Te tjera crregullime intestinale', '', '', '', '', '', '', 4, '', '', '', 571);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('570', 'GRUPI 7 - SEMUNDJE TE HEPARIT; SISTEMIT BILIAR E ATIJ PANKREATIK', '', '', '', '', '', '', 3, '', '', '', 572);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('570', 'Nekroza akute dhe subakute e heparit', '', '', '', '', '', '', 4, '', '', '', 573);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('571', 'Semundje hepatike kronike dhe cirroza hepatike', '', '', '', '', '', '', 4, '', '', '', 574);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('572', 'Abcesi hepatik dhe pasoja te semundjeve kronike te heparit', '', '', '', '', '', '', 4, '', '', '', 575);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('573', 'Te tjera semundje hepatike', '', '', '', '', '', '', 4, '', '', '', 576);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('574', 'Kolelitiaza', '', '', '', '', '', '', 4, '', '', '', 577);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('575', 'Te tjera crregullime te kolecistes', '', '', '', '', '', '', 4, '', '', '', 578);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('576', 'Te tjera crregullime te rrugeve biliare', '', '', '', '', '', '', 4, '', '', '', 579);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('577', 'Semundje te pankreasit', '', '', '', '', '', '', 4, '', '', '', 580);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('578', 'Hemorragjia e traktit gastrointestinal', '', '', '', '', '', '', 4, '', '', '', 581);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('579', 'Malabsorbimi intestinal', '', '', '', '', '', '', 4, '', '', '', 582);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('580', 'KLASA X - SEMUNDJE TE APARATIT UROGENITAL', '', '', '', '', '', '', 3, '', '', '', 583);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('580', 'GRUPI 1 - SEMUNDJET RENALE ORGANIKE DHE FUNKSIONALE', '', '', '', '', '', '', 3, '', '', '', 584);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('580', 'Glomerulonefriti akut', '', '', '', '', '', '', 4, '', '', '', 585);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('581', 'Sindromi nefrotik', '', '', '', '', '', '', 4, '', '', '', 586);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('582', 'Glomerulonefrit kronik', '', '', '', '', '', '', 4, '', '', '', 587);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('583', 'Nefriti dhe nefropatia, te paspecifikuara si akute apo kronike', '', '', '', '', '', '', 4, '', '', '', 588);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('584', 'Insuficienca renale akute', '', '', '', '', '', '', 4, '', '', '', 589);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('585', 'Insuficienca renale kronike', '', '', '', '', '', '', 4, '', '', '', 590);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('586', 'Insuficienca renale, e paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 591);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('587', 'Skleroza renale, e paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 592);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('588', 'Patologji te shkaktuara nga renia e funksionit renal', '', '', '', '', '', '', 4, '', '', '', 593);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('589', 'Veshke e vogel nga shkaqe te panjohura', '', '', '', '', '', '', 4, '', '', '', 594);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('590', 'GRUPI 2 - SEMUNDJET E RRUGEVE URINARE', '', '', '', '', '', '', 3, '', '', '', 595);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('590', 'Infeksionet renale (pielonefriti)', '', '', '', '', '', '', 4, '', '', '', 596);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('591', 'Hidronefroza', '', '', '', '', '', '', 4, '', '', '', 597);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('592', 'Kalkuloza renale dhe ureterale', '', '', '', '', '', '', 4, '', '', '', 598);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('593', 'Te tjera patologji te veshkave dhe uretereve', '', '', '', '', '', '', 4, '', '', '', 599);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('594', 'Kalkuloza e traktit urinar inferior', '', '', '', '', '', '', 4, '', '', '', 600);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('595', 'Cistiti', '', '', '', '', '', '', 4, '', '', '', 601);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('596', 'Te tjera patologji te vezikes urinare', '', '', '', '', '', '', 4, '', '', '', 602);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('597', 'Uretriti, jo nga transmetimi seksual, dhe sindroma uretrale', '', '', '', '', '', '', 4, '', '', '', 603);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('598', 'Stenoza uretrale', '', '', '', '', '', '', 4, '', '', '', 604);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('599', 'Te tjera patologji te uretres dhe sistemit urinar', '', '', '', '', '', '', 4, '', '', '', 605);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('600', 'GRUPI 3 - SEMUNDJET E ORGANEVE GENITALE MASHKULLORE', '', '', '', '', '', '', 3, '', '', '', 606);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('600', 'Hiperplazia e prostates', '', '', '', '', '', '', 4, '', '', '', 607);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('601', 'Patologji inflamatore te prostates (prostatiti)', '', '', '', '', '', '', 4, '', '', '', 608);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('602', 'Te tjera patologji te prostates', '', '', '', '', '', '', 4, '', '', '', 609);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('603', 'Hidrocela', '', '', '', '', '', '', 4, '', '', '', 610);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('604', 'Orkiti dhe epididimiti', '', '', '', '', '', '', 4, '', '', '', 611);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('605', 'Preputium esuberans dhe fimoza', '', '', '', '', '', '', 4, '', '', '', 612);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('606', 'Infertiliteti mashkullor', '', '', '', '', '', '', 4, '', '', '', 613);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('607', 'Patologji te penisit', '', '', '', '', '', '', 4, '', '', '', 614);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('608', 'Te tjera patologji te organeve genitale mashkullore', '', '', '', '', '', '', 4, '', '', '', 615);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('600', 'GRUPI 4 - SEMUNDJET JO-TUMORALE TE GJIRIT', '', '', '', '', '', '', 3, '', '', '', 616);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('610', 'Displazia beninje e gjirit', '', '', '', '', '', '', 4, '', '', '', 617);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('611', 'Te tjera crregullime te gjirit', '', '', '', '', '', '', 4, '', '', '', 618);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('614', 'GRUPI 5 - SEMUNDJET INFEKTIVE TE ORGANEVE GENITALE FEMERORE', '', '', '', '', '', '', 3, '', '', '', 619);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('614', 'Semundje inflamatore te ovarit, tubave, indit qelizor pelvik dhe peritoneumit (ooforiti, salpingiti, sindromi pelvik akut)', '', '', '', '', '', '', 4, '', '', '', 620);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('615', 'Semundje inflamatore te uterusit (metriti dhe parametriti), perjashtuar inflamacionet e cervix uteri ', '', '', '', '', '', '', 4, '', '', '', 621);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('616', 'Semundje inflamatore te cervix uteri, te vagines dhe vulves (cerviciti, vaginiti, vulviti)', '', '', '', '', '', '', 4, '', '', '', 622);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('617', 'GRUPI 6 - SEMUNDJE JO-INFEKTIVE TE ORGANEVE GENITALE FEMERORE', '', '', '', '', '', '', 3, '', '', '', 623);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('617', 'Endometrioza', '', '', '', '', '', '', 4, '', '', '', 624);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('618', 'Prolaps gjenital', '', '', '', '', '', '', 4, '', '', '', 625);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('619', 'Fistule qe prek organet gjenitale femerore', '', '', '', '', '', '', 4, '', '', '', 626);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('620', 'Patologji jo-inflamatore te ovarit, salpinksit dhe ligamentum latum', '', '', '', '', '', '', 4, '', '', '', 627);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('621', 'Patologji uterine te paklasifikuara ne vend tjeter', '', '', '', '', '', '', 4, '', '', '', 628);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('622', 'Patologji jo-inflamatore te cervix uteri', '', '', '', '', '', '', 4, '', '', '', 629);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('623', 'Patologji jo-inflamatore te vagines', '', '', '', '', '', '', 4, '', '', '', 630);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('624', 'Patologji jo-inflamatore te vulves dhe te perineumit', '', '', '', '', '', '', 4, '', '', '', 631);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('625', 'Dhimbje dhe simptoma te tjera te lidhura me organet gjenitale femerore', '', '', '', '', '', '', 4, '', '', '', 632);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('626', 'Crregullimet menstruale dhe te tjera hemorragji anormale te traktit genital femeror', '', '', '', '', '', '', 4, '', '', '', 633);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('627', 'Patologjite menopauzale dhe post-menopauzale', '', '', '', '', '', '', 4, '', '', '', 634);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('628', 'Infertiliteti femeror', '', '', '', '', '', '', 4, '', '', '', 635);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('629', 'Te tjera patologji te organeve genitale femerore', '', '', '', '', '', '', 4, '', '', '', 636);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('630', 'KLASA XI - SEMUNDJET OBSTETRIKALE', '', '', '', '', '', '', 3, '', '', '', 637);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('630', 'GRUPI 1 - ABORTI DHE PATOLOGJITE E LIDHURA ME TE', '', '', '', '', '', '', 3, '', '', '', 638);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('630', 'Mola hidatiforme', '', '', '', '', '', '', 4, '', '', '', 639);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('631', 'Te tjera anomali te ngjizjes (konceptimit) dhe produktet e tyre', '', '', '', '', '', '', 4, '', '', '', 640);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('632', 'Vdekje in utero e fetusit (abort i mbajtur; abort in utero)', '', '', '', '', '', '', 4, '', '', '', 641);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('633', 'BarrÃ« ektopike', '', '', '', '', '', '', 4, '', '', '', 642);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('634', 'Aborti spontan', '', '', '', '', '', '', 4, '', '', '', 643);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('635', 'Abort i planifikuar, me rruge ligjore', '', '', '', '', '', '', 4, '', '', '', 644);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('636', 'Abort i paligjshem', '', '', '', '', '', '', 4, '', '', '', 645);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('637', 'Abort i paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 646);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('638', 'Tentative e deshtuar per abort', '', '', '', '', '', '', 4, '', '', '', 647);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('639', 'Komplikacione te abortit, barrave ektopike dhe molave', '', '', '', '', '', '', 4, '', '', '', 648);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('640', 'GRUPI 2 - NDERLIKIME TE BARRES', '', '', '', '', '', '', 3, '', '', '', 649);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('640', 'Hemorragji ne fazat fillestare te barres', '', '', '', '', '', '', 4, '', '', '', 650);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('641', 'Hemorragji ante-partum, abruptio placentae dhe placenta previa', '', '', '', '', '', '', 4, '', '', '', 651);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('642', 'Hipertension qe komplikon barren, aktin e lindjes dhe laktacionin', '', '', '', '', '', '', 4, '', '', '', 652);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('643', 'Sindromi emetik i pakontrollueshem ne barre', '', '', '', '', '', '', 4, '', '', '', 653);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('644', 'Rrezik i larte per lindje te parakohshme', '', '', '', '', '', '', 4, '', '', '', 654);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('645', 'BarrÃ« e zgjatur', '', '', '', '', '', '', 4, '', '', '', 655);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('646', 'Te tjera komplikacione te barres te paklasifikuara ne vend tjeter', '', '', '', '', '', '', 4, '', '', '', 656);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('647', 'Gjendje infektive dhe parazitare te nenes, qe klasifikohen gjetke, por qe komplikojne barren', '', '', '', '', '', '', 4, '', '', '', 657);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('648', 'Te tjera semundje aktive te nenes, te klasifikuara gjetke, por qe komplikojne barren', '', '', '', '', '', '', 4, '', '', '', 658);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('650', 'GRUPI 3 - LINDJA NORMALE DHE E KOMPLIKUAR', '', '', '', '', '', '', 3, '', '', '', 659);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('650', 'Lindje normale', '', '', '', '', '', '', 4, '', '', '', 660);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('651', 'BarrÃ« multiple', '', '', '', '', '', '', 4, '', '', '', 661);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('652', 'Pozicionet dhe paraqitjet anormale e fetusit (distocite)', '', '', '', '', '', '', 4, '', '', '', 662);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('653', 'Disproporcioni', '', '', '', '', '', '', 4, '', '', '', 663);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('654', 'Anomali te organeve dhe indeve te buta te pelvisit', '', '', '', '', '', '', 4, '', '', '', 664);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('655', 'Anomali fetale, e njohur apo e dyshuar, qe ndikon ne trajtimin e nenes', '', '', '', '', '', '', 4, '', '', '', 665);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('656', 'Te tjera probleme fetale dhe placentare qe nderhyjne me trajtimin e nenes', '', '', '', '', '', '', 4, '', '', '', 666);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('657', 'Polidramnios', '', '', '', '', '', '', 4, '', '', '', 667);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('658', 'Te tjera probleme te lidhura me kavitetin amniotik dhe me membranat', '', '', '', '', '', '', 4, '', '', '', 668);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('659', 'Te tjera indikacione per asistence apo nderhyrje, qe lidhen me punen dhe aktin e lindjes, te paklasifikuara gjetke', '', '', '', '', '', '', 4, '', '', '', 669);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('660', 'GRUPI 4 - KOMPLIKACIONET GJATE AKTIT TE LINDJES', '', '', '', '', '', '', 3, '', '', '', 670);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('660', 'Akt-lindje i penguar', '', '', '', '', '', '', 4, '', '', '', 671);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('661', 'Anomali te kontraksioneve uterine gjate aktit te lindjes', '', '', '', '', '', '', 4, '', '', '', 672);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('662', 'Akt-lindje i zgjatur', '', '', '', '', '', '', 4, '', '', '', 673);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('663', 'Komplikacione te kordonit umbelikal', '', '', '', '', '', '', 4, '', '', '', 674);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('664', 'Trauma te perineumit dhe te vulves gjate aktit te lindjes', '', '', '', '', '', '', 4, '', '', '', 675);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('665', 'Te tjera trauma obstetrikale', '', '', '', '', '', '', 4, '', '', '', 676);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('666', 'Hemorragji post-partum', '', '', '', '', '', '', 4, '', '', '', 677);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('667', 'Retension i placentes apo membranave, pa hemorragji', '', '', '', '', '', '', 4, '', '', '', 678);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('668', 'Komplikacione te lidhura me administrimin e anestetikeve apo sedativeve te tjere gjate aktit te lindjes', '', '', '', '', '', '', 4, '', '', '', 679);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('669', 'Te tjera komplikacione te aktit te lindjes, te paklasifikuara ndryshe', '', '', '', '', '', '', 4, '', '', '', 680);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('670', 'GRUPI 5 - KOMPLIKACIONET PAS LINDJES', '', '', '', '', '', '', 3, '', '', '', 681);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('670', 'Infeksionet madhore te lehonise (puerperum)', '', '', '', '', '', '', 4, '', '', '', 682);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('671', 'Komplikacionet venoze te barres dhe lehonise (puerperum)', '', '', '', '', '', '', 4, '', '', '', 683);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('672', 'Febrilitet me natyre te panjohur gjate lehonise (puerperum)', '', '', '', '', '', '', 4, '', '', '', 684);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('673', 'Embolia pulmonare obstetrikale', '', '', '', '', '', '', 4, '', '', '', 685);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('674', 'Komplikacione te tjera dhe te paspecifikuara te lehonise (puerperum), te paklasifikuara gjetke', '', '', '', '', '', '', 4, '', '', '', 686);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('675', 'Infeksione te gjirit dhe te thithit, te lidhura me lindjen', '', '', '', '', '', '', 4, '', '', '', 687);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('676', 'Te tjera probleme te gjirit, te lidhura me barren, lehonine dhe laktacionin', '', '', '', '', '', '', 4, '', '', '', 688);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('680', 'KLASA XII - SEMUNDJET E LEKURES DHE INDIT SUBKUTAN', '', '', '', '', '', '', 3, '', '', '', 689);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('680', 'GRUPI 1 - INFEKSIONET KUTANE DHE SUBKUTANE', '', '', '', '', '', '', 3, '', '', '', 690);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('680', 'Furunkuli, furunkuloza dhe karbunkuli', '', '', '', '', '', '', 4, '', '', '', 691);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('681', 'Flegmonat dhe abceset e gishtave te duarve dhe gishtave te kembeve (panariciumi)', '', '', '', '', '', '', 4, '', '', '', 692);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('682', 'Flegmona dhe abcese ne regjione te tjera', '', '', '', '', '', '', 4, '', '', '', 693);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('683', 'Linfadeniti akut', '', '', '', '', '', '', 4, '', '', '', 694);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('684', 'Impetigo', '', '', '', '', '', '', 4, '', '', '', 695);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('685', 'Kisti pilonidal', '', '', '', '', '', '', 4, '', '', '', 696);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('686', 'Te tjera infeksione te lokalizuara te lekures dhe te indit subkutan', '', '', '', '', '', '', 4, '', '', '', 697);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('690', 'GRUPI 2 - SEMUNDJET KUTANE KRONIKE', '', '', '', '', '', '', 3, '', '', '', 698);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('690', 'Dermatozat eritemato-deskuamative', '', '', '', '', '', '', 4, '', '', '', 699);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('691', 'Dermatiti atopik dhe crregullimet e lidhura me te', '', '', '', '', '', '', 4, '', '', '', 700);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('692', 'Dermatiti i kontaktit dhe ekzema te tjera', '', '', '', '', '', '', 4, '', '', '', 701);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('693', 'Dermatiti nga substanca te marra me rruge sistemike', '', '', '', '', '', '', 4, '', '', '', 702);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('694', 'Dermatozat buloze', '', '', '', '', '', '', 4, '', '', '', 703);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('695', 'Gjendjet klinike eritematoze', '', '', '', '', '', '', 4, '', '', '', 704);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('696', 'Psoriaza dhe gjendjet klinike te ngjashme me te', '', '', '', '', '', '', 4, '', '', '', 705);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('697', 'Lichen', '', '', '', '', '', '', 4, '', '', '', 706);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('698', 'Pruriti dhe gjendjet klinike te lidhura me te', '', '', '', '', '', '', 4, '', '', '', 707);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('700', 'GRUPI 3 - SEMUNDJE TE LEKURES DHE INDIT SUBKUTAN', '', '', '', '', '', '', 3, '', '', '', 708);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('700', 'Kalloja dhe kallozitetet', '', '', '', '', '', '', 4, '', '', '', 709);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('701', 'Te tjera gjendje klinike atrofike dhe hipertrofike te lekures', '', '', '', '', '', '', 4, '', '', '', 710);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('702', 'Dermatoza tÃ« tjera', '', '', '', '', '', '', 4, '', '', '', 711);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('703', 'Semundje te thonjve', '', '', '', '', '', '', 4, '', '', '', 712);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('704', 'Semundje te qimeve dhe te folikulave pilifere', '', '', '', '', '', '', 4, '', '', '', 713);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('705', 'Semundje te gjendrrave sudoripare (te djerses)', '', '', '', '', '', '', 4, '', '', '', 714);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('706', 'Semundje te gjendrrave sebace (te dyllit)', '', '', '', '', '', '', 4, '', '', '', 715);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('707', 'Ulceracioni kronik i lekures', '', '', '', '', '', '', 4, '', '', '', 716);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('708', 'Urtikaria', '', '', '', '', '', '', 4, '', '', '', 717);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('709', 'Te tjera crregullime te lekures dhe te indit subkutan', '', '', '', '', '', '', 4, '', '', '', 718);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('710', 'KLASA XIII - SEMUNDJE TE KOCKAVE; ARTIKULACIONEVE; MUSKUJVE DHE INDIT LIDHOR', '', '', '', '', '', '', 3, '', '', '', 719);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('710', 'GRUPI 1 - SEMUNDJET ARTIKULARE', '', '', '', '', '', '', 3, '', '', '', 720);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('710', 'Semundje difuze te indit lidhor (kolagjenozat)', '', '', '', '', '', '', 4, '', '', '', 721);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('711', 'Artropati nga agjentet infektive', '', '', '', '', '', '', 4, '', '', '', 722);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('712', 'Artropatite nga mikrokristalet', '', '', '', '', '', '', 4, '', '', '', 723);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('713', 'Artropati qe shoqeron crregullime te tjera te klasifikuara gjetke', '', '', '', '', '', '', 4, '', '', '', 724);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('714', 'Artriti reumatoid dhe poliartropati inflamatore te tjera', '', '', '', '', '', '', 4, '', '', '', 725);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('715', 'Artroza', '', '', '', '', '', '', 4, '', '', '', 726);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('716', 'Te tjera artropati te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 727);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('717', 'Lezione te brendshme te gjurit', '', '', '', '', '', '', 4, '', '', '', 728);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('718', 'Te tjera lezione artikulare', '', '', '', '', '', '', 4, '', '', '', 729);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('719', 'Patologji artikulare te tjera dhe te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 730);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('720', 'GRUPI 2 - SEMUNDJE TE STRUKTURAVE LOKOMOTORE TE KOLONES VERTEBRALE', '', '', '', '', '', '', 3, '', '', '', 731);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('720', 'Spondiliti ankilozant dhe spondilopati te tjera inflamatore', '', '', '', '', '', '', 4, '', '', '', 732);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('721', 'Spondiloza (spondiloartroza) dhe crregullime qe lidhen me te', '', '', '', '', '', '', 4, '', '', '', 733);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('722', 'Patologji te disqeve intervertebrale', '', '', '', '', '', '', 4, '', '', '', 734);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('723', 'Te tjera patologji te regjionit cervikal', '', '', '', '', '', '', 4, '', '', '', 735);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('724', 'Crregullime te tjera dhe te paspecifikuara te shpines', '', '', '', '', '', '', 4, '', '', '', 736);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('725', 'GRUPI 3 - SEMUNDJET REUMATIZMALE JO-ARTIKULARE', '', '', '', '', '', '', 3, '', '', '', 737);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('725', 'Polimialgjia reumatizmale', '', '', '', '', '', '', 4, '', '', '', 738);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('726', 'Tendinopati (entezopati) periferike dhe sinroma te ngjashme me to', '', '', '', '', '', '', 4, '', '', '', 739);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('727', 'Te tjera crregullime te membranave sinoviale, tendineve dhe bursave (sinovitet, tendinitet dhe bursitet)', '', '', '', '', '', '', 4, '', '', '', 740);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('728', 'Patologji te muskujve, ligamenteve dhe fascieve (miozitet dhe fascitet)', '', '', '', '', '', '', 4, '', '', '', 741);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('729', 'Te tjera crregullime te indeve te buta', '', '', '', '', '', '', 4, '', '', '', 742);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('730', 'GRUPI 4 - SEMUNDJE TE FITUARA TE SISTEMIT LOKOMOTOR', '', '', '', '', '', '', 3, '', '', '', 743);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('730', 'Osteomieliti, periostiti dhe te tjera infeksione kockore', '', '', '', '', '', '', 4, '', '', '', 744);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('731', 'Osteitis deformans dhe osteopati te shoqeruara me crregullime te tjera te klasifikuara gjetke', '', '', '', '', '', '', 4, '', '', '', 745);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('732', 'Osteokondropati', '', '', '', '', '', '', 4, '', '', '', 746);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('733', 'Te tjera semundje te kockave dhe kercave (kartilagove)', '', '', '', '', '', '', 4, '', '', '', 747);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('734', 'Pes planus', '', '', '', '', '', '', 4, '', '', '', 748);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('735', 'Deformime te fituara te gishtave te kembes', '', '', '', '', '', '', 4, '', '', '', 749);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('736', 'Te tjera deformime te fituara te anesive', '', '', '', '', '', '', 4, '', '', '', 750);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('737', 'Deviacione te kolones vertebrale', '', '', '', '', '', '', 4, '', '', '', 751);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('738', 'Te tjera deformime te fituara te aparatit muskuloskeletor', '', '', '', '', '', '', 4, '', '', '', 752);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('739', 'Lezione jo-hallopatike, te paklasifikuara gjetke', '', '', '', '', '', '', 4, '', '', '', 753);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('740', 'KLASA XIV - ANOMALITE KONGENITALE (TE LINDURA)', '', '', '', '', '', '', 3, '', '', '', 754);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('740', 'GRUPI 1 - ANOMALITE KONGENITALE (TE LINDURA)', '', '', '', '', '', '', 3, '', '', '', 755);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('740', 'Anencefalia dhe anomalite e ngjashme', '', '', '', '', '', '', 4, '', '', '', 756);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('741', 'Spina bifida', '', '', '', '', '', '', 4, '', '', '', 757);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('742', 'Te tjera anomali kongenitale te sistemit nervor', '', '', '', '', '', '', 4, '', '', '', 758);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('743', 'Anomalite kongenitale te syrit', '', '', '', '', '', '', 4, '', '', '', 759);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('744', 'Anomalite kongenitale te veshit, fytyres dhe qafes', '', '', '', '', '', '', 4, '', '', '', 760);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('745', 'Anomali te muskulit kardiak dhe anomali te mbylljes se septumit kardiak (veset e murit dhe septumit kardiak)', '', '', '', '', '', '', 4, '', '', '', 761);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('746', 'Te tjera anomali kongenitale te zemres', '', '', '', '', '', '', 4, '', '', '', 762);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('747', 'Te tjera anomali kongenitale te aparatit te qarkullimit te gjakut', '', '', '', '', '', '', 4, '', '', '', 763);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('748', 'Anomali kongenitale te aparatit respirator', '', '', '', '', '', '', 4, '', '', '', 764);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('749', 'Palatum schisum dhe labrum schisum (leporinum)', '', '', '', '', '', '', 4, '', '', '', 765);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('750', 'Te tjera anomali kongenitale te traktit te siperm te tretjes', '', '', '', '', '', '', 4, '', '', '', 766);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('751', 'Te tjera anomali kongenitale te traktit tretes', '', '', '', '', '', '', 4, '', '', '', 767);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('752', 'Anomali kongenitale te organeve gjenitale', '', '', '', '', '', '', 4, '', '', '', 768);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('753', 'Anomali kongenitale te sistemit urinar', '', '', '', '', '', '', 4, '', '', '', 769);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('754', 'Keqformime te vecanta kongenitale te sistemit muskuloskeletik', '', '', '', '', '', '', 4, '', '', '', 770);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('755', 'Te tjera anomali kongenitale te anesive', '', '', '', '', '', '', 4, '', '', '', 771);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('756', 'Te tjera anomali muskuloskeletike kongenitale', '', '', '', '', '', '', 4, '', '', '', 772);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('757', 'Anomali kongenitale te indeve mbuluese', '', '', '', '', '', '', 4, '', '', '', 773);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('758', 'Anomali kromozomike', '', '', '', '', '', '', 4, '', '', '', 774);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('759', 'Te tjera anomali kongenitale te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 775);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('760', 'KLASA XV - SEMUNDJET PERINATALE', '', '', '', '', '', '', 3, '', '', '', 776);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('760', 'GRUPI 1 - SEMUNDJET E PERIUDHES PERINATALE', '', '', '', '', '', '', 3, '', '', '', 777);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('760', 'Patologji te fetusit apo neonatit qe jane pasoje e patologjive te nenes, edhe te atyre (patologjive) te palidhura me barren aktuale', '', '', '', '', '', '', 4, '', '', '', 778);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('761', 'Fetus apo neonat i prekur nga barra e komplikuar prej semundjeve te nenes', '', '', '', '', '', '', 4, '', '', '', 779);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('762', 'Fetus apo neonat i prekur nga komplikacionet e placentes, kordonit umbelikal dhe membranave', '', '', '', '', '', '', 4, '', '', '', 780);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('763', 'Fetus apo neonat i prekur nga te tjera komplikacione te aktit te lindjes', '', '', '', '', '', '', 4, '', '', '', 781);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('764', 'Vonese e rritjes fetale dhe malnutricioni fetal', '', '', '', '', '', '', 4, '', '', '', 782);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('765', 'Prematuriteti, dismaturiteti dhe pesha e ulet ne lindje, me natyre te paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 783);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('766', 'Postmaturiteti ose makrozomia neonatale', '', '', '', '', '', '', 4, '', '', '', 784);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('767', 'TraumÃ« obsetrikale', '', '', '', '', '', '', 4, '', '', '', 785);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('768', 'Hipoksi intrauterine dhe asfiksia ne lindje', '', '', '', '', '', '', 4, '', '', '', 786);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('769', 'Sindroma e detresit respirator neonatal (NRDS)', '', '', '', '', '', '', 4, '', '', '', 787);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('770', 'Te tjera semundje respiratore te fetusit apo neonatit', '', '', '', '', '', '', 4, '', '', '', 788);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('771', 'Infeksione specifike te periudhes perinatale', '', '', '', '', '', '', 4, '', '', '', 789);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('772', 'Hemorragjia fetale dhe neonatale', '', '', '', '', '', '', 4, '', '', '', 790);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('773', 'Semundja hemolitike e fetusit apo neonatit si pasoje e izoimunizimit materno-fetal', '', '', '', '', '', '', 4, '', '', '', 791);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('774', 'Te tjera iktere perinatale', '', '', '', '', '', '', 4, '', '', '', 792);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('775', 'Crregullime endokrine dhe metabolike specifike per fetusin dhe neonatin', '', '', '', '', '', '', 4, '', '', '', 793);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('776', 'Crregullime hematologjike te fetusit dhe neonatit', '', '', '', '', '', '', 4, '', '', '', 794);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('777', 'Semundje te aparatit te tretjes te fetusit dhe neonatit', '', '', '', '', '', '', 4, '', '', '', 795);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('778', 'Semundje qe prekin lekuren dhe kontrollin termik te fetusit dhe neonatit', '', '', '', '', '', '', 4, '', '', '', 796);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('779', 'Te tjera semundje me shfaqje perinatale, edhe te keqpercaktuara', '', '', '', '', '', '', 4, '', '', '', 797);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('780', 'KLASA XVI - SIMPTOMA; SHENJA DHE SEMUNDJE TE PAPERCAKTUARA; VDEKJA', '', '', '', '', '', '', 3, '', '', '', 798);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('780', 'GRUPI 1 - SIMPTOMA TE PAPERCAKTUARA', '', '', '', '', '', '', 3, '', '', '', 799);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('780', 'Simptoma te pergjithshme', '', '', '', '', '', '', 4, '', '', '', 800);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('781', 'Simptoma qe kane lidhje me sistemin nervor dhe osteomuskulor', '', '', '', '', '', '', 4, '', '', '', 801);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('782', 'Simptoma qe kane lidhje me lekuren dhe indet e tjera mbuluese', '', '', '', '', '', '', 4, '', '', '', 802);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('783', 'Simptoma qe kane lidhje me nutricionin, metabolizmin dhe zhvillimin', '', '', '', '', '', '', 4, '', '', '', 803);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('784', 'Simptoma qe kane lidhje me koken dhe qafen', '', '', '', '', '', '', 4, '', '', '', 804);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('785', 'Simptoma qe kane lidhje me sistemin kardiovaskular', '', '', '', '', '', '', 4, '', '', '', 805);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('786', 'Simptoma qe kane lidhje me aparatin respirator dhe simptoma te tjera torakale', '', '', '', '', '', '', 4, '', '', '', 806);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('787', 'Simptoma qe kane lidhje me aparatin tretes', '', '', '', '', '', '', 4, '', '', '', 807);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('788', 'Simptoma qe kane lidhje me aparatin urinar', '', '', '', '', '', '', 4, '', '', '', 808);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('789', 'Te tjera simptoma qe kane lidhje me abdomenin dhe bacinin', '', '', '', '', '', '', 4, '', '', '', 809);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('790', 'GRUPI 2 - REZULTATE JOSPECIFIKE TE EKZAMINIMEVE KOMPLEMENTARE', '', '', '', '', '', '', 3, '', '', '', 810);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('790', 'Rezultate jo-specifike te analizave te gjakut', '', '', '', '', '', '', 4, '', '', '', 811);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('791', 'Rezultate jo-specifike te analizave te urines', '', '', '', '', '', '', 4, '', '', '', 812);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('792', 'Rezultate anormale jo-specifike te analizave te substancave te tjera trupore', '', '', '', '', '', '', 4, '', '', '', 813);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('793', 'Rezultate anormale jo-specifike te ekzaminimeve radiologjike dhe te ekzaminimeve te tjera te strukturave trupore', '', '', '', '', '', '', 4, '', '', '', 814);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('794', 'Rezultate anormale jo-specifike te provave funksionale', '', '', '', '', '', '', 4, '', '', '', 815);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('795', 'Rezultate histologjike dhe imunologjike anormale e te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 816);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('796', 'Te tjera rezultate anormale te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 817);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('797', 'GRUPI 3 - SHKAQE TE PAPERCAKTUARA TE VDEKSHMERISE DHE SEMUNDSHMERISE', '', '', '', '', '', '', 3, '', '', '', 818);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('797', 'PleqÃ«ri pa konstatim psikoze', '', '', '', '', '', '', 4, '', '', '', 819);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('798', 'Vdekje e menjehershme nga shkak i panjohur', '', '', '', '', '', '', 4, '', '', '', 820);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('799', 'Te tjera shkaqe te keqpercaktuara dhe te panjohura te semundshmerise dhe vdekshmerise', '', '', '', '', '', '', 4, '', '', '', 821);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('800', 'KLASA XVII - TRAUMATOLOGJIA DHE TOKSIKOLOGJIA', '', '', '', '', '', '', 3, '', '', '', 822);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('800', 'GRUPI 1 - FRAKTURAT E KAFKES', '', '', '', '', '', '', 3, '', '', '', 823);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('800', 'Fraktura te kupes se kafkes (vertex cranii)', '', '', '', '', '', '', 4, '', '', '', 824);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('801', 'Fraktura te bazes se kafkes (basis cranii)', '', '', '', '', '', '', 4, '', '', '', 825);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('802', 'Fraktura te kockave te fytyres', '', '', '', '', '', '', 4, '', '', '', 826);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('803', 'Fraktura te tjera e te paspecifikuara te kafkes', '', '', '', '', '', '', 4, '', '', '', 827);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('804', 'Fraktura multiple te kafkes apo fytyres, se bashku me kocka te tjera', '', '', '', '', '', '', 4, '', '', '', 828);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('805', 'GRUPI 2 - FRAKTURA TE KOLONES VERTEBRALE DHE KOCKAVE TE TJERA TE TRUNGUT', '', '', '', '', '', '', 3, '', '', '', 829);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('805', 'Fraktura te kolones vertebrale pa permendur lezionet e medules spinale', '', '', '', '', '', '', 4, '', '', '', 830);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('806', 'Fraktura te kolones vertebrale me lezione te medules spinale', '', '', '', '', '', '', 4, '', '', '', 831);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('807', 'Fraktura te brinjes (brinjeve), sternumit, laringut dhe trakese', '', '', '', '', '', '', 4, '', '', '', 832);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('808', 'Fraktura te bacinit', '', '', '', '', '', '', 4, '', '', '', 833);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('809', 'Fraktura te keqpercaktuara te trungut', '', '', '', '', '', '', 4, '', '', '', 834);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('810', 'GRUPI 3 - FRAKTURA TE KOCKAVE TE ANESIVE TE SIPERME', '', '', '', '', '', '', 3, '', '', '', 835);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('810', 'Fraktura te klavikules', '', '', '', '', '', '', 4, '', '', '', 836);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('811', 'Fraktura te shpatulles', '', '', '', '', '', '', 4, '', '', '', 837);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('812', 'Fraktura te humerusit', '', '', '', '', '', '', 4, '', '', '', 838);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('813', 'Fraktura te radiusit dhe ulnes', '', '', '', '', '', '', 4, '', '', '', 839);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('814', 'Fraktura te kockave karpale', '', '', '', '', '', '', 4, '', '', '', 840);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('815', 'Fraktura te kockave metakarpale', '', '', '', '', '', '', 4, '', '', '', 841);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('816', 'Fraktura te nje ose me shume falangeve te dores', '', '', '', '', '', '', 4, '', '', '', 842);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('817', 'Fraktura multiple te kockave te dores', '', '', '', '', '', '', 4, '', '', '', 843);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('818', 'Fraktura te keqpercaktuara te anesive te siperme', '', '', '', '', '', '', 4, '', '', '', 844);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('819', 'Fraktura multiple te te dyja anesive te siperme dhe te anesise se siperme me brinjet dhe sternumin', '', '', '', '', '', '', 4, '', '', '', 845);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('820', 'GRUPI 4 - FRAKTURA TE KOCKAVE TE ANESIVE TE POSHTME', '', '', '', '', '', '', 3, '', '', '', 846);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('820', 'Fraktura e qafes se femurit', '', '', '', '', '', '', 4, '', '', '', 847);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('821', 'Fraktura te pjeseve te tjera te paspecifikuara te femurit', '', '', '', '', '', '', 4, '', '', '', 848);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('822', 'Fraktura te kupes se gjurit (rotula, patella)', '', '', '', '', '', '', 4, '', '', '', 849);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('823', 'Fraktura te tibias dhe perones', '', '', '', '', '', '', 4, '', '', '', 850);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('824', 'Fraktura te kycit te kembes (kaviljes)', '', '', '', '', '', '', 4, '', '', '', 851);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('825', 'Fraktura te nje ose me shume kockave tarsiale apo metatarsiale', '', '', '', '', '', '', 4, '', '', '', 852);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('826', 'Fraktura te nje ose me shume falangave te kembes', '', '', '', '', '', '', 4, '', '', '', 853);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('827', 'Fraktura te tjera, multiple dhe te keqpercaktuara qe prekin anesine inferiore', '', '', '', '', '', '', 4, '', '', '', 854);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('828', 'Fraktura multiple qe prekin te dyja anesite e poshtme, anesine e poshtme dhe te siperme dhe anesine e poshtme me brinjet dhe sternumin', '', '', '', '', '', '', 4, '', '', '', 855);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('829', 'Fraktura kockore te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 856);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('830', 'GRUPI 5 - LUKSACIONET ARTIKULARE', '', '', '', '', '', '', 3, '', '', '', 857);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('830', 'Luksacioni mandibular (temporo-mandibular)', '', '', '', '', '', '', 4, '', '', '', 858);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('831', 'Luksacioni i shpatulles (skapulo-humeral)', '', '', '', '', '', '', 4, '', '', '', 859);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('832', 'Luksacioni i kockave te berrylit (kubital)', '', '', '', '', '', '', 4, '', '', '', 860);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('833', 'Luksacioni i kockave te kycit te dores (pulsit)', '', '', '', '', '', '', 4, '', '', '', 861);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('834', 'Luksacioni i gishtave te dores', '', '', '', '', '', '', 4, '', '', '', 862);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('835', 'Luksacioni koksofemoral', '', '', '', '', '', '', 4, '', '', '', 863);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('836', 'Luksacioni i gjurit', '', '', '', '', '', '', 4, '', '', '', 864);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('837', 'Luksacioni i kockave te kycit te kembes (kaviljes)', '', '', '', '', '', '', 4, '', '', '', 865);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('838', 'Luksacioni i kembes', '', '', '', '', '', '', 4, '', '', '', 866);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('839', 'Luksacione te tjera, multiple dhe te keqpercaktuara', '', '', '', '', '', '', 4, '', '', '', 867);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('840', 'GRUPI 6 - DISTORSIONET DHE DISTRAKSIONET ARTIKULARE (TERHEQJET DHE SHKEPUTJET E ARTIKULACIONEVE)', '', '', '', '', '', '', 3, '', '', '', 868);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('840', 'Distorsioni dhe distraksioni i spatulles dhe krahut', '', '', '', '', '', '', 4, '', '', '', 869);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('841', 'Distorsioni dhe distraksioni i berrylit dhe parakrahut', '', '', '', '', '', '', 4, '', '', '', 870);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('842', 'Distorsioni dhe distraksioni i kycit te dores dhe dores', '', '', '', '', '', '', 4, '', '', '', 871);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('843', 'Distorsioni dhe distraksioni i artikulacionit koksofemoral dhe kofshes', '', '', '', '', '', '', 4, '', '', '', 872);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('844', 'Distorsioni dhe distraksioni i gjurit dhe kercirit', '', '', '', '', '', '', 4, '', '', '', 873);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('845', 'Distorsioni dhe distraksioni i kycit te kembes dhe kembes', '', '', '', '', '', '', 4, '', '', '', 874);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('846', 'Distorsioni dhe distraksioni i regjionit sakroiliak', '', '', '', '', '', '', 4, '', '', '', 875);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('847', 'Distorsioni dhe distraksioni i pjeseve te tjera dhe te paspecifikuara te shpines', '', '', '', '', '', '', 4, '', '', '', 876);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('848', 'Distorsione dhe distraksione te tjera e te keqpercaktuara', '', '', '', '', '', '', 4, '', '', '', 877);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('850', 'GRUPI 7 - TRAUMATOLOGJIA INTRA-KRANIALE', '', '', '', '', '', '', 3, '', '', '', 878);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('850', 'Commotio cerebri', '', '', '', '', '', '', 4, '', '', '', 879);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('851', 'Laceracioni dhe kontuzioni cerebral', '', '', '', '', '', '', 4, '', '', '', 880);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('852', 'Hemorragjia subaraknoide, subdurale dhe ekstradurale si pasoja te traumave', '', '', '', '', '', '', 4, '', '', '', 881);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('853', 'Hemorragji intrakraniale te tjera e te paspecifikuara si pasoja te traumave', '', '', '', '', '', '', 4, '', '', '', 882);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('854', 'Trauma intrakraniale me netyre tjeter dhe te paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 883);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('860', 'GRUPI 8 - TRAUMATOLOGJIA E TRUNGUT', '', '', '', '', '', '', 3, '', '', '', 884);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('860', 'Pneumotoraksi dhe hemotoraksi traumatik', '', '', '', '', '', '', 4, '', '', '', 885);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('861', 'Traumat e zemres dhe mushkerive', '', '', '', '', '', '', 4, '', '', '', 886);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('862', 'Traumat e organeve intratorakale te tjera dhe te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 887);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('863', 'Traumat e aparatit gastrointestinal', '', '', '', '', '', '', 4, '', '', '', 888);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('864', 'Trauma tÃ« mÃ«lÃ§isÃ« (traumat hepatike)', '', '', '', '', '', '', 4, '', '', '', 889);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('865', 'Trauma tÃ« shpretkÃ«s (traumat lienale)', '', '', '', '', '', '', 4, '', '', '', 890);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('866', 'Trauma tÃ« veshkave (traumat renale)', '', '', '', '', '', '', 4, '', '', '', 891);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('867', 'Trauma tÃ« organeve pelvike (traumat pelvike)', '', '', '', '', '', '', 4, '', '', '', 892);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('868', 'Trauma te organeve te tjera intrabdominale', '', '', '', '', '', '', 4, '', '', '', 893);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('869', 'Trauma te brendshme te organeve te paspecifikuara spo te keqpercaktuara', '', '', '', '', '', '', 4, '', '', '', 894);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('870', 'GRUPI 9 - PLAGE TE KOKES; QAFES DHE TRUNGUT (vulnus capiti, cervixi et corpori)', '', '', '', '', '', '', 3, '', '', '', 895);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('870', 'PlagÃ« tÃ« anekseve tÃ« syrit', '', '', '', '', '', '', 4, '', '', '', 896);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('871', 'PlagÃ« tÃ« globit okular (kokerdhokut)', '', '', '', '', '', '', 4, '', '', '', 897);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('872', 'PlagÃ« tÃ« veshit', '', '', '', '', '', '', 4, '', '', '', 898);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('873', 'PlagÃ« tÃ« tjera tÃ« kokÃ«s', '', '', '', '', '', '', 4, '', '', '', 899);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('874', 'PlagÃ« tÃ« qafÃ«s', '', '', '', '', '', '', 4, '', '', '', 900);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('875', 'PlagÃ« tÃ« murit torakal', '', '', '', '', '', '', 4, '', '', '', 901);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('876', 'PlagÃ« tÃ« shpinÃ«s', '', '', '', '', '', '', 4, '', '', '', 902);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('877', 'PlagÃ« gluteale dhe te ijeve', '', '', '', '', '', '', 4, '', '', '', 903);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('878', 'PlagÃ« tÃ« organeve gjenitale te jashtme, perfshi ketu dhe amputacionin traumatik', '', '', '', '', '', '', 4, '', '', '', 904);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('879', 'Plage te regjioneve te tjera e te paspecifikuara, perjashtuar anesite', '', '', '', '', '', '', 4, '', '', '', 905);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('880', 'GRUPI 10 - PLAGE TE ANESIVE TE SIPERME (vulnera extremitates superiora)', '', '', '', '', '', '', 3, '', '', '', 906);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('880', 'Plage te shpatulles dhe te krahut', '', '', '', '', '', '', 4, '', '', '', 907);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('881', 'Plage te berrylit, parakrahut dhe kycit te dores', '', '', '', '', '', '', 4, '', '', '', 908);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('882', 'Plage te dores, perjashtohen plaget qe prekin vetem gishtat', '', '', '', '', '', '', 4, '', '', '', 909);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('883', 'PlagÃ« e gishtave te dores', '', '', '', '', '', '', 4, '', '', '', 910);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('884', 'Plage te shumefishta dhe te paspecifikuara te anesise se siperme', '', '', '', '', '', '', 4, '', '', '', 911);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('885', 'Amputacioni traumatik i gishtit te madh te dores (i plote) (i pjesshem)', '', '', '', '', '', '', 4, '', '', '', 912);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('886', 'Amputacioni traumatik i gishtave te tjere te dores (i plote) (i pjesshem)', '', '', '', '', '', '', 4, '', '', '', 913);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('887', 'Amputacioni trumatik i krahut dhe i dores (i plote) (i pjesshem)', '', '', '', '', '', '', 4, '', '', '', 914);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('890', 'GRUPI 11 - PLAGE TE ANESIVE TE POSHTME (vulnera extremitates inferiora)', '', '', '', '', '', '', 3, '', '', '', 915);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('890', 'PlagÃ« tÃ« ijÃ«s e kofshÃ«s', '', '', '', '', '', '', 4, '', '', '', 916);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('891', 'Plage te gjurit, kÃ«rcirit dhe kycit te kembes (kaviljes)', '', '', '', '', '', '', 4, '', '', '', 917);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('892', 'PlagÃ« e kÃ«mbÃ«s, perjashtohen plaget qe prekin vetem gishtat', '', '', '', '', '', '', 4, '', '', '', 918);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('893', 'Plage e gishtave te kembes', '', '', '', '', '', '', 4, '', '', '', 919);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('894', 'Plage te shumefishta dhe te paspecifikuara te anesise se poshtme', '', '', '', '', '', '', 4, '', '', '', 920);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('895', 'Amputacion traumatik i gishtave te kembes (i plote) (i pjesshem)', '', '', '', '', '', '', 4, '', '', '', 921);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('896', 'Amputacioni traumatik i kÃ«mbÃ«s (i plote) (i pjesshem)', '', '', '', '', '', '', 4, '', '', '', 922);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('897', 'Amputacioni traumatik i kÃ«rcirit (i plote) (i pjesshem)', '', '', '', '', '', '', 4, '', '', '', 923);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('900', 'GRUPI 12 - TRAUMATOLOGJIA KARDIOVASKULARE', '', '', '', '', '', '', 3, '', '', '', 924);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('900', 'Traumat e eneve te gjakut te kokes dhe te qafes', '', '', '', '', '', '', 4, '', '', '', 925);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('901', 'Traumat e eneve te gjakut te toraksit', '', '', '', '', '', '', 4, '', '', '', 926);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('902', 'Traumat e eneve te gjakut te abdomenit dhe bacinit', '', '', '', '', '', '', 4, '', '', '', 927);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('903', 'Traumat e eneve te gjakut te anesise se siperme', '', '', '', '', '', '', 4, '', '', '', 928);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('904', 'Traumat e eneve te gjakut te anesise se poshtme', '', '', '', '', '', '', 4, '', '', '', 929);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('905', 'GRUPI 13 - PASOJA TE TRAUMAVE', '', '', '', '', '', '', 3, '', '', '', 930);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('905', 'Pasoja te traumave te sistemit osteomuskulor dhe te indit lidhor', '', '', '', '', '', '', 4, '', '', '', 931);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('906', 'Pasoja te traumave te lekures dhe indit subkutan', '', '', '', '', '', '', 4, '', '', '', 932);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('907', 'Pasoja te traumave te sistemit nervor qendror', '', '', '', '', '', '', 4, '', '', '', 933);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('908', 'Pasoja te traumave te tjera e te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 934);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('909', 'Pasoja te shkaqeve te jashtme, te tjera e te papercaktuara', '', '', '', '', '', '', 4, '', '', '', 935);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('910', 'GRUPI 14 - TRAUMAT SIPERFAQESORE', '', '', '', '', '', '', 3, '', '', '', 936);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('910', 'Traumat siperfaqesore te fytyres, qafes dhe skalpit, perjashtuar syrin', '', '', '', '', '', '', 4, '', '', '', 937);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('911', 'Traumat siperfaqesore te trungut', '', '', '', '', '', '', 4, '', '', '', 938);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('912', 'Traumat siperfaqesore te shpatulles dhe te krahut', '', '', '', '', '', '', 4, '', '', '', 939);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('913', 'Traumat siperfaqesore te berrylit, parakrahut dhe kycit te dores', '', '', '', '', '', '', 4, '', '', '', 940);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('914', 'Traumat siperfaqesore te dores, perjashtuar prekjen vetem te gishtave', '', '', '', '', '', '', 4, '', '', '', 941);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('915', 'Traumat siperfaqesore te gishtave te dores', '', '', '', '', '', '', 4, '', '', '', 942);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('916', 'Traumat siperfaqesore te ijes, kofshes, kercirit dhe kycit te kembes', '', '', '', '', '', '', 4, '', '', '', 943);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('917', 'Traumat siperfaqesore te kembes dhe gishtave te kembes', '', '', '', '', '', '', 4, '', '', '', 944);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('918', 'Traumat siperfaqesore te syrit dhe adnekseve te tij', '', '', '', '', '', '', 4, '', '', '', 945);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('919', 'Traumat siperfaqesore te tjera, multiple dhe te regjioneve te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 946);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('920', 'GRUPI 15 - KONTUZIONET (GODITJET)', '', '', '', '', '', '', 3, '', '', '', 947);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('920', 'Kontuzionet e fytyres, skalpit dhe qafes, perjashtuar syrin', '', '', '', '', '', '', 4, '', '', '', 948);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('921', 'Kontuzionet e syrit dhe adnekseve te tij', '', '', '', '', '', '', 4, '', '', '', 949);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('922', 'Kontuzionet e trungut', '', '', '', '', '', '', 4, '', '', '', 950);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('923', 'Kontuzionet e anesive te siperme', '', '', '', '', '', '', 4, '', '', '', 951);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('924', 'Kontuzionet e anesive te poshtme dhe regjioneve te tjera e te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 952);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('925', 'GRUPI 16 - KOMPRESIONET (SHTYPJET)', '', '', '', '', '', '', 3, '', '', '', 953);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('925', 'Shtypje e fytyres, skalpit dhe qafes', '', '', '', '', '', '', 4, '', '', '', 954);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('926', 'Shtypje e trungut', '', '', '', '', '', '', 4, '', '', '', 955);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('927', 'Shtypje e anesise se siperme', '', '', '', '', '', '', 4, '', '', '', 956);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('928', 'Shtypje e anesise se poshtme', '', '', '', '', '', '', 4, '', '', '', 957);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('929', 'Shtypje e shume regjioneve te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 958);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('930', 'GRUPI 17 - GJETJA E TRUPAVE TE HUAJ', '', '', '', '', '', '', 3, '', '', '', 959);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('930', 'Trup i huaj ne pjesen e jashtme te syrit', '', '', '', '', '', '', 4, '', '', '', 960);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('931', 'Trup i huaj nÃ« vesh', '', '', '', '', '', '', 4, '', '', '', 961);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('932', 'Trup i huaj nÃ« hundÃ«', '', '', '', '', '', '', 4, '', '', '', 962);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('933', 'Trup i huaj ne faring e laring', '', '', '', '', '', '', 4, '', '', '', 963);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('934', 'Trup i huaj nÃ« trake, bronke, mushkÃ«ri', '', '', '', '', '', '', 4, '', '', '', 964);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('935', 'Trup i huaj ne goje, ezofag dhe stomak', '', '', '', '', '', '', 4, '', '', '', 965);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('936', 'Trup i huaj ne zorren e holle dhe te trashe', '', '', '', '', '', '', 4, '', '', '', 966);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('937', 'Trup i huaj ne anus dhe ne rektum', '', '', '', '', '', '', 4, '', '', '', 967);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('938', 'Trup i huaj me aparatin e tretjes, regjion i paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 968);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('939', 'Trup i huaj ne rruget genitourinare', '', '', '', '', '', '', 4, '', '', '', 969);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('940', 'GRUPI 18 - DJEGJET', '', '', '', '', '', '', 3, '', '', '', 970);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('940', 'Djegje e kufizuar ne sy dhe ne adnekset e tij', '', '', '', '', '', '', 4, '', '', '', 971);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('941', 'Djegje e fytyres, kokes dhe qafes', '', '', '', '', '', '', 4, '', '', '', 972);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('942', 'Djegje e trungut', '', '', '', '', '', '', 4, '', '', '', 973);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('943', 'Djegje e anesise se siperme, perjashtuar kycin e dores dhe doren', '', '', '', '', '', '', 4, '', '', '', 974);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('944', 'Djegje e dores dhe e kyzit te saj', '', '', '', '', '', '', 4, '', '', '', 975);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('945', 'Djegje e anesise se poshtme', '', '', '', '', '', '', 4, '', '', '', 976);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('946', 'Djegje multiple e regjioneve te specifikuara', '', '', '', '', '', '', 4, '', '', '', 977);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('947', 'Djegiet e organeve tÃ« brÃ«ndshme', '', '', '', '', '', '', 4, '', '', '', 978);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('948', 'Djegje te klasifikuara sipas perhapjes ne siperfaqen trupore te prekur', '', '', '', '', '', '', 4, '', '', '', 979);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('949', 'Djegje te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 980);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('950', 'GRUPI 19 - TRAUMATOLOGJIA E SISTEMIT NERVOR', '', '', '', '', '', '', 3, '', '', '', 981);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('950', 'Trauma te nervit optik dhe rrugeve optike', '', '', '', '', '', '', 4, '', '', '', 982);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('951', 'Trauma te nervave te tjere te kokes', '', '', '', '', '', '', 4, '', '', '', 983);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('952', 'Trauma te medules spinale, pa shenja lezioni vertebral', '', '', '', '', '', '', 4, '', '', '', 984);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('953', 'Trauma te redikseve nervore dhe pleksuseve rakidiene', '', '', '', '', '', '', 4, '', '', '', 985);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('954', 'Trauma te nervave te tjere te trungut, perjashtuar pleksin brakial e pelvik', '', '', '', '', '', '', 4, '', '', '', 986);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('955', 'Trauma te nervave periferike te pleksit brakial e te anesise se siperme', '', '', '', '', '', '', 4, '', '', '', 987);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('956', 'Trauma te nervave periferik te pleksit pelvik e te anesise se poshtme', '', '', '', '', '', '', 4, '', '', '', 988);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('957', 'Trauma te nervave te tjere e te paspecifikuar', '', '', '', '', '', '', 4, '', '', '', 989);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('958', 'GRUPI 20 - KOMPLIKACIONE TE TRAUMAVE', '', '', '', '', '', '', 3, '', '', '', 990);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('958', 'Disa komplikacione te parakohshme te traumave', '', '', '', '', '', '', 4, '', '', '', 991);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('959', 'Trauma te tjera e te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 992);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('960', 'GRUPI 21 - INTOKSIKACIONET NGA MEDIKAMENTET', '', '', '', '', '', '', 3, '', '', '', 993);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('960', 'Helmimi nga antibiotiket', '', '', '', '', '', '', 4, '', '', '', 994);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('961', 'Helmimi nga medikamente te tjera anti-infeksitve', '', '', '', '', '', '', 4, '', '', '', 995);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('962', 'Helmimi nga hormonet dhe zevendesuesit sintetike', '', '', '', '', '', '', 4, '', '', '', 996);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('963', 'Helmimi nga substanca sistemike', '', '', '', '', '', '', 4, '', '', '', 997);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('964', 'Helmimi nga substanca qe veprojne kryesisht mbi perberesit e gjakut', '', '', '', '', '', '', 4, '', '', '', 998);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('965', 'Helmimi nga analgjeziket, antipiretiket dhe antireumatizmalet', '', '', '', '', '', '', 4, '', '', '', 999);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('966', 'Helmimi nga antikonvulsivantet dhe medikamentet anti-parkinsonike', '', '', '', '', '', '', 4, '', '', '', 1000);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('967', 'Helmimi nga sedativet dhe hipnotiket', '', '', '', '', '', '', 4, '', '', '', 1001);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('968', 'Helmimi nga deprimuesit e sistemit nervor qendror dhe anestetiket', '', '', '', '', '', '', 4, '', '', '', 1002);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('969', 'Helmimi nga substancat psikotrope', '', '', '', '', '', '', 4, '', '', '', 1003);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('970', 'Helmimi nga stimuluesit e sistemit nervor qendror', '', '', '', '', '', '', 4, '', '', '', 1004);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('971', 'Helmimi nga medikamente qe veprojne kryesisht mbi sistemin nervor autonom', '', '', '', '', '', '', 4, '', '', '', 1005);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('972', 'Helmimi nga medikamente qe veprojne kryesisht mbi sistemin kardiovaskular', '', '', '', '', '', '', 4, '', '', '', 1006);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('973', 'Helmimi nga medikamente qe veprojne kryesisht mbi sistemin gastrointestinal', '', '', '', '', '', '', 4, '', '', '', 1007);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('974', 'Helmimi nga medikamente qe veprojne kryesisht mbi metabolizmin e ujit, mineraleve dhe acidit urik', '', '', '', '', '', '', 4, '', '', '', 1008);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('975', 'Helmimi nga medikamente qe veprojne kryesisht mbi muskulaturen e lemuar dhe te vijezuar si dhe mbi aparatin respirator', '', '', '', '', '', '', 4, '', '', '', 1009);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('976', 'Helmimi nga substanca qe veprojne kryesisht mbi lekure e mbi mukoza dhe helmimet nga medikamentet e perdorura ne ORL, oftalmologji e stomatologji', '', '', '', '', '', '', 4, '', '', '', 1010);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('977', 'Helmimi nga substanca e medikamente te tjera e te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 1011);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('978', 'Helmimi nga vaksinat bakteriale', '', '', '', '', '', '', 4, '', '', '', 1012);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('979', 'Helmimi nga vaksina te tjera dhe nga prodhime biologjike te tjera', '', '', '', '', '', '', 4, '', '', '', 1013);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('980', 'GRUPI 22 - INTOKSIKACIONET NGA SUBSTANCAT JO-MJEKESORE', '', '', '', '', '', '', 3, '', '', '', 1014);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('980', 'Efektet toksike te alkoolit', '', '', '', '', '', '', 4, '', '', '', 1015);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('981', 'Efektet toksike te derivateve te vajgurit', '', '', '', '', '', '', 4, '', '', '', 1016);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('982', 'Efektet toksike te solventeve te tjera me prejardhje nga vajguri', '', '', '', '', '', '', 4, '', '', '', 1017);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('983', 'Efektet toksike te substancave korrozive aromatike, acideve dhe bazave kaustike', '', '', '', '', '', '', 4, '', '', '', 1018);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('984', 'Efektet toksike te plumbit dhe perberjeve te tij (perfshi avujt e tij)', '', '', '', '', '', '', 4, '', '', '', 1019);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('985', 'Efektet toksike te metaleve te tjera', '', '', '', '', '', '', 4, '', '', '', 1020);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('986', 'Efektet toksike te oksidit te karbonit', '', '', '', '', '', '', 4, '', '', '', 1021);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('987', 'Efektet toksike te gazeve, avujve apo tymrave te tjere', '', '', '', '', '', '', 4, '', '', '', 1022);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('988', 'Efektet toksike te substancave te demshme qe gelltiten si ushqime', '', '', '', '', '', '', 4, '', '', '', 1023);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('989', 'Efektet toksike te substancave te tjera me origjine kryesisht jo-medikamentoze', '', '', '', '', '', '', 4, '', '', '', 1024);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('990', 'Efekte te rrezatimeve, te paspecifikuara', '', '', '', '', '', '', 4, '', '', '', 1025);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('991', 'Efekte te te ftohtit', '', '', '', '', '', '', 4, '', '', '', 1026);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('992', 'Efekte te te nxehtit dhe te drites', '', '', '', '', '', '', 4, '', '', '', 1027);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('993', 'Efekte te presionit atmosferik', '', '', '', '', '', '', 4, '', '', '', 1028);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('994', 'Efekte te shkaktuara nga shkaqe te tjera te jashtme', '', '', '', '', '', '', 4, '', '', '', 1029);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('995', 'Disa efekte te padesherueshme te paklasifikuara gjetiu', '', '', '', '', '', '', 4, '', '', '', 1030);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('996', 'Komplikacione te lidhura ngushte me disa nderhyrje kirurgjikale te specifikuara', '', '', '', '', '', '', 4, '', '', '', 1031);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('997', 'Te tjera komplikacione te protezave, implanteve dhe lidhjeve te brandshme', '', '', '', '', '', '', 4, '', '', '', 1032);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('998', 'Te tjera komplikacione te nderhyrjeve kirurgjikale, te paklasifikuara gjetke', '', '', '', '', '', '', 4, '', '', '', 1033);
INSERT INTO `care_icd10_sq` (`diagnosis_code`, `description`, `class_sub`, `type`, `inclusive`, `exclusive`, `notes`, `std_code`, `sub_level`, `remarks`, `extra_codes`, `extra_subclass`, `id`) VALUES ('999', 'Komplikacione te kujdesit shendetesor, te paklasifikuara gjetke', '', '', '', '', '', '', 4, '', '', '', 1034);

-- --------------------------------------------------------

-- 
-- Table structure for table `care_img_diagnostic`
-- 

CREATE TABLE `care_img_diagnostic` (
  `nr` bigint(20) NOT NULL auto_increment,
  `pid` int(11) NOT NULL default '0',
  `encounter_nr` int(11) NOT NULL default '0',
  `doc_ref_ids` varchar(255) collate latin1_general_ci default NULL,
  `img_type` varchar(10) collate latin1_general_ci NOT NULL,
  `max_nr` tinyint(2) default '0',
  `upload_date` date NOT NULL default '0000-00-00',
  `cancel_date` date NOT NULL default '0000-00-00',
  `cancel_by` varchar(35) collate latin1_general_ci default NULL,
  `notes` text collate latin1_general_ci,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  KEY `encounter_nr` (`pid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=7 ;

-- 
-- Dumping data for table `care_img_diagnostic`
-- 

INSERT INTO `care_img_diagnostic` (`nr`, `pid`, `encounter_nr`, `doc_ref_ids`, `img_type`, `max_nr`, `upload_date`, `cancel_date`, `cancel_by`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 10000017, 0, NULL, 'dicom', 1, '2007-05-19', '0000-00-00', NULL, NULL, '', 'Upload 2007-05-19 12:53:39 admin\n', '', '2007-05-19 12:53:39', 'admin', '2007-05-19 12:53:39');
INSERT INTO `care_img_diagnostic` (`nr`, `pid`, `encounter_nr`, `doc_ref_ids`, `img_type`, `max_nr`, `upload_date`, `cancel_date`, `cancel_by`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 10000017, 0, NULL, 'dicom', 4, '2007-05-19', '0000-00-00', NULL, NULL, '', 'Upload 2007-05-19 18:09:47 admin\n', '', '2007-05-19 18:09:47', 'admin', '2007-05-19 18:09:47');
INSERT INTO `care_img_diagnostic` (`nr`, `pid`, `encounter_nr`, `doc_ref_ids`, `img_type`, `max_nr`, `upload_date`, `cancel_date`, `cancel_by`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 10000367, 0, NULL, 'dicom', 1, '2007-05-19', '0000-00-00', NULL, NULL, '', 'Upload 2007-05-19 18:18:33 admin\n', '', '2007-05-19 18:18:33', 'admin', '2007-05-19 18:18:33');
INSERT INTO `care_img_diagnostic` (`nr`, `pid`, `encounter_nr`, `doc_ref_ids`, `img_type`, `max_nr`, `upload_date`, `cancel_date`, `cancel_by`, `notes`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 10000303, 0, NULL, 'dicom', 1, '2007-08-22', '0000-00-00', NULL, NULL, '', 'Upload 2007-08-22 18:02:56 admin\n', '', '2007-08-22 18:02:56', 'admin', '2007-08-22 18:02:56');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_insurance_firm`
-- 

CREATE TABLE `care_insurance_firm` (
  `firm_id` varchar(40) collate latin1_general_ci NOT NULL,
  `name` varchar(60) collate latin1_general_ci NOT NULL,
  `iso_country_id` char(3) collate latin1_general_ci NOT NULL,
  `sub_area` varchar(60) collate latin1_general_ci NOT NULL,
  `type_nr` smallint(5) unsigned NOT NULL default '0',
  `addr` varchar(255) collate latin1_general_ci default NULL,
  `addr_mail` varchar(200) collate latin1_general_ci default NULL,
  `addr_billing` varchar(200) collate latin1_general_ci default NULL,
  `addr_email` varchar(60) collate latin1_general_ci default NULL,
  `phone_main` varchar(35) collate latin1_general_ci default NULL,
  `phone_aux` varchar(35) collate latin1_general_ci default NULL,
  `fax_main` varchar(35) collate latin1_general_ci default NULL,
  `fax_aux` varchar(35) collate latin1_general_ci default NULL,
  `contact_person` varchar(60) collate latin1_general_ci default NULL,
  `contact_phone` varchar(35) collate latin1_general_ci default NULL,
  `contact_fax` varchar(35) collate latin1_general_ci default NULL,
  `contact_email` varchar(60) collate latin1_general_ci default NULL,
  `use_frequency` bigint(20) unsigned NOT NULL default '0',
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`firm_id`),
  KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_insurance_firm`
-- 

INSERT INTO `care_insurance_firm` (`firm_id`, `name`, `iso_country_id`, `sub_area`, `type_nr`, `addr`, `addr_mail`, `addr_billing`, `addr_email`, `phone_main`, `phone_aux`, `fax_main`, `fax_aux`, `contact_person`, `contact_phone`, `contact_fax`, `contact_email`, `use_frequency`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('ISKSH', 'Instituti i Sigurimeve Shendetesore', '', '', 0, 'Tirane', 'info@isksh.al', 'Tirane', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', 'Create: 2006-10-01 18:50:36 admin\n', '', '2006-10-02 03:50:36', 'admin', '2006-10-02 03:50:36');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_mail_private`
-- 

CREATE TABLE `care_mail_private` (
  `recipient` varchar(60) collate latin1_general_ci NOT NULL,
  `sender` varchar(60) collate latin1_general_ci NOT NULL,
  `sender_ip` varchar(60) collate latin1_general_ci NOT NULL,
  `cc` varchar(255) collate latin1_general_ci NOT NULL,
  `bcc` varchar(255) collate latin1_general_ci NOT NULL,
  `subject` varchar(255) collate latin1_general_ci NOT NULL,
  `body` text collate latin1_general_ci NOT NULL,
  `sign` varchar(255) collate latin1_general_ci NOT NULL,
  `ask4ack` tinyint(4) NOT NULL default '0',
  `reply2` varchar(255) collate latin1_general_ci NOT NULL,
  `attachment` varchar(255) collate latin1_general_ci NOT NULL,
  `attach_type` varchar(30) collate latin1_general_ci NOT NULL,
  `read_flag` tinyint(4) NOT NULL default '0',
  `mailgroup` varchar(60) collate latin1_general_ci NOT NULL,
  `maildir` varchar(60) collate latin1_general_ci NOT NULL,
  `exec_level` tinyint(4) NOT NULL default '0',
  `exclude_addr` text collate latin1_general_ci NOT NULL,
  `send_dt` datetime NOT NULL default '0000-00-00 00:00:00',
  `send_stamp` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `uid` varchar(255) collate latin1_general_ci NOT NULL,
  KEY `recipient` (`recipient`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_mail_private`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_mail_private_users`
-- 

CREATE TABLE `care_mail_private_users` (
  `user_name` varchar(60) collate latin1_general_ci NOT NULL,
  `email` varchar(60) collate latin1_general_ci NOT NULL,
  `alias` varchar(60) collate latin1_general_ci NOT NULL,
  `pw` varchar(255) collate latin1_general_ci NOT NULL,
  `inbox` longtext collate latin1_general_ci NOT NULL,
  `sent` longtext collate latin1_general_ci NOT NULL,
  `drafts` longtext collate latin1_general_ci NOT NULL,
  `trash` longtext collate latin1_general_ci NOT NULL,
  `lastcheck` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `lock_flag` tinyint(4) NOT NULL default '0',
  `addr_book` text collate latin1_general_ci NOT NULL,
  `addr_quick` tinytext collate latin1_general_ci NOT NULL,
  `secret_q` tinytext collate latin1_general_ci NOT NULL,
  `secret_q_ans` tinytext collate latin1_general_ci NOT NULL,
  `public` tinyint(4) NOT NULL default '0',
  `sig` tinytext collate latin1_general_ci NOT NULL,
  `append_sig` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_mail_private_users`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_med_ordercatalog`
-- 

CREATE TABLE `care_med_ordercatalog` (
  `item_no` int(11) NOT NULL auto_increment,
  `dept_nr` int(3) NOT NULL default '0',
  `hit` int(11) NOT NULL default '0',
  `artikelname` tinytext collate latin1_general_ci NOT NULL,
  `bestellnum` varchar(20) collate latin1_general_ci NOT NULL,
  `minorder` int(4) NOT NULL default '0',
  `maxorder` int(4) NOT NULL default '0',
  `proorder` tinytext collate latin1_general_ci NOT NULL,
  `furnitor_nr` int(3) default '0',
  `doza` tinytext collate latin1_general_ci,
  `packing` tinytext collate latin1_general_ci,
  PRIMARY KEY  (`item_no`),
  KEY `item_no` (`item_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=4 ;

-- 
-- Dumping data for table `care_med_ordercatalog`
-- 

INSERT INTO `care_med_ordercatalog` (`item_no`, `dept_nr`, `hit`, `artikelname`, `bestellnum`, `minorder`, `maxorder`, `proorder`, `furnitor_nr`, `doza`, `packing`) VALUES (1, 0, 3, 'med_a', '1', 1, 10, '1', 1, NULL, NULL);
INSERT INTO `care_med_ordercatalog` (`item_no`, `dept_nr`, `hit`, `artikelname`, `bestellnum`, `minorder`, `maxorder`, `proorder`, `furnitor_nr`, `doza`, `packing`) VALUES (3, 56, 0, 'med_a', '1', 1, 10, '1', 0, '20 mg', 'TAB');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_med_orderlist`
-- 

CREATE TABLE `care_med_orderlist` (
  `order_nr` int(11) NOT NULL auto_increment,
  `dept_nr` int(3) NOT NULL default '0',
  `order_date` date NOT NULL default '0000-00-00',
  `order_time` time NOT NULL default '00:00:00',
  `articles` text collate latin1_general_ci NOT NULL,
  `extra1` tinytext collate latin1_general_ci NOT NULL,
  `extra2` text collate latin1_general_ci NOT NULL,
  `validator` tinytext collate latin1_general_ci NOT NULL,
  `ip_addr` tinytext collate latin1_general_ci NOT NULL,
  `priority` tinytext collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  `sent_datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  `process_datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`order_nr`),
  KEY `item_nr` (`order_nr`),
  KEY `dept` (`dept_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=102 ;

-- 
-- Dumping data for table `care_med_orderlist`
-- 

INSERT INTO `care_med_orderlist` (`order_nr`, `dept_nr`, `order_date`, `order_time`, `articles`, `extra1`, `extra2`, `validator`, `ip_addr`, `priority`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `sent_datetime`, `process_datetime`) VALUES (99, 56, '2007-11-24', '17:36:13', '', '', '', 'admin', '127.0.0.1', 'normal', 'archive', ' Received  by admin on 2007-11-24 17:36:30\n\r Archived  by admin on 2007-11-24 17:36:45\n\r', '', '2007-11-24 17:36:45', 'admin', '2007-11-24 17:36:13', '2007-11-24 17:36:13', '2007-11-24 17:36:45');
INSERT INTO `care_med_orderlist` (`order_nr`, `dept_nr`, `order_date`, `order_time`, `articles`, `extra1`, `extra2`, `validator`, `ip_addr`, `priority`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `sent_datetime`, `process_datetime`) VALUES (100, 56, '2007-11-24', '19:18:46', '', '', '', 'admin', '127.0.0.1', 'normal', 'archive', ' Received  by admin on 2007-11-24 19:20:47\n\r Archived  by admin on 2007-11-24 19:21:06\n\r', '', '2007-11-24 19:21:06', 'admin', '2007-11-24 19:18:46', '2007-11-24 19:18:46', '2007-11-24 19:21:06');
INSERT INTO `care_med_orderlist` (`order_nr`, `dept_nr`, `order_date`, `order_time`, `articles`, `extra1`, `extra2`, `validator`, `ip_addr`, `priority`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `sent_datetime`, `process_datetime`) VALUES (101, 56, '2007-11-24', '19:19:43', '', '', '', 'admin', '127.0.0.1', 'normal', 'archive', ' Received  by admin on 2007-11-24 19:20:39\n\r Archived  by admin on 2007-11-24 19:20:57\n\r', '', '2007-11-24 19:20:57', 'admin', '2007-11-24 19:19:43', '2007-11-24 19:19:43', '2007-11-24 19:20:57');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_med_orderlist_sub`
-- 

CREATE TABLE `care_med_orderlist_sub` (
  `sub_order` int(20) NOT NULL auto_increment,
  `order_nr_sub` int(20) NOT NULL,
  `bestellnum` varchar(25) collate latin1_general_ci default '0',
  `idsub` varchar(20) collate latin1_general_ci NOT NULL default '0' COMMENT 'id te care_pharma_products_main_sub',
  `artikelname` varchar(25) collate latin1_general_ci default NULL,
  `pcs` decimal(11,2) default NULL,
  `maxorder` int(11) default NULL,
  `minorder` int(11) default NULL,
  `proorder` int(11) default NULL,
  `njesia` varchar(20) collate latin1_general_ci default NULL,
  `skadenca` date default NULL,
  `cmimi` decimal(11,2) default NULL,
  `doza` decimal(11,2) default NULL,
  `vlera` decimal(11,2) NOT NULL default '0.00',
  PRIMARY KEY  (`sub_order`),
  UNIQUE KEY `sub_order` (`sub_order`),
  KEY `order_nr_sub` (`order_nr_sub`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=7 ;

-- 
-- Dumping data for table `care_med_orderlist_sub`
-- 

INSERT INTO `care_med_orderlist_sub` (`sub_order`, `order_nr_sub`, `bestellnum`, `idsub`, `artikelname`, `pcs`, `maxorder`, `minorder`, `proorder`, `njesia`, `skadenca`, `cmimi`, `doza`, `vlera`) VALUES (4, 99, '1', '1', 'med_a', '5.00', NULL, NULL, 0, '', '0000-00-00', '0.00', '0.00', '0.00');
INSERT INTO `care_med_orderlist_sub` (`sub_order`, `order_nr_sub`, `bestellnum`, `idsub`, `artikelname`, `pcs`, `maxorder`, `minorder`, `proorder`, `njesia`, `skadenca`, `cmimi`, `doza`, `vlera`) VALUES (5, 100, '1', '1', 'med_a', '5.00', NULL, NULL, 1, '', '2008-12-12', '10.00', '20.00', '50.00');
INSERT INTO `care_med_orderlist_sub` (`sub_order`, `order_nr_sub`, `bestellnum`, `idsub`, `artikelname`, `pcs`, `maxorder`, `minorder`, `proorder`, `njesia`, `skadenca`, `cmimi`, `doza`, `vlera`) VALUES (6, 101, '1', '1', 'med_a', '5.00', NULL, NULL, 1, '', '2008-12-12', '10.00', '20.00', '50.00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_med_products_main`
-- 

CREATE TABLE `care_med_products_main` (
  `bestellnum` varchar(25) collate latin1_general_ci NOT NULL,
  `artikelnum` tinytext collate latin1_general_ci NOT NULL,
  `industrynum` tinytext collate latin1_general_ci NOT NULL,
  `artikelname` tinytext collate latin1_general_ci NOT NULL,
  `generic` tinytext collate latin1_general_ci NOT NULL,
  `description` text collate latin1_general_ci NOT NULL,
  `packing` tinytext collate latin1_general_ci NOT NULL,
  `doza` tinytext collate latin1_general_ci,
  `minorder` int(4) NOT NULL default '0',
  `maxorder` int(4) NOT NULL default '0',
  `proorder` tinytext collate latin1_general_ci NOT NULL,
  `picfile` tinytext collate latin1_general_ci NOT NULL,
  `encoder` tinytext collate latin1_general_ci NOT NULL,
  `enc_date` tinytext collate latin1_general_ci NOT NULL,
  `enc_time` tinytext collate latin1_general_ci NOT NULL,
  `lock_flag` tinyint(1) NOT NULL default '0',
  `medgroup` text collate latin1_general_ci NOT NULL,
  `cave` tinytext collate latin1_general_ci NOT NULL,
  `status` varchar(20) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  `magazina` tinytext collate latin1_general_ci,
  `minpcs` int(99) unsigned NOT NULL default '0',
  PRIMARY KEY  (`bestellnum`),
  KEY `bestellnum` (`bestellnum`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci MIN_ROWS=134 MAX_ROWS=10000000 AVG_ROW_LENGTH=135 PACK_KEYS=0 ROW_FORMAT=DYNAMIC;

-- 
-- Dumping data for table `care_med_products_main`
-- 

INSERT INTO `care_med_products_main` (`bestellnum`, `artikelnum`, `industrynum`, `artikelname`, `generic`, `description`, `packing`, `doza`, `minorder`, `maxorder`, `proorder`, `picfile`, `encoder`, `enc_date`, `enc_time`, `lock_flag`, `medgroup`, `cave`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `magazina`, `minpcs`) VALUES ('1', '', '', 'med_a', 'med_a', 'nuk ka', 'TAB', '20 mg', 1, 10, '1', '', 'admin', '2007.11.24', '18.14', 0, 'ABC', 'nuk ka', '', 'Krijuar 2007-11-24 18:15:23 admin\n', '', '0000-00-00 00:00:00', 'admin', '2007-11-24 18:15:23', '', 0);

-- --------------------------------------------------------

-- 
-- Table structure for table `care_med_products_main_historik`
-- 

CREATE TABLE `care_med_products_main_historik` (
  `id` bigint(20) NOT NULL auto_increment,
  `id_farmaci` int(11) NOT NULL default '0',
  `data` date NOT NULL default '0000-00-00',
  `nr_fature` int(11) NOT NULL default '0',
  `medikament` tinytext collate latin1_general_ci,
  `sasia` double NOT NULL default '0',
  `cmimi` double NOT NULL default '0',
  `vlera` double NOT NULL default '0',
  `date_skadence` date NOT NULL default '0000-00-00',
  `id_sub` int(11) NOT NULL COMMENT 'lidhja me id te sub product',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=3 ;

-- 
-- Dumping data for table `care_med_products_main_historik`
-- 

INSERT INTO `care_med_products_main_historik` (`id`, `id_farmaci`, `data`, `nr_fature`, `medikament`, `sasia`, `cmimi`, `vlera`, `date_skadence`, `id_sub`) VALUES (1, 56, '2007-11-24', 101, '1', 5, 10, 50, '2008-12-12', 1);
INSERT INTO `care_med_products_main_historik` (`id`, `id_farmaci`, `data`, `nr_fature`, `medikament`, `sasia`, `cmimi`, `vlera`, `date_skadence`, `id_sub`) VALUES (2, 56, '2007-11-24', 100, '1', 5, 10, 50, '2008-12-12', 1);

-- --------------------------------------------------------

-- 
-- Table structure for table `care_med_products_main_sub`
-- 

CREATE TABLE `care_med_products_main_sub` (
  `id` int(10) NOT NULL auto_increment,
  `pcs` int(4) default NULL,
  `skadenca` date default NULL,
  `cmimi` double default NULL,
  `bestellnum` varchar(25) collate latin1_general_ci default NULL COMMENT 'lidhja me care_med_products_main',
  `idcare_furnizim` int(10) default NULL,
  `create_time` timestamp NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `care_med_products_main_sub`
-- 

INSERT INTO `care_med_products_main_sub` (`id`, `pcs`, `skadenca`, `cmimi`, `bestellnum`, `idcare_furnizim`, `create_time`) VALUES (1, 0, '2008-12-12', 10, '1', 1, '2007-11-24 19:20:47');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_menu_main`
-- 

CREATE TABLE `care_menu_main` (
  `nr` tinyint(3) unsigned NOT NULL auto_increment,
  `sort_nr` tinyint(2) NOT NULL default '0',
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `url` varchar(255) collate latin1_general_ci NOT NULL,
  `is_visible` tinyint(1) unsigned NOT NULL default '1',
  `hide_by` text collate latin1_general_ci,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(60) collate latin1_general_ci default NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=22 ;

-- 
-- Dumping data for table `care_menu_main`
-- 

INSERT INTO `care_menu_main` (`nr`, `sort_nr`, `name`, `LD_var`, `url`, `is_visible`, `hide_by`, `status`, `modify_id`, `modify_time`) VALUES (1, 2, 'Home', 'LDHome', 'main/startframe.php', 1, '', '', '20030922232015', '2007-08-01 16:39:15');
INSERT INTO `care_menu_main` (`nr`, `sort_nr`, `name`, `LD_var`, `url`, `is_visible`, `hide_by`, `status`, `modify_id`, `modify_time`) VALUES (2, 6, 'Patient', 'LDPatient', 'modules/registration_admission/patient_register_pass.php', 1, '', '', '20030922232015', '2007-08-01 16:39:15');
INSERT INTO `care_menu_main` (`nr`, `sort_nr`, `name`, `LD_var`, `url`, `is_visible`, `hide_by`, `status`, `modify_id`, `modify_time`) VALUES (3, 11, 'Admission', 'LDAdmission', 'modules/registration_admission/aufnahme_pass.php', 1, '', '', '20030922232015', '2007-08-01 16:39:15');
INSERT INTO `care_menu_main` (`nr`, `sort_nr`, `name`, `LD_var`, `url`, `is_visible`, `hide_by`, `status`, `modify_id`, `modify_time`) VALUES (4, 16, 'Ambulatory', 'LDAmbulatory', 'modules/ambulatory/ambulatory.php', 1, '', '', '20030922232015', '2007-08-01 16:39:15');
INSERT INTO `care_menu_main` (`nr`, `sort_nr`, `name`, `LD_var`, `url`, `is_visible`, `hide_by`, `status`, `modify_id`, `modify_time`) VALUES (5, 21, 'Medocs', 'LDMedocs', 'modules/medocs/medocs_pass.php', 1, '', '', '20030922232015', '2007-08-01 16:39:15');
INSERT INTO `care_menu_main` (`nr`, `sort_nr`, `name`, `LD_var`, `url`, `is_visible`, `hide_by`, `status`, `modify_id`, `modify_time`) VALUES (6, 26, 'Doctors', 'LDDoctors', 'modules/doctors/doctors.php', 1, '', '', '20030922232015', '2007-08-01 16:39:15');
INSERT INTO `care_menu_main` (`nr`, `sort_nr`, `name`, `LD_var`, `url`, `is_visible`, `hide_by`, `status`, `modify_id`, `modify_time`) VALUES (7, 36, 'Nursing', 'LDNursing', 'modules/nursing/nursing.php', 1, '', '', '20030922232015', '2007-08-01 16:39:15');
INSERT INTO `care_menu_main` (`nr`, `sort_nr`, `name`, `LD_var`, `url`, `is_visible`, `hide_by`, `status`, `modify_id`, `modify_time`) VALUES (8, 41, 'OR', 'LDOR', 'main/op-doku.php', 1, '', '', '20030922232015', '2007-08-01 16:39:15');
INSERT INTO `care_menu_main` (`nr`, `sort_nr`, `name`, `LD_var`, `url`, `is_visible`, `hide_by`, `status`, `modify_id`, `modify_time`) VALUES (9, 46, 'Laboratories', 'LDLabs', 'modules/laboratory/labor.php', 1, '', '', '20030922232015', '2007-08-01 16:39:15');
INSERT INTO `care_menu_main` (`nr`, `sort_nr`, `name`, `LD_var`, `url`, `is_visible`, `hide_by`, `status`, `modify_id`, `modify_time`) VALUES (10, 51, 'Radiology', 'LDRadiology', 'modules/radiology/radiolog.php', 1, '', '', '20030922232015', '2007-08-01 16:39:15');
INSERT INTO `care_menu_main` (`nr`, `sort_nr`, `name`, `LD_var`, `url`, `is_visible`, `hide_by`, `status`, `modify_id`, `modify_time`) VALUES (11, 56, 'Pharmacy', 'LDPharmacy', 'modules/pharmacy/apotheke.php', 1, '', '', '20030922232015', '2007-08-01 16:39:15');
INSERT INTO `care_menu_main` (`nr`, `sort_nr`, `name`, `LD_var`, `url`, `is_visible`, `hide_by`, `status`, `modify_id`, `modify_time`) VALUES (12, 61, 'Medical Depot', 'LDMedDepot', 'modules/med_depot/medlager.php', 1, '', '', '20030922232015', '2007-08-01 16:39:15');
INSERT INTO `care_menu_main` (`nr`, `sort_nr`, `name`, `LD_var`, `url`, `is_visible`, `hide_by`, `status`, `modify_id`, `modify_time`) VALUES (13, 66, 'Directory', 'LDDirectory', 'modules/phone_directory/phone.php', 1, '', '', '20030922232015', '2007-08-01 16:39:15');
INSERT INTO `care_menu_main` (`nr`, `sort_nr`, `name`, `LD_var`, `url`, `is_visible`, `hide_by`, `status`, `modify_id`, `modify_time`) VALUES (14, 71, 'Tech Support', 'LDTechSupport', 'modules/tech/technik.php', 1, '', '', '20030922232015', '2007-08-01 16:39:15');
INSERT INTO `care_menu_main` (`nr`, `sort_nr`, `name`, `LD_var`, `url`, `is_visible`, `hide_by`, `status`, `modify_id`, `modify_time`) VALUES (15, 73, 'System Admin', 'LDEDP', 'modules/system_admin/edv.php', 1, '', '', '20030922232015', '2007-08-01 16:39:15');
INSERT INTO `care_menu_main` (`nr`, `sort_nr`, `name`, `LD_var`, `url`, `is_visible`, `hide_by`, `status`, `modify_id`, `modify_time`) VALUES (16, 76, 'Intranet Email', 'LDIntraEmail', 'modules/intranet_email/intra-email-pass.php', 0, '', '', '20030922232015', '2007-08-01 16:39:15');
INSERT INTO `care_menu_main` (`nr`, `sort_nr`, `name`, `LD_var`, `url`, `is_visible`, `hide_by`, `status`, `modify_id`, `modify_time`) VALUES (17, 81, 'Internet Email', 'LDInterEmail', 'modules/nocc/index.php', 0, '', '', '20030922232015', '2007-08-01 16:39:15');
INSERT INTO `care_menu_main` (`nr`, `sort_nr`, `name`, `LD_var`, `url`, `is_visible`, `hide_by`, `status`, `modify_id`, `modify_time`) VALUES (18, 86, 'Special Tools', 'LDSpecials', 'main/spediens.php', 1, '', '', '20030922232015', '2007-08-01 16:39:15');
INSERT INTO `care_menu_main` (`nr`, `sort_nr`, `name`, `LD_var`, `url`, `is_visible`, `hide_by`, `status`, `modify_id`, `modify_time`) VALUES (19, 91, 'Login', 'LDLogin', 'main/login.php', 1, '', '', '20030922232015', '2007-08-01 16:39:15');
INSERT INTO `care_menu_main` (`nr`, `sort_nr`, `name`, `LD_var`, `url`, `is_visible`, `hide_by`, `status`, `modify_id`, `modify_time`) VALUES (20, 8, 'Appointments', 'LDAppointments', 'modules/appointment_scheduler/appt_main_pass.php', 1, '', '', '20030922232015', '2007-08-01 16:39:15');
INSERT INTO `care_menu_main` (`nr`, `sort_nr`, `name`, `LD_var`, `url`, `is_visible`, `hide_by`, `status`, `modify_id`, `modify_time`) VALUES (21, 0, 'c:\\\\tmp\\\\123', 'LDc:\\\\tmp\\\\123', 'modules/c:\\\\tmp\\\\123/sub_c:\\\\tmp\\\\123.php', 0, '', '', NULL, '2007-08-06 14:20:27');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_menu_sub`
-- 

CREATE TABLE `care_menu_sub` (
  `s_nr` int(11) NOT NULL default '0',
  `s_sort_nr` int(11) NOT NULL default '0',
  `s_main_nr` int(11) NOT NULL default '0',
  `s_ebene` int(11) NOT NULL default '0',
  `s_name` varchar(100) collate latin1_general_ci NOT NULL default '',
  `s_LD_var` varchar(100) collate latin1_general_ci NOT NULL default '',
  `s_url` varchar(100) collate latin1_general_ci NOT NULL default '',
  `s_url_ext` varchar(100) collate latin1_general_ci NOT NULL default '',
  `s_image` varchar(100) collate latin1_general_ci NOT NULL default '',
  `s_open_image` varchar(100) collate latin1_general_ci NOT NULL default '',
  `s_is_visible` varchar(100) collate latin1_general_ci NOT NULL default '',
  `s_hide_by` varchar(100) collate latin1_general_ci NOT NULL default '',
  `s_status` varchar(100) collate latin1_general_ci NOT NULL default '',
  `s_modify_id` varchar(100) collate latin1_general_ci NOT NULL default '',
  `s_modify_time` datetime NOT NULL default '0000-00-00 00:00:00'
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_menu_sub`
-- 

INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (3, 0, 2, 0, '', '', '', '', '../gui/img/common/default/new_group.gif', '../gui/img/common/default/new_group.gif', '1', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (70, 0, 7, 0, '', '', '', '', '../gui/img/common/default/nurse.gif', '../gui/img/common/default/nurse.gif', '', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (20, 0, 1, 0, '', '', '', '', '../gui/img/common/default/articles.gif', '../gui/img/common/default/home.gif', '', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (30, 0, 20, 0, '', '', '', '', '../gui/img/common/default/calendar.gif', '', '', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (5, 2, 2, 1, 'Admission', 'LDAdmission', '../modules/registration_admission/aufnahme_pass.php', '', '../gui/img/common/default/bn.gif', '../gui/img/common/default/bn.gif', '1', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (1, 1, 2, 1, 'Registration', '', '../modules/registration_admission/patient_register_pass.php', '&target=entry', '../gui/img/common/default/post_discussion.gif', '', '1', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (130, 1, 2, 1, 'Search', 'LDSearch', '../modules/registration_admission/patient_register_pass.php', '&target=search', '../gui/img/common/default/findnew.gif', '../gui/img/common/default/findnew.gif', '1', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (135, 1, 2, 1, 'Archive', 'LDArchive', '../modules/registration_admission/patient_register_pass.php', '&target=archiv', '', '', '1', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (140, 5, 2, 2, 'Search', 'LDSearch', '../modules/registration_admission/aufnahme_pass.php', '&target=search', '../gui/img/common/default/findnew.gif', '../gui/img/common/default/findnew.gif', '1', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (145, 6, 2, 2, 'Archive', 'LDArchive', '../modules/registration_admission/aufnahme_pass.php', '&target=archiv', '', '', '1', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (71, 1, 7, 1, 'Wards', '', '../modules/nursing/nursing.php', '', '../gui/img/common/default/bul_arrowgrnsm.gif', '../gui/img/common/default/bul_arrowgrnsm.gif', '', '', '[station]', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (155, 1, 3, 1, 'Archive', 'LDArchive', '../modules/registration_admission/aufnahme_pass.php', '&target=archiv', '', '', '1', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (40, 0, 3, 0, '', '', '', '', '../gui/img/common/default/bn.gif', '../gui/img/common/default/bn.gif', '', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (165, 0, 13, 0, '', '', '', '', '../gui/img/common/default/violet_phone.gif', '../gui/img/common/default/violet_phone.gif', '', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (7, 3, 7, 1, 'Search', '', '../modules/nursing/nursing-patient-such-start.php', '', '../gui/img/common/default/findnew.gif', '', '', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (72, 2, 7, 1, 'Quick view', '', '../modules/nursing/nursing-schnellsicht.php', '', '../gui/img/common/default/eye_s.gif', '', '1', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (50, 0, 4, 0, '', '', '', '', '../gui/img/common/default/disc_unrd.gif', '', '', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (120, 0, 6, 0, '', '', '', '', '../gui/img/common/default/forums.gif', '', '', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (160, 0, 17, 0, '', '', '', '', '../gui/img/common/default/c-mail.gif', '', '', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (190, 0, 16, 0, '', '', '', '', '../gui/img/common/default/bubble2.gif', '', '', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (195, 0, 10, 0, '', '', '', '', '../gui/img/common/default/torso.gif', '', '', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (200, 0, 18, 0, '', '', '', '', '../gui/img/common/default/settings_tree.gif', '', '', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (205, 0, 11, 0, '', '', '', '', '../gui/img/common/default/add.gif', '', '', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (160, 0, 19, 0, '', '', '', '', '../gui/img/common/default/padlock.gif', '../gui/img/common/default/bul_arrowgrnsm.gif', '', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (215, 0, 15, 0, '', '', '', '', '../gui/img/common/default/sections.gif', '', '', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (220, 0, 12, 0, '', '', '', '', '../gui/img/common/default/storage.gif', '', '', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (225, 0, 8, 0, '', '', '', '', '../gui/img/common/default/people_search_online.gif', '', '', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (230, 0, 9, 0, '', '', '', '', '../gui/img/common/default/chart.gif', '', '', '', '', '', '0001-01-01 00:00:00');
INSERT INTO `care_menu_sub` (`s_nr`, `s_sort_nr`, `s_main_nr`, `s_ebene`, `s_name`, `s_LD_var`, `s_url`, `s_url_ext`, `s_image`, `s_open_image`, `s_is_visible`, `s_hide_by`, `s_status`, `s_modify_id`, `s_modify_time`) VALUES (235, 0, 14, 0, '', '', '', '', '../gui/img/common/default/settings_tree.gif', '', '', '', '', '', '0001-01-01 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_method_induction`
-- 

CREATE TABLE `care_method_induction` (
  `nr` smallint(5) unsigned NOT NULL auto_increment,
  `group_nr` tinyint(3) unsigned NOT NULL default '0',
  `method` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=6 ;

-- 
-- Dumping data for table `care_method_induction`
-- 

INSERT INTO `care_method_induction` (`nr`, `group_nr`, `method`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 1, 'not_induced', 'Not induced', 'LDNotInduced', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_method_induction` (`nr`, `group_nr`, `method`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 1, 'unknown', 'Unknown', 'LDUnknown', '', '', '', '2003-08-06 04:12:40', '', '0000-00-00 00:00:00');
INSERT INTO `care_method_induction` (`nr`, `group_nr`, `method`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 1, 'prostaglandin', 'Prostaglandin', 'LDProstaglandin', '', '', '', '2003-08-06 04:12:47', '', '0000-00-00 00:00:00');
INSERT INTO `care_method_induction` (`nr`, `group_nr`, `method`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 1, 'oxytocin', 'Oxytocin', 'LDOxytocin', '', '', '', '2003-08-06 04:12:54', '', '0000-00-00 00:00:00');
INSERT INTO `care_method_induction` (`nr`, `group_nr`, `method`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 1, 'arom', 'AROM', 'LDAROM', '', '', '', '2003-08-06 04:13:02', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_mode_delivery`
-- 

CREATE TABLE `care_mode_delivery` (
  `nr` smallint(5) unsigned NOT NULL auto_increment,
  `group_nr` tinyint(3) unsigned NOT NULL default '0',
  `mode` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci default NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=6 ;

-- 
-- Dumping data for table `care_mode_delivery`
-- 

INSERT INTO `care_mode_delivery` (`nr`, `group_nr`, `mode`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 2, 'normal', 'Normal', 'LDNormal', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_mode_delivery` (`nr`, `group_nr`, `mode`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 2, 'breech', 'Breech', 'LDBreech', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_mode_delivery` (`nr`, `group_nr`, `mode`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 2, 'caesarian', 'Caesarian', 'LDCaesarian', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_mode_delivery` (`nr`, `group_nr`, `mode`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 2, 'forceps', 'Forceps', 'LDForceps', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_mode_delivery` (`nr`, `group_nr`, `mode`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 2, 'vacuum', 'Vacuum', 'LDVacuum', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_neonatal`
-- 

CREATE TABLE `care_neonatal` (
  `nr` int(11) unsigned NOT NULL auto_increment,
  `pid` int(11) unsigned NOT NULL default '0',
  `delivery_date` date NOT NULL default '0000-00-00',
  `parent_encounter_nr` int(11) unsigned NOT NULL default '0',
  `delivery_nr` tinyint(4) NOT NULL default '0',
  `encounter_nr` int(11) unsigned NOT NULL default '0',
  `delivery_place` varchar(60) collate latin1_general_ci NOT NULL,
  `delivery_mode` tinyint(2) NOT NULL default '0',
  `c_s_reason` text collate latin1_general_ci,
  `born_before_arrival` tinyint(1) default '0',
  `face_presentation` tinyint(1) NOT NULL default '0',
  `posterio_occipital_position` tinyint(1) NOT NULL default '0',
  `delivery_rank` tinyint(2) unsigned NOT NULL default '1',
  `apgar_1_min` tinyint(4) NOT NULL default '0',
  `apgar_5_min` tinyint(4) NOT NULL default '0',
  `apgar_10_min` tinyint(4) NOT NULL default '0',
  `time_to_spont_resp` tinyint(2) default NULL,
  `condition` varchar(60) collate latin1_general_ci default '0',
  `weight` float(8,2) unsigned default NULL,
  `length` float(8,2) unsigned default NULL,
  `head_circumference` float(8,2) unsigned default NULL,
  `scored_gestational_age` float(4,2) unsigned default NULL,
  `feeding` tinyint(4) NOT NULL default '0',
  `congenital_abnormality` varchar(125) collate latin1_general_ci NOT NULL,
  `classification` varchar(255) collate latin1_general_ci NOT NULL default '0',
  `disease_category` tinyint(2) NOT NULL default '0',
  `outcome` tinyint(2) NOT NULL default '0',
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  KEY `pid` (`pid`),
  KEY `pregnancy_nr` (`parent_encounter_nr`),
  KEY `encounter_nr` (`encounter_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_neonatal`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_news_article`
-- 

CREATE TABLE `care_news_article` (
  `nr` int(11) NOT NULL auto_increment,
  `lang` varchar(10) collate latin1_general_ci NOT NULL default 'en',
  `dept_nr` smallint(5) unsigned NOT NULL default '0',
  `category` tinytext collate latin1_general_ci NOT NULL,
  `status` varchar(10) collate latin1_general_ci NOT NULL default 'pending',
  `title` varchar(255) collate latin1_general_ci NOT NULL,
  `preface` text collate latin1_general_ci NOT NULL,
  `body` text collate latin1_general_ci NOT NULL,
  `pic` blob,
  `pic_mime` varchar(4) collate latin1_general_ci default NULL,
  `art_num` tinyint(1) NOT NULL default '0',
  `head_file` tinytext collate latin1_general_ci NOT NULL,
  `main_file` tinytext collate latin1_general_ci NOT NULL,
  `pic_file` tinytext collate latin1_general_ci NOT NULL,
  `author` varchar(30) collate latin1_general_ci NOT NULL,
  `submit_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `encode_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `publish_date` date NOT NULL default '0000-00-00',
  `modify_id` varchar(30) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(30) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  KEY `item_no` (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_news_article`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_ops301_de`
-- 

CREATE TABLE `care_ops301_de` (
  `code` varchar(12) collate latin1_general_ci NOT NULL,
  `description` text collate latin1_general_ci NOT NULL,
  `inclusive` text collate latin1_general_ci NOT NULL,
  `exclusive` text collate latin1_general_ci NOT NULL,
  `notes` text collate latin1_general_ci NOT NULL,
  `std_code` char(1) collate latin1_general_ci NOT NULL,
  `sub_level` tinyint(4) NOT NULL default '0',
  `remarks` text collate latin1_general_ci NOT NULL,
  KEY `code` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_ops301_de`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_ops301_es`
-- 

CREATE TABLE `care_ops301_es` (
  `code` varchar(12) collate latin1_general_ci NOT NULL,
  `description` text collate latin1_general_ci NOT NULL,
  `inclusive` text collate latin1_general_ci NOT NULL,
  `exclusive` text collate latin1_general_ci NOT NULL,
  `notes` text collate latin1_general_ci NOT NULL,
  `std_code` char(1) collate latin1_general_ci NOT NULL,
  `sub_level` tinyint(4) NOT NULL default '0',
  `remarks` text collate latin1_general_ci NOT NULL,
  KEY `code` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_ops301_es`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_ops301_it`
-- 

CREATE TABLE `care_ops301_it` (
  `code` varchar(12) collate latin1_general_ci NOT NULL,
  `description` text collate latin1_general_ci NOT NULL,
  `inclusive` text collate latin1_general_ci NOT NULL,
  `exclusive` text collate latin1_general_ci NOT NULL,
  `notes` text collate latin1_general_ci NOT NULL,
  `std_code` char(1) collate latin1_general_ci NOT NULL,
  `sub_level` tinyint(4) NOT NULL default '0',
  `remarks` text collate latin1_general_ci NOT NULL,
  KEY `code` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_ops301_it`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_op_med_doc`
-- 

CREATE TABLE `care_op_med_doc` (
  `nr` bigint(20) unsigned NOT NULL auto_increment,
  `op_date` varchar(12) collate latin1_general_ci NOT NULL,
  `operator` tinytext collate latin1_general_ci NOT NULL,
  `encounter_nr` int(11) unsigned NOT NULL default '0',
  `dept_nr` smallint(5) unsigned NOT NULL default '0',
  `diagnosis` text collate latin1_general_ci NOT NULL,
  `localize` text collate latin1_general_ci NOT NULL,
  `therapy` text collate latin1_general_ci NOT NULL,
  `special` text collate latin1_general_ci NOT NULL,
  `class_s` tinyint(4) NOT NULL default '0',
  `class_m` tinyint(4) NOT NULL default '0',
  `class_l` tinyint(4) NOT NULL default '0',
  `op_start` varchar(8) collate latin1_general_ci NOT NULL,
  `op_end` varchar(8) collate latin1_general_ci NOT NULL,
  `scrub_nurse` varchar(70) collate latin1_general_ci NOT NULL,
  `op_room` varchar(10) collate latin1_general_ci NOT NULL,
  `status` varchar(15) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  KEY `encounter_nr` (`encounter_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `care_op_med_doc`
-- 

INSERT INTO `care_op_med_doc` (`nr`, `op_date`, `operator`, `encounter_nr`, `dept_nr`, `diagnosis`, `localize`, `therapy`, `special`, `class_s`, `class_m`, `class_l`, `op_start`, `op_end`, `scrub_nurse`, `op_room`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, '2007-10-31', 'demo', 2007000355, 56, 'A0001', 'siperm', 'nuk ka', 'nuk ka', 1, 2, 4, '12:00:00', '13:00:00', 'gjerg', '12', '', 'Create: 2007-10-31 22:04:37 = demo\n', '', '2007-10-31 22:04:37', 'demo', '2007-10-31 22:04:37');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_person`
-- 

CREATE TABLE `care_person` (
  `pid` int(11) unsigned NOT NULL auto_increment,
  `date_reg` datetime NOT NULL default '0000-00-00 00:00:00',
  `name_first` varchar(60) collate latin1_general_ci NOT NULL,
  `name_2` varchar(60) collate latin1_general_ci default NULL,
  `name_3` varchar(60) collate latin1_general_ci default NULL,
  `name_middle` varchar(60) collate latin1_general_ci default NULL,
  `name_last` varchar(60) collate latin1_general_ci NOT NULL,
  `name_maiden` varchar(60) collate latin1_general_ci default NULL,
  `name_others` text collate latin1_general_ci NOT NULL,
  `date_birth` date NOT NULL default '0000-00-00',
  `blood_group` char(2) collate latin1_general_ci NOT NULL,
  `addr_str` varchar(60) collate latin1_general_ci NOT NULL,
  `addr_str_nr` varchar(10) collate latin1_general_ci NOT NULL,
  `addr_zip` varchar(15) collate latin1_general_ci NOT NULL,
  `addr_citytown_nr` mediumint(8) unsigned NOT NULL default '0',
  `addr_is_valid` tinyint(1) NOT NULL default '0',
  `citizenship` varchar(35) collate latin1_general_ci default NULL,
  `phone_1_code` varchar(15) collate latin1_general_ci default '0',
  `phone_1_nr` varchar(35) collate latin1_general_ci default NULL,
  `phone_2_code` varchar(15) collate latin1_general_ci default '0',
  `phone_2_nr` varchar(35) collate latin1_general_ci default NULL,
  `cellphone_1_nr` varchar(35) collate latin1_general_ci default NULL,
  `cellphone_2_nr` varchar(35) collate latin1_general_ci default NULL,
  `fax` varchar(35) collate latin1_general_ci default NULL,
  `email` varchar(60) collate latin1_general_ci default NULL,
  `civil_status` varchar(35) collate latin1_general_ci NOT NULL,
  `sex` char(1) collate latin1_general_ci NOT NULL,
  `title` varchar(25) collate latin1_general_ci default NULL,
  `photo` blob,
  `photo_filename` varchar(60) collate latin1_general_ci NOT NULL,
  `ethnic_orig` mediumint(8) unsigned default NULL,
  `org_id` varchar(60) collate latin1_general_ci default NULL,
  `sss_nr` varchar(60) collate latin1_general_ci default NULL,
  `nat_id_nr` varchar(60) collate latin1_general_ci default NULL,
  `religion` varchar(125) collate latin1_general_ci default NULL,
  `mother_pid` int(11) unsigned NOT NULL default '0',
  `father_pid` int(11) unsigned NOT NULL default '0',
  `contact_person` varchar(255) collate latin1_general_ci default NULL,
  `contact_pid` int(11) unsigned NOT NULL default '0',
  `contact_relation` varchar(25) collate latin1_general_ci default '0',
  `death_date` date NOT NULL default '0000-00-00',
  `death_encounter_nr` int(10) unsigned NOT NULL default '0',
  `death_cause` varchar(255) collate latin1_general_ci default NULL,
  `death_cause_code` varchar(15) collate latin1_general_ci default NULL,
  `date_update` datetime default NULL,
  `status` varchar(20) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`pid`),
  KEY `name_last` (`name_last`),
  KEY `name_first` (`name_first`),
  KEY `date_reg` (`date_reg`),
  KEY `date_birth` (`date_birth`),
  KEY `pid` (`pid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci ROW_FORMAT=DYNAMIC COMMENT='InnoDB free: 11264 kB' AUTO_INCREMENT=10000538 ;

-- 
-- Dumping data for table `care_person`
-- 

INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000000, '2006-12-18 13:06:37', 'Andrea', '', '', '', 'Mihajli', '', '', '1965-09-16', 'A', 'L.Tom Kola RR. Lin Delia', '1272', '00001', 0, 0, '', '0', '44386', '0', '', '', '', '', '', '', 'm', '', NULL, '', 0, NULL, '123456', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2006-12-18 13:22:20', 'normal', 'Init.reg. 2006-12-18 13:06:37 admin\n\nView 2006-12-18 13:21:40 = adminUpdate 2006-12-18 13:22:20 admin \n\nView 2006-12-18 13:32:49 = admin\nView 2006-12-18 13:34:05 = admin\nView 2006-12-18 13:35:52 = admin\nView 2006-12-18 13:36:24 = admin\nView 2006-12-19 12:07:06 = Eglantina Ujkani\nView 2006-12-19 12:34:10 = Ermal Dibra\nView 2006-12-19 12:38:33 = Ermal Dibra\nView 2006-12-19 12:45:28 = Ermal Dibra\nView 2007-11-20 11:37:50 = admin\nView 2007-11-20 11:38:02 = admin\nView 2007-11-20 11:38:06 = admin\nView 2007-11-20 11:38:24 = admin', 'admin', '2007-11-20 11:38:24', 'admin', '2006-12-18 13:06:37');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000011, '2006-12-19 11:52:44', 'Ismail', NULL, NULL, NULL, 'Kerneshta', NULL, '', '2006-01-25', '', 'Liria', '00', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-19 11:52:44 Eglantina Ujkani\n', '', '2006-12-19 11:52:44', 'Eglantina Ujkani', '2006-12-19 11:52:44');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000012, '2006-12-20 12:04:03', 'Amarildo', 'Gjovalin', 'Vera', NULL, 'Qosja', NULL, '', '2006-08-30', '', 'Shkoder', '159', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '6598', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-20 12:04:03 Eglantina Ujkani\n\nView 2006-12-20 12:22:22 = admin\nView 2006-12-20 12:23:47 = admin\nView 2006-12-22 12:38:22 = Ardiana Dervishi', '', '2006-12-22 12:38:22', 'Eglantina Ujkani', '2006-12-20 12:04:03');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000013, '2006-12-20 12:28:58', 'Amarilda', 'Baba', 'Nana', '', 'Daka', '', '', '2006-12-14', '', 'Rr.3 Dhjetor', '1212', '00012', 1, 0, '', '0', '45456', '0', '', '', '', '', '', '', 'f', '', NULL, '', 0, NULL, '12345', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2006-12-22 12:41:30', 'normal', 'Init.reg. 2006-12-20 12:28:58 admin\n\nView 2006-12-20 12:31:49 = admin\nView 2006-12-20 12:36:20 = admin\nView 2006-12-20 12:37:57 = admin\nView 2006-12-20 12:38:55 = admin\nView 2006-12-20 12:40:00 = admin\nView 2006-12-20 12:41:22 = admin\nView 2006-12-20 12:42:17 = adminUpdate 2006-12-20 12:42:20 admin \n\nView 2006-12-20 12:43:20 = admin\nView 2006-12-20 12:45:05 = admin\nView 2006-12-22 12:37:46 = Ardiana Dervishi\nView 2006-12-22 12:39:55 = Ardiana Dervishi\nView 2006-12-22 12:40:36 = Ardiana DervishiUpdate 2006-12-22 12:41:20 Ardiana Dervishi \nUpdate 2006-12-22 12:41:30 Ardiana Dervishi \n', 'Ardiana Dervishi', '2006-12-22 12:41:30', 'admin', '2006-12-20 12:28:58');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000014, '2006-12-20 13:17:21', 'Gjergj', 'Pashko', 'Maria', '', 'Sheldija', '', '', '1981-08-03', 'A', 'Rr. 13 Dhjetori', '1212', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '6595', NULL, '', 0, NULL, '0132456789', '', '', 0, 0, NULL, 0, '0', '2006-12-20', 2006000004, NULL, NULL, '2007-08-25 15:55:19', 'normal', 'Init.reg. 2006-12-20 13:17:21 Ardianu Dervishi\nDischarged (cause: death) 2006-12-20 13:24:48 Ardianu Dervishi\n\nView 2007-01-13 10:46:47 = admin\nView 2007-07-31 14:28:10 = admin\nView 2007-08-25 15:54:24 = adminUpdate 2007-08-25 15:54:49 admin \nUpdate 2007-08-25 15:55:06 admin \nUpdate 2007-08-25 15:55:15 admin \nUpdate 2007-08-25 15:55:19 admin \n\nView 2007-08-27 22:11:41 = admin', 'admin', '2007-08-27 22:11:41', 'Ardianu Dervishi', '2006-12-20 13:17:21');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000015, '2006-12-22 11:52:42', 'Egla', 'Sokol', 'Ermira', NULL, 'Mani', NULL, '', '2006-11-09', '', 'Perash', '00', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '6730', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-22 11:52:42 Ardianu Dervishi\n\nView 2007-02-01 11:01:14 = Mikel Pavaci', '', '2007-02-01 11:01:14', 'Ardianu Dervishi', '2006-12-22 11:52:42');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000016, '2006-12-22 12:56:29', 'Luena', 'Lulezim', 'Suzana', '', 'Manaj', '', '', '2006-10-28', '', 'Koplik', '002', '00010', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '1258', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2006-12-22 13:14:49', 'normal', 'Init.reg. 2006-12-22 12:56:29 Ardiana Dervishi\n\nView 2006-12-22 13:12:40 = Ardiana Dervishi\nView 2006-12-22 13:14:30 = Ardiana DervishiUpdate 2006-12-22 13:14:49 Ardiana Dervishi \n', 'Ardiana Dervishi', '2006-12-22 13:14:49', 'Ardiana Dervishi', '2006-12-22 12:56:29');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000017, '2006-12-27 11:35:39', 'Antonio', 'Fredi', 'Ariela', NULL, 'Gjolaj', NULL, '', '2004-06-14', '', 'L: 3 Hronjt', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '1', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-27 11:35:39 Ardiana Dervishi\n\nView 2007-01-13 10:47:15 = admin\nView 2007-01-13 10:47:23 = admin', '', '2007-01-13 10:47:23', 'Ardiana Dervishi', '2006-12-27 11:35:39');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000018, '2006-12-27 11:43:43', 'Sabiana', 'Dashamir', 'Lavdije', NULL, 'Milani', NULL, '', '2005-03-05', '', 'Mes', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '2', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-27 11:43:43 Ardiana Dervishi\n\nView 2007-08-01 18:11:26 = admin\nView 2007-08-06 18:57:57 = Mikel Pavaci\nView 2007-08-06 19:33:25 = Mikel Pavaci\nView 2007-08-06 20:17:33 = Mikel Pavaci\nView 2007-08-06 20:20:07 = Mikel Pavaci\nView 2007-08-06 20:21:15 = Mikel Pavaci\nView 2007-08-06 20:21:55 = Mikel Pavaci', '', '2007-08-06 20:21:55', 'Ardiana Dervishi', '2006-12-27 11:43:43');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000019, '2006-12-27 11:57:27', 'Sidri', 'Sokol', 'Alba', NULL, 'Kraja', NULL, '', '2006-03-24', '', 'Kiras', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '3', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-27 11:57:27 Ardiana Dervishi\n', '', '2006-12-27 11:57:27', 'Ardiana Dervishi', '2006-12-27 11:57:27');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000020, '2006-12-27 12:18:09', 'Sara', 'Sokol', 'Blerta', NULL, 'Macani', NULL, '', '2002-02-09', '', 'Dajc', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '4', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-27 12:18:09 Ardiana Dervishi\n', '', '2006-12-27 12:18:09', 'Ardiana Dervishi', '2006-12-27 12:18:09');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000021, '2006-12-28 08:15:52', 'Nikolin', 'Ndoc', 'Drande', NULL, 'Fusha', NULL, '', '2006-12-29', '', 'Bardhej', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '24', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-28 08:15:52 Ardiana Dervishi\n\nView 2006-12-29 12:05:52 = Ardiana Dervishi', '', '2006-12-29 12:05:52', 'Ardiana Dervishi', '2006-12-28 08:15:52');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000022, '2006-12-28 08:32:41', 'Ethem', 'Elmaz', 'Fife', '', 'Katana', '', '', '2006-01-14', '', 'Skenderbeg', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '25', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2006-12-28 08:36:49', 'normal', 'Init.reg. 2006-12-28 08:32:41 Ardiana Dervishi\nUpdate 2006-12-28 08:33:17 Ardiana Dervishi \nUpdate 2006-12-28 08:36:49 Ardiana Dervishi \n\nView 2007-01-11 17:18:27 = admin', 'Ardiana Dervishi', '2007-01-11 17:18:27', 'Ardiana Dervishi', '2006-12-28 08:32:41');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000023, '2006-12-28 08:51:29', 'Damiano', 'Leke', 'Diella', NULL, 'Papushi', NULL, '', '2006-09-23', '', 'Tamare', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '26', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-28 08:51:29 Ardiana Dervishi\n', '', '2006-12-28 08:51:29', 'Ardiana Dervishi', '2006-12-28 08:51:29');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000024, '2006-12-28 09:03:17', 'Flavio', 'Marin', 'Adela', NULL, 'Filipi', NULL, '', '2006-11-13', '', 'Skenderbeg', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '6790', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-28 09:03:17 Ardiana Dervishi\n', '', '2006-12-28 09:03:17', 'Ardiana Dervishi', '2006-12-28 09:03:17');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000025, '2006-12-28 09:15:31', 'Marian', 'Bardh', 'Pavlina', '', 'Leka', '', '', '1998-01-11', '', 'Pult', '000', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '6806', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2006-12-28 10:12:25', 'normal', 'Init.reg. 2006-12-28 09:15:31 Ardiana Dervishi\n\nView 2006-12-28 10:00:10 = Ardiana Dervishi\nView 2006-12-28 10:05:47 = Ardiana Dervishi\nView 2006-12-28 10:06:00 = Ardiana Dervishi\nView 2006-12-28 10:06:12 = Ardiana Dervishi\nView 2006-12-28 10:06:28 = Ardiana Dervishi\nView 2006-12-28 10:07:46 = Ardiana Dervishi\nView 2006-12-28 10:08:00 = Ardiana Dervishi\nView 2006-12-28 10:08:07 = Ardiana DervishiUpdate 2006-12-28 10:12:25 Ardiana Dervishi \n', 'Ardiana Dervishi', '2006-12-28 10:12:25', 'Ardiana Dervishi', '2006-12-28 09:15:31');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000026, '2006-12-28 10:41:13', 'Nora', 'Besim', 'Shpresa', '', 'culaj', '', '', '2001-12-02', '', 'Bajze', '000', '00013', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '6779', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-10-24 12:01:21', 'normal', 'Init.reg. 2006-12-28 10:41:13 Ardiana Dervishi\n\nView 2006-12-28 11:10:13 = Ardiana Dervishi\nView 2006-12-28 11:12:52 = Ardiana Dervishi\nView 2007-01-20 11:10:28 = Ardiana Dervishi\nView 2007-07-16 22:21:19 = admin\nView 2007-07-22 18:35:02 = admin\nView 2007-10-03 12:57:59 = admin\nView 2007-10-03 12:58:06 = adminUpdate 2007-10-03 13:08:44 admin \n\nView 2007-10-24 12:01:15 = adminUpdate 2007-10-24 12:01:21 admin \n', 'admin', '2007-10-24 12:01:21', 'Ardiana Dervishi', '2006-12-28 10:41:13');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000027, '2006-12-28 10:48:15', 'Lejda', 'Avdyl', 'Lumturije', '', 'Tyebetari', '', '', '2001-12-12', '', 'Drisht', '000', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '6804', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2006-12-28 10:58:22', 'normal', 'Init.reg. 2006-12-28 10:48:15 Ardiana Dervishi\n\nView 2006-12-28 10:54:29 = Ardiana DervishiUpdate 2006-12-28 10:58:22 Ardiana Dervishi \n', 'Ardiana Dervishi', '2006-12-28 10:58:22', 'Ardiana Dervishi', '2006-12-28 10:48:15');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000028, '2006-12-28 11:21:25', 'Fernando', 'Gjok', 'Vitore', NULL, 'Qolaj', NULL, '', '2006-09-11', '', 'Oblik', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '6844', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-28 11:21:25 Ardiana Dervishi\n\nView 2006-12-29 10:15:30 = Ermal Dibra\nView 2006-12-29 10:16:37 = Ermal Dibra', '', '2006-12-29 10:16:37', 'Ardiana Dervishi', '2006-12-28 11:21:25');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000029, '2006-12-28 11:28:30', 'Enisa', 'Burim', 'Luljeta', NULL, 'GJoreta', NULL, '', '2003-12-01', '', 'Trush', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '6758', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-28 11:28:30 Ardiana Dervishi\n', '', '2006-12-28 11:28:30', 'Ardiana Dervishi', '2006-12-28 11:28:30');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000030, '2006-12-28 11:40:59', 'Arges', 'Alban', 'Ermira', NULL, 'Isaj', NULL, '', '2006-02-02', '', 'Berdic', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '6819', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-28 11:40:59 Ardiana Dervishi\n', '', '2006-12-28 11:40:59', 'Ardiana Dervishi', '2006-12-28 11:40:59');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000031, '2006-12-28 11:49:17', 'Emilja', 'Gjergj', 'Flora', NULL, 'Preka', NULL, '', '2005-11-05', '', 'Bardhej', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '31', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-28 11:49:17 Ardiana Dervishi\n', '', '2006-12-28 11:49:17', 'Ardiana Dervishi', '2006-12-28 11:49:17');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000032, '2006-12-28 11:57:47', 'Gentjana', 'Fatmir', 'Asnije', NULL, 'Bushaj', NULL, '', '2006-06-27', '', 'Drisht', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '6784', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-28 11:57:47 Ardiana Dervishi\n', '', '2006-12-28 11:57:47', 'Ardiana Dervishi', '2006-12-28 11:57:47');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000033, '2006-12-28 12:06:26', 'Kristjan', 'Nikolin', 'Adelina', NULL, 'Ndoci', NULL, '', '2005-08-20', '', 'L.M Alimali', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '28', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-28 12:06:26 Ardiana Dervishi\n\nView 2007-01-03 11:38:11 = Ardiana Dervishi', '', '2007-01-03 11:38:11', 'Ardiana Dervishi', '2006-12-28 12:06:26');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000034, '2006-12-28 12:28:39', 'Ferit', 'Shefqet', 'Hava', NULL, 'Piranaj', NULL, '', '1935-08-05', '', 'Salo Halili', '000', '00012', 0, 0, NULL, '0', '417-53', '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '3516', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-28 12:28:39 Ermal Dibra\n\nView 2006-12-28 12:47:23 = Ermal Dibra', '', '2006-12-28 12:47:23', 'Ermal Dibra', '2006-12-28 12:28:39');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000035, '2006-12-29 08:29:13', 'Raisa', 'Andi', 'Gjystina', NULL, 'Hafizi', NULL, '', '2006-09-29', '', 'L.3 Herojt', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '44', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-29 08:29:13 Mikel Pavaci\n\nView 2006-12-29 11:35:17 = Ardiana Dervishi', '', '2006-12-29 11:35:17', 'Mikel Pavaci', '2006-12-29 08:29:13');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000036, '2006-12-29 08:59:56', 'Pula', 'Gjelosh', 'Dila', NULL, 'Mhilli', NULL, '', '1955-08-20', '', 'L.M.Alimani,Rr.A.Kondi', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '10/2222', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-29 08:59:56 Mikel Pavaci\n\nView 2006-12-29 11:45:34 = Ermal Dibra\nView 2007-01-11 08:38:45 = Ermal Dibra\nView 2007-01-11 08:40:02 = Ermal Dibra\nView 2007-01-11 08:52:23 = Ermal Dibra\nView 2007-01-11 08:55:11 = Ermal Dibra', '', '2007-01-11 08:55:11', 'Mikel Pavaci', '2006-12-29 08:59:56');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000037, '2006-12-29 09:15:29', 'Pamela', 'Lazer', 'Marije', NULL, 'Mirashi', NULL, '', '2001-09-29', '', 'Grude', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '41', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-29 09:15:29 Mikel Pavaci\n\nView 2006-12-29 11:09:34 = Ardiana Dervishi\nView 2006-12-29 11:30:12 = Ardiana Dervishi\nView 2006-12-29 12:05:32 = Ardiana Dervishi', '', '2006-12-29 12:05:32', 'Mikel Pavaci', '2006-12-29 09:15:29');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000038, '2006-12-29 09:19:10', 'Sidorela', 'Blerim', 'Ardita', NULL, 'Mlloja', NULL, '', '2006-11-16', '', 'Berdice', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '40', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-29 09:19:10 Mikel Pavaci\n\nView 2006-12-29 11:02:41 = Ardiana Dervishi', '', '2006-12-29 11:02:41', 'Mikel Pavaci', '2006-12-29 09:19:10');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000039, '2006-12-29 09:51:35', 'Ded', 'Kole', 'Lule', NULL, 'Marashi', NULL, '', '1926-05-07', '', 'L.3 Herojt,', '000', '00012', 1, 0, NULL, '0', '000', '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '10/2223', NULL, '', NULL, NULL, '8379/3', NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-29 09:51:35 Mikel Pavaci\n\nView 2006-12-29 11:03:45 = Mikel Pavaci\nView 2006-12-29 11:22:15 = Ermal Dibra\nView 2006-12-29 11:23:46 = Ermal Dibra\nView 2006-12-29 11:42:34 = Ermal Dibra\nView 2007-01-11 12:11:35 = Mikel Pavaci\nView 2007-01-23 19:28:05 = Greta Naraci\nView 2007-01-23 19:28:37 = Greta Naraci\nView 2007-01-23 19:29:51 = Greta Naraci\nView 2007-01-23 19:32:59 = Greta Naraci', '', '2007-01-23 19:32:59', 'Mikel Pavaci', '2006-12-29 09:51:35');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000040, '2006-12-29 12:25:15', 'Bahrije', 'Veli', 'Vace', NULL, 'Saraci', NULL, '', '1937-01-13', '', 'L.Perash', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '10/2225', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-29 12:25:15 Mikel Pavaci\n', '', '2006-12-29 12:25:15', 'Mikel Pavaci', '2006-12-29 12:25:15');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000041, '2006-12-29 12:30:12', 'Teki', 'Qamil', 'Elma', NULL, 'Demi', NULL, '', '1933-01-23', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '10/2226', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-29 12:30:12 Mikel Pavaci\n', '', '2006-12-29 12:30:12', 'Mikel Pavaci', '2006-12-29 12:30:12');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000042, '2006-12-29 12:36:48', 'Mjaftije', 'Hasan', 'Nurije', NULL, 'Selmani', NULL, '', '1960-02-25', '', 'L.Liria', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '10/2227', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-29 12:36:48 Mikel Pavaci\n', '', '2006-12-29 12:36:48', 'Mikel Pavaci', '2006-12-29 12:36:48');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000043, '2006-12-30 09:26:22', 'Manjola', '', '', '', 'Rama', '', '', '1973-07-20', 'O', 'P.Rexhepi: L.Saraci', '81', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-05 11:13:47', 'normal', 'Init.reg. 2006-12-30 09:26:22 admin\n\nView 2007-01-05 11:08:44 = admin\nView 2007-01-05 11:13:18 = admin\nView 2007-01-05 11:13:33 = adminUpdate 2007-01-05 11:13:47 admin \n\nView 2007-01-05 11:14:03 = admin\nView 2007-01-12 14:15:03 = admin\nView 2007-01-13 11:48:05 = Ermal Dibra', 'admin', '2007-01-13 11:48:05', 'admin', '2006-12-30 09:26:22');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000044, '2006-12-30 09:35:13', 'Vehbi', 'Oso', 'Bedrije', NULL, 'Shima', NULL, '', '1950-04-12', '', 'Bushat', '0000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-30 09:35:13 Ermal Dibra\n\nView 2006-12-30 09:35:32 = Ermal Dibra', '', '2006-12-30 09:35:32', 'Ermal Dibra', '2006-12-30 09:35:13');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000045, '2006-12-30 10:23:35', 'Luciano', 'Mikel', 'Luce', NULL, 'Livadhi', NULL, '', '2006-02-24', '', '2002/2006', '002', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '74', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-30 10:23:35 Ardiana Dervishi\n', '', '2006-12-30 10:23:35', 'Ardiana Dervishi', '2006-12-30 10:23:35');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000046, '2006-12-30 11:02:20', 'Xhesika', 'Agron', 'Shqiponja', NULL, 'Mashi', NULL, '', '2005-10-10', '', 'Tepe', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '70', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-30 11:02:20 Ardiana Dervishi\n', '', '2006-12-30 11:02:20', 'Ardiana Dervishi', '2006-12-30 11:02:20');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000047, '2006-12-30 11:15:28', 'Franc', 'Tonin', 'Drita', NULL, 'Koci', NULL, '', '2001-03-28', '', 'Koplik-Razem', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2006-12-30 11:15:28 Ardiana Dervishi\n\nView 2007-01-24 12:05:21 = Ardiana Dervishi', '', '2007-01-24 12:05:21', 'Ardiana Dervishi', '2006-12-30 11:15:28');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000048, '2007-01-03 11:01:58', 'Elion', 'Artur', 'Nurije', NULL, 'Damnori', NULL, '', '2005-11-16', '', 'Perash', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '94', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-03 11:01:58 Ardiana Dervishi\n', '', '2007-01-03 11:01:58', 'Ardiana Dervishi', '2007-01-03 11:01:58');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000049, '2007-01-03 11:12:54', 'Selma', 'Nimet', 'Alma', NULL, 'Tarishta', NULL, '', '2006-08-08', '', 'Zogej', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '95', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-03 11:12:54 Ardiana Dervishi\n', '', '2007-01-03 11:12:54', 'Ardiana Dervishi', '2007-01-03 11:12:54');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000050, '2007-01-03 11:23:56', 'Pamela', 'Lazer', 'Marije', NULL, 'Mirashi', NULL, '', '2001-11-22', '', 'Grud eRe', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '96', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-03 11:23:56 Ardiana Dervishi\n', '', '2007-01-03 11:23:56', 'Ardiana Dervishi', '2007-01-03 11:23:56');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000051, '2007-01-04 11:34:24', 'Donaldo', 'Tonin', 'Marije', NULL, 'Mirashi', NULL, '', '1996-10-16', '', 'Bardhej', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '122', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-04 11:34:24 Ardiana Dervishi\n\nView 2007-01-04 11:40:25 = Ardiana Dervishi\nView 2007-11-12 12:00:31 = admin\nView 2007-11-12 12:01:33 = admin\nView 2007-11-12 12:02:03 = admin', '', '2007-11-12 12:02:03', 'Ardiana Dervishi', '2007-01-04 11:34:24');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000052, '2007-01-04 11:46:40', 'Matilda', 'Valentin ', 'File', NULL, 'Morsaj', NULL, '', '2003-10-08', '', 'Vermosh', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '123', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-04 11:46:40 Ardiana Dervishi\n', '', '2007-01-04 11:46:40', 'Ardiana Dervishi', '2007-01-04 11:46:40');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000053, '2007-01-05 11:09:59', 'Leonard', 'Lutfi', 'Emanuela', NULL, 'Ballashiti', NULL, '', '2006-07-10', '', 'L.Iliria', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '155', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-05 11:09:59 Ardiana Dervishi\n', '', '2007-01-05 11:09:59', 'Ardiana Dervishi', '2007-01-05 11:09:59');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000054, '2007-01-05 11:17:42', 'Lejla', NULL, NULL, NULL, 'Barka', NULL, '', '1951-04-20', '', 'L:M.Alimani: Rr:Zogi I', '9', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-05 11:17:42 admin\n\nView 2007-11-15 13:03:23 = admin', '', '2007-11-15 13:03:23', 'admin', '2007-01-05 11:17:42');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000055, '2007-01-05 11:18:29', 'Klaudja', 'Simon', 'Violeta', NULL, 'Toma', NULL, '', '1997-01-16', '', 'L.Skenderbeg', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '156', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-05 11:18:29 Ardiana Dervishi\n', '', '2007-01-05 11:18:29', 'Ardiana Dervishi', '2007-01-05 11:18:29');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000056, '2007-01-05 11:23:43', 'Hydajete', NULL, NULL, NULL, 'Naku', NULL, '', '1969-02-16', '', 'L:T.Kola: Rr:N.Z.Hoti', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-05 11:23:43 admin\n', '', '2007-01-05 11:23:43', 'admin', '2007-01-05 11:23:43');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000057, '2007-01-05 11:25:25', 'Ersa', 'Andrea', 'Lirije', NULL, 'Mora', NULL, '', '2006-09-16', '', 'L.N.Gjylbegu', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '158', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-05 11:25:25 Ardiana Dervishi\n', '', '2007-01-05 11:25:25', 'Ardiana Dervishi', '2007-01-05 11:25:25');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000058, '2007-01-05 11:35:33', 'Stiven', 'Pllum', 'Marjana', NULL, 'Brahimaj', NULL, '', '2006-06-21', '', 'Koplik', '000', '00013', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '146', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-05 11:35:33 Ardiana Dervishi\n\nView 2007-01-05 11:36:42 = Ardiana Dervishi', '', '2007-01-05 11:36:42', 'Ardiana Dervishi', '2007-01-05 11:35:33');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000059, '2007-01-05 11:44:37', 'Samanda', 'Gjovalin', 'Jolanda', NULL, 'Kalaj', NULL, '', '2002-10-10', '', 'Shkoder', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '160', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-05 11:44:37 Ardiana Dervishi\n', '', '2007-01-05 11:44:37', 'Ardiana Dervishi', '2007-01-05 11:44:37');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000060, '2007-01-05 11:49:30', 'Suad', 'Isuf', 'Elida', NULL, 'Milani', NULL, '', '2006-01-12', '', 'Mes', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '127', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-05 11:49:30 Ardiana Dervishi\n\nView 2007-01-05 11:53:01 = Ardiana Dervishi\nView 2007-01-05 11:53:43 = Ardiana Dervishi\nView 2007-01-12 12:51:04 = Ermal Dibra', '', '2007-01-12 12:51:04', 'Ardiana Dervishi', '2007-01-05 11:49:30');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000061, '2007-01-06 08:06:53', 'Arbis', 'Andi', 'Silvana', NULL, 'Kuluri', NULL, '', '2006-12-27', '', 'A.Haxhia', '000', '00013', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '176', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-06 08:06:53 Ardiana Dervishi\n\nView 2007-01-08 07:50:01 = Ardiana Dervishi\nView 2007-01-08 07:50:29 = Ardiana Dervishi\nView 2007-01-08 07:51:23 = Ardiana Dervishi', '', '2007-01-08 07:51:23', 'Ardiana Dervishi', '2007-01-06 08:06:53');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000062, '2007-01-06 08:31:25', 'Medina', 'Petrit', 'Irma', NULL, 'Bregu', NULL, '', '2002-01-09', '', 'A.Haxhia', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '180', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-06 08:31:25 Ardiana Dervishi\n\nView 2007-01-06 08:44:21 = Ardiana Dervishi', '', '2007-01-06 08:44:21', 'Ardiana Dervishi', '2007-01-06 08:31:25');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000063, '2007-01-06 08:37:15', 'Ahmet', 'Petrit', 'Irma', NULL, 'Bregu', NULL, '', '2001-01-19', '', 'A.Haxhia', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '181', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-06 08:37:15 Ardiana Dervishi\n', '', '2007-01-06 08:37:15', 'Ardiana Dervishi', '2007-01-06 08:37:15');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000064, '2007-01-08 11:19:57', 'Gezim', 'Hilmi', 'Naxhije', NULL, 'Kastrati', NULL, '', '1946-02-01', '', 'L.V.Kushi', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '23', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-08 11:19:57 \n\nView 2007-01-11 13:20:42 = Mikel Pavaci', '', '2007-01-11 13:20:42', '', '2007-01-08 11:19:57');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000065, '2007-01-08 11:26:09', 'Nife', 'Hysen', 'Gjyze', NULL, 'Tushaj', NULL, '', '1938-06-02', '', 'Dobrac', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '24', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-08 11:26:09 Mikel Pavaci\n\nView 2007-01-11 13:21:39 = Mikel Pavaci', '', '2007-01-11 13:21:39', 'Mikel Pavaci', '2007-01-08 11:26:09');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000066, '2007-01-08 11:30:50', 'Marije', 'Nike', 'Lule', NULL, 'Curri', NULL, '', '1941-10-01', '', 'L.M.Lulaj', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '25', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-08 11:30:50 Mikel Pavaci\n', '', '2007-01-08 11:30:50', 'Mikel Pavaci', '2007-01-08 11:30:50');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000067, '2007-01-08 11:35:02', 'Gjergj', 'Rrake', 'Curre', '', 'Docaj', '', '', '1944-08-01', '', 'Vau i Dejes', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '26', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-08-25 15:55:41', 'normal', 'Init.reg. 2007-01-08 11:35:02 Mikel Pavaci\n\nView 2007-01-26 12:35:27 = Mikel Pavaci\nView 2007-08-25 15:55:27 = adminUpdate 2007-08-25 15:55:34 admin \nUpdate 2007-08-25 15:55:41 admin \n', 'admin', '2007-08-25 15:55:41', 'Mikel Pavaci', '2007-01-08 11:35:02');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000068, '2007-01-08 11:37:54', 'Edmond', 'Marash', 'Bina', NULL, 'Shkambi', NULL, '', '1963-06-03', '', 'L.Skenderbeg', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '27', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-08 11:37:54 Mikel Pavaci\n', '', '2007-01-08 11:37:54', 'Mikel Pavaci', '2007-01-08 11:37:54');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000069, '2007-01-08 11:42:27', 'Nazmije', 'Hysen', 'Lutfije', '', 'Kafexhija', '', '', '1935-05-02', '', 'L.8 Nentori', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '437', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-31 12:25:30', 'normal', 'Init.reg. 2007-01-08 11:42:27 Mikel Pavaci\n\nView 2007-01-31 12:22:31 = Ermal Dibra\nView 2007-01-31 12:24:31 = Mikel PavaciUpdate 2007-01-31 12:25:30 Mikel Pavaci \n', 'Mikel Pavaci', '2007-01-31 12:25:30', 'Mikel Pavaci', '2007-01-08 11:42:27');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000070, '2007-01-08 11:46:22', 'Sabri', 'Muko', 'Ferde', NULL, 'Zagja', NULL, '', '1942-04-03', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '29', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-08 11:46:22 Mikel Pavaci\n\nView 2007-01-09 12:14:34 = Ermal Dibra\nView 2007-01-13 09:24:07 = Ermal Dibra', '', '2007-01-13 09:24:07', 'Mikel Pavaci', '2007-01-08 11:46:22');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000071, '2007-01-08 11:47:33', 'Griselda', 'Gezim', 'Saide', NULL, 'Kapllani', NULL, '', '2004-01-07', '', 'S.Halili', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '211', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-08 11:47:33 Ardiana Dervishi\n\nView 2007-01-08 11:49:59 = Ardiana Dervishi\nView 2007-01-08 11:51:02 = Ardiana Dervishi\nView 2007-01-08 11:51:59 = Ardiana Dervishi\nView 2007-01-08 12:19:02 = Ardiana Dervishi', '', '2007-01-08 12:19:02', 'Ardiana Dervishi', '2007-01-08 11:47:33');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000072, '2007-01-08 11:50:34', 'Zyliha', 'Hysni', 'Fitnet', NULL, 'Xhaferi', NULL, '', '1941-01-09', '', 'L.Partizani', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '30', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-08 11:50:34 Mikel Pavaci\n\nView 2007-01-08 11:55:10 = Mikel Pavaci', '', '2007-01-08 11:55:10', 'Mikel Pavaci', '2007-01-08 11:50:34');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000073, '2007-01-08 11:55:39', 'Edison', 'Skender', 'Shpresa', NULL, 'Kukaj', NULL, '', '1996-01-11', '', 'Grizh', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '225', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-08 11:55:39 Ardiana Dervishi\n\nView 2007-01-08 12:06:34 = Ardiana Dervishi\nView 2007-01-08 12:08:28 = Ardiana Dervishi\nView 2007-01-08 13:18:21 = Ardiana Dervishi', '', '2007-01-08 13:18:21', 'Ardiana Dervishi', '2007-01-08 11:55:39');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000074, '2007-01-08 11:56:52', 'Vera', 'Xhemal', 'Feride', NULL, 'Kopliku', NULL, '', '1947-04-02', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '31', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-08 11:56:52 Mikel Pavaci\n', '', '2007-01-08 11:56:52', 'Mikel Pavaci', '2007-01-08 11:56:52');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000075, '2007-01-08 11:59:44', 'Eliza', 'Vitor', 'Mani', NULL, 'Vjerdha', NULL, '', '1985-08-25', '', 'Bardhaj', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '32', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-08 11:59:44 Mikel Pavaci\n', '', '2007-01-08 11:59:44', 'Mikel Pavaci', '2007-01-08 11:59:44');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000076, '2007-01-08 12:01:56', 'Fatime', 'Rakip', 'Ferite', NULL, 'Rrukaj', NULL, '', '1948-05-10', '', 'Koplik', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '33', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-08 12:01:56 Mikel Pavaci\n\nView 2007-01-13 10:10:49 = Mikel Pavaci\nView 2007-01-13 10:12:27 = Mikel Pavaci', '', '2007-01-13 10:12:27', 'Mikel Pavaci', '2007-01-08 12:01:56');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000077, '2007-01-08 12:04:39', 'Prenda', 'Gjelosh', 'Lena', NULL, 'Qafalogu', NULL, '', '1927-04-02', '', 'Shtoj i Ri', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '34', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-08 12:04:39 Mikel Pavaci\n\nView 2007-01-13 07:47:53 = Ermal Dibra\nView 2007-01-13 09:07:53 = Ermal Dibra', '', '2007-01-13 09:07:53', 'Mikel Pavaci', '2007-01-08 12:04:39');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000078, '2007-01-08 12:06:52', 'Petrit', 'Sabri', 'Hatije', NULL, 'Mashi', NULL, '', '1955-06-02', '', 'L.Q,Stafa', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '35', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-08 12:06:52 Mikel Pavaci\n', '', '2007-01-08 12:06:52', 'Mikel Pavaci', '2007-01-08 12:06:52');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000079, '2007-01-08 12:09:30', 'Shyqyri', 'Halil', 'Rushe', NULL, 'Hysaj', NULL, '', '1956-09-25', '', 'Has', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '36', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-08 12:09:30 Mikel Pavaci\n\nView 2007-01-19 09:19:47 = Ardiana Dervishi\nView 2007-01-26 14:17:30 = Ermal Dibra', '', '2007-01-26 14:17:30', 'Mikel Pavaci', '2007-01-08 12:09:30');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000080, '2007-01-08 12:12:26', 'Arben', 'Horhan', 'Xhemalije', NULL, 'Bekteshi', NULL, '', '1969-04-24', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '37', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-08 12:12:26 Mikel Pavaci\n', '', '2007-01-08 12:12:26', 'Mikel Pavaci', '2007-01-08 12:12:26');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000081, '2007-01-08 12:23:00', 'Erald', 'Sajmir', 'Gezime', '', 'Hoxhaj', '', '', '2006-02-13', '', 'Vau iDejes', '000', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '223', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-08 13:23:01', 'normal', 'Init.reg. 2007-01-08 12:23:00 Ardiana Dervishi\n\nView 2007-01-08 13:20:23 = Ardiana Dervishi\nView 2007-01-08 13:20:31 = Ardiana DervishiUpdate 2007-01-08 13:23:01 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-08 13:23:01', 'Ardiana Dervishi', '2007-01-08 12:23:00');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000082, '2007-01-08 12:30:16', 'Renato', NULL, NULL, NULL, 'Rasha', NULL, '', '1982-06-05', '', 'N.Mazi:A.Spahia', '1100', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-08 12:30:16 admin\n', '', '2007-01-08 12:30:16', 'admin', '2007-01-08 12:30:16');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000083, '2007-01-08 12:42:09', 'Artan', NULL, NULL, NULL, 'Molla', NULL, '', '1981-06-02', 'A', '10 Korriku:H.Bajraktari', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-08 12:42:09 admin\n\nView 2007-01-16 11:10:03 = Ermal Dibra\nView 2007-01-16 11:11:04 = Ermal Dibra', '', '2007-01-16 11:11:04', 'admin', '2007-01-08 12:42:09');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000084, '2007-01-09 09:29:11', 'Amarildo', 'Gjergj', 'Valsava', NULL, 'Delia', NULL, '', '2001-01-11', '', 'Shkoder', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '237', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-09 09:29:11 Ardiana Dervishi\n', '', '2007-01-09 09:29:11', 'Ardiana Dervishi', '2007-01-09 09:29:11');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000085, '2007-01-09 10:36:17', 'Denisa', 'Mirash', 'Bardha', NULL, 'Cobaj', NULL, '', '2005-05-03', '', 'Mazrrek', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '236', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-09 10:36:17 Ardiana Dervishi\n', '', '2007-01-09 10:36:17', 'Ardiana Dervishi', '2007-01-09 10:36:17');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000086, '2007-01-09 10:42:01', 'Xhesika', 'GJoni', 'Liza', NULL, 'Gjoni', NULL, '', '1999-01-20', '', 'Shkoder', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '234', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-09 10:42:01 Ardiana Dervishi\n', '', '2007-01-09 10:42:01', 'Ardiana Dervishi', '2007-01-09 10:42:01');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000087, '2007-01-09 11:11:54', 'Gani', 'Dan', 'Mine', NULL, 'Vulaj', NULL, '', '1962-05-05', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '49', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-09 11:11:54 \n\nView 2007-01-19 09:04:31 = Ardiana Dervishi\nView 2007-01-26 14:16:47 = Ermal Dibra', '', '2007-01-26 14:16:47', '', '2007-01-09 11:11:54');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000088, '2007-01-09 11:20:13', 'Emanuel', 'Ndoc', 'Tina', NULL, 'Dedaj', NULL, '', '2006-02-28', '', 'Tepe', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '233', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-09 11:20:13 Ardiana Dervishi\n\nView 2007-01-31 11:59:31 = Mikel Pavaci', '', '2007-01-31 11:59:31', 'Ardiana Dervishi', '2007-01-09 11:20:13');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000089, '2007-01-09 11:23:22', 'Ymeri', 'Faik', 'Zyra', NULL, 'Muharremi', NULL, '', '1948-02-03', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '50', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-09 11:23:22 Mikel Pavaci\n', '', '2007-01-09 11:23:22', 'Mikel Pavaci', '2007-01-09 11:23:22');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000090, '2007-01-09 11:25:13', 'Florinda', 'Gjin', 'Len', NULL, 'Logu', NULL, '', '1995-01-12', '', 'Vrake', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '222', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-09 11:25:13 Ardiana Dervishi\n\nView 2007-01-12 13:39:11 = Greta Naraci', '', '2007-01-12 13:39:11', 'Ardiana Dervishi', '2007-01-09 11:25:13');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000091, '2007-01-09 11:31:59', 'Stesi', 'Petrit', 'Rezarta', NULL, 'Mlloja', NULL, '', '2006-11-04', '', 'S.Halili', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '238', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-09 11:31:59 Ardiana Dervishi\n\nView 2007-01-18 08:15:48 = Ardiana Dervishi\nView 2007-01-20 08:44:04 = Ardiana Dervishi', '', '2007-01-20 08:44:04', 'Ardiana Dervishi', '2007-01-09 11:31:59');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000092, '2007-01-09 11:35:43', 'Sabri', 'Myrto', 'Sulltana', NULL, 'Kraja', NULL, '', '1936-09-20', '', 'L.Tepe', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '51', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-09 11:35:43 Mikel Pavaci\n', '', '2007-01-09 11:35:43', 'Mikel Pavaci', '2007-01-09 11:35:43');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000093, '2007-01-09 11:39:35', 'Martin', 'Zef', 'Shaqe', NULL, 'Preci', NULL, '', '1953-10-02', '', 'L.3 Herojt', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '52', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-09 11:39:35 Mikel Pavaci\n', '', '2007-01-09 11:39:35', 'Mikel Pavaci', '2007-01-09 11:39:35');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000094, '2007-01-09 11:43:03', 'Hilmi', 'Ali', 'Tale', NULL, 'Mustali', NULL, '', '1954-07-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '53', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-09 11:43:03 Mikel Pavaci\n', '', '2007-01-09 11:43:03', 'Mikel Pavaci', '2007-01-09 11:43:03');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000095, '2007-01-09 11:49:19', 'Nezihate', 'Januz', 'Zyliha', NULL, 'Zymeri', NULL, '', '1957-06-23', '', 'L.Perash', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '54', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-09 11:49:19 Mikel Pavaci\n\nView 2007-01-31 12:36:46 = Ermal Dibra\nView 2007-08-15 11:42:37 = repart\nView 2007-08-15 11:43:28 = repart', '', '2007-08-15 11:43:28', 'Mikel Pavaci', '2007-01-09 11:49:19');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000096, '2007-01-09 11:53:59', 'Gjoke', 'Dode', 'Luke', NULL, 'Smakaj', NULL, '', '1938-03-01', '', 'Koplik', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '55', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-09 11:53:59 Mikel Pavaci\n', '', '2007-01-09 11:53:59', 'Mikel Pavaci', '2007-01-09 11:53:59');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000097, '2007-01-09 11:57:32', 'Marash', 'Lulash', 'File', NULL, 'Lulaj', NULL, '', '1939-03-01', '', 'Hot', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '56', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-09 11:57:32 Mikel Pavaci\n', '', '2007-01-09 11:57:32', 'Mikel Pavaci', '2007-01-09 11:57:32');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000098, '2007-01-09 12:02:11', 'Shaban', 'Brahim', 'Hasije', NULL, 'Mushiqi', NULL, '', '1937-04-17', '', 'Muriqan', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '57', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-09 12:02:11 Mikel Pavaci\n\nView 2007-01-13 07:39:19 = Ermal Dibra', '', '2007-01-13 07:39:19', 'Mikel Pavaci', '2007-01-09 12:02:11');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000099, '2007-01-09 12:06:46', 'Reshit', 'Vece', 'Shpend', NULL, 'Shpendi', NULL, '', '1960-01-01', '', 'Hysej', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '58', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-09 12:06:46 Mikel Pavaci\n\nView 2007-01-13 08:04:00 = Ermal Dibra\nView 2007-01-13 08:10:10 = Ermal Dibra', '', '2007-01-13 08:10:10', 'Mikel Pavaci', '2007-01-09 12:06:46');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000100, '2007-01-09 12:11:30', 'Dede', 'Gjin', 'Prenusha', NULL, 'Dodani', NULL, '', '1957-03-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '59', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-09 12:11:30 Mikel Pavaci\n\nView 2007-01-11 12:32:34 = Mikel Pavaci', '', '2007-01-11 12:32:34', 'Mikel Pavaci', '2007-01-09 12:11:30');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000101, '2007-01-09 12:17:11', 'Dede', 'Gjeto', 'Tone', NULL, 'Kaci', NULL, '', '1945-02-01', '', 'Velipoje', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '60', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-09 12:17:11 Mikel Pavaci\n', '', '2007-01-09 12:17:11', 'Mikel Pavaci', '2007-01-09 12:17:11');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000102, '2007-01-09 12:22:09', 'Indrit', 'Rasim', 'Belkize', NULL, 'Katica', NULL, '', '1999-12-02', '', 'MAlimani', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '224', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-09 12:22:09 Ardiana Dervishi\n', '', '2007-01-09 12:22:09', 'Ardiana Dervishi', '2007-01-09 12:22:09');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000103, '2007-01-09 12:22:28', 'Ydajet', 'Ramazan', 'Hava', NULL, 'Shega', NULL, '', '1945-02-01', '', 'Oblike', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '61', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-09 12:22:28 Mikel Pavaci\n\nView 2007-01-13 07:48:26 = Ermal Dibra\nView 2007-01-13 07:52:52 = Ermal Dibra', '', '2007-01-13 07:52:52', 'Mikel Pavaci', '2007-01-09 12:22:28');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000104, '2007-01-09 12:27:50', 'Tefe', 'Zef', 'Vitore', NULL, 'Voga', NULL, '', '1962-02-01', '', 'Barbullush', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '62', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-09 12:27:50 Mikel Pavaci\n', '', '2007-01-09 12:27:50', 'Mikel Pavaci', '2007-01-09 12:27:50');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000105, '2007-01-10 11:01:47', 'Kleo', 'Gjon', 'Vera', NULL, 'Kurteza', NULL, '', '2006-05-18', '', 'Vrak', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '265', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-10 11:01:47 Ardiana Dervishi\n', '', '2007-01-10 11:01:48', 'Ardiana Dervishi', '2007-01-10 11:01:47');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000106, '2007-01-10 11:07:50', 'Juled', 'Bari', 'Hatije', NULL, 'Reka', NULL, '', '2005-11-07', '', 'Vrak', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '249', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-10 11:07:50 Ardiana Dervishi\n', '', '2007-01-10 11:07:50', 'Ardiana Dervishi', '2007-01-10 11:07:50');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000107, '2007-01-10 11:57:01', 'Hilmi', 'Ali', 'Tale', NULL, 'Mustali', NULL, '', '1954-07-01', '', 'Shkoder', '00000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '53', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-10 11:57:01 Ermal Dibra\n', '', '2007-01-10 11:57:01', 'Ermal Dibra', '2007-01-10 11:57:01');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000108, '2007-01-10 12:07:15', 'Valentina', 'Zef', 'Vitore', NULL, 'Prela', NULL, '', '2006-10-11', '', 'Hajmel', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '245', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-10 12:07:15 Ardiana Dervishi\n\nView 2007-01-26 12:25:59 = Mikel Pavaci', '', '2007-01-26 12:25:59', 'Ardiana Dervishi', '2007-01-10 12:07:15');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000109, '2007-01-10 12:12:05', 'Andela', 'Almen', 'Manjola', NULL, 'Syla', NULL, '', '2006-01-31', '', 'Shkoder', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '246', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-10 12:12:05 Ardiana Dervishi\n', '', '2007-01-10 12:12:05', 'Ardiana Dervishi', '2007-01-10 12:12:05');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000110, '2007-01-10 12:18:56', 'Fatbardha', 'Gjergj', 'Kade', NULL, 'Qorri', NULL, '', '1996-01-19', '', 'Bardhaj', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '247', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-10 12:18:56 Ardiana Dervishi\n\nView 2007-01-12 13:43:20 = Greta Naraci\nView 2007-01-12 13:45:09 = Greta Naraci', '', '2007-01-12 13:45:09', 'Ardiana Dervishi', '2007-01-10 12:18:56');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000111, '2007-01-10 12:24:34', 'Florjana', 'Palok', 'Liljana', NULL, 'Qosja', NULL, '', '2000-01-27', '', 'Vermosh', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '244', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-10 12:24:34 Ardiana Dervishi\n', '', '2007-01-10 12:24:34', 'Ardiana Dervishi', '2007-01-10 12:24:34');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000112, '2007-01-10 12:32:04', 'Fatime', 'Mehmet', 'Nadire', '', 'Pershaj', '', '', '1933-12-24', '', 'Dergut', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '72', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '2007-01-11', 2007000041, NULL, NULL, '2007-01-11 09:58:57', 'normal', 'Init.reg. 2007-01-10 12:32:04 Mikel Pavaci\n\nView 2007-01-11 09:58:36 = adminUpdate 2007-01-11 09:58:57 admin \n\nView 2007-01-11 09:59:19 = admin\nView 2007-01-11 09:59:27 = admin\nView 2007-01-11 10:35:36 = Ermal Dibra\nView 2007-01-11 11:29:44 = Ermal DibraDischarged (cause: death) 2007-01-11 12:15:11 Ermal Dibra\n\nView 2007-01-11 17:16:21 = admin\nView 2007-01-11 17:17:59 = admin\nView 2007-01-11 17:18:06 = admin\nView 2007-01-11 17:18:56 = admin\nView 2007-01-11 17:20:33 = admin\nView 2007-01-11 17:20:50 = admin\nView 2007-01-12 12:38:07 = Ardiana Dervishi\nView 2007-01-12 12:39:19 = Ardiana Dervishi\nView 2007-01-12 14:17:11 = admin', 'Ermal Dibra', '2007-01-12 14:17:11', 'Mikel Pavaci', '2007-01-10 12:32:04');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000113, '2007-01-10 12:32:05', 'Sabiana', 'Daut', 'Diamanta', NULL, 'Bajrami', NULL, '', '2006-08-10', '', 'Lime', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '248', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-10 12:32:05 Ardiana Dervishi\n', '', '2007-01-10 12:32:05', 'Ardiana Dervishi', '2007-01-10 12:32:05');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000114, '2007-01-10 12:36:02', 'Mark', 'Pjeter', 'Sose', NULL, 'Grimci', NULL, '', '1937-06-27', '', 'L.N.Mazi', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '73', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-10 12:36:02 Mikel Pavaci\n\nView 2007-01-11 10:37:57 = Ermal Dibra', '', '2007-01-11 10:37:57', 'Mikel Pavaci', '2007-01-10 12:36:02');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000115, '2007-01-10 12:38:31', 'Cesk', 'Lush', 'Nushi', NULL, 'Cori', NULL, '', '1944-01-31', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '74', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-10 12:38:31 Mikel Pavaci\n\nView 2007-01-13 09:16:26 = Ermal Dibra\nView 2007-01-15 09:26:51 = Ermal Dibra', '', '2007-01-15 09:26:51', 'Mikel Pavaci', '2007-01-10 12:38:31');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000116, '2007-01-10 12:43:39', 'Ledina', 'Jetime', 'Jetime', NULL, 'Berberi', NULL, '', '1973-02-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '75', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-10 12:43:39 Mikel Pavaci\n\nView 2007-01-11 10:04:53 = Mikel Pavaci\nView 2007-01-12 07:58:11 = Ermal Dibra', '', '2007-01-12 07:58:11', 'Mikel Pavaci', '2007-01-10 12:43:39');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000117, '2007-01-10 12:46:22', 'Dede', 'Ndue', 'Trina', NULL, 'Ibraj', NULL, '', '1937-02-23', '', 'F.I Ri', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '76', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-10 12:46:22 Mikel Pavaci\n\nView 2007-01-11 09:54:58 = admin\nView 2007-01-11 10:57:22 = Ermal Dibra\nView 2007-01-13 09:36:06 = Ermal Dibra', '', '2007-01-13 09:36:06', 'Mikel Pavaci', '2007-01-10 12:46:22');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000118, '2007-01-10 12:50:27', 'Gjyste', 'Leke', 'Hana', NULL, 'Dekaj', NULL, '', '1938-02-01', '', 'Hani  i  Hotit', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '77', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-10 12:50:27 Mikel Pavaci\n\nView 2007-01-11 10:07:07 = Mikel Pavaci\nView 2007-01-11 11:17:21 = Ermal Dibra\nView 2007-01-13 09:15:58 = Ermal Dibra\nView 2007-01-16 08:42:22 = Mikel Pavaci', '', '2007-01-16 08:42:22', 'Mikel Pavaci', '2007-01-10 12:50:27');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000119, '2007-01-11 10:46:43', 'Esma', 'Naim', 'Jetmira', NULL, 'Shinaj', NULL, '', '2004-12-13', '', 'Berdic', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '268', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-11 10:46:43 Ardiana Dervishi\n', '', '2007-01-11 10:46:43', 'Ardiana Dervishi', '2007-01-11 10:46:43');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000120, '2007-01-11 10:55:33', 'Suel', 'Fatbardh', 'Arjana', NULL, 'Skuka', NULL, '', '2002-01-12', '', 'Kukel', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '282', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-11 10:55:33 Ardiana Dervishi\n', '', '2007-01-11 10:55:33', 'Ardiana Dervishi', '2007-01-11 10:55:33');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000121, '2007-01-11 11:02:38', 'Armand', 'Agim', 'Shpresa', NULL, 'Vucaj', NULL, '', '1996-01-10', '', 'Grud eRe', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '275', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-11 11:02:38 Ardiana Dervishi\n', '', '2007-01-11 11:02:38', 'Ardiana Dervishi', '2007-01-11 11:02:38');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000122, '2007-01-11 11:08:30', 'Genta', 'Genc', 'Liljana', NULL, 'Franja', NULL, '', '2006-01-04', '', 'Gur iZi', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '267', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-11 11:08:30 Ardiana Dervishi\n', '', '2007-01-11 11:08:30', 'Ardiana Dervishi', '2007-01-11 11:08:30');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000123, '2007-01-11 11:14:17', 'Manuela', 'Astrit', 'Shkurte', NULL, 'Hasani', NULL, '', '1995-01-04', '', 'Tepe', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '281', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-11 11:14:17 Ardiana Dervishi\n', '', '2007-01-11 11:14:17', 'Ardiana Dervishi', '2007-01-11 11:14:17');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000124, '2007-01-11 11:19:57', 'Seljan', 'Sami', 'Gezime', NULL, 'Hoxha', NULL, '', '1994-01-12', '', 'Mjed', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '274', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-11 11:19:57 Ardiana Dervishi\n', '', '2007-01-11 11:19:57', 'Ardiana Dervishi', '2007-01-11 11:19:57');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000125, '2007-01-11 12:22:28', 'Angjelin', 'Pjeter', 'Lula', NULL, 'Gargalla', NULL, '', '1957-07-09', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '86', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-11 12:22:28 Mikel Pavaci\n\nView 2007-01-11 14:25:25 = Ermal Dibra', '', '2007-01-11 14:25:25', 'Mikel Pavaci', '2007-01-11 12:22:28');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000126, '2007-01-11 12:32:11', 'Saime', 'Nazmi', 'Osuna', NULL, 'Katana', NULL, '', '1947-12-05', '', 'Shkoder', '000', '0012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '87', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-11 12:32:11 Mikel Pavaci\n\nView 2007-01-11 12:33:13 = Mikel Pavaci\nView 2007-01-11 13:36:10 = Ermal Dibra', '', '2007-01-11 13:36:10', 'Mikel Pavaci', '2007-01-11 12:32:11');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000127, '2007-01-11 12:37:07', 'Mark', 'Preng', 'Dila', NULL, 'Gjoni', NULL, '', '1954-02-01', '', 'Gomsice', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '88', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-11 12:37:07 Mikel Pavaci\n\nView 2007-01-11 14:16:41 = Ermal Dibra', '', '2007-01-11 14:16:41', 'Mikel Pavaci', '2007-01-11 12:37:07');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000128, '2007-01-11 12:39:55', 'Katrina', 'Leke', 'Prenda', NULL, 'Mhilli', NULL, '', '1952-02-01', '', 'Bardhaj', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '89', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-11 12:39:55 Mikel Pavaci\n\nView 2007-01-11 14:10:39 = Ermal Dibra\nView 2007-01-12 10:26:03 = Ermal Dibra\nView 2007-01-19 08:12:55 = Ermal Dibra', '', '2007-01-19 08:12:55', 'Mikel Pavaci', '2007-01-11 12:39:55');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000129, '2007-01-11 12:42:40', 'Vat', 'Martin', 'Lule', NULL, 'Pjetra', NULL, '', '1934-01-18', '', 'Mes', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '90', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-11 12:42:40 Mikel Pavaci\n\nView 2007-01-11 14:01:36 = Ermal Dibra', '', '2007-01-11 14:01:36', 'Mikel Pavaci', '2007-01-11 12:42:40');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000130, '2007-01-11 12:45:01', 'Drita', 'Rifat', 'Nurije', NULL, 'Ivziku', NULL, '', '1953-05-01', '', 'Shkoder', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '91', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-11 12:45:01 Mikel Pavaci\n\nView 2007-01-11 13:44:10 = Ermal Dibra', '', '2007-01-11 13:44:10', 'Mikel Pavaci', '2007-01-11 12:45:01');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000131, '2007-01-11 12:48:48', 'Dila', 'Prend', 'Prende', NULL, 'Zefi', NULL, '', '1966-02-01', '', 'Oblike', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '92', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-11 12:48:48 Mikel Pavaci\n\nView 2007-01-11 13:25:40 = Ermal Dibra\nView 2007-01-13 09:06:54 = Ermal Dibra', '', '2007-01-13 09:06:54', 'Mikel Pavaci', '2007-01-11 12:48:48');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000132, '2007-01-12 10:09:57', 'Nikola', 'Dede', 'Florinda', NULL, 'Lekndreu', NULL, '', '2006-12-16', '', '3Herojt', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '295', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-12 10:09:57 Ardiana Dervishi\n', '', '2007-01-12 10:09:57', 'Ardiana Dervishi', '2007-01-12 10:09:57');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000133, '2007-01-12 10:20:01', 'Almaro', 'Marin', 'Valentina', NULL, 'Pjetri', NULL, '', '2006-10-09', '', 'Shelqet', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '238', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-12 10:20:01 Ardiana Dervishi\n\nView 2007-01-20 08:54:08 = Ardiana Dervishi\nView 2007-01-23 08:24:35 = Ardiana Dervishi', '', '2007-01-23 08:24:35', 'Ardiana Dervishi', '2007-01-12 10:20:01');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000134, '2007-01-12 11:37:44', 'Zoje', 'Zef', 'Drane', '', 'Ftoni', '', '', '1942-02-01', '', 'L.3 Herojt', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '188', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-18 12:55:46', 'normal', 'Init.reg. 2007-01-12 11:37:44 Mikel Pavaci\n\nView 2007-01-12 12:09:16 = Mikel Pavaci\nView 2007-01-12 12:15:10 = Ermal Dibra\nView 2007-01-12 13:44:20 = Mikel PavaciUpdate 2007-01-12 13:44:35 Mikel Pavaci \n\nView 2007-01-18 09:11:45 = Mikel Pavaci\nView 2007-01-18 09:12:10 = Mikel PavaciUpdate 2007-01-18 09:15:52 Mikel Pavaci \n\nView 2007-01-18 12:55:14 = Ermal DibraUpdate 2007-01-18 12:55:46 Ermal Dibra \n', 'Ermal Dibra', '2007-01-18 12:55:46', 'Mikel Pavaci', '2007-01-12 11:37:44');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000135, '2007-01-12 11:43:48', 'Flutura', 'Feri', 'Xhuber', '', 'Ftoni', '', '', '1970-01-01', '', 'Zus', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '103', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-12 13:44:01', 'normal', 'Init.reg. 2007-01-12 11:43:48 Mikel Pavaci\nUpdate 2007-01-12 11:44:32 Mikel Pavaci \nUpdate 2007-01-12 11:45:32 Mikel Pavaci \n\nView 2007-01-12 12:08:46 = Mikel Pavaci\nView 2007-01-12 12:20:24 = Ermal Dibra\nView 2007-01-12 13:43:42 = Mikel PavaciUpdate 2007-01-12 13:44:01 Mikel Pavaci \n', 'Mikel Pavaci', '2007-01-12 13:44:01', 'Mikel Pavaci', '2007-01-12 11:43:48');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000136, '2007-01-12 11:48:15', 'Ram', 'Jonuz', 'Sholle', '', 'Zeka', '', '', '1941-10-14', 'O', 'Grizhe', '000', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '104', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-12 14:22:58', 'normal', 'Init.reg. 2007-01-12 11:48:15 Mikel Pavaci\n\nView 2007-01-12 12:07:00 = Mikel Pavaci\nView 2007-01-12 12:26:26 = Ermal Dibra\nView 2007-01-12 12:31:55 = Ermal Dibra\nView 2007-01-12 14:22:23 = admin\nView 2007-01-12 14:22:38 = adminUpdate 2007-01-12 14:22:58 admin \n', 'admin', '2007-01-12 14:22:58', 'Mikel Pavaci', '2007-01-12 11:48:15');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000137, '2007-01-12 11:50:49', 'Hedije', 'Ragip', 'Zenepe', '', 'Hoxha', '', '', '1939-11-14', '', 'L.S.Halili', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '105', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-12 13:42:53', 'normal', 'Init.reg. 2007-01-12 11:50:49 Mikel Pavaci\n\nView 2007-01-12 12:05:54 = Mikel Pavaci\nView 2007-01-12 12:32:29 = Ermal Dibra\nView 2007-01-12 13:42:26 = Mikel PavaciUpdate 2007-01-12 13:42:53 Mikel Pavaci \n\nView 2007-01-15 09:31:10 = Ermal Dibra\nView 2007-01-15 09:33:35 = Ermal Dibra', 'Mikel Pavaci', '2007-01-15 09:33:35', 'Mikel Pavaci', '2007-01-12 11:50:49');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000138, '2007-01-12 11:58:29', 'Sulltana', 'Nal', 'Flluz', '', 'Muja', '', '', '1913-11-15', '', 'Koplik', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '106', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-12 13:42:04', 'normal', 'Init.reg. 2007-01-12 11:58:29 Mikel Pavaci\n\nView 2007-01-12 12:40:19 = Ermal Dibra\nView 2007-01-12 13:41:12 = Mikel Pavaci\nView 2007-01-12 13:41:45 = Mikel PavaciUpdate 2007-01-12 13:42:04 Mikel Pavaci \n', 'Mikel Pavaci', '2007-01-12 13:42:04', 'Mikel Pavaci', '2007-01-12 11:58:29');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000139, '2007-01-12 12:00:51', 'Lina', 'Ndue', 'Drande', '', 'Kaceku', '', '', '1955-01-01', '', 'Shkoder', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '107', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-12 13:34:55', 'normal', 'Init.reg. 2007-01-12 12:00:51 Mikel Pavaci\n\nView 2007-01-12 12:05:08 = Mikel Pavaci\nView 2007-01-12 12:45:27 = Ermal Dibra\nView 2007-01-12 13:34:17 = Mikel PavaciUpdate 2007-01-12 13:34:55 Mikel Pavaci \n', 'Mikel Pavaci', '2007-01-12 13:34:55', 'Mikel Pavaci', '2007-01-12 12:00:51');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000140, '2007-01-12 12:50:32', 'Henri', 'Ilir', 'Eriana', '', 'Rama', '', '', '2006-07-04', '', 'Tepe', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '289', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-12 13:43:27', 'normal', 'Init.reg. 2007-01-12 12:50:32 Ardiana Dervishi\n\nView 2007-01-12 13:43:08 = Mikel PavaciUpdate 2007-01-12 13:43:27 Mikel Pavaci \n', 'Mikel Pavaci', '2007-01-12 13:43:27', 'Ardiana Dervishi', '2007-01-12 12:50:32');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000141, '2007-01-12 13:05:51', 'Inda', 'Dritan', 'Edmonda', NULL, 'Beqari', NULL, '', '1999-12-21', '', 'A.Haxhia', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '290', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-12 13:05:51 Ardiana Dervishi\n', '', '2007-01-12 13:05:51', 'Ardiana Dervishi', '2007-01-12 13:05:51');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000142, '2007-01-12 13:39:10', 'Suadeh', 'Menduh', 'Elida', '', 'Islami', '', '', '1990-12-28', '', 'Shkoder', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '108', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-13 11:18:25', 'normal', 'Init.reg. 2007-01-12 13:39:10 Mikel Pavaci\n\nView 2007-01-13 11:17:15 = Mikel PavaciUpdate 2007-01-13 11:18:25 Mikel Pavaci \n\nView 2007-01-13 11:56:17 = Ermal Dibra', 'Mikel Pavaci', '2007-01-13 11:56:17', 'Mikel Pavaci', '2007-01-12 13:39:10');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000143, '2007-01-13 11:10:53', 'Zeqir', 'Brahim', 'Sute', NULL, 'Hoxhaj', NULL, '', '1933-01-01', '', 'Dobrac', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '112', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-13 11:10:53 Mikel Pavaci\n\nView 2007-01-13 12:34:20 = Ermal Dibra', '', '2007-01-13 12:34:20', 'Mikel Pavaci', '2007-01-13 11:10:53');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000144, '2007-01-13 11:13:10', 'Zef', 'Kol', 'Prene', '', 'Fusha', '', '', '1933-05-26', '', 'Grude e Re', '000', '00012', 1, 0, '', '0', '0683182036', '0', '', '', '', '', '', '', 'm', '113', NULL, '', 0, NULL, '1015/13', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-13 12:27:42', 'normal', 'Init.reg. 2007-01-13 11:13:10 Mikel Pavaci\n\nView 2007-01-13 12:17:24 = Ermal Dibra\nView 2007-01-13 12:26:29 = Ermal DibraUpdate 2007-01-13 12:27:42 Ermal Dibra \n', 'Ermal Dibra', '2007-01-13 12:27:42', 'Mikel Pavaci', '2007-01-13 11:13:10');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000145, '2007-01-13 11:16:07', 'Frrok', 'Pjeter', 'Kacud', NULL, 'Bregu', NULL, '', '1968-01-01', '', 'Shosh', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '114', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-13 11:16:07 Mikel Pavaci\n\nView 2007-01-13 12:11:46 = Ermal Dibra', '', '2007-01-13 12:11:46', 'Mikel Pavaci', '2007-01-13 11:16:07');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000146, '2007-01-13 12:39:16', 'Muhamet', 'Medi', 'Teuta', NULL, 'Xhabia', NULL, '', '2006-11-22', '', 'Iliria', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '310', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-13 12:39:16 Ardiana Dervishi\n', '', '2007-01-13 12:39:16', 'Ardiana Dervishi', '2007-01-13 12:39:16');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000147, '2007-01-13 12:44:55', 'Jurgen', 'Ndrek', 'Liljan', NULL, 'Dea', NULL, '', '2002-01-08', '', 'V Dejes', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '312', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-13 12:44:55 Ardiana Dervishi\n', '', '2007-01-13 12:44:55', 'Ardiana Dervishi', '2007-01-13 12:44:55');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000148, '2007-01-13 12:50:19', 'Denisa', 'Asmir', 'Zamira', NULL, 'Pimi', NULL, '', '1992-01-08', '', 'Shkoder', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '270', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-13 12:50:19 Ardiana Dervishi\n\nView 2007-01-13 12:52:19 = Ardiana Dervishi', '', '2007-01-13 12:52:19', 'Ardiana Dervishi', '2007-01-13 12:50:19');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000149, '2007-01-13 12:57:18', 'Klejdi', 'Arben', 'Nexhmije', NULL, 'Sufaj', NULL, '', '1991-01-09', '', 'DoraÃ§', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '294', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-13 12:57:18 Ardiana Dervishi\n', '', '2007-01-13 12:57:18', 'Ardiana Dervishi', '2007-01-13 12:57:18');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000150, '2007-01-15 08:19:45', 'Arjola', 'Astrit', 'Elmir', '', 'Dani', '', '', '2006-12-09', '', 'Berdic', '000', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '331', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-15 08:25:39', 'normal', 'Init.reg. 2007-01-15 08:19:45 Ardiana Dervishi\n\nView 2007-01-15 08:25:05 = Ardiana Dervishi\nView 2007-01-15 08:25:30 = Ardiana DervishiUpdate 2007-01-15 08:25:39 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-15 08:25:39', 'Ardiana Dervishi', '2007-01-15 08:19:45');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000151, '2007-01-15 08:30:48', 'Ankita', 'Luan', 'Fatmira', NULL, 'Delaj', NULL, '', '2005-06-11', '', 'Koplik', '000', '00013', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '332', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 08:30:48 Ardiana Dervishi\n', '', '2007-01-15 08:30:48', 'Ardiana Dervishi', '2007-01-15 08:30:48');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000152, '2007-01-15 10:20:43', 'Ariana', NULL, NULL, NULL, 'Muja', NULL, '', '1953-11-21', '', 'V.Shanto', '1244', '00012', 0, 0, NULL, '0', '43598', '0', NULL, NULL, NULL, NULL, NULL, '', 'f', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 10:20:43 admin\n', '', '2007-01-15 10:20:43', 'admin', '2007-01-15 10:20:43');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000153, '2007-01-15 10:27:34', 'Aferdita', NULL, NULL, NULL, 'Burill', NULL, '', '1951-07-19', 'A', 'Tre Heronjt: Skenderbeg', '2', '0012', 0, 0, NULL, '0', '40005', '0', NULL, NULL, NULL, NULL, NULL, '', 'f', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 10:27:34 admin\n\nView 2007-01-15 10:30:05 = admin', '', '2007-01-15 10:30:05', 'admin', '2007-01-15 10:27:34');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000154, '2007-01-15 10:33:38', 'Semiha', NULL, NULL, NULL, 'Kallugjeri', NULL, '', '1949-11-24', 'A', '8 Nentori: Kong.Permetit', '001', '00012', 0, 0, NULL, '0', '49032', '0', NULL, NULL, NULL, NULL, NULL, '', 'f', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 10:33:38 admin\n', '', '2007-01-15 10:33:38', 'admin', '2007-01-15 10:33:38');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000155, '2007-01-15 10:38:50', 'Luiza', '', '', '', 'Begu', '', '', '0000-00-00', 'B', 'S.Halili/A.Kelmendi', '97', '00012', 0, 0, '', '0', '40628', '0', '', '', '', '', '', '', 'f', '', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-15 10:39:25', 'normal', 'Init.reg. 2007-01-15 10:38:50 admin\nUpdate 2007-01-15 10:39:25 admin \n', 'admin', '2007-01-15 10:39:25', 'admin', '2007-01-15 10:38:50');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000156, '2007-01-15 10:43:08', 'Skender', NULL, NULL, NULL, 'Duka', NULL, '', '1970-03-30', 'A', 'Meha 3', '001', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 10:43:08 admin\n\nView 2007-08-06 21:11:26 = Mikel Pavaci', '', '2007-08-06 21:11:26', 'admin', '2007-01-15 10:43:08');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000157, '2007-01-15 10:46:37', 'Shaqe', 'Ndoje', 'Prende', NULL, 'Marku', NULL, '', '1980-01-30', '', 'Karum', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '124', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 10:46:37 Mikel Pavaci\n\nView 2007-01-15 12:04:32 = Ermal Dibra\nView 2007-01-15 12:18:13 = Mikel Pavaci\nView 2007-01-15 13:00:58 = Ermal Dibra\nView 2007-01-16 07:42:53 = Ermal Dibra', '', '2007-01-16 07:42:53', 'Mikel Pavaci', '2007-01-15 10:46:37');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000158, '2007-01-15 10:47:03', 'Elizabeta', '', '', '', 'Sadiku', '', '', '1948-02-02', 'O', 'V.Shanto/13Dhjetori', '1', '00012', 0, 0, '', '0', '43286', '0', '', '', '', '', '', '', 'f', '', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-15 10:48:09', 'normal', 'Init.reg. 2007-01-15 10:47:03 admin\n\nView 2007-01-15 10:47:41 = adminUpdate 2007-01-15 10:48:09 admin \n', 'admin', '2007-01-15 10:48:09', 'admin', '2007-01-15 10:47:03');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000159, '2007-01-15 10:51:49', 'Hedije', NULL, NULL, NULL, 'Kotrri', NULL, '', '1954-06-27', 'O', 'Dergut', '1', '00012', 0, 0, NULL, '0', '46796', '0', NULL, NULL, NULL, NULL, NULL, '', 'f', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 10:51:49 admin\n', '', '2007-01-15 10:51:49', 'admin', '2007-01-15 10:51:49');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000160, '2007-01-15 10:57:55', 'Sabije', NULL, NULL, NULL, 'Kavaja', NULL, '', '1950-11-14', 'A', 'S.Halili / B.Hebovija', '976', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 10:57:55 admin\n', '', '2007-01-15 10:57:55', 'admin', '2007-01-15 10:57:55');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000161, '2007-01-15 10:59:29', 'Jundena', 'Shpetim', 'Sute', NULL, 'Smajani', NULL, '', '2004-01-01', '', 'D.Matlija', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '125', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 10:59:29 Mikel Pavaci\n', '', '2007-01-15 10:59:29', 'Mikel Pavaci', '2007-01-15 10:59:29');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000162, '2007-01-15 11:04:55', 'Gjela', '', '', '', 'Paci', '', '', '1961-05-02', 'A', 'D.Matlia / H.Bajraktari', '60', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-15 11:08:55', 'normal', 'Init.reg. 2007-01-15 11:04:55 admin\n\nView 2007-01-15 11:08:35 = adminUpdate 2007-01-15 11:08:55 admin \n\nView 2007-01-24 09:16:39 = admin', 'admin', '2007-01-24 09:16:39', 'admin', '2007-01-15 11:04:55');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000163, '2007-01-15 11:17:51', 'Adrian', 'Edmond', 'Regjina', NULL, 'Lazri', NULL, '', '2006-04-07', '', '3 Herojt', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '333', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 11:17:51 Ardiana Dervishi\n\nView 2007-02-01 13:04:16 = Ermal Dibra', '', '2007-02-01 13:04:16', 'Ardiana Dervishi', '2007-01-15 11:17:51');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000164, '2007-01-15 11:25:13', 'Hire', 'Mem', 'Zade', NULL, 'Hidri', NULL, '', '1949-01-01', '', 'Melgushe', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '134', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 11:25:13 Mikel Pavaci\n\nView 2007-01-16 07:37:08 = Ermal Dibra\nView 2007-01-18 10:04:43 = Mikel Pavaci', '', '2007-01-18 10:04:43', 'Mikel Pavaci', '2007-01-15 11:25:13');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000165, '2007-01-15 11:28:19', 'Ergen', 'Ilir', 'Admira', NULL, 'Lami', NULL, '', '2006-04-10', '', 'Bushat', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '333', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 11:28:19 Ardiana Dervishi\n', '', '2007-01-15 11:28:19', 'Ardiana Dervishi', '2007-01-15 11:28:19');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000166, '2007-01-15 11:30:20', 'Mire', 'Prele', 'Lena', NULL, 'Nikaj', NULL, '', '1953-09-02', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '131', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 11:30:20 Mikel Pavaci\n\nView 2007-01-15 11:54:16 = Mikel Pavaci\nView 2007-01-16 07:30:34 = Ermal Dibra', '', '2007-01-16 07:30:34', 'Mikel Pavaci', '2007-01-15 11:30:20');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000167, '2007-01-15 11:37:43', 'Andel', 'Marin', 'Majlinda', NULL, 'Daija', NULL, '', '2005-12-29', '', 'Hajmel', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '336', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 11:37:43 Ardiana Dervishi\n\nView 2007-01-15 11:41:52 = Ardiana Dervishi\nView 2007-01-15 11:42:55 = Ardiana Dervishi\nView 2007-01-15 11:43:56 = Ardiana Dervishi\nView 2007-01-15 11:47:14 = Ardiana Dervishi\nView 2007-01-15 11:47:36 = Ardiana Dervishi', '', '2007-01-15 11:47:36', 'Ardiana Dervishi', '2007-01-15 11:37:43');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000168, '2007-01-15 11:40:18', 'Marsida', 'Qazim', 'Taze', NULL, 'Kurtulaj', NULL, '', '1937-01-01', '', 'L.N.Gjylbegu', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '135', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 11:40:18 Mikel Pavaci\n', '', '2007-01-15 11:40:18', 'Mikel Pavaci', '2007-01-15 11:40:18');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000169, '2007-01-15 11:46:03', 'Remzije', 'Osman', 'Hanife', NULL, 'Kerniqi', NULL, '', '1950-04-30', '', 'L.M.Alimani', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '136', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 11:46:03 Mikel Pavaci\n\nView 2007-01-16 07:48:31 = Ermal Dibra\nView 2007-01-16 13:19:12 = Mikel Pavaci', '', '2007-01-16 13:19:12', 'Mikel Pavaci', '2007-01-15 11:46:03');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000170, '2007-01-15 11:53:52', 'Gezim', 'Ramiz', 'Saime', NULL, 'Ura', NULL, '', '1900-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '137', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 11:53:52 Mikel Pavaci\n\nView 2007-01-16 13:20:09 = Mikel Pavaci\nView 2007-08-15 11:26:23 = Greta Naraci\nView 2007-08-15 11:26:34 = Greta Naraci', '', '2007-08-15 11:26:34', 'Mikel Pavaci', '2007-01-15 11:53:52');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000171, '2007-01-15 11:58:31', 'Agetina', 'Ludovik', 'Dafina', NULL, 'Brozi', NULL, '', '1935-04-25', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '138', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 11:58:31 Mikel Pavaci\n', '', '2007-01-15 11:58:31', 'Mikel Pavaci', '2007-01-15 11:58:31');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000172, '2007-01-15 12:08:09', 'Paloka', 'Palok', 'Leze', NULL, 'Dode', NULL, '', '1970-01-01', '', 'Lac Vau i Dejes', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '139', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 12:08:09 Mikel Pavaci\n\nView 2007-01-17 08:12:26 = Ermal Dibra', '', '2007-01-17 08:12:26', 'Mikel Pavaci', '2007-01-15 12:08:09');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000173, '2007-01-15 12:11:13', 'Pac', 'Zef', 'Lajde', NULL, 'Luka', NULL, '', '1931-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '140', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 12:11:13 Mikel Pavaci\n\nView 2007-01-17 07:50:26 = Ermal Dibra', '', '2007-01-17 07:50:26', 'Mikel Pavaci', '2007-01-15 12:11:13');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000174, '2007-01-15 12:20:50', 'Angjelina', 'Ndue', 'Tonine', NULL, 'Kodra', NULL, '', '1954-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '141', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 12:20:50 Mikel Pavaci\n\nView 2007-01-25 11:39:42 = Ardiana Dervishi', '', '2007-01-25 11:39:42', 'Mikel Pavaci', '2007-01-15 12:20:50');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000175, '2007-01-15 13:22:16', 'Eneida', 'Shpetim', 'Eriana', NULL, 'Maleci', NULL, '', '2006-09-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '126', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 13:22:16 Mikel Pavaci\n', '', '2007-01-15 13:22:16', 'Mikel Pavaci', '2007-01-15 13:22:16');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000176, '2007-01-15 13:27:53', 'Anduel', 'Marin', 'Marije', NULL, 'Daija', NULL, '', '2005-12-01', '', 'Hajmel', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '127', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 13:27:53 Mikel Pavaci\n\nView 2007-01-17 11:24:54 = Ardiana Dervishi\nView 2007-01-20 11:48:03 = Ardiana Dervishi', '', '2007-01-20 11:48:03', 'Mikel Pavaci', '2007-01-15 13:27:53');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000177, '2007-01-15 13:35:22', 'Adrian', 'Edmond', 'Leze', NULL, 'Lazri', NULL, '', '2006-05-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '128', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 13:35:22 Mikel Pavaci\n', '', '2007-01-15 13:35:22', 'Mikel Pavaci', '2007-01-15 13:35:22');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000178, '2007-01-15 13:39:24', 'Ankina', 'Luan', 'Saime', NULL, 'Delaj', NULL, '', '2005-12-01', '', 'Kopliku', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '129', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 13:39:24 Mikel Pavaci\n', '', '2007-01-15 13:39:24', 'Mikel Pavaci', '2007-01-15 13:39:24');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000179, '2007-01-15 13:41:41', 'Arjola', 'Astrit', 'Elida', NULL, 'Dani', NULL, '', '2006-12-01', '', 'Bardhaj', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '130', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-15 13:41:41 Mikel Pavaci\n', '', '2007-01-15 13:41:41', 'Mikel Pavaci', '2007-01-15 13:41:41');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000180, '2007-01-16 08:43:56', 'Gjyste', 'Mhill', 'Pashke', NULL, 'Qershia', NULL, '', '1984-01-01', '', 'Oblike', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '146', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-16 08:43:56 Mikel Pavaci\n\nView 2007-01-16 12:59:29 = Ermal Dibra', '', '2007-01-16 12:59:29', 'Mikel Pavaci', '2007-01-16 08:43:56');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000181, '2007-01-16 08:57:15', 'Myzejen', 'Latif', 'Nexhi', NULL, 'Zuesi', NULL, '', '1955-09-25', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '147', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-16 08:57:15 Mikel Pavaci\n\nView 2007-01-17 07:36:03 = Ermal Dibra', '', '2007-01-17 07:36:03', 'Mikel Pavaci', '2007-01-16 08:57:15');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000182, '2007-01-16 10:04:32', 'Marash', 'Ndoje', 'Anxhe', NULL, 'Mraja', NULL, '', '1940-01-01', '', 'L.10 Korriku', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '149', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-16 10:04:32 Mikel Pavaci\n\nView 2007-01-16 12:27:27 = Ermal Dibra', '', '2007-01-16 12:27:27', 'Mikel Pavaci', '2007-01-16 10:04:32');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000183, '2007-01-16 10:28:22', 'Dile', 'Prele', 'Zoje', NULL, 'Pecaj', NULL, '', '1925-01-01', '', 'Gruemire', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '150', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-16 10:28:22 Mikel Pavaci\n\nView 2007-01-17 11:17:35 = Ermal Dibra', '', '2007-01-17 11:17:35', 'Mikel Pavaci', '2007-01-16 10:28:22');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000184, '2007-01-16 11:13:40', 'Renato', NULL, NULL, NULL, 'Kepi', NULL, '', '1979-09-12', 'B', ' Heronjt / R.Tyli', '12', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-16 11:13:40 Ermal Dibra\n', '', '2007-01-16 11:13:40', 'Ermal Dibra', '2007-01-16 11:13:40');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000185, '2007-01-16 11:16:49', 'Keti', NULL, NULL, NULL, 'Lazri', NULL, '', '1964-05-22', 'A', '3 Hronjt / J.Godart', '20', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-16 11:16:49 Ermal Dibra\n', '', '2007-01-16 11:16:49', 'Ermal Dibra', '2007-01-16 11:16:49');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000186, '2007-01-16 11:21:09', 'Gjystina', NULL, NULL, NULL, 'Toma', NULL, '', '1963-09-22', '', '3 Heronjt', '18', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-16 11:21:09 Ermal Dibra\n', '', '2007-01-16 11:21:09', 'Ermal Dibra', '2007-01-16 11:21:09');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000187, '2007-01-16 11:29:56', 'Tonin', 'Zef', 'Lule', NULL, 'Gjoni', NULL, '', '1962-05-17', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '151', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-16 11:29:56 Mikel Pavaci\n\nView 2007-01-16 13:10:34 = Ermal Dibra\nView 2007-01-16 13:14:18 = Ermal Dibra\nView 2007-01-16 13:14:34 = Ermal Dibra\nView 2007-01-17 07:43:11 = Ermal Dibra', '', '2007-01-17 07:43:11', 'Mikel Pavaci', '2007-01-16 11:29:56');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000188, '2007-01-16 11:32:54', 'Margerita', 'Tome', 'Roza', NULL, 'Marashi', NULL, '', '1939-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '152', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-16 11:32:54 Mikel Pavaci\n\nView 2007-01-16 13:05:10 = Ermal Dibra', '', '2007-01-16 13:05:10', 'Mikel Pavaci', '2007-01-16 11:32:54');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000189, '2007-01-16 12:09:34', 'Vitore', 'Dede', 'Lena', NULL, 'Velaj', NULL, '', '1958-07-31', '', 'Kiras', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '153', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-16 12:09:34 Mikel Pavaci\n\nView 2007-01-16 12:33:01 = Mikel Pavaci', '', '2007-01-16 12:33:01', 'Mikel Pavaci', '2007-01-16 12:09:34');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000190, '2007-01-16 12:18:41', 'Pjeter', 'Ndoje', 'Shaqe', NULL, 'Ndreu', NULL, '', '1945-06-13', '', 'Prekal', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '154', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-16 12:18:41 Mikel Pavaci\n\nView 2007-01-16 12:32:17 = Mikel Pavaci\nView 2007-01-16 12:36:34 = Ermal Dibra', '', '2007-01-16 12:36:34', 'Mikel Pavaci', '2007-01-16 12:18:41');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000191, '2007-01-16 12:27:54', 'Mark', 'Zef', 'Lena', NULL, 'Bruqeti', NULL, '', '1932-01-01', '', 'L.Q.Stafa', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '155', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-16 12:27:54 Mikel Pavaci\n\nView 2007-01-16 12:42:07 = Ermal Dibra', '', '2007-01-16 12:42:07', 'Mikel Pavaci', '2007-01-16 12:27:54');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000192, '2007-01-17 08:03:37', 'Lina', 'Mark', 'Drane', NULL, 'Ramaj', NULL, '', '1956-07-01', '', 'Dugagjin', '000', '00', 0, 0, NULL, '0', '00', '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '148', NULL, '', NULL, NULL, '00', NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 08:03:37 Ermal Dibra\n\nView 2007-01-17 08:16:48 = Ermal Dibra', '', '2007-01-17 08:16:48', 'Ermal Dibra', '2007-01-17 08:03:37');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000193, '2007-01-17 08:10:46', 'Dede', 'Pashuk', 'Pren', NULL, 'Paloka', NULL, '', '1971-03-01', '', 'Lac.V.Dejes', '000', '001', 0, 0, NULL, '0', '00', '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '139', NULL, '', NULL, NULL, '001', NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 08:10:46 Ermal Dibra\n', '', '2007-01-17 08:10:46', 'Ermal Dibra', '2007-01-17 08:10:46');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000194, '2007-01-17 09:11:15', 'Preng', 'Mark', 'Mar', NULL, 'Marku', NULL, '', '1949-03-13', '', 'Pacram', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '160', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 09:11:15 Mikel Pavaci\n\nView 2007-01-17 09:26:20 = Ermal Dibra', '', '2007-01-17 09:26:20', 'Mikel Pavaci', '2007-01-17 09:11:15');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000195, '2007-01-17 09:14:05', 'Leze', 'Gjon', 'Drande', NULL, 'Keci', NULL, '', '1957-03-24', '', 'Oblike', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '163', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 09:14:05 Mikel Pavaci\n\nView 2007-01-17 11:40:09 = Ermal Dibra', '', '2007-01-17 11:40:09', 'Mikel Pavaci', '2007-01-17 09:14:05');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000196, '2007-01-17 09:16:56', 'Filip', 'Prele', 'Age', NULL, 'Vata', NULL, '', '1935-01-01', '', 'Oblike', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '164', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 09:16:56 Mikel Pavaci\n\nView 2007-01-17 11:11:59 = Ermal Dibra', '', '2007-01-17 11:11:59', 'Mikel Pavaci', '2007-01-17 09:16:56');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000197, '2007-01-17 09:40:16', 'Dea', 'NdriÃ§im', 'Manjola', NULL, 'Bicakani', NULL, '', '2006-10-31', '', 'Kiras', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '355', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 09:40:16 Ardiana Dervishi\n\nView 2007-01-29 10:06:41 = Mikel Pavaci', '', '2007-01-29 10:06:41', 'Ardiana Dervishi', '2007-01-17 09:40:16');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000198, '2007-01-17 09:40:37', 'Iliriana', 'Shelqim', 'Saime', '', 'Kurtaj', '', '', '1998-01-01', '', 'Koplik', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '165', NULL, '10000198.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:38:39', 'normal', 'Init.reg. 2007-01-17 09:40:37 Mikel Pavaci\n\nView 2007-01-17 09:46:23 = Mikel PavaciUpdate 2007-01-17 09:47:01 Mikel Pavaci \n\nView 2007-01-25 11:38:14 = Ardiana DervishiUpdate 2007-01-25 11:38:39 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-25 11:38:39', 'Mikel Pavaci', '2007-01-17 09:40:37');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000199, '2007-01-17 09:45:01', 'Noel', 'Bardhok', 'Lena', '', 'Nika', '', '', '2006-01-01', '', 'Qerret', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '166', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-17 09:47:28', 'normal', 'Init.reg. 2007-01-17 09:45:01 Mikel Pavaci\n\nView 2007-01-17 09:47:17 = Mikel PavaciUpdate 2007-01-17 09:47:28 Mikel Pavaci \n\nView 2007-01-19 08:59:49 = Ardiana Dervishi\nView 2007-01-23 12:31:14 = Ardiana Dervishi\nView 2007-01-23 12:31:32 = Ardiana Dervishi', 'Mikel Pavaci', '2007-01-23 12:31:32', 'Mikel Pavaci', '2007-01-17 09:45:01');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000200, '2007-01-17 09:51:19', 'Angjela', 'Ndoc', 'Lajde', NULL, 'Deda', NULL, '', '2005-01-01', '', 'Oblike', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '167', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 09:51:19 Mikel Pavaci\n\nView 2007-01-19 10:04:42 = Ardiana Dervishi', '', '2007-01-19 10:04:42', 'Mikel Pavaci', '2007-01-17 09:51:19');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000201, '2007-01-17 09:55:23', 'Ensilda', 'Kol', 'Lena', NULL, 'Prela', NULL, '', '2006-07-01', '', 'Karme', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '168', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 09:55:23 Mikel Pavaci\n', '', '2007-01-17 09:55:23', 'Mikel Pavaci', '2007-01-17 09:55:23');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000202, '2007-01-17 09:58:58', 'Klejdi', 'Gjok', 'Leze', NULL, 'Ujka', NULL, '', '2005-01-01', '', 'L.Skenderbeg', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '169', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 09:58:58 Mikel Pavaci\n\nView 2007-01-17 11:16:03 = Ardiana Dervishi', '', '2007-01-17 11:16:03', 'Mikel Pavaci', '2007-01-17 09:58:58');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000203, '2007-01-17 10:02:04', 'Renata', 'Pjeter', 'Lajde', NULL, 'Sligtani', NULL, '', '2004-01-01', '', 'Mar Lula', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '170', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 10:02:04 Mikel Pavaci\n', '', '2007-01-17 10:02:04', 'Mikel Pavaci', '2007-01-17 10:02:04');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000204, '2007-01-17 10:04:01', 'Kledi', 'Brando', 'Age', NULL, 'Martini', NULL, '', '2006-01-01', '', 'Fermentim', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '171', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 10:04:01 Mikel Pavaci\n\nView 2007-01-17 11:16:34 = Ardiana Dervishi', '', '2007-01-17 11:16:34', 'Mikel Pavaci', '2007-01-17 10:04:01');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000205, '2007-01-17 10:06:42', 'Mehdi', 'Jetmir', 'Saime', NULL, 'Lici', NULL, '', '2004-01-01', '', 'Golem', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '172', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 10:06:42 Mikel Pavaci\n', '', '2007-01-17 10:06:42', 'Mikel Pavaci', '2007-01-17 10:06:42');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000206, '2007-01-17 10:22:05', 'Armand', 'Altim', 'Saime', NULL, 'Maliqi', NULL, '', '2005-01-01', '', 'Lina', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '173', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 10:22:05 Mikel Pavaci\n', '', '2007-01-17 10:22:05', 'Mikel Pavaci', '2007-01-17 10:22:05');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000207, '2007-01-17 10:25:27', 'Kristian', 'Ndue', 'Lena', NULL, 'Progni', NULL, '', '1999-01-01', '', 'N.Mazi', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '174', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 10:25:27 Mikel Pavaci\n\nView 2007-01-18 08:11:46 = Ardiana Dervishi', '', '2007-01-18 08:11:46', 'Mikel Pavaci', '2007-01-17 10:25:27');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000208, '2007-01-17 10:32:47', 'Elsaid', 'Admirim', 'Saime', '', 'Dekovi', '', '', '2002-01-01', '', 'Shtoj i Ri', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '175', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-17 10:33:58', 'normal', 'Init.reg. 2007-01-17 10:32:47 Mikel Pavaci\n\nView 2007-01-17 10:33:36 = Mikel PavaciUpdate 2007-01-17 10:33:58 Mikel Pavaci \n\nView 2007-01-17 11:21:17 = Ardiana Dervishi', 'Mikel Pavaci', '2007-01-17 11:21:17', 'Mikel Pavaci', '2007-01-17 10:32:47');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000209, '2007-01-17 10:37:32', 'Eugena', 'Naim', 'Hanife', NULL, 'Taci', NULL, '', '1997-01-01', '', 'Golem', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '176', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 10:37:32 Mikel Pavaci\n', '', '2007-01-17 10:37:32', 'Mikel Pavaci', '2007-01-17 10:37:32');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000210, '2007-01-17 10:40:48', 'Nexhmije', 'Rasim', 'Mine', NULL, 'Ruqi', NULL, '', '1955-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '178', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 10:40:48 Mikel Pavaci\n\nView 2007-01-19 08:39:17 = Ermal Dibra', '', '2007-01-19 08:39:17', 'Mikel Pavaci', '2007-01-17 10:40:48');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000211, '2007-01-17 10:47:32', 'Ixhlale', 'Dajlan', 'Sebije', NULL, 'Kavaja', NULL, '', '1955-03-15', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '179', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 10:47:32 Mikel Pavaci\n\nView 2007-01-17 11:01:06 = Ermal Dibra', '', '2007-01-17 11:01:06', 'Mikel Pavaci', '2007-01-17 10:47:32');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000212, '2007-01-17 11:33:37', 'Ronaldo', 'Pjeter', 'Rajmonda', NULL, 'Shytani', NULL, '', '2003-12-21', '', 'Mark Lulaj', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '371', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 11:33:37 Ardiana Dervishi\n', '', '2007-01-17 11:33:37', 'Ardiana Dervishi', '2007-01-17 11:33:37');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000213, '2007-01-17 11:41:09', 'Sebije', 'Ragip', 'Saime', NULL, 'Harusha', NULL, '', '1931-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '180', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 11:41:09 Mikel Pavaci\n\nView 2007-01-17 12:30:09 = Ermal Dibra\nView 2007-01-17 12:34:39 = Ermal Dibra', '', '2007-01-17 12:34:39', 'Mikel Pavaci', '2007-01-17 11:41:09');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000214, '2007-01-17 11:44:54', 'Elsaed', 'Lulezim', 'Nevila', NULL, 'Cubi', NULL, '', '2002-12-21', '', 'Bajze', '000', '00013', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '351', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 11:44:54 Ardiana Dervishi\n', '', '2007-01-17 11:44:54', 'Ardiana Dervishi', '2007-01-17 11:44:54');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000215, '2007-01-17 11:48:55', 'Zef', 'Pjeter', 'Pashka', NULL, 'Lulashi', NULL, '', '1935-04-01', '', 'Koman', '00', '00012', 0, 0, NULL, '0', '00', '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '59/u', NULL, '', NULL, NULL, '00', NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 11:48:55 Ermal Dibra\n', '', '2007-01-17 11:48:55', 'Ermal Dibra', '2007-01-17 11:48:55');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000216, '2007-01-17 11:50:16', 'Klejdi', 'Gjok', 'Marjana', '', 'Uka', '', '', '2006-03-08', '', 'Skenderbeg', '000', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '370', NULL, '10000216.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:16:03', 'normal', 'Init.reg. 2007-01-17 11:50:16 Ardiana Dervishi\n\nView 2007-01-25 11:15:33 = Ardiana DervishiUpdate 2007-01-25 11:16:03 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-25 11:16:03', 'Ardiana Dervishi', '2007-01-17 11:50:16');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000217, '2007-01-17 12:17:11', 'Vjoleta', 'Pal', 'Dile', NULL, 'Kecaj', NULL, '', '1955-12-25', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '181', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 12:17:11 Mikel Pavaci\n\nView 2007-01-24 11:50:36 = Ermal Dibra', '', '2007-01-24 11:50:36', 'Mikel Pavaci', '2007-01-17 12:17:11');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000218, '2007-01-17 12:34:23', 'Zoje', 'Zef', 'Lena', NULL, 'Hysenaj', NULL, '', '1942-01-01', '', 'Skenderbeg', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '182', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-17 12:34:23 Mikel Pavaci\n\nView 2007-01-18 08:01:28 = Ermal Dibra', '', '2007-01-18 08:01:28', 'Mikel Pavaci', '2007-01-17 12:34:23');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000219, '2007-01-18 07:33:01', 'Anisa', 'Astrit', 'Alida', NULL, 'Sinori', NULL, '', '2002-06-28', '', 'Bardhej', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '391', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-18 07:33:01 Ardiana Dervishi\n', '', '2007-01-18 07:33:01', 'Ardiana Dervishi', '2007-01-18 07:33:01');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000220, '2007-01-18 07:39:17', 'Orgesa', 'Selami', 'Fatbardha', NULL, 'Mucajani', NULL, '', '2005-10-02', '', 'Bushat', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '382', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-18 07:39:17 Ardiana Dervishi\n\nView 2007-01-20 10:55:31 = Ardiana Dervishi', '', '2007-01-20 10:55:31', 'Ardiana Dervishi', '2007-01-18 07:39:17');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000221, '2007-01-18 08:01:48', 'Brigjildo', 'Lodovik', 'Valbona', NULL, 'Granaj', NULL, '', '1997-10-19', '', 'Koplik', '000', '00013', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '386', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-18 08:01:48 Ardiana Dervishi\n', '', '2007-01-18 08:01:48', 'Ardiana Dervishi', '2007-01-18 08:01:48');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000222, '2007-01-18 08:07:25', 'Ilirjano', 'Shkelqim', 'Lindita', NULL, 'Kurtaj', NULL, '', '1997-07-16', '', 'Koplik', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '358', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-18 08:07:25 Ardiana Dervishi\n\nView 2007-01-18 08:08:07 = Ardiana Dervishi', '', '2007-01-18 08:08:07', 'Ardiana Dervishi', '2007-01-18 08:07:25');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000223, '2007-01-18 08:53:00', 'Qamil', 'Fetah', 'Hatixhe', NULL, 'Teluni', NULL, '', '1945-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '186', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-18 08:53:00 Mikel Pavaci\n\nView 2007-01-18 12:46:20 = Ermal Dibra', '', '2007-01-18 12:46:20', 'Mikel Pavaci', '2007-01-18 08:53:00');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000224, '2007-01-18 08:54:35', 'Prenda', 'Pashko', 'Lena', NULL, 'Shkreli', NULL, '', '1931-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '187', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-18 08:54:35 Mikel Pavaci\n\nView 2007-01-18 13:02:45 = Ermal Dibra', '', '2007-01-18 13:02:45', 'Mikel Pavaci', '2007-01-18 08:54:35');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000225, '2007-01-18 11:20:13', 'Besim', 'Astrit', 'Saime', NULL, 'Abdia', NULL, '', '1968-01-01', '', 'G. Ri', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '192', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-18 11:20:13 Mikel Pavaci\n', '', '2007-01-18 11:20:13', 'Mikel Pavaci', '2007-01-18 11:20:13');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000226, '2007-01-18 11:23:10', 'Mark', 'Martin', 'Lajde', NULL, 'Mjeku', NULL, '', '1954-01-01', '', 'Koman', '000', '00013', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '193', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-18 11:23:10 Mikel Pavaci\n', '', '2007-01-18 11:23:10', 'Mikel Pavaci', '2007-01-18 11:23:10');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000227, '2007-01-18 11:27:26', 'Nikoll', 'Zef', 'Katrina', NULL, 'Kaceku', NULL, '', '1945-03-18', '', '3 Herojt', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '194', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-18 11:27:26 Mikel Pavaci\n', '', '2007-01-18 11:27:26', 'Mikel Pavaci', '2007-01-18 11:27:26');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000228, '2007-01-18 11:31:34', 'Laje', 'Ahmet', 'Zyla', NULL, 'Previzi', NULL, '', '1962-01-01', '', 'Bushat', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '195', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-18 11:31:34 Mikel Pavaci\n\nView 2007-01-19 08:06:48 = Ermal Dibra', '', '2007-01-19 08:06:48', 'Mikel Pavaci', '2007-01-18 11:31:34');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000229, '2007-01-19 08:14:29', 'Fabiola', 'Gjergj', 'Lena', NULL, 'Alia', NULL, '', '2005-01-01', '', 'Stajke', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '197', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-19 08:14:29 Mikel Pavaci\n', '', '2007-01-19 08:14:29', 'Mikel Pavaci', '2007-01-19 08:14:29');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000230, '2007-01-19 08:18:16', 'Gjyliana', 'Florian', 'Leze', '', 'Martini', '', '', '2005-10-01', '', 'Skenderbeg', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '203', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-19 08:19:28', 'normal', 'Init.reg. 2007-01-19 08:18:16 Mikel Pavaci\n\nView 2007-01-19 08:19:03 = Mikel PavaciUpdate 2007-01-19 08:19:28 Mikel Pavaci \n\nView 2007-01-19 09:10:40 = Ardiana Dervishi', 'Mikel Pavaci', '2007-01-19 09:10:40', 'Mikel Pavaci', '2007-01-19 08:18:16');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000231, '2007-01-19 08:42:43', 'Paulin', 'Kole', 'Leze', NULL, 'Gjini', NULL, '', '1935-06-29', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '205', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-19 08:42:43 Mikel Pavaci\n\nView 2007-01-20 07:48:14 = Ermal Dibra', '', '2007-01-20 07:48:14', 'Mikel Pavaci', '2007-01-19 08:42:43');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000232, '2007-01-19 08:48:49', 'Palok', 'Cin', 'Leze', NULL, 'Toma', NULL, '', '1963-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '206', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-19 08:48:49 Mikel Pavaci\n\nView 2007-01-20 08:03:01 = Ermal Dibra', '', '2007-01-20 08:03:01', 'Mikel Pavaci', '2007-01-19 08:48:49');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000233, '2007-01-19 08:55:13', 'Reshadije', 'Zydi', 'Xhevahije', NULL, 'Syrja', NULL, '', '1940-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '207', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-19 08:55:13 Mikel Pavaci\n', '', '2007-01-19 08:55:13', 'Mikel Pavaci', '2007-01-19 08:55:13');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000234, '2007-01-19 09:01:49', 'Gjoke', 'Lazer', 'Dile', NULL, 'Ndoka', NULL, '', '1931-01-01', '', 'Stajke', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '208', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-19 09:01:49 Mikel Pavaci\n\nView 2007-01-19 13:05:07 = Ermal Dibra', '', '2007-01-19 13:05:07', 'Mikel Pavaci', '2007-01-19 09:01:49');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000235, '2007-01-19 09:07:29', 'Brahim', 'Smajl', 'Sanije', NULL, 'Hasaj', NULL, '', '1964-11-03', '', 'Gruemire', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '211', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-19 09:07:29 Mikel Pavaci\n\nView 2007-01-19 13:19:37 = Ermal Dibra\nView 2007-01-19 13:26:22 = Ermal Dibra\nView 2007-01-19 13:27:01 = Ermal Dibra', '', '2007-01-19 13:27:01', 'Mikel Pavaci', '2007-01-19 09:07:29');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000236, '2007-01-19 09:09:56', 'Zoje', 'Cak', 'Lule', NULL, 'Marku', NULL, '', '1937-01-01', '', 'Vrake', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '210', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-19 09:09:56 Mikel Pavaci\n\nView 2007-01-19 13:09:48 = Ermal Dibra', '', '2007-01-19 13:09:48', 'Mikel Pavaci', '2007-01-19 09:09:56');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000237, '2007-01-19 09:13:28', 'Angjela', 'Pjeter', 'Lajde', NULL, 'Pepa', NULL, '', '2007-01-18', '', 'Rrenc', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '198', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-19 09:13:28 Mikel Pavaci\n\nView 2007-01-19 09:15:42 = Ardiana Dervishi', '', '2007-01-19 09:15:42', 'Mikel Pavaci', '2007-01-19 09:13:28');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000238, '2007-01-19 09:17:54', 'Mateo', 'Anton', 'Lena', NULL, 'Leka', NULL, '', '2002-11-23', '', '3 Herojt', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '199', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-19 09:17:54 Mikel Pavaci\n\nView 2007-01-19 09:25:47 = Ardiana Dervishi', '', '2007-01-19 09:25:47', 'Mikel Pavaci', '2007-01-19 09:17:54');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000239, '2007-01-19 09:20:50', 'Emiliana', 'Agim', 'Saime', '', 'Rehaj', '', '', '2004-04-10', '', 'Postribe', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '200', NULL, '10000239.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:26:28', 'normal', 'Init.reg. 2007-01-19 09:20:50 Mikel Pavaci\n\nView 2007-01-25 11:23:09 = Ardiana DervishiUpdate 2007-01-25 11:26:28 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-25 11:26:28', 'Mikel Pavaci', '2007-01-19 09:20:50');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000240, '2007-01-19 09:24:06', 'Xhesika', 'Gjergj', 'Lena', NULL, 'Krygja', NULL, '', '2006-12-02', '', 'Skenderbeg', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '202', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-19 09:24:06 Mikel Pavaci\n\nView 2007-01-19 11:31:15 = Ardiana Dervishi\nView 2007-01-19 11:31:45 = Ardiana Dervishi', '', '2007-01-19 11:31:45', 'Mikel Pavaci', '2007-01-19 09:24:06');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000241, '2007-01-19 09:31:50', 'Emiljano', 'Agim', 'Sadete', '', 'Rexhaj', '', '', '2004-01-06', '', 'Pentar', '000', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '395', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-24 11:24:00', 'normal', 'Init.reg. 2007-01-19 09:31:50 Ardiana Dervishi\n\nView 2007-01-24 11:23:34 = Ardiana DervishiUpdate 2007-01-24 11:24:00 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-24 11:24:00', 'Ardiana Dervishi', '2007-01-19 09:31:50');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000242, '2007-01-19 09:38:25', 'Besar', 'Bashkim', 'Aida ', NULL, 'Rexhaj', NULL, '', '2005-11-18', '', 'Vilz', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '384', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-19 09:38:25 Ardiana Dervishi\n\nView 2007-01-24 11:15:20 = Ardiana Dervishi\nView 2007-01-24 11:16:42 = Ardiana Dervishi\nView 2007-01-24 11:17:53 = Ardiana Dervishi\nView 2007-01-24 11:23:04 = Ardiana Dervishi', '', '2007-01-24 11:23:04', 'Ardiana Dervishi', '2007-01-19 09:38:25');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000243, '2007-01-19 09:43:46', 'Fabiola', 'Bashkim', 'Aida ', '', 'Alija', '', '', '2002-01-10', '', 'S.Halili', '000', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '397', NULL, '10000243.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:22:33', 'normal', 'Init.reg. 2007-01-19 09:43:46 Ardiana Dervishi\n\nView 2007-01-19 12:16:48 = Ardiana Dervishi\nView 2007-01-23 10:49:03 = Ardiana Dervishi\nView 2007-01-25 11:20:35 = Ardiana Dervishi\nView 2007-01-25 11:22:08 = Ardiana DervishiUpdate 2007-01-25 11:22:33 Ardiana Dervishi \n\nView 2007-01-26 08:32:48 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 08:32:48', 'Ardiana Dervishi', '2007-01-19 09:43:46');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000244, '2007-01-19 09:47:17', 'Marije', 'Ndoc', 'Lena', NULL, 'Martini', NULL, '', '1967-01-01', '', 'Rrenc', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '213', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-19 09:47:17 Mikel Pavaci\n\nView 2007-01-19 13:14:32 = Ermal Dibra', '', '2007-01-19 13:14:32', 'Mikel Pavaci', '2007-01-19 09:47:17');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000245, '2007-01-19 09:50:31', 'Sadetin', 'Sulo', 'Rabije', '', 'Celepia', '', '', '1956-08-20', '', 'Shkoder', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '214', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-20 13:07:49', 'normal', 'Init.reg. 2007-01-19 09:50:31 Mikel Pavaci\n\nView 2007-01-19 12:59:34 = Ermal Dibra\nView 2007-01-19 13:02:39 = Ermal Dibra\nView 2007-01-19 13:03:13 = Ermal DibraUpdate 2007-01-19 13:03:37 Ermal Dibra \n\nView 2007-01-20 07:47:13 = Ermal Dibra\nView 2007-01-20 11:17:34 = Mikel Pavaci\nView 2007-01-20 11:25:11 = Mikel Pavaci\nView 2007-01-20 13:06:05 = Ermal Dibra\nView 2007-01-20 13:07:33 = Ermal DibraUpdate 2007-01-20 13:07:49 Ermal Dibra \n', 'Ermal Dibra', '2007-01-20 13:07:49', 'Mikel Pavaci', '2007-01-19 09:50:31');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000246, '2007-01-19 10:00:41', 'Medis', 'Jetmir', 'Albana', NULL, 'Lici', NULL, '', '2002-08-04', '', 'Golem', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '373', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-19 10:00:41 Ardiana Dervishi\n', '', '2007-01-19 10:00:41', 'Ardiana Dervishi', '2007-01-19 10:00:41');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000247, '2007-01-19 10:10:37', 'Armand', 'Altin', 'Blerta', NULL, 'Maliqi', NULL, '', '2002-05-28', '', 'Pult', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '374', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-19 10:10:37 Ardiana Dervishi\n', '', '2007-01-19 10:10:37', 'Ardiana Dervishi', '2007-01-19 10:10:37');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000248, '2007-01-19 10:17:13', 'Elvis', 'Gjergj', 'Liljana', NULL, 'Smajlaj', NULL, '', '1994-02-02', '', 'Tamare', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '399', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-19 10:17:13 Ardiana Dervishi\n\nView 2007-01-26 09:51:30 = Ardiana Dervishi', '', '2007-01-26 09:51:30', 'Ardiana Dervishi', '2007-01-19 10:17:13');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000249, '2007-01-19 11:26:18', 'Shere', 'Qerim', 'Rushe', NULL, 'Demiri', NULL, '', '1943-03-08', '', 'L.S.Halili', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '217', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-19 11:26:18 Mikel Pavaci\n\nView 2007-01-20 07:54:58 = Ermal Dibra', '', '2007-01-20 07:54:58', 'Mikel Pavaci', '2007-01-19 11:26:18');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000250, '2007-01-19 12:22:49', 'Irena', 'Lulash', 'Flora', '', 'Ndoja', '', '', '2005-05-19', '', 'Shllak', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '675', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-02-01 10:27:48', 'normal', 'Init.reg. 2007-01-19 12:22:49 Ardiana Dervishi\n\nView 2007-01-19 12:35:57 = Ardiana Dervishi\nView 2007-02-01 10:25:34 = Mikel PavaciUpdate 2007-02-01 10:27:48 Mikel Pavaci \n\nView 2007-02-01 12:49:13 = Ardiana Dervishi', 'Mikel Pavaci', '2007-02-01 12:49:13', 'Ardiana Dervishi', '2007-01-19 12:22:49');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000251, '2007-01-19 12:24:53', 'Fadil', 'Elez', 'Bake', NULL, 'Kadija', NULL, '', '1927-02-02', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '220', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-19 12:24:53 Mikel Pavaci\n\nView 2007-01-20 13:28:46 = Ermal Dibra', '', '2007-01-20 13:28:46', 'Mikel Pavaci', '2007-01-19 12:24:53');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000252, '2007-01-20 08:31:30', 'Alesia', 'Petrit', 'Saime', NULL, 'Gjonaj', NULL, '', '2005-08-01', '', 'L.T.Kola', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '221', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-20 08:31:30 Mikel Pavaci\n', '', '2007-01-20 08:31:30', 'Mikel Pavaci', '2007-01-20 08:31:30');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000253, '2007-01-20 08:34:08', 'Gabriel', 'Shkelqim', 'Saime', NULL, 'Ballashiti', NULL, '', '2005-05-09', '', 'Liria', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '222', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-20 08:34:08 Mikel Pavaci\n', '', '2007-01-20 08:34:08', 'Mikel Pavaci', '2007-01-20 08:34:08');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000254, '2007-01-20 08:36:30', 'Erjon', 'Enver', 'Saime', NULL, 'Shtonaj', NULL, '', '2006-07-26', '', 'Golem', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '223', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-20 08:36:30 Mikel Pavaci\n\nView 2007-01-20 10:29:59 = Ardiana Dervishi', '', '2007-01-20 10:29:59', 'Mikel Pavaci', '2007-01-20 08:36:30');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000255, '2007-01-20 08:39:34', 'Armanda', 'Altin', 'Saime', '', 'Syla', '', '', '2005-08-01', '', 'Shkoder', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '224', NULL, '10000255.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:31:18', 'normal', 'Init.reg. 2007-01-20 08:39:34 Mikel Pavaci\n\nView 2007-01-25 11:30:39 = Ardiana DervishiUpdate 2007-01-25 11:31:18 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-25 11:31:18', 'Mikel Pavaci', '2007-01-20 08:39:34');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000256, '2007-01-20 08:45:40', 'Aldo', 'Pjeter', 'Lena', NULL, 'Hasani', NULL, '', '2006-08-29', '', 'Bushat', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '225', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-20 08:45:40 Mikel Pavaci\n\nView 2007-01-20 09:24:45 = Ardiana Dervishi', '', '2007-01-20 09:24:45', 'Mikel Pavaci', '2007-01-20 08:45:40');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000257, '2007-01-20 08:48:24', 'Gjyliana', 'Florian', 'Anxhe', NULL, 'Martini', NULL, '', '2005-09-01', '', 'Skenderbeg', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '226', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-20 08:48:24 Mikel Pavaci\n\nView 2007-01-24 09:05:26 = Ardiana Dervishi', '', '2007-01-24 09:05:26', 'Mikel Pavaci', '2007-01-20 08:48:24');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000258, '2007-01-20 08:51:54', 'Kledi', 'Leke', 'Lena', NULL, 'Kaceku', NULL, '', '2005-08-31', '', 'Goric i Vogel', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '227', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-20 08:51:54 Mikel Pavaci\n', '', '2007-01-20 08:51:54', 'Mikel Pavaci', '2007-01-20 08:51:54');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000259, '2007-01-20 09:33:24', 'Klejdi', 'Lek', 'Majlinda', NULL, 'Koceku', NULL, '', '2005-03-31', '', 'BoriÃ§ iVogel', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '426', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-20 09:33:24 Ardiana Dervishi\n', '', '2007-01-20 09:33:24', 'Ardiana Dervishi', '2007-01-20 09:33:24');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000260, '2007-01-20 09:55:50', 'Rexhep', 'Halit', 'Feride', '', 'Zeneli', '', '', '1932-07-01', '', 'Oblike', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '228', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-20 10:00:03', 'normal', 'Init.reg. 2007-01-20 09:55:50 Mikel Pavaci\n\nView 2007-01-20 09:59:48 = Mikel PavaciUpdate 2007-01-20 10:00:03 Mikel Pavaci \n\nView 2007-01-20 11:57:39 = Mikel Pavaci\nView 2007-01-20 14:25:14 = Ermal Dibra', 'Mikel Pavaci', '2007-01-20 14:25:14', 'Mikel Pavaci', '2007-01-20 09:55:50');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000261, '2007-01-20 09:59:17', 'Veriana', 'Tahir', 'Gjyhere', NULL, 'Bushati', NULL, '', '1959-12-24', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '229', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-20 09:59:17 Mikel Pavaci\n\nView 2007-01-20 11:58:07 = Mikel Pavaci\nView 2007-01-20 14:38:48 = Ermal Dibra', '', '2007-01-20 14:38:48', 'Mikel Pavaci', '2007-01-20 09:59:17');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000262, '2007-01-20 09:59:32', 'Suela', 'Pashko', 'Nikolla', NULL, 'Roku', NULL, '', '2006-01-16', '', 'Barllaj', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '427', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-20 09:59:32 Ardiana Dervishi\n', '', '2007-01-20 09:59:32', 'Ardiana Dervishi', '2007-01-20 09:59:32');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000263, '2007-01-20 10:18:21', 'Hana', 'Shaban', 'Behije', NULL, 'Hoxha', NULL, '', '1937-01-01', '', 'Dobrac', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '230', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-20 10:18:21 Mikel Pavaci\n\nView 2007-01-20 12:03:31 = Mikel Pavaci\nView 2007-01-20 14:34:14 = Ermal Dibra', '', '2007-01-20 14:34:14', 'Mikel Pavaci', '2007-01-20 10:18:21');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000264, '2007-01-20 10:35:50', 'Vasfije', 'Tahir', 'Kije', NULL, 'Nilaj', NULL, '', '1943-01-01', '', 'L.A.Haxhija', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '231', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-20 10:35:50 Mikel Pavaci\n\nView 2007-01-20 12:05:43 = Mikel Pavaci\nView 2007-01-20 14:29:54 = Ermal Dibra', '', '2007-01-20 14:29:54', 'Mikel Pavaci', '2007-01-20 10:35:50');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000265, '2007-01-20 11:14:18', 'Altin', 'Shefik', 'Hava', NULL, 'Tokaj', NULL, '', '1974-01-01', '', 'Skenderbeg', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '232', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '2007-01-24', 2007000150, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-20 11:14:18 Mikel Pavaci\n\nView 2007-01-20 11:45:17 = Mikel Pavaci\nView 2007-01-20 13:21:31 = Ermal Dibra\nView 2007-01-22 07:45:30 = Ermal DibraDischarged (cause: death) 2007-01-25 08:48:04 Ermal Dibra\n', 'Ermal Dibra', '2007-01-25 08:48:04', 'Mikel Pavaci', '2007-01-20 11:14:18');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000266, '2007-01-20 11:20:37', 'Prele', 'Gjelosh', 'Dila', NULL, 'Cuni', NULL, '', '1929-01-01', '', 'Hot i Ri', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '218', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-20 11:20:37 Mikel Pavaci\n\nView 2007-01-20 12:12:31 = Mikel Pavaci\nView 2007-01-23 13:01:41 = Ermal Dibra', '', '2007-01-23 13:01:41', 'Mikel Pavaci', '2007-01-20 11:20:37');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000267, '2007-01-20 11:24:19', 'Reshadie', 'Shaban', 'Xhevajer', NULL, 'Sylja', NULL, '', '1940-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '207', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-20 11:24:19 Mikel Pavaci\n\nView 2007-01-20 12:17:09 = Ermal Dibra\nView 2007-01-20 12:19:25 = Ermal Dibra\nView 2007-01-20 12:21:36 = Ermal Dibra\nView 2007-01-20 12:38:14 = Ermal Dibra', '', '2007-01-20 12:38:14', 'Mikel Pavaci', '2007-01-20 11:24:19');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000268, '2007-01-20 11:27:13', 'Hysni', 'REshit', 'Sebije', '', 'Hoti', '', '', '1959-05-16', '', 'Shkoder', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '233', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-20 12:59:32', 'normal', 'Init.reg. 2007-01-20 11:27:13 Mikel Pavaci\n\nView 2007-01-20 12:12:58 = Mikel Pavaci\nView 2007-01-20 12:49:46 = Ermal Dibra\nView 2007-01-20 12:51:07 = Ermal Dibra\nView 2007-01-20 12:51:36 = Ermal DibraUpdate 2007-01-20 12:59:32 Ermal Dibra \n', 'Ermal Dibra', '2007-01-20 12:59:32', 'Mikel Pavaci', '2007-01-20 11:27:13');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000269, '2007-01-20 11:28:44', 'Adem', 'Selman', 'Gjyhere', NULL, 'Ademi', NULL, '', '1925-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '234', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-20 11:28:44 Mikel Pavaci\n\nView 2007-01-20 11:53:10 = Mikel Pavaci\nView 2007-01-20 13:13:46 = Ermal Dibra', '', '2007-01-20 13:13:46', 'Mikel Pavaci', '2007-01-20 11:28:44');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000270, '2007-01-20 11:33:22', 'Hysen', 'Fetah', 'Saime', NULL, 'Kotri', NULL, '', '1900-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '233', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-20 11:33:22 Mikel Pavaci\n\nView 2007-01-20 11:45:50 = Mikel Pavaci', '', '2007-01-20 11:45:50', 'Mikel Pavaci', '2007-01-20 11:33:22');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000271, '2007-01-20 11:36:05', 'Lutfi', 'Lubo', 'Sanie', '', 'Katalina', '', '', '1952-01-01', '', 'Shkoder', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '235', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-20 11:54:38', 'normal', 'Init.reg. 2007-01-20 11:36:05 Mikel Pavaci\n\nView 2007-01-20 11:54:21 = Mikel PavaciUpdate 2007-01-20 11:54:38 Mikel Pavaci \n\nView 2007-01-20 12:22:56 = Ermal Dibra\nView 2007-01-20 12:44:39 = Ermal Dibra', 'Mikel Pavaci', '2007-01-20 12:44:39', 'Mikel Pavaci', '2007-01-20 11:36:05');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000272, '2007-01-20 11:39:19', 'Selami', 'Fadil', 'Zyra', NULL, 'Dashi', NULL, '', '1960-04-16', '', 'Mjede', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '236', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-20 11:39:19 Mikel Pavaci\n\nView 2007-01-20 11:55:21 = Mikel Pavaci\nView 2007-01-22 11:37:11 = Ermal Dibra', '', '2007-01-22 11:37:11', 'Mikel Pavaci', '2007-01-20 11:39:19');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000273, '2007-01-20 11:40:46', 'Brishila', 'Leze', 'Paulin', NULL, 'Fierza', NULL, '', '2003-05-01', '', 'Shelqet', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '428', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-20 11:40:46 Ardiana Dervishi\n\nView 2007-01-20 11:59:51 = Greta Naraci', '', '2007-01-20 11:59:51', 'Ardiana Dervishi', '2007-01-20 11:40:46');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000274, '2007-01-20 12:16:23', 'Naxhije', 'Haki', 'Belkize', NULL, 'Halluni', NULL, '', '1929-01-01', '', 'L.Partizani', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '237', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-20 12:16:23 Mikel Pavaci\n\nView 2007-01-20 14:20:13 = Ermal Dibra', '', '2007-01-20 14:20:13', 'Mikel Pavaci', '2007-01-20 12:16:23');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000275, '2007-01-22 09:25:38', 'Marsida', 'Aurel', 'Anxhe', NULL, 'Matia', NULL, '', '2006-06-29', '', 'Sheldi', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '238', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-22 09:25:38 Mikel Pavaci\n\nView 2007-01-22 09:47:44 = Ardiana Dervishi', '', '2007-01-22 09:47:44', 'Mikel Pavaci', '2007-01-22 09:25:38');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000276, '2007-01-22 09:40:10', 'Alfred', 'Gjeke', 'Lena', '', 'Marashi', '', '', '1998-01-01', '', 'Beltoje', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '240', NULL, '10000276.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-27 11:57:36', 'normal', 'Init.reg. 2007-01-22 09:40:10 Mikel Pavaci\n\nView 2007-01-23 08:33:15 = Ardiana Dervishi\nView 2007-01-25 11:37:24 = Ardiana DervishiUpdate 2007-01-25 11:37:53 Ardiana Dervishi \n\nView 2007-01-27 11:57:25 = Ardiana DervishiUpdate 2007-01-27 11:57:36 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-27 11:57:36', 'Mikel Pavaci', '2007-01-22 09:40:10');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000277, '2007-01-22 11:27:03', 'Klevis', 'Agim', 'Arjana', NULL, 'Juka', NULL, '', '2006-08-09', '', 'Shkoder', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '430', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-22 11:27:03 Ardiana Dervishi\n', '', '2007-01-22 11:27:03', 'Ardiana Dervishi', '2007-01-22 11:27:03');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000278, '2007-01-22 12:18:55', 'Melvina', 'Dritan', 'Saime', NULL, 'Mataj', NULL, '', '2005-01-01', '', 'Vrake', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '241', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-22 12:18:55 Mikel Pavaci\n\nView 2007-01-25 11:40:49 = Ardiana Dervishi', '', '2007-01-25 11:40:49', 'Mikel Pavaci', '2007-01-22 12:18:55');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000279, '2007-01-22 12:48:54', 'Kimberli', 'Erjon', 'Sanie', NULL, 'Peniku', NULL, '', '2006-09-04', '', 'Partizani', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', ' 242', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-22 12:48:54 Mikel Pavaci\n', '', '2007-01-22 12:48:54', 'Mikel Pavaci', '2007-01-22 12:48:54');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000280, '2007-01-22 12:51:06', 'Eringlen', 'Perparim', 'Saime', '', 'Marku', '', '', '2005-11-01', '', 'Tepe', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '243', NULL, '10000280.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:19:35', 'normal', 'Init.reg. 2007-01-22 12:51:06 Mikel Pavaci\n\nView 2007-01-25 11:19:00 = Ardiana DervishiUpdate 2007-01-25 11:19:35 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-25 11:19:35', 'Mikel Pavaci', '2007-01-22 12:51:06');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000281, '2007-01-22 12:52:57', 'Seat', 'Agim', 'Saime', NULL, 'Hoxhaj', NULL, '', '2006-04-11', '', 'Bushat', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '244', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-22 12:52:57 Mikel Pavaci\n', '', '2007-01-22 12:52:57', 'Mikel Pavaci', '2007-01-22 12:52:57');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000282, '2007-01-22 12:59:53', 'Matem', 'Jonuz', 'Gjylije', NULL, 'Morina', NULL, '', '1948-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '247', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-22 12:59:53 Mikel Pavaci\n\nView 2007-01-23 10:17:31 = Ermal Dibra', '', '2007-01-23 10:17:31', 'Mikel Pavaci', '2007-01-22 12:59:53');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000283, '2007-01-22 13:02:37', 'Hasije', 'Met', 'Kije', NULL, 'Thikaxhia', NULL, '', '1947-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '249', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-22 13:02:37 Mikel Pavaci\n\nView 2007-01-23 07:58:34 = Ermal Dibra', '', '2007-01-23 07:58:34', 'Mikel Pavaci', '2007-01-22 13:02:37');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000284, '2007-01-22 13:05:05', 'Palok', 'Dede', 'Mri', NULL, 'Gjelaj', NULL, '', '1955-01-01', '', 'Kelmend', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '250', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-22 13:05:05 Mikel Pavaci\n\nView 2007-01-23 11:35:55 = Ermal Dibra', '', '2007-01-23 11:35:55', 'Mikel Pavaci', '2007-01-22 13:05:05');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000285, '2007-01-22 13:07:35', 'Elvis', 'Gjeto', 'Gjyste', NULL, 'Grimaj', NULL, '', '1980-01-01', '', 'Grude e Re', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '251', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-22 13:07:35 Mikel Pavaci\n\nView 2007-01-23 08:03:11 = Ermal Dibra', '', '2007-01-23 08:03:11', 'Mikel Pavaci', '2007-01-22 13:07:35');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000286, '2007-01-22 13:09:44', 'Lime', 'Alush', 'Hatixhe', NULL, 'Guri', NULL, '', '1940-01-01', '', 'Shiroke', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '252', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-22 13:09:44 Mikel Pavaci\n\nView 2007-01-22 13:17:11 = Ermal Dibra', '', '2007-01-22 13:17:11', 'Mikel Pavaci', '2007-01-22 13:09:44');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000287, '2007-01-22 13:11:32', 'Njazi', 'Smajl', 'Mine', NULL, 'Sheqi', NULL, '', '1956-07-18', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '253', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-22 13:11:32 Mikel Pavaci\n\nView 2007-01-23 07:53:39 = Ermal Dibra', '', '2007-01-23 07:53:39', 'Mikel Pavaci', '2007-01-22 13:11:32');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000288, '2007-01-22 13:14:21', 'Kadri', 'Bajram', 'Sultana', NULL, 'Kastrati', NULL, '', '1948-03-23', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '255', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '2007-01-22', 2007000161, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-22 13:14:21 Mikel Pavaci\n\nView 2007-01-22 13:22:04 = Ermal DibraDischarged (cause: death) 2007-01-22 13:30:30 Ermal Dibra\n', 'Ermal Dibra', '2007-01-22 13:30:30', 'Mikel Pavaci', '2007-01-22 13:14:21');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000289, '2007-01-22 13:16:12', 'Saide', 'Halid', 'Fatime', NULL, 'Bolici', NULL, '', '1940-09-02', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '256', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-22 13:16:12 Mikel Pavaci\n\nView 2007-01-22 13:34:06 = Ermal Dibra', '', '2007-01-22 13:34:06', 'Mikel Pavaci', '2007-01-22 13:16:12');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000290, '2007-01-22 13:18:11', 'Xhelal', 'Isuf', 'Fatime', NULL, 'Durove', NULL, '', '1938-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '257', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-22 13:18:11 Mikel Pavaci\n\nView 2007-01-23 07:47:41 = Ermal Dibra', '', '2007-01-23 07:47:41', 'Mikel Pavaci', '2007-01-22 13:18:11');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000291, '2007-01-22 13:20:51', 'Prenda', 'Gjin', 'Marije', NULL, 'Hysa', NULL, '', '1949-08-08', '', 'Kalivac', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '258', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-22 13:20:51 Mikel Pavaci\n\nView 2007-01-23 11:32:52 = Mikel Pavaci\nView 2007-01-23 13:07:45 = Ermal Dibra', '', '2007-01-23 13:07:45', 'Mikel Pavaci', '2007-01-22 13:20:51');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000292, '2007-01-22 13:23:15', 'Suada', 'Eljar', 'Servet', NULL, 'Dibra', NULL, '', '1981-05-22', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '259', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-22 13:23:15 Mikel Pavaci\n\nView 2007-01-23 08:09:11 = Ermal Dibra', '', '2007-01-23 08:09:11', 'Mikel Pavaci', '2007-01-22 13:23:15');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000293, '2007-01-22 13:28:45', 'Lula', 'Ndre', 'Leze', NULL, 'Kola', NULL, '', '1953-01-01', '', 'Bardhaj', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '260', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-22 13:28:45 Mikel Pavaci\n\nView 2007-01-23 11:31:41 = Ermal Dibra', '', '2007-01-23 11:31:41', 'Mikel Pavaci', '2007-01-22 13:28:45');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000294, '2007-01-22 13:31:48', 'Nikolin', 'Gjergj', 'Age', '', 'Gjeli', '', '', '1961-01-01', '', 'Shkoder', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '261', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-23 13:15:28', 'normal', 'Init.reg. 2007-01-22 13:31:48 Mikel Pavaci\n\nView 2007-01-23 12:32:52 = Mikel Pavaci\nView 2007-01-23 13:12:19 = Ermal Dibra\nView 2007-01-23 13:13:19 = Ermal DibraUpdate 2007-01-23 13:15:28 Ermal Dibra \n', 'Ermal Dibra', '2007-01-23 13:15:28', 'Mikel Pavaci', '2007-01-22 13:31:48');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000295, '2007-01-23 08:12:52', 'Erniglen', 'Perparim', 'Antoneta', NULL, 'Marku', NULL, '', '1993-04-02', '', 'S.Halili', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '445', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-23 08:12:52 Ardiana Dervishi\n\nView 2007-01-23 08:13:39 = Ardiana Dervishi', '', '2007-01-23 08:13:39', 'Ardiana Dervishi', '2007-01-23 08:12:52');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000296, '2007-01-23 08:20:29', 'Gledis', 'Bes', 'Vera', '', 'Mehja', '', '', '2004-05-02', '', 'Bushat', '000', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '429', NULL, '10000296.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:12:46', 'normal', 'Init.reg. 2007-01-23 08:20:29 Ardiana Dervishi\n\nView 2007-01-25 11:12:34 = Ardiana DervishiUpdate 2007-01-25 11:12:46 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-25 11:12:46', 'Ardiana Dervishi', '2007-01-23 08:20:29');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000297, '2007-01-23 08:26:30', 'Admir', 'Pjeter', 'File', NULL, 'peci', NULL, '', '2001-05-01', '', 'Shkoder', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '436', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-23 08:26:30 Ardiana Dervishi\n\nView 2007-01-24 11:04:25 = Greta Naraci\nView 2007-01-24 11:05:17 = Greta Naraci', '', '2007-01-24 11:05:17', 'Ardiana Dervishi', '2007-01-23 08:26:30');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000298, '2007-01-23 08:51:11', 'Emilia', 'Saimir', 'Alida', '', 'Beqiri', '', '', '1997-07-10', '', 'Guri i zi', '000', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '446', NULL, '10000298.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:14:24', 'normal', 'Init.reg. 2007-01-23 08:51:11 Ardiana Dervishi\n\nView 2007-01-23 08:56:43 = Ardiana Dervishi\nView 2007-01-25 11:13:53 = Ardiana DervishiUpdate 2007-01-25 11:14:24 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-25 11:14:24', 'Ardiana Dervishi', '2007-01-23 08:51:11');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000299, '2007-01-23 09:09:11', 'KImberli', 'Elion', 'GJystin', NULL, 'PEningu', NULL, '', '2006-09-04', '', 'L Partizani', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '448', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-23 09:09:11 Ardiana Dervishi\n\nView 2007-01-24 08:59:07 = Ardiana Dervishi\nView 2007-01-24 09:02:56 = Ardiana Dervishi\nView 2007-01-24 09:03:53 = Ardiana Dervishi', '', '2007-01-24 09:03:53', 'Ardiana Dervishi', '2007-01-23 09:09:11');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000300, '2007-01-23 09:42:28', 'Malvina', 'Dritan', 'Marcela', '', 'Mataj', '', '', '2004-02-03', '', 'Mes', '000', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '448', NULL, '10000300.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:42:28', 'normal', 'Init.reg. 2007-01-23 09:42:28 Ardiana Dervishi\n\nView 2007-01-23 09:44:17 = Ardiana Dervishi\nView 2007-01-23 10:34:00 = Ardiana Dervishi\nView 2007-01-24 12:54:58 = Ardiana Dervishi\nView 2007-01-25 11:41:47 = Ardiana DervishiUpdate 2007-01-25 11:42:28 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-25 11:42:28', 'Ardiana Dervishi', '2007-01-23 09:42:28');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000301, '2007-01-23 09:56:53', 'Sead', 'Agim', 'Lunida', '', 'Hoxhaj', '', '', '2006-04-11', '', 'Bushat', '000', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '447', NULL, '10000301.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:09:44', 'normal', 'Init.reg. 2007-01-23 09:56:53 Ardiana Dervishi\n\nView 2007-01-23 10:34:29 = Ardiana Dervishi\nView 2007-01-23 10:35:43 = Ardiana Dervishi\nView 2007-01-25 11:09:26 = Ardiana DervishiUpdate 2007-01-25 11:09:44 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-25 11:09:44', 'Ardiana Dervishi', '2007-01-23 09:56:53');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000302, '2007-01-23 10:41:24', 'latife', 'Hektor', 'Shire', NULL, 'Shabani', NULL, '', '2004-04-01', '', 'Shkoder', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '435', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-23 10:41:24 Ardiana Dervishi\n', '', '2007-01-23 10:41:24', 'Ardiana Dervishi', '2007-01-23 10:41:24');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000303, '2007-01-23 10:46:07', 'Pamela', 'Pashko', 'Diella', '', 'Miri', '', '', '2004-01-06', '', 'Shkoder', '000', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '492', NULL, '10000303.JPG', 0, NULL, '123456', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-10-22 20:12:31', 'normal', 'Init.reg. 2007-01-23 10:46:07 Ardiana Dervishi\n\nView 2007-01-25 11:04:41 = Ardiana Dervishi\nView 2007-01-25 11:05:38 = Ardiana Dervishi\nView 2007-01-25 11:06:57 = Ardiana DervishiUpdate 2007-01-25 11:07:17 Ardiana Dervishi \n\nView 2007-01-25 11:45:01 = Ardiana Dervishi\nView 2007-01-27 12:05:11 = Ermal Dibra\nView 2007-01-27 12:05:18 = Ermal Dibra\nView 2007-08-01 18:55:34 = admin\nView 2007-08-01 22:14:21 = admin\nView 2007-08-22 16:39:11 = admin\nView 2007-08-22 16:39:25 = admin\nView 2007-08-22 16:40:07 = admin\nView 2007-08-22 16:47:59 = admin\nView 2007-08-22 16:48:09 = admin\nView 2007-08-22 16:48:17 = admin\nView 2007-08-22 16:50:28 = admin\nView 2007-08-22 16:52:13 = admin\nView 2007-08-22 17:00:43 = admin\nView 2007-08-22 17:02:36 = admin\nView 2007-08-22 17:10:42 = admin\nView 2007-08-22 17:40:57 = admin\nView 2007-08-24 10:25:25 = admin\nView 2007-08-24 10:25:39 = adminUpdate 2007-09-28 02:47:13 admin \nUpdate 2007-09-28 02:49:16 admin \n\nView 2007-09-28 21:29:43 = admin\nView 2007-09-28 21:29:49 = adminUpdate 2007-09-28 21:29:57 admin \nUpdate 2007-09-28 21:32:35 admin \n\nView 2007-10-22 19:51:30 = admin\nView 2007-10-22 19:52:20 = adminUpdate 2007-10-22 20:12:31 admin \n\nView 2007-11-20 11:40:40 = admin', 'admin', '2007-11-20 11:40:40', 'Ardiana Dervishi', '2007-01-23 10:46:07');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000304, '2007-01-23 10:54:54', 'Alen', 'Mustaf', 'Arta', '', 'Hekuri', '', '', '2006-12-08', '', 'Shtoj', '000', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '478', NULL, '10000304.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:44:00', 'normal', 'Init.reg. 2007-01-23 10:54:54 Ardiana Dervishi\n\nView 2007-01-25 11:43:48 = Ardiana DervishiUpdate 2007-01-25 11:44:00 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-25 11:44:00', 'Ardiana Dervishi', '2007-01-23 10:54:54');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000305, '2007-01-23 11:19:03', 'Lin', 'Lulash', 'Kade', NULL, 'Lekndrekaj', NULL, '', '1929-01-01', '', 'Golem', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '283', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-23 11:19:03 Mikel Pavaci\n\nView 2007-01-24 12:25:49 = Ermal Dibra', '', '2007-01-24 12:25:49', 'Mikel Pavaci', '2007-01-23 11:19:03');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000306, '2007-01-23 11:23:09', 'Nuse', 'Mul', 'Fatime', NULL, 'Meaj', NULL, '', '1934-06-26', '', 'Ura e Shtrenjte', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '286', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-23 11:23:09 Mikel Pavaci\n\nView 2007-01-24 12:39:22 = Ermal Dibra', '', '2007-01-24 12:39:22', 'Mikel Pavaci', '2007-01-23 11:23:09');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000307, '2007-01-23 11:25:41', 'Bisere', 'Isa', 'Mibe', NULL, 'Dani', NULL, '', '1951-01-01', '', 'Berdice', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '287', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-23 11:25:41 Mikel Pavaci\n\nView 2007-01-24 12:18:35 = Ermal Dibra', '', '2007-01-24 12:18:35', 'Mikel Pavaci', '2007-01-23 11:25:41');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000308, '2007-01-23 11:32:29', 'Erseli', 'Ismet', 'Saime', '', 'Karakaci', '', '', '2002-01-01', '', 'Shkoder', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '479', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-23 11:46:57', 'normal', 'Init.reg. 2007-01-23 11:32:29 Mikel Pavaci\n\nView 2007-01-23 11:43:39 = Mikel Pavaci\nView 2007-01-23 11:46:37 = Mikel PavaciUpdate 2007-01-23 11:46:57 Mikel Pavaci \n\nView 2007-01-23 12:08:21 = Ardiana Dervishi\nView 2007-01-23 12:13:24 = Ardiana Dervishi\nView 2007-01-23 12:13:34 = Ardiana Dervishi\nView 2007-01-23 12:14:08 = Ardiana Dervishi', 'Mikel Pavaci', '2007-01-23 12:14:08', 'Mikel Pavaci', '2007-01-23 11:32:29');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000309, '2007-01-23 11:38:28', 'Mark', 'Pjeter', 'Sose', NULL, 'Ernici', NULL, '', '1937-06-27', '', 'N.Mazi', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '288', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-23 11:38:28 Mikel Pavaci\n\nView 2007-01-23 11:41:31 = Ermal Dibra\nView 2007-01-23 12:43:03 = Mikel Pavaci', '', '2007-01-23 12:43:03', 'Mikel Pavaci', '2007-01-23 11:38:28');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000310, '2007-01-23 11:43:02', 'Ylfete', 'Ismail', 'Fatime', NULL, 'Halluni', NULL, '', '1939-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '281', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-23 11:43:02 Mikel Pavaci\n\nView 2007-01-24 12:29:58 = Ermal Dibra', '', '2007-01-24 12:29:58', 'Mikel Pavaci', '2007-01-23 11:43:02');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000311, '2007-01-23 11:46:27', 'Alem', 'Mustaf', 'Saime', NULL, 'Hekuri', NULL, '', '2006-12-08', '', 'Shtoj i Vjeter', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '478', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-23 11:46:27 Mikel Pavaci\n', '', '2007-01-23 11:46:27', 'Mikel Pavaci', '2007-01-23 11:46:27');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000312, '2007-01-23 11:49:54', 'Emilio', 'Saimir', 'Sanie', NULL, 'Beqiri', NULL, '', '2007-07-10', '', 'G.i Zi', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '487', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-23 11:49:54 Mikel Pavaci\n', '', '2007-01-23 11:49:54', 'Mikel Pavaci', '2007-01-23 11:49:54');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000313, '2007-01-23 11:52:59', 'Shemsie', 'Ymer', 'Saime', NULL, 'Lisa', NULL, '', '2002-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '483', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-23 11:52:59 Mikel Pavaci\n', '', '2007-01-23 11:52:59', 'Mikel Pavaci', '2007-01-23 11:52:59');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000314, '2007-01-23 11:55:21', 'Marenglen', 'Gjon', 'Anxhe', '', 'Lazri', '', '', '1995-01-01', '', 'Shkoder', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '485', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-26 09:54:59', 'normal', 'Init.reg. 2007-01-23 11:55:21 Mikel Pavaci\n\nView 2007-01-24 11:40:11 = Ardiana Dervishi\nView 2007-01-24 12:58:43 = Ardiana Dervishi\nView 2007-01-25 11:35:25 = Ardiana DervishiUpdate 2007-01-25 11:36:02 Ardiana Dervishi \n\nView 2007-01-26 09:53:01 = Ardiana Dervishi\nView 2007-01-26 09:54:28 = Ardiana DervishiUpdate 2007-01-26 09:54:59 Ardiana Dervishi \n\nView 2007-01-26 09:55:24 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 09:55:24', 'Mikel Pavaci', '2007-01-23 11:55:21');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000315, '2007-01-23 11:57:41', 'Lindita', 'Xhevat', 'Saime', '', 'Kaci', '', '', '2006-07-29', '', 'V.Dejes', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '690', NULL, '10000315.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-02-01 10:42:28', 'normal', 'Init.reg. 2007-01-23 11:57:41 Mikel Pavaci\n\nView 2007-01-24 12:06:16 = Ardiana Dervishi\nView 2007-01-25 11:33:44 = Ardiana DervishiUpdate 2007-01-25 11:33:56 Ardiana Dervishi \n\nView 2007-02-01 10:41:47 = Mikel PavaciUpdate 2007-02-01 10:42:28 Mikel Pavaci \n\nView 2007-02-01 12:22:56 = Ardiana Dervishi', 'Mikel Pavaci', '2007-02-01 12:22:56', 'Mikel Pavaci', '2007-01-23 11:57:41');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000316, '2007-01-23 11:59:54', 'Malvina', 'Gjon', 'Anxhe', '', 'Lleshi', '', '', '1999-01-01', '', 'Lac V.Dejes', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '481', NULL, '10000316.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:32:56', 'normal', 'Init.reg. 2007-01-23 11:59:54 Mikel Pavaci\nUpdate 2007-01-23 12:00:14 Mikel Pavaci \n\nView 2007-01-24 12:55:35 = Ardiana Dervishi\nView 2007-01-25 11:32:24 = Ardiana DervishiUpdate 2007-01-25 11:32:56 Ardiana Dervishi \n\nView 2007-01-25 11:42:49 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-25 11:42:49', 'Mikel Pavaci', '2007-01-23 11:59:54');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000317, '2007-01-23 12:03:47', 'Kristian', 'Angjelin', 'Drande', '', 'Lulashi', '', '', '2000-01-01', '', 'Bardhaj', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '480', NULL, '10000317.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:31:54', 'normal', 'Init.reg. 2007-01-23 12:03:47 Mikel Pavaci\n\nView 2007-01-25 08:55:00 = Ardiana Dervishi\nView 2007-01-25 11:31:33 = Ardiana DervishiUpdate 2007-01-25 11:31:54 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-25 11:31:54', 'Mikel Pavaci', '2007-01-23 12:03:47');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000318, '2007-01-23 12:06:16', 'Mirjana', 'Bujar', 'Saime', NULL, 'Meha', NULL, '', '2003-01-01', '', 'Hot', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '488', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-23 12:06:16 Mikel Pavaci\n\nView 2007-01-24 12:59:32 = Ardiana Dervishi', '', '2007-01-24 12:59:32', 'Mikel Pavaci', '2007-01-23 12:06:16');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000319, '2007-01-23 12:12:38', 'Fatime', 'Tahir', 'Tushe', NULL, 'Vucaj', NULL, '', '1935-01-01', '', 'Koplik', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '289', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-23 12:12:38 Mikel Pavaci\n\nView 2007-01-24 12:14:06 = Ermal Dibra', '', '2007-01-24 12:14:06', 'Mikel Pavaci', '2007-01-23 12:12:38');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000320, '2007-01-23 12:25:38', 'Endri', 'Ismet', 'Saime', NULL, 'Mehaj', NULL, '', '2004-07-02', '', 'Hot', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '491', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-23 12:25:38 Mikel Pavaci\n\nView 2007-01-24 11:18:39 = Ardiana Dervishi', '', '2007-01-24 11:18:39', 'Mikel Pavaci', '2007-01-23 12:25:38');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000321, '2007-01-23 12:27:13', 'K;odian', 'Nik', 'Anxhe', NULL, 'Rrahi', NULL, '', '2001-08-13', '', '3 Herojt', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '484', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-23 12:27:13 Mikel Pavaci\n', '', '2007-01-23 12:27:13', 'Mikel Pavaci', '2007-01-23 12:27:13');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000322, '2007-01-23 12:29:45', 'Vandam', 'Ndoje', 'Anxhe', NULL, 'Vukaj', NULL, '', '2005-08-01', '', 'Bardhaj', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '482', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-23 12:29:45 Mikel Pavaci\n', '', '2007-01-23 12:29:45', 'Mikel Pavaci', '2007-01-23 12:29:45');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000323, '2007-01-23 12:32:00', 'Jurgen', 'Sabah', 'Saime', '', 'Hoxha', '', '', '2000-01-01', '', 'Bushat', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '486', NULL, '10000323.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:36:36', 'normal', 'Init.reg. 2007-01-23 12:32:00 Mikel Pavaci\n\nView 2007-01-24 11:43:45 = Ardiana Dervishi\nView 2007-01-25 11:36:17 = Ardiana DervishiUpdate 2007-01-25 11:36:36 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-25 11:36:36', 'Mikel Pavaci', '2007-01-23 12:32:00');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000324, '2007-01-23 12:39:52', 'Lorenc', 'Martin', 'Mrike', NULL, 'Cela', NULL, '', '1965-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '274', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-23 12:39:52 Mikel Pavaci\n\nView 2007-01-24 12:45:08 = Ermal Dibra\nView 2007-07-22 18:40:52 = admin\nView 2007-07-22 18:42:40 = admin\nView 2007-07-22 18:43:02 = admin\nView 2007-07-22 18:43:05 = admin\nView 2007-07-22 18:43:07 = admin\nView 2007-07-22 18:43:09 = admin\nView 2007-07-22 18:43:15 = admin\nView 2007-07-22 18:43:17 = admin\nView 2007-07-22 18:43:19 = admin\nView 2007-07-22 18:43:24 = admin\nView 2007-07-22 18:43:27 = admin\nView 2007-07-22 18:43:29 = admin\nView 2007-07-22 18:44:39 = admin', '', '2007-07-22 18:44:39', 'Mikel Pavaci', '2007-01-23 12:39:52');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000325, '2007-01-24 08:40:37', 'Elvis', 'Lulezim', 'Teuta', NULL, 'Hoti', NULL, '', '1998-01-14', '', 'Koplik', '000', '00013', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '509', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-24 08:40:37 Ardiana Dervishi\n', '', '2007-01-24 08:40:37', 'Ardiana Dervishi', '2007-01-24 08:40:37');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000326, '2007-01-24 08:45:42', 'Erhan', 'Lulezim', 'Luljeta', '', 'Duli', '', '', '2006-11-08', '', 'Mjed', '000', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '509', NULL, '10000326.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:43:39', 'normal', 'Init.reg. 2007-01-24 08:45:42 Ardiana Dervishi\n\nView 2007-01-25 11:43:19 = Ardiana DervishiUpdate 2007-01-25 11:43:39 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-25 11:43:39', 'Ardiana Dervishi', '2007-01-24 08:45:42');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000327, '2007-01-24 08:47:05', 'Ema', 'Shpetim', 'Saime', NULL, 'Nasufi', NULL, '', '2005-01-01', '', 'Liria', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '513', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-24 08:47:05 Mikel Pavaci\n', '', '2007-01-24 08:47:05', 'Mikel Pavaci', '2007-01-24 08:47:05');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000328, '2007-01-24 08:49:13', 'Ilva', 'Ilir', 'Fatime', '', 'Musaja', '', '', '2006-12-13', '', 'Kosmac', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '510', NULL, '10000328.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:07:59', 'normal', 'Init.reg. 2007-01-24 08:49:13 Mikel Pavaci\n\nView 2007-01-24 08:53:27 = Mikel Pavaci\nView 2007-01-25 08:37:29 = Ardiana Dervishi\nView 2007-01-25 11:07:41 = Ardiana DervishiUpdate 2007-01-25 11:07:59 Ardiana Dervishi \n\nView 2007-01-26 08:30:59 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 08:30:59', 'Mikel Pavaci', '2007-01-24 08:49:13');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000329, '2007-01-24 08:56:30', 'Esmeralda', 'Lulzim', 'Feride', '', 'Shpuza', '', '', '2005-07-01', '', 'Bardhaj', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '514', NULL, '10000329.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:09:10', 'normal', 'Init.reg. 2007-01-24 08:56:30 Mikel Pavaci\n\nView 2007-01-24 12:48:06 = Ardiana Dervishi\nView 2007-01-25 08:40:49 = Ardiana Dervishi\nView 2007-01-25 11:08:49 = Ardiana DervishiUpdate 2007-01-25 11:09:10 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-25 11:09:10', 'Mikel Pavaci', '2007-01-24 08:56:30');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000330, '2007-01-24 08:59:52', 'Ambra', 'Elidon', 'Sanie', '', 'Zefi', '', '', '2006-12-01', '', 'Skenderbeg', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '516', NULL, '10000330.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:10:32', 'normal', 'Init.reg. 2007-01-24 08:59:52 Mikel Pavaci\n\nView 2007-01-24 12:14:49 = Ardiana Dervishi\nView 2007-01-25 11:10:18 = Ardiana DervishiUpdate 2007-01-25 11:10:32 Ardiana Dervishi \n\nView 2007-01-27 13:18:51 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-27 13:18:51', 'Mikel Pavaci', '2007-01-24 08:59:52');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000331, '2007-01-24 09:02:00', 'Fatri', 'Sokol', 'Saime', '', 'Mehmetaj', '', '', '2000-07-20', '', 'Koplik', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '512', NULL, '10000331.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:13:25', 'normal', 'Init.reg. 2007-01-24 09:02:00 Mikel Pavaci\n\nView 2007-01-24 12:40:37 = Ardiana Dervishi\nView 2007-01-25 11:13:11 = Ardiana DervishiUpdate 2007-01-25 11:13:25 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-25 11:13:25', 'Mikel Pavaci', '2007-01-24 09:02:00');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000332, '2007-01-24 09:03:45', 'Emanuel', 'Pjeter', 'Lajde', '', 'Kola', '', '', '1996-11-24', '', '3 Herojt', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '515', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-24 11:52:34', 'normal', 'Init.reg. 2007-01-24 09:03:45 Mikel Pavaci\n\nView 2007-01-24 11:51:29 = Ardiana Dervishi\nView 2007-01-24 11:52:08 = Ardiana Dervishi\nView 2007-01-24 11:52:21 = Ardiana DervishiUpdate 2007-01-24 11:52:34 Ardiana Dervishi \n\nView 2007-01-24 11:53:04 = Ardiana Dervishi\nView 2007-02-01 11:18:24 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 11:18:24', 'Mikel Pavaci', '2007-01-24 09:03:45');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000333, '2007-01-24 09:06:15', 'Prendush', 'Dede', 'Anxhe', '', 'Prendushi', '', '', '2006-05-23', '', 'Karme', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '519', NULL, '10000333.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:34:59', 'normal', 'Init.reg. 2007-01-24 09:06:15 Mikel Pavaci\n\nView 2007-01-24 11:57:13 = Ardiana Dervishi\nView 2007-01-25 11:34:29 = Ardiana DervishiUpdate 2007-01-25 11:34:59 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-25 11:34:59', 'Mikel Pavaci', '2007-01-24 09:06:15');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000334, '2007-01-24 09:08:28', 'Ardis', 'Ardian', 'Gjyhere', '', 'Dibra', '', '', '2002-01-01', '', 'Perash', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '518', NULL, '10000334.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:27:17', 'normal', 'Init.reg. 2007-01-24 09:08:28 Mikel Pavaci\n\nView 2007-01-24 12:31:54 = Ardiana Dervishi\nView 2007-01-25 11:26:49 = Ardiana DervishiUpdate 2007-01-25 11:27:17 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-25 11:27:17', 'Mikel Pavaci', '2007-01-24 09:08:28');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000335, '2007-01-24 09:10:55', 'Armando', 'Elez', 'Saime', NULL, 'Delaj', NULL, '', '1996-01-01', '', 'Perash', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '517', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-24 09:10:55 Mikel Pavaci\n\nView 2007-01-24 11:46:59 = Ardiana Dervishi', '', '2007-01-24 11:46:59', 'Mikel Pavaci', '2007-01-24 09:10:55');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000336, '2007-01-24 09:12:51', 'Melissa', 'Edmond', 'Sanie', '', 'Musaraj', '', '', '2006-02-03', '', 'Partizani', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '511', NULL, '10000336.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:06:34', 'normal', 'Init.reg. 2007-01-24 09:12:51 Mikel Pavaci\n\nView 2007-01-25 09:03:24 = Ardiana Dervishi\nView 2007-01-25 09:06:46 = Ardiana Dervishi\nView 2007-01-25 11:06:07 = Ardiana DervishiUpdate 2007-01-25 11:06:34 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-25 11:06:34', 'Mikel Pavaci', '2007-01-24 09:12:51');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000337, '2007-01-24 09:21:17', 'Natasha', NULL, NULL, NULL, 'Gjerga', NULL, '', '1956-11-15', 'O', 'F.Ramadani/Clirimi', '993', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-24 09:21:17 admin\n', '', '2007-01-24 09:21:17', 'admin', '2007-01-24 09:21:17');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000338, '2007-01-24 09:25:26', 'Vitore', NULL, NULL, NULL, 'Qirioko', NULL, '', '1962-02-02', 'A', 'M.Alimini/S.Halili', '33', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-24 09:25:26 admin\n', '', '2007-01-24 09:25:26', 'admin', '2007-01-24 09:25:26');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000339, '2007-01-24 09:28:41', 'Misha', '', '', '', 'Kodra', '', '', '1952-04-13', 'B', '3 Herojt/B.Kadia', '53', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-24 09:31:20', 'normal', 'Init.reg. 2007-01-24 09:28:41 admin\n\nView 2007-01-24 09:31:02 = adminUpdate 2007-01-24 09:31:20 admin \n', 'admin', '2007-01-24 09:31:20', 'admin', '2007-01-24 09:28:41');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000340, '2007-01-24 09:32:32', 'Erkan', 'Lylzim', 'Saime', NULL, 'Dyli', NULL, '', '2006-11-08', '', 'Mjede', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '509', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-24 09:32:32 Mikel Pavaci\n', '', '2007-01-24 09:32:32', 'Mikel Pavaci', '2007-01-24 09:32:32');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000341, '2007-01-24 09:34:14', 'Safet', NULL, NULL, NULL, 'Selmani', NULL, '', '1959-10-10', 'A', 'V.Kushi/R.Tyli', '00', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-24 09:34:14 admin\n\nView 2007-01-24 10:00:49 = admin', '', '2007-01-24 10:00:49', 'admin', '2007-01-24 09:34:14');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000342, '2007-01-24 09:35:25', 'Elvis', 'Lulzim', 'Saime', NULL, 'Voci', NULL, '', '1999-01-01', '', 'Koplik', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '520', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-24 09:35:25 Mikel Pavaci\n', '', '2007-01-24 09:35:25', 'Mikel Pavaci', '2007-01-24 09:35:25');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000343, '2007-01-24 09:35:55', 'Lindita', NULL, NULL, NULL, 'Goxha', NULL, '', '1966-01-01', '', 'Bahqallek/29 Nentori', '5/57', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-24 09:35:55 admin\n\nView 2007-01-24 09:59:33 = admin', '', '2007-01-24 09:59:33', 'admin', '2007-01-24 09:35:55');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000344, '2007-01-24 09:37:32', 'Zenepe', NULL, NULL, NULL, 'Kavaja', NULL, '', '1956-07-21', 'A', 'N.Gjylbegu/B.Bishanaku', '799', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-24 09:37:32 admin\n\nView 2007-01-24 09:58:13 = admin', '', '2007-01-24 09:58:13', 'admin', '2007-01-24 09:37:32');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000345, '2007-01-24 09:38:52', 'Ardiana', NULL, NULL, NULL, 'Dervishi', NULL, '', '1979-11-20', 'A', 'F.Ramadani/Bashkimi', '35', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-24 09:38:52 admin\n\nView 2007-01-24 09:55:59 = admin\nView 2007-01-30 08:12:39 = Mikel Pavaci\nView 2007-01-30 09:05:58 = Ermal Dibra', '', '2007-01-30 09:05:58', 'admin', '2007-01-24 09:38:52');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000346, '2007-01-24 09:45:21', 'Vaide', NULL, NULL, NULL, 'Selimi', NULL, '', '1953-05-28', 'O', 'S.Halili/V.Shanto', '777', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', NULL, NULL, '', NULL, NULL, 'K532', NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-24 09:45:21 admin\n\nView 2007-01-24 09:54:36 = admin', '', '2007-01-24 09:54:36', 'admin', '2007-01-24 09:45:21');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000347, '2007-01-24 09:48:30', 'Majlinda', NULL, NULL, NULL, 'Xhonaej', NULL, '', '1965-07-20', 'O', 'P.Regjepi', '244', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-24 09:48:30 admin\n\nView 2007-01-24 09:53:05 = admin', '', '2007-01-24 09:53:05', 'admin', '2007-01-24 09:48:30');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000348, '2007-01-24 09:49:29', 'Marjeta', NULL, NULL, NULL, 'Cama', NULL, '', '1971-05-12', 'O', 'P.Regjepi/A.Moisiu', '001', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-24 09:49:29 admin\n', '', '2007-01-24 09:49:29', 'admin', '2007-01-24 09:49:29');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000349, '2007-01-24 10:30:41', 'Hajrije', 'Tahir', 'Saime', NULL, 'Pepa', NULL, '', '1957-03-20', '', 'Vrake', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '308', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-24 10:30:41 Mikel Pavaci\n\nView 2007-01-24 11:58:38 = Ermal Dibra', '', '2007-01-24 11:58:38', 'Mikel Pavaci', '2007-01-24 10:30:41');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000350, '2007-01-24 10:32:41', 'Mandush', 'Ali', 'Zyra', NULL, 'Dizdari', NULL, '', '1945-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '309', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-24 10:32:41 Mikel Pavaci\n\nView 2007-01-24 12:09:44 = Ermal Dibra', '', '2007-01-24 12:09:44', 'Mikel Pavaci', '2007-01-24 10:32:41');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000351, '2007-01-24 10:39:46', 'Myzejen', 'Idriz', 'Hajrije', NULL, 'Vela', NULL, '', '1937-08-30', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '310', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-24 10:39:46 Mikel Pavaci\n\nView 2007-01-24 12:05:26 = Ermal Dibra', '', '2007-01-24 12:05:26', 'Mikel Pavaci', '2007-01-24 10:39:46');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000352, '2007-01-24 11:31:31', 'Ersida', 'Kol', 'Dile', NULL, 'Preka', NULL, '', '1999-01-01', '', 'Karme', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '369', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-24 11:31:31 Ardiana Dervishi\n', '', '2007-01-24 11:31:31', 'Ardiana Dervishi', '2007-01-24 11:31:31');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000353, '2007-01-24 12:02:03', 'Shemsije', 'Umer', 'Mine', NULL, 'Lisaj', NULL, '', '2001-05-02', '', 'Shkoder', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '483', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-24 12:02:03 Ardiana Dervishi\n', '', '2007-01-24 12:02:03', 'Ardiana Dervishi', '2007-01-24 12:02:03');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000354, '2007-01-24 12:56:21', 'Astrit', 'Halil', 'Sofije', NULL, 'Guraj', NULL, '', '1972-02-28', '', 'Golem', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '312', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-24 12:56:21 Mikel Pavaci\n\nView 2007-01-24 12:56:42 = Mikel Pavaci\nView 2007-01-26 14:07:40 = Ermal Dibra', '', '2007-01-26 14:07:40', 'Mikel Pavaci', '2007-01-24 12:56:21');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000355, '2007-01-25 09:16:13', 'Iliriana', 'Shkelqim', 'Saime', '', 'Kurti', '', '', '1997-04-12', '', 'Koplik', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '530', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 09:17:42', 'normal', 'Init.reg. 2007-01-25 09:16:13 Mikel Pavaci\n\nView 2007-01-25 09:16:48 = Ardiana Dervishi\nView 2007-01-25 09:17:27 = Mikel PavaciUpdate 2007-01-25 09:17:42 Mikel Pavaci \n', 'Mikel Pavaci', '2007-01-25 09:17:42', 'Mikel Pavaci', '2007-01-25 09:16:13');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000356, '2007-01-25 09:19:07', 'Aurel', 'Durim', 'Saime', '', 'Duma', '', '', '2004-07-22', '', 'Shkoder', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '531', NULL, '10000356.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:30:12', 'normal', 'Init.reg. 2007-01-25 09:19:07 Mikel Pavaci\n\nView 2007-01-25 10:03:14 = Ardiana Dervishi\nView 2007-01-25 11:29:59 = Ardiana DervishiUpdate 2007-01-25 11:30:12 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-25 11:30:12', 'Mikel Pavaci', '2007-01-25 09:19:07');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000357, '2007-01-25 09:21:36', 'Elmedina', 'Ilir', 'Saime', '', 'Alia', '', '', '2001-01-01', '', 'Shkoder', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '532536', NULL, '10000357.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:33:28', 'normal', 'Init.reg. 2007-01-25 09:21:36 Mikel Pavaci\n\nView 2007-01-25 11:33:12 = Ardiana DervishiUpdate 2007-01-25 11:33:28 Ardiana Dervishi \n\nView 2007-01-26 09:02:05 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-01-26 09:02:05', 'Mikel Pavaci', '2007-01-25 09:21:36');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000358, '2007-01-25 09:29:05', 'Emiliana', '.Prel', 'Anxhe', NULL, 'Gjoni', NULL, '', '1994-09-18', '', 'V.Dejes', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '535', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-25 09:29:05 Mikel Pavaci\n\nView 2007-01-26 09:46:47 = Ardiana Dervishi\nView 2007-01-26 09:47:22 = Ardiana Dervishi\nView 2007-01-26 09:47:30 = Ardiana Dervishi', '', '2007-01-26 09:47:30', 'Mikel Pavaci', '2007-01-25 09:29:05');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000359, '2007-01-25 10:17:20', 'Klaudia', 'SHan', 'Tone', '', 'Shkembi', '', '', '1995-06-21', '', 'L.Skenderbeg', '000', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '532', NULL, '10000359.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:44:27', 'normal', 'Init.reg. 2007-01-25 10:17:20 Ardiana Dervishi\n\nView 2007-01-25 11:44:17 = Ardiana DervishiUpdate 2007-01-25 11:44:27 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-25 11:44:27', 'Ardiana Dervishi', '2007-01-25 10:17:20');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000360, '2007-01-25 10:30:04', 'klodian', 'Nik', 'Tina', '', 'Rroku', '', '', '2001-03-13', '', ' 3 Herojt', '000', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '484', NULL, '10000360.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-25 11:12:12', 'normal', 'Init.reg. 2007-01-25 10:30:04 Ardiana Dervishi\n\nView 2007-01-25 11:11:31 = Ardiana DervishiUpdate 2007-01-25 11:12:12 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-25 11:12:12', 'Ardiana Dervishi', '2007-01-25 10:30:04');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000361, '2007-01-25 10:34:21', 'Prena', 'Mark', 'Leze', NULL, 'Selbaja', NULL, '', '1966-01-01', '', 'Vrake', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '325', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-25 10:34:21 Mikel Pavaci\n\nView 2007-01-25 11:24:48 = Ermal Dibra', '', '2007-01-25 11:24:48', 'Mikel Pavaci', '2007-01-25 10:34:21');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000362, '2007-01-25 10:40:40', 'Bejto', 'Lan', 'Sultana', NULL, 'Hasaj', NULL, '', '1950-01-01', '', 'L.Partizani', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '327', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-25 10:40:40 Mikel Pavaci\n\nView 2007-01-25 11:16:34 = Ermal Dibra', '', '2007-01-25 11:16:34', 'Mikel Pavaci', '2007-01-25 10:40:40');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000363, '2007-01-25 10:43:12', 'Saime', 'Zyber', 'Aishe', NULL, 'Pirani', NULL, '', '1942-06-16', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '328', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-25 10:43:12 Mikel Pavaci\n\nView 2007-01-25 10:44:47 = Mikel Pavaci\nView 2007-01-25 11:20:47 = Ermal Dibra', '', '2007-01-25 11:20:47', 'Mikel Pavaci', '2007-01-25 10:43:12');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000364, '2007-01-25 11:09:09', 'Rrok', 'Ndoc', 'Anxhe', NULL, 'Daku', NULL, '', '1947-04-20', '', 'Hajmel', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '330', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-25 11:09:09 Mikel Pavaci\n', '', '2007-01-25 11:09:09', 'Mikel Pavaci', '2007-01-25 11:09:09');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000365, '2007-01-25 11:10:24', 'Mejreme', 'Kasem', 'Kurije', NULL, 'Premci', NULL, '', '1936-04-13', '', 'Shkoder', '00012', '00', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '104/U', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-25 11:10:24 Ermal Dibra\n', '', '2007-01-25 11:10:24', 'Ermal Dibra', '2007-01-25 11:10:24');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000366, '2007-01-25 11:12:21', 'Rrok', 'Suk', 'Gjyste', NULL, 'Vyzaj', NULL, '', '1953-01-01', '', 'Shtoj i Vjeter', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '331', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-25 11:12:21 Mikel Pavaci\n\nView 2007-01-26 14:24:20 = Ermal Dibra', '', '2007-01-26 14:24:20', 'Mikel Pavaci', '2007-01-25 11:12:21');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000367, '2007-01-25 11:48:58', 'Minire', 'Hajdar', 'Hatixhe', NULL, 'Dibra', NULL, '', '1947-03-22', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '332', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-25 11:48:58 Mikel Pavaci\n\nView 2007-01-26 14:49:23 = Ermal Dibra\nView 2007-05-19 18:19:55 = admin\nView 2007-05-19 18:20:15 = admin\nView 2007-05-19 18:21:55 = admin', '', '2007-05-19 18:21:55', 'Mikel Pavaci', '2007-01-25 11:48:58');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000368, '2007-01-25 12:35:41', 'Artenis', 'Naim', 'LAvdije', NULL, 'Ukaj', NULL, '', '2006-10-19', '', 'Koplik', '000', '00013', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '537', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-25 12:35:41 Ardiana Dervishi\n\nView 2007-01-26 09:23:17 = Mikel Pavaci', '', '2007-01-26 09:23:17', 'Ardiana Dervishi', '2007-01-25 12:35:41');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000369, '2007-01-26 08:22:17', 'Esmerila', 'Kujtim', 'Hyrije', '', 'Sula', '', '', '2000-05-01', '', 'Bardhej', '000', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '548', NULL, '10000369.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-26 08:30:24', 'normal', 'Init.reg. 2007-01-26 08:22:17 Ardiana Dervishi\n\nView 2007-01-26 08:27:54 = Ardiana DervishiUpdate 2007-01-26 08:30:24 Ardiana Dervishi \n\nView 2007-01-26 08:32:02 = Ardiana Dervishi\nView 2007-01-26 08:48:33 = Ardiana Dervishi\nView 2007-02-01 11:26:16 = Ardiana Dervishi\nView 2007-02-01 11:26:54 = Ardiana Dervishi', 'Ardiana Dervishi', '2007-02-01 11:26:54', 'Ardiana Dervishi', '2007-01-26 08:22:17');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000370, '2007-01-26 08:40:20', 'Sabian', 'Kujtim', 'Manjola', NULL, 'Malaj', NULL, '', '2005-11-28', '', 'Grizh', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '547', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-26 08:40:20 Ardiana Dervishi\n\nView 2007-01-26 08:43:11 = Ardiana Dervishi\nView 2007-01-26 08:44:37 = Ardiana Dervishi\nView 2007-01-26 09:25:57 = Mikel Pavaci\nView 2007-01-27 10:18:37 = Ardiana Dervishi', '', '2007-01-27 10:18:37', 'Ardiana Dervishi', '2007-01-26 08:40:20');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000371, '2007-01-26 08:54:41', 'Floviana', 'Vitor', 'Flora', NULL, 'vathi', NULL, '', '2006-09-26', '', 'LaÃ§ vau dejes', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '545', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-26 08:54:41 Ardiana Dervishi\n', '', '2007-01-26 08:54:41', 'Ardiana Dervishi', '2007-01-26 08:54:41');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000372, '2007-01-26 09:14:00', 'Gledis', 'Fejzi', 'Naxhije', '', 'Hasmuja', '', '', '2006-09-26', '', 'Koplik', '000', '00013', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '546', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-29 12:38:14', 'normal', 'Init.reg. 2007-01-26 09:14:00 Ardiana Dervishi\n\nView 2007-01-26 09:24:42 = Mikel Pavaci\nView 2007-01-27 13:29:21 = Ardiana Dervishi\nView 2007-01-29 12:38:04 = Ardiana DervishiUpdate 2007-01-29 12:38:14 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-29 12:38:14', 'Ardiana Dervishi', '2007-01-26 09:14:00');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000373, '2007-01-26 09:19:03', 'Kledi', 'Nikolin', 'Vera', NULL, 'Ndrekaj', NULL, '', '2004-01-02', '', 'Shkoder', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '551', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-26 09:19:03 Ardiana Dervishi\n\nView 2007-01-27 10:16:57 = Ardiana Dervishi\nView 2007-02-01 10:57:43 = Ardiana Dervishi', '', '2007-02-01 10:57:43', 'Ardiana Dervishi', '2007-01-26 09:19:03');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000374, '2007-01-26 09:24:35', 'Donika', 'Pashko', 'Leze', '', 'Lazri', '', '', '2003-05-01', '', 'Mjed ', '000', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '550', NULL, '10000374.JPG', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-27 10:38:23', 'normal', 'Init.reg. 2007-01-26 09:24:35 Ardiana Dervishi\n\nView 2007-01-26 09:25:09 = Ardiana Dervishi\nView 2007-01-26 09:27:09 = Mikel Pavaci\nView 2007-01-27 10:37:09 = Ardiana DervishiUpdate 2007-01-27 10:38:23 Ardiana Dervishi \n', 'Ardiana Dervishi', '2007-01-27 10:38:23', 'Ardiana Dervishi', '2007-01-26 09:24:35');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000375, '2007-01-26 09:33:16', 'Haka', 'Bledar', 'Alma', NULL, 'Juled', NULL, '', '2004-11-22', '', 'A.Haxhia', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '552', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-26 09:33:16 Ardiana Dervishi\n', '', '2007-01-26 09:33:16', 'Ardiana Dervishi', '2007-01-26 09:33:16');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000376, '2007-01-26 09:35:18', 'Julet', 'Bledar', 'Saime', NULL, 'Haka', NULL, '', '2004-03-22', '', 'L.A.Haxhija', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '552', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-26 09:35:18 Mikel Pavaci\n', '', '2007-01-26 09:35:18', 'Mikel Pavaci', '2007-01-26 09:35:18');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000377, '2007-01-26 09:38:57', 'Kristian', 'Leonard', 'Flora', NULL, 'Doda', NULL, '', '1995-05-01', '', 'Bushat', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '398', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-26 09:38:57 Ardiana Dervishi\n', '', '2007-01-26 09:38:57', 'Ardiana Dervishi', '2007-01-26 09:38:57');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000378, '2007-01-26 09:44:01', 'Erion', 'Umer', 'Ledina', NULL, 'Shtanaj', NULL, '', '2006-07-26', '', 'Golem', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '424', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-26 09:44:01 Ardiana Dervishi\n', '', '2007-01-26 09:44:01', 'Ardiana Dervishi', '2007-01-26 09:44:01');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000379, '2007-01-26 10:35:13', 'Prek', 'Mati', 'Anxhe', NULL, 'Toma', NULL, '', '1950-07-07', '', 'V.Dejes', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '345', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-26 10:35:13 Mikel Pavaci\n\nView 2007-01-26 14:32:05 = Ermal Dibra', '', '2007-01-26 14:32:05', 'Mikel Pavaci', '2007-01-26 10:35:13');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000380, '2007-01-26 10:37:36', 'Smilka', 'Kol', 'Parashqevi', NULL, 'Noga', NULL, '', '1939-03-03', '', 'L.N.Gjylbegu', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '346', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-26 10:37:36 Mikel Pavaci\n\nView 2007-01-26 14:11:25 = Ermal Dibra', '', '2007-01-26 14:11:25', 'Mikel Pavaci', '2007-01-26 10:37:36');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000381, '2007-01-26 12:25:25', 'Eqerem', 'Fadil', 'Saime', NULL, 'Lahja', NULL, '', '1942-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '349', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-26 12:25:25 Mikel Pavaci\n\nView 2007-01-26 14:42:37 = Ermal Dibra', '', '2007-01-26 14:42:37', 'Mikel Pavaci', '2007-01-26 12:25:25');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000382, '2007-01-26 12:30:05', 'Valentina', 'Gjoke', 'Katrina', NULL, 'Pecaj', NULL, '', '1966-05-18', '', 'Pjetroshan', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '348', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-26 12:30:05 Mikel Pavaci\n\nView 2007-01-26 14:52:22 = Ermal Dibra', '', '2007-01-26 14:52:22', 'Mikel Pavaci', '2007-01-26 12:30:05');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000383, '2007-01-26 12:32:16', 'Vjollca', 'Xhevat', 'Saime', NULL, 'Rexha', NULL, '', '1970-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '347', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-26 12:32:16 Mikel Pavaci\n\nView 2007-01-26 12:59:29 = Mikel Pavaci\nView 2007-01-26 14:56:26 = Ermal Dibra', '', '2007-01-26 14:56:26', 'Mikel Pavaci', '2007-01-26 12:32:16');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000384, '2007-01-26 12:34:02', 'Abas', 'Sulejman', 'Halime', NULL, 'Trashani', NULL, '', '1926-08-08', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '351', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-26 12:34:02 Mikel Pavaci\n\nView 2007-01-26 14:28:17 = Ermal Dibra', '', '2007-01-26 14:28:17', 'Mikel Pavaci', '2007-01-26 12:34:02');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000385, '2007-01-26 12:38:04', 'Gjergj', 'Nasi', 'Syke', NULL, 'Noshi', NULL, '', '1929-10-25', '', 'L.F.Ramadani', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '350', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-26 12:38:04 Mikel Pavaci\n\nView 2007-01-26 14:20:28 = Ermal Dibra', '', '2007-01-26 14:20:28', 'Mikel Pavaci', '2007-01-26 12:38:04');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000386, '2007-01-26 14:02:20', 'Rabije', 'Muho', 'Nazire', NULL, 'Grethi', NULL, '', '1930-05-01', '', 'Golem', '00012', '00', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '127/u', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-26 14:02:20 Ermal Dibra\n', '', '2007-01-26 14:02:20', 'Ermal Dibra', '2007-01-26 14:02:20');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000387, '2007-01-27 08:01:28', 'Ndue', 'Kole', 'Gjyste', NULL, 'Voci', NULL, '', '1943-02-01', '', 'Hajmel', '00012', '00', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '91/u', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-27 08:01:28 Ermal Dibra\n\nView 2007-01-27 08:02:40 = Ermal Dibra', '', '2007-01-27 08:02:40', 'Ermal Dibra', '2007-01-27 08:01:28');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000388, '2007-01-27 08:11:37', 'Karmelina', 'Gjegj', 'Ganxhe', NULL, 'Pjetri', NULL, '', '1951-02-02', '', 'Shkoder', '00012', '00', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '128/u', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-27 08:11:37 Ermal Dibra\n\nView 2007-01-27 08:12:28 = Ermal Dibra', '', '2007-01-27 08:12:28', 'Ermal Dibra', '2007-01-27 08:11:37');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000389, '2007-01-27 08:18:43', 'Fasli', 'Gjeto', 'Feride', NULL, 'Haxhia', NULL, '', '1935-01-04', '', 'Koplik', '00013', '00', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '333', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-27 08:18:43 Ermal Dibra\n', '', '2007-01-27 08:18:43', 'Ermal Dibra', '2007-01-27 08:18:43');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000390, '2007-01-27 08:25:36', 'Elvis', 'Xhevat', 'Saime', NULL, 'Ceka', NULL, '', '2005-01-01', '', 'Mes', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '561', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-27 08:25:36 Mikel Pavaci\n\nView 2007-01-27 10:04:41 = Ardiana Dervishi', '', '2007-01-27 10:04:41', 'Mikel Pavaci', '2007-01-27 08:25:36');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000391, '2007-01-27 08:27:57', 'Klevana', 'Pellumbi', 'Hana', NULL, 'Kusia', NULL, '', '2001-12-23', '', 'Bardhaj', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '563', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-27 08:27:57 Mikel Pavaci\n\nView 2007-01-27 10:07:48 = Ardiana Dervishi', '', '2007-01-27 10:07:48', 'Mikel Pavaci', '2007-01-27 08:27:57');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000392, '2007-01-27 08:30:27', 'Artion', 'Faton', 'Fatime', NULL, 'Taipi', NULL, '', '2006-01-15', '', '3 Herojt', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '562', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-27 08:30:27 Mikel Pavaci\n\nView 2007-01-27 10:10:28 = Ardiana Dervishi', '', '2007-01-27 10:10:28', 'Mikel Pavaci', '2007-01-27 08:30:27');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000393, '2007-01-27 08:32:43', 'Fraviol', 'Frederik', 'Anxhe', NULL, 'Nreka', NULL, '', '2006-04-28', '', 'Velipoje', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '566', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-27 08:32:43 Mikel Pavaci\n', '', '2007-01-27 08:32:43', 'Mikel Pavaci', '2007-01-27 08:32:43');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000394, '2007-01-27 08:35:06', 'Meme', 'Faik', 'Gjyhere', NULL, 'Muharremi', NULL, '', '1999-12-09', '', 'L.K.Permetit', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '565', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-27 08:35:06 Mikel Pavaci\n\nView 2007-01-27 09:59:31 = Ardiana Dervishi', '', '2007-01-27 09:59:31', 'Mikel Pavaci', '2007-01-27 08:35:06');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000395, '2007-01-27 10:25:55', 'Freviol', 'Frederik', 'Nikoleta', NULL, 'Ndreka', NULL, '', '2006-04-28', '', 'Velipoj', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '566', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-27 10:25:55 Ardiana Dervishi\n', '', '2007-01-27 10:25:55', 'Ardiana Dervishi', '2007-01-27 10:25:55');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000396, '2007-01-27 11:00:47', 'Haki', 'Selman', 'Zoje', NULL, 'Legata', NULL, '', '1951-10-17', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '359', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-27 11:00:47 Mikel Pavaci\n\nView 2007-01-27 13:16:27 = Ermal Dibra', '', '2007-01-27 13:16:27', 'Mikel Pavaci', '2007-01-27 11:00:47');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000397, '2007-01-27 11:03:02', 'Shaban', 'Murat', 'Rruka', NULL, 'Plori', NULL, '', '1957-06-25', '', 'Domen', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '360', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-27 11:03:02 Mikel Pavaci\n\nView 2007-01-27 13:12:25 = Ermal Dibra', '', '2007-01-27 13:12:25', 'Mikel Pavaci', '2007-01-27 11:03:02');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000398, '2007-01-27 12:04:53', 'Shefki', 'Gazmend', 'Fatbardha', NULL, 'Sykaj', NULL, '', '2005-09-26', '', 'Guerile', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '581', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-27 12:04:53 Ardiana Dervishi\n', '', '2007-01-27 12:04:53', 'Ardiana Dervishi', '2007-01-27 12:04:53');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000399, '2007-01-27 12:11:23', 'Nail', 'Medi', 'Fatbardha', NULL, 'Uraj', NULL, '', '1994-05-01', '', 'Mes', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '580', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-27 12:11:23 Ardiana Dervishi\n\nView 2007-08-15 11:37:10 = Greta Naraci', '', '2007-08-15 11:37:10', 'Ardiana Dervishi', '2007-01-27 12:11:23');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000400, '2007-01-27 12:12:48', 'Hamdi', 'Musa', 'Belkize', '', 'Nurja', '', '', '1934-01-01', '', 'Shkoder', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '363', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-27 12:14:36', 'normal', 'Init.reg. 2007-01-27 12:12:48 Mikel Pavaci\n\nView 2007-01-27 12:14:13 = Mikel PavaciUpdate 2007-01-27 12:14:36 Mikel Pavaci \n\nView 2007-01-27 13:08:48 = Ermal Dibra', 'Mikel Pavaci', '2007-01-27 13:08:48', 'Mikel Pavaci', '2007-01-27 12:12:48');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000401, '2007-01-27 12:34:25', 'Renato', 'Tonin', 'Vera', NULL, 'Marku', NULL, '', '2000-02-15', '', 'Hot', '000', '00013', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '584', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-27 12:34:25 Ardiana Dervishi\n', '', '2007-01-27 12:34:25', 'Ardiana Dervishi', '2007-01-27 12:34:25');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000402, '2007-01-27 12:40:24', 'Denado', 'Latif', 'Valdete', NULL, 'Curi', NULL, '', '2001-05-05', '', 'Stam Golem ', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '585', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-27 12:40:24 Ardiana Dervishi\n', '', '2007-01-27 12:40:24', 'Ardiana Dervishi', '2007-01-27 12:40:24');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000403, '2007-01-27 12:45:36', 'Besard', 'Shpetim', 'Sajmira', NULL, 'Mlika', NULL, '', '1998-05-02', '', 'Zogej', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '583', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-27 12:45:36 Ardiana Dervishi\n', '', '2007-01-27 12:45:36', 'Ardiana Dervishi', '2007-01-27 12:45:36');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000404, '2007-01-27 12:56:03', 'Franci', 'Arben', 'Groshe', NULL, 'ThaÃ§ino', NULL, '', '2000-05-05', '', 'Hot i Ri', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '586', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-27 12:56:03 Ardiana Dervishi\n', '', '2007-01-27 12:56:03', 'Ardiana Dervishi', '2007-01-27 12:56:03');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000405, '2007-01-27 13:00:36', 'Diana', 'Leke', 'Flora', NULL, 'Mardodaj', NULL, '', '1999-05-12', '', 'Vau iDejes', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '578', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-27 13:00:36 Ardiana Dervishi\n', '', '2007-01-27 13:00:36', 'Ardiana Dervishi', '2007-01-27 13:00:36');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000406, '2007-01-27 13:12:53', 'Shyte', 'Agim', 'Gjyhere', NULL, 'Kozma', NULL, '', '1960-10-27', '', 'Grude', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '364', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-27 13:12:53 Mikel Pavaci\n\nView 2007-01-30 11:38:25 = Mikel Pavaci', '', '2007-01-30 11:38:25', 'Mikel Pavaci', '2007-01-27 13:12:53');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000407, '2007-01-27 13:16:40', 'Prenda', 'Ndue', 'Drande', NULL, 'Zefi', NULL, '', '1949-01-01', '', 'V.Dejes', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '365', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-27 13:16:40 Mikel Pavaci\n\nView 2007-01-29 13:23:53 = Ermal Dibra', '', '2007-01-29 13:23:53', 'Mikel Pavaci', '2007-01-27 13:16:40');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000408, '2007-01-27 13:21:38', 'Kozma', 'Gjeto', 'Sholle', NULL, 'Mali', NULL, '', '1940-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '366', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-27 13:21:38 Mikel Pavaci\n\nView 2007-01-27 13:44:51 = Ermal Dibra', '', '2007-01-27 13:44:51', 'Mikel Pavaci', '2007-01-27 13:21:38');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000409, '2007-01-29 07:28:06', 'Brizel', 'Altin', 'Shpresa', NULL, 'Flyraj', NULL, '', '2006-08-18', '', 'Shkoder', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '618', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 07:28:06 Ardiana Dervishi\n', '', '2007-01-29 07:28:06', 'Ardiana Dervishi', '2007-01-29 07:28:06');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000410, '2007-01-29 08:24:26', 'Elvis', 'Fred', 'Esmeralda', NULL, 'Kola', NULL, '', '2005-01-01', '', 'Skenderbeg', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '590', NULL, '10000410.gif', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 08:24:26 Mikel Pavaci\n\nView 2007-01-29 12:10:52 = Ardiana Dervishi\nView 2007-10-16 22:07:16 = admin\nView 2007-10-16 23:11:16 = admin\nView 2007-10-16 23:11:27 = admin\nPhoto set 2007-10-16 23:19:26 = admin\nPhoto set 2007-10-16 23:19:33 = admin', '', '2007-10-16 23:19:33', 'Mikel Pavaci', '2007-01-29 08:24:26');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000411, '2007-01-29 08:28:38', 'Xhekson', 'Gjon', 'Vera', NULL, 'Mhillaj', NULL, '', '1999-01-01', '', 'Shllak', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '619', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 08:28:38 Mikel Pavaci\n\nView 2007-01-29 12:13:52 = Ardiana Dervishi\nView 2007-07-10 22:52:22 = admin', '', '2007-07-10 22:52:22', 'Mikel Pavaci', '2007-01-29 08:28:38');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000412, '2007-01-29 08:33:22', 'Elmar', 'Gjon', 'Alketa', NULL, 'Pavlli', NULL, '', '2006-08-27', '', 'Bardhaj', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '614', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 08:33:22 Mikel Pavaci\n', '', '2007-01-29 08:33:22', 'Mikel Pavaci', '2007-01-29 08:33:22');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000413, '2007-01-29 08:40:49', 'Besmir', 'Dashan', 'Valdete', NULL, 'Hali', NULL, '', '2019-01-01', '', 'Koplik', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '620', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 08:40:49 Mikel Pavaci\n\nView 2007-01-29 12:07:04 = Ardiana Dervishi', '', '2007-01-29 12:07:04', 'Mikel Pavaci', '2007-01-29 08:40:49');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000414, '2007-01-29 08:49:47', 'Sanet', 'Azem', 'Vera', NULL, 'Hoxha', NULL, '', '2006-01-01', '', 'Dobrac', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '611', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 08:49:47 Mikel Pavaci\n\nView 2007-01-29 12:03:36 = Ardiana Dervishi', '', '2007-01-29 12:03:36', 'Mikel Pavaci', '2007-01-29 08:49:47');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000415, '2007-01-29 08:59:05', 'Gerardo', 'Afrim', 'Antoneta', NULL, 'Martini', NULL, '', '2004-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '613', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 08:59:05 Mikel Pavaci\n\nView 2007-01-29 10:21:17 = Ardiana Dervishi', '', '2007-01-29 10:21:17', 'Mikel Pavaci', '2007-01-29 08:59:05');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000416, '2007-01-29 09:06:41', 'Sara', 'Albert', 'Marjeta', NULL, 'Dini', NULL, '', '2004-01-01', '', 'Perash', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '588', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 09:06:41 Mikel Pavaci\n\nView 2007-01-29 10:18:09 = Ardiana Dervishi', '', '2007-01-29 10:18:09', 'Mikel Pavaci', '2007-01-29 09:06:41');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000417, '2007-01-29 09:21:50', 'Fejzi', 'Adem', 'Hatixhe', NULL, 'Tula', NULL, '', '9568-05-01', '', 'Shiroke', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '372', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 09:21:50 Mikel Pavaci\n\nView 2007-01-30 07:17:31 = Ermal Dibra\nView 2007-01-30 08:15:51 = Mikel Pavaci', '', '2007-01-30 08:15:51', 'Mikel Pavaci', '2007-01-29 09:21:50');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000418, '2007-01-29 09:25:10', 'Idriz', 'Musa', 'Janije', NULL, 'Tivari', NULL, '', '1940-05-20', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '373', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 09:25:10 Mikel Pavaci\n\nView 2007-01-30 07:13:02 = Ermal Dibra', '', '2007-01-30 07:13:02', 'Mikel Pavaci', '2007-01-29 09:25:10');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000419, '2007-01-29 09:32:20', 'Maldin', 'Zamir', 'Shpresa', NULL, 'Kallogjeri', NULL, '', '2007-01-01', '', 'Golem', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '604', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 09:32:20 Mikel Pavaci\n\nView 2007-01-29 12:21:55 = Ardiana Dervishi', '', '2007-01-29 12:21:55', 'Mikel Pavaci', '2007-01-29 09:32:20');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000420, '2007-01-29 10:06:09', 'Kimete', 'Faik', 'Hajrije', NULL, 'Muja', NULL, '', '1963-03-16', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '379', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 10:06:09 Mikel Pavaci\n\nView 2007-01-30 07:22:01 = Ermal Dibra\nView 2007-01-30 08:16:52 = Mikel Pavaci', '', '2007-01-30 08:16:52', 'Mikel Pavaci', '2007-01-29 10:06:09');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000421, '2007-01-29 10:08:11', 'Dea', 'Gerarld', 'Irina', NULL, 'Besina', NULL, '', '2005-01-01', '', 'Kiras', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '591', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 10:08:11 Mikel Pavaci\n\nView 2007-01-29 12:25:43 = Ardiana Dervishi', '', '2007-01-29 12:25:43', 'Mikel Pavaci', '2007-01-29 10:08:11');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000422, '2007-01-29 10:09:58', 'Desora', 'Ismet', 'Mira', NULL, 'Lahja', NULL, '', '2006-07-16', '', 'Kuc', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '615', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 10:09:58 Mikel Pavaci\n', '', '2007-01-29 10:09:58', 'Mikel Pavaci', '2007-01-29 10:09:58');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000423, '2007-01-29 12:18:38', 'Elmer', 'Alketa', 'Gani', NULL, 'Paveri', NULL, '', '2006-05-27', '', 'Bardhej', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '614', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 12:18:38 Ardiana Dervishi\n', '', '2007-01-29 12:18:38', 'Ardiana Dervishi', '2007-01-29 12:18:38');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000424, '2007-01-29 13:01:32', 'Rrok', 'Hile', 'Shaqe', NULL, 'Mandi', NULL, '', '1933-11-01', '', 'Skenderbeg', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '382', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 13:01:32 Mikel Pavaci\n\nView 2007-01-30 07:30:07 = Ermal Dibra', '', '2007-01-30 07:30:07', 'Mikel Pavaci', '2007-01-29 13:01:32');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000425, '2007-01-29 13:03:43', 'Nexhmije', 'Rexhep', 'Hava', NULL, 'Dizdari', NULL, '', '1945-03-28', '', 'L.N.Mazi', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '383', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 13:03:43 Mikel Pavaci\n\nView 2007-01-29 13:16:57 = Ermal Dibra', '', '2007-01-29 13:16:57', 'Mikel Pavaci', '2007-01-29 13:03:43');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000426, '2007-01-29 13:06:01', 'Sadete', 'Qazim', 'Zade', NULL, 'Rama', NULL, '', '1937-01-01', '', 'L.A.Haxhija', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '384', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 13:06:01 Mikel Pavaci\n\nView 2007-01-30 11:59:31 = Ermal Dibra', '', '2007-01-30 11:59:31', 'Mikel Pavaci', '2007-01-29 13:06:01');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000427, '2007-01-29 13:08:33', 'Vitore', 'Prek', 'Mrike', NULL, 'Jaku', NULL, '', '1963-01-01', '', 'Skenderbeg', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '385', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 13:08:33 Mikel Pavaci\n\nView 2007-01-30 07:34:13 = Ermal Dibra', '', '2007-01-30 07:34:13', 'Mikel Pavaci', '2007-01-29 13:08:33');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000428, '2007-01-29 13:10:38', 'Nine', 'Pem', 'Tone', NULL, 'Gjergji', NULL, '', '1925-01-01', '', 'Berdice', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '386', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 13:10:38 Mikel Pavaci\n\nView 2007-01-30 12:18:00 = Ermal Dibra\nView 2007-08-25 16:12:57 = admin\nView 2007-08-25 16:13:17 = admin\nView 2007-08-25 16:13:30 = admin', '', '2007-08-25 16:13:30', 'Mikel Pavaci', '2007-01-29 13:10:38');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000429, '2007-01-29 13:13:37', 'Rexhep', 'Haki', 'Saime', NULL, 'Dimnaku', NULL, '', '1939-01-01', '', 'Kukes', '000', '00013', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '387', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 13:13:37 Mikel Pavaci\n', '', '2007-01-29 13:13:37', 'Mikel Pavaci', '2007-01-29 13:13:37');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000430, '2007-01-29 13:16:05', 'Hava', 'Zeqir', 'Tata', NULL, 'Bajraktari', NULL, '', '1926-01-01', '', 'Kullaj', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '388', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-29 13:16:05 Mikel Pavaci\n\nView 2007-01-30 07:26:06 = Ermal Dibra', '', '2007-01-30 07:26:06', 'Mikel Pavaci', '2007-01-29 13:16:05');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000431, '2007-01-30 08:11:42', 'Gjyste', 'Mark', 'Marije', NULL, 'Mirukaj', NULL, '', '1944-01-01', '', 'Kelmend', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '376', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-30 08:11:42 Mikel Pavaci\n\nView 2007-01-30 12:14:17 = Ermal Dibra\nView 2007-11-12 12:00:10 = admin', '', '2007-11-12 12:00:10', 'Mikel Pavaci', '2007-01-30 08:11:42');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000432, '2007-01-30 08:14:45', 'Dervishi', 'Rexhep', 'Saime', NULL, 'Lahi', NULL, '', '1941-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '377', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-30 08:14:45 Mikel Pavaci\n', '', '2007-01-30 08:14:45', 'Mikel Pavaci', '2007-01-30 08:14:45');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000433, '2007-01-30 08:20:00', 'Prel', 'Palok', 'Marije', NULL, 'Ahi', NULL, '', '1973-01-01', '', 'Dobrac', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '380', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-30 08:20:00 Mikel Pavaci\n\nView 2007-01-30 12:04:33 = Ermal Dibra', '', '2007-01-30 12:04:33', 'Mikel Pavaci', '2007-01-30 08:20:00');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000434, '2007-01-30 08:45:59', 'Luiza', 'Marin', 'Marije', NULL, 'Zefi', NULL, '', '2004-05-14', '', 'Barbullush', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '630', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-30 08:45:59 Mikel Pavaci\n\nView 2007-01-30 10:44:50 = Ardiana Dervishi', '', '2007-01-30 10:44:50', 'Mikel Pavaci', '2007-01-30 08:45:59');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000435, '2007-01-30 08:48:34', 'Elah', 'Myzafer', 'Saime', NULL, 'Sadiku', NULL, '', '2001-01-01', '', 'Xhabije', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '646', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-30 08:48:34 Mikel Pavaci\n\nView 2007-01-30 11:17:12 = Ardiana Dervishi', '', '2007-01-30 11:17:12', 'Mikel Pavaci', '2007-01-30 08:48:34');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000436, '2007-01-30 08:50:27', 'Marsel', 'Mark', 'Anxhe', NULL, 'Zojza', NULL, '', '1996-01-01', '', '3 Herojt', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '647', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-30 08:50:27 Mikel Pavaci\n\nView 2007-01-30 11:08:44 = Ardiana Dervishi', '', '2007-01-30 11:08:44', 'Mikel Pavaci', '2007-01-30 08:50:27');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000437, '2007-01-30 08:52:28', 'Ardit', 'Faik', 'Saime', NULL, 'Muharremi', NULL, '', '2004-02-04', '', 'L.K.Permetit', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '642', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-30 08:52:28 Mikel Pavaci\n\nView 2007-01-30 10:59:47 = Ardiana Dervishi', '', '2007-01-30 10:59:47', 'Mikel Pavaci', '2007-01-30 08:52:28');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000438, '2007-01-30 08:54:45', 'Enis', 'Ferid', 'Saime', NULL, 'Rrilla', NULL, '', '2005-01-01', '', 'Zogaj', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '644', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-30 08:54:45 Mikel Pavaci\n', '', '2007-01-30 08:54:45', 'Mikel Pavaci', '2007-01-30 08:54:45');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000439, '2007-01-30 08:56:50', 'Gezim', 'Shpetim', 'Saime', NULL, 'Idrizi', NULL, '', '2006-11-30', '', 'Kiras', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '643', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-30 08:56:50 Mikel Pavaci\n\nView 2007-01-30 10:19:36 = Ardiana Dervishi', '', '2007-01-30 10:19:36', 'Mikel Pavaci', '2007-01-30 08:56:50');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000440, '2007-01-30 08:58:46', 'Vladimir', 'Nikoll', 'Lena', NULL, 'Gjuraj', NULL, '', '2004-01-01', '', 'Perash', '`000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '640', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-30 08:58:46 Mikel Pavaci\n\nView 2007-01-30 11:56:59 = Ardiana Dervishi\nView 2007-01-30 11:59:16 = Ardiana Dervishi', '', '2007-01-30 11:59:16', 'Mikel Pavaci', '2007-01-30 08:58:46');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000441, '2007-01-30 09:01:34', 'Denis', 'Enver', 'Servet', NULL, 'Hoxha', NULL, '', '1997-10-02', '', 'L.S.Halili', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '639', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-30 09:01:34 Mikel Pavaci\n\nView 2007-01-30 12:49:34 = Ardiana Dervishi', '', '2007-01-30 12:49:34', 'Mikel Pavaci', '2007-01-30 09:01:34');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000442, '2007-01-30 09:04:37', 'Armend', 'Altin', 'Saime', NULL, 'Maliqi', NULL, '', '2005-11-01', '', 'L.K.Permetit', '`000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '641', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-30 09:04:37 Mikel Pavaci\n\nView 2007-01-30 12:13:26 = Ardiana Dervishi', '', '2007-01-30 12:13:26', 'Mikel Pavaci', '2007-01-30 09:04:37');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000443, '2007-01-30 10:57:47', 'Mara', 'Kol', 'Gjyste', NULL, 'Thana', NULL, '', '1976-01-01', '', 'Dobrac', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '405', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-30 10:57:47 Mikel Pavaci\n\nView 2007-01-30 12:10:46 = Ermal Dibra', '', '2007-01-30 12:10:46', 'Mikel Pavaci', '2007-01-30 10:57:47');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000444, '2007-01-30 11:00:12', 'Xhemile', 'Rexhep', 'Saime', NULL, 'Lika', NULL, '', '1958-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '403', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-30 11:00:12 Mikel Pavaci\n\nView 2007-01-30 12:07:20 = Ermal Dibra', '', '2007-01-30 12:07:20', 'Mikel Pavaci', '2007-01-30 11:00:12');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000445, '2007-01-30 11:19:56', 'Gjovalin', 'Kel', 'Anjeze', NULL, 'Gjeluci', NULL, '', '1952-05-22', '', 'L.N.Mazi', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '406', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-30 11:19:56 Mikel Pavaci\n\nView 2007-02-01 09:09:36 = Ermal Dibra', '', '2007-02-01 09:09:36', 'Mikel Pavaci', '2007-01-30 11:19:56');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000446, '2007-01-30 11:32:34', 'Sebije', 'Maliq', 'Sanie', NULL, 'Dyli', NULL, '', '1938-02-01', '', 'G.i Zi', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '407', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-30 11:32:34 Mikel Pavaci\n\nView 2007-01-30 12:43:08 = Ermal Dibra', '', '2007-01-30 12:43:08', 'Mikel Pavaci', '2007-01-30 11:32:34');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000447, '2007-01-30 11:38:30', 'Gentian', 'Gjelosh', 'Roze', NULL, 'Gegaj', NULL, '', '2002-02-13', '', 'Bog', '001', '0012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '645', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-30 11:38:30 Ardiana Dervishi\n', '', '2007-01-30 11:38:30', 'Ardiana Dervishi', '2007-01-30 11:38:30');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000448, '2007-01-30 11:41:23', 'Zyra', 'Rexhep', 'Saime', NULL, 'Canaj', NULL, '', '1944-01-10', '', 'Koplik', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '409', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-30 11:41:23 Mikel Pavaci\n\nView 2007-01-30 12:22:45 = Ermal Dibra', '', '2007-01-30 12:22:45', 'Mikel Pavaci', '2007-01-30 11:41:23');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000449, '2007-01-30 11:43:31', 'Drande', 'Nik', 'Sule', '', 'Lufi', '', '', '1944-01-01', '', 'Hot i Ri', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '410', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-30 12:48:51', 'normal', 'Init.reg. 2007-01-30 11:43:31 Mikel Pavaci\n\nView 2007-01-30 12:48:23 = Mikel PavaciUpdate 2007-01-30 12:48:51 Mikel Pavaci \n\nView 2007-01-31 10:48:46 = Ermal Dibra', 'Mikel Pavaci', '2007-01-31 10:48:46', 'Mikel Pavaci', '2007-01-30 11:43:31');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000450, '2007-01-30 11:44:47', 'Rasim', 'Zefir', 'Feride', '', 'Dani', '', '', '1978-06-19', '', 'Bardhaj', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '411', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-30 12:50:12', 'normal', 'Init.reg. 2007-01-30 11:44:47 Mikel Pavaci\n\nView 2007-01-30 12:49:33 = Mikel PavaciUpdate 2007-01-30 12:50:12 Mikel Pavaci \n\nView 2007-01-31 10:55:50 = Ermal Dibra', 'Mikel Pavaci', '2007-01-31 10:55:50', 'Mikel Pavaci', '2007-01-30 11:44:47');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000451, '2007-01-30 11:46:30', 'Lazer', 'Pal', 'Shuke', NULL, 'Geshtenja', NULL, '', '1955-01-01', '', '3 Herojt', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '412', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-30 11:46:30 Mikel Pavaci\n\nView 2007-01-30 12:33:48 = Ermal Dibra\nView 2007-10-22 19:34:01 = admin', '', '2007-10-22 19:34:01', 'Mikel Pavaci', '2007-01-30 11:46:30');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000452, '2007-01-30 11:54:27', 'Shyte', 'Besim', 'Sadije', '', 'Kazmaj', '', '', '1960-01-01', '', 'Grizhe', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '413', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-01-30 12:29:11', 'normal', 'Init.reg. 2007-01-30 11:54:27 Mikel Pavaci\n\nView 2007-01-30 12:28:28 = Ermal DibraUpdate 2007-01-30 12:29:11 Ermal Dibra \n', 'Ermal Dibra', '2007-01-30 12:29:11', 'Mikel Pavaci', '2007-01-30 11:54:27');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000453, '2007-01-30 11:56:57', 'Ndricim', 'Hysen', 'Myrvete', NULL, 'Bashku', NULL, '', '1975-03-15', '', 'Oblike', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '408', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-30 11:56:57 Mikel Pavaci\n\nView 2007-01-30 12:49:36 = Ermal Dibra', '', '2007-01-30 12:49:36', 'Mikel Pavaci', '2007-01-30 11:56:57');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000454, '2007-01-30 12:55:23', 'Elhan', 'Mithat', 'Suela', NULL, 'Kastrati', NULL, '', '2005-11-29', '', 'BahÃ§allek', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '582', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-30 12:55:23 Ardiana Dervishi\n', '', '2007-01-30 12:55:23', 'Ardiana Dervishi', '2007-01-30 12:55:23');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000455, '2007-01-31 11:08:37', 'Emanuela', 'Vlash', 'Nikolina', NULL, 'Ndrekaj', NULL, '', '2002-10-26', '', 'Stajka', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '674', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-31 11:08:37 Ardiana Dervishi\n', '', '2007-01-31 11:08:37', 'Ardiana Dervishi', '2007-01-31 11:08:37');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000456, '2007-01-31 11:38:27', 'Gjogjino', 'Kastriot', 'Vera', NULL, 'Preka', NULL, '', '2002-02-14', '', 'L.N.Mazi', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '671', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-31 11:38:27 Mikel Pavaci\n', '', '2007-01-31 11:38:27', 'Mikel Pavaci', '2007-01-31 11:38:27');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000457, '2007-01-31 11:41:13', 'Suzana', 'Sulejman', 'Kujtesa', '', 'Gjediaj', '', '', '1990-06-14', '', 'Kiras', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '657', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-07-15 17:01:01', 'normal', 'Init.reg. 2007-01-31 11:41:13 Mikel Pavaci\n\nView 2007-01-31 13:11:57 = Ardiana Dervishi\nView 2007-07-15 16:16:33 = adminUpdate 2007-07-15 16:16:52 admin \n\nView 2007-07-15 16:44:31 = admin\nView 2007-07-15 16:44:42 = adminUpdate 2007-07-15 16:44:51 admin \n\nView 2007-07-15 16:45:41 = adminUpdate 2007-07-15 16:45:48 admin \n\nView 2007-07-15 16:50:09 = adminUpdate 2007-07-15 16:50:40 admin \n\nView 2007-07-15 16:54:26 = adminUpdate 2007-07-15 16:54:34 admin \n\nView 2007-07-15 16:55:28 = adminUpdate 2007-07-15 16:55:36 admin \n\nView 2007-07-15 16:56:08 = adminUpdate 2007-07-15 16:56:18 admin \n\nView 2007-07-15 17:00:55 = adminUpdate 2007-07-15 17:01:01 admin \n', 'admin', '2007-07-15 17:01:01', 'Mikel Pavaci', '2007-01-31 11:41:13');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000458, '2007-01-31 11:50:47', 'Elsad', 'Astrit', 'Fatjana', NULL, 'Miciri', NULL, '', '2004-09-27', '', 'Vukatana', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '673', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-31 11:50:47 Mikel Pavaci\n', '', '2007-01-31 11:50:47', 'Mikel Pavaci', '2007-01-31 11:50:47');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000459, '2007-01-31 11:53:22', 'Arben', 'Lulzim', 'Irene', NULL, 'Hyseni', NULL, '', '2005-06-11', '', 'Bardhaj', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '658', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-31 11:53:22 Mikel Pavaci\n\nView 2007-01-31 12:45:32 = Ardiana Dervishi', '', '2007-01-31 12:45:32', 'Mikel Pavaci', '2007-01-31 11:53:22');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000460, '2007-01-31 11:56:22', 'Vergona', 'Ismet', 'Manjola', NULL, 'Lahja', NULL, '', '2006-07-16', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '659', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-31 11:56:22 Mikel Pavaci\n', '', '2007-01-31 11:56:22', 'Mikel Pavaci', '2007-01-31 11:56:22');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000461, '2007-01-31 11:58:56', 'Aleida', 'Gezim', 'Shqipe', NULL, 'Gjoni', NULL, '', '2002-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '660', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-31 11:58:56 Mikel Pavaci\n', '', '2007-01-31 11:58:56', 'Mikel Pavaci', '2007-01-31 11:58:56');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000462, '2007-01-31 12:01:51', 'Emanuel', 'Fatlum', 'Ardita', NULL, 'Beqaj', NULL, '', '2005-11-29', '', 'Grizhe', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '672', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-31 12:01:51 Mikel Pavaci\n\nView 2007-01-31 13:49:55 = Ardiana Dervishi', '', '2007-01-31 13:49:55', 'Mikel Pavaci', '2007-01-31 12:01:51');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000463, '2007-01-31 12:07:31', 'Emirjan', 'Fatmir', 'Arta', NULL, 'Myftija', NULL, '', '2004-02-05', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '661', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-31 12:07:31 Mikel Pavaci\n', '', '2007-01-31 12:07:31', 'Mikel Pavaci', '2007-01-31 12:07:31');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000464, '2007-01-31 12:12:00', 'Mine', 'Smajlaj', 'Hajrije', NULL, 'Bushaj', NULL, '', '1934-01-01', '', 'Mes', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '426', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-31 12:12:00 Mikel Pavaci\n', '', '2007-01-31 12:12:00', 'Mikel Pavaci', '2007-01-31 12:12:00');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000465, '2007-01-31 12:13:57', 'Suzana', 'Qazim', 'Hume', NULL, 'Ishmaku', NULL, '', '1963-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '427', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-31 12:13:57 Mikel Pavaci\n\nView 2007-01-31 12:18:46 = Ermal Dibra', '', '2007-01-31 12:18:46', 'Mikel Pavaci', '2007-01-31 12:13:57');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000466, '2007-01-31 12:16:57', 'Bajram', 'Dem', 'Mine', NULL, 'Dashaj', NULL, '', '1966-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '433', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-31 12:16:57 Mikel Pavaci\n\nView 2007-02-01 11:59:19 = Ermal Dibra', '', '2007-02-01 11:59:19', 'Mikel Pavaci', '2007-01-31 12:16:57');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000467, '2007-01-31 12:19:12', 'Zef', 'Mark', 'Drande', NULL, 'Gjeka', NULL, '', '1937-01-01', '', 'L.D.Matlia', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '438', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-31 12:19:12 Mikel Pavaci\n\nView 2007-01-31 12:26:32 = Ermal Dibra', '', '2007-01-31 12:26:32', 'Mikel Pavaci', '2007-01-31 12:19:12');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000468, '2007-01-31 12:23:39', 'Neziha', 'Adem', 'Saime', NULL, 'Potgorica', NULL, '', '1932-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '428', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-31 12:23:39 Mikel Pavaci\n', '', '2007-01-31 12:23:39', 'Mikel Pavaci', '2007-01-31 12:23:39');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000469, '2007-01-31 12:26:15', 'Xhorxhio', 'Kastriot', 'Vera', NULL, 'Preka', NULL, '', '2002-02-14', '', ' L N Mazi', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '671', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-31 12:26:15 Ardiana Dervishi\n', '', '2007-01-31 12:26:15', 'Ardiana Dervishi', '2007-01-31 12:26:15');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000470, '2007-01-31 12:27:10', 'Nazire', 'Ragip', 'Saime', NULL, 'Erkocaj', NULL, '', '1934-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '436', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-31 12:27:10 Mikel Pavaci\n\nView 2007-01-31 12:31:39 = Ermal Dibra', '', '2007-01-31 12:31:39', 'Mikel Pavaci', '2007-01-31 12:27:10');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000471, '2007-01-31 12:29:53', 'Ali', 'Mehmet', 'Sulltana', NULL, 'Burkaj', NULL, '', '1930-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '439', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-31 12:29:53 Mikel Pavaci\n\nView 2007-01-31 12:59:06 = Ermal Dibra', '', '2007-01-31 12:59:06', 'Mikel Pavaci', '2007-01-31 12:29:53');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000472, '2007-01-31 12:37:01', 'Aleksandra', 'Gezim', 'Vera', NULL, 'Gjoni', NULL, '', '2001-08-21', '', 'Shkoder', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '660', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-31 12:37:01 Ardiana Dervishi\n', '', '2007-01-31 12:37:01', 'Ardiana Dervishi', '2007-01-31 12:37:01');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000473, '2007-01-31 12:40:17', 'Nezihat', 'Adem ', 'Meleqe', NULL, 'Podgorica ', NULL, '', '1934-06-19', '', 'Shkoder', '00012', '00', 0, 0, NULL, '0', '41826', '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '428', NULL, '', NULL, NULL, '3329496367', NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-31 12:40:17 Ermal Dibra\n', '', '2007-01-31 12:40:17', 'Ermal Dibra', '2007-01-31 12:40:17');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000474, '2007-01-31 12:59:19', 'Elsaed', 'Astrit', 'fatjona', NULL, 'Niqeri', NULL, '', '2004-09-27', '', 'Vukatan', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '673', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-31 12:59:19 Ardiana Dervishi\n', '', '2007-01-31 12:59:19', 'Ardiana Dervishi', '2007-01-31 12:59:19');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000475, '2007-01-31 13:26:19', 'Desara', 'Ismet', 'Moza', NULL, 'Lohja', NULL, '', '0000-00-00', '', 'Kuc', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '659', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-01-31 13:26:19 Ardiana Dervishi\n', '', '2007-01-31 13:26:19', 'Ardiana Dervishi', '2007-01-31 13:26:19');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000476, '2007-02-01 09:25:47', 'Kristi', 'Fran', 'Anxhe', NULL, 'Nanaj', NULL, '', '1998-01-01', '', 'Bardhaj', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '676', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 09:25:47 Mikel Pavaci\n\nView 2007-02-01 12:59:18 = Ardiana Dervishi', '', '2007-02-01 12:59:18', 'Mikel Pavaci', '2007-02-01 09:25:47');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000477, '2007-02-01 10:20:22', 'Eljan', 'Gezim', 'Gjyhere', NULL, 'Lulaj', NULL, '', '1995-12-25', '', 'Bajze', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '680', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 10:20:22 Mikel Pavaci\n', '', '2007-02-01 10:20:22', 'Mikel Pavaci', '2007-02-01 10:20:22');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000478, '2007-02-01 10:21:56', 'Glada', 'Ismet', 'Fatime', NULL, 'Popaj', NULL, '', '2003-08-08', '', 'Hot i Ri', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '687', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 10:21:56 Mikel Pavaci\n', '', '2007-02-01 10:21:56', 'Mikel Pavaci', '2007-02-01 10:21:56');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000479, '2007-02-01 10:25:09', 'Saverio', 'Kastriot', 'Arta', NULL, 'Preka', NULL, '', '2004-07-16', '', 'L.N.Mazi', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '686', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 10:25:09 Mikel Pavaci\n\nView 2007-02-01 12:37:17 = Ardiana Dervishi', '', '2007-02-01 12:37:17', 'Mikel Pavaci', '2007-02-01 10:25:09');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000480, '2007-02-01 10:30:29', 'Jozef', 'Lulash', 'Dafina', NULL, 'Zefi', NULL, '', '2003-09-03', '', 'Dukagjin', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '688', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 10:30:29 Mikel Pavaci\n\nView 2007-02-01 12:46:04 = Ardiana Dervishi', '', '2007-02-01 12:46:04', 'Mikel Pavaci', '2007-02-01 10:30:29');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000481, '2007-02-01 10:32:14', 'Fabian', 'Fatmir', 'Saime', NULL, 'Lohja', NULL, '', '2001-09-30', '', 'Guerile', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '691', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 10:32:14 Mikel Pavaci\n\nView 2007-02-01 12:33:00 = Ardiana Dervishi', '', '2007-02-01 12:33:00', 'Mikel Pavaci', '2007-02-01 10:32:14');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000482, '2007-02-01 10:34:14', 'Amela', 'Zamir', 'Arta', NULL, 'Fangaj', NULL, '', '2004-10-25', '', 'Bardhaj', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '701', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 10:34:14 Mikel Pavaci\n\nView 2007-02-01 12:52:36 = Ardiana Dervishi', '', '2007-02-01 12:52:36', 'Mikel Pavaci', '2007-02-01 10:34:14');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000483, '2007-02-01 10:41:26', 'Xhani', 'Kastriot', 'Saime', NULL, 'Dragaj', NULL, '', '2006-02-23', '', 'Bajze', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '689', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 10:41:26 Mikel Pavaci\n\nView 2007-02-01 12:42:17 = Ardiana Dervishi', '', '2007-02-01 12:42:17', 'Mikel Pavaci', '2007-02-01 10:41:26');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000484, '2007-02-01 10:51:25', 'Anxhela', 'Agan', 'Saime', NULL, 'Fusha', NULL, '', '2006-01-01', '', 'Qafe Hardhia', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '685', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 10:51:25 Mikel Pavaci\n\nView 2007-02-01 12:55:30 = Ardiana Dervishi', '', '2007-02-01 12:55:30', 'Mikel Pavaci', '2007-02-01 10:51:25');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000485, '2007-02-01 10:53:15', 'Kimete', 'Halil', 'Kije', NULL, 'Kuci', NULL, '', '1956-01-16', '', 'L.S.Halili', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '442', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 10:53:15 Mikel Pavaci\n\nView 2007-02-01 12:15:31 = Ermal Dibra', '', '2007-02-01 12:15:31', 'Mikel Pavaci', '2007-02-01 10:53:15');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000486, '2007-02-01 10:55:29', 'Pal', 'Filip', 'Cile', '', 'Gjergji', '', '', '1955-06-10', '', 'V.Dejes', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '444', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-08-25 15:55:55', 'normal', 'Init.reg. 2007-02-01 10:55:29 Mikel Pavaci\n\nView 2007-02-01 11:55:34 = Ermal Dibra\nView 2007-08-25 15:55:49 = adminUpdate 2007-08-25 15:55:55 admin \n', 'admin', '2007-08-25 15:55:55', 'Mikel Pavaci', '2007-02-01 10:55:29');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000487, '2007-02-01 10:58:03', 'Sadije', 'Tafil', 'Sabije', '', 'Bajraku', '', '', '1931-05-28', '', 'Kuc', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'f', '445', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-02-01 11:52:36', 'normal', 'Init.reg. 2007-02-01 10:58:03 Mikel Pavaci\n\nView 2007-02-01 11:52:06 = Ermal DibraUpdate 2007-02-01 11:52:36 Ermal Dibra \n', 'Ermal Dibra', '2007-02-01 11:52:36', 'Mikel Pavaci', '2007-02-01 10:58:03');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000488, '2007-02-01 11:00:21', 'Rushe', 'Hilmi', 'Alltana', NULL, 'Abazi', NULL, '', '1968-01-01', '', 'Liria', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '450', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 11:00:21 Mikel Pavaci\n\nView 2007-02-01 12:01:52 = Ermal Dibra\nView 2007-02-01 13:04:58 = Ermal Dibra', '', '2007-02-01 13:04:58', 'Mikel Pavaci', '2007-02-01 11:00:21');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000489, '2007-02-01 11:03:05', 'Argli', 'Ilir', 'Sabije', NULL, 'Mani', NULL, '', '2006-08-29', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '692', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 11:03:05 Mikel Pavaci\n\nView 2007-02-01 12:07:36 = Ardiana Dervishi', '', '2007-02-01 12:07:36', 'Mikel Pavaci', '2007-02-01 11:03:05');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000490, '2007-02-01 11:05:24', 'Xhulia', 'Aleks', 'Dafina', NULL, 'Murizaj', NULL, '', '2006-09-16', '', 'L.T.Kola', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '702', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 11:05:24 Mikel Pavaci\n\nView 2007-02-01 12:01:49 = Ardiana Dervishi', '', '2007-02-01 12:01:49', 'Mikel Pavaci', '2007-02-01 11:05:24');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000491, '2007-02-01 11:08:02', 'Deseida', 'Agim', 'Sanie', NULL, 'Kolaj', NULL, '', '2000-11-29', '', 'Bushat', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '676', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 11:08:02 Mikel Pavaci\n', '', '2007-02-01 11:08:02', 'Mikel Pavaci', '2007-02-01 11:08:02');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000492, '2007-02-01 11:10:09', 'Edis', 'Anton', 'Elida', NULL, 'Drishti', NULL, '', '2000-06-21', '', 'L.A.Haxhija', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '698', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 11:10:09 Mikel Pavaci\n\nView 2007-02-01 13:03:23 = Ardiana Dervishi', '', '2007-02-01 13:03:23', 'Mikel Pavaci', '2007-02-01 11:10:09');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000493, '2007-02-01 11:31:13', 'Enes', 'Ferit', 'Lumturije', NULL, 'Rilla', NULL, '', '2004-02-21', '', 'Zogaj', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '644', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 11:31:13 Ardiana Dervishi\n', '', '2007-02-01 11:31:13', 'Ardiana Dervishi', '2007-02-01 11:31:13');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000494, '2007-02-01 11:46:37', 'Kristian', 'Ferdinand', 'Anxhe', NULL, 'Ujka', NULL, '', '1998-04-17', '', 'L.N.Mazi', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '703', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 11:46:37 Mikel Pavaci\n', '', '2007-02-01 11:46:37', 'Mikel Pavaci', '2007-02-01 11:46:37');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000495, '2007-02-01 11:48:14', 'Robert', 'Lul', 'Anxhe', NULL, 'Jakaj', NULL, '', '1995-08-17', '', 'Bushat', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '699', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 11:48:14 Mikel Pavaci\n\nView 2007-02-01 13:07:58 = Ardiana Dervishi', '', '2007-02-01 13:07:58', 'Mikel Pavaci', '2007-02-01 11:48:14');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000496, '2007-02-01 12:00:03', 'Lirie', 'Can', 'Mine', NULL, 'Mani', NULL, '', '1950-01-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '454', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 12:00:03 Mikel Pavaci\n\nView 2007-02-01 12:46:52 = Ermal Dibra', '', '2007-02-01 12:46:52', 'Mikel Pavaci', '2007-02-01 12:00:03');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000497, '2007-02-01 12:04:27', 'Shemsie', 'Asan', 'Nazire', NULL, 'Tuzi', NULL, '', '1958-05-20', '', 'L.Q.Stafa', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '455', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 12:04:27 Mikel Pavaci\n\nView 2007-02-01 12:53:49 = Ermal Dibra', '', '2007-02-01 12:53:49', 'Mikel Pavaci', '2007-02-01 12:04:27');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000498, '2007-02-01 12:07:06', 'Zydi', 'Ramiz', 'Sabije', '', 'Potgorica', '', '', '1929-01-01', '', 'L.K.Permetit', '000', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '453', NULL, '', 0, NULL, '3329421653', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-02-01 12:08:44', 'normal', 'Init.reg. 2007-02-01 12:07:06 Mikel Pavaci\n\nView 2007-02-01 12:07:28 = Mikel PavaciUpdate 2007-02-01 12:08:44 Mikel Pavaci \n\nView 2007-02-01 12:23:03 = Ermal Dibra\nView 2007-02-01 13:42:05 = Mikel Pavaci', 'Mikel Pavaci', '2007-02-01 13:42:05', 'Mikel Pavaci', '2007-02-01 12:07:06');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000499, '2007-02-01 12:14:15', 'Deseido', 'Agim', 'Lirije', NULL, 'Kalaj', NULL, '', '2006-12-29', '', 'Bushat', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '676', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 12:14:15 Ardiana Dervishi\n', '', '2007-02-01 12:14:15', 'Ardiana Dervishi', '2007-02-01 12:14:15');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000500, '2007-02-01 13:13:18', 'Kristiana', 'Heti', 'Flederik', NULL, 'Gryka', NULL, '', '1998-04-17', '', 'NMazi', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '703', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 13:13:18 Ardiana Dervishi\n', '', '2007-02-01 13:13:18', 'Ardiana Dervishi', '2007-02-01 13:13:18');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000501, '2007-02-01 13:19:02', 'Gleda', 'Ismet', 'Alma', NULL, 'Popaj', NULL, '', '2003-08-08', '', 'Hot i ri', '000', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '687', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 13:19:02 Ardiana Dervishi\n', '', '2007-02-01 13:19:02', 'Ardiana Dervishi', '2007-02-01 13:19:02');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000502, '2007-02-01 13:23:51', 'Eljon', 'Gezim', 'Flutura', NULL, 'Lacaj', NULL, '', '1995-12-25', '', 'Bajze', '000', '00013', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '680', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-01 13:23:51 Ardiana Dervishi\n', '', '2007-02-01 13:23:51', 'Ardiana Dervishi', '2007-02-01 13:23:51');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000503, '2007-02-02 08:31:28', 'Marsid', 'Ahmet', 'Sabije', NULL, 'Hoxha', NULL, '', '2000-03-27', '', 'Guerile', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '716', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-02 08:31:28 Mikel Pavaci\n', '', '2007-02-02 08:31:28', 'Mikel Pavaci', '2007-02-02 08:31:28');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000504, '2007-02-02 08:33:58', 'Suljeta', 'Sulejman', 'Sabije', NULL, 'Gjedija', NULL, '', '2005-01-01', '', 'Kiras', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '718', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-02 08:33:58 Mikel Pavaci\n', '', '2007-02-02 08:33:58', 'Mikel Pavaci', '2007-02-02 08:33:58');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000505, '2007-02-02 08:58:15', 'Emanuel', 'Rrok', 'Anxhe', NULL, 'Ndoci', NULL, '', '2006-10-13', '', 'Dukagjin', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '717', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-02 08:58:15 Mikel Pavaci\n', '', '2007-02-02 08:58:15', 'Mikel Pavaci', '2007-02-02 08:58:15');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000506, '2007-02-02 09:00:26', 'Kol', 'Luc', 'Dafina', NULL, 'Hila', NULL, '', '2005-01-01', '', 'Grude ', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '719', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-02 09:00:26 Mikel Pavaci\n', '', '2007-02-02 09:00:26', 'Mikel Pavaci', '2007-02-02 09:00:26');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000507, '2007-02-02 09:03:39', 'Elvis', 'Gjovalin', 'Anxhe', NULL, 'Dinjari', NULL, '', '2006-02-04', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '715', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-02 09:03:39 Mikel Pavaci\n', '', '2007-02-02 09:03:39', 'Mikel Pavaci', '2007-02-02 09:03:39');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000508, '2007-02-02 09:06:40', 'Jetleva', 'Mirash', 'Sabije', NULL, 'Rama', NULL, '', '2000-05-05', '', 'Rragam', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'f', '720', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-02 09:06:40 Mikel Pavaci\n', '', '2007-02-02 09:06:40', 'Mikel Pavaci', '2007-02-02 09:06:40');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000509, '2007-02-02 09:09:36', 'Leo', 'Bashkim', 'Sabije', NULL, 'Taraboshi', NULL, '', '2000-06-01', '', 'Shkoder', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '705', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-02 09:09:36 Mikel Pavaci\n', '', '2007-02-02 09:09:36', 'Mikel Pavaci', '2007-02-02 09:09:36');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000510, '2007-02-02 09:23:51', 'Kevin', 'Nik', 'Dafina', NULL, 'Shtyllza', NULL, '', '2006-05-01', '', 'Hot i Ri', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '706', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-02 09:23:51 Mikel Pavaci\n', '', '2007-02-02 09:23:51', 'Mikel Pavaci', '2007-02-02 09:23:51');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000511, '2007-02-02 09:26:24', 'Eljan', 'Kol', 'Veronika', NULL, 'Lazri', NULL, '', '1984-01-01', '', 'V.Dejes', '000', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '487', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-02-02 09:26:24 Mikel Pavaci\n', '', '2007-02-02 09:26:24', 'Mikel Pavaci', '2007-02-02 09:26:24');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000512, '2007-08-15 11:17:43', 'Urgjenca', 'Baba', 'Nana', NULL, 'Urgjenca', NULL, '', '2007-08-01', 'B', '13 dhjetori', '122', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '199', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-08-15 11:17:43 Greta Naraci\n\nView 2007-08-15 11:20:00 = Greta Naraci\nView 2007-08-15 11:20:55 = Greta Naraci\nView 2007-08-15 11:23:09 = Greta Naraci\nView 2007-08-15 11:24:00 = Greta Naraci\nView 2007-08-15 11:25:07 = Greta Naraci\nView 2007-08-15 11:25:39 = Greta Naraci\nView 2007-08-15 11:35:43 = Greta Naraci\nView 2007-08-15 11:36:11 = Greta Naraci', '', '2007-08-15 11:36:11', 'Greta Naraci', '2007-08-15 11:17:43');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000513, '2007-08-20 17:32:05', 'kot', 'kot', 'tkot', '', 'jam', '', '', '2007-08-22', 'A', 'shkoder', '123', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '123', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-08-20 17:32:20', 'normal', 'Init.reg. 2007-08-20 17:32:05 admin\nUpdate 2007-08-20 17:32:20 admin \n', 'admin', '2007-08-20 17:32:20', 'admin', '2007-08-20 17:32:05');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000514, '2007-08-20 17:58:50', 'tko', 'kot', 'tko', '', 'kot', '', '', '2007-08-02', 'B', 'shkoder', '12', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '1234', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-08-20 18:09:11', 'normal', 'Init.reg. 2007-08-20 17:58:50 admin\nUpdate 2007-08-20 17:59:01 admin \nUpdate 2007-08-20 18:08:08 admin \nUpdate 2007-08-20 18:09:04 admin \nUpdate 2007-08-20 18:09:11 admin \n\nView 2007-08-20 21:21:42 = admin', 'admin', '2007-08-20 21:21:42', 'admin', '2007-08-20 17:58:50');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000515, '2007-08-22 16:25:26', 'tko', NULL, NULL, NULL, 'kot', NULL, '', '1963-08-21', 'A', 'shkoder', '12', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '12', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-08-22 16:25:26 admin\n', '', '2007-08-22 16:25:26', 'admin', '2007-08-22 16:25:26');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000516, '2007-08-23 14:08:03', 'KOt', NULL, NULL, NULL, 'Urgjenca', NULL, '', '2000-07-22', '', '13 dh', '12', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-08-23 14:08:03 admin\n', '', '2007-08-23 14:08:03', 'admin', '2007-08-23 14:08:03');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000517, '2007-08-23 14:16:12', 'Kt', 'khj', 'lkj', NULL, 'Urgjenca 2', NULL, '', '1990-12-12', '', '13 dh', '123', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', NULL, NULL, '', NULL, NULL, '121212', NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-08-23 14:16:12 admin\n', '', '2007-08-23 14:16:12', 'admin', '2007-08-23 14:16:12');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000518, '2007-08-24 10:30:17', 'kaka', NULL, NULL, NULL, 'kaka', NULL, '', '1984-08-24', '', 'kaka', '12', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-08-24 10:30:17 admin\n', '', '2007-08-24 10:30:17', 'admin', '2007-08-24 10:30:17');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000519, '2007-08-25 16:05:49', 'barcode', '', '', '', 'barcode', '', '', '1982-02-01', 'AB', 'barcode', '12', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-08-25 16:08:26', 'normal', 'Init.reg. 2007-08-25 16:05:49 admin\nUpdate 2007-08-25 16:08:26 admin \n', 'admin', '2007-08-25 16:08:26', 'admin', '2007-08-25 16:05:49');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000520, '2007-08-25 16:08:54', 'barcode', NULL, NULL, NULL, 'barcode', NULL, '', '1984-08-25', '', 'kot', '12', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-08-25 16:08:54 admin\n', '', '2007-08-25 16:08:54', 'admin', '2007-08-25 16:08:54');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000521, '2007-10-03 22:28:04', 'me shij', NULL, NULL, NULL, 'kot', NULL, '', '2007-10-03', 'A', 'asd', '123', '123', 0, 0, NULL, '0', 'ads', '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '4321', NULL, '', NULL, NULL, 'ads', NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-10-03 22:28:04 admin\n', '', '2007-10-03 22:28:04', 'admin', '2007-10-03 22:28:04');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000522, '2007-10-06 18:00:35', 'prove', NULL, NULL, NULL, 'sigurim', NULL, '', '2007-10-06', 'A', 'shkoder', '12', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '01234', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-10-06 18:00:35 admin\n', '', '2007-10-06 18:00:35', 'admin', '2007-10-06 18:00:35');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000523, '2007-10-16 21:38:10', 'kkka', NULL, NULL, NULL, 'kkka', NULL, '', '2007-10-16', 'A', 'shkoder', '000012', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '123456', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-10-16 21:38:10 admin\n', '', '2007-10-16 21:38:10', 'admin', '2007-10-16 21:38:10');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000524, '2007-10-16 21:54:29', 'kkka', '', '', '', 'kkkaaa', '', '', '2007-10-16', 'B', 'shkoder', '000012', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '123', NULL, '10000524.jpg', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-10-16 21:55:01', 'normal', 'Init.reg. 2007-10-16 21:54:29 admin\n\nPhoto set 2007-10-16 21:54:29 = adminUpdate 2007-10-16 21:55:01 admin \n', 'admin', '2007-10-16 21:55:01', 'admin', '2007-10-16 21:54:29');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000525, '2007-10-16 21:56:12', 'kkka', '', '', '', 'kkka', '', '', '2007-10-16', 'B', 'shkoder', '000012', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '123', NULL, '10000525.jpg', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-10-16 22:06:01', 'normal', 'Init.reg. 2007-10-16 21:56:12 admin\nUpdate 2007-10-16 21:56:27 admin \nUpdate 2007-10-16 22:06:01 admin \n', 'admin', '2007-10-16 22:06:01', 'admin', '2007-10-16 21:56:12');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000526, '2007-10-16 22:06:33', '123', NULL, NULL, NULL, '123', NULL, '', '2007-10-16', 'A', '123', '123', '123', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '123', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-10-16 22:06:33 admin\n', '', '2007-10-16 22:06:33', 'admin', '2007-10-16 22:06:33');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000527, '2007-10-17 10:30:41', 'aaak', NULL, NULL, NULL, 'aaak', NULL, '', '2007-10-17', 'A', 'shkoder', '0000120', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '6543', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-10-17 10:30:41 admin\n\nView 2007-10-17 11:29:07 = admin', '', '2007-10-17 11:29:07', 'admin', '2007-10-17 10:30:41');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000528, '2007-10-17 11:38:58', 'ka', NULL, NULL, NULL, 'ak', NULL, '', '2007-10-17', 'A', 'shkoder', '000012', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '6543', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-10-17 11:38:58 admin\n', '', '2007-10-17 11:38:58', 'admin', '2007-10-17 11:38:58');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000529, '2007-10-17 11:53:02', 'ka', NULL, NULL, NULL, 'ka', NULL, '', '2007-10-17', 'A', 'ka', '000012', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '9876543', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-10-17 11:53:02 admin\n', '', '2007-10-17 11:53:02', 'admin', '2007-10-17 11:53:02');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000530, '2007-10-17 11:55:53', 'bk', 'bk', 'bk', NULL, 'bk', NULL, '', '2007-10-17', 'O', 'bk', '000012', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '78654', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-10-17 11:55:53 admin\n', '', '2007-10-17 11:55:53', 'admin', '2007-10-17 11:55:53');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000531, '2007-10-17 11:57:26', 'ck', 'ck', 'ck', NULL, 'ck', NULL, '', '2007-10-17', 'A', 'ck', '000012', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '9536', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-10-17 11:57:26 admin\n', '', '2007-10-17 11:57:26', 'admin', '2007-10-17 11:57:26');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000532, '2007-10-17 12:08:43', 'dk', NULL, NULL, NULL, 'dk', NULL, '', '2007-10-17', 'O', 'dk', '000012', '00012', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '987654', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-10-17 12:08:43 admin\n', '', '2007-10-17 12:08:43', 'admin', '2007-10-17 12:08:43');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000533, '2007-10-17 20:37:34', 'Emri', '', '', '', 'Mbiemri', '', '', '2007-10-17', 'A', '13 Dhjetori 1990', '164', '00012', 0, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '98765432', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-10-17 23:09:50', 'normal', 'Init.reg. 2007-10-17 20:37:34 admin\nUpdate 2007-10-17 23:09:50 admin \n', 'admin', '2007-10-17 23:09:50', 'admin', '2007-10-17 20:37:34');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000534, '2007-10-23 17:33:06', 'pranim', NULL, NULL, NULL, 'ndryshim', NULL, '', '2007-10-23', 'A', 'shkoder', '123', '00012', 1, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '98765', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-10-23 17:33:06 admin\n', '', '2007-10-23 17:33:06', 'admin', '2007-10-23 17:33:06');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000535, '2007-10-24 12:01:54', 'ardhje', NULL, NULL, NULL, 'prove', NULL, '', '2007-10-24', 'A', 'shkoder', '123', '123', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '098765', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-10-24 12:01:54 admin\n', '', '2007-10-24 12:01:54', 'admin', '2007-10-24 12:01:54');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000536, '2007-10-30 20:30:27', 'dept', '', '', '', 'prove', '', '', '2007-10-30', 'A', 'shkoder', '123', '00012', 1, 0, '', '0', '', '0', '', '', '', '', '', '', 'm', '654', NULL, '', 0, NULL, '', '', '', 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, '2007-10-30 20:43:29', 'normal', 'Init.reg. 2007-10-30 20:30:27 admin\n\nView 2007-10-30 20:38:16 = admin\nView 2007-10-30 20:43:16 = kot1Update 2007-10-30 20:43:29 kot1 \n\nView 2007-10-30 20:46:25 = kot1', 'kot1', '2007-10-30 20:46:25', 'admin', '2007-10-30 20:30:27');
INSERT INTO `care_person` (`pid`, `date_reg`, `name_first`, `name_2`, `name_3`, `name_middle`, `name_last`, `name_maiden`, `name_others`, `date_birth`, `blood_group`, `addr_str`, `addr_str_nr`, `addr_zip`, `addr_citytown_nr`, `addr_is_valid`, `citizenship`, `phone_1_code`, `phone_1_nr`, `phone_2_code`, `phone_2_nr`, `cellphone_1_nr`, `cellphone_2_nr`, `fax`, `email`, `civil_status`, `sex`, `title`, `photo`, `photo_filename`, `ethnic_orig`, `org_id`, `sss_nr`, `nat_id_nr`, `religion`, `mother_pid`, `father_pid`, `contact_person`, `contact_pid`, `contact_relation`, `death_date`, `death_encounter_nr`, `death_cause`, `death_cause_code`, `date_update`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000537, '2007-11-01 17:28:06', 'esempio', NULL, NULL, NULL, 'esempio', NULL, '', '2007-11-01', '', 'asd', '65', '564', 0, 0, NULL, '0', NULL, '0', NULL, NULL, NULL, NULL, NULL, '', 'm', '543', NULL, '', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, 0, '0', '0000-00-00', 0, NULL, NULL, NULL, 'normal', 'Init.reg. 2007-11-01 17:28:06 admin\n', '', '2007-11-01 17:28:06', 'admin', '2007-11-01 17:28:06');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_personell`
-- 

CREATE TABLE `care_personell` (
  `nr` int(11) NOT NULL auto_increment,
  `short_id` varchar(10) collate latin1_general_ci default NULL,
  `pid` int(11) NOT NULL default '0',
  `job_type_nr` int(11) NOT NULL default '0',
  `job_function_title` varchar(60) collate latin1_general_ci default NULL,
  `date_join` date default NULL,
  `date_exit` date default NULL,
  `contract_class` varchar(35) collate latin1_general_ci NOT NULL default '0',
  `contract_start` date default NULL,
  `contract_end` date default NULL,
  `is_discharged` tinyint(1) NOT NULL default '0',
  `pay_class` varchar(25) collate latin1_general_ci NOT NULL,
  `pay_class_sub` varchar(25) collate latin1_general_ci NOT NULL,
  `local_premium_id` varchar(5) collate latin1_general_ci NOT NULL,
  `tax_account_nr` varchar(60) collate latin1_general_ci NOT NULL,
  `ir_code` varchar(25) collate latin1_general_ci NOT NULL,
  `nr_workday` tinyint(1) NOT NULL default '0',
  `nr_weekhour` float(10,2) NOT NULL default '0.00',
  `nr_vacation_day` tinyint(2) NOT NULL default '0',
  `multiple_employer` tinyint(1) NOT NULL default '0',
  `nr_dependent` tinyint(2) unsigned NOT NULL default '0',
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`,`pid`,`job_type_nr`),
  KEY `pid` (`pid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=100029 ;

-- 
-- Dumping data for table `care_personell`
-- 

INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100000, 'Manjola', 10000043, 0, 'K/Infermire', '1996-01-03', NULL, 'Kolektive', '1996-01-03', NULL, 0, '', '', '', '', '', 6, 40.00, 21, 0, 0, '', 'Create: 2007-01-05 11:12:58 = admin\n', '', '2007-01-05 11:12:58', 'admin', '2007-01-05 11:12:58');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100003, 'Lejla', 10000054, 0, 'Infermier', '1969-10-10', NULL, 'Kolektive', '2007-01-01', NULL, 0, '', '', '', '', '', 6, 40.00, 0, 0, 0, '', 'Create: 2007-01-05 11:19:58 = admin\n', '', '2007-01-05 11:19:58', 'admin', '2007-01-05 11:19:58');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100004, NULL, 10000056, 0, 'Infermier', '1991-07-31', NULL, '0', '2007-01-01', NULL, 0, '', '', '', '', '', 6, 40.00, 0, 0, 0, '', 'Create: 2007-01-05 11:24:20 = admin\n', '', '2007-01-05 11:24:20', 'admin', '2007-01-05 11:24:20');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100005, NULL, 10000082, 0, 'Infermir', '2006-11-09', NULL, 'Kolektive', '2006-11-09', NULL, 0, '', '', '', '', '', 6, 40.00, 21, 0, 0, '', 'Create: 2007-01-08 12:38:12 = admin\n', '', '2007-01-08 12:38:12', 'admin', '2007-01-08 12:38:12');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100006, NULL, 10000083, 0, 'Infermier', '2001-01-20', NULL, 'Kolektive', '2007-01-01', NULL, 0, '', '', '', '', '', 6, 40.00, 21, 0, 0, '', 'Create: 2007-01-08 12:43:40 = admin\n', '', '2007-01-08 12:43:40', 'admin', '2007-01-08 12:43:40');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100007, NULL, 10000152, 0, 'Mjeke', '1980-01-16', NULL, 'Kolektive', '1980-01-16', NULL, 0, 'Pediatre', '', '', '', '', 6, 42.00, 21, 0, 0, '', 'Create: 2007-01-15 10:22:50 = admin\n', '', '2007-01-15 10:22:50', 'admin', '2007-01-15 10:22:50');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100008, NULL, 10000153, 0, 'Mjeke', '1957-01-15', NULL, 'Kolektive', '1957-01-15', NULL, 0, 'Pediatre', '', '', '', '', 0, 0.00, 0, 0, 0, '', 'Create: 2007-01-15 10:28:52 = admin\n', '', '2007-01-15 10:28:52', 'admin', '2007-01-15 10:28:52');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100009, NULL, 10000154, 0, 'Infeksioniste', '1972-09-05', NULL, 'Kolektive', '1972-09-05', NULL, 0, 'Infeksioniste', '', '', '', '', 0, 0.00, 0, 0, 0, '', 'Create: 2007-01-15 10:35:43 = admin\n', '', '2007-01-15 10:35:43', 'admin', '2007-01-15 10:35:43');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100010, NULL, 10000155, 0, 'Mjeke', '1978-07-15', NULL, '0', '1978-07-15', NULL, 0, '', '', '', '', '', 0, 0.00, 0, 0, 0, '', 'Create: 2007-01-15 10:40:19 = admin\n', '', '2007-01-15 10:40:19', 'admin', '2007-01-15 10:40:19');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100011, NULL, 10000156, 0, 'Mjek', '2003-05-05', NULL, 'Kolektive', '2003-05-05', NULL, 0, 'Pneumo-Alergolog', '', '', '', '', 0, 0.00, 0, 0, 0, '', 'Create: 2007-01-15 10:44:05 = admin\n', '', '2007-01-15 10:44:05', 'admin', '2007-01-15 10:44:05');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100012, NULL, 10000158, 0, 'Mjek', '1971-09-01', NULL, 'Kolektive', '1971-09-01', NULL, 0, '', '', '', '', '', 0, 0.00, 0, 0, 0, '', 'Create: 2007-01-15 10:48:53 = admin\n', '', '2007-01-15 10:48:53', 'admin', '2007-01-15 10:48:53');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100013, NULL, 10000159, 0, 'Mjeke', '1978-08-15', NULL, 'Kolektive', '1978-08-15', NULL, 0, '', '', '', '', '', 0, 0.00, 0, 0, 0, '', 'Create: 2007-01-15 10:52:34 = admin\n', '', '2007-01-15 10:52:34', 'admin', '2007-01-15 10:52:34');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100014, NULL, 10000160, 0, 'Infermiere', '1990-01-01', NULL, 'Kolektive', '1990-01-01', NULL, 0, '', '', '', '', '', 0, 0.00, 0, 0, 0, '', 'Create: 2007-01-15 10:59:13 = admin\n', '', '2007-01-15 10:59:13', 'admin', '2007-01-15 10:59:13');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100015, NULL, 10000162, 0, 'Infermiere', '1983-02-01', NULL, 'Kolektive', '1983-02-01', NULL, 0, '', '', '', '', '', 0, 0.00, 0, 0, 0, '', 'Create: 2007-01-15 11:06:38 = admin\n', '', '2007-01-15 11:06:38', 'admin', '2007-01-15 11:06:38');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100016, NULL, 10000184, 0, 'Infermier', '2006-11-09', NULL, 'Kolektive', '2006-11-09', NULL, 0, '', '', '', '', '', 0, 0.00, 0, 0, 0, '', 'Create: 2007-01-16 11:14:11 = Ermal Dibra\n', '', '2007-01-16 11:14:11', 'Ermal Dibra', '2007-01-16 11:14:11');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100017, NULL, 10000185, 0, 'N/Infermiere', '2007-01-01', NULL, 'Kolektive', '2007-01-01', NULL, 0, '', '', '', '', '', 0, 0.00, 0, 0, 0, '', 'Create: 2007-01-16 11:17:39 = Ermal Dibra\n', '', '2007-01-16 11:17:39', 'Ermal Dibra', '2007-01-16 11:17:39');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100018, NULL, 10000186, 0, 'Sanitare', '2000-09-03', NULL, 'Kolektive', '2000-09-03', NULL, 0, '', '', '', '', '', 0, 0.00, 0, 0, 0, '', 'Create: 2007-01-16 11:21:48 = Ermal Dibra\n', '', '2007-01-16 11:21:48', 'Ermal Dibra', '2007-01-16 11:21:48');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100019, NULL, 10000337, 0, 'Infermiere', '1973-11-01', NULL, 'Kolektive', '1973-11-01', NULL, 0, '', '', '', '', '', 0, 0.00, 0, 0, 0, '', 'Create: 2007-01-24 09:22:00 = admin\n', '', '2007-01-24 09:22:00', 'admin', '2007-01-24 09:22:00');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100020, NULL, 10000338, 0, 'Infermiere', '1981-10-10', NULL, 'Kolektive', '1981-10-10', NULL, 0, '', '', '', '', '', 0, 0.00, 0, 0, 0, '', 'Create: 2007-01-24 09:26:01 = admin\n', '', '2007-01-24 09:26:01', 'admin', '2007-01-24 09:26:01');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100021, 'Lula', 10000339, 0, 'N/Infermiere', '1972-10-11', '0000-00-00', 'Kolektive', '1972-10-11', '0000-00-00', 0, '', '', '', '', '', 0, 0.00, 0, 0, 0, '', 'Create: 2007-01-24 09:29:52 = admin\nUpdate: 2007-01-24 09:30:01 = admin\n', 'admin', '2007-01-24 09:30:01', 'admin', '2007-01-24 09:29:52');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100022, NULL, 10000348, 0, 'N/Infermiere', '2001-01-01', NULL, 'Kolektive', '2001-01-01', NULL, 0, '', '', '', '', '', 0, 0.00, 0, 0, 0, '', 'Create: 2007-01-24 09:51:49 = admin\n', '', '2007-01-24 09:51:49', 'admin', '2007-01-24 09:51:49');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100023, NULL, 10000347, 0, 'N/Infermiere', '2001-01-01', NULL, 'Kolektive', '2001-01-01', NULL, 0, '', '', '', '', '', 0, 0.00, 0, 0, 0, '', 'Create: 2007-01-24 09:53:29 = admin\n', '', '2007-01-24 09:53:29', 'admin', '2007-01-24 09:53:29');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100024, NULL, 10000346, 0, 'Infermiere', '1972-01-01', NULL, 'Kolektive', '1972-01-01', NULL, 0, '', '', '', '', '', 0, 0.00, 0, 0, 0, '', 'Create: 2007-01-24 09:55:14 = admin\n', '', '2007-01-24 09:55:14', 'admin', '2007-01-24 09:55:14');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100025, 'Diana', 10000345, 0, 'Infermiere', '2001-01-01', NULL, 'Kolektive', '2001-01-01', NULL, 0, '', '', '', '', '', 0, 0.00, 0, 0, 0, '', 'Create: 2007-01-24 09:56:36 = admin\n', '', '2007-01-24 09:56:36', 'admin', '2007-01-24 09:56:36');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100026, NULL, 10000344, 0, 'Infermiere', '1973-11-28', NULL, 'Kolektive', '1973-11-28', NULL, 0, '', '', '', '', '', 0, 0.00, 0, 0, 0, '', 'Create: 2007-01-24 09:58:42 = admin\n', '', '2007-01-24 09:58:42', 'admin', '2007-01-24 09:58:42');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100027, NULL, 10000343, 0, 'N/Infermiere', '2001-01-01', NULL, 'Kolektive', '2001-01-01', NULL, 0, '', '', '', '', '', 0, 0.00, 0, 0, 0, '', 'Create: 2007-01-24 09:59:59 = admin\n', '', '2007-01-24 09:59:59', 'admin', '2007-01-24 09:59:59');
INSERT INTO `care_personell` (`nr`, `short_id`, `pid`, `job_type_nr`, `job_function_title`, `date_join`, `date_exit`, `contract_class`, `contract_start`, `contract_end`, `is_discharged`, `pay_class`, `pay_class_sub`, `local_premium_id`, `tax_account_nr`, `ir_code`, `nr_workday`, `nr_weekhour`, `nr_vacation_day`, `multiple_employer`, `nr_dependent`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100028, NULL, 10000341, 0, 'Infermiere', '1978-07-03', NULL, 'Kolektive', '1978-07-03', NULL, 0, '', '', '', '', '', 0, 0.00, 0, 0, 0, '', 'Create: 2007-01-24 10:01:17 = admin\n', '', '2007-01-24 10:01:17', 'admin', '2007-01-24 10:01:17');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_personell_assignment`
-- 

CREATE TABLE `care_personell_assignment` (
  `nr` int(10) unsigned NOT NULL auto_increment,
  `personell_nr` int(11) unsigned NOT NULL default '0',
  `role_nr` smallint(5) unsigned NOT NULL default '0',
  `location_type_nr` smallint(5) unsigned NOT NULL default '0',
  `location_nr` smallint(5) unsigned NOT NULL default '0',
  `date_start` date NOT NULL default '0000-00-00',
  `date_end` date NOT NULL default '0000-00-00',
  `is_temporary` tinyint(1) unsigned default NULL,
  `list_frequency` int(11) unsigned NOT NULL default '0',
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`,`personell_nr`,`role_nr`,`location_type_nr`,`location_nr`),
  KEY `personell_nr` (`personell_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=12 ;

-- 
-- Dumping data for table `care_personell_assignment`
-- 

INSERT INTO `care_personell_assignment` (`nr`, `personell_nr`, `role_nr`, `location_type_nr`, `location_nr`, `date_start`, `date_end`, `is_temporary`, `list_frequency`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (8, 100003, 16, 1, 68, '2007-08-06', '0000-00-00', NULL, 0, '', 'Add: 2007-08-06 20:42:48 = admin\n', 'admin', '2007-08-06 20:42:48', 'admin', '2007-08-06 20:42:48');
INSERT INTO `care_personell_assignment` (`nr`, `personell_nr`, `role_nr`, `location_type_nr`, `location_nr`, `date_start`, `date_end`, `is_temporary`, `list_frequency`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (9, 100003, 16, 1, 56, '2007-08-06', '0000-00-00', NULL, 0, '', 'Add: 2007-08-06 21:11:51 = Mikel Pavaci\n', 'Mikel Pavaci', '2007-08-06 21:11:51', 'Mikel Pavaci', '2007-08-06 21:11:51');
INSERT INTO `care_personell_assignment` (`nr`, `personell_nr`, `role_nr`, `location_type_nr`, `location_nr`, `date_start`, `date_end`, `is_temporary`, `list_frequency`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10, 100010, 17, 1, 56, '2007-08-07', '0000-00-00', NULL, 0, '', 'Add: 2007-08-07 16:52:07 = admin\n', 'admin', '2007-08-07 16:52:07', 'admin', '2007-08-07 16:52:07');
INSERT INTO `care_personell_assignment` (`nr`, `personell_nr`, `role_nr`, `location_type_nr`, `location_nr`, `date_start`, `date_end`, `is_temporary`, `list_frequency`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (11, 100003, 17, 1, 51, '2007-11-15', '0000-00-00', NULL, 0, '', 'Add: 2007-11-15 13:05:14 = admin\n', 'admin', '2007-11-15 13:05:14', 'admin', '2007-11-15 13:05:14');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_person_insurance`
-- 

CREATE TABLE `care_person_insurance` (
  `item_nr` int(10) unsigned NOT NULL auto_increment,
  `pid` int(10) unsigned NOT NULL default '0',
  `type` varchar(60) collate latin1_general_ci NOT NULL,
  `insurance_nr` varchar(50) collate latin1_general_ci NOT NULL default '0',
  `firm_id` varchar(60) collate latin1_general_ci NOT NULL,
  `class_nr` tinyint(2) unsigned NOT NULL default '0',
  `is_void` tinyint(1) unsigned NOT NULL default '0',
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`item_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=10 ;

-- 
-- Dumping data for table `care_person_insurance`
-- 

INSERT INTO `care_person_insurance` (`item_nr`, `pid`, `type`, `insurance_nr`, `firm_id`, `class_nr`, `is_void`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 10000034, '', 'po', 'ISKSH', 3, 0, '', '', '', '2006-12-28 12:28:39', '', '0000-00-00 00:00:00');
INSERT INTO `care_person_insurance` (`item_nr`, `pid`, `type`, `insurance_nr`, `firm_id`, `class_nr`, `is_void`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 10000512, '', 'normal', 'ISKSH', 2, 0, '', '', '', '2007-08-15 11:17:43', '', '0000-00-00 00:00:00');
INSERT INTO `care_person_insurance` (`item_nr`, `pid`, `type`, `insurance_nr`, `firm_id`, `class_nr`, `is_void`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (7, 10000521, '', '123', '', 2, 0, '', '', '', '2007-10-03 22:28:04', '', '0000-00-00 00:00:00');
INSERT INTO `care_person_insurance` (`item_nr`, `pid`, `type`, `insurance_nr`, `firm_id`, `class_nr`, `is_void`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (8, 10000533, '', '1234567890', 'ISKSH', 2, 0, '', 'Update 2007-10-17 23:09:50 admin \n', '', '2007-10-17 23:09:50', 'admin', '2007-10-17 23:09:50');
INSERT INTO `care_person_insurance` (`item_nr`, `pid`, `type`, `insurance_nr`, `firm_id`, `class_nr`, `is_void`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (9, 10000537, '', '345', 'ISKSH', 2, 0, '', '', '', '2007-11-01 17:28:06', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_person_other_number`
-- 

CREATE TABLE `care_person_other_number` (
  `nr` int(10) unsigned NOT NULL auto_increment,
  `pid` int(11) unsigned NOT NULL default '0',
  `other_nr` varchar(30) collate latin1_general_ci NOT NULL,
  `org` varchar(35) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  KEY `pid` (`pid`),
  KEY `other_nr` (`other_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_person_other_number`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_pharma_ordercatalog`
-- 

CREATE TABLE `care_pharma_ordercatalog` (
  `item_no` int(11) NOT NULL auto_increment,
  `dept_nr` int(3) NOT NULL default '0',
  `hit` int(11) NOT NULL default '0',
  `artikelname` tinytext collate latin1_general_ci NOT NULL,
  `bestellnum` varchar(20) collate latin1_general_ci NOT NULL,
  `minorder` int(4) NOT NULL default '0',
  `maxorder` int(4) NOT NULL default '0',
  `proorder` tinytext collate latin1_general_ci NOT NULL,
  `doza` tinytext collate latin1_general_ci,
  `packing` tinytext collate latin1_general_ci,
  `quantity` int(11) NOT NULL default '0',
  KEY `item_no` (`item_no`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_pharma_ordercatalog`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_pharma_orderlist`
-- 

CREATE TABLE `care_pharma_orderlist` (
  `order_nr` int(11) NOT NULL auto_increment,
  `dept_nr` int(3) NOT NULL default '0',
  `order_date` date NOT NULL default '0000-00-00',
  `order_time` time NOT NULL default '00:00:00',
  `extra1` tinytext collate latin1_general_ci NOT NULL,
  `extra2` text collate latin1_general_ci NOT NULL,
  `validator` tinytext collate latin1_general_ci NOT NULL,
  `ip_addr` tinytext collate latin1_general_ci NOT NULL,
  `priority` tinytext collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  `sent_datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  `process_datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`order_nr`,`dept_nr`),
  KEY `dept` (`dept_nr`),
  KEY `order_nr` (`order_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_pharma_orderlist`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_pharma_orderlist_sub`
-- 

CREATE TABLE `care_pharma_orderlist_sub` (
  `sub_order` int(20) NOT NULL auto_increment,
  `order_nr_sub` int(20) NOT NULL,
  `bestellnum` varchar(25) collate latin1_general_ci default '0',
  `idsub` varchar(20) collate latin1_general_ci NOT NULL default '0' COMMENT 'id te care_pharma_products_main_sub',
  `artikelname` varchar(25) collate latin1_general_ci default NULL,
  `pcs` decimal(11,2) default NULL,
  `maxorder` int(11) default NULL,
  `minorder` int(11) default NULL,
  `proorder` int(11) default NULL,
  `njesia` varchar(20) collate latin1_general_ci default NULL,
  `skadenca` date default NULL,
  `cmimi` decimal(11,2) default NULL,
  `doza` decimal(11,2) default NULL,
  `vlera` decimal(11,2) NOT NULL default '0.00',
  PRIMARY KEY  (`sub_order`),
  UNIQUE KEY `sub_order` (`sub_order`),
  KEY `order_nr_sub` (`order_nr_sub`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_pharma_orderlist_sub`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_pharma_products_main`
-- 

CREATE TABLE `care_pharma_products_main` (
  `bestellnum` varchar(25) collate latin1_general_ci NOT NULL,
  `id_sub` int(11) NOT NULL COMMENT 'lidhja me nenkartelen e produktit',
  `artikelnum` tinytext collate latin1_general_ci NOT NULL,
  `industrynum` tinytext collate latin1_general_ci NOT NULL,
  `artikelname` tinytext collate latin1_general_ci NOT NULL,
  `generic` tinytext collate latin1_general_ci NOT NULL,
  `description` text collate latin1_general_ci NOT NULL,
  `packing` tinytext collate latin1_general_ci NOT NULL,
  `doza` tinytext collate latin1_general_ci NOT NULL,
  `minorder` int(4) NOT NULL default '0',
  `maxorder` int(4) NOT NULL default '0',
  `proorder` tinytext collate latin1_general_ci NOT NULL,
  `picfile` tinytext collate latin1_general_ci NOT NULL,
  `encoder` tinytext collate latin1_general_ci NOT NULL,
  `enc_date` tinytext collate latin1_general_ci NOT NULL,
  `enc_time` tinytext collate latin1_general_ci NOT NULL,
  `lock_flag` tinyint(1) NOT NULL default '0',
  `medgroup` text collate latin1_general_ci NOT NULL,
  `cave` tinytext collate latin1_general_ci NOT NULL,
  `status` varchar(20) collate latin1_general_ci NOT NULL,
  `minpcs` int(99) unsigned NOT NULL default '0',
  `magazina` tinytext collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`bestellnum`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci MIN_ROWS=186 MAX_ROWS=10000000 AVG_ROW_LENGTH=186 PACK_KEYS=0 ROW_FORMAT=DYNAMIC;

-- 
-- Dumping data for table `care_pharma_products_main`
-- 

INSERT INTO `care_pharma_products_main` (`bestellnum`, `id_sub`, `artikelnum`, `industrynum`, `artikelname`, `generic`, `description`, `packing`, `doza`, `minorder`, `maxorder`, `proorder`, `picfile`, `encoder`, `enc_date`, `enc_time`, `lock_flag`, `medgroup`, `cave`, `status`, `minpcs`, `magazina`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('1', 0, '', '', 'med_a', 'med_a', 'nuk ka', 'TAB', '20 mg', 1, 10, '1', '', 'admin', '2007.11.24', '18.14', 0, 'ABC', 'nuk ka', '', 0, '', 'Krijuar 2007-11-24 18:15:23 admin\n', '', '2007-11-24 18:15:23', 'admin', '2007-11-24 18:15:23');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_pharma_products_main_historik`
-- 

CREATE TABLE `care_pharma_products_main_historik` (
  `id` bigint(20) NOT NULL auto_increment,
  `id_repart` int(11) NOT NULL default '0',
  `data` date NOT NULL default '0000-00-00',
  `nr_fature` int(11) NOT NULL default '0',
  `medikament` int(11) NOT NULL default '0',
  `sasia` double NOT NULL default '0',
  `cmimi` double NOT NULL default '0',
  `vlera` double NOT NULL default '0',
  `date_skadence` date NOT NULL default '0000-00-00',
  `id_sub` int(11) NOT NULL COMMENT 'lidhja me nenkatelen e produktit',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AVG_ROW_LENGTH=1170 COMMENT='InnoDB free: 6144 kB' AUTO_INCREMENT=10893 ;

-- 
-- Dumping data for table `care_pharma_products_main_historik`
-- 

INSERT INTO `care_pharma_products_main_historik` (`id`, `id_repart`, `data`, `nr_fature`, `medikament`, `sasia`, `cmimi`, `vlera`, `date_skadence`, `id_sub`) VALUES (10885, 56, '2007-11-22', 6, 4, 5, 10, 50, '2007-02-28', 10);
INSERT INTO `care_pharma_products_main_historik` (`id`, `id_repart`, `data`, `nr_fature`, `medikament`, `sasia`, `cmimi`, `vlera`, `date_skadence`, `id_sub`) VALUES (10886, 56, '2007-11-22', 6, 4, 6, 10, 60, '2007-02-28', 11);
INSERT INTO `care_pharma_products_main_historik` (`id`, `id_repart`, `data`, `nr_fature`, `medikament`, `sasia`, `cmimi`, `vlera`, `date_skadence`, `id_sub`) VALUES (10887, 56, '2007-11-22', 6, 1, 45, 0.2, 9, '2007-02-26', 8);
INSERT INTO `care_pharma_products_main_historik` (`id`, `id_repart`, `data`, `nr_fature`, `medikament`, `sasia`, `cmimi`, `vlera`, `date_skadence`, `id_sub`) VALUES (10888, 56, '2007-11-22', 6, 1, 59, 0.3, 17.7, '2007-02-27', 9);
INSERT INTO `care_pharma_products_main_historik` (`id`, `id_repart`, `data`, `nr_fature`, `medikament`, `sasia`, `cmimi`, `vlera`, `date_skadence`, `id_sub`) VALUES (10889, 56, '2007-11-22', 5, 4, 5, 10, 50, '2007-02-28', 10);
INSERT INTO `care_pharma_products_main_historik` (`id`, `id_repart`, `data`, `nr_fature`, `medikament`, `sasia`, `cmimi`, `vlera`, `date_skadence`, `id_sub`) VALUES (10890, 56, '2007-11-22', 5, 4, 6, 10, 60, '2007-02-28', 11);
INSERT INTO `care_pharma_products_main_historik` (`id`, `id_repart`, `data`, `nr_fature`, `medikament`, `sasia`, `cmimi`, `vlera`, `date_skadence`, `id_sub`) VALUES (10891, 56, '2007-11-22', 5, 1, 45, 0.2, 9, '2007-02-26', 8);
INSERT INTO `care_pharma_products_main_historik` (`id`, `id_repart`, `data`, `nr_fature`, `medikament`, `sasia`, `cmimi`, `vlera`, `date_skadence`, `id_sub`) VALUES (10892, 56, '2007-11-22', 5, 1, 59, 0.3, 17.7, '2007-02-27', 9);

-- --------------------------------------------------------

-- 
-- Table structure for table `care_pharma_products_main_sub`
-- 

CREATE TABLE `care_pharma_products_main_sub` (
  `id` int(10) NOT NULL auto_increment,
  `bestellnum` varchar(25) collate latin1_general_ci default NULL COMMENT 'lidhja me care_pharma_products_main',
  `pcs` int(4) default NULL,
  `skadenca` date default NULL,
  `cmimi` double default NULL,
  `idcare_pharma` int(10) default NULL,
  `create_time` timestamp NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=3 ;

-- 
-- Dumping data for table `care_pharma_products_main_sub`
-- 

INSERT INTO `care_pharma_products_main_sub` (`id`, `bestellnum`, `pcs`, `skadenca`, `cmimi`, `idcare_pharma`, `create_time`) VALUES (1, '1', 5, '2008-12-12', 10, 56, '2007-11-24 19:20:39');
INSERT INTO `care_pharma_products_main_sub` (`id`, `bestellnum`, `pcs`, `skadenca`, `cmimi`, `idcare_pharma`, `create_time`) VALUES (2, '1', 5, '2008-12-12', 10, 56, '2007-11-24 19:20:48');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_phone`
-- 

CREATE TABLE `care_phone` (
  `item_nr` bigint(20) unsigned NOT NULL auto_increment,
  `title` varchar(25) collate latin1_general_ci default NULL,
  `name` varchar(45) collate latin1_general_ci NOT NULL,
  `vorname` varchar(45) collate latin1_general_ci NOT NULL,
  `pid` int(11) unsigned NOT NULL default '0',
  `personell_nr` int(10) unsigned NOT NULL default '0',
  `dept_nr` smallint(3) unsigned NOT NULL default '0',
  `beruf` varchar(25) collate latin1_general_ci default NULL,
  `bereich1` varchar(25) collate latin1_general_ci default NULL,
  `bereich2` varchar(25) collate latin1_general_ci default NULL,
  `inphone1` varchar(15) collate latin1_general_ci default NULL,
  `inphone2` varchar(15) collate latin1_general_ci default NULL,
  `inphone3` varchar(15) collate latin1_general_ci default NULL,
  `exphone1` varchar(25) collate latin1_general_ci default NULL,
  `exphone2` varchar(25) collate latin1_general_ci default NULL,
  `funk1` varchar(15) collate latin1_general_ci default NULL,
  `funk2` varchar(15) collate latin1_general_ci default NULL,
  `roomnr` varchar(10) collate latin1_general_ci default NULL,
  `date` date NOT NULL default '0000-00-00',
  `time` time NOT NULL default '00:00:00',
  `status` varchar(15) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`item_nr`,`pid`,`personell_nr`,`dept_nr`),
  KEY `name` (`name`),
  KEY `vorname` (`vorname`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=29 ;

-- 
-- Dumping data for table `care_phone`
-- 

INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, NULL, 'Rama', 'Manjola', 0, 100000, 0, 'Infermire', 'Patollogjia', NULL, '42769', '108', NULL, '0692328041', '44413', NULL, NULL, 'Infermire', '2007-01-05', '11:15:57', '', 'Add 2007-01-05 11:15:th admin\nUpdate 2007-01-05 11:15:57 admin\n', 'admin', '2007-01-05 11:15:57', 'admin', '2007-01-05 11:15:40');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, NULL, 'Barka', 'Lejla', 0, 100003, 0, 'Infermire', 'Patollogjia', NULL, '42769', '108', NULL, '48669', NULL, NULL, NULL, NULL, '2007-08-06', '20:48:56', '', 'Add 2007-01-05 11:20:th admin\nUpdate 2007-08-06 20:48:56 admin\n', 'admin', '2007-08-06 20:48:56', 'admin', '2007-01-05 11:20:43');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, NULL, 'Naku', 'Hydajete', 0, 100004, 0, 'Infermire', 'Pathollogjia', NULL, '42769', NULL, NULL, '0683128730', NULL, NULL, NULL, NULL, '2007-01-05', '11:25:04', '', 'Add 2007-01-05 11:25:th admin\n', '', '2007-01-05 11:25:04', 'admin', '2007-01-05 11:25:04');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, NULL, 'Rasha', 'Renato', 0, 100005, 0, 'Infermire', 'Pathologjia', NULL, '42769', '108', NULL, '0692310236', '42289', NULL, NULL, NULL, '2007-01-08', '12:39:19', '', 'Add 2007-01-08 12:39:th admin\n', '', '2007-01-08 12:39:19', 'admin', '2007-01-08 12:39:19');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, NULL, 'Muja', 'Ariana', 0, 100007, 0, 'Pediatre', 'Pediatria', NULL, '48953', NULL, NULL, '43598', NULL, NULL, NULL, NULL, '2007-01-15', '10:24:18', '', 'Add 2007-01-15 10:24:th admin\n', '', '2007-01-15 10:24:18', 'admin', '2007-01-15 10:24:18');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (7, NULL, 'Burill', 'Aferdita', 0, 100008, 0, 'Pediatre', 'Pediatria', NULL, '48953', NULL, NULL, '40005', '0692191443', NULL, NULL, NULL, '2007-01-15', '10:30:54', '', 'Add 2007-01-15 10:30:th admin\n', '', '2007-01-15 10:30:54', 'admin', '2007-01-15 10:30:54');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (8, NULL, 'Kallugjeri', 'Semiha', 0, 100009, 0, 'Infeksioniste', 'Pediatria', NULL, '48953', NULL, NULL, '49032', '0692160295', NULL, NULL, NULL, '2007-01-15', '10:36:52', '', 'Add 2007-01-15 10:36:th admin\n', '', '2007-01-15 10:36:52', 'admin', '2007-01-15 10:36:52');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (9, NULL, 'Begu', 'Luiza', 0, 100010, 0, 'Pediatre', 'Pediatria', NULL, '48953', NULL, NULL, '40628', '0692637686', NULL, NULL, NULL, '2007-01-15', '10:41:08', '', 'Add 2007-01-15 10:41:th admin\n', '', '2007-01-15 10:41:08', 'admin', '2007-01-15 10:41:08');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10, NULL, 'Duka', 'Skender', 0, 100011, 0, 'Pneumo-Alergolog', 'Pediatria', NULL, '48953', NULL, NULL, '0692065638', NULL, NULL, NULL, NULL, '2007-01-15', '10:45:03', '', 'Add 2007-01-15 10:45:th admin\n', '', '2007-01-15 10:45:03', 'admin', '2007-01-15 10:45:03');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (11, NULL, 'Sadiku', 'Elizabeta', 0, 100012, 0, 'Pediatre', 'Pediatria', NULL, '48953', NULL, NULL, '43286', '0692250268', NULL, NULL, NULL, '2007-01-15', '10:49:39', '', 'Add 2007-01-15 10:49:th admin\n', '', '2007-01-15 10:49:39', 'admin', '2007-01-15 10:49:39');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (12, NULL, 'Kotrri', 'Hedije', 0, 100013, 0, 'Pediatre', 'Pediatria', NULL, '48953', NULL, NULL, '46796', '0692175116', NULL, NULL, NULL, '2007-01-15', '10:53:27', '', 'Add 2007-01-15 10:53:th admin\n', '', '2007-01-15 10:53:27', 'admin', '2007-01-15 10:53:27');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (13, NULL, 'Kavaja', 'Sabije', 0, 100014, 0, 'Infermiere', 'Pediatria', NULL, '48953', NULL, NULL, '40584', NULL, NULL, NULL, NULL, '2007-01-15', '11:00:03', '', 'Add 2007-01-15 11:00:th admin\n', '', '2007-01-15 11:00:03', 'admin', '2007-01-15 11:00:03');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (14, NULL, 'Paci', 'Gjela', 0, 100015, 0, 'Inf/mami', 'Pediatria', NULL, '48953', NULL, NULL, '0692404345', NULL, NULL, NULL, NULL, '2007-01-15', '11:08:07', '', 'Add 2007-01-15 11:08:th admin\n', '', '2007-01-15 11:08:07', 'admin', '2007-01-15 11:08:07');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (15, NULL, 'Molla', 'Artan', 0, 100006, 0, 'Infermire', 'Pathollogjia', NULL, '42769', NULL, NULL, '40749', '0692412592', NULL, NULL, NULL, '2007-01-16', '11:11:57', '', 'Add 2007-01-16 11:11:th Ermal Dibra\n', '', '2007-01-16 11:11:57', 'Ermal Dibra', '2007-01-16 11:11:57');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (16, NULL, 'Kepi', 'Renato', 0, 100016, 0, 'Infermire', 'Pathollogjia', NULL, '42769', NULL, NULL, '40749', '0692412592', NULL, NULL, NULL, '2007-01-16', '11:15:28', '', 'Add 2007-01-16 11:15:th Ermal Dibra\n', '', '2007-01-16 11:15:28', 'Ermal Dibra', '2007-01-16 11:15:28');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (17, NULL, 'Lazri', 'Keti', 0, 100017, 0, 'N/Infermiere', 'Pathollogjia', NULL, '42769', NULL, NULL, '43316', '0682589072', NULL, NULL, NULL, '2007-01-16', '11:18:25', '', 'Add 2007-01-16 11:18:th Ermal Dibra\n', '', '2007-01-16 11:18:25', 'Ermal Dibra', '2007-01-16 11:18:25');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (18, NULL, 'Toma', 'Gjystina', 0, 100018, 0, 'Sanitare', 'Pathollogjia', NULL, '42769', NULL, NULL, '50954', '0682629442', NULL, NULL, NULL, '2007-01-16', '11:22:57', '', 'Add 2007-01-16 11:22:th Ermal Dibra\n', '', '2007-01-16 11:22:57', 'Ermal Dibra', '2007-01-16 11:22:57');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (19, NULL, 'Gjerga', 'Natasha', 0, 100019, 0, 'Infermiere', 'Pediatria', NULL, '48953', NULL, NULL, '0692525513', NULL, NULL, NULL, NULL, '2007-01-24', '09:22:47', '', 'Add 2007-01-24 09:22:th admin\n', '', '2007-01-24 09:22:47', 'admin', '2007-01-24 09:22:47');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (20, NULL, 'Qirioko', 'Vitore', 0, 100020, 0, 'Infermiere', 'Pediatria', NULL, '48953', NULL, NULL, '48921', '0692427769', NULL, NULL, NULL, '2007-01-24', '09:26:48', '', 'Add 2007-01-24 09:26:th admin\n', '', '2007-01-24 09:26:48', 'admin', '2007-01-24 09:26:48');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (21, NULL, 'Kodra', 'Misha', 0, 100021, 0, 'N/Infermiere', 'Pediatria', NULL, '48953', NULL, NULL, '47338', '0682585245', NULL, NULL, NULL, '2007-01-24', '09:30:45', '', 'Add 2007-01-24 09:30:th admin\n', '', '2007-01-24 09:30:45', 'admin', '2007-01-24 09:30:45');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (22, NULL, 'Cama', 'Marjeta', 0, 100022, 0, 'N/Infermiere', 'Pediatria', NULL, '48953', NULL, NULL, '44093', NULL, NULL, NULL, 'N/Infermie', '2007-01-24', '09:52:45', '', 'Add 2007-01-24 09:52:th admin\nUpdate 2007-01-24 09:52:45 admin\n', 'admin', '2007-01-24 09:52:45', 'admin', '2007-01-24 09:52:20');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (23, NULL, 'Xhonaej', 'Majlinda', 0, 100023, 0, 'N/Infermiere', 'Pediatria', NULL, '48953', NULL, NULL, '49176', NULL, NULL, NULL, NULL, '2007-01-24', '09:53:58', '', 'Add 2007-01-24 09:53:th admin\n', '', '2007-01-24 09:53:58', 'admin', '2007-01-24 09:53:58');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (24, NULL, 'Selimi', 'Vaide', 0, 100024, 0, 'Infermiere', 'Pediatria', NULL, '48953', NULL, NULL, '51334', NULL, NULL, NULL, NULL, '2007-01-24', '09:55:44', '', 'Add 2007-01-24 09:55:th admin\n', '', '2007-01-24 09:55:44', 'admin', '2007-01-24 09:55:44');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (25, NULL, 'Dervishi', 'Ardiana', 0, 100025, 0, 'N/Infermiere', 'Pediatria', NULL, '48953', NULL, NULL, '46955', '0682651848', NULL, NULL, NULL, '2007-01-24', '09:57:53', '', 'Add 2007-01-24 09:57:th admin\n', '', '2007-01-24 09:57:53', 'admin', '2007-01-24 09:57:53');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (26, NULL, 'Kavaja', 'Zenepe', 0, 100026, 0, 'Infermiere', 'Pediatria', NULL, '48953', NULL, NULL, '51177', '0692125584', NULL, NULL, NULL, '2007-01-24', '09:59:14', '', 'Add 2007-01-24 09:59:th admin\n', '', '2007-01-24 09:59:14', 'admin', '2007-01-24 09:59:14');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (27, NULL, 'Goxha', 'Lindita', 0, 100027, 0, 'N/Infermiere', 'Pediatria', NULL, '48953', NULL, NULL, NULL, '0682793899', NULL, NULL, NULL, '2007-01-24', '10:00:34', '', 'Add 2007-01-24 10:00:th admin\n', '', '2007-01-24 10:00:34', 'admin', '2007-01-24 10:00:34');
INSERT INTO `care_phone` (`item_nr`, `title`, `name`, `vorname`, `pid`, `personell_nr`, `dept_nr`, `beruf`, `bereich1`, `bereich2`, `inphone1`, `inphone2`, `inphone3`, `exphone1`, `exphone2`, `funk1`, `funk2`, `roomnr`, `date`, `time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (28, NULL, 'Selmani', 'Safet', 0, 100028, 0, 'Infermiere', 'Pediatria', NULL, '48953', NULL, NULL, NULL, '0692710961', NULL, NULL, NULL, '2007-01-24', '10:01:52', '', 'Add 2007-01-24 10:01:th admin\n', '', '2007-01-24 10:01:52', 'admin', '2007-01-24 10:01:52');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_pregnancy`
-- 

CREATE TABLE `care_pregnancy` (
  `nr` int(10) unsigned NOT NULL auto_increment,
  `encounter_nr` int(11) unsigned NOT NULL default '0',
  `this_pregnancy_nr` int(11) unsigned NOT NULL default '0',
  `delivery_date` date NOT NULL default '0000-00-00',
  `delivery_time` time NOT NULL default '00:00:00',
  `gravida` tinyint(2) unsigned default NULL,
  `para` tinyint(2) unsigned default NULL,
  `pregnancy_gestational_age` tinyint(2) unsigned default NULL,
  `nr_of_fetuses` tinyint(2) unsigned default NULL,
  `child_encounter_nr` varchar(255) collate latin1_general_ci NOT NULL,
  `is_booked` tinyint(1) NOT NULL default '0',
  `vdrl` char(1) collate latin1_general_ci default NULL,
  `rh` tinyint(1) default NULL,
  `delivery_mode` tinyint(2) NOT NULL default '0',
  `delivery_by` varchar(60) collate latin1_general_ci default NULL,
  `bp_systolic_high` smallint(4) unsigned default NULL,
  `bp_diastolic_high` smallint(4) unsigned default NULL,
  `proteinuria` tinyint(1) default NULL,
  `labour_duration` smallint(3) unsigned default NULL,
  `induction_method` tinyint(2) NOT NULL default '0',
  `induction_indication` varchar(125) collate latin1_general_ci default NULL,
  `anaesth_type_nr` tinyint(2) NOT NULL default '0',
  `is_epidural` char(1) collate latin1_general_ci default NULL,
  `complications` varchar(255) collate latin1_general_ci default NULL,
  `perineum` tinyint(2) NOT NULL default '0',
  `blood_loss` float(8,2) unsigned default NULL,
  `blood_loss_unit` varchar(10) collate latin1_general_ci default NULL,
  `is_retained_placenta` char(1) collate latin1_general_ci NOT NULL,
  `post_labour_condition` varchar(35) collate latin1_general_ci default NULL,
  `outcome` varchar(35) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`,`encounter_nr`),
  KEY `encounter_nr` (`encounter_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `care_pregnancy`
-- 

INSERT INTO `care_pregnancy` (`nr`, `encounter_nr`, `this_pregnancy_nr`, `delivery_date`, `delivery_time`, `gravida`, `para`, `pregnancy_gestational_age`, `nr_of_fetuses`, `child_encounter_nr`, `is_booked`, `vdrl`, `rh`, `delivery_mode`, `delivery_by`, `bp_systolic_high`, `bp_diastolic_high`, `proteinuria`, `labour_duration`, `induction_method`, `induction_indication`, `anaesth_type_nr`, `is_epidural`, `complications`, `perineum`, `blood_loss`, `blood_loss_unit`, `is_retained_placenta`, `post_labour_condition`, `outcome`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 2007000355, 1, '2007-10-06', '12:13:00', 1, 1, 12, 1, '', 1, '', 0, 1, NULL, 0, 0, 0, 0, 1, '', 1, NULL, '', 1, 0.00, 'ml', '0', '', '1', '', 'Create 2007-10-06 19:43:45 admin\n', 'admin', '2007-10-06 19:43:45', 'admin', '2007-10-06 19:43:45');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_registry`
-- 

CREATE TABLE `care_registry` (
  `registry_id` varchar(35) collate latin1_general_ci NOT NULL,
  `module_start_script` varchar(60) collate latin1_general_ci NOT NULL,
  `news_start_script` varchar(60) collate latin1_general_ci NOT NULL,
  `news_editor_script` varchar(255) collate latin1_general_ci NOT NULL,
  `news_reader_script` varchar(255) collate latin1_general_ci NOT NULL,
  `passcheck_script` varchar(255) collate latin1_general_ci NOT NULL,
  `composite` text collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`registry_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_registry`
-- 

INSERT INTO `care_registry` (`registry_id`, `module_start_script`, `news_start_script`, `news_editor_script`, `news_reader_script`, `passcheck_script`, `composite`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('admission_module', 'modules/admission/aufnahme_start.php', '', '', '', 'modules/admission/aufnahme_pass.php', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_registry` (`registry_id`, `module_start_script`, `news_start_script`, `news_editor_script`, `news_reader_script`, `passcheck_script`, `composite`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('amb', 'modules/ambulatory/ambulatory.php', 'modules/news/newscolumns.php', '', '', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_registry` (`registry_id`, `module_start_script`, `news_start_script`, `news_editor_script`, `news_reader_script`, `passcheck_script`, `composite`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('cafe', 'modules/cafeteria/cafenews.php', 'modules/cafeteria/cafenews.php', 'modules/cafenews/cafenews-edit.php', 'modules/cafenews/cafenews-read.php', 'modules/cafenews/cafenews-edit-pass.php', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_registry` (`registry_id`, `module_start_script`, `news_start_script`, `news_editor_script`, `news_reader_script`, `passcheck_script`, `composite`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('dept', 'modules/news/departments.php', 'modules/news/newscolumns.php', '', '', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_registry` (`registry_id`, `module_start_script`, `news_start_script`, `news_editor_script`, `news_reader_script`, `passcheck_script`, `composite`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('doctors', 'modules/doctors/doctors.php', 'modules/news/newscolumns.php', '', '', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_registry` (`registry_id`, `module_start_script`, `news_start_script`, `news_editor_script`, `news_reader_script`, `passcheck_script`, `composite`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('edp', 'modules/admin/edv.php', 'modules/news/newscolumns.php', '', '', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_registry` (`registry_id`, `module_start_script`, `news_start_script`, `news_editor_script`, `news_reader_script`, `passcheck_script`, `composite`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('it', 'modules/system_admin/edv.php', 'modules/news/newscolumns.php', 'modules/news/editor-4plus1-select-art.php', 'modules/news/editor-4plus1-read.php', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_registry` (`registry_id`, `module_start_script`, `news_start_script`, `news_editor_script`, `news_reader_script`, `passcheck_script`, `composite`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('main_start', 'modules/news/start_page.php', 'modules/news/start_page.php', 'modules/news/headline-edit-select-art.php', 'modules/news/headline-read.php', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_registry` (`registry_id`, `module_start_script`, `news_start_script`, `news_editor_script`, `news_reader_script`, `passcheck_script`, `composite`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('nursing', 'modules/nursing/pflege.php', 'modules/news/newscolumns.php', '', '', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_registry` (`registry_id`, `module_start_script`, `news_start_script`, `news_editor_script`, `news_reader_script`, `passcheck_script`, `composite`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('pharmacy', 'modules/pharmacy/apotheke.php', 'modules/news/newscolumns.php', '', '', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_registry` (`registry_id`, `module_start_script`, `news_start_script`, `news_editor_script`, `news_reader_script`, `passcheck_script`, `composite`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('pr', 'modules/news/start_page.php', 'modules/news/start_page.php', 'modules/news/headline-edit.php', 'modules/news/headline-read.php', 'modules/news/editor-pass.php', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_registry` (`registry_id`, `module_start_script`, `news_start_script`, `news_editor_script`, `news_reader_script`, `passcheck_script`, `composite`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('radiology', 'modules/radiology/radiolog.php', 'modules/news/newscolumns.php', '', '', '', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_role_person`
-- 

CREATE TABLE `care_role_person` (
  `nr` smallint(5) unsigned NOT NULL auto_increment,
  `group_nr` tinyint(3) unsigned NOT NULL default '0',
  `role` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`,`group_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=18 ;

-- 
-- Dumping data for table `care_role_person`
-- 

INSERT INTO `care_role_person` (`nr`, `group_nr`, `role`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 3, 'contact', 'Contact person', 'LDContactPerson', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_role_person` (`nr`, `group_nr`, `role`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 3, 'guarantor', 'Guarantor', 'LDGuarantor', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_role_person` (`nr`, `group_nr`, `role`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 3, 'doctor_att', 'Attending doctor', 'LDAttDoctor', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_role_person` (`nr`, `group_nr`, `role`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 3, 'supervisor', 'Supervisor', 'LDSupervisor', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_role_person` (`nr`, `group_nr`, `role`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 3, 'doctor_admit', 'Admitting doctor', 'LDAdmittingDoctor', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_role_person` (`nr`, `group_nr`, `role`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 3, 'doctor_consult', 'Consulting doctor', 'LDConsultingDoctor', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_role_person` (`nr`, `group_nr`, `role`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (7, 4, 'surgeon', 'Surgeon', 'LDSurgeon', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_role_person` (`nr`, `group_nr`, `role`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (8, 4, 'surgeon_asst', 'Assisting surgeon', 'LDAssistingSurgeon', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_role_person` (`nr`, `group_nr`, `role`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (9, 4, 'nurse_scrub', 'Scrub nurse', 'LDScrubNurse', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_role_person` (`nr`, `group_nr`, `role`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10, 4, 'nurse_rotating', 'Rotating nurse', 'LDRotatingNurse', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_role_person` (`nr`, `group_nr`, `role`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (11, 4, 'nurse_anesthesia', 'Anesthesia nurse', 'LDAnesthesiaNurse', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_role_person` (`nr`, `group_nr`, `role`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (12, 4, 'anesthesiologist', 'Anesthesiologist', 'LDAnesthesiologist', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_role_person` (`nr`, `group_nr`, `role`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (13, 4, 'anesthesiologist_asst', 'Assisting anesthesiologist', 'LDAssistingAnesthesiologist', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_role_person` (`nr`, `group_nr`, `role`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (14, 0, 'nurse_on_call', 'Nurse On Call', 'LDNurseOnCall', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_role_person` (`nr`, `group_nr`, `role`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (15, 0, 'doctor_on_call', 'Doctor On Call', 'LDDoctorOnCall', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_role_person` (`nr`, `group_nr`, `role`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (16, 0, 'nurse', 'Nurse', 'LDNurse', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_role_person` (`nr`, `group_nr`, `role`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (17, 0, 'doctor', 'Doctor', 'LDDoctor', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_room`
-- 

CREATE TABLE `care_room` (
  `nr` int(8) unsigned NOT NULL auto_increment,
  `type_nr` tinyint(3) unsigned NOT NULL default '0',
  `date_create` date NOT NULL default '0000-00-00',
  `date_close` date NOT NULL default '0000-00-00',
  `is_temp_closed` tinyint(1) default '0',
  `room_nr` smallint(5) unsigned NOT NULL default '0',
  `ward_nr` smallint(5) unsigned NOT NULL default '0',
  `dept_nr` smallint(5) unsigned NOT NULL default '0',
  `nr_of_beds` tinyint(3) unsigned NOT NULL default '1',
  `closed_beds` varchar(255) collate latin1_general_ci NOT NULL,
  `info` varchar(60) collate latin1_general_ci default NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`,`type_nr`,`ward_nr`,`dept_nr`),
  KEY `room_nr` (`room_nr`),
  KEY `ward_nr` (`ward_nr`),
  KEY `dept_nr` (`dept_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=109 ;

-- 
-- Dumping data for table `care_room`
-- 

INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (47, 1, '2006-12-18', '0000-00-00', 0, 1, 3, 0, 4, '', 'Trajtim i semundjeve me IAM, SIZ, HTA', '', 'Created: 2006-12-18 13:21:02 admin\n', '', '2006-12-18 13:21:02', 'admin', '2006-12-18 13:21:02');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (48, 1, '2006-12-18', '0000-00-00', 0, 2, 3, 0, 4, '', 'Trajtim i semundjeve me IAM, SIZ, HTA', '', 'Created: 2006-12-18 13:21:02 admin\n', '', '2006-12-18 13:21:02', 'admin', '2006-12-18 13:21:02');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (49, 1, '2006-12-18', '0000-00-00', 0, 3, 3, 0, 4, '', 'Trajtim i semundjeve me IAM, SIZ, HTA', '', 'Created: 2006-12-18 13:21:02 admin\n', '', '2006-12-18 13:21:02', 'admin', '2006-12-18 13:21:02');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (50, 1, '2006-12-18', '0000-00-00', 0, 4, 3, 0, 4, '', 'Trajtim i semundjeve me IAM, SIZ, HTA', '', 'Created: 2006-12-18 13:21:02 admin\n', '', '2006-12-18 13:21:02', 'admin', '2006-12-18 13:21:02');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (51, 1, '2006-12-18', '0000-00-00', 0, 5, 3, 0, 4, '', 'Trajtim i semundjeve me IAM, SIZ, HTA', '', 'Created: 2006-12-18 13:21:02 admin\n', '', '2006-12-18 13:21:02', 'admin', '2006-12-18 13:21:02');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (52, 1, '2006-12-18', '0000-00-00', 0, 6, 3, 0, 3, '', 'Trajtim i semundjeve me nefropati te ndryshma', '', 'Created: 2006-12-18 13:21:02 admin\n', '', '2006-12-18 13:21:02', 'admin', '2006-12-18 13:21:02');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (53, 1, '2006-12-18', '0000-00-00', 0, 7, 3, 0, 4, '', 'Trajtim i semundjeve me nefropati te ndryshma', '', 'Created: 2006-12-18 13:21:02 admin\n', '', '2006-12-18 13:21:02', 'admin', '2006-12-18 13:21:02');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (54, 1, '2006-12-18', '0000-00-00', 0, 8, 3, 0, 3, '', 'Ranimi urgjent i te semureve me patollogji te ndryshme', '', 'Created: 2006-12-18 13:21:02 admin\n', '', '2006-12-18 13:21:02', 'admin', '2006-12-18 13:21:02');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (55, 1, '2006-12-18', '0000-00-00', 0, 9, 3, 0, 3, '', 'Ranimi urgjent i te semureve me patollogji te ndryshme', '', 'Created: 2006-12-18 13:21:02 admin\n', '', '2006-12-18 13:21:02', 'admin', '2006-12-18 13:21:02');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (56, 1, '2006-12-18', '0000-00-00', 0, 10, 3, 0, 3, '', 'Trajtimi i te semureve me probleme renale', '', 'Created: 2006-12-18 13:21:02 admin\n', '', '2006-12-18 13:21:02', 'admin', '2006-12-18 13:21:02');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (57, 1, '2006-12-18', '0000-00-00', 0, 11, 3, 0, 4, '', 'Trajtimi i te semureve me probleme renale', '', 'Created: 2006-12-18 13:21:02 admin\n', '', '2006-12-18 13:21:02', 'admin', '2006-12-18 13:21:02');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (58, 1, '2006-12-18', '0000-00-00', 0, 12, 3, 0, 3, '', 'Trajtimi i te semureve me Diabet M. dhe endokrin', '', 'Created: 2006-12-18 13:21:02 admin\n', '', '2006-12-18 13:21:02', 'admin', '2006-12-18 13:21:02');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (59, 1, '2006-12-18', '0000-00-00', 0, 13, 3, 0, 4, '', 'Trajtimi i te semureve me Diabet M. dhe endokrin', '', 'Created: 2006-12-18 13:21:02 admin\n', '', '2006-12-18 13:21:02', 'admin', '2006-12-18 13:21:02');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (60, 1, '2006-12-18', '0000-00-00', 0, 14, 3, 0, 4, '', 'Trajtimi i semundjeve te ndryshme te gjakut', '', 'Created: 2006-12-18 13:21:02 admin\n', '', '2006-12-18 13:21:02', 'admin', '2006-12-18 13:21:02');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (61, 1, '2006-12-18', '0000-00-00', 0, 15, 3, 0, 3, '', 'Trajtimi i semundjeve te ndryshme reumatizmale ', '', 'Created: 2006-12-18 13:21:02 admin\n', '', '2006-12-18 13:21:02', 'admin', '2006-12-18 13:21:02');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (62, 1, '2006-12-18', '0000-00-00', 0, 16, 3, 0, 2, '', 'Trajtimi i semundjeve me probleme stomake, melqi, zorre', '', 'Created: 2006-12-18 13:21:02 admin\n', '', '2006-12-18 13:21:02', 'admin', '2006-12-18 13:21:02');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (63, 1, '2006-12-18', '0000-00-00', 0, 17, 3, 0, 2, '', 'Trajtimi i semundjeve me probleme stomake, melqi, zorre', '', 'Created: 2006-12-18 13:21:02 admin\n', '', '2006-12-18 13:21:02', 'admin', '2006-12-18 13:21:02');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (64, 1, '2006-12-20', '0000-00-00', 0, 1, 4, 0, 2, '', ' ', '', 'Created: 2006-12-20 12:47:38 admin\n', '', '2006-12-20 12:47:38', 'admin', '2006-12-20 12:47:38');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (65, 1, '2006-12-20', '0000-00-00', 0, 2, 4, 0, 2, '', ' ', '', 'Created: 2006-12-20 12:47:38 admin\n', '', '2006-12-20 12:47:38', 'admin', '2006-12-20 12:47:38');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (66, 1, '2006-12-20', '0000-00-00', 0, 3, 4, 0, 2, '', ' ', '', 'Created: 2006-12-20 12:47:38 admin\n', '', '2006-12-20 12:47:38', 'admin', '2006-12-20 12:47:38');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (67, 1, '2006-12-20', '0000-00-00', 0, 4, 4, 0, 2, '', ' ', '', 'Created: 2006-12-20 12:47:38 admin\n', '', '2006-12-20 12:47:38', 'admin', '2006-12-20 12:47:38');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (68, 1, '2006-12-20', '0000-00-00', 0, 5, 4, 0, 2, '', ' ', '', 'Created: 2006-12-20 12:47:38 admin\n', '', '2006-12-20 12:47:38', 'admin', '2006-12-20 12:47:38');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (69, 1, '2006-12-20', '0000-00-00', 0, 6, 4, 0, 2, '', ' ', '', 'Created: 2006-12-20 12:47:38 admin\n', '', '2006-12-20 12:47:38', 'admin', '2006-12-20 12:47:38');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (70, 1, '2006-12-20', '0000-00-00', 0, 7, 4, 0, 2, '', ' ', '', 'Created: 2006-12-20 12:47:38 admin\n', '', '2006-12-20 12:47:38', 'admin', '2006-12-20 12:47:38');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (71, 1, '2006-12-20', '0000-00-00', 0, 8, 4, 0, 2, '', ' ', '', 'Created: 2006-12-20 12:47:38 admin\n', '', '2006-12-20 12:47:38', 'admin', '2006-12-20 12:47:38');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (72, 1, '2006-12-20', '0000-00-00', 0, 9, 4, 0, 2, '', ' ', '', 'Created: 2006-12-20 12:47:38 admin\n', '', '2006-12-20 12:47:38', 'admin', '2006-12-20 12:47:38');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (73, 1, '2006-12-20', '0000-00-00', 0, 10, 4, 0, 2, '', ' ', '', 'Created: 2006-12-20 12:47:38 admin\n', '', '2006-12-20 12:47:38', 'admin', '2006-12-20 12:47:38');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (74, 1, '2006-12-20', '0000-00-00', 0, 11, 4, 0, 2, '', ' ', '', 'Created: 2006-12-20 12:47:38 admin\n', '', '2006-12-20 12:47:38', 'admin', '2006-12-20 12:47:38');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (75, 1, '2006-12-20', '0000-00-00', 0, 12, 4, 0, 2, '', ' ', '', 'Created: 2006-12-20 12:47:38 admin\n', '', '2006-12-20 12:47:38', 'admin', '2006-12-20 12:47:38');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (76, 1, '2006-12-20', '0000-00-00', 0, 13, 4, 0, 2, '', ' ', '', 'Created: 2006-12-20 12:47:38 admin\n', '', '2006-12-20 12:47:38', 'admin', '2006-12-20 12:47:38');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (77, 1, '2006-12-20', '0000-00-00', 0, 14, 4, 0, 2, '', ' ', '', 'Created: 2006-12-20 12:47:38 admin\n', '', '2006-12-20 12:47:38', 'admin', '2006-12-20 12:47:38');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (78, 1, '2006-12-20', '0000-00-00', 0, 15, 4, 0, 2, '', ' ', '', 'Created: 2006-12-20 12:47:38 admin\n', '', '2006-12-20 12:47:38', 'admin', '2006-12-20 12:47:38');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (79, 1, '2006-12-20', '0000-00-00', 0, 16, 4, 0, 2, '', ' ', '', 'Created: 2006-12-20 12:47:38 admin\n', '', '2006-12-20 12:47:38', 'admin', '2006-12-20 12:47:38');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (80, 1, '2006-12-20', '0000-00-00', 0, 17, 4, 0, 2, '', ' ', '', 'Created: 2006-12-20 12:47:38 admin\n', '', '2006-12-20 12:47:38', 'admin', '2006-12-20 12:47:38');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (81, 1, '2006-12-20', '0000-00-00', 0, 18, 4, 0, 2, '', ' ', '', 'Created: 2006-12-20 12:47:38 admin\n', '', '2006-12-20 12:47:38', 'admin', '2006-12-20 12:47:38');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (82, 1, '2006-12-20', '0000-00-00', 0, 19, 4, 0, 2, '', ' ', '', 'Created: 2006-12-20 12:47:38 admin\n', '', '2006-12-20 12:47:38', 'admin', '2006-12-20 12:47:38');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (83, 1, '2006-12-27', '0000-00-00', 0, 1, 6, 0, 5, '', 'Ped. e pergjithshme,+ nefro+gastro+pneumo', '', 'Created: 2006-12-27 11:26:01 admin\n', '', '2006-12-27 11:26:01', 'admin', '2006-12-27 11:26:01');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (84, 1, '2006-12-27', '0000-00-00', 0, 2, 6, 0, 5, '', 'Ped. e pergjithshme,+ nefro+gastro+pneumo', '', 'Created: 2006-12-27 11:26:01 admin\n', '', '2006-12-27 11:26:01', 'admin', '2006-12-27 11:26:01');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (85, 1, '2006-12-27', '0000-00-00', 0, 3, 6, 0, 5, '', 'Ped. e pergjithshme,+ nefro+gastro+pneumo', '', 'Created: 2006-12-27 11:26:01 admin\n', '', '2006-12-27 11:26:01', 'admin', '2006-12-27 11:26:01');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (86, 1, '2006-12-27', '0000-00-00', 0, 4, 6, 0, 5, '', 'Ped. e pergjithshme,+ nefro+gastro+pneumo', '', 'Created: 2006-12-27 11:26:01 admin\n', '', '2006-12-27 11:26:01', 'admin', '2006-12-27 11:26:01');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (87, 1, '2006-12-27', '0000-00-00', 0, 5, 6, 0, 5, '', 'Ped. e pergjithshme,+ nefro+gastro+pneumo', '', 'Created: 2006-12-27 11:26:01 admin\n', '', '2006-12-27 11:26:01', 'admin', '2006-12-27 11:26:01');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (88, 1, '2006-12-27', '0000-00-00', 0, 6, 6, 0, 6, '', 'Ped. e pergjithshme,+ nefro+gastro+pneumo', '', 'Created: 2006-12-27 11:26:01 admin\n', '', '2007-01-12 13:36:49', 'admin', '2006-12-27 11:26:01');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (89, 1, '2006-12-27', '0000-00-00', 0, 7, 6, 0, 6, '', 'Ped. e pergjithshme,+ nefro+gastro+pneumo', '', 'Created: 2006-12-27 11:26:01 admin\n', '', '2006-12-27 11:26:01', 'admin', '2006-12-27 11:26:01');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (90, 1, '2006-12-27', '0000-00-00', 0, 8, 6, 0, 6, '', 'Ped. e pergjithshme,+ nefro+gastro+pneumo', '', 'Created: 2006-12-27 11:26:01 admin\n', '', '2006-12-27 11:26:01', 'admin', '2006-12-27 11:26:01');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (91, 1, '2006-12-27', '0000-00-00', 0, 9, 6, 0, 6, '', 'Ped. e pergjithshme,+ nefro+gastro+pneumo', '', 'Created: 2006-12-27 11:26:01 admin\n', '', '2006-12-27 11:26:01', 'admin', '2006-12-27 11:26:01');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (92, 1, '2006-12-27', '0000-00-00', 0, 10, 6, 0, 6, '', 'Ped. e pergjithshme,+ nefro+gastro+pneumo', '', 'Created: 2006-12-27 11:26:01 admin\n', '', '2007-10-30 20:42:32', 'admin', '2006-12-27 11:26:01');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (93, 1, '2006-12-27', '0000-00-00', 0, 11, 6, 0, 3, '', 'Meningjit, Hepatit, Leshmanoze, Fruthi, etj', '', 'Created: 2006-12-27 11:26:01 admin\n', '', '2006-12-27 11:26:01', 'admin', '2006-12-27 11:26:01');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (94, 1, '2006-12-27', '0000-00-00', 0, 12, 6, 0, 3, '', 'Meningjit, Hepatit, Leshmanoze, Fruthi, etj', '', 'Created: 2006-12-27 11:26:01 admin\n', '', '2006-12-27 11:26:01', 'admin', '2006-12-27 11:26:01');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (95, 1, '2006-12-27', '0000-00-00', 0, 13, 6, 0, 3, '', 'Meningjit, Hepatit, Leshmanoze, Fruthi, etj', '', 'Created: 2006-12-27 11:26:01 admin\n', '', '2006-12-27 11:26:01', 'admin', '2006-12-27 11:26:01');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (96, 1, '2006-12-27', '0000-00-00', 0, 14, 6, 0, 2, '', 'Meningjit, Hepatit, Leshmanoze, Fruthi, etj', '', 'Created: 2006-12-27 11:26:01 admin\n', '', '2006-12-27 11:26:01', 'admin', '2006-12-27 11:26:01');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (97, 1, '2006-12-27', '0000-00-00', 0, 15, 6, 0, 2, '', 'Meningjit, Hepatit, Leshmanoze, Fruthi, etj', '', 'Created: 2006-12-27 11:26:01 admin\n', '', '2006-12-27 11:26:01', 'admin', '2006-12-27 11:26:01');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (98, 1, '2006-12-27', '0000-00-00', 0, 16, 6, 0, 2, '', 'Meningjit, Hepatit, Leshmanoze, Fruthi, etj', '', 'Created: 2006-12-27 11:26:01 admin\n', '', '2006-12-27 11:26:01', 'admin', '2006-12-27 11:26:01');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (99, 1, '2006-12-27', '0000-00-00', 0, 17, 6, 0, 10, '', 'InsufiÃ§ence Resp. Kardiake, Toksikoza. etj.', '', 'Created: 2006-12-27 11:26:01 admin\n', '', '2006-12-27 11:26:01', 'admin', '2006-12-27 11:26:01');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (100, 1, '2006-12-27', '0000-00-00', 0, 18, 6, 0, 2, '', 'Intoksikacione, Diare akute, Temp.L.Konv.Febr', '', 'Created: 2006-12-27 11:26:01 admin\n', '', '2006-12-27 11:26:01', 'admin', '2006-12-27 11:26:01');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (101, 1, '2006-12-27', '0000-00-00', 0, 19, 6, 0, 7, '', 'Intoksikacione, Diare akute, Temp.L.Konv.Febr', '', 'Created: 2006-12-27 11:26:01 admin\n', '', '2006-12-27 11:26:01', 'admin', '2006-12-27 11:26:01');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (102, 2, '2007-08-22', '0000-00-00', 0, 1, 6, 56, 1, '', 'kot', '', 'Create: 2007-08-22 16:05:37 admin name=kot: bed=1: ward=6: dept=56: closed=0\n', '', '2007-08-22 16:05:37', 'admin', '2007-08-22 16:05:37');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (103, 1, '2007-08-29', '0000-00-00', 0, 12, 7, 0, 3, '', 'Meningjit...', '', 'Created: 2007-08-29 18:46:12 admin\n', '', '2007-08-29 18:46:12', 'admin', '2007-08-29 18:46:12');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (104, 1, '2007-08-29', '0000-00-00', 0, 13, 7, 0, 3, '', ' ', '', 'Created: 2007-08-29 18:46:12 admin\n', '', '2007-08-29 18:46:12', 'admin', '2007-08-29 18:46:12');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (105, 1, '2007-08-29', '0000-00-00', 0, 14, 7, 0, 3, '', ' ', '', 'Created: 2007-08-29 18:46:12 admin\n', '', '2007-08-29 18:46:12', 'admin', '2007-08-29 18:46:12');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (106, 1, '2007-08-29', '0000-00-00', 0, 15, 7, 0, 2, '', ' ', '', 'Created: 2007-08-29 18:46:12 admin\n', '', '2007-08-29 18:46:12', 'admin', '2007-08-29 18:46:12');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (107, 1, '2007-08-29', '0000-00-00', 0, 16, 7, 0, 2, '', ' ', '', 'Created: 2007-08-29 18:46:12 admin\n', '', '2007-08-29 18:46:12', 'admin', '2007-08-29 18:46:12');
INSERT INTO `care_room` (`nr`, `type_nr`, `date_create`, `date_close`, `is_temp_closed`, `room_nr`, `ward_nr`, `dept_nr`, `nr_of_beds`, `closed_beds`, `info`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (108, 1, '2007-08-29', '0000-00-00', 0, 17, 7, 0, 2, '', ' ', '', 'Created: 2007-08-29 18:46:12 admin\n', '', '2007-08-29 18:46:12', 'admin', '2007-08-29 18:46:12');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_sessions`
-- 

CREATE TABLE `care_sessions` (
  `SESSKEY` varchar(32) collate latin1_general_ci NOT NULL,
  `EXPIRY` int(11) unsigned NOT NULL default '0',
  `expireref` varchar(64) collate latin1_general_ci NOT NULL,
  `DATA` text collate latin1_general_ci NOT NULL,
  PRIMARY KEY  (`SESSKEY`),
  KEY `EXPIRY` (`EXPIRY`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_sessions`
-- 

INSERT INTO `care_sessions` (`SESSKEY`, `EXPIRY`, `expireref`, `DATA`) VALUES ('024c34a4de702aeb60f05135c1151688', 1195939572, '', 'sess_user_name%7Cs%3A5%3A%22admin%22%3Bsess_user_origin%7Cs%3A6%3A%22pharma%22%3Bsess_file_forward%7CN%3Bsess_file_return%7Cs%3A27%3A%22modules%2Fnursing%2Fnursing.php%22%3Bsess_file_break%7Cs%3A27%3A%22modules%2Fnews%2Fstart_page.php%22%3Bsess_path_referer%7Cs%3A29%3A%22modules%2Fpharmacy%2Fapotheke.php%22%3Bsess_dept_nr%7Cs%3A1%3A%221%22%3Bsess_title%7Cs%3A23%3A%22Permbajtja%3A%3ADergo%20lajme%22%3Bsess_lang%7Cs%3A2%3A%22sq%22%3Bsess_user_id%7Cs%3A41%3A%22CFG4704bd3c876d80.55472000%201191492924.cfg%22%3Bsess_cur_page%7CN%3Bsess_searchkey%7CN%3Bsess_tos%7Cs%3A6%3A%22192611%22%3Bsess_news_nr%7CN%3Bsess_file_editor%7Cs%3A28%3A%22headline-edit-select-art.php%22%3Bsess_file_reader%7Cs%3A17%3A%22headline-read.php%22%3Bsess_login_userid%7Cs%3A0%3A%22%22%3Bsess_login_username%7Cs%3A0%3A%22%22%3Bsess_login_pw%7Cs%3A0%3A%22%22%3Bdepartment_nr%7Cs%3A0%3A%22%22%3Bsess_parent_mod%7Cs%3A0%3A%22%22%3Bcurrent_order%7Ca%3A1%3A%7Bi%3A0%3Ba%3A13%3A%7Bs%3A3%3A%22sid%22%3Bs%3A32%3A%22024c34a4de702aeb60f05135c1151688%22%3Bs%3A4%3A%22lang%22%3Bs%3A2%3A%22sq%22%3Bs%3A6%3A%22userck%22%3Bs%3A18%3A%22ck_prod_order_user%22%3Bs%3A7%3A%22dept_nr%22%3Bs%3A2%3A%2256%22%3Bs%3A8%3A%22order_nr%22%3Bs%3A0%3A%22%22%3Bs%3A4%3A%22mode%22%3Bs%3A3%3A%22add%22%3Bs%3A3%3A%22cat%22%3Bs%3A8%3A%22medlager%22%3Bs%3A8%3A%22maxcount%22%3Bs%3A1%3A%221%22%3Bs%3A6%3A%22order1%22%3Bs%3A1%3A%221%22%3Bs%3A11%3A%22bestellnum1%22%3Bs%3A1%3A%221%22%3Bs%3A2%3A%22p1%22%3Bs%3A1%3A%225%22%3Bs%3A6%3A%22idsub1%22%3Bs%3A1%3A%221%22%3Bs%3A4%3A%22art1%22%3Bs%3A5%3A%22med_a%22%3B%7D%7D');
INSERT INTO `care_sessions` (`SESSKEY`, `EXPIRY`, `expireref`, `DATA`) VALUES ('eff2be9f3fbf9b18f042312994bda5ff', 1196086817, '', 'sess_user_name%7Cs%3A7%3A%22default%22%3Bsess_user_origin%7Cs%3A10%3A%22main_start%22%3Bsess_file_forward%7CN%3Bsess_file_return%7Cs%3A27%3A%22modules%2Fnews%2Fstart_page.php%22%3Bsess_file_break%7Cs%3A27%3A%22modules%2Fnews%2Fstart_page.php%22%3Bsess_path_referer%7Cs%3A27%3A%22modules%2Fnews%2Fstart_page.php%22%3Bsess_dept_nr%7Cs%3A1%3A%221%22%3Bsess_title%7Cs%3A23%3A%22Permbajtja%3A%3ADergo%20lajme%22%3Bsess_lang%7Cs%3A2%3A%22sq%22%3Bsess_user_id%7Cs%3A41%3A%22CFG4704bd3c876d80.55472000%201191492924.cfg%22%3Bsess_cur_page%7CN%3Bsess_searchkey%7CN%3Bsess_tos%7Cs%3A6%3A%22122016%22%3Bsess_news_nr%7CN%3Bsess_file_editor%7Cs%3A28%3A%22headline-edit-select-art.php%22%3Bsess_file_reader%7Cs%3A17%3A%22headline-read.php%22%3Bsess_login_userid%7Cs%3A5%3A%22admin%22%3Bsess_login_username%7Cs%3A5%3A%22admin%22%3Bsess_login_pw%7Cs%3A17%3A%22hzgAAA%3D%3D%23L44fSp0%3D%22%3Bdepartment_nr%7Cb%3A0%3B');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_standby_duty_report`
-- 

CREATE TABLE `care_standby_duty_report` (
  `report_nr` int(11) NOT NULL auto_increment,
  `dept` varchar(15) collate latin1_general_ci NOT NULL,
  `date` date NOT NULL default '0000-00-00',
  `standby_name` varchar(35) collate latin1_general_ci NOT NULL,
  `standby_start` time NOT NULL default '00:00:00',
  `standby_end` time NOT NULL default '00:00:00',
  `oncall_name` varchar(35) collate latin1_general_ci NOT NULL,
  `oncall_start` time NOT NULL default '00:00:00',
  `oncall_end` time NOT NULL default '00:00:00',
  `op_room` char(2) collate latin1_general_ci NOT NULL,
  `diagnosis_therapy` text collate latin1_general_ci NOT NULL,
  `encoding` text collate latin1_general_ci NOT NULL,
  `status` varchar(20) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`report_nr`),
  KEY `report_nr` (`report_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_standby_duty_report`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_steri_products_main`
-- 

CREATE TABLE `care_steri_products_main` (
  `bestellnum` int(15) unsigned NOT NULL default '0',
  `containernum` varchar(15) collate latin1_general_ci NOT NULL,
  `industrynum` tinytext collate latin1_general_ci NOT NULL,
  `containername` varchar(40) collate latin1_general_ci NOT NULL,
  `description` text collate latin1_general_ci NOT NULL,
  `packing` tinytext collate latin1_general_ci NOT NULL,
  `minorder` int(4) unsigned NOT NULL default '0',
  `maxorder` int(4) unsigned NOT NULL default '0',
  `proorder` tinytext collate latin1_general_ci NOT NULL,
  `picfile` tinytext collate latin1_general_ci NOT NULL,
  `encoder` tinytext collate latin1_general_ci NOT NULL,
  `enc_date` tinytext collate latin1_general_ci NOT NULL,
  `enc_time` tinytext collate latin1_general_ci NOT NULL,
  `lock_flag` tinyint(1) NOT NULL default '0',
  `medgroup` text collate latin1_general_ci NOT NULL,
  `cave` tinytext collate latin1_general_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_steri_products_main`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_target_test`
-- 

CREATE TABLE `care_target_test` (
  `nr` varchar(20) collate latin1_general_ci NOT NULL,
  `encounter_nr` varchar(20) collate latin1_general_ci NOT NULL,
  `personell_nr` varchar(20) collate latin1_general_ci NOT NULL,
  `personell_name` varchar(255) collate latin1_general_ci default NULL,
  `location_id` varchar(20) collate latin1_general_ci NOT NULL,
  `history` varchar(255) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(255) collate latin1_general_ci NOT NULL,
  `modify_time` varchar(255) collate latin1_general_ci NOT NULL,
  `create_id` varchar(255) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `tipo_costituzionale` varchar(255) collate latin1_general_ci default NULL,
  `condizioni_generali` varchar(255) collate latin1_general_ci default NULL,
  `stato_nutrizione` varchar(255) collate latin1_general_ci default NULL,
  `decubito` varchar(255) collate latin1_general_ci default NULL,
  `psiche` varchar(255) collate latin1_general_ci default NULL,
  `cute` varchar(255) collate latin1_general_ci default NULL,
  `descrizione_mucose` varchar(255) collate latin1_general_ci default NULL,
  `annessi_cutanei` varchar(255) collate latin1_general_ci default NULL,
  `edemi` varchar(255) collate latin1_general_ci default NULL,
  `sottocutaneo_descrizione` varchar(255) collate latin1_general_ci default NULL,
  `temperatura` varchar(255) collate latin1_general_ci default NULL,
  `polso_battiti` varchar(255) collate latin1_general_ci default NULL,
  `polso` varchar(255) collate latin1_general_ci default NULL,
  `pressione_max` varchar(255) collate latin1_general_ci default NULL,
  `pressione_min` varchar(255) collate latin1_general_ci default NULL,
  `linfoghiandolare_descrizione` varchar(255) collate latin1_general_ci default NULL,
  `capo_descrizione` varchar(255) collate latin1_general_ci default NULL,
  `globi_oculari` varchar(255) collate latin1_general_ci default NULL,
  `sclere_descrizione` varchar(255) collate latin1_general_ci default NULL,
  `pupille` varchar(255) collate latin1_general_ci default NULL,
  `riflesso_corneale` varchar(255) collate latin1_general_ci default NULL,
  `orecchie` varchar(255) collate latin1_general_ci default NULL,
  `naso` varchar(255) collate latin1_general_ci default NULL,
  `cavo_orofaringeo` varchar(255) collate latin1_general_ci default NULL,
  `lingua` varchar(255) collate latin1_general_ci default NULL,
  `dentatura` varchar(255) collate latin1_general_ci default NULL,
  `tonsille` varchar(255) collate latin1_general_ci default NULL,
  `collo_forma` varchar(255) collate latin1_general_ci default NULL,
  `mobilita` varchar(255) collate latin1_general_ci default NULL,
  `atteggiamento` varchar(255) collate latin1_general_ci default NULL,
  `giugulari_turgide` varchar(255) collate latin1_general_ci default NULL,
  `tiroide_normale` varchar(255) collate latin1_general_ci default NULL,
  `collo_descrizione` varchar(255) collate latin1_general_ci default NULL,
  `mammelle` varchar(255) collate latin1_general_ci default NULL,
  `torace_forma` varchar(255) collate latin1_general_ci default NULL,
  `reperti_torace` varchar(255) collate latin1_general_ci default NULL,
  `ispezione_respiratoria` varchar(255) collate latin1_general_ci default NULL,
  `palpazione_respiratoria` varchar(255) collate latin1_general_ci default NULL,
  `percussione_respiratoria` varchar(255) collate latin1_general_ci default NULL,
  `ascoltazione_respiratoria` varchar(255) collate latin1_general_ci default NULL,
  `reperti_respiratoria` varchar(255) collate latin1_general_ci default NULL,
  `fegato_descrizione` varchar(255) collate latin1_general_ci default NULL,
  `epatomegalia` varchar(255) collate latin1_general_ci default NULL,
  `murphy` varchar(255) collate latin1_general_ci default NULL,
  `colecisti_palpabile` varchar(255) collate latin1_general_ci default NULL,
  `reperti_fegato` varchar(255) collate latin1_general_ci default NULL,
  `milza_descrizione` varchar(255) collate latin1_general_ci default NULL,
  `reperti_milza` varchar(255) collate latin1_general_ci default NULL,
  `urogenitale_descrizione` varchar(255) collate latin1_general_ci default NULL,
  `esplorazione_vaginale` varchar(255) collate latin1_general_ci default NULL,
  `reperti_genitale` varchar(255) collate latin1_general_ci default NULL,
  `osteoarticolare_descrizione` varchar(255) collate latin1_general_ci default NULL,
  `muscolare_descrizione` varchar(255) collate latin1_general_ci default NULL,
  `reperti_muscolare` varchar(255) collate latin1_general_ci default NULL,
  `nervoso_descrizione` varchar(255) collate latin1_general_ci default NULL,
  `nervi_cranici` varchar(255) collate latin1_general_ci default NULL,
  `riflessi_superficiali` varchar(255) collate latin1_general_ci default NULL,
  `reperti_nervoso` varchar(255) collate latin1_general_ci default NULL,
  `ispezione_cuore` varchar(255) collate latin1_general_ci default NULL,
  `palpazione_cuore` varchar(255) collate latin1_general_ci default NULL,
  `percussione_cuore` varchar(255) collate latin1_general_ci default NULL,
  `ascoltazione_cuore` varchar(255) collate latin1_general_ci default NULL,
  `reperti_cuore` varchar(255) collate latin1_general_ci default NULL,
  `vasi_periferici_descrizione` varchar(255) collate latin1_general_ci default NULL,
  `arterie` varchar(255) collate latin1_general_ci default NULL,
  `vene` varchar(255) collate latin1_general_ci default NULL,
  `reperti_vasi` varchar(255) collate latin1_general_ci default NULL,
  `addome_descrizione` varchar(255) collate latin1_general_ci default NULL,
  `addome_ispezione` varchar(255) collate latin1_general_ci default NULL,
  `addome_palpazione` varchar(255) collate latin1_general_ci default NULL,
  `addome_percussione` varchar(255) collate latin1_general_ci default NULL,
  `addome_ascoltazione` varchar(255) collate latin1_general_ci default NULL,
  `rettale` varchar(255) collate latin1_general_ci default NULL,
  `reperti_addome` varchar(255) collate latin1_general_ci default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_target_test`
-- 

INSERT INTO `care_target_test` (`nr`, `encounter_nr`, `personell_nr`, `personell_name`, `location_id`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `tipo_costituzionale`, `condizioni_generali`, `stato_nutrizione`, `decubito`, `psiche`, `cute`, `descrizione_mucose`, `annessi_cutanei`, `edemi`, `sottocutaneo_descrizione`, `temperatura`, `polso_battiti`, `polso`, `pressione_max`, `pressione_min`, `linfoghiandolare_descrizione`, `capo_descrizione`, `globi_oculari`, `sclere_descrizione`, `pupille`, `riflesso_corneale`, `orecchie`, `naso`, `cavo_orofaringeo`, `lingua`, `dentatura`, `tonsille`, `collo_forma`, `mobilita`, `atteggiamento`, `giugulari_turgide`, `tiroide_normale`, `collo_descrizione`, `mammelle`, `torace_forma`, `reperti_torace`, `ispezione_respiratoria`, `palpazione_respiratoria`, `percussione_respiratoria`, `ascoltazione_respiratoria`, `reperti_respiratoria`, `fegato_descrizione`, `epatomegalia`, `murphy`, `colecisti_palpabile`, `reperti_fegato`, `milza_descrizione`, `reperti_milza`, `urogenitale_descrizione`, `esplorazione_vaginale`, `reperti_genitale`, `osteoarticolare_descrizione`, `muscolare_descrizione`, `reperti_muscolare`, `nervoso_descrizione`, `nervi_cranici`, `riflessi_superficiali`, `reperti_nervoso`, `ispezione_cuore`, `palpazione_cuore`, `percussione_cuore`, `ascoltazione_cuore`, `reperti_cuore`, `vasi_periferici_descrizione`, `arterie`, `vene`, `reperti_vasi`, `addome_descrizione`, `addome_ispezione`, `addome_palpazione`, `addome_percussione`, `addome_ascoltazione`, `rettale`, `reperti_addome`) VALUES ('', '2007000355', '', 'admin', 'PE-K2', 'Create: 2007-08-06 12-59-51 admin\n\r', '', '', 'admin', '2007-08-06 12:59:51', 'Normotipo', 'Buone', NULL, NULL, NULL, NULL, NULL, NULL, 'Jo', NULL, 'Apiressia', NULL, 'Regolare', NULL, NULL, NULL, NULL, 'Normoprotrusi', NULL, NULL, NULL, NULL, NULL, NULL, 'Ben epitelizzata', NULL, NULL, NULL, NULL, NULL, 'Jo', 'Jo', NULL, NULL, NULL, 'Po', NULL, NULL, NULL, NULL, 'Po', NULL, 'Po', 'Po', 'Po', 'Jo', NULL, 'Po', NULL, NULL, 'Po', NULL, NULL, 'Jo', NULL, NULL, NULL, 'Jo', NULL, NULL, NULL, NULL, 'Po', NULL, NULL, NULL, 'Po', NULL, NULL, NULL, NULL, NULL, NULL, 'Po');
INSERT INTO `care_target_test` (`nr`, `encounter_nr`, `personell_nr`, `personell_name`, `location_id`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `tipo_costituzionale`, `condizioni_generali`, `stato_nutrizione`, `decubito`, `psiche`, `cute`, `descrizione_mucose`, `annessi_cutanei`, `edemi`, `sottocutaneo_descrizione`, `temperatura`, `polso_battiti`, `polso`, `pressione_max`, `pressione_min`, `linfoghiandolare_descrizione`, `capo_descrizione`, `globi_oculari`, `sclere_descrizione`, `pupille`, `riflesso_corneale`, `orecchie`, `naso`, `cavo_orofaringeo`, `lingua`, `dentatura`, `tonsille`, `collo_forma`, `mobilita`, `atteggiamento`, `giugulari_turgide`, `tiroide_normale`, `collo_descrizione`, `mammelle`, `torace_forma`, `reperti_torace`, `ispezione_respiratoria`, `palpazione_respiratoria`, `percussione_respiratoria`, `ascoltazione_respiratoria`, `reperti_respiratoria`, `fegato_descrizione`, `epatomegalia`, `murphy`, `colecisti_palpabile`, `reperti_fegato`, `milza_descrizione`, `reperti_milza`, `urogenitale_descrizione`, `esplorazione_vaginale`, `reperti_genitale`, `osteoarticolare_descrizione`, `muscolare_descrizione`, `reperti_muscolare`, `nervoso_descrizione`, `nervi_cranici`, `riflessi_superficiali`, `reperti_nervoso`, `ispezione_cuore`, `palpazione_cuore`, `percussione_cuore`, `ascoltazione_cuore`, `reperti_cuore`, `vasi_periferici_descrizione`, `arterie`, `vene`, `reperti_vasi`, `addome_descrizione`, `addome_ispezione`, `addome_palpazione`, `addome_percussione`, `addome_ascoltazione`, `rettale`, `reperti_addome`) VALUES ('', '2007000355', '', 'admin', 'Pediatria', 'Create: 2007-08-06 19-42-47 admin\n\r', '', '', 'admin', '2007-08-06 19:42:47', 'Normotipo', 'Buone', 'asdfasdfS', NULL, NULL, NULL, NULL, NULL, 'Jo', NULL, 'Apiressia', NULL, 'Regolare', NULL, NULL, NULL, NULL, 'Normoprotrusi', NULL, NULL, NULL, NULL, NULL, NULL, 'Ben epitelizzata', NULL, NULL, NULL, NULL, NULL, 'Jo', 'Jo', NULL, NULL, NULL, 'Po', NULL, NULL, NULL, NULL, 'Po', NULL, 'Jo', 'Jo', 'Jo', 'Po', NULL, 'Po', NULL, NULL, 'Po', NULL, NULL, 'Po', NULL, NULL, NULL, 'Po', NULL, NULL, NULL, NULL, 'Po', NULL, NULL, NULL, 'Po', NULL, NULL, NULL, NULL, NULL, NULL, 'Po');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_tech_questions`
-- 

CREATE TABLE `care_tech_questions` (
  `batch_nr` int(11) NOT NULL auto_increment,
  `dept` varchar(60) collate latin1_general_ci NOT NULL,
  `query` text collate latin1_general_ci NOT NULL,
  `inquirer` varchar(25) collate latin1_general_ci NOT NULL,
  `tphone` varchar(30) collate latin1_general_ci NOT NULL,
  `tdate` date NOT NULL default '0000-00-00',
  `ttime` time NOT NULL default '00:00:00',
  `tid` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `reply` text collate latin1_general_ci NOT NULL,
  `answered` tinyint(1) NOT NULL default '0',
  `ansby` varchar(25) collate latin1_general_ci NOT NULL,
  `astamp` varchar(16) collate latin1_general_ci NOT NULL,
  `archive` tinyint(1) NOT NULL default '0',
  `status` varchar(15) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`batch_nr`),
  KEY `batch_nr` (`batch_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `care_tech_questions`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `care_tech_repair_done`
-- 

CREATE TABLE `care_tech_repair_done` (
  `batch_nr` int(11) NOT NULL auto_increment,
  `dept` varchar(15) collate latin1_general_ci default NULL,
  `dept_nr` tinyint(3) unsigned NOT NULL default '0',
  `job_id` varchar(15) collate latin1_general_ci NOT NULL default '0',
  `job` text collate latin1_general_ci NOT NULL,
  `reporter` varchar(25) collate latin1_general_ci NOT NULL,
  `id` varchar(15) collate latin1_general_ci NOT NULL,
  `tdate` date NOT NULL default '0000-00-00',
  `ttime` time NOT NULL default '00:00:00',
  `tid` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `seen` tinyint(1) NOT NULL default '0',
  `d_idx` varchar(8) collate latin1_general_ci NOT NULL,
  `status` varchar(15) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`batch_nr`,`dept_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `care_tech_repair_done`
-- 

INSERT INTO `care_tech_repair_done` (`batch_nr`, `dept`, `dept_nr`, `job_id`, `job`, `reporter`, `id`, `tdate`, `ttime`, `tid`, `seen`, `d_idx`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, '1', 0, '1', '1', '1', '1', '2007-08-22', '16:56:15', '2007-08-22 16:56:23', 0, '20070822', 'pending', 'Create 2007-08-22 16:56:23 admin\n', '', '0000-00-00 00:00:00', 'admin', '2007-08-22 16:56:23');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_tech_repair_job`
-- 

CREATE TABLE `care_tech_repair_job` (
  `batch_nr` tinyint(4) NOT NULL auto_increment,
  `dept` varchar(15) collate latin1_general_ci NOT NULL,
  `job` text collate latin1_general_ci NOT NULL,
  `reporter` varchar(25) collate latin1_general_ci NOT NULL,
  `id` varchar(15) collate latin1_general_ci NOT NULL,
  `tphone` varchar(30) collate latin1_general_ci NOT NULL,
  `tdate` date NOT NULL default '0000-00-00',
  `ttime` time NOT NULL default '00:00:00',
  `tid` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `done` tinyint(1) NOT NULL default '0',
  `seen` tinyint(1) NOT NULL default '0',
  `seenby` varchar(25) collate latin1_general_ci NOT NULL,
  `sstamp` varchar(16) collate latin1_general_ci NOT NULL,
  `doneby` varchar(25) collate latin1_general_ci NOT NULL,
  `dstamp` varchar(16) collate latin1_general_ci NOT NULL,
  `d_idx` varchar(8) collate latin1_general_ci NOT NULL,
  `archive` tinyint(1) NOT NULL default '0',
  `status` varchar(20) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`batch_nr`),
  KEY `batch_nr` (`batch_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `care_tech_repair_job`
-- 

INSERT INTO `care_tech_repair_job` (`batch_nr`, `dept`, `job`, `reporter`, `id`, `tphone`, `tdate`, `ttime`, `tid`, `done`, `seen`, `seenby`, `sstamp`, `doneby`, `dstamp`, `d_idx`, `archive`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'PE-K2 -  - Pedi', '1', 'admin', '1', '11', '2007-08-22', '16:56:29', '2007-08-22 16:56:35', 0, 1, '', '', '', '', '20070822', 1, 'pending', 'Create 2007-08-22 16:56:35 admin\n', '', '0000-00-00 00:00:00', 'admin', '2007-08-22 16:56:35');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_test_findings_baclabor`
-- 

CREATE TABLE `care_test_findings_baclabor` (
  `batch_nr` int(11) NOT NULL default '0',
  `encounter_nr` int(11) unsigned NOT NULL default '0',
  `room_nr` varchar(10) collate latin1_general_ci NOT NULL,
  `dept_nr` smallint(5) unsigned NOT NULL default '0',
  `notes` varchar(255) collate latin1_general_ci NOT NULL,
  `findings_init` tinyint(1) NOT NULL default '0',
  `findings_current` tinyint(1) NOT NULL default '0',
  `findings_final` tinyint(1) NOT NULL default '0',
  `entry_nr` varchar(10) collate latin1_general_ci NOT NULL,
  `rec_date` date NOT NULL default '0000-00-00',
  `type_general` text collate latin1_general_ci NOT NULL,
  `resist_anaerob` text collate latin1_general_ci NOT NULL,
  `resist_aerob` text collate latin1_general_ci NOT NULL,
  `findings` text collate latin1_general_ci NOT NULL,
  `doctor_id` varchar(35) collate latin1_general_ci NOT NULL,
  `findings_date` date NOT NULL default '0000-00-00',
  `findings_time` time NOT NULL default '00:00:00',
  `status` varchar(10) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`batch_nr`,`encounter_nr`,`room_nr`,`dept_nr`),
  KEY `findings_date` (`findings_date`),
  KEY `rec_date` (`rec_date`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_test_findings_baclabor`
-- 

INSERT INTO `care_test_findings_baclabor` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `notes`, `findings_init`, `findings_current`, `findings_final`, `entry_nr`, `rec_date`, `type_general`, `resist_anaerob`, `resist_aerob`, `findings`, `doctor_id`, `findings_date`, `findings_time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (30000000, 2007000302, '', 25, 'shenim te laboratori bakteriologjik', 0, 0, 1, '12345', '2007-07-11', '_lab_culture_fungal_1_=1&_lab_bac_tube_2_=1', '_rn_mtr_1_s_=1&&', '_ra_sxt_1_s_=1&_ra_sxt_1_m_=1&&&_rx_d3_s_=1&&', '&_tr_neg_7_d_=1&', '', '2007-07-11', '18:22:00', 'done', 'Create: 2007-07.11 18:22:17 = admin\nDone: 2007-07-11 18:23:03 = admin\n', 'admin', '2007-07-11 18:23:03', 'admin', '2007-07-11 18:22:17');
INSERT INTO `care_test_findings_baclabor` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `notes`, `findings_init`, `findings_current`, `findings_final`, `entry_nr`, `rec_date`, `type_general`, `resist_anaerob`, `resist_aerob`, `findings`, `doctor_id`, `findings_date`, `findings_time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (30000002, 2007000355, '', 25, 'kot kot kot', 0, 1, 1, '123', '2007-08-10', '_lab_agglut_str_pneu_1_=1&_lab_agglut_str_pneu_2_=1', '_rn_ctx_1_s_=1&_rn_ctx_1_r_=1&&', '_ra_cz_1_s_=1&_ra_cz_1_m_=1&&&&&', '_tr_shigella_2_=1&_tr_shigella_3_=1&&', '', '2007-08-10', '16:53:00', 'done', 'Create: 2007-08.10 16:53:09 = admin\nDone: 2007-08-10 16:53:11 = admin\n', 'admin', '2007-08-10 16:53:11', 'admin', '2007-08-10 16:53:09');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_test_findings_chemlab`
-- 

CREATE TABLE `care_test_findings_chemlab` (
  `batch_nr` int(11) NOT NULL auto_increment,
  `encounter_nr` int(11) NOT NULL default '0',
  `job_id` varchar(25) collate latin1_general_ci NOT NULL,
  `test_date` date NOT NULL default '0000-00-00',
  `test_time` time NOT NULL default '00:00:00',
  `group_id` varchar(30) collate latin1_general_ci NOT NULL,
  `serial_value` text collate latin1_general_ci NOT NULL,
  `validator` varchar(15) collate latin1_general_ci NOT NULL,
  `validate_dt` datetime NOT NULL default '0000-00-00 00:00:00',
  `status` varchar(20) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`batch_nr`,`encounter_nr`,`job_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=42 ;

-- 
-- Dumping data for table `care_test_findings_chemlab`
-- 

INSERT INTO `care_test_findings_chemlab` (`batch_nr`, `encounter_nr`, `job_id`, `test_date`, `test_time`, `group_id`, `serial_value`, `validator`, `validate_dt`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (16, 2007000211, '10000000', '2007-07-18', '12:59:21', 'priority', 'a:7:{s:6:"_13afp";s:2:"12";s:4:"_ama";s:2:"12";s:6:"_10ana";s:2:"12";s:6:"_10anc";s:2:"12";s:6:"_10asm";s:2:"12";s:8:"_10dnsab";s:2:"12";s:6:"_10ena";s:2:"12";}', '', '0000-00-00 00:00:00', 'hidden', 'Create 2007-07-18 12:59:21 admin\nHide 2007-07-18 13:00:01 admin\n', '', '2007-07-18 13:00:01', 'admin', '2007-07-18 12:59:21');
INSERT INTO `care_test_findings_chemlab` (`batch_nr`, `encounter_nr`, `job_id`, `test_date`, `test_time`, `group_id`, `serial_value`, `validator`, `validate_dt`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (17, 2007000211, '10000000', '2007-07-18', '13:00:01', 'priority', 'a:7:{s:6:"_13afp";s:2:"12";s:4:"_ama";s:2:"12";s:6:"_10ana";s:2:"12";s:6:"_10anc";s:2:"12";s:6:"_10asm";s:2:"12";s:8:"_10dnsab";s:2:"12";s:6:"_10ena";s:2:"12";}', '', '0000-00-00 00:00:00', '', 'Create 2007-07-18 13:00:01 admin\n', '', '2007-07-18 13:00:01', 'admin', '2007-07-18 13:00:01');
INSERT INTO `care_test_findings_chemlab` (`batch_nr`, `encounter_nr`, `job_id`, `test_date`, `test_time`, `group_id`, `serial_value`, `validator`, `validate_dt`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (18, 2007000211, '10000001', '2007-07-18', '22:39:29', 'priority', 'a:2:{s:6:"_13afp";s:2:"12";s:6:"_13cea";s:2:"12";}', '', '0000-00-00 00:00:00', '', 'Create 2007-07-18 22:39:29 admin\n', '', '2007-07-18 22:39:29', 'admin', '2007-07-18 22:39:29');
INSERT INTO `care_test_findings_chemlab` (`batch_nr`, `encounter_nr`, `job_id`, `test_date`, `test_time`, `group_id`, `serial_value`, `validator`, `validate_dt`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (19, 2007000211, '10000002', '2007-07-18', '22:41:12', 'priority', 'a:2:{s:6:"_13afp";s:2:"16";s:6:"_13cea";s:1:"9";}', '', '0000-00-00 00:00:00', '', 'Create 2007-07-18 22:41:12 admin\n', '', '2007-07-18 22:41:12', 'admin', '2007-07-18 22:41:12');
INSERT INTO `care_test_findings_chemlab` (`batch_nr`, `encounter_nr`, `job_id`, `test_date`, `test_time`, `group_id`, `serial_value`, `validator`, `validate_dt`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (21, 2007000240, '10000011', '2007-08-09', '20:55:48', 'priority', 'a:14:{s:14:"_aptt_priority";s:2:"14";s:21:"_eritrocitet_priority";s:1:"3";s:25:"_eritrosedimenti_priority";s:2:"27";s:18:"_glicemia_priority";s:3:"154";s:14:"_lipo_hdl__ldl";s:3:"250";s:21:"_hematokriti_priority";s:2:"20";s:21:"_hemoglobina_priority";s:1:"8";s:14:"_lipo_kol__ldl";s:3:"400";s:20:"_kreatinina_priority";s:1:"2";s:14:"_lipo_ldl__ldl";s:3:"175";s:20:"_leukocitet_priority";s:4:"6000";s:13:"_lipo_tg__ldl";s:3:"600";s:21:"_trombocitet_priority";s:6:"250000";s:15:"_lipo_vldl__ldl";s:3:"100";}', '', '0000-00-00 00:00:00', '', 'Create 2007-08-09 20:55:48 Greta Naraci\n', '', '2007-08-09 20:55:48', 'Greta Naraci', '2007-08-09 20:55:48');
INSERT INTO `care_test_findings_chemlab` (`batch_nr`, `encounter_nr`, `job_id`, `test_date`, `test_time`, `group_id`, `serial_value`, `validator`, `validate_dt`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (22, 2007000224, '10000012', '2007-08-09', '20:59:00', 'priority', 'a:11:{s:14:"_aptt_priority";s:2:"12";s:27:"_biokimi_bun__clinical_chem";s:2:"50";s:21:"_eritrocitet_priority";s:3:"4.5";s:25:"_eritrosedimenti_priority";s:2:"57";s:18:"_glicemia_priority";s:3:"140";s:21:"_hematokriti_priority";s:2:"44";s:21:"_hemoglobina_priority";s:4:"13.5";s:21:"_koag_pt__coagulation";s:2:"15";s:20:"_kreatinina_priority";s:3:"2.5";s:20:"_leukocitet_priority";s:4:"3500";s:21:"_trombocitet_priority";s:6:"130000";}', '', '0000-00-00 00:00:00', '', 'Create 2007-08-09 20:59:00 Greta Naraci\n', '', '2007-08-09 20:59:00', 'Greta Naraci', '2007-08-09 20:59:00');
INSERT INTO `care_test_findings_chemlab` (`batch_nr`, `encounter_nr`, `job_id`, `test_date`, `test_time`, `group_id`, `serial_value`, `validator`, `validate_dt`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (24, 2007000348, '10000013', '2007-08-14', '16:01:58', 'priority', 'a:102:{s:28:"_proteinat_albumina_proteins";s:0:"";s:15:"_hav__imunodiag";s:0:"";s:20:"_anti_hbc__imunodiag";s:0:"";s:20:"_anti_hcv__imunodiag";s:0:"";s:20:"_anti_hev__imunodiag";s:0:"";s:23:"_koag_aptt__coagulation";s:0:"";s:16:"_aslo__imunodiag";s:0:"";s:27:"_biokimi_bun__clinical_chem";s:0:"";s:17:"_bilirubina_totur";s:0:"";s:39:"_biokimi_bilirubin_direct_clinical_chem";s:0:"";s:39:"_biokimi_bilirubin_totale_clinical_chem";s:0:"";s:22:"_cilind_epit_ren_totur";s:0:"";s:22:"_cilind_granular_totur";s:0:"";s:22:"_cilind_te_trash_totur";s:0:"";s:22:"_cilind_yndyrore_totur";s:0:"";s:20:"_cilnd_hialine_totur";s:0:"";s:17:"_eritrocite_totur";s:0:"";s:21:"_eritrocitet_priority";s:0:"";s:19:"_00rbc_gjak_komplet";s:0:"";s:25:"_eritrosedimenti_priority";s:0:"";s:30:"_eritrosedimenti__gjak_komplet";s:0:"";s:22:"_esteraza_leukoc_totur";s:0:"";s:22:"_fak_reumat__imunodiag";s:0:"";s:28:"_fece_mikro_fibra__fecemikro";s:0:"";s:31:"_koag_fibrinogjeni__coagulation";s:0:"";s:27:"_biokimi_ggt__clinical_chem";s:0:"";s:28:"_fece_makro_gjak__fecetmakro";s:0:"";s:11:"_gjak_totur";s:0:"";s:30:"_fece_kimi_gj_okult__fecekimia";s:0:"";s:18:"_glicemia_priority";s:0:"";s:32:"_diabeti_glic_esell__blood_sugar";s:0:"";s:14:"_glukoza_totur";s:0:"";s:21:"_emx_hb__gjak_komplet";s:0:"";s:17:"_hbsag__imunodiag";s:0:"";s:10:"_hcg_totur";s:0:"";s:22:"_emx_hct__gjak_komplet";s:0:"";s:14:"_lipo_hdl__ldl";s:0:"";s:18:"_hdv_ag__imunodiag";s:0:"";s:21:"_hematokriti_priority";s:0:"";s:21:"_hemoglobina_priority";s:0:"";s:15:"_hiv__imunodiag";s:2:"12";s:22:"_koag_inr__coagulation";s:2:"12";s:14:"_ketonet_totur";s:2:"12";s:29:"_koag_hemorragji__coagulation";s:2:"12";s:22:"_koag_act__coagulation";s:0:"";s:21:"_koag_pt__coagulation";s:0:"";s:14:"_lipo_kol__ldl";s:0:"";s:35:"_fece_makro_konsistenca__fecetmakro";s:0:"";s:20:"_kreatinina_priority";s:0:"";s:33:"_biokimi_kreatinina_clinical_chem";s:0:"";s:17:"_kristale_1_totur";s:0:"";s:17:"_kristale_2_totur";s:0:"";s:17:"_kristale_3_totur";s:0:"";s:21:"_l_bazo__gjak_komplet";s:0:"";s:22:"_l_eosin__gjak_komplet";s:0:"";s:21:"_l_linf__gjak_komplet";s:0:"";s:30:"_l_metamielocite__gjak_komplet";s:0:"";s:20:"_l_mon__gjak_komplet";s:0:"";s:20:"_l_seg__gjak_komplet";s:0:"";s:21:"_l_shkop_gjak_komplet";s:0:"";s:14:"_lipo_ldl__ldl";s:0:"";s:32:"_fece_mikro_leukocite__fecemikro";s:0:"";s:16:"_leukocite_totur";s:0:"";s:20:"_leukocitet_priority";s:0:"";s:19:"_00wbc_gjak_komplet";s:0:"";s:29:"_fece_mikro_lipide__fecemikro";s:0:"";s:17:"_mch_gjak_komplet";s:0:"";s:18:"_mchc_gjak_komplet";s:0:"";s:17:"_mcv_gjak_komplet";s:0:"";s:30:"_fece_mikro_mikrobe__fecemikro";s:0:"";s:17:"_mpv_gjak_komplet";s:0:"";s:29:"_fece_makro_mukus__fecetmakro";s:0:"";s:26:"_fece_mikro_myk__fecemikro";s:0:"";s:30:"_fece_makro_ngjyra__fecetmakro";s:0:"";s:13:"_ngjyra_totur";s:0:"";s:14:"_nitrate_totur";s:0:"";s:16:"_paraqitja_totur";s:0:"";s:32:"_fece_makro_parazite__fecetmakro";s:0:"";s:22:"_pesha_specifike_totur";s:0:"";s:9:"_ph_totur";s:0:"";s:15:"_proteina_totur";s:0:"";s:23:"_proteinat_tot_proteins";s:0:"";s:27:"_fece_makro_pus__fecetmakro";s:0:"";s:21:"_qel_epit_skuam_totur";s:0:"";s:22:"_qel_epit_tub_re_totur";s:0:"";s:17:"_rdw_gjak_komplet";s:0:"";s:27:"_retikulocite__gjak_komplet";s:0:"";s:26:"_ret_perqind__gjak_komplet";s:0:"";s:29:"_fece_makro_sasia__fecetmakro";s:0:"";s:26:"_biokimi_got_clinical_chem";s:0:"";s:26:"_biokimi_gpt_clinical_chem";s:0:"";s:13:"_lipo_tg__ldl";s:0:"";s:29:"_diabeti_tol_120__blood_sugar";s:0:"";s:29:"_diabeti_tol_180__blood_sugar";s:0:"";s:28:"_diabeti_tol_30__blood_sugar";s:0:"";s:28:"_diabeti_tol_60__blood_sugar";s:0:"";s:21:"_trombocitet_priority";s:0:"";s:30:"_emx_trombocitet__gjak_komplet";s:0:"";s:25:"_hemato_heinz__hematology";s:0:"";s:27:"_fece_mikro_veze__fecemikro";s:0:"";s:15:"_lipo_vldl__ldl";s:0:"";s:30:"_fece_mikro_yndyrna__fecemikro";s:0:"";}', '', '0000-00-00 00:00:00', '', 'Create 2007-08-14 16:01:58 admin\n', '', '2007-08-14 16:01:58', 'admin', '2007-08-14 16:01:58');
INSERT INTO `care_test_findings_chemlab` (`batch_nr`, `encounter_nr`, `job_id`, `test_date`, `test_time`, `group_id`, `serial_value`, `validator`, `validate_dt`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (25, 2007000224, '10000012', '2007-08-14', '16:42:59', '', 'a:11:{s:14:"_aptt_priority";s:2:"12";s:27:"_biokimi_bun__clinical_chem";s:2:"12";s:21:"_eritrocitet_priority";s:2:"12";s:25:"_eritrosedimenti_priority";s:2:"12";s:18:"_glicemia_priority";s:2:"12";s:21:"_hematokriti_priority";s:2:"12";s:21:"_hemoglobina_priority";s:4:"1212";s:21:"_koag_pt__coagulation";s:2:"12";s:20:"_kreatinina_priority";s:2:"12";s:20:"_leukocitet_priority";s:2:"12";s:21:"_trombocitet_priority";s:2:"12";}', '', '0000-00-00 00:00:00', '', 'Create 2007-08-14 16:42:59 admin\n', '', '2007-08-14 16:42:59', 'admin', '2007-08-14 16:42:59');
INSERT INTO `care_test_findings_chemlab` (`batch_nr`, `encounter_nr`, `job_id`, `test_date`, `test_time`, `group_id`, `serial_value`, `validator`, `validate_dt`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (26, 2007000334, '10000010', '2007-08-14', '16:50:36', '', 'a:26:{s:14:"_aptt_priority";s:4:"1212";s:23:"koag_aptt__coagulation";s:3:"212";s:21:"_eritrocitet_priority";s:2:"23";s:19:"_00rbc_gjak_komplet";s:2:"12";s:25:"_eritrosedimenti_priority";s:2:"12";s:30:"_eritrosedimenti__gjak_komplet";s:2:"12";s:31:"_koag_fibrinogjeni__coagulation";s:2:"23";s:18:"_glicemia_priority";s:2:"12";s:21:"_emx_hb__gjak_komplet";s:2:"23";s:22:"_emx_hct__gjak_komplet";s:3:"112";s:21:"_hematokriti_priority";s:3:"213";s:21:"_hemoglobina_priority";s:2:"12";s:22:"_koag_inr__coagulation";s:3:"234";s:29:"_koag_hemorragji__coagulation";s:2:"12";s:22:"_koag_act__coagulation";s:3:"231";s:21:"_koag_pt__coagulation";s:2:"12";s:20:"_kreatinina_priority";s:3:"123";s:21:"_l_bazo__gjak_komplet";s:2:"12";s:22:"_l_eosin__gjak_komplet";s:1:"3";s:21:"_l_linf__gjak_komplet";s:2:"12";s:30:"_l_metamielocite__gjak_komplet";s:2:"12";s:20:"_l_mon__gjak_komplet";s:5:"23412";s:20:"_l_seg__gjak_komplet";s:3:"213";s:21:"_l_shkop_gjak_komplet";s:1:"1";s:20:"_leukocitet_priority";s:2:"23";s:21:"_trombocitet_priority";s:2:"12";}', '', '0000-00-00 00:00:00', '', 'Create 2007-08-14 16:50:36 admin\n', '', '2007-10-01 21:51:29', 'admin', '2007-08-14 16:50:36');
INSERT INTO `care_test_findings_chemlab` (`batch_nr`, `encounter_nr`, `job_id`, `test_date`, `test_time`, `group_id`, `serial_value`, `validator`, `validate_dt`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (32, 2007000355, '10000014', '2007-10-04', '17:07:40', '', 'a:13:{s:15:"_aptt__priority";s:2:"20";s:19:"_azotemia__priority";s:2:"14";s:22:"_eritrocitet__priority";s:2:"21";s:26:"_eritrosedimenti__priority";s:2:"15";s:19:"_glicemia__priority";s:2:"22";s:22:"_hematokriti__priority";s:2:"16";s:22:"_hemoglobina__priority";s:2:"23";s:21:"_kreatinina__priority";s:2:"17";s:21:"_leukocitet__priority";s:2:"24";s:13:"_pt__priority";s:2:"18";s:22:"_trombocitet__priority";s:2:"25";s:20:"_00rbc__gjak_komplet";s:2:"26";s:30:"_eritrosedimenti__gjak_komplet";s:2:"19";}', '', '0000-00-00 00:00:00', '', 'Create 2007-10-04 17:07:40 admin\n', '', '2007-10-04 17:07:40', 'admin', '2007-10-04 17:07:40');
INSERT INTO `care_test_findings_chemlab` (`batch_nr`, `encounter_nr`, `job_id`, `test_date`, `test_time`, `group_id`, `serial_value`, `validator`, `validate_dt`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (33, 2007000240, '10000011', '2007-10-04', '17:09:48', '', 'a:14:{s:14:"_aptt_priority";s:2:"12";s:21:"_eritrocitet_priority";s:2:"12";s:25:"_eritrosedimenti_priority";s:2:"12";s:18:"_glicemia_priority";s:2:"12";s:21:"_hematokriti_priority";s:2:"12";s:21:"_hemoglobina_priority";s:2:"12";s:20:"_kreatinina_priority";s:2:"12";s:20:"_leukocitet_priority";s:2:"12";s:21:"_trombocitet_priority";s:2:"12";s:14:"_lipo_hdl__ldl";s:2:"12";s:14:"_lipo_kol__ldl";s:2:"12";s:14:"_lipo_ldl__ldl";s:2:"12";s:13:"_lipo_tg__ldl";s:2:"12";s:15:"_lipo_vldl__ldl";s:2:"12";}', '', '0000-00-00 00:00:00', '', 'Create 2007-10-04 17:09:48 admin\n', '', '2007-10-04 17:09:48', 'admin', '2007-10-04 17:09:48');
INSERT INTO `care_test_findings_chemlab` (`batch_nr`, `encounter_nr`, `job_id`, `test_date`, `test_time`, `group_id`, `serial_value`, `validator`, `validate_dt`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (34, 2007000355, '10000015', '2007-10-04', '18:13:41', '', 'a:13:{s:15:"_aptt__priority";s:1:"7";s:19:"_azotemia__priority";s:1:"1";s:22:"_eritrocitet__priority";s:1:"8";s:26:"_eritrosedimenti__priority";s:1:"2";s:19:"_glicemia__priority";s:1:"9";s:22:"_hematokriti__priority";s:1:"3";s:22:"_hemoglobina__priority";s:2:"10";s:21:"_kreatinina__priority";s:1:"4";s:21:"_leukocitet__priority";s:2:"11";s:13:"_pt__priority";s:1:"5";s:22:"_trombocitet__priority";s:2:"12";s:20:"_00rbc__gjak_komplet";s:2:"13";s:30:"_eritrosedimenti__gjak_komplet";s:1:"6";}', '', '0000-00-00 00:00:00', '', 'Create 2007-10-04 18:13:41 admin\n', 'admin', '2007-10-04 18:14:15', 'admin', '2007-10-04 18:13:41');
INSERT INTO `care_test_findings_chemlab` (`batch_nr`, `encounter_nr`, `job_id`, `test_date`, `test_time`, `group_id`, `serial_value`, `validator`, `validate_dt`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (35, 2007000355, '10000016', '2007-10-05', '00:19:24', '', 'a:12:{s:15:"_aptt__priority";s:1:"6";s:19:"_azotemia__priority";s:1:"1";s:22:"_hematokriti__priority";s:1:"7";s:22:"_hemoglobina__priority";s:1:"2";s:21:"_leukocitet__priority";s:1:"8";s:13:"_pt__priority";s:1:"3";s:22:"_trombocitet__priority";s:1:"9";s:21:"_cilnd_hialine__totur";s:2:"10";s:18:"_eritrocite__totur";s:1:"4";s:23:"_esteraza_leukoc__totur";s:2:"11";s:12:"_gjak__totur";s:1:"5";s:15:"_glukoza__totur";s:2:"12";}', '', '0000-00-00 00:00:00', 'hidden', 'Create 2007-10-05 00:19:24 admin\nHide 2007-10-05 22:56:48 admin\n', '', '2007-10-05 22:56:48', 'admin', '2007-10-05 00:19:24');
INSERT INTO `care_test_findings_chemlab` (`batch_nr`, `encounter_nr`, `job_id`, `test_date`, `test_time`, `group_id`, `serial_value`, `validator`, `validate_dt`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (36, 2007000355, '10000016', '2007-10-05', '22:56:48', '', 'a:12:{s:15:"_aptt__priority";s:1:"6";s:19:"_azotemia__priority";s:1:"1";s:22:"_hematokriti__priority";s:1:"7";s:22:"_hemoglobina__priority";s:1:"2";s:21:"_leukocitet__priority";s:1:"8";s:13:"_pt__priority";s:1:"3";s:22:"_trombocitet__priority";s:1:"9";s:21:"_cilnd_hialine__totur";s:2:"10";s:18:"_eritrocite__totur";s:1:"4";s:23:"_esteraza_leukoc__totur";s:2:"11";s:12:"_gjak__totur";s:1:"5";s:15:"_glukoza__totur";s:2:"12";}', '', '0000-00-00 00:00:00', '', 'Create 2007-10-05 22:56:48 admin\n', '', '2007-10-05 22:56:48', 'admin', '2007-10-05 22:56:48');
INSERT INTO `care_test_findings_chemlab` (`batch_nr`, `encounter_nr`, `job_id`, `test_date`, `test_time`, `group_id`, `serial_value`, `validator`, `validate_dt`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (37, 2007000355, '10000017', '2007-10-05', '23:11:30', '', 'a:8:{s:27:"_biokimi_got__clinical_chem";s:1:"1";s:27:"_biokimi_gpt__clinical_chem";s:1:"2";s:23:"_koag_aptt__coagulation";s:1:"3";s:31:"_koag_fibrinogjeni__coagulation";s:1:"4";s:22:"_koag_inr__coagulation";s:1:"5";s:29:"_koag_hemorragji__coagulation";s:1:"6";s:22:"_koag_act__coagulation";s:1:"7";s:21:"_koag_pt__coagulation";s:1:"8";}', '', '0000-00-00 00:00:00', '', 'Create 2007-10-05 23:11:30 admin\n', '', '2007-10-05 23:11:30', 'admin', '2007-10-05 23:11:30');
INSERT INTO `care_test_findings_chemlab` (`batch_nr`, `encounter_nr`, `job_id`, `test_date`, `test_time`, `group_id`, `serial_value`, `validator`, `validate_dt`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (38, 2007000355, '10000018', '2007-10-05', '23:20:30', '', 'a:6:{s:21:"_cilnd_hialine__totur";s:2:"12";s:18:"_eritrocite__totur";s:2:"13";s:12:"_gjak__totur";s:0:"";s:29:"_proteinat_albumina__proteins";s:0:"";s:24:"_proteinat_tot__proteins";s:2:"11";s:25:"_hemato_heinz__hematology";s:0:"";}', '', '0000-00-00 00:00:00', 'hidden', 'Create 2007-10-05 23:20:30 admin\nHide 2007-10-05 23:23:28 admin\n', '', '2007-10-05 23:23:28', 'admin', '2007-10-05 23:20:30');
INSERT INTO `care_test_findings_chemlab` (`batch_nr`, `encounter_nr`, `job_id`, `test_date`, `test_time`, `group_id`, `serial_value`, `validator`, `validate_dt`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (39, 2007000355, '10000018', '2007-10-05', '23:23:28', '', 'a:6:{s:21:"_cilnd_hialine__totur";s:2:"11";s:18:"_eritrocite__totur";s:2:"10";s:12:"_gjak__totur";s:2:"15";s:29:"_proteinat_albumina__proteins";s:2:"15";s:24:"_proteinat_tot__proteins";s:2:"16";s:25:"_hemato_heinz__hematology";s:2:"15";}', '', '0000-00-00 00:00:00', 'hidden', 'Create 2007-10-05 23:23:28 admin\nHide 2007-10-06 01:25:28 admin\n', 'admin', '2007-10-06 01:25:28', 'admin', '2007-10-05 23:23:28');
INSERT INTO `care_test_findings_chemlab` (`batch_nr`, `encounter_nr`, `job_id`, `test_date`, `test_time`, `group_id`, `serial_value`, `validator`, `validate_dt`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (40, 2007000355, '10000018', '2007-10-05', '01:25:28', '', 'a:6:{s:21:"_cilnd_hialine__totur";s:2:"11";s:18:"_eritrocite__totur";s:2:"10";s:12:"_gjak__totur";s:2:"15";s:29:"_proteinat_albumina__proteins";s:2:"15";s:24:"_proteinat_tot__proteins";s:2:"16";s:25:"_hemato_heinz__hematology";s:2:"15";}', '', '0000-00-00 00:00:00', '', 'Create 2007-10-06 01:25:28 admin\n', '', '2007-10-06 01:25:28', 'admin', '2007-10-06 01:25:28');
INSERT INTO `care_test_findings_chemlab` (`batch_nr`, `encounter_nr`, `job_id`, `test_date`, `test_time`, `group_id`, `serial_value`, `validator`, `validate_dt`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (41, 2007000355, '10000021', '2007-11-09', '22:27:30', '', 'a:20:{s:20:"_00rbc__gjak_komplet";s:2:"12";s:30:"_eritrosedimenti__gjak_komplet";s:2:"12";s:21:"_emx_hb__gjak_komplet";s:2:"12";s:22:"_emx_hct__gjak_komplet";s:2:"12";s:21:"_l_bazo__gjak_komplet";s:2:"12";s:22:"_l_eosin__gjak_komplet";s:2:"12";s:21:"_l_linf__gjak_komplet";s:2:"12";s:30:"_l_metamielocite__gjak_komplet";s:2:"12";s:20:"_l_mon__gjak_komplet";s:2:"12";s:20:"_l_seg__gjak_komplet";s:2:"12";s:22:"_l_shkop__gjak_komplet";s:2:"12";s:20:"_00wbc__gjak_komplet";s:2:"12";s:18:"_mch__gjak_komplet";s:2:"12";s:19:"_mchc__gjak_komplet";s:2:"12";s:18:"_mcv__gjak_komplet";s:2:"12";s:18:"_mpv__gjak_komplet";s:2:"12";s:18:"_rdw__gjak_komplet";s:2:"12";s:27:"_retikulocite__gjak_komplet";s:2:"12";s:26:"_ret_perqind__gjak_komplet";s:2:"12";s:30:"_emx_trombocitet__gjak_komplet";s:2:"12";}', '', '0000-00-00 00:00:00', '', 'Create 2007-11-09 22:27:30 admin\n', '', '2007-11-09 22:27:30', 'admin', '2007-11-09 22:27:30');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_test_findings_patho`
-- 

CREATE TABLE `care_test_findings_patho` (
  `batch_nr` int(11) NOT NULL default '0',
  `encounter_nr` int(11) unsigned NOT NULL default '0',
  `room_nr` varchar(10) collate latin1_general_ci NOT NULL,
  `dept_nr` smallint(5) unsigned NOT NULL default '0',
  `material` text collate latin1_general_ci NOT NULL,
  `macro` text collate latin1_general_ci NOT NULL,
  `micro` text collate latin1_general_ci NOT NULL,
  `findings` text collate latin1_general_ci NOT NULL,
  `diagnosis` text collate latin1_general_ci NOT NULL,
  `doctor_id` varchar(35) collate latin1_general_ci NOT NULL,
  `findings_date` date NOT NULL default '0000-00-00',
  `findings_time` time NOT NULL default '00:00:00',
  `status` varchar(10) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`batch_nr`,`encounter_nr`,`room_nr`,`dept_nr`),
  KEY `send_date` (`findings_date`),
  KEY `findings_date` (`findings_date`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_test_findings_patho`
-- 

INSERT INTO `care_test_findings_patho` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `material`, `macro`, `micro`, `findings`, `diagnosis`, `doctor_id`, `findings_date`, `findings_time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (20000000, 2007000355, '', 8, 'kto', 'kot', 'kot', 'kot', 'kot', 'gjergji', '2007-08-21', '21:08:40', 'done', 'Create: 2007-08-20 21:08:40 = admin\nDone: 2007-08-20 21:08:43 = admin\n', 'admin', '2007-08-20 21:08:43', 'admin', '2007-08-20 21:08:40');
INSERT INTO `care_test_findings_patho` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `material`, `macro`, `micro`, `findings`, `diagnosis`, `doctor_id`, `findings_date`, `findings_time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (20000001, 2007000355, '', 8, 'ok', 'ok', 'ok', 'ok', 'ok', 'gjergji', '2007-10-04', '12:31:36', 'done', 'Create: 2007-10-04 12:31:36 = admin\nDone: 2007-10-04 12:31:38 = admin\n', 'admin', '2007-10-04 12:31:38', 'admin', '2007-10-04 12:31:36');
INSERT INTO `care_test_findings_patho` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `material`, `macro`, `micro`, `findings`, `diagnosis`, `doctor_id`, `findings_date`, `findings_time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (20000002, 2007000355, '', 8, 'asd', 'asdasd', 'as', 'sd', 'sdf', 'sadf', '2007-10-04', '14:48:23', 'done', 'Create: 2007-10-04 13:38:21 = admin\nUpdate: 2007-10-04 14:48:23 = admin\nDone: 2007-10-04 14:54:12 = admin\n', 'admin', '2007-10-04 14:54:12', 'admin', '2007-10-04 13:38:21');
INSERT INTO `care_test_findings_patho` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `material`, `macro`, `micro`, `findings`, `diagnosis`, `doctor_id`, `findings_date`, `findings_time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (20000003, 2007000355, '', 8, '//#170', '//#170', '//#170', '//#170', '//#170', 'gjergji', '2007-10-10', '18:39:42', 'done', 'Create: 2007-10-10 18:39:42 = admin\nDone: 2007-10-10 18:56:33 = admin\n', 'admin', '2007-10-10 18:56:33', 'admin', '2007-10-10 18:39:42');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_test_findings_radio`
-- 

CREATE TABLE `care_test_findings_radio` (
  `batch_nr` int(11) unsigned NOT NULL default '0',
  `encounter_nr` int(11) unsigned NOT NULL default '0',
  `room_nr` smallint(5) unsigned NOT NULL default '0',
  `dept_nr` smallint(5) unsigned NOT NULL default '0',
  `findings` text collate latin1_general_ci NOT NULL,
  `diagnosis` text collate latin1_general_ci NOT NULL,
  `doctor_id` varchar(35) collate latin1_general_ci NOT NULL,
  `findings_date` date NOT NULL default '0000-00-00',
  `findings_time` time NOT NULL default '00:00:00',
  `status` varchar(10) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`batch_nr`,`encounter_nr`),
  KEY `send_date` (`findings_date`),
  KEY `findings_date` (`findings_date`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_test_findings_radio`
-- 

INSERT INTO `care_test_findings_radio` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `findings`, `diagnosis`, `doctor_id`, `findings_date`, `findings_time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (60000003, 2007000355, 0, 19, 'kot', 'kot', 'gjergji', '2007-08-21', '18:13:31', 'done', 'Create: 2007-08-22 18:13:31 = admin\nDone: 2007-08-22 18:13:34 = admin\n', 'admin', '2007-08-22 18:13:34', 'admin', '2007-08-22 18:13:31');
INSERT INTO `care_test_findings_radio` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `findings`, `diagnosis`, `doctor_id`, `findings_date`, `findings_time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (60000004, 2007000355, 0, 19, 'kot kot', 'kot tko', 'gjergji', '2007-08-26', '15:28:17', 'done', 'Create: 2007-08-22 15:28:17 = admin\nDone: 2007-08-22 15:28:21 = admin\n', 'admin', '2007-08-22 15:28:21', 'admin', '2007-08-22 15:28:17');
INSERT INTO `care_test_findings_radio` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `findings`, `diagnosis`, `doctor_id`, `findings_date`, `findings_time`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (60000005, 2007000355, 0, 19, 'kot', 'kot', 'gjergji', '2007-08-23', '18:14:49', 'done', 'Create: 2007-08-22 18:14:49 = admin\nDone: 2007-08-22 18:14:51 = admin\n', 'admin', '2007-08-22 18:14:51', 'admin', '2007-08-22 18:14:49');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_test_param`
-- 

CREATE TABLE `care_test_param` (
  `nr` smallint(5) unsigned NOT NULL auto_increment,
  `group_id` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `id` varchar(50) collate latin1_general_ci NOT NULL,
  `sort_nr` tinyint(4) NOT NULL default '0',
  `msr_unit` varchar(15) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `median` varchar(20) collate latin1_general_ci default ' ' COMMENT 'for males',
  `hi_bound` varchar(20) collate latin1_general_ci default ' ',
  `lo_bound` varchar(20) collate latin1_general_ci default ' ',
  `hi_critical` varchar(20) collate latin1_general_ci default ' ',
  `lo_critical` varchar(20) collate latin1_general_ci default ' ',
  `hi_toxic` varchar(20) collate latin1_general_ci default ' ',
  `lo_toxic` varchar(20) collate latin1_general_ci default ' ',
  `median_f` varchar(20) collate latin1_general_ci default ' ' COMMENT '_ f for females',
  `hi_bound_f` varchar(20) collate latin1_general_ci default ' ',
  `lo_bound_f` varchar(20) collate latin1_general_ci default ' ',
  `hi_critical_f` varchar(20) collate latin1_general_ci default ' ',
  `lo_critical_f` varchar(20) collate latin1_general_ci default ' ',
  `hi_toxic_f` varchar(20) collate latin1_general_ci default ' ',
  `lo_toxic_f` varchar(20) collate latin1_general_ci default ' ',
  `median_n` varchar(20) collate latin1_general_ci default ' ' COMMENT '_n for neonatal from 0 to 1 month',
  `hi_bound_n` varchar(20) collate latin1_general_ci default ' ',
  `lo_bound_n` varchar(20) collate latin1_general_ci default ' ',
  `hi_critical_n` varchar(20) collate latin1_general_ci default ' ',
  `lo_critical_n` varchar(20) collate latin1_general_ci default ' ',
  `hi_toxic_n` varchar(20) collate latin1_general_ci default ' ',
  `lo_toxic_n` varchar(20) collate latin1_general_ci default ' ',
  `median_y` varchar(20) collate latin1_general_ci default ' ' COMMENT '_y for children form 1 month to 12 months',
  `hi_bound_y` varchar(20) collate latin1_general_ci default ' ',
  `lo_bound_y` varchar(20) collate latin1_general_ci default ' ',
  `hi_critical_y` varchar(20) collate latin1_general_ci default ' ',
  `lo_critical_y` varchar(20) collate latin1_general_ci default ' ',
  `hi_toxic_y` varchar(20) collate latin1_general_ci default ' ',
  `lo_toxic_y` varchar(20) collate latin1_general_ci default ' ',
  `median_c` varchar(20) collate latin1_general_ci default ' ' COMMENT '_c for children form 1 to 14 years',
  `hi_bound_c` varchar(20) collate latin1_general_ci default ' ',
  `lo_bound_c` varchar(20) collate latin1_general_ci default ' ',
  `hi_critical_c` varchar(20) collate latin1_general_ci default ' ',
  `lo_critical_c` varchar(20) collate latin1_general_ci default ' ',
  `hi_toxic_c` varchar(20) collate latin1_general_ci default ' ',
  `lo_toxic_c` varchar(20) collate latin1_general_ci default ' ',
  `method` varchar(255) collate latin1_general_ci default ' ',
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`,`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=664 ;

-- 
-- Dumping data for table `care_test_param`
-- 

INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'gjak_komplet', 'Hb', '_emx_hb__gjak_komplet', 0, 'g/dl', '', '', '17.4', '14.0', '', '', '', '', 'null', '16.0', '12.0', 'null', 'null', 'null', 'null', 'null', '24.5', '14.5', 'null', 'null', 'null', 'null', 'null', '14.5', '9.9', 'null', 'null', 'null', 'null', 'null', '14.9', '9.5', 'null', 'null', 'null', 'null', 'null', 'Update 2007-07-15 20:38:40 laborant Update 2007-08-06 16:40:25 Greta Naraci Update 2007-08-07 12:21:04 Greta Naraci Update 2007-08-07 12:21:31 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'gjak_komplet', 'Hct', '_emx_hct__gjak_komplet', 0, '%', '', '0', '52', '42', '', '', '', '', 'null', '48', '36', 'null', 'null', 'null', 'null', 'null', '64', '39', 'null', 'null', 'null', 'null', 'null', '43', '29', 'null', 'null', 'null', 'null', 'null', '42', '30', 'null', 'null', 'null', 'null', 'null', 'Update 2007-07-14 19:31:42 admin Update 2007-07-14 19:32:30 admin Update 2007-07-14 19:32:37 admin Update 2007-07-14 19:32:46 admin Update 2007-07-15 20:40:35 laborant Update 2007-08-06 16:43:34 Greta Naraci Update 2007-08-07 12:22:17 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 'gjak_komplet', 'Trombocitet', '_emx_trombocitet__gjak_komplet', 0, 'njesi/mcl', '', '', '400000', '140000', '', '', '', '', 'null', '400000', '140000', 'null', 'null', 'null', 'null', 'null', '450000', '150000', 'null', 'null', 'null', 'null', 'null', '450000', '150000', 'null', 'null', 'null', 'null', 'null', '450000', '150000', 'null', 'null', 'null', 'null', 'null', 'Update 2007-07-15 20:40:46 laborant Update 2007-07-15 20:43:09 laborant Update 2007-08-06 16:46:21 Greta Naraci Update 2007-08-07 12:24:00 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 'gjak_komplet', 'Eritrocitet', '_00rbc__gjak_komplet', 0, 'milione/mcl', '', '', '5.5', '4.5', '', '', '', '', 'null', '5', '4', 'null', 'null', 'null', 'null', 'null', '6.1', '4.1', 'null', 'null', 'null', 'null', 'null', '5.6', '3.8', 'null', 'null', 'null', 'null', 'null', '5.2', '3.9', 'null', 'null', 'null', 'null', 'null', 'Update 2007-08-06 16:45:42 Greta Naraci Update 2007-08-07 12:23:48 Greta Naraci Update 2007-08-07 12:26:04 Greta Naraci Update 2007-08-07 18:50:40 admin Update 2007-08-07 18:52:30 admin Update 2007-08-07 18:52:41 admin Update 2007-08-07 18:52:55 admin Update 2007-08-07 18:53:38 admin', 'admin', '2007-10-04 16:45:50', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (7, 'gjak_komplet', 'Leukocitet', '_00wbc__gjak_komplet', 0, 'njesi/mcl', '', '', '10000', '5000', '', '', '', '', 'null', '10000', '5000', 'null', 'null', 'null', 'null', 'null', '30000', '9000', 'null', 'null', 'null', 'null', 'null', '19000', '5000', 'null', 'null', 'null', 'null', 'null', '10800', '5000', 'null', 'null', 'null', 'null', 'null', 'Update 2007-07-18 17:20:43 admin Update 2007-07-18 17:20:52 admin Update 2007-08-06 16:46:35 Greta Naraci Update 2007-08-07 12:25:50 Greta Naraci Update 2007-08-07 12:26:21 Greta Naraci', 'Greta Naraci', '2007-10-04 16:45:46', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (8, 'astrup', 'Kalciumi Total', '_emx_kalciumi_total__astrup', 0, 'mEq/ml (mg/dl)', '', '', '10.4', '8.8', '0', '', '', '', 'null', '10.4', '8.8', 'null', 'null', 'null', 'null', 'null', '10.4', '7.6', 'null', 'null', 'null', 'null', 'null', '9.8', '6.7', 'null', 'null', 'null', 'null', 'null', '10.7', '8.4', 'null', 'null', 'null', 'null', 'null', 'Update 2007-07-15 20:36:23 laborant Update 2007-08-06 16:44:11 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (9, 'astrup', 'Sodium', '_00na__astrup', 0, 'mEq/ml', '', '', '100', '20', '', '', '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Update 2007-08-06 16:45:59 Greta Naraci', 'Greta Naraci', '2007-10-04 16:42:54', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10, 'astrup', 'Kaliumi', '_emx_kaliumi__astrup', 0, 'mEq/ml', '', '', '100', '10', '', '', '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Update 2007-07-15 20:59:25 laborant Update 2007-08-06 16:44:33 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (16, 'clinical_chem', 'Bilirubina tot', '_biokimi_bilirubin_totale__clinical_chem', 0, 'mg/dl', '', ' ', '1', '0.3', 'null', 'null', 'null', 'null', 'null', '1', '0.3', 'null', 'null', 'null', 'null', 'null', '10', '1', 'null', 'null', 'null', 'null', 'null', '1', '0.3', 'null', 'null', 'null', 'null', 'null', '1', '0.3', 'null', 'null', 'null', 'null', 'null', 'Update 2007-07-14 21:13:12 laborant Update 2007-07-14 21:13:26 laborant Update 2007-07-14 22:10:07 laborant Update 2007-07-15 20:01:26 laborant Update 2007-07-15 20:05:52 laborant Update 2007-08-07 13:42:58 Greta Naraci Update 2007-08-07 14:29:07 Greta Naraci', 'Greta Naraci', '2007-10-08 16:04:53', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (17, 'clinical_chem', 'Bilirubina dir', '_biokimi_bilirubin_direct__clinical_chem', 0, 'mg/dl', '', '0', '0.2', '0.0', '', '', '', '', 'null', '0.2', '0.0', 'null', 'null', 'null', 'null', 'null', '0.8', '0.0', 'null', 'null', 'null', 'null', 'null', '0.2', '0.0', 'null', 'null', 'null', 'null', 'null', '0.2', '0.0', 'null', 'null', 'null', 'null', 'null', 'Update 2007-07-14 21:11:11 laborant Update 2007-07-14 21:11:26 laborant Update 2007-07-14 21:11:36 laborant Update 2007-07-14 22:09:59 laborant Update 2007-07-15 19:59:29 laborant Update 2007-07-15 20:00:25 laborant Update 2007-07-15 20:05:47 laborant Update 2007-08-07 14:28:43 Greta Naraci', 'Greta Naraci', '2007-10-04 16:43:51', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (29, 'clinical_chem', 'SGOT (AST)', '_biokimi_got__clinical_chem', 0, 'U/l', '', ' ', '20', '14', 'null', 'null', 'null', 'null', 'null', '36', '10', 'null', 'null', 'null', 'null', 'null', '150', '47', 'null', 'null', 'null', 'null', 'null', '80', '9', 'null', 'null', 'null', 'null', 'null', '80', '9', 'null', 'null', 'null', 'null', 'null', 'Update 2007-07-14 21:31:06 laborant Update 2007-08-07 14:17:19 Greta Naraci', 'Greta Naraci', '2007-10-08 16:04:56', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (30, 'clinical_chem', 'SGPT (ALT)', '_biokimi_gpt__clinical_chem', 0, 'U/l', '', 'null', '40', '10', 'null', 'null', 'null', 'null', 'null', '35', '7', 'null', 'null', 'null', 'null', 'null', '45', '13', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Update 2007-07-14 21:32:06 laborant Update 2007-08-07 14:18:01 Greta Naraci', 'Greta Naraci', '2007-10-05 22:55:36', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (32, 'clinical_chem', 'Azotemia', '_biokimi_bun__clinical_chem', 0, 'mg/dl', '', '', '20', '6', '', '', '', '', 'null', '20', '6', 'null', 'null', 'null', 'null', 'null', '18', '5', 'null', 'null', 'null', 'null', 'null', '18', '5', 'null', 'null', 'null', 'null', 'null', '18', '5', 'null', 'null', 'null', 'null', 'Kinetike Ureaze', 'Update 2003-09-05 17:34:33 Elpidio Latorilla Update 2007-07-14 22:14:24 laborant Update 2007-07-15 13:39:26 laborant Update 2007-07-15 19:53:37 laborant Update 2007-07-15 19:55:28 laborant Update 2007-07-15 19:57:45 laborant Update 2007-07-15 19:57:53 laborant Update 2007-07-15 20:05:23 laborant Update 2007-08-07 13:43:24 Greta Naraci Update 2007-08-07 14:28:26 Greta Naraci Update 2007-08-07 19:05:59 admin', 'admin', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (36, 'clinical_chem', 'Kreatinina', '_biokimi_kreatinina__clinical_chem', 0, 'mg/dl', '', 'null', '1.3', '0.9', 'null', 'null', 'null', 'null', 'null', '1.1', '0.6', 'null', 'null', 'null', 'null', 'null', '0.7', '0.3', 'null', 'null', 'null', 'null', 'null', '0.7', '0.3', 'null', 'null', 'null', 'null', 'null', '1.0', '0.5', 'null', 'null', 'null', 'null', 'null', 'Update 2007-07-14 21:25:27 laborant Update 2007-07-15 20:14:15 laborant Update 2007-08-07 13:49:09 Greta Naraci', 'Greta Naraci', '2007-10-04 16:44:08', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (93, 'proteins', 'Proteinat total', '_proteinat_tot__proteins', 0, 'g/dl', '', 'null', '8.0', '6.0', 'null', 'null', 'null', 'null', 'null', '8.0', '6.0', 'null', 'null', 'null', 'null', 'null', '7.4', '5.4', 'null', 'null', 'null', 'null', 'null', '8.1', '5.9', 'null', 'null', 'null', 'null', 'null', '8.6', '6.3', 'null', 'null', 'null', 'null', 'nefelometri', 'Update 2007-08-07 16:02:27 Greta Naraci', 'Greta Naraci', '2007-10-04 16:46:39', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (94, 'proteins', 'Albumina', '_proteinat_albumina__proteins', 0, 'g/dl', '', 'null', '4.8', '3.5', 'null', 'null', 'null', 'null', 'null', '4.8', '3.5', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '5.5', '2.9', 'null', 'null', 'null', 'null', 'nefelometri', 'Update 2007-08-07 15:59:44 Greta Naraci', 'Greta Naraci', '2007-10-04 16:47:03', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (141, 'tumor_marker', 'AFP', '_9afp__tumor_marker', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:47:23', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (142, 'tumor_marker', 'CA. 15 3', '_9c153__tumor_marker', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:47:26', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (143, 'tumor_marker', 'CA. 19 9', '_9c199__tumor_marker', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:47:29', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (144, 'tumor_marker', 'CA. 125', '_9c125__tumor_marker', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:47:32', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (145, 'tumor_marker', 'CEA', '_9cea__tumor_marker', 0, '', '', '', '', '', '', '', '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', 'Elpidio Latorilla', '2007-10-04 16:47:35', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (146, 'tumor_marker', 'Cyfra. 21 2', '_9c212__tumor_marker', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:47:38', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (147, 'tumor_marker', 'HCG', '_9hcg__tumor_marker', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:47:42', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (148, 'tumor_marker', 'NSE', '_9nse__tumor_marker', 0, 'test', '', '', '', '', '', '', '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', 'Elpidio Latorilla', '2007-10-04 16:47:45', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (149, 'tumor_marker', 'PSA', '_9psa__tumor_marker', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:47:48', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (150, 'tumor_marker', 'SCC', '_9scc__tumor_marker', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:47:51', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (151, 'tumor_marker', 'TPA', '_9tpa__tumor_marker', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:47:58', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (152, 'tissue_antibody', 'ANA', '_10ana__tissue_antibody', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:48:01', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (153, 'tissue_antibody', 'AMA', '_ama__tissue_antibody', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:48:05', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (154, 'tissue_antibody', 'DNS AB', '_10dnsab__tissue_antibody', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:48:07', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (155, 'tissue_antibody', 'ASMA', '_10asm__tissue_antibody', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:48:09', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (156, 'tissue_antibody', 'ENA', '_10ena__tissue_antibody', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:48:12', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (157, 'tissue_antibody', 'ANCA', '_10anc__tissue_antibody', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:48:13', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (158, 'rheuma_factor', 'Anti Strepto Titer', '_11ast__rheuma_factor', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:48:16', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (159, 'rheuma_factor', 'Lat. RF', '_11lrf__rheuma_factor', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:48:19', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (160, 'rheuma_factor', 'Streptozym', '_11stz__rheuma_factor', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:48:22', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (161, 'rheuma_factor', 'Waaler Rose', '_11waa__rheuma_factor', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:48:24', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (162, 'hepatitis', 'Anti HAV', '_12hav__hepatitis', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:48:27', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (163, 'hepatitis', 'Anti HAV IgM', '_12hai__hepatitis', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:48:29', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (164, 'hepatitis', 'Hbs Antigen', '_12hba__hepatitis', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:48:31', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (165, 'hepatitis', 'Anti HBs Titer', '_12hbt__hepatitis', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:48:34', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (166, 'hepatitis', 'Anti HBe', '_12hbe__hepatitis', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:48:37', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (167, 'hepatitis', 'Anti HBc', '_12hbc__hepatitis', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:48:39', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (168, 'hepatitis', 'Anti HBc.IgM', '_12hci__hepatitis', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:48:43', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (169, 'hepatitis', 'Anti HCV', '_12hcv__hepatitis', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:48:45', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (170, 'hepatitis', 'Hep.D Delta A.', '_12hda__hepatitis', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:48:47', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (171, 'hepatitis', 'Anti HEV', '_12hev__hepatitis', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:48:50', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (172, 'biopsy', 'Protein i.biopsy', '_13pro__biopsy', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:43:08', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (173, 'biopsy', 'LDH i.biopsy', '_13ldh__biopsy', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:43:12', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (174, 'biopsy', 'Chol.i.biopsy', '_13cho__biopsy', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:43:16', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (175, 'biopsy', 'CEA i.biopsy', '_13cea__biopsy', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:43:19', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (176, 'biopsy', 'AFP i.biopsy', '_13afp__biopsy', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:43:23', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (177, 'biopsy', 'Uric acid.i.biopsy', '_13ure__biopsy', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:43:26', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (178, 'biopsy', 'Rheuma fact.i.biopsy', '_13rhe__biopsy', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:43:30', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (179, 'biopsy', 'D1', '_13d1__biopsy', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:43:34', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (180, 'biopsy', 'D2', '_13d2__biopsy', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:43:38', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (181, 'infection_serology', 'Antistaph.Titer', '_14stap__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (182, 'infection_serology', 'Adenovirus AB', '_14ade__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:02', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (183, 'infection_serology', 'Borrelia AB', '_14bor__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:05', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (184, 'infection_serology', 'Borr.Immunoblot', '_14bori__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:07', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (185, 'infection_serology', 'Brucellia AB', '_14bru__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:10', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (186, 'infection_serology', 'Campylob. AB', '_14cam__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:12', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (187, 'infection_serology', 'Candida AB', '_14can__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:14', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (188, 'infection_serology', 'Cardiotr.Virus', '_14car__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:16', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (189, 'infection_serology', 'Chlamydia AB', '_14chl__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:19', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (190, 'infection_serology', 'C.psittaci AB', '_14psi__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:21', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (191, 'infection_serology', 'Coxsack. AB', '_14cox__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:23', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (192, 'infection_serology', 'Cox.burn. AB(Q fever)', '_14qf__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:25', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (193, 'infection_serology', 'Cytomegaly AB', '_14cyt__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:27', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (194, 'infection_serology', 'EBV AB', '_14ebv__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:30', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (195, 'infection_serology', 'Echinococcus AB', '_14ecc__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:32', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (196, 'infection_serology', 'Echo Virus AB', '_14ecv__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:34', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (197, 'infection_serology', 'FSME AB', '_14fsme__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:36', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (198, 'infection_serology', 'Herpes simp. I AB', '_14hs1__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:38', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (199, 'infection_serology', 'Herpes simp. II AB', '_14hs2__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:41', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (200, 'infection_serology', 'HIV1/HIV2 AB', '_14hiv__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:43', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (201, 'infection_serology', 'Influenza A AB', '_14ina__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:46', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (202, 'infection_serology', 'Influenza B AB', '_14inb__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:48', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (203, 'infection_serology', 'LCM AB', '_14lcm__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:51', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (204, 'infection_serology', 'Leg.pneum AB', '_14leg__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:53', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (205, 'infection_serology', 'Leptospiria AB', '_14lep__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:55', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (206, 'infection_serology', 'Listeria AB', '_14lis__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:49:57', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (207, 'infection_serology', 'Masern AB', '_14mas__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:50:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (208, 'infection_serology', 'Mononucleose', '_14mon__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:50:02', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (209, 'infection_serology', 'Mumps AB', '_14mum__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:50:05', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (210, 'infection_serology', 'Mycoplas.pneum AB', '_14myc__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:50:07', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (211, 'infection_serology', 'Neutrop Virus AB', '_14neu__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:50:10', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (212, 'infection_serology', 'Parainfluenza II AB', '_14pi2__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:50:22', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (213, 'infection_serology', 'ca asht????', '_14pi3__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:50:26', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (214, 'infection_serology', 'Picorna Virus AB', '_14pic__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:50:28', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (215, 'infection_serology', 'Rickettsia AB', '_14vric__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:50:31', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (216, 'infection_serology', 'R?teln AB', '_14rot__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:50:33', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (217, 'infection_serology', 'R?teln Immune status', '_14roi__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:50:38', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (218, 'infection_serology', 'RS Virus AB', '_14rsv__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:50:40', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (219, 'infection_serology', 'Shigella/Salm AB', '_14shi__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:50:43', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (220, 'infection_serology', 'Toxoplasma AB', '_14tox__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:50:46', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (221, 'infection_serology', 'TPHA', '_14tpha__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:50:49', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (222, 'infection_serology', 'Varicella AB', '_14vrc__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:50:51', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (223, 'infection_serology', 'Yersinia AB', '_14yer__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:50:53', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (224, 'infection_serology', 'E1', '_14e1__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:50:55', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (225, 'infection_serology', 'E2', '_14e2__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:50:57', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (226, 'infection_serology', 'E3', '_14e3__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:50:59', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (227, 'infection_serology', 'E4', '_14e4__infection_serology', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:02', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (253, 'prenatal', 'Chlamyd.cult./SSW', '_16chl__prenatal', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:04', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (254, 'prenatal', 'SSW:', '_16ssw__prenatal', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:07', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (255, 'prenatal', 'Down Screening', '_16dow__prenatal', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:10', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (256, 'prenatal', 'Strep B quick test', '_16stb__prenatal', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:12', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (257, 'prenatal', 'TPHA', '_16tpha__prenatal', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:14', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (258, 'prenatal', 'HBs Ag', '_16hbs__prenatal', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:17', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (259, 'prenatal', 'HIV1/HIV2 AV', '_16hiv__prenatal', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:19', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (264, 'rare', 'Rare H.', '_18rh__rare', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:21', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (265, 'rare', 'Rare E.', '_18re__rare', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:23', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (266, 'rare', 'Rare S.', '_18rs__rare', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:26', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (267, 'rare', 'Urine rare', '_18uri__rare', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:28', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (268, 'rare', 'F1', '_18f1__rare', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:30', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (269, 'rare', 'F2', '_18f2__rare', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:32', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (270, 'rare', 'F3', '_18f3__rare', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:34', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (295, 'special_params', 'Blood alcohol', '_21bal__special_params', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:36', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (296, 'special_params', 'CDT', '_21cdt__special_params', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:38', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (297, 'special_params', 'Vitamin B12', '_21vb12__special_params', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:41', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (298, 'special_params', 'Folic acid', '_21fol__special_params', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:43', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (299, 'special_params', 'Insulin AB', '_21inab__special_params', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:45', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (300, 'special_params', 'Intrinsic AB', '_21iab__special_params', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:47', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (301, 'special_params', 'Stone analysis', '_21sto__special_params', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:49', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (302, 'special_params', 'ACE', '_21ace__special_params', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:51', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (303, 'special_params', 'G1', '_21g1__special_params', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:54', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (304, 'special_params', 'G2', '_21g2__special_params', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:56', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (305, 'special_params', 'G3', '_21g3__special_params', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:51:58', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (306, 'special_params', 'G4', '_21g4__special_params', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:52:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (307, 'special_params', 'G5', '_21g5__special_params', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:52:03', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (308, 'special_params', 'G6', '_21g6__special_params', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:52:05', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (309, 'special_params', 'G7', '_21g7__special_params', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:52:07', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (310, 'special_params', 'G8', '_21g8__special_params', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:52:09', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (311, 'special_params', 'G9', '_21g9__special_params', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:52:12', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (312, 'special_params', 'G10', '_21g10__special_params', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '', '', '2007-10-04 16:52:14', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (313, '-1', 'Urgjente', 'priority', 2, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Update 2007-07-18 19:46:00 admin Update 2007-07-18 19:46:09 admin Update 2007-07-18 19:46:13 admin Update 2007-07-18 19:46:16 admin Update 2007-07-18 19:46:20 admin Update 2007-08-06 16:20:25 Greta Naraci Update 2007-08-06 16:39:24 Greta Naraci Update 2007-08-07 17:03:32 Greta Naraci Update 2007-08-07 23:52:48 admin Update 2007-08-07 23:53:01 admin', 'admin', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (314, '-1', 'Biokimi Klinike', 'clinical_chem', 7, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Update 2007-07-18 19:20:46 admin Update 2007-07-18 19:20:46 admin Update 2007-07-18 19:23:58 admin Update 2007-08-06 16:20:59 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (316, '-1', 'Koagulimi', 'coagulation', 8, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Update 2007-08-06 16:24:00 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (317, '-1', 'Hematologji', 'hematology', 10, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Update 2007-08-06 16:21:45 Greta Naraci', 'Greta Naraci', '2007-10-04 16:56:04', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (318, '-1', 'Diabetologji', 'blood_sugar', 6, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Update 2007-08-06 16:22:48 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (320, '-1', 'Proteinat', 'proteins', 9, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Update 2007-08-06 16:23:46 Greta Naraci Update 2007-08-06 16:35:58 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (331, '-1', 'Fecet Makroskop', 'fecetmakro', 14, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Update 2007-08-06 16:29:13 Greta Naraci Update 2007-08-07 17:21:34 Greta Naraci Update 2007-08-07 17:22:41 Greta Naraci Update 2007-08-07 17:29:42 Greta Naraci', 'Greta Naraci', '2007-10-04 16:56:06', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (334, '-1', 'Urine Komplet', 'totur', 5, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Update 2007-08-06 16:30:07 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (350, '-1', 'Gjak Komplet', 'gjak_komplet', 3, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-06 16:32:08 Greta Naraci Update 2007-08-07 17:30:09 Greta Naraci Update 2007-08-07 17:49:33 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (355, '-1', 'Lipoproteinat', 'ldl', 29, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-06 16:36:27 Greta Naraci', 'Greta Naraci', '2007-10-04 16:56:09', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (360, 'imunodiag', 'ASLO', '_aslo__imunodiag', 0, 'UI', '', 'null', '200', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-06 17:03:45 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (364, 'imunodiag', 'Anti HAV', '_hav__imunodiag', 0, 'titer', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'IgM anti-HAV', 'Created 2007-08-06 17:07:46 Greta Naraci Update 2007-08-06 17:09:01 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (365, 'imunodiag', 'Anti HBc', '_anti_hbc__imunodiag', 0, 'titer', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'IgM', 'Created 2007-08-06 17:08:33 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (366, 'imunodiag', 'HBsAg', '_hbsag__imunodiag', 0, 'titer', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-06 17:10:01 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (367, 'imunodiag', 'Anti HCV', '_anti_hcv__imunodiag', 0, 'titer', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-06 17:11:00 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (368, 'imunodiag', 'HDV Ag', '_hdv_ag__imunodiag', 0, 'titer', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-06 17:11:26 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (369, 'imunodiag', 'Anti HEV', '_anti_hev__imunodiag', 0, 'titer', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-06 17:11:59 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (370, 'imunodiag', 'HIV Ag1, Ag2', '_hiv__imunodiag', 0, 'titer', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Elisa', 'Created 2007-08-06 17:12:44 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (381, 'imunodiag', 'Fakt. Reumatoid', '_fak_reumat__imunodiag', 0, 'U/ml', '', 'null', '20', '0', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'nefelometri', 'Created 2007-08-07 12:20:04 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (382, 'gjak_komplet', 'MCV', '_mcv__gjak_komplet', 0, 'fl', '', 'null', '96', '84', 'null', 'null', 'null', 'null', 'null', '96', '84', 'null', 'null', 'null', 'null', 'null', '112', '98', 'null', 'null', 'null', 'null', 'null', '87', '83', 'null', 'null', 'null', 'null', 'null', '87', '70', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 12:27:58 Greta Naraci Update 2007-08-09 20:36:44 Greta Naraci', 'Greta Naraci', '2007-10-04 16:44:20', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (383, 'gjak_komplet', 'MCH', '_mch__gjak_komplet', 0, 'pg/qelize', '', 'null', '34', '28', 'null', 'null', 'null', 'null', 'null', '34', '28', 'null', 'null', 'null', 'null', 'null', '40', '34', 'null', 'null', 'null', 'null', 'null', '30', '27', 'null', 'null', 'null', 'null', 'null', '30', '23', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 12:28:56 Greta Naraci Update 2007-08-09 20:36:33 Greta Naraci', 'Greta Naraci', '2007-10-04 16:44:33', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (384, 'gjak_komplet', 'MCHC', '_mchc__gjak_komplet', 0, 'g/dl', '', 'null', '36', '32', 'null', 'null', 'null', 'null', 'null', '36', '32', 'null', 'null', 'null', 'null', 'null', '37', '33', 'null', 'null', 'null', 'null', 'null', '36', '31', 'null', 'null', 'null', 'null', 'null', '36', '31', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 12:29:56 Greta Naraci Update 2007-08-09 20:36:39 Greta Naraci', 'Greta Naraci', '2007-10-04 16:44:41', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (385, 'gjak_komplet', 'RDW', '_rdw__gjak_komplet', 0, '%', '', 'null', '14.5', '11.5', 'null', 'null', 'null', 'null', 'null', '14.5', '11.5', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 12:30:35 Greta Naraci Update 2007-08-09 20:36:55 Greta Naraci', 'Greta Naraci', '2007-10-04 16:44:45', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (386, 'gjak_komplet', 'MPV', '_mpv__gjak_komplet', 0, 'fl', '', 'null', '10.4', '7.4', 'null', 'null', 'null', 'null', 'null', '10.4', '7.4', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 12:31:13 Greta Naraci Update 2007-08-09 20:36:50 Greta Naraci', 'Greta Naraci', '2007-10-04 16:45:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (387, 'gjak_komplet', 'L Shkopinj', '_l_shkop__gjak_komplet', 0, '%', '', 'null', '6', '3', 'null', 'null', 'null', 'null', 'null', '6', '3', 'null', 'null', 'null', 'null', 'null', '18', '10', 'null', 'null', 'null', 'null', 'null', '12', '5', 'null', 'null', 'null', 'null', 'null', '11', '5', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 12:32:21 Greta Naraci Update 2007-08-07 12:32:32 Greta Naraci Update 2007-08-07 12:32:52 Greta Naraci', 'Greta Naraci', '2007-10-04 16:45:09', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (388, 'gjak_komplet', 'L Segmente', '_l_seg__gjak_komplet', 0, '%', '', 'null', '62', '50', 'null', 'null', 'null', 'null', 'null', '62', '50', 'null', 'null', 'null', 'null', 'null', '62', '32', 'null', 'null', 'null', 'null', 'null', '35', '15', 'null', 'null', 'null', 'null', 'null', '54', '13', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 12:33:52 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (389, 'gjak_komplet', 'L Eozinofile', '_l_eosin__gjak_komplet', 0, '%', '', 'null', '3', 'null', 'null', 'null', 'null', 'null', 'null', '3', 'null', 'null', 'null', 'null', 'null', 'null', '2', 'null', 'null', 'null', 'null', 'null', 'null', '3', 'null', 'null', 'null', 'null', 'null', 'null', '3', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 12:34:42 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (390, 'gjak_komplet', 'L Bazofile', '_l_bazo__gjak_komplet', 0, '%', '', 'null', '1', 'null', 'null', 'null', 'null', 'null', 'null', '1', 'null', 'null', 'null', 'null', 'null', 'null', '1', 'null', 'null', 'null', 'null', 'null', 'null', '1', 'null', 'null', 'null', 'null', 'null', 'null', '1', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 12:35:32 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (391, 'gjak_komplet', 'L Linfocite', '_l_linf__gjak_komplet', 0, '%', '', 'null', '40', '25', 'null', 'null', 'null', 'null', 'null', '40', '25', 'null', 'null', 'null', 'null', 'null', '36', '26', 'null', 'null', 'null', 'null', 'null', '71', '41', 'null', 'null', 'null', 'null', 'null', '57', '46', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 12:36:29 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (392, 'gjak_komplet', 'L Monocite', '_l_mon__gjak_komplet', 0, '%', '', 'null', '7', '3', 'null', 'null', 'null', 'null', 'null', '7', '3', 'null', 'null', 'null', 'null', 'null', '6', 'null', 'null', 'null', 'null', 'null', 'null', '7', 'null', 'null', 'null', 'null', 'null', 'null', '5', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 12:37:18 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (393, 'gjak_komplet', 'L Metamielocite', '_l_metamielocite__gjak_komplet', 0, '%', '', 'null', '1', 'null', 'null', 'null', 'null', 'null', 'null', '1', 'null', 'null', 'null', 'null', 'null', 'null', '0.0', 'null', 'null', 'null', 'null', 'null', 'null', '0.0', 'null', 'null', 'null', 'null', 'null', 'null', '0.0', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 12:38:13 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (394, 'gjak_komplet', 'Retikulocite', '_retikulocite__gjak_komplet', 0, 'njesi/mcl', '', 'null', '8500', '2500', 'null', 'null', 'null', 'null', 'null', '8500', '2500', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 12:39:33 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (395, 'gjak_komplet', 'Retikulocite %', '_ret_perqind__gjak_komplet', 0, '%', '', 'null', '1.5', '0.5', 'null', 'null', 'null', 'null', 'null', '1.5', '0.5', 'null', 'null', 'null', 'null', 'null', '6', '3', 'null', 'null', 'null', 'null', 'null', '1.5', '0.5', 'null', 'null', 'null', 'null', 'null', '1.5', '0.5', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 12:40:30 Greta Naraci Update 2007-08-07 12:40:52 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (396, 'gjak_komplet', 'Eritrosedimenti', '_eritrosedimenti__gjak_komplet', 0, 'mm/h', '', 'null', '15', 'null', 'null', 'null', 'null', 'null', 'null', '20', 'null', 'null', 'null', 'null', 'null', 'null', '10', 'null', 'null', 'null', 'null', 'null', 'null', '10', 'null', 'null', 'null', 'null', 'null', 'null', '10', 'null', 'null', 'null', 'null', 'null', 'Westergren', 'Created 2007-08-07 12:41:51 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (423, 'ldl', 'Kolesteroli Tot', '_lipo_kol__ldl', 0, 'mg/dl', '', 'null', '199', '140', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 13:17:20 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (424, 'ldl', 'HDL', '_lipo_hdl__ldl', 0, 'mg/dl', '', 'null', '65', '35', 'null', 'null', 'null', 'null', 'null', '80', '35', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 13:18:28 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (425, 'ldl', 'LDL', '_lipo_ldl__ldl', 0, 'mg/dl', '', 'null', '130', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '110', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 13:19:22 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (426, 'ldl', 'TG', '_lipo_tg__ldl', 0, 'mg/dl', '', 'null', '150', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 13:20:06 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (427, 'ldl', 'VLDL', '_lipo_vldl__ldl', 0, 'mg/dl', '', 'null', '30', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'vlera e TG / 5', 'Created 2007-08-07 13:20:59 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (457, 'clinical_chem', 'GGT', '_biokimi_ggt__clinical_chem', 0, 'U/l', '', 'null', '47', '7', 'null', 'null', 'null', 'null', 'null', '25', '5', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 14:26:29 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (475, 'hematology', 'Trupat Heinz', '_hemato_heinz__hematology', 0, 'cilesor', '', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', 'Created 2007-08-07 14:50:11 Greta Naraci', 'Greta Naraci', '2007-10-08 16:06:07', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (493, 'blood_sugar', 'Glicemia esell', '_diabeti_glic_esell__blood_sugar', 0, 'mg/dl', '', 'null', '110', '60', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '110', '60', 'null', 'null', 'null', 'null', 'null', '110', '60', 'null', 'null', 'null', 'null', 'null', '110', '60', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 15:53:34 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (494, 'blood_sugar', 'Toleranca 30''', '_diabeti_tol_30__blood_sugar', 0, 'mg/dl', '', 'null', '170', '110', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '75-100g glukoze p.os', 'Created 2007-08-07 15:54:26 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (495, 'blood_sugar', 'Toleranca 60''', '_diabeti_tol_60__blood_sugar', 0, 'mg/dl', '', 'null', '184', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '75-100g glukoze p.os', 'Created 2007-08-07 15:55:04 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (496, 'blood_sugar', 'Toleranca 120''', '_diabeti_tol_120__blood_sugar', 0, 'mg/dl', '', 'null', '138', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '140', 'null', 'null', 'null', 'null', 'null', '75-100g glukoze p.os', 'Created 2007-08-07 15:55:53 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (497, 'blood_sugar', 'Toleranca 180''', '_diabeti_tol_180__blood_sugar', 0, 'mg/dl', '', 'null', '120', '70', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', '75-100g glukoze p.os', 'Created 2007-08-07 15:56:42 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (502, 'coagulation', 'Koha Hemorragji', '_koag_hemorragji__coagulation', 0, 'min', '', 'null', '7', '1', 'null', 'null', 'null', 'null', 'null', '7', '1', 'null', 'null', 'null', 'null', 'null', '13', '3', 'null', 'null', 'null', 'null', 'null', '13', '3', 'null', 'null', 'null', 'null', 'null', '13', '3', 'null', 'null', 'null', 'null', 'Duke', 'Created 2007-08-07 16:07:38 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (504, 'coagulation', 'APTT', '_koag_aptt__coagulation', 0, 's', '', 'null', '35', '21', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 16:09:11 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (505, 'coagulation', 'Koha Koagulimit', '_koag_act__coagulation', 0, 's', '', 'null', '120', '70', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 16:09:51 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (506, 'coagulation', 'Koha Quick (PT)', '_koag_pt__coagulation', 0, 's', '', 'null', '13', '11', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 16:10:29 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (507, 'coagulation', 'INR', '_koag_inr__coagulation', 0, '', '', '2.0', '2.5', '1.5', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 16:11:22 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (517, 'coagulation', 'Fibrinogjeni', '_koag_fibrinogjeni__coagulation', 0, 'mg/dl', '', 'null', '400', '200', '701', '49', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 16:21:07 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (552, 'stool', 'Sasia', '_fece_sasia__stool', 0, 'g/d', '', 'null', '200', '100', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:17:15 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (553, 'stool', 'Ngjyra', '_fece_ngjyra__stool', 0, 'cilesore', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:18:50 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (554, 'stool', 'Era', '_fece_era__stool', 0, 'cilesore', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:19:45 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (555, 'stool', 'Konsistenca', '_fece_konsistenca__stool', 0, 'Cilesore', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:20:24 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (556, 'stool', 'Gjak', '_fece_gjak__stool', 0, 'cilesore', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:20:59 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (557, '-1', 'Fecet Mikroskop', 'fecemikro', 28, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:21:54 Greta Naraci Update 2007-08-07 17:29:01 Greta Naraci', 'Greta Naraci', '2007-10-04 16:56:09', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (558, '-1', 'Fece Biokimi', 'fecekimia', 27, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:22:27 Greta Naraci Update 2007-08-07 17:29:24 Greta Naraci Update 2007-08-09 20:46:24 Greta Naraci', 'Greta Naraci', '2007-10-04 16:56:07', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (559, 'fecetmakro', 'Sasia', '_fece_makro_sasia__fecetmakro', 0, 'g/d', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:23:34 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (560, 'fecetmakro', 'Ngjyra', '_fece_makro_ngjyra__fecetmakro', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:23:58 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (561, 'fecetmakro', 'Konsistenca', '_fece_makro_konsistenca__fecetmakro', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:24:28 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (562, 'fecetmakro', 'Gjak', '_fece_makro_gjak__fecetmakro', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:24:53 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (563, 'fecetmakro', 'Mukus', '_fece_makro_mukus__fecetmakro', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:25:14 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (564, 'fecetmakro', 'Pus', '_fece_makro_pus__fecetmakro', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:25:40 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (565, 'fecetmakro', 'Parazite', '_fece_makro_parazite__fecetmakro', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:26:05 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (566, 'fecemikro', 'Yndyrna', '_fece_mikro_yndyrna__fecemikro', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:26:52 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (570, 'fecemikro', 'Lipide', '_fece_mikro_lipide__fecemikro', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:35:13 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (571, 'fecemikro', 'Fibra', '_fece_mikro_fibra__fecemikro', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:35:35 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (572, 'fecemikro', 'Veze Parazitesh', '_fece_mikro_veze__fecemikro', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:35:57 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (573, 'fecemikro', 'Mikroorganizma', '_fece_mikro_mikrobe__fecemikro', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:36:25 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (574, 'fecemikro', 'Myk', '_fece_mikro_myk__fecemikro', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:36:47 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (575, 'fecemikro', 'Leukocite', '_fece_mikro_leukocite__fecemikro', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:37:18 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (578, 'fecekimia', 'Gjak Okult', '_fece_kimi_gj_okult__fecekimia', 0, '', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-07 17:39:20 Greta Naraci', 'Greta Naraci', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (604, 'totur', 'Ngjyra', '_ngjyra__totur', 0, 'cilesore', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 19:14:16 Greta Naraci', 'Greta Naraci', '2007-10-04 16:54:30', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (605, 'totur', 'Paraqitja', '_paraqitja__totur', 0, 'cilesore', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 19:14:32 Greta Naraci', 'Greta Naraci', '2007-10-04 16:54:32', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (606, 'totur', 'Pesha Specifike', '_pesha_specifike__totur', 0, 'n', '', 'null', '1025', '1005', 'null', 'null', 'null', 'null', 'null', '1025', '1005', 'null', 'null', 'null', 'null', 'null', '1018', '1001', 'null', 'null', 'null', 'null', 'null', '1018', '1001', 'null', 'null', 'null', 'null', 'null', '1025', '1005', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 19:14:59 Greta Naraci Update 2007-08-09 19:15:48 Greta Naraci', 'Greta Naraci', '2007-10-04 16:54:35', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (607, 'totur', 'pH', '_ph__totur', 0, '', '', '5.5', '8.0', '4.5', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 19:16:18 Greta Naraci', 'Greta Naraci', '2007-10-04 16:54:38', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (609, 'totur', 'Glukoza', '_glukoza__totur', 0, 'cilesore', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 19:17:16 Greta Naraci', 'Greta Naraci', '2007-10-04 16:54:40', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (610, 'totur', 'Ketonet', '_ketonet__totur', 0, 'cilesore', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 19:17:34 Greta Naraci', 'Greta Naraci', '2007-10-04 16:54:42', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (611, 'totur', 'Gjak', '_gjak__totur', 0, 'cilesore', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 19:17:51 Greta Naraci', 'Greta Naraci', '2007-10-04 16:54:44', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (612, 'totur', 'Proteina', '_proteina__totur', 0, 'cilesore', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 19:18:10 Greta Naraci', 'Greta Naraci', '2007-10-04 16:54:47', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (613, 'totur', 'Bilirubina', '_bilirubina__totur', 0, 'mg/dl', '', '0.0', '0.02', '0.0', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 19:18:43 Greta Naraci Update 2007-08-09 20:37:11 Greta Naraci', 'Greta Naraci', '2007-10-04 16:54:49', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (615, 'totur', 'Nitrate', '_nitrate__totur', 0, 'cilesore', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 19:19:55 Greta Naraci', 'Greta Naraci', '2007-10-04 16:54:51', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (616, 'totur', 'Esteraza Leukoc', '_esteraza_leukoc__totur', 0, 'cilesore', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 19:20:28 Greta Naraci', 'Greta Naraci', '2007-10-04 16:54:53', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (617, 'totur', 'Leukocite', '_leukocite__totur', 0, 'njesi/fushe', '', 'null', '4', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'zmadhim te madh', 'Created 2007-08-09 19:21:09 Greta Naraci Update 2007-08-09 19:21:20 Greta Naraci Update 2007-08-09 19:21:33 Greta Naraci', 'Greta Naraci', '2007-10-04 16:54:55', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (618, 'totur', 'Eritrocite', '_eritrocite__totur', 0, 'njesi/fushe', '', 'null', '3', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'zmadhim te madh', 'Created 2007-08-09 19:21:55 Greta Naraci Update 2007-08-09 19:22:02 Greta Naraci', 'Greta Naraci', '2007-10-04 16:54:57', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (619, 'totur', 'Qel Epit Tub Re', '_qel_epit_tub_re__totur', 0, 'njesi/fushe', '', 'null', '3', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'zmadhim te madh', 'Created 2007-08-09 19:22:40 Greta Naraci', 'Greta Naraci', '2007-10-04 16:55:09', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (620, 'totur', 'Qel Epit Skuam', '_qel_epit_skuam__totur', 0, 'njesi/fushe', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'zmadhim te madh', 'Created 2007-08-09 19:24:52 Greta Naraci', 'Greta Naraci', '2007-10-04 16:55:11', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (621, 'totur', 'Cilind Epit Ren', '_cilind_epit_ren__totur', 0, 'njesi/fushe', '', 'null', '0.0', '0.0', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'zmadhim te vogel', 'Created 2007-08-09 19:25:28 Greta Naraci Update 2007-08-09 19:27:20 Greta Naraci', 'Greta Naraci', '2007-10-04 16:55:14', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (622, 'totur', 'Cilnd Hialine', '_cilnd_hialine__totur', 0, 'njesi/fushe', '', 'null', '2', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'zmadhim te vogel', 'Created 2007-08-09 19:26:01 Greta Naraci Update 2007-08-09 19:27:59 Greta Naraci', 'Greta Naraci', '2007-10-04 16:55:17', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (623, 'totur', 'Cilind Granular', '_cilind_granular__totur', 0, 'njesi/fushe', '', 'null', '2', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'zmadhim te vogel', 'Created 2007-08-09 19:26:32 Greta Naraci Update 2007-08-09 19:27:28 Greta Naraci', 'Greta Naraci', '2007-10-04 16:55:19', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (624, 'totur', 'Cilind te trash', '_cilind_te_trash__totur', 0, 'njesi/fushe', '', 'null', '0.0', '0.0', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'zmadhim te vogel', 'Created 2007-08-09 19:27:04 Greta Naraci Update 2007-08-09 19:27:51 Greta Naraci', 'Greta Naraci', '2007-10-04 16:55:22', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (625, 'totur', 'Cilind Yndyrore', '_cilind_yndyrore__totur', 0, 'njesi/fushe', '', 'null', '0.0', '0.0', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'zmadhim te vogel', 'Created 2007-08-09 19:28:28 Greta Naraci', 'Greta Naraci', '2007-10-04 16:55:24', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (626, 'totur', 'Kristale 1', '_kristale_1__totur', 0, 'pershkrim', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'zmadhim te madh', 'Created 2007-08-09 19:29:16 Greta Naraci', 'Greta Naraci', '2007-10-04 16:55:27', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (627, 'totur', 'Kristale 2', '_kristale_2__totur', 0, 'pershkrim', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'zmadhim te madh', 'Created 2007-08-09 19:29:48 Greta Naraci', 'Greta Naraci', '2007-10-04 16:55:29', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (628, 'totur', 'Kristale 3', '_kristale_3__totur', 0, 'pershkrim', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'zmadhim te madh', 'Created 2007-08-09 19:30:03 Greta Naraci', 'Greta Naraci', '2007-10-04 16:55:32', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (629, 'totur', 'hCG', '_hcg__totur', 0, 'cilesore', '', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 19:30:24 Greta Naraci Update 2007-08-09 19:30:37 Greta Naraci', 'Greta Naraci', '2007-10-04 16:55:38', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (639, 'urine', 'Acidi Urik', '_acidi_urik__urine', 0, 'mg/d', '', 'null', '170', '250', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 20:06:02 Greta Naraci Update 2007-08-14 11:41:47 admin', 'admin', '2007-10-04 16:55:44', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (653, 'priority', 'Eritrocitet', '_eritrocitet__priority', 0, 'milione/mcl', '', 'null', '5.5', '4.5', 'null', 'null', 'null', 'null', 'null', '5.0', '4.0', 'null', 'null', 'null', 'null', 'null', '6.1', '4.1', 'null', 'null', 'null', 'null', 'null', '5.6', '3.8', 'null', 'null', 'null', 'null', 'null', '5.2', '3.9', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 20:19:19 Greta Naraci', 'Greta Naraci', '2007-10-04 16:53:59', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (654, 'priority', 'Leukocitet', '_leukocitet__priority', 0, 'njesi/mcl', '', 'null', '10000', '5000', 'null', 'null', 'null', 'null', 'null', '10000', '5000', 'null', 'null', 'null', 'null', 'null', '30000', '9000', 'null', 'null', 'null', 'null', 'null', '19000', '5000', 'null', 'null', 'null', 'null', 'null', '10800', '5000', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 20:20:38 Greta Naraci', 'Greta Naraci', '2007-10-04 16:54:12', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (655, 'priority', 'Hemoglobina', '_hemoglobina__priority', 0, 'g/dl', '', 'null', '17.4', '14.0', 'null', 'null', 'null', 'null', 'null', '16', '12', 'null', 'null', 'null', 'null', 'null', '24.5', '14.5', 'null', 'null', 'null', 'null', 'null', '14.5', '9.9', 'null', 'null', 'null', 'null', 'null', '14.9', '9.5', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 20:21:31 Greta Naraci', 'Greta Naraci', '2007-10-04 16:53:56', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (656, 'priority', 'Hematokriti', '_hematokriti__priority', 0, '%', '', 'null', '52', '42', 'null', 'null', 'null', 'null', 'null', '48', '36', 'null', 'null', 'null', 'null', 'null', '64', '44', 'null', 'null', 'null', 'null', 'null', '43', '35', 'null', 'null', 'null', 'null', 'null', '42', '30', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 20:22:22 Greta Naraci', 'Greta Naraci', '2007-10-04 16:54:08', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (657, 'priority', 'Eritrosedimenti', '_eritrosedimenti__priority', 0, 'mm/h', '', 'null', '15', 'null', 'null', 'null', 'null', 'null', 'null', '20', 'null', 'null', 'null', 'null', 'null', 'null', '10', 'null', 'null', 'null', 'null', 'null', 'null', '10', 'null', 'null', 'null', 'null', 'null', 'null', '10', 'null', 'null', 'null', 'null', 'null', 'Westergren', 'Created 2007-08-09 20:23:04 Greta Naraci', 'Greta Naraci', '2007-10-04 16:53:53', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (658, 'priority', 'Trombocitet', '_trombocitet__priority', 0, 'njesi/mcl', '', 'null', '400000', '140000', 'null', 'null', 'null', 'null', 'null', '400000', '140000', 'null', 'null', 'null', 'null', 'null', '450000', '150000', 'null', 'null', 'null', 'null', 'null', '450000', '150000', 'null', 'null', 'null', 'null', 'null', '450000', '150000', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 20:24:12 Greta Naraci', 'Greta Naraci', '2007-10-04 16:54:05', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (659, 'priority', 'APTT', '_aptt__priority', 0, 's', ' ', '', '35', '21', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'null', '', '', '', '', '', '', 'null', '', '', '', '', 'Created 2007-08-09 20:25:05 Greta Naraci Update 2007-08-09 20:59:34 Greta Naraci Update 2007-08-09 21:00:38 Greta Naraci Update 2007-08-09 21:00:54 Greta Naraci Update 2007-08-09 21:59:27 Greta NaraciUpdate 2007-10-04 16:40:20 admin\nUpdate 2007-10-06 14:22:17 admin\nUpdate 2007-10-06 14:27:38 admin\nUpdate 2007-10-06 14:27:59 admin\nUpdate 2007-10-06 14:28:09 admin\n', 'admin', '2007-10-06 14:28:09', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (660, 'priority', 'PT', '_pt__priority', 0, 's', '', 'null', '13', '11', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 20:25:33 Greta Naraci Update 2007-08-09 20:59:42 Greta Naraci Update 2007-08-09 21:01:04 Greta Naraci  Update 2007-08-09 21:59:33 Greta Naraci', 'Greta Naraci', '2007-10-04 16:53:47', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (661, 'priority', 'Glicemia', '_glicemia__priority', 0, 'mg/dl', '', 'null', '110', '60', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 20:27:23 Greta Naraci', 'Greta Naraci', '2007-10-04 16:54:10', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (662, 'priority', 'Kreatinina', '_kreatinina__priority', 0, 'mg/dl', '', 'null', '1.3', '0.9', 'null', 'null', 'null', 'null', 'null', '1.1', '0.6', 'null', 'null', 'null', 'null', 'null', '0.7', '0.3', 'null', 'null', 'null', 'null', 'null', '0.7', '0.3', 'null', 'null', 'null', 'null', 'null', '1.0', '0.5', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 20:28:13 Greta Naraci', 'Greta Naraci', '2007-10-04 16:54:03', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_param` (`nr`, `group_id`, `name`, `id`, `sort_nr`, `msr_unit`, `status`, `median`, `hi_bound`, `lo_bound`, `hi_critical`, `lo_critical`, `hi_toxic`, `lo_toxic`, `median_f`, `hi_bound_f`, `lo_bound_f`, `hi_critical_f`, `lo_critical_f`, `hi_toxic_f`, `lo_toxic_f`, `median_n`, `hi_bound_n`, `lo_bound_n`, `hi_critical_n`, `lo_critical_n`, `hi_toxic_n`, `lo_toxic_n`, `median_y`, `hi_bound_y`, `lo_bound_y`, `hi_critical_y`, `lo_critical_y`, `hi_toxic_y`, `lo_toxic_y`, `median_c`, `hi_bound_c`, `lo_bound_c`, `hi_critical_c`, `lo_critical_c`, `hi_toxic_c`, `lo_toxic_c`, `method`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (663, 'priority', 'Azotemia', '_azotemia__priority', 0, 'mg/dl', '', 'null', '20', '6', 'null', 'null', 'null', 'null', 'null', '20', '6', 'null', 'null', 'null', 'null', 'null', '18', '5', 'null', 'null', 'null', 'null', 'null', '18', '5', 'null', 'null', 'null', 'null', 'null', '18', '5', 'null', 'null', 'null', 'null', 'null', 'Created 2007-08-09 20:28:50 Greta Naraci Update 2007-08-09 21:59:38 Greta Naraci', 'Greta Naraci', '2007-10-04 16:54:01', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_test_request_baclabor`
-- 

CREATE TABLE `care_test_request_baclabor` (
  `batch_nr` int(11) NOT NULL auto_increment,
  `encounter_nr` int(11) unsigned NOT NULL default '0',
  `dept_nr` smallint(5) unsigned NOT NULL default '0',
  `material` text collate latin1_general_ci NOT NULL,
  `test_type` text collate latin1_general_ci NOT NULL,
  `material_note` tinytext collate latin1_general_ci NOT NULL,
  `diagnosis_note` tinytext collate latin1_general_ci NOT NULL,
  `immune_supp` tinyint(4) NOT NULL default '0',
  `send_date` date NOT NULL default '0000-00-00',
  `sample_date` date NOT NULL default '0000-00-00',
  `status` varchar(10) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`batch_nr`),
  KEY `send_date` (`send_date`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=30000004 ;

-- 
-- Dumping data for table `care_test_request_baclabor`
-- 

INSERT INTO `care_test_request_baclabor` (`batch_nr`, `encounter_nr`, `dept_nr`, `material`, `test_type`, `material_note`, `diagnosis_note`, `immune_supp`, `send_date`, `sample_date`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (30000000, 2007000302, 0, '_mx_sputum_=1', '_tx_special_body_material_=1', '', '', 0, '2007-07-11', '2007-07-11', 'done', 'Create: 2007-07-11 18:20:40 = admin\nDone: 2007-07-11 18:23:03 = admin\n', 'admin', '2007-07-11 18:23:03', 'admin', '2007-07-11 18:20:40');
INSERT INTO `care_test_request_baclabor` (`batch_nr`, `encounter_nr`, `dept_nr`, `material`, `test_type`, `material_note`, `diagnosis_note`, `immune_supp`, `send_date`, `sample_date`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (30000001, 2007000334, 0, '_mx_k_urin_=1&_mx_m_urin_=1&_mx_trachealsecrete_=1', '', 'shembull', 'shembull', 1, '2007-07-14', '2007-07-14', 'pending', 'Create: 2007-07-14 12:55:16 = admin\n', '', '2007-07-14 12:55:16', 'admin', '2007-07-14 12:55:16');
INSERT INTO `care_test_request_baclabor` (`batch_nr`, `encounter_nr`, `dept_nr`, `material`, `test_type`, `material_note`, `diagnosis_note`, `immune_supp`, `send_date`, `sample_date`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (30000002, 2007000355, 0, '', '_tx_tbc_dye_=1&_tx_tbc_culture_=1&_tx_liquor_antigen_=1&_tx_gram_dye_=1&_tx_go_dye_=1', 'kot', 'kot', 1, '2007-08-10', '2007-08-10', 'done', 'Create: 2007-08-10 16:46:07 = admin\nDone: 2007-08-10 16:53:11 = admin\n', 'admin', '2007-08-10 16:53:11', 'admin', '2007-08-10 16:46:07');
INSERT INTO `care_test_request_baclabor` (`batch_nr`, `encounter_nr`, `dept_nr`, `material`, `test_type`, `material_note`, `diagnosis_note`, `immune_supp`, `send_date`, `sample_date`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (30000003, 2007000355, 0, '', '_tx_fungus_culture_=1&_tx_stool_parasite_=1&_tx_stool_pathogen_=1', 'nuk e di', 'nuk e di', 1, '2007-10-10', '2007-10-10', 'pending', 'Create: 2007-10-10 18:25:24 = admin\n', '', '2007-10-10 18:25:24', 'admin', '2007-10-10 18:25:24');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_test_request_blood`
-- 

CREATE TABLE `care_test_request_blood` (
  `batch_nr` int(11) NOT NULL auto_increment,
  `encounter_nr` int(11) unsigned NOT NULL default '0',
  `dept_nr` smallint(5) unsigned NOT NULL default '0',
  `blood_group` varchar(10) collate latin1_general_ci NOT NULL,
  `rh_factor` varchar(10) collate latin1_general_ci NOT NULL,
  `kell` varchar(10) collate latin1_general_ci NOT NULL,
  `date_protoc_nr` varchar(45) collate latin1_general_ci NOT NULL,
  `pure_blood` varchar(15) collate latin1_general_ci NOT NULL,
  `red_blood` varchar(15) collate latin1_general_ci NOT NULL,
  `leukoless_blood` varchar(15) collate latin1_general_ci NOT NULL,
  `washed_blood` varchar(15) collate latin1_general_ci NOT NULL,
  `prp_blood` varchar(15) collate latin1_general_ci NOT NULL,
  `thrombo_con` varchar(15) collate latin1_general_ci NOT NULL,
  `ffp_plasma` varchar(15) collate latin1_general_ci NOT NULL,
  `transfusion_dev` varchar(15) collate latin1_general_ci NOT NULL,
  `match_sample` tinyint(4) NOT NULL default '0',
  `transfusion_date` date NOT NULL default '0000-00-00',
  `diagnosis` tinytext collate latin1_general_ci NOT NULL,
  `notes` tinytext collate latin1_general_ci NOT NULL,
  `send_date` date NOT NULL default '0000-00-00',
  `doctor` varchar(35) collate latin1_general_ci NOT NULL,
  `phone_nr` varchar(40) collate latin1_general_ci NOT NULL,
  `status` varchar(10) collate latin1_general_ci NOT NULL,
  `blood_pb` tinytext collate latin1_general_ci NOT NULL,
  `blood_rb` tinytext collate latin1_general_ci NOT NULL,
  `blood_llrb` tinytext collate latin1_general_ci NOT NULL,
  `blood_wrb` tinytext collate latin1_general_ci NOT NULL,
  `blood_prp` tinyblob NOT NULL,
  `blood_tc` tinytext collate latin1_general_ci NOT NULL,
  `blood_ffp` tinytext collate latin1_general_ci NOT NULL,
  `b_group_count` mediumint(9) NOT NULL default '0',
  `b_group_price` float(10,2) NOT NULL default '0.00',
  `a_subgroup_count` mediumint(9) NOT NULL default '0',
  `a_subgroup_price` float(10,2) NOT NULL default '0.00',
  `extra_factors_count` mediumint(9) NOT NULL default '0',
  `extra_factors_price` float(10,2) NOT NULL default '0.00',
  `coombs_count` mediumint(9) NOT NULL default '0',
  `coombs_price` float(10,2) NOT NULL default '0.00',
  `ab_test_count` mediumint(9) NOT NULL default '0',
  `ab_test_price` float(10,2) NOT NULL default '0.00',
  `crosstest_count` mediumint(9) NOT NULL default '0',
  `crosstest_price` float(10,2) NOT NULL default '0.00',
  `ab_diff_count` mediumint(9) NOT NULL default '0',
  `ab_diff_price` float(10,2) NOT NULL default '0.00',
  `x_test_1_code` mediumint(9) NOT NULL default '0',
  `x_test_1_name` varchar(35) collate latin1_general_ci NOT NULL,
  `x_test_1_count` mediumint(9) NOT NULL default '0',
  `x_test_1_price` float(10,2) NOT NULL default '0.00',
  `x_test_2_code` mediumint(9) NOT NULL default '0',
  `x_test_2_name` varchar(35) collate latin1_general_ci NOT NULL,
  `x_test_2_count` mediumint(9) NOT NULL default '0',
  `x_test_2_price` float(10,2) NOT NULL default '0.00',
  `x_test_3_code` mediumint(9) NOT NULL default '0',
  `x_test_3_name` varchar(35) collate latin1_general_ci NOT NULL,
  `x_test_3_count` mediumint(9) NOT NULL default '0',
  `x_test_3_price` float(10,2) NOT NULL default '0.00',
  `lab_stamp` datetime NOT NULL default '0000-00-00 00:00:00',
  `release_via` varchar(20) collate latin1_general_ci NOT NULL,
  `receipt_ack` varchar(20) collate latin1_general_ci NOT NULL,
  `mainlog_nr` varchar(7) collate latin1_general_ci NOT NULL,
  `lab_nr` varchar(7) collate latin1_general_ci NOT NULL,
  `mainlog_date` date NOT NULL default '0000-00-00',
  `lab_date` date NOT NULL default '0000-00-00',
  `mainlog_sign` varchar(20) collate latin1_general_ci NOT NULL,
  `lab_sign` varchar(20) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`batch_nr`),
  KEY `send_date` (`send_date`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=40000012 ;

-- 
-- Dumping data for table `care_test_request_blood`
-- 

INSERT INTO `care_test_request_blood` (`batch_nr`, `encounter_nr`, `dept_nr`, `blood_group`, `rh_factor`, `kell`, `date_protoc_nr`, `pure_blood`, `red_blood`, `leukoless_blood`, `washed_blood`, `prp_blood`, `thrombo_con`, `ffp_plasma`, `transfusion_dev`, `match_sample`, `transfusion_date`, `diagnosis`, `notes`, `send_date`, `doctor`, `phone_nr`, `status`, `blood_pb`, `blood_rb`, `blood_llrb`, `blood_wrb`, `blood_prp`, `blood_tc`, `blood_ffp`, `b_group_count`, `b_group_price`, `a_subgroup_count`, `a_subgroup_price`, `extra_factors_count`, `extra_factors_price`, `coombs_count`, `coombs_price`, `ab_test_count`, `ab_test_price`, `crosstest_count`, `crosstest_price`, `ab_diff_count`, `ab_diff_price`, `x_test_1_code`, `x_test_1_name`, `x_test_1_count`, `x_test_1_price`, `x_test_2_code`, `x_test_2_name`, `x_test_2_count`, `x_test_2_price`, `x_test_3_code`, `x_test_3_name`, `x_test_3_count`, `x_test_3_price`, `lab_stamp`, `release_via`, `receipt_ack`, `mainlog_nr`, `lab_nr`, `mainlog_date`, `lab_date`, `mainlog_sign`, `lab_sign`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (40000000, 2007000355, 0, 'a', '+', 'B', '', '12', '', '', '', '', '', '', '', 0, '2007-08-21', 'kot', '', '2007-08-21', 'gjergji', '', 'received', '', '', '', '', '', '', '', 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, '2007-10-04 13:01:36', 'gj', 'dfgsdf', '234', '234', '2007-10-04', '2007-10-04', 'fgh', 'dfhg', 'Create: 2007-08-21 18:45:11 = admin\nAck: 2007-10-04 13:01:54 = admin\nAck: 2007-10-04 13:01:59 = admin\nAck: 2007-10-04 13:03:30 = admin\nAck: 2007-10-04 13:09:03 = admin\nAck: 2007-10-04 13:09:10 = admin\nAck: 2007-10-04 13:31:46 = admin\nAck: 2007-10-04 13:34:18 = admin\nAck: 2007-10-04 13:34:59 = admin\n', 'admin', '2007-10-04 13:34:59', 'admin', '2007-08-21 18:45:11');
INSERT INTO `care_test_request_blood` (`batch_nr`, `encounter_nr`, `dept_nr`, `blood_group`, `rh_factor`, `kell`, `date_protoc_nr`, `pure_blood`, `red_blood`, `leukoless_blood`, `washed_blood`, `prp_blood`, `thrombo_con`, `ffp_plasma`, `transfusion_dev`, `match_sample`, `transfusion_date`, `diagnosis`, `notes`, `send_date`, `doctor`, `phone_nr`, `status`, `blood_pb`, `blood_rb`, `blood_llrb`, `blood_wrb`, `blood_prp`, `blood_tc`, `blood_ffp`, `b_group_count`, `b_group_price`, `a_subgroup_count`, `a_subgroup_price`, `extra_factors_count`, `extra_factors_price`, `coombs_count`, `coombs_price`, `ab_test_count`, `ab_test_price`, `crosstest_count`, `crosstest_price`, `ab_diff_count`, `ab_diff_price`, `x_test_1_code`, `x_test_1_name`, `x_test_1_count`, `x_test_1_price`, `x_test_2_code`, `x_test_2_name`, `x_test_2_count`, `x_test_2_price`, `x_test_3_code`, `x_test_3_name`, `x_test_3_count`, `x_test_3_price`, `lab_stamp`, `release_via`, `receipt_ack`, `mainlog_nr`, `lab_nr`, `mainlog_date`, `lab_date`, `mainlog_sign`, `lab_sign`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (40000001, 2007000355, 0, 'A', '12', '12', '', '', '', '', '', '', '', '', '', 0, '2007-10-08', '', '', '2007-10-08', 'gjergji', '', 'pending', '', '', '', '', '', '', '', 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, '0000-00-00 00:00:00', '', '', '', '', '0000-00-00', '0000-00-00', '', '', 'Create: 2007-10-08 16:21:32 = admin\n', '', '2007-10-08 16:21:32', 'admin', '2007-10-08 16:21:32');
INSERT INTO `care_test_request_blood` (`batch_nr`, `encounter_nr`, `dept_nr`, `blood_group`, `rh_factor`, `kell`, `date_protoc_nr`, `pure_blood`, `red_blood`, `leukoless_blood`, `washed_blood`, `prp_blood`, `thrombo_con`, `ffp_plasma`, `transfusion_dev`, `match_sample`, `transfusion_date`, `diagnosis`, `notes`, `send_date`, `doctor`, `phone_nr`, `status`, `blood_pb`, `blood_rb`, `blood_llrb`, `blood_wrb`, `blood_prp`, `blood_tc`, `blood_ffp`, `b_group_count`, `b_group_price`, `a_subgroup_count`, `a_subgroup_price`, `extra_factors_count`, `extra_factors_price`, `coombs_count`, `coombs_price`, `ab_test_count`, `ab_test_price`, `crosstest_count`, `crosstest_price`, `ab_diff_count`, `ab_diff_price`, `x_test_1_code`, `x_test_1_name`, `x_test_1_count`, `x_test_1_price`, `x_test_2_code`, `x_test_2_name`, `x_test_2_count`, `x_test_2_price`, `x_test_3_code`, `x_test_3_name`, `x_test_3_count`, `x_test_3_price`, `lab_stamp`, `release_via`, `receipt_ack`, `mainlog_nr`, `lab_nr`, `mainlog_date`, `lab_date`, `mainlog_sign`, `lab_sign`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (40000002, 2007000355, 0, 'C', '12', '12', '', '', '', '', '', '', '', '', '', 0, '2007-10-08', '', '', '2007-10-08', 'gjergji', '', 'pending', '', '', '', '', '', '', '', 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, '0000-00-00 00:00:00', '', '', '', '', '0000-00-00', '0000-00-00', '', '', 'Create: 2007-10-08 16:22:10 = admin\n', '', '2007-10-08 16:22:10', 'admin', '2007-10-08 16:22:10');
INSERT INTO `care_test_request_blood` (`batch_nr`, `encounter_nr`, `dept_nr`, `blood_group`, `rh_factor`, `kell`, `date_protoc_nr`, `pure_blood`, `red_blood`, `leukoless_blood`, `washed_blood`, `prp_blood`, `thrombo_con`, `ffp_plasma`, `transfusion_dev`, `match_sample`, `transfusion_date`, `diagnosis`, `notes`, `send_date`, `doctor`, `phone_nr`, `status`, `blood_pb`, `blood_rb`, `blood_llrb`, `blood_wrb`, `blood_prp`, `blood_tc`, `blood_ffp`, `b_group_count`, `b_group_price`, `a_subgroup_count`, `a_subgroup_price`, `extra_factors_count`, `extra_factors_price`, `coombs_count`, `coombs_price`, `ab_test_count`, `ab_test_price`, `crosstest_count`, `crosstest_price`, `ab_diff_count`, `ab_diff_price`, `x_test_1_code`, `x_test_1_name`, `x_test_1_count`, `x_test_1_price`, `x_test_2_code`, `x_test_2_name`, `x_test_2_count`, `x_test_2_price`, `x_test_3_code`, `x_test_3_name`, `x_test_3_count`, `x_test_3_price`, `lab_stamp`, `release_via`, `receipt_ack`, `mainlog_nr`, `lab_nr`, `mainlog_date`, `lab_date`, `mainlog_sign`, `lab_sign`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (40000003, 2007000355, 0, 'c', '12', '12', '', '', '', '', '', '', '', '', '', 0, '2007-10-08', '', '', '2007-10-08', 'gjerjfd', '', 'pending', '', '', '', '', '', '', '', 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, '0000-00-00 00:00:00', '', '', '', '', '0000-00-00', '0000-00-00', '', '', 'Create: 2007-10-08 16:22:52 = admin\n', '', '2007-10-08 16:22:52', 'admin', '2007-10-08 16:22:52');
INSERT INTO `care_test_request_blood` (`batch_nr`, `encounter_nr`, `dept_nr`, `blood_group`, `rh_factor`, `kell`, `date_protoc_nr`, `pure_blood`, `red_blood`, `leukoless_blood`, `washed_blood`, `prp_blood`, `thrombo_con`, `ffp_plasma`, `transfusion_dev`, `match_sample`, `transfusion_date`, `diagnosis`, `notes`, `send_date`, `doctor`, `phone_nr`, `status`, `blood_pb`, `blood_rb`, `blood_llrb`, `blood_wrb`, `blood_prp`, `blood_tc`, `blood_ffp`, `b_group_count`, `b_group_price`, `a_subgroup_count`, `a_subgroup_price`, `extra_factors_count`, `extra_factors_price`, `coombs_count`, `coombs_price`, `ab_test_count`, `ab_test_price`, `crosstest_count`, `crosstest_price`, `ab_diff_count`, `ab_diff_price`, `x_test_1_code`, `x_test_1_name`, `x_test_1_count`, `x_test_1_price`, `x_test_2_code`, `x_test_2_name`, `x_test_2_count`, `x_test_2_price`, `x_test_3_code`, `x_test_3_name`, `x_test_3_count`, `x_test_3_price`, `lab_stamp`, `release_via`, `receipt_ack`, `mainlog_nr`, `lab_nr`, `mainlog_date`, `lab_date`, `mainlog_sign`, `lab_sign`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (40000004, 2007000355, 0, 'c', '12', '12', '', '', '', '', '', '', '', '', '', 0, '2007-10-08', '', '', '2007-10-08', 'gjergji', '', 'pending', '', '', '', '', '', '', '', 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, '0000-00-00 00:00:00', '', '', '', '', '0000-00-00', '0000-00-00', '', '', 'Create: 2007-10-08 16:24:43 = admin\n', '', '2007-10-08 16:24:43', 'admin', '2007-10-08 16:24:43');
INSERT INTO `care_test_request_blood` (`batch_nr`, `encounter_nr`, `dept_nr`, `blood_group`, `rh_factor`, `kell`, `date_protoc_nr`, `pure_blood`, `red_blood`, `leukoless_blood`, `washed_blood`, `prp_blood`, `thrombo_con`, `ffp_plasma`, `transfusion_dev`, `match_sample`, `transfusion_date`, `diagnosis`, `notes`, `send_date`, `doctor`, `phone_nr`, `status`, `blood_pb`, `blood_rb`, `blood_llrb`, `blood_wrb`, `blood_prp`, `blood_tc`, `blood_ffp`, `b_group_count`, `b_group_price`, `a_subgroup_count`, `a_subgroup_price`, `extra_factors_count`, `extra_factors_price`, `coombs_count`, `coombs_price`, `ab_test_count`, `ab_test_price`, `crosstest_count`, `crosstest_price`, `ab_diff_count`, `ab_diff_price`, `x_test_1_code`, `x_test_1_name`, `x_test_1_count`, `x_test_1_price`, `x_test_2_code`, `x_test_2_name`, `x_test_2_count`, `x_test_2_price`, `x_test_3_code`, `x_test_3_name`, `x_test_3_count`, `x_test_3_price`, `lab_stamp`, `release_via`, `receipt_ack`, `mainlog_nr`, `lab_nr`, `mainlog_date`, `lab_date`, `mainlog_sign`, `lab_sign`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (40000005, 2007000355, 0, 'c', 'qw', 'qw', '', '', '', '', '', '', '', '', '', 0, '2007-10-08', '', '', '2007-10-08', 'gjergji', '', 'pending', '', '', '', '', '', '', '', 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, '0000-00-00 00:00:00', '', '', '', '', '0000-00-00', '0000-00-00', '', '', 'Create: 2007-10-08 16:25:30 = admin\n', '', '2007-10-08 16:25:30', 'admin', '2007-10-08 16:25:30');
INSERT INTO `care_test_request_blood` (`batch_nr`, `encounter_nr`, `dept_nr`, `blood_group`, `rh_factor`, `kell`, `date_protoc_nr`, `pure_blood`, `red_blood`, `leukoless_blood`, `washed_blood`, `prp_blood`, `thrombo_con`, `ffp_plasma`, `transfusion_dev`, `match_sample`, `transfusion_date`, `diagnosis`, `notes`, `send_date`, `doctor`, `phone_nr`, `status`, `blood_pb`, `blood_rb`, `blood_llrb`, `blood_wrb`, `blood_prp`, `blood_tc`, `blood_ffp`, `b_group_count`, `b_group_price`, `a_subgroup_count`, `a_subgroup_price`, `extra_factors_count`, `extra_factors_price`, `coombs_count`, `coombs_price`, `ab_test_count`, `ab_test_price`, `crosstest_count`, `crosstest_price`, `ab_diff_count`, `ab_diff_price`, `x_test_1_code`, `x_test_1_name`, `x_test_1_count`, `x_test_1_price`, `x_test_2_code`, `x_test_2_name`, `x_test_2_count`, `x_test_2_price`, `x_test_3_code`, `x_test_3_name`, `x_test_3_count`, `x_test_3_price`, `lab_stamp`, `release_via`, `receipt_ack`, `mainlog_nr`, `lab_nr`, `mainlog_date`, `lab_date`, `mainlog_sign`, `lab_sign`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (40000006, 2007000355, 0, 'c', '12', '12', '', '', '', '', '', '', '', '', '', 0, '2007-10-08', '', '', '2007-10-08', 'gjergji', '', 'pending', '', '', '', '', '', '', '', 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, '0000-00-00 00:00:00', '', '', '', '', '0000-00-00', '0000-00-00', '', '', 'Create: 2007-10-08 16:26:26 = admin\n', '', '2007-10-08 16:26:26', 'admin', '2007-10-08 16:26:26');
INSERT INTO `care_test_request_blood` (`batch_nr`, `encounter_nr`, `dept_nr`, `blood_group`, `rh_factor`, `kell`, `date_protoc_nr`, `pure_blood`, `red_blood`, `leukoless_blood`, `washed_blood`, `prp_blood`, `thrombo_con`, `ffp_plasma`, `transfusion_dev`, `match_sample`, `transfusion_date`, `diagnosis`, `notes`, `send_date`, `doctor`, `phone_nr`, `status`, `blood_pb`, `blood_rb`, `blood_llrb`, `blood_wrb`, `blood_prp`, `blood_tc`, `blood_ffp`, `b_group_count`, `b_group_price`, `a_subgroup_count`, `a_subgroup_price`, `extra_factors_count`, `extra_factors_price`, `coombs_count`, `coombs_price`, `ab_test_count`, `ab_test_price`, `crosstest_count`, `crosstest_price`, `ab_diff_count`, `ab_diff_price`, `x_test_1_code`, `x_test_1_name`, `x_test_1_count`, `x_test_1_price`, `x_test_2_code`, `x_test_2_name`, `x_test_2_count`, `x_test_2_price`, `x_test_3_code`, `x_test_3_name`, `x_test_3_count`, `x_test_3_price`, `lab_stamp`, `release_via`, `receipt_ack`, `mainlog_nr`, `lab_nr`, `mainlog_date`, `lab_date`, `mainlog_sign`, `lab_sign`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (40000007, 2007000355, 0, 'A', '12', '12', '', '1', '1', '1', '1', '1', '1', '1', '1', 0, '2007-10-08', '', '', '2007-10-08', 'gjergji', '', 'pending', '', '', '', '', '', '', '', 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, '0000-00-00 00:00:00', '', '', '', '', '0000-00-00', '0000-00-00', '', '', 'Create: 2007-10-08 16:34:49 = admin\n', '', '2007-10-08 16:34:49', 'admin', '2007-10-08 16:34:49');
INSERT INTO `care_test_request_blood` (`batch_nr`, `encounter_nr`, `dept_nr`, `blood_group`, `rh_factor`, `kell`, `date_protoc_nr`, `pure_blood`, `red_blood`, `leukoless_blood`, `washed_blood`, `prp_blood`, `thrombo_con`, `ffp_plasma`, `transfusion_dev`, `match_sample`, `transfusion_date`, `diagnosis`, `notes`, `send_date`, `doctor`, `phone_nr`, `status`, `blood_pb`, `blood_rb`, `blood_llrb`, `blood_wrb`, `blood_prp`, `blood_tc`, `blood_ffp`, `b_group_count`, `b_group_price`, `a_subgroup_count`, `a_subgroup_price`, `extra_factors_count`, `extra_factors_price`, `coombs_count`, `coombs_price`, `ab_test_count`, `ab_test_price`, `crosstest_count`, `crosstest_price`, `ab_diff_count`, `ab_diff_price`, `x_test_1_code`, `x_test_1_name`, `x_test_1_count`, `x_test_1_price`, `x_test_2_code`, `x_test_2_name`, `x_test_2_count`, `x_test_2_price`, `x_test_3_code`, `x_test_3_name`, `x_test_3_count`, `x_test_3_price`, `lab_stamp`, `release_via`, `receipt_ack`, `mainlog_nr`, `lab_nr`, `mainlog_date`, `lab_date`, `mainlog_sign`, `lab_sign`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (40000008, 2007000355, 0, 'AB', '1', '1', '', '1', '', '', '', '', '', '', '', 0, '2007-10-08', '', '', '2007-10-08', 'gjergji', '', 'pending', '', '', '', '', '', '', '', 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, '0000-00-00 00:00:00', '', '', '', '', '0000-00-00', '0000-00-00', '', '', 'Create: 2007-10-08 16:35:05 = admin\n', '', '2007-10-08 16:35:05', 'admin', '2007-10-08 16:35:05');
INSERT INTO `care_test_request_blood` (`batch_nr`, `encounter_nr`, `dept_nr`, `blood_group`, `rh_factor`, `kell`, `date_protoc_nr`, `pure_blood`, `red_blood`, `leukoless_blood`, `washed_blood`, `prp_blood`, `thrombo_con`, `ffp_plasma`, `transfusion_dev`, `match_sample`, `transfusion_date`, `diagnosis`, `notes`, `send_date`, `doctor`, `phone_nr`, `status`, `blood_pb`, `blood_rb`, `blood_llrb`, `blood_wrb`, `blood_prp`, `blood_tc`, `blood_ffp`, `b_group_count`, `b_group_price`, `a_subgroup_count`, `a_subgroup_price`, `extra_factors_count`, `extra_factors_price`, `coombs_count`, `coombs_price`, `ab_test_count`, `ab_test_price`, `crosstest_count`, `crosstest_price`, `ab_diff_count`, `ab_diff_price`, `x_test_1_code`, `x_test_1_name`, `x_test_1_count`, `x_test_1_price`, `x_test_2_code`, `x_test_2_name`, `x_test_2_count`, `x_test_2_price`, `x_test_3_code`, `x_test_3_name`, `x_test_3_count`, `x_test_3_price`, `lab_stamp`, `release_via`, `receipt_ack`, `mainlog_nr`, `lab_nr`, `mainlog_date`, `lab_date`, `mainlog_sign`, `lab_sign`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (40000009, 2007000355, 0, 'A', 'as', 'as', '', '1', '', '', '', '', '', '', '', 0, '2007-10-08', '', '', '2007-10-08', 'gjergji', '', 'pending', '', '', '', '', '', '', '', 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, '0000-00-00 00:00:00', '', '', '', '', '0000-00-00', '0000-00-00', '', '', 'Create: 2007-10-08 16:36:06 = admin\n', '', '2007-10-08 16:36:06', 'admin', '2007-10-08 16:36:06');
INSERT INTO `care_test_request_blood` (`batch_nr`, `encounter_nr`, `dept_nr`, `blood_group`, `rh_factor`, `kell`, `date_protoc_nr`, `pure_blood`, `red_blood`, `leukoless_blood`, `washed_blood`, `prp_blood`, `thrombo_con`, `ffp_plasma`, `transfusion_dev`, `match_sample`, `transfusion_date`, `diagnosis`, `notes`, `send_date`, `doctor`, `phone_nr`, `status`, `blood_pb`, `blood_rb`, `blood_llrb`, `blood_wrb`, `blood_prp`, `blood_tc`, `blood_ffp`, `b_group_count`, `b_group_price`, `a_subgroup_count`, `a_subgroup_price`, `extra_factors_count`, `extra_factors_price`, `coombs_count`, `coombs_price`, `ab_test_count`, `ab_test_price`, `crosstest_count`, `crosstest_price`, `ab_diff_count`, `ab_diff_price`, `x_test_1_code`, `x_test_1_name`, `x_test_1_count`, `x_test_1_price`, `x_test_2_code`, `x_test_2_name`, `x_test_2_count`, `x_test_2_price`, `x_test_3_code`, `x_test_3_name`, `x_test_3_count`, `x_test_3_price`, `lab_stamp`, `release_via`, `receipt_ack`, `mainlog_nr`, `lab_nr`, `mainlog_date`, `lab_date`, `mainlog_sign`, `lab_sign`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (40000010, 2007000355, 0, 'A', 'rh+', 'k+', '', '1', '', '', '', '', '', '', '', 0, '2007-10-08', '', '', '2007-10-08', 'gjergji', '', 'pending', '', '', '', '', '', '', '', 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, '0000-00-00 00:00:00', '', '', '', '', '0000-00-00', '0000-00-00', '', '', 'Create: 2007-10-08 18:31:32 = admin\n', '', '2007-10-08 18:31:32', 'admin', '2007-10-08 18:31:32');
INSERT INTO `care_test_request_blood` (`batch_nr`, `encounter_nr`, `dept_nr`, `blood_group`, `rh_factor`, `kell`, `date_protoc_nr`, `pure_blood`, `red_blood`, `leukoless_blood`, `washed_blood`, `prp_blood`, `thrombo_con`, `ffp_plasma`, `transfusion_dev`, `match_sample`, `transfusion_date`, `diagnosis`, `notes`, `send_date`, `doctor`, `phone_nr`, `status`, `blood_pb`, `blood_rb`, `blood_llrb`, `blood_wrb`, `blood_prp`, `blood_tc`, `blood_ffp`, `b_group_count`, `b_group_price`, `a_subgroup_count`, `a_subgroup_price`, `extra_factors_count`, `extra_factors_price`, `coombs_count`, `coombs_price`, `ab_test_count`, `ab_test_price`, `crosstest_count`, `crosstest_price`, `ab_diff_count`, `ab_diff_price`, `x_test_1_code`, `x_test_1_name`, `x_test_1_count`, `x_test_1_price`, `x_test_2_code`, `x_test_2_name`, `x_test_2_count`, `x_test_2_price`, `x_test_3_code`, `x_test_3_name`, `x_test_3_count`, `x_test_3_price`, `lab_stamp`, `release_via`, `receipt_ack`, `mainlog_nr`, `lab_nr`, `mainlog_date`, `lab_date`, `mainlog_sign`, `lab_sign`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (40000011, 2007000355, 0, 'A', '?', '?', '', '1', '', '', '', '', '', '', '', 1, '2007-10-08', '', '', '2007-10-08', 'gjergji', '', 'pending', '', '', '', '', '', '', '', 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, 0, '', 0, 0.00, '0000-00-00 00:00:00', '', '', '', '', '0000-00-00', '0000-00-00', '', '', 'Create: 2007-10-08 20:11:44 = admin\n', '', '2007-10-08 20:11:44', 'admin', '2007-10-08 20:11:44');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_test_request_chemlabor`
-- 

CREATE TABLE `care_test_request_chemlabor` (
  `batch_nr` int(11) NOT NULL auto_increment,
  `encounter_nr` int(11) unsigned NOT NULL default '0',
  `room_nr` varchar(10) collate latin1_general_ci NOT NULL,
  `dept_nr` smallint(5) unsigned NOT NULL default '0',
  `parameters` text collate latin1_general_ci NOT NULL,
  `doctor_sign` varchar(35) collate latin1_general_ci NOT NULL,
  `highrisk` smallint(1) NOT NULL default '0',
  `notes` tinytext collate latin1_general_ci NOT NULL,
  `send_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `sample_time` time NOT NULL default '00:00:00',
  `urgent` tinyint(4) NOT NULL default '0',
  `sample_weekday` smallint(1) NOT NULL default '0',
  `status` varchar(15) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`batch_nr`),
  KEY `encounter_nr` (`encounter_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=10000022 ;

-- 
-- Dumping data for table `care_test_request_chemlabor`
-- 

INSERT INTO `care_test_request_chemlabor` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `parameters`, `doctor_sign`, `highrisk`, `notes`, `send_date`, `sample_time`, `urgent`, `sample_weekday`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000000, 2007000211, '', 0, '_13afp=1&_ama=1&_10ana=1&_10anc=1&_10asm=1&_10dnsab=1&_10ena=1', '', 0, '', '2007-07-18 12:59:05', '12:45:00', 1, 3, 'done', 'Create: 2007-07-18 12:59:05 = admin\nDone: 2007-07-18 13:02:52 = admin\n', 'admin', '2007-07-18 13:02:52', 'admin', NULL);
INSERT INTO `care_test_request_chemlabor` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `parameters`, `doctor_sign`, `highrisk`, `notes`, `send_date`, `sample_time`, `urgent`, `sample_weekday`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000001, 2007000211, '', 0, '_13afp=1&_13cea=1', '', 0, '', '2007-07-18 22:38:52', '22:30:00', 0, 3, 'done', 'Create: 2007-07-18 22:38:52 = admin\nDone: 2007-07-18 22:40:48 = admin\n', 'admin', '2007-07-18 22:40:48', 'admin', NULL);
INSERT INTO `care_test_request_chemlabor` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `parameters`, `doctor_sign`, `highrisk`, `notes`, `send_date`, `sample_time`, `urgent`, `sample_weekday`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000002, 2007000211, '', 0, '_13afp=1&_13cea=1', '', 0, '', '2007-07-18 22:40:59', '22:30:00', 0, 3, 'done', 'Create: 2007-07-18 22:40:59 = admin\nDone: 2007-07-18 22:42:37 = admin\n', 'admin', '2007-07-18 22:42:37', 'admin', NULL);
INSERT INTO `care_test_request_chemlabor` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `parameters`, `doctor_sign`, `highrisk`, `notes`, `send_date`, `sample_time`, `urgent`, `sample_weekday`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000012, 2007000224, '', 0, '_aptt_priority=1&_koag_pt__coagulation=1&_eritrocitet_priority=1&_eritrosedimenti_priority=1&_glicemia_priority=1&_hematokriti_priority=1&_hemoglobina_priority=1&_kreatinina_priority=1&_leukocitet_priority=1&_trombocitet_priority=1&_biokimi_bun__clinical_chem=1', '', 0, '', '2007-08-09 20:58:07', '20:45:00', 0, 4, 'done', 'Create: 2007-08-09 20:58:07 = Greta Naraci\nDone: 2007-08-14 16:43:26 = admin\n', 'admin', '2007-08-14 16:43:26', 'Greta Naraci', NULL);
INSERT INTO `care_test_request_chemlabor` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `parameters`, `doctor_sign`, `highrisk`, `notes`, `send_date`, `sample_time`, `urgent`, `sample_weekday`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000013, 2007000348, '', 0, '_kristale_2_totur=1&_koag_act__coagulation=1&_kristale_3_totur=1&_koag_pt__coagulation=1&_fece_mikro_fibra__fecemikro=1&_leukocite_totur=1&_koag_tt__coagulation=1&_fece_mikro_leukocite__fecemikro=1&_eritrocitet_priority=1&_ngjyra_totur=1&_ac_laktik_arter_elektrolitet=1&_fece_mikro_lipide__fecemikro=1&_eritrosedimenti_priority=1&_nitrate_totur=1&_proteinat_albumina_proteins=1&_ac_laktik_venoz_elektrolitet=1&_fece_mikro_mikrobe__fecemikro=1&_glicemia_priority=1&_paraqitja_totur=1&_proteinat_prealbumina__proteins=1&_anion_gap_elektrolitet=1&_fece_mikro_myk__fecemikro=1&_hematokriti_priority=1&_pesha_specifike_totur=1&_proteinat_pcr__proteins=1&_baze_deficiti_elektrolitet=1&_fece_mikro_veze__fecemikro=1&_hemoglobina_priority=1&_ph_totur=1&_proteinat_tot_proteins=1&_baze_eksesi_elektrolitet=1&_fece_mikro_yndyrna__fecemikro=1&_kreatinina_priority=1&_proteina_totur=1&_leukocitet_priority=1&_qel_epit_skuam_totur=1&_lipo_hdl__ldl=1&_fece_kimi_gj_okult__fecekimia=1&_qel_epit_tub_re_totur=1&_lipo_kol__ldl=1&_fece_kimi_lipide__fecekimia=1&_trombocitet_priority=1&_vellimi_totur=1&_lipo_ldl__ldl=1&_fece_kimi_osm__fecekimia=1&_lipo_tg__ldl=1&_kalciumi_total_elektrolitet=1&_fece_kimi_ph__fecekimia=1&_00rbc_gjak_komplet=1&_kalciumi_urine=1&_lipo_vldl__ldl=1&_fece_kimi_uji__fecekimia=1&_eritrosedimenti__gjak_komplet=1&_kreatinina_urine=1&_emx_hb__gjak_komplet=1&_mikroalbuminuri_urine=1&_hemato_ferritina__hematology=1&_emx_hct__gjak_komplet=1&_pregnanedioli_urine=1&_hemato_haptoglobina__hematology=1&_l_bazo__gjak_komplet=1&_proteinuria_urine=1&_hemato_hekuri__hematology=1&_abg_co2__abg_elektrolite=1&_l_eosin__gjak_komplet=1&_tibc_hematology=1&_abg_hbco__abg_elektrolite=1&_l_linf__gjak_komplet=1&_diabeti_glic_esell__blood_sugar=1&_hemato_transferrina__hematology=1&_abg_osmol__abg_elektrolite=1&_l_metamielocite__gjak_komplet=1&_diabeti_hba1c__blood_sugar=1&_hemato_heinz__hematology=1&_abg_paco2__abg_elektrolite=1&_l_mon__gjak_komplet=1&_diabeti_sullivan__blood_sugar=1&_hemato_b12__hematology=1&_abg_pao2__abg_elektrolite=1&_l_seg__gjak_komplet=1&_diabeti_tol_120__blood_sugar=1&_abg_ph__abg_elektrolite=1&_l_shkop_gjak_komplet=1&_diabeti_tol_180__blood_sugar=1&_ft3_thyroid=1&_abg_sato2__abg_elektrolite=1&_00wbc_gjak_komplet=1&_diabeti_tol_30__blood_sugar=1&_ft4_thyroid=1&_abg_vol_co2__abg_elektrolite=1&_mch_gjak_komplet=1&_diabeti_tol_60__blood_sugar=1&_tsh_bazal_thyroid=1&_abg_vol_o2__abg_elektrolite=1&_mchc_gjak_komplet=1&_mcv_gjak_komplet=1&_biokimi_amilaza__clinical_chem=1&_lcs_albumina__liquor=1&_hav__imunodiag=1&_mpv_gjak_komplet=1&_biokimi_bun__clinical_chem=1&_lcs_f_linf__liquor=1&_anti_hbc__imunodiag=1&_rdw_gjak_komplet=1&_biokimi_bilirubin_direct_clinical_chem=1&_lcs_f_mono__liquor=1&_anti_hcv__imunodiag=1&_retikulocite__gjak_komplet=1&_biokimi_bilirubin_totale_clinical_chem=1&_lcs_f_neutro__liquor=1&_anti_hev__imunodiag=1&_ret_perqind__gjak_komplet=1&_biokimi_pap__clinical_chem=1&_lcs_glc__liquor=1&_aslo__imunodiag=1&_emx_trombocitet__gjak_komplet=1&_fosfataza_alkal_clinical_chem=1&_lcs_ngjyra__liquor=1&_fak_reumat__imunodiag=1&_biokimi_ggt__clinical_chem=1&_lcs_nr_leuk__liquor=1&_hbsag__imunodiag=1&_bilirubina_totur=1&_biokimi_kreatinina_clinical_chem=1&_lcs_paraqitja__liquor=1&_hdv_ag__imunodiag=1&_cilind_epit_ren_totur=1&_lipase__clinical_chem=1&_lcs_presioni__liquor=1&_hiv__imunodiag=1&_cilind_granular_totur=1&_biokimi_osmolaliteti_clinical_chem=1&_lcs_proteinat__liquor=1&_adb__imunodiag=1&_cilind_te_trash_totur=1&_biokimi_psa__clinical_chem=1&_cilind_yndyrore_totur=1&_biokimi_got_clinical_chem=1&_eritropojetina_hormones=1&_litiumi_medicines=1&_cilnd_hialine_totur=1&_biokimi_gpt_clinical_chem=1&_eritrocite_totur=1&_biokimi_uric_acid_clinical_chem=1&_ef_prot_albumin__ef_pro=1&_fece_makro_gjak__fecetmakro=1&_esteraza_leukoc_totur=1&_ef_prot_alfa1__ef_pro=1&_fece_makro_konsistenca__fecetmakro=1&_gjak_totur=1&_koag_aptt__coagulation=1&_ef_prot_alfa2__ef_pro=1&_fece_makro_mukus__fecetmakro=1&_glukoza_totur=1&_koag_fibrinogjeni__coagulation=1&_ef_prot_beta__ef_pro=1&_fece_makro_ngjyra__fecetmakro=1&_hcg_totur=1&_koag_fibrinoliza__coagulation=1&_ef_prot_gama__ef_pro=1&_fece_makro_parazite__fecetmakro=1&_ketonet_totur=1&_koag_inr__coagulation=1&_ef_prot_tot__ef_pro=1&_fece_makro_pus__fecetmakro=1&_kristale_1_totur=1&_koag_hemorragji__coagulation=1&_fece_makro_sasia__fecetmakro=1', '', 0, '', '2007-08-09 21:06:37', '21:00:00', 0, 4, 'done', 'Create: 2007-08-09 21:06:37 = Greta Naraci\nDone: 2007-08-14 16:02:26 = admin\n', 'admin', '2007-08-14 16:02:26', 'Greta Naraci', NULL);
INSERT INTO `care_test_request_chemlabor` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `parameters`, `doctor_sign`, `highrisk`, `notes`, `send_date`, `sample_time`, `urgent`, `sample_weekday`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000014, 2007000355, '', 0, '_aptt__priority=1&_azotemia__priority=1&_eritrocitet__priority=1&_eritrosedimenti__priority=1&_glicemia__priority=1&_hematokriti__priority=1&_hemoglobina__priority=1&_kreatinina__priority=1&_leukocitet__priority=1&_pt__priority=1&_trombocitet__priority=1&_00rbc__gjak_komplet=1&_eritrosedimenti__gjak_komplet=1', '', 0, '', '2007-10-04 16:56:54', '16:45:00', 0, 4, 'done', 'Create: 2007-10-04 16:56:54 = admin\nDone: 2007-10-04 17:08:05 = admin\n', 'admin', '2007-10-04 17:08:05', 'admin', NULL);
INSERT INTO `care_test_request_chemlabor` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `parameters`, `doctor_sign`, `highrisk`, `notes`, `send_date`, `sample_time`, `urgent`, `sample_weekday`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000015, 2007000355, '', 0, '_aptt__priority=1&_azotemia__priority=1&_eritrocitet__priority=1&_eritrosedimenti__priority=1&_glicemia__priority=1&_hematokriti__priority=1&_hemoglobina__priority=1&_kreatinina__priority=1&_leukocitet__priority=1&_pt__priority=1&_trombocitet__priority=1&_00rbc__gjak_komplet=1&_eritrosedimenti__gjak_komplet=1', '', 0, '', '2007-10-04 18:08:09', '18:00:00', 0, 4, 'done', 'Create: 2007-10-04 18:08:09 = admin\nDone: 2007-10-04 18:17:15 = admin\n', 'admin', '2007-10-04 18:17:15', 'admin', NULL);
INSERT INTO `care_test_request_chemlabor` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `parameters`, `doctor_sign`, `highrisk`, `notes`, `send_date`, `sample_time`, `urgent`, `sample_weekday`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000016, 2007000355, '', 0, '_aptt__priority=1&_azotemia__priority=1&_cilnd_hialine__totur=1&_eritrocite__totur=1&_hematokriti__priority=1&_esteraza_leukoc__totur=1&_hemoglobina__priority=1&_gjak__totur=1&_glukoza__totur=1&_leukocitet__priority=1&_pt__priority=1&_trombocitet__priority=1', '', 0, '', '2007-10-05 00:18:54', '00:15:00', 0, 5, 'done', 'Create: 2007-10-05 00:18:54 = admin\nDone: 2007-10-05 22:56:53 = admin\n', 'admin', '2007-10-05 22:56:53', 'admin', NULL);
INSERT INTO `care_test_request_chemlabor` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `parameters`, `doctor_sign`, `highrisk`, `notes`, `send_date`, `sample_time`, `urgent`, `sample_weekday`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000017, 2007000355, '', 0, '_biokimi_got__clinical_chem=1&_biokimi_gpt__clinical_chem=1&_koag_aptt__coagulation=1&_koag_fibrinogjeni__coagulation=1&_koag_inr__coagulation=1&_koag_hemorragji__coagulation=1&_koag_act__coagulation=1&_koag_pt__coagulation=1', '', 0, '', '2007-10-05 22:57:44', '22:45:00', 0, 5, 'done', 'Create: 2007-10-05 22:57:44 = admin\nDone: 2007-10-05 23:18:58 = admin\n', 'admin', '2007-10-05 23:18:58', 'admin', NULL);
INSERT INTO `care_test_request_chemlabor` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `parameters`, `doctor_sign`, `highrisk`, `notes`, `send_date`, `sample_time`, `urgent`, `sample_weekday`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000018, 2007000355, '', 0, '_cilnd_hialine__totur=1&_eritrocite__totur=1&_gjak__totur=1&_proteinat_albumina__proteins=1&_proteinat_tot__proteins=1&_hemato_heinz__hematology=1', '', 0, '', '2007-10-05 23:20:11', '23:15:00', 0, 5, 'done', 'Create: 2007-10-05 23:20:11 = admin\nDone: 2007-10-06 01:25:33 = admin\n', 'admin', '2007-10-06 01:25:33', 'admin', NULL);
INSERT INTO `care_test_request_chemlabor` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `parameters`, `doctor_sign`, `highrisk`, `notes`, `send_date`, `sample_time`, `urgent`, `sample_weekday`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000019, 2007000355, '', 0, '_cilind_epit_ren__totur=1&_cilind_granular__totur=1&_cilind_te_trash__totur=1&_cilind_yndyrore__totur=1&_cilnd_hialine__totur=1&_eritrocite__totur=1&_esteraza_leukoc__totur=1&_gjak__totur=1&_glukoza__totur=1&_hcg__totur=1&_ketonet__totur=1&_kristale_1__totur=1&_kristale_2__totur=1&_00rbc__gjak_komplet=1&_kristale_3__totur=1&_eritrosedimenti__gjak_komplet=1&_leukocite__totur=1&_emx_hb__gjak_komplet=1&_ngjyra__totur=1&_emx_hct__gjak_komplet=1&_nitrate__totur=1&_l_bazo__gjak_komplet=1&_paraqitja__totur=1&_l_eosin__gjak_komplet=1&_pesha_specifike__totur=1&_l_linf__gjak_komplet=1&_ph__totur=1&_l_metamielocite__gjak_komplet=1&_proteina__totur=1&_l_mon__gjak_komplet=1&_qel_epit_skuam__totur=1&_l_seg__gjak_komplet=1&_qel_epit_tub_re__totur=1&_l_shkop__gjak_komplet=1&_00wbc__gjak_komplet=1&_mch__gjak_komplet=1&_mchc__gjak_komplet=1&_mcv__gjak_komplet=1&_mpv__gjak_komplet=1&_rdw__gjak_komplet=1&_retikulocite__gjak_komplet=1&_ret_perqind__gjak_komplet=1&_emx_trombocitet__gjak_komplet=1&_bilirubina__totur=1', '', 0, '', '2007-10-10 18:00:51', '18:00:00', 0, 3, 'pending', 'Create: 2007-10-10 18:00:51 = admin\n', 'admin', '2007-10-10 18:00:51', 'admin', NULL);
INSERT INTO `care_test_request_chemlabor` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `parameters`, `doctor_sign`, `highrisk`, `notes`, `send_date`, `sample_time`, `urgent`, `sample_weekday`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000020, 2007000355, '', 0, '_aptt__priority=1&_azotemia__priority=1&_eritrocitet__priority=1&_koag_aptt__coagulation=1&_eritrosedimenti__priority=1&_koag_fibrinogjeni__coagulation=1&_glicemia__priority=1&_koag_inr__coagulation=1&_hematokriti__priority=1&_hemoglobina__priority=1&_kreatinina__priority=1&_leukocitet__priority=1&_pt__priority=1&_proteinat_albumina__proteins=1&_trombocitet__priority=1&_proteinat_tot__proteins=1', '', 0, '', '2007-11-01 17:23:54', '17:15:00', 0, 4, 'done', 'Create: 2007-11-01 17:23:54 = admin\nDone: 2007-11-01 17:24:20 = admin\n', 'admin', '2007-11-01 17:24:20', 'admin', NULL);
INSERT INTO `care_test_request_chemlabor` (`batch_nr`, `encounter_nr`, `room_nr`, `dept_nr`, `parameters`, `doctor_sign`, `highrisk`, `notes`, `send_date`, `sample_time`, `urgent`, `sample_weekday`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10000021, 2007000355, '', 0, '_00rbc__gjak_komplet=1&_eritrosedimenti__gjak_komplet=1&_emx_hb__gjak_komplet=1&_emx_hct__gjak_komplet=1&_l_bazo__gjak_komplet=1&_l_eosin__gjak_komplet=1&_l_linf__gjak_komplet=1&_l_metamielocite__gjak_komplet=1&_l_mon__gjak_komplet=1&_l_seg__gjak_komplet=1&_l_shkop__gjak_komplet=1&_00wbc__gjak_komplet=1&_mch__gjak_komplet=1&_mchc__gjak_komplet=1&_mcv__gjak_komplet=1&_mpv__gjak_komplet=1&_rdw__gjak_komplet=1&_retikulocite__gjak_komplet=1&_ret_perqind__gjak_komplet=1&_emx_trombocitet__gjak_komplet=1', '', 0, '', '2007-11-09 22:26:37', '22:15:00', 0, 5, 'pending', 'Create: 2007-11-09 22:26:37 = admin\n', 'admin', '2007-11-09 22:26:37', 'admin', NULL);

-- --------------------------------------------------------

-- 
-- Table structure for table `care_test_request_generic`
-- 

CREATE TABLE `care_test_request_generic` (
  `batch_nr` int(11) NOT NULL default '0',
  `encounter_nr` int(11) unsigned NOT NULL default '0',
  `testing_dept` varchar(35) collate latin1_general_ci NOT NULL,
  `visit` tinyint(1) NOT NULL default '0',
  `order_patient` tinyint(1) NOT NULL default '0',
  `diagnosis_quiry` text collate latin1_general_ci NOT NULL,
  `send_date` date NOT NULL default '0000-00-00',
  `send_doctor` varchar(35) collate latin1_general_ci NOT NULL,
  `result` text collate latin1_general_ci NOT NULL,
  `result_date` date NOT NULL default '0000-00-00',
  `result_doctor` varchar(35) collate latin1_general_ci NOT NULL,
  `status` varchar(10) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`batch_nr`),
  KEY `batch_nr` (`batch_nr`,`encounter_nr`),
  KEY `send_date` (`send_date`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_test_request_generic`
-- 

INSERT INTO `care_test_request_generic` (`batch_nr`, `encounter_nr`, `testing_dept`, `visit`, `order_patient`, `diagnosis_quiry`, `send_date`, `send_doctor`, `result`, `result_date`, `result_doctor`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (50000000, 2006000000, '67', 0, 1, 'Kerkohe anliza gjak komplet', '2006-12-18', 'Teuta Mali', '', '0000-00-00', '', 'pending', 'Create: 2006-12-18 13:30:15 = admin\n', '', '2006-12-18 13:30:15', 'admin', '2006-12-18 13:30:15');
INSERT INTO `care_test_request_generic` (`batch_nr`, `encounter_nr`, `testing_dept`, `visit`, `order_patient`, `diagnosis_quiry`, `send_date`, `send_doctor`, `result`, `result_date`, `result_doctor`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (50000001, 2007000355, '51', 1, 1, 'kot kot', '2007-08-21', 'gjergji', '', '0000-00-00', '', 'pending', 'Create: 2007-08-21 20:14:07 = admin\n', '', '2007-08-21 20:14:07', 'admin', '2007-08-21 20:14:07');
INSERT INTO `care_test_request_generic` (`batch_nr`, `encounter_nr`, `testing_dept`, `visit`, `order_patient`, `diagnosis_quiry`, `send_date`, `send_doctor`, `result`, `result_date`, `result_doctor`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (50000002, 2007000355, '51', 1, 0, 'kot 2', '2007-08-21', 'gjergji', '', '0000-00-00', '', 'pending', 'Create: 2007-08-21 20:15:00 = admin\n', '', '2007-08-21 20:15:00', 'admin', '2007-08-21 20:15:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_test_request_patho`
-- 

CREATE TABLE `care_test_request_patho` (
  `batch_nr` int(11) unsigned NOT NULL auto_increment,
  `encounter_nr` int(11) unsigned NOT NULL default '0',
  `dept_nr` smallint(5) unsigned NOT NULL default '0',
  `quick_cut` tinyint(4) NOT NULL default '0',
  `qc_phone` varchar(40) collate latin1_general_ci NOT NULL,
  `quick_diagnosis` tinyint(4) NOT NULL default '0',
  `qd_phone` varchar(40) collate latin1_general_ci NOT NULL,
  `material_type` varchar(25) collate latin1_general_ci NOT NULL,
  `material_desc` text collate latin1_general_ci NOT NULL,
  `localization` tinytext collate latin1_general_ci NOT NULL,
  `clinical_note` tinytext collate latin1_general_ci NOT NULL,
  `extra_note` tinytext collate latin1_general_ci NOT NULL,
  `repeat_note` tinytext collate latin1_general_ci NOT NULL,
  `gyn_last_period` varchar(25) collate latin1_general_ci NOT NULL,
  `gyn_period_type` varchar(25) collate latin1_general_ci NOT NULL,
  `gyn_gravida` varchar(25) collate latin1_general_ci NOT NULL,
  `gyn_menopause_since` varchar(25) collate latin1_general_ci NOT NULL default '0',
  `gyn_hysterectomy` varchar(25) collate latin1_general_ci NOT NULL default '0',
  `gyn_contraceptive` varchar(25) collate latin1_general_ci NOT NULL default '0',
  `gyn_iud` varchar(25) collate latin1_general_ci NOT NULL,
  `gyn_hormone_therapy` varchar(25) collate latin1_general_ci NOT NULL,
  `doctor_sign` varchar(35) collate latin1_general_ci NOT NULL,
  `op_date` date NOT NULL default '0000-00-00',
  `send_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `status` varchar(10) collate latin1_general_ci NOT NULL,
  `entry_date` date NOT NULL default '0000-00-00',
  `journal_nr` varchar(15) collate latin1_general_ci NOT NULL,
  `blocks_nr` int(11) NOT NULL default '0',
  `deep_cuts` int(11) NOT NULL default '0',
  `special_dye` varchar(35) collate latin1_general_ci NOT NULL,
  `immune_histochem` varchar(35) collate latin1_general_ci NOT NULL,
  `hormone_receptors` varchar(35) collate latin1_general_ci NOT NULL,
  `specials` varchar(35) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  `process_id` varchar(35) collate latin1_general_ci NOT NULL,
  `process_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`batch_nr`),
  KEY `encounter_nr` (`encounter_nr`),
  KEY `send_date` (`send_date`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=20000004 ;

-- 
-- Dumping data for table `care_test_request_patho`
-- 

INSERT INTO `care_test_request_patho` (`batch_nr`, `encounter_nr`, `dept_nr`, `quick_cut`, `qc_phone`, `quick_diagnosis`, `qd_phone`, `material_type`, `material_desc`, `localization`, `clinical_note`, `extra_note`, `repeat_note`, `gyn_last_period`, `gyn_period_type`, `gyn_gravida`, `gyn_menopause_since`, `gyn_hysterectomy`, `gyn_contraceptive`, `gyn_iud`, `gyn_hormone_therapy`, `doctor_sign`, `op_date`, `send_date`, `status`, `entry_date`, `journal_nr`, `blocks_nr`, `deep_cuts`, `special_dye`, `immune_histochem`, `hormone_receptors`, `specials`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `process_id`, `process_time`) VALUES (20000000, 2007000355, 0, 0, '', 0, '', 'op_specimen', '', '', '', '', '', '', '', '', '', '', '', '', '', 'gjergji', '2007-08-20', '2007-08-20 18:26:17', 'done', '2007-08-20', '12', 12, 12, '12', '12', '12', '12', 'Create: 2007-08-20 18:26:17 = admin\nDone: 2007-08-20 21:08:43 = admin\n', 'admin', '2007-08-20 21:08:43', 'admin', '2007-08-20 18:26:17', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_request_patho` (`batch_nr`, `encounter_nr`, `dept_nr`, `quick_cut`, `qc_phone`, `quick_diagnosis`, `qd_phone`, `material_type`, `material_desc`, `localization`, `clinical_note`, `extra_note`, `repeat_note`, `gyn_last_period`, `gyn_period_type`, `gyn_gravida`, `gyn_menopause_since`, `gyn_hysterectomy`, `gyn_contraceptive`, `gyn_iud`, `gyn_hormone_therapy`, `doctor_sign`, `op_date`, `send_date`, `status`, `entry_date`, `journal_nr`, `blocks_nr`, `deep_cuts`, `special_dye`, `immune_histochem`, `hormone_receptors`, `specials`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `process_id`, `process_time`) VALUES (20000001, 2007000355, 0, 1, '123', 1, '123', 'pe', '', '', '', '', '', '', '', '', '', '', '', '', '', 'gjergji', '2007-10-04', '2007-10-04 12:30:57', 'done', '2007-10-04', '12', 12, 12, '12', '12', '12', '12', 'Create: 2007-10-04 12:30:57 = admin\nDone: 2007-10-04 12:31:38 = admin\n', 'admin', '2007-10-04 12:31:38', 'admin', '2007-10-04 12:30:57', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_request_patho` (`batch_nr`, `encounter_nr`, `dept_nr`, `quick_cut`, `qc_phone`, `quick_diagnosis`, `qd_phone`, `material_type`, `material_desc`, `localization`, `clinical_note`, `extra_note`, `repeat_note`, `gyn_last_period`, `gyn_period_type`, `gyn_gravida`, `gyn_menopause_since`, `gyn_hysterectomy`, `gyn_contraceptive`, `gyn_iud`, `gyn_hormone_therapy`, `doctor_sign`, `op_date`, `send_date`, `status`, `entry_date`, `journal_nr`, `blocks_nr`, `deep_cuts`, `special_dye`, `immune_histochem`, `hormone_receptors`, `specials`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `process_id`, `process_time`) VALUES (20000002, 2007000355, 0, 1, '123', 0, '', 'pe', 'asd', 'ad', 'ads', 'asd', 'asd', '', '', '', '', '', '', '', '', 'dfdsfg', '2007-10-04', '2007-10-04 13:36:42', 'done', '2007-10-04', '12', 12, 12, '12', '12', '12', '12', 'Create: 2007-10-04 13:36:42 = admin\nDone: 2007-10-04 14:54:12 = admin\n', 'admin', '2007-10-04 14:54:12', 'admin', '2007-10-04 13:36:42', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_request_patho` (`batch_nr`, `encounter_nr`, `dept_nr`, `quick_cut`, `qc_phone`, `quick_diagnosis`, `qd_phone`, `material_type`, `material_desc`, `localization`, `clinical_note`, `extra_note`, `repeat_note`, `gyn_last_period`, `gyn_period_type`, `gyn_gravida`, `gyn_menopause_since`, `gyn_hysterectomy`, `gyn_contraceptive`, `gyn_iud`, `gyn_hormone_therapy`, `doctor_sign`, `op_date`, `send_date`, `status`, `entry_date`, `journal_nr`, `blocks_nr`, `deep_cuts`, `special_dye`, `immune_histochem`, `hormone_receptors`, `specials`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `process_id`, `process_time`) VALUES (20000003, 2007000355, 0, 1, '12334', 0, '', 'pe', '', 'nuk ', 'nuk', 'nuk', 'nuk', '', '', '', '', '', '', '', '', 'gjergji', '2007-10-10', '2007-10-10 18:26:01', 'done', '2007-10-10', '12', 12, 12, '12', '12', '12', '12', 'Create: 2007-10-10 18:26:01 = admin\nDone: 2007-10-10 18:56:33 = admin\n', 'admin', '2007-10-10 18:56:33', 'admin', '2007-10-10 18:26:01', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_test_request_radio`
-- 

CREATE TABLE `care_test_request_radio` (
  `batch_nr` int(11) NOT NULL default '0',
  `encounter_nr` int(11) unsigned NOT NULL default '0',
  `dept_nr` smallint(5) unsigned NOT NULL default '0',
  `xray` tinyint(1) NOT NULL default '0',
  `ct` tinyint(1) NOT NULL default '0',
  `sono` tinyint(1) NOT NULL default '0',
  `mammograph` tinyint(1) NOT NULL default '0',
  `mrt` tinyint(1) NOT NULL default '0',
  `nuclear` tinyint(1) NOT NULL default '0',
  `if_patmobile` tinyint(1) NOT NULL default '0',
  `if_allergy` tinyint(1) NOT NULL default '0',
  `if_hyperten` tinyint(1) NOT NULL default '0',
  `if_pregnant` tinyint(1) NOT NULL default '0',
  `clinical_info` text collate latin1_general_ci NOT NULL,
  `test_request` text collate latin1_general_ci NOT NULL,
  `send_date` date NOT NULL default '0000-00-00',
  `send_doctor` varchar(35) collate latin1_general_ci NOT NULL default '0',
  `xray_nr` varchar(9) collate latin1_general_ci NOT NULL default '0',
  `r_cm_2` varchar(15) collate latin1_general_ci NOT NULL,
  `mtr` varchar(35) collate latin1_general_ci NOT NULL,
  `xray_date` date NOT NULL default '0000-00-00',
  `xray_time` time NOT NULL default '00:00:00',
  `results` text collate latin1_general_ci NOT NULL,
  `results_date` date NOT NULL default '0000-00-00',
  `results_doctor` varchar(35) collate latin1_general_ci NOT NULL,
  `status` varchar(10) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  `process_id` varchar(35) collate latin1_general_ci NOT NULL,
  `process_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`batch_nr`),
  UNIQUE KEY `batch_nr_2` (`batch_nr`),
  KEY `batch_nr` (`batch_nr`,`encounter_nr`),
  KEY `send_date` (`xray_time`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_test_request_radio`
-- 

INSERT INTO `care_test_request_radio` (`batch_nr`, `encounter_nr`, `dept_nr`, `xray`, `ct`, `sono`, `mammograph`, `mrt`, `nuclear`, `if_patmobile`, `if_allergy`, `if_hyperten`, `if_pregnant`, `clinical_info`, `test_request`, `send_date`, `send_doctor`, `xray_nr`, `r_cm_2`, `mtr`, `xray_date`, `xray_time`, `results`, `results_date`, `results_doctor`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `process_id`, `process_time`) VALUES (60000000, 2006000008, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 1, 'Pacienti vuan me bronciolit', 'RG. Pulmonare\r\nECHO te veshkave\r\n', '2006-12-22', 'Dr. Greta', '123', '30', 'Besa', '2006-12-22', '00:00:00', 'Pacienti ka probleme ne pulmon dex.\r\nNe acho reni i majte ka kristal', '2006-12-22', 'Gj. Rreshpja', 'done', 'Create: 2006-12-22 13:34:23 = admin\nUpdate 2006-12-22 13:38:19 admin\nUpdate 2006-12-22 13:38:24 admin\nDone: 2007-05-19 12:50:26 = admin\n', 'admin', '2007-05-19 12:50:26', 'admin', '2006-12-22 13:34:23', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_request_radio` (`batch_nr`, `encounter_nr`, `dept_nr`, `xray`, `ct`, `sono`, `mammograph`, `mrt`, `nuclear`, `if_patmobile`, `if_allergy`, `if_hyperten`, `if_pregnant`, `clinical_info`, `test_request`, `send_date`, `send_doctor`, `xray_nr`, `r_cm_2`, `mtr`, `xray_date`, `xray_time`, `results`, `results_date`, `results_doctor`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `process_id`, `process_time`) VALUES (60000001, 2007000348, 0, 1, 0, 0, 0, 0, 0, 1, 1, 1, 1, 'ca asht ?', 'pvetje', '2007-05-19', 'prep une', '12', '12', 'prep une', '2007-05-19', '00:00:00', 'gjithmone une', '2007-05-19', 'god', 'done', 'Create: 2007-05-19 12:52:16 = admin\nUpdate 2007-05-19 12:52:57 admin\nUpdate 2007-05-19 12:53:05 admin\nDone: 2007-05-19 12:53:18 = admin\n', 'admin', '2007-05-19 12:53:18', 'admin', '2007-05-19 12:52:16', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_request_radio` (`batch_nr`, `encounter_nr`, `dept_nr`, `xray`, `ct`, `sono`, `mammograph`, `mrt`, `nuclear`, `if_patmobile`, `if_allergy`, `if_hyperten`, `if_pregnant`, `clinical_info`, `test_request`, `send_date`, `send_doctor`, `xray_nr`, `r_cm_2`, `mtr`, `xray_date`, `xray_time`, `results`, `results_date`, `results_doctor`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `process_id`, `process_time`) VALUES (60000002, 2007000247, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'pacienti vuan nga bronkopneumonia', 'radiografi pulmonesh', '2007-05-19', 'Andrea Mihajli', '0', '', '', '0000-00-00', '00:00:00', '', '0000-00-00', '', 'done', 'Create: 2007-05-19 18:16:29 = admin\nDone: 2007-05-19 18:17:52 = admin\n', 'admin', '2007-05-19 18:17:52', 'admin', '2007-05-19 18:16:29', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_request_radio` (`batch_nr`, `encounter_nr`, `dept_nr`, `xray`, `ct`, `sono`, `mammograph`, `mrt`, `nuclear`, `if_patmobile`, `if_allergy`, `if_hyperten`, `if_pregnant`, `clinical_info`, `test_request`, `send_date`, `send_doctor`, `xray_nr`, `r_cm_2`, `mtr`, `xray_date`, `xray_time`, `results`, `results_date`, `results_doctor`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `process_id`, `process_time`) VALUES (60000003, 2007000355, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'kot', 'kot', '2007-08-20', 'gjergji', '0', '', '', '0000-00-00', '00:00:00', '', '0000-00-00', '', 'done', 'Create: 2007-08-20 19:32:56 = admin\nDone: 2007-08-22 18:13:34 = admin\n', 'admin', '2007-08-22 18:13:34', 'admin', '2007-08-20 19:32:56', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_request_radio` (`batch_nr`, `encounter_nr`, `dept_nr`, `xray`, `ct`, `sono`, `mammograph`, `mrt`, `nuclear`, `if_patmobile`, `if_allergy`, `if_hyperten`, `if_pregnant`, `clinical_info`, `test_request`, `send_date`, `send_doctor`, `xray_nr`, `r_cm_2`, `mtr`, `xray_date`, `xray_time`, `results`, `results_date`, `results_doctor`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `process_id`, `process_time`) VALUES (60000004, 2007000355, 0, 1, 1, 0, 0, 1, 0, 1, 0, 1, 0, 'kot', 'kot', '2007-08-23', 'gjergji', '12', '12', '12', '2007-08-24', '00:00:00', 'kot kot', '2007-08-25', 'kot', 'done', 'Create: 2007-08-22 15:27:06 = admin\nUpdate 2007-08-22 15:28:04 admin\nDone: 2007-08-22 15:28:21 = admin\n', 'admin', '2007-08-22 15:28:21', 'admin', '2007-08-22 15:27:06', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_request_radio` (`batch_nr`, `encounter_nr`, `dept_nr`, `xray`, `ct`, `sono`, `mammograph`, `mrt`, `nuclear`, `if_patmobile`, `if_allergy`, `if_hyperten`, `if_pregnant`, `clinical_info`, `test_request`, `send_date`, `send_doctor`, `xray_nr`, `r_cm_2`, `mtr`, `xray_date`, `xray_time`, `results`, `results_date`, `results_doctor`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `process_id`, `process_time`) VALUES (60000005, 2007000355, 0, 1, 1, 0, 0, 1, 0, 1, 0, 1, 0, 'kot', 'kot', '2007-08-23', 'gjergji', '0', '', '', '0000-00-00', '00:00:00', '', '0000-00-00', '', 'done', 'Create: 2007-08-22 18:14:11 = admin\nDone: 2007-08-22 18:14:51 = admin\n', 'admin', '2007-08-22 18:14:51', 'admin', '2007-08-22 18:14:11', '', '0000-00-00 00:00:00');
INSERT INTO `care_test_request_radio` (`batch_nr`, `encounter_nr`, `dept_nr`, `xray`, `ct`, `sono`, `mammograph`, `mrt`, `nuclear`, `if_patmobile`, `if_allergy`, `if_hyperten`, `if_pregnant`, `clinical_info`, `test_request`, `send_date`, `send_doctor`, `xray_nr`, `r_cm_2`, `mtr`, `xray_date`, `xray_time`, `results`, `results_date`, `results_doctor`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`, `process_id`, `process_time`) VALUES (60000006, 2007000355, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, '...', '...', '2007-10-16', 'gjergji', '0', '', '', '0000-00-00', '00:00:00', '', '0000-00-00', '', 'pending', 'Create: 2007-10-16 19:05:05 = admin\n', '', '2007-10-16 19:05:05', 'admin', '2007-10-16 19:05:05', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_anaesthesia`
-- 

CREATE TABLE `care_type_anaesthesia` (
  `nr` smallint(2) unsigned NOT NULL auto_increment,
  `id` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci default NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=7 ;

-- 
-- Dumping data for table `care_type_anaesthesia`
-- 

INSERT INTO `care_type_anaesthesia` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'none', 'None', 'LDNone', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_anaesthesia` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'unknown', 'Unknown', 'LDUnknown', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_anaesthesia` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'general', 'General', 'LDGeneral', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_anaesthesia` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'spinal', 'Spinal', 'LDSpinal', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_anaesthesia` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 'epidural', 'Epidural', 'LDEpidural', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_anaesthesia` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 'pudendal', 'Pudendal', 'LDPudendal', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_application`
-- 

CREATE TABLE `care_type_application` (
  `nr` int(11) NOT NULL auto_increment,
  `group_nr` tinyint(3) unsigned NOT NULL default '0',
  `type` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci default NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=11 ;

-- 
-- Dumping data for table `care_type_application`
-- 

INSERT INTO `care_type_application` (`nr`, `group_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 5, 'ita', 'ITA', 'LDITA', 'Intratracheal anesthesia', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_application` (`nr`, `group_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 5, 'la', 'AL', 'LDLA', 'Locally applied anesthesia', '', '', '2007-10-26 17:30:04', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_application` (`nr`, `group_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 5, 'as', 'SA', 'LDAS', 'Analgesic sedation', '', '', '2007-10-26 17:30:16', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_application` (`nr`, `group_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 5, 'mask', 'Mask', 'LDMask', 'Gas anesthesia through breathing mask', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_application` (`nr`, `group_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 6, 'oral', 'Oral', 'LDOral', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_application` (`nr`, `group_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 6, 'iv', 'Intravenoz', 'LDIntravenous', '', '', '', '2007-10-26 17:29:32', 'preload', '0000-00-00 00:00:00');
INSERT INTO `care_type_application` (`nr`, `group_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (7, 6, 'sc', 'Subkutan', 'LDSubcutaneous', '', '', '', '2007-10-26 17:29:37', 'preload', '0000-00-00 00:00:00');
INSERT INTO `care_type_application` (`nr`, `group_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (8, 6, 'im', 'Intramuskular', 'LDIntramuscular', '', '', '', '2007-10-26 17:29:27', 'preload', '0000-00-00 00:00:00');
INSERT INTO `care_type_application` (`nr`, `group_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (9, 6, 'sublingual', 'Sublingual', 'LDSublingual', 'Applied under the tounge', '', '', '0000-00-00 00:00:00', 'preload', '0000-00-00 00:00:00');
INSERT INTO `care_type_application` (`nr`, `group_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10, 6, 'ia', 'Intraarterial', 'LDIntraArterial', '', '', '', '0000-00-00 00:00:00', 'preload', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_assignment`
-- 

CREATE TABLE `care_type_assignment` (
  `type_nr` int(10) unsigned NOT NULL default '0',
  `type` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(25) collate latin1_general_ci NOT NULL default '0',
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_type_assignment`
-- 

INSERT INTO `care_type_assignment` (`type_nr`, `type`, `name`, `LD_var`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'clinic', 'Clinic', 'LDClinic', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_assignment` (`type_nr`, `type`, `name`, `LD_var`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'dept', 'Department', 'LDDepartment', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_assignment` (`type_nr`, `type`, `name`, `LD_var`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'firm', 'Firm', 'LDFirm', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_assignment` (`type_nr`, `type`, `name`, `LD_var`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'ward', 'Ward', 'LDWard', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_cause_opdelay`
-- 

CREATE TABLE `care_type_cause_opdelay` (
  `type_nr` smallint(5) unsigned NOT NULL auto_increment,
  `type` varchar(35) collate latin1_general_ci NOT NULL,
  `cause` varchar(255) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`type_nr`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=7 ;

-- 
-- Dumping data for table `care_type_cause_opdelay`
-- 

INSERT INTO `care_type_cause_opdelay` (`type_nr`, `type`, `cause`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'patient', 'Patient was delayed', 'LDPatientDelayed', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_cause_opdelay` (`type_nr`, `type`, `cause`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'nurse', 'Nurses were delayed', 'LDNursesDelayed', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_cause_opdelay` (`type_nr`, `type`, `cause`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'surgeon', 'Surgeons were delayed', 'LDSurgeonsDelayed', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_cause_opdelay` (`type_nr`, `type`, `cause`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'cleaning', 'Cleaning delayed', 'LDCleaningDelayed', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_cause_opdelay` (`type_nr`, `type`, `cause`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 'anesthesia', 'Anesthesiologist was delayed', 'LDAnesthesiologistDelayed', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_cause_opdelay` (`type_nr`, `type`, `cause`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 'other', 'Other causes', 'LDOtherCauses', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_color`
-- 

CREATE TABLE `care_type_color` (
  `color_id` varchar(25) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`color_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_type_color`
-- 

INSERT INTO `care_type_color` (`color_id`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`) VALUES ('biege', 'biege', 'LDbiege', '', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_color` (`color_id`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`) VALUES ('black', 'black', 'LDblack', '', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_color` (`color_id`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`) VALUES ('blue', 'blue', 'LDblue', '', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_color` (`color_id`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`) VALUES ('blue_pale', 'pale blue', 'LDpaleblue', '', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_color` (`color_id`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`) VALUES ('brown', 'brown', 'LDbrown', '', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_color` (`color_id`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`) VALUES ('green', 'green', 'LDgreen', '', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_color` (`color_id`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`) VALUES ('green_pale', 'pale green', 'LDpalegreen', '', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_color` (`color_id`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`) VALUES ('orange', 'orange', 'LDorange', '', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_color` (`color_id`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`) VALUES ('pink', 'pink', 'LDpink', '', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_color` (`color_id`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`) VALUES ('red', 'red', 'LDred', '', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_color` (`color_id`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`) VALUES ('rose', 'rose', 'LDrose', '', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_color` (`color_id`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`) VALUES ('violet', 'violet', 'LDviolet', '', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_color` (`color_id`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`) VALUES ('yellow', 'yellow', 'LDyellow', '', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_color` (`color_id`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`) VALUES ('yellow_pale', 'pale yellow', 'LDpaleyellow', '', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_department`
-- 

CREATE TABLE `care_type_department` (
  `nr` smallint(5) unsigned NOT NULL auto_increment,
  `type` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=4 ;

-- 
-- Dumping data for table `care_type_department`
-- 

INSERT INTO `care_type_department` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'medical', 'Medical', 'LDMedical', 'Medical, Nursing, Diagnostics, Labs, OR', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_department` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'support', 'Support (non-medical)', 'LDSupport', 'non-medical departments', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_department` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'news', 'News', 'LDNews', 'News group or category', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_discharge`
-- 

CREATE TABLE `care_type_discharge` (
  `nr` smallint(3) unsigned NOT NULL auto_increment,
  `type` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(100) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=9 ;

-- 
-- Dumping data for table `care_type_discharge`
-- 

INSERT INTO `care_type_discharge` (`nr`, `type`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'regular', 'Regular discharge', 'LDRegularRelease', '', '', '2003-04-15 10:05:55', '', '2003-04-13 21:12:26');
INSERT INTO `care_type_discharge` (`nr`, `type`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'own', 'Patient left hospital on his own will', 'LDSelfRelease', '', '', '2003-04-15 10:06:06', '', '2003-04-13 21:13:17');
INSERT INTO `care_type_discharge` (`nr`, `type`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'emergency', 'Emergency discharge', 'LDEmRelease', '', '', '2003-04-15 10:06:17', '', '2003-04-13 21:14:52');
INSERT INTO `care_type_discharge` (`nr`, `type`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'change_ward', 'Change of ward', 'LDChangeWard', '', '', '0000-00-00 00:00:00', '', '2003-04-13 21:15:26');
INSERT INTO `care_type_discharge` (`nr`, `type`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 'change_room', 'Change of room', 'LDChangeRoom', '', '', '2003-04-15 10:06:59', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_discharge` (`nr`, `type`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 'change_bed', 'Change of bed', 'LDChangeBed', '', '', '2003-04-15 09:09:42', '', '2003-04-13 21:16:19');
INSERT INTO `care_type_discharge` (`nr`, `type`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (7, 'death', 'Death of patient', 'LDPatientDied', '', '', '2003-04-15 10:06:42', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_discharge` (`nr`, `type`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (8, 'change_dept', 'Change of department', 'LDChangeDept', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_duty`
-- 

CREATE TABLE `care_type_duty` (
  `type_nr` smallint(5) unsigned NOT NULL auto_increment,
  `type` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`type_nr`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=6 ;

-- 
-- Dumping data for table `care_type_duty`
-- 

INSERT INTO `care_type_duty` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'regular', 'Regular duty', 'LDRegularDuty', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_duty` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'standby', 'Standby duty', 'LDStandbyDuty', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_duty` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'morning', 'Morning duty', 'LDMorningDuty', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_duty` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'afternoon', 'Afternoon duty', 'LDAfternoonDuty', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_duty` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 'night', 'Night duty', 'LDNightDuty', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_encounter`
-- 

CREATE TABLE `care_type_encounter` (
  `type_nr` int(10) unsigned NOT NULL auto_increment,
  `type` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(25) collate latin1_general_ci NOT NULL default '0',
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `hide_from` tinyint(4) NOT NULL default '0',
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`type_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=6 ;

-- 
-- Dumping data for table `care_type_encounter`
-- 

INSERT INTO `care_type_encounter` (`type_nr`, `type`, `name`, `LD_var`, `description`, `hide_from`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'referral', 'Referral', 'LDEncounterReferral', 'Referral admission or visit', 0, '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_encounter` (`type_nr`, `type`, `name`, `LD_var`, `description`, `hide_from`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'emergency', 'Emergency', 'LDEmergency', 'Emergency admission or visit', 0, '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_encounter` (`type_nr`, `type`, `name`, `LD_var`, `description`, `hide_from`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'birth_delivery', 'Birth delivery', 'LDBirthDelivery', 'Admission or visit for birth delivery', 0, '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_encounter` (`type_nr`, `type`, `name`, `LD_var`, `description`, `hide_from`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'walk_in', 'Walk-in', 'LDWalkIn', 'Walk -in admission or visit (non-referred)', 0, '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_encounter` (`type_nr`, `type`, `name`, `LD_var`, `description`, `hide_from`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 'accident', 'Accident', 'LDAccident', 'Emergency admission due to accident', 0, '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_ethnic_orig`
-- 

CREATE TABLE `care_type_ethnic_orig` (
  `nr` smallint(5) unsigned NOT NULL auto_increment,
  `class_nr` tinyint(3) unsigned NOT NULL default '0',
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  KEY `type` (`class_nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=5 ;

-- 
-- Dumping data for table `care_type_ethnic_orig`
-- 

INSERT INTO `care_type_ethnic_orig` (`nr`, `class_nr`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 1, 'asian', 'LDAsian', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_ethnic_orig` (`nr`, `class_nr`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 1, 'black', 'LDBlack', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_ethnic_orig` (`nr`, `class_nr`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 1, 'caucasian', 'LDCaucasian', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_ethnic_orig` (`nr`, `class_nr`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 1, 'white', 'LDWhite', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_feeding`
-- 

CREATE TABLE `care_type_feeding` (
  `nr` smallint(2) unsigned NOT NULL auto_increment,
  `group_nr` tinyint(3) unsigned NOT NULL default '0',
  `type` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci default NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=6 ;

-- 
-- Dumping data for table `care_type_feeding`
-- 

INSERT INTO `care_type_feeding` (`nr`, `group_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 2, 'breast', 'Breast', 'LDBreast', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_feeding` (`nr`, `group_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 2, 'formula', 'Formula', 'LDFormula', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_feeding` (`nr`, `group_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 2, 'both', 'Both', 'LDBoth', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_feeding` (`nr`, `group_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 2, 'parenteral', 'Parenteral', 'LDParenteral', '', '', '', '2003-07-28 07:13:51', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_feeding` (`nr`, `group_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 2, 'never_fed', 'Never fed', 'LDNeverFed', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_immunization`
-- 

CREATE TABLE `care_type_immunization` (
  `nr` smallint(5) unsigned NOT NULL auto_increment,
  `type` varchar(20) collate latin1_general_ci NOT NULL default '' COMMENT 'Immunization type',
  `name` varchar(20) collate latin1_general_ci NOT NULL default '',
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL default '',
  `period` smallint(6) default '0' COMMENT 'period..in days ?',
  `tolerance` smallint(3) default '0',
  `dosage` text collate latin1_general_ci,
  `medicine` text collate latin1_general_ci NOT NULL,
  `titer` text collate latin1_general_ci,
  `note` text collate latin1_general_ci,
  `application` tinyint(3) default '0' COMMENT 'from care_type_application...application type',
  `status` varchar(25) collate latin1_general_ci NOT NULL default 'normal',
  `history` text collate latin1_general_ci,
  `modify_id` varchar(35) collate latin1_general_ci default NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL default '',
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=7 ;

-- 
-- Dumping data for table `care_type_immunization`
-- 

INSERT INTO `care_type_immunization` (`nr`, `type`, `name`, `LD_var`, `period`, `tolerance`, `dosage`, `medicine`, `titer`, `note`, `application`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'kot', 'kot', '', 0, 0, 'kot', 'kot', 'kot', 'kot', 0, 'kot', 'Create: 2007-10-15 22:31:20 admin\n', NULL, '2007-10-15 22:31:20', 'admin', '2007-10-15 22:31:20');
INSERT INTO `care_type_immunization` (`nr`, `type`, `name`, `LD_var`, `period`, `tolerance`, `dosage`, `medicine`, `titer`, `note`, `application`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'kot2', 'kot2', '', 0, 0, 'kot2', 'kot2', 'kot2', 'kot2', 0, 'kot2', 'Create: 2007-10-15 22:42:43 admin\n', NULL, '2007-10-15 22:42:43', 'admin', '2007-10-15 22:42:43');
INSERT INTO `care_type_immunization` (`nr`, `type`, `name`, `LD_var`, `period`, `tolerance`, `dosage`, `medicine`, `titer`, `note`, `application`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'kot3', 'kot3', '', 0, 0, 'kot3', 'kot3', 'kot3', 'kot3', 0, 'kot3', 'Create: 2007-10-15 22:49:09 admin\n', NULL, '2007-10-15 22:49:09', 'admin', '2007-10-15 22:49:09');
INSERT INTO `care_type_immunization` (`nr`, `type`, `name`, `LD_var`, `period`, `tolerance`, `dosage`, `medicine`, `titer`, `note`, `application`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'kot3', 'kot3', '', 0, 0, 'kot3', 'kot3', 'kot3', 'kot3', 0, 'kot3', 'Create: 2007-10-15 22:49:09 admin ', NULL, '2007-10-15 22:49:49', 'admin', '2007-10-15 22:49:09');
INSERT INTO `care_type_immunization` (`nr`, `type`, `name`, `LD_var`, `period`, `tolerance`, `dosage`, `medicine`, `titer`, `note`, `application`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 'kot34', 'kot345', '', 0, 0, 'kot3', 'kot3', 'kot3', 'kot3', 0, 'kot3', 'Create: 2007-10-15 22:50:02 admin\nUpdate: 2007-10-15 23:02:44 admin\n', 'admin', '2007-10-15 23:02:44', 'admin', '2007-10-15 22:50:02');
INSERT INTO `care_type_immunization` (`nr`, `type`, `name`, `LD_var`, `period`, `tolerance`, `dosage`, `medicine`, `titer`, `note`, `application`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 'aaaaa', 'aaaaa', '', 0, 0, 'aaa', 'aaa', 'aaa', 'aaa', 0, 'aaa', 'Create: 2007-10-15 23:32:18 admin\nUpdate: 2007-10-15 23:32:36 admin\n', 'admin', '2007-10-15 23:32:36', 'admin', '2007-10-15 23:32:18');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_insurance`
-- 

CREATE TABLE `care_type_insurance` (
  `type_nr` int(11) NOT NULL auto_increment,
  `type` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(60) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`type_nr`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=13 ;

-- 
-- Dumping data for table `care_type_insurance`
-- 

INSERT INTO `care_type_insurance` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'medical_main', 'Medical insurance', 'LDMedInsurance', 'Main (default) medical insurance', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_insurance` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'medical_extra', 'Extra medical insurance', 'LDExtraMedInsurance', 'Extra medical insurance (evt. pays extra services)', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_insurance` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'dental', 'Dental insurance', 'LDDentalInsurance', 'Separate dental plan in case not included in medical plan or simply additional private plan', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_insurance` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'disability', 'Disability plan', 'LDDisabilityPlan', 'Disability insurance plan - general , both long term & short term', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_insurance` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 'disability_short', 'Disability plan (short term)', 'LDDisabilityPlanShort', 'Short term disability plan', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_insurance` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 'disability_long', 'Disability plan (long term)', 'LDDisabilityPlanLong', 'Long term disability plan', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_insurance` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (7, 'retirement_income', 'Retirement  income plan (general)', 'LDRetirementIncomePlan', 'Retirement income plan - either private or income/employer supported', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_insurance` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (8, 'edu_reimbursement', 'Educational Reimbursement Plan', 'LDEduReimbursementPlan', 'Reimbursement plan for education, either private or employer supported', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_insurance` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (9, 'retirement_medical', 'Retirement medical plan', 'LDRetirementMedPlan', 'Medical plan in retirement  - might include other care services', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_insurance` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10, 'liability', 'Liability Insurance Plan', 'LDLiabilityPlan', 'General liability insurance - either private or employer supported', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_insurance` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (11, 'malpractice', 'Malpractice Insurance Plan', 'LDMalpracticeInsurancePlan', 'Insurance plan against possible malpractice', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_insurance` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (12, 'unemployment', 'Unemployment Insurance Plan', 'LDUnemploymentPlan', 'Unemployment insurance , in case compulsory unemployment funds are guaranteed by the state, this plan is usually privately paid by the insured', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_localization`
-- 

CREATE TABLE `care_type_localization` (
  `nr` tinyint(3) unsigned NOT NULL auto_increment,
  `category` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `short_code` char(1) collate latin1_general_ci NOT NULL,
  `LD_var_short_code` varchar(25) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `hide_from` varchar(255) collate latin1_general_ci NOT NULL default '0',
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=4 ;

-- 
-- Dumping data for table `care_type_localization`
-- 

INSERT INTO `care_type_localization` (`nr`, `category`, `name`, `LD_var`, `short_code`, `LD_var_short_code`, `description`, `hide_from`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'left', 'Left', 'LDLeft', 'L', 'LDLeft_s', '', '0', '', '', '', '2003-05-26 00:04:14', '', '2003-05-26 00:04:14');
INSERT INTO `care_type_localization` (`nr`, `category`, `name`, `LD_var`, `short_code`, `LD_var_short_code`, `description`, `hide_from`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'right', 'Right', 'LDRight', 'R', 'LDRight_s', '', '0', '', '', '', '2003-05-26 00:05:22', '', '2003-05-26 00:05:00');
INSERT INTO `care_type_localization` (`nr`, `category`, `name`, `LD_var`, `short_code`, `LD_var_short_code`, `description`, `hide_from`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'both_side', 'Both sides', 'LDBothSides', 'B', 'LDBothSides_s', '', '0', '', '', '', '2003-05-26 00:06:18', '', '2003-05-26 00:06:18');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_location`
-- 

CREATE TABLE `care_type_location` (
  `nr` smallint(5) unsigned NOT NULL auto_increment,
  `type` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=7 ;

-- 
-- Dumping data for table `care_type_location`
-- 

INSERT INTO `care_type_location` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'dept', 'Department', 'LDDepartment', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_location` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'ward', 'Ward', 'LDWard', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_location` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'firm', 'Firm', 'LDFirm', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_location` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'room', 'Room', 'LDRoom', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_location` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 'bed', 'Bed', 'LDBed', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_location` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 'clinic', 'Clinic', 'LDClinic', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_measurement`
-- 

CREATE TABLE `care_type_measurement` (
  `nr` smallint(5) unsigned NOT NULL auto_increment,
  `type` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=10 ;

-- 
-- Dumping data for table `care_type_measurement`
-- 

INSERT INTO `care_type_measurement` (`nr`, `type`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'bp_systolic', 'Systolic', 'LDSystolic', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_measurement` (`nr`, `type`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'bp_diastolic', 'Diastolic', 'LDDiastolic', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_measurement` (`nr`, `type`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'temp', 'Temperature', 'LDTemperature', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_measurement` (`nr`, `type`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'fluid_intake', 'Fluid intake', 'LDFluidIntake', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_measurement` (`nr`, `type`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 'fluid_output', 'Fluid output', 'LDFluidOutput', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_measurement` (`nr`, `type`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 'weight', 'Weight', 'LDWeight', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_measurement` (`nr`, `type`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (7, 'height', 'Height', 'LDHeight', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_measurement` (`nr`, `type`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (8, 'bp_composite', 'Sys/Dias', 'LDSysDias', '', '', '2003-04-19 23:39:20', '', '2003-04-19 23:39:20');
INSERT INTO `care_type_measurement` (`nr`, `type`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (9, 'head_circumference', 'Head circumference', 'LDHeadCircumference', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_notes`
-- 

CREATE TABLE `care_type_notes` (
  `nr` smallint(5) unsigned NOT NULL auto_increment,
  `type` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `sort_nr` smallint(6) NOT NULL default '0',
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  UNIQUE KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=100 ;

-- 
-- Dumping data for table `care_type_notes`
-- 

INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'histo_physical', 'Admission History and Physical', 'LDAdmitHistoPhysical', 5, '', '', '2003-05-18 03:29:39', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'daily_doctor', 'Doctor''s daily notes', 'LDDoctorDailyNotes', 55, '', '', '2003-05-18 03:38:35', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'discharge', 'Discharge summary', 'LDDischargeSummary', 50, '', '', '2003-05-18 03:37:07', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'consult', 'Consultation notes', 'LDConsultNotes', 25, '', '', '2003-05-18 03:31:51', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 'op', 'Operation notes', 'LDOpNotes', 100, '', '', '2003-05-18 03:43:14', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 'daily_ward', 'Daily ward''s notes', 'LDDailyNurseNotes', 30, '', '', '2003-05-18 03:32:12', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (7, 'daily_chart_notes', 'Chart notes', 'LDChartNotes', 20, '', '', '2003-05-18 03:31:41', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (8, 'chart_notes_etc', 'PT,ATG,etc. daily notes', 'LDPTATGetc', 115, '', '', '2003-05-18 03:43:56', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (9, 'daily_iv_notes', 'IV daily notes', 'LDIVDailyNotes', 75, '', '', '2003-05-18 03:40:24', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10, 'daily_anticoag', 'Anticoagulant daily notes', 'LDAnticoagDailyNotes', 15, '', '', '2003-05-18 03:31:17', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (11, 'lot_charge_nr', 'Material LOT, Charge Nr.', 'LDMaterialLOTChargeNr', 80, '', '', '2003-05-18 03:40:39', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (12, 'text_diagnosis', 'Diagnosis text', 'LDDiagnosis', 40, '', '', '2003-05-18 03:35:30', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (13, 'text_therapy', 'Therapy text', 'LDTherapy', 120, '', '', '2003-05-18 03:44:08', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (14, 'chart_extra', 'Extra notes on therapy & diagnosis', 'LDExtraNotes', 65, '', '', '2003-05-18 03:39:12', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (15, 'nursing_report', 'Nursing care report', 'LDNursingReport', 85, '', '', '2003-05-18 03:41:41', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (16, 'nursing_problem', 'Nursing problem report', 'LDNursingProblemReport', 95, '', '', '2003-05-18 03:42:08', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (17, 'nursing_effectivity', 'Nursing effectivity report', 'LDNursingEffectivityReport', 90, '', '', '2003-05-18 03:41:56', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (18, 'nursing_inquiry', 'Inquiry to doctor', 'LDInquiryToDoctor', 70, '', '', '2003-05-18 03:39:51', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (19, 'doctor_directive', 'Doctor''s directive', 'LDDoctorDirective', 60, '', '', '2003-05-18 03:38:59', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (20, 'problem', 'Problem', 'LDProblem', 110, '', '', '2003-05-18 03:43:45', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (21, 'development', 'Development', 'LDDevelopment', 35, '', '', '2003-05-18 03:32:28', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (22, 'allergy', 'Allergy', 'LDAllergy', 10, '', '', '2003-05-18 03:44:39', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (23, 'daily_diet', 'Diet plan', 'LDDietPlan', 45, '', '', '2003-05-18 03:35:45', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_notes` (`nr`, `type`, `name`, `LD_var`, `sort_nr`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (99, 'other', 'Other', 'LDOther', 105, '', '', '2003-05-18 03:43:31', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_outcome`
-- 

CREATE TABLE `care_type_outcome` (
  `nr` smallint(2) unsigned NOT NULL auto_increment,
  `group_nr` tinyint(3) unsigned NOT NULL default '0',
  `type` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=6 ;

-- 
-- Dumping data for table `care_type_outcome`
-- 

INSERT INTO `care_type_outcome` (`nr`, `group_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 2, 'alive', 'Alive', 'LDAlive', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_outcome` (`nr`, `group_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 2, 'stillborn', 'Stillborn', 'LDStillborn', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_outcome` (`nr`, `group_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 2, 'early_neonatal_death', 'Early neonatal death', 'LDEarlyNeonatalDeath', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_outcome` (`nr`, `group_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 2, 'late_neonatal_death', 'Late neonatal death', 'LDLateNeonatalDeath', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_outcome` (`nr`, `group_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 2, 'death_uncertain_timing', 'Death uncertain timing', 'LDDeathUncertainTiming', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_perineum`
-- 

CREATE TABLE `care_type_perineum` (
  `nr` smallint(2) unsigned NOT NULL auto_increment,
  `id` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=6 ;

-- 
-- Dumping data for table `care_type_perineum`
-- 

INSERT INTO `care_type_perineum` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'intact', 'Intact', 'LDIntact', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_perineum` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, '1_degree', '1st degree tear', 'LDFirstDegreeTear', '', '', '', '2003-07-28 06:22:19', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_perineum` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, '2_degree', '2nd degree tear', 'LDSecondDegreeTear', '', '', '', '2003-07-28 06:22:31', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_perineum` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, '3_degree', '3rd degree tear', 'LDThirdDegreeTear', '', '', '', '2003-07-28 06:22:42', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_perineum` (`nr`, `id`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 'episiotomy', 'Episiotomy', 'LDEpisiotomy', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_prescription`
-- 

CREATE TABLE `care_type_prescription` (
  `nr` smallint(5) unsigned NOT NULL auto_increment,
  `type` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=5 ;

-- 
-- Dumping data for table `care_type_prescription`
-- 

INSERT INTO `care_type_prescription` (`nr`, `type`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'anticoag', 'Anticoagulant', 'LDAnticoagulant', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_prescription` (`nr`, `type`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'hemolytic', 'Hemolytic', 'LDHemolytic', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_prescription` (`nr`, `type`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'diuretic', 'Diuretic', 'LDDiuretic', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_prescription` (`nr`, `type`, `name`, `LD_var`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'antibiotic', 'Antibiotic', 'LDAntibiotic', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_room`
-- 

CREATE TABLE `care_type_room` (
  `nr` smallint(5) unsigned NOT NULL auto_increment,
  `type` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=3 ;

-- 
-- Dumping data for table `care_type_room`
-- 

INSERT INTO `care_type_room` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'ward', 'Ward room', 'LDWard', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_room` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'op', 'Operating room', 'LDOperatingRoom', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_test`
-- 

CREATE TABLE `care_type_test` (
  `type_nr` smallint(5) unsigned NOT NULL auto_increment,
  `type` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`type_nr`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=7 ;

-- 
-- Dumping data for table `care_type_test`
-- 

INSERT INTO `care_type_test` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'chemlabor', 'Chemical-Serology Lab', 'LDChemSerologyLab', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_test` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'patho', 'Pathological Lab', 'LDPathoLab', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_test` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'baclabor', 'Bacteriological Lab', 'LDBacteriologicalLab', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_test` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'radio', 'Radiological Lab', 'LDRadiologicalLab', 'Lab for X-ray, Mammography, Computer Tomography, NMR', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_test` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 'blood', 'Blood test & product', 'LDBloodTestProduct', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_test` (`type_nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 'generic', 'Generic test program', 'LDGenericTestProgram', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_time`
-- 

CREATE TABLE `care_type_time` (
  `nr` smallint(5) unsigned NOT NULL auto_increment,
  `type` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=8 ;

-- 
-- Dumping data for table `care_type_time`
-- 

INSERT INTO `care_type_time` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'patient_entry_exit', 'Patient entry/exit', 'LDPatientEntryExit', 'Times when patient entered and left the op room', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_time` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'op_start_end', 'OP start/end', 'LDOPStartEnd', 'Times when op started (1st incision) and ended (last suture)', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_time` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'delay', 'Delay time', 'LDDelayTime', 'Times when the op was delayed due to any reason', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_time` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'plaster_cast', 'Plaster cast', 'LDPlasterCast', 'Times when the plaster cast was made', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_time` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 'reposition', 'Reposition', 'LDReposition', 'Times when a dislocated joint(s) was repositioned (non invasive op)', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_time` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 'coro', 'Coronary catheter', 'LDCoronaryCatheter', 'Times when a coronary catherer op was done (minimal invasive op)', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_time` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (7, 'bandage', 'Bandage', 'LDBandage', 'Times when the bandage was made', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_type_unit_measurement`
-- 

CREATE TABLE `care_type_unit_measurement` (
  `nr` smallint(5) unsigned NOT NULL auto_increment,
  `type` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `description` varchar(255) collate latin1_general_ci NOT NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=6 ;

-- 
-- Dumping data for table `care_type_unit_measurement`
-- 

INSERT INTO `care_type_unit_measurement` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 'volume', 'Volume', 'LDVolume', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_unit_measurement` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'weight', 'Weight', 'LDWeight', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_unit_measurement` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'length', 'Length', 'LDLength', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_unit_measurement` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'pressure', 'Pressure', 'LDPressure', '', '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_type_unit_measurement` (`nr`, `type`, `name`, `LD_var`, `description`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 'temperature', 'Temperature', 'LDTemperature', '', '', '', '2003-04-19 23:47:24', '', '2003-04-19 23:47:24');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_unit_measurement`
-- 

CREATE TABLE `care_unit_measurement` (
  `nr` smallint(5) unsigned NOT NULL auto_increment,
  `unit_type_nr` smallint(2) unsigned NOT NULL default '0',
  `id` varchar(15) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `LD_var` varchar(35) collate latin1_general_ci NOT NULL,
  `sytem` varchar(35) collate latin1_general_ci NOT NULL,
  `use_frequency` bigint(20) default NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=19 ;

-- 
-- Dumping data for table `care_unit_measurement`
-- 

INSERT INTO `care_unit_measurement` (`nr`, `unit_type_nr`, `id`, `name`, `LD_var`, `sytem`, `use_frequency`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, 1, 'ml', 'Milliliter', 'LDMilliliter', 'metric', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_unit_measurement` (`nr`, `unit_type_nr`, `id`, `name`, `LD_var`, `sytem`, `use_frequency`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 2, 'mg', 'Milligram', 'LDMilligram', 'metric', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_unit_measurement` (`nr`, `unit_type_nr`, `id`, `name`, `LD_var`, `sytem`, `use_frequency`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 3, 'mm', 'Millimeter', 'LDMillimeter', 'metric', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_unit_measurement` (`nr`, `unit_type_nr`, `id`, `name`, `LD_var`, `sytem`, `use_frequency`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 1, 'ltr', 'liter', 'LDLiter', 'metric', NULL, '', '', '2003-07-27 22:16:58', '', '0000-00-00 00:00:00');
INSERT INTO `care_unit_measurement` (`nr`, `unit_type_nr`, `id`, `name`, `LD_var`, `sytem`, `use_frequency`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 2, 'gm', 'gram', 'LDGram', 'metric', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_unit_measurement` (`nr`, `unit_type_nr`, `id`, `name`, `LD_var`, `sytem`, `use_frequency`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 2, 'kg', 'kilogram', 'LDKilogram', 'metric', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_unit_measurement` (`nr`, `unit_type_nr`, `id`, `name`, `LD_var`, `sytem`, `use_frequency`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (7, 3, 'cm', 'centimeter', 'LDCentimeter', 'metric', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_unit_measurement` (`nr`, `unit_type_nr`, `id`, `name`, `LD_var`, `sytem`, `use_frequency`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (8, 3, 'm', 'meter', 'LDMeter', 'metric', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_unit_measurement` (`nr`, `unit_type_nr`, `id`, `name`, `LD_var`, `sytem`, `use_frequency`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (9, 3, 'km', 'kilometer', 'LDKilometer', 'metric', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_unit_measurement` (`nr`, `unit_type_nr`, `id`, `name`, `LD_var`, `sytem`, `use_frequency`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (10, 3, 'in', 'inch', 'LDInch', 'english', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_unit_measurement` (`nr`, `unit_type_nr`, `id`, `name`, `LD_var`, `sytem`, `use_frequency`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (11, 3, 'ft', 'foot', 'LDFoot', 'english', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_unit_measurement` (`nr`, `unit_type_nr`, `id`, `name`, `LD_var`, `sytem`, `use_frequency`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (12, 3, 'yd', 'yard', 'LDYard', 'english', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_unit_measurement` (`nr`, `unit_type_nr`, `id`, `name`, `LD_var`, `sytem`, `use_frequency`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (14, 4, 'mmHg', 'mmHg', 'LDmmHg', 'metric', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_unit_measurement` (`nr`, `unit_type_nr`, `id`, `name`, `LD_var`, `sytem`, `use_frequency`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (15, 5, 'celsius', 'Celsius', 'LDCelsius', 'metric', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_unit_measurement` (`nr`, `unit_type_nr`, `id`, `name`, `LD_var`, `sytem`, `use_frequency`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (16, 1, 'dl', 'deciliter', 'LDDeciliter', 'metric', NULL, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_unit_measurement` (`nr`, `unit_type_nr`, `id`, `name`, `LD_var`, `sytem`, `use_frequency`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (17, 1, 'cl', 'centiliter', 'LDCentiliter', 'metric', 0, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_unit_measurement` (`nr`, `unit_type_nr`, `id`, `name`, `LD_var`, `sytem`, `use_frequency`, `status`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (18, 1, 'Âµl', 'microliter', 'LDMicroliter', 'metric', 0, '', '', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_users`
-- 

CREATE TABLE `care_users` (
  `name` varchar(60) collate latin1_general_ci NOT NULL,
  `login_id` varchar(35) collate latin1_general_ci NOT NULL,
  `password` varchar(255) collate latin1_general_ci default NULL,
  `personell_nr` int(10) unsigned NOT NULL default '0',
  `lockflag` tinyint(3) unsigned default '0',
  `permission` text collate latin1_general_ci NOT NULL,
  `exc` tinyint(1) NOT NULL default '0',
  `s_date` date NOT NULL default '0000-00-00',
  `s_time` time NOT NULL default '00:00:00',
  `expire_date` date NOT NULL default '0000-00-00',
  `expire_time` time NOT NULL default '00:00:00',
  `dept_nr` text collate latin1_general_ci NOT NULL COMMENT 'the department in wich the user is allowed to enter / view',
  `user_role` tinyint(4) NOT NULL default '0',
  `status` varchar(15) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`login_id`),
  KEY `login_id` (`login_id`),
  KEY `user_role` (`user_role`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_users`
-- 

INSERT INTO `care_users` (`name`, `login_id`, `password`, `personell_nr`, `lockflag`, `permission`, `exc`, `s_date`, `s_time`, `expire_date`, `expire_time`, `dept_nr`, `user_role`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('admin', 'admin', '21232f297a57a5a743894a0e4a801fc3', 0, 0, 'System_Admin', 1, '0000-00-00', '00:00:00', '2008-01-26', '00:00:00', '', 0, 'normal', 'Created by script 2006-12-04 10:26:54', 'script', '2007-10-26 12:10:48', 'script', '2006-12-04 10:26:54');
INSERT INTO `care_users` (`name`, `login_id`, `password`, `personell_nr`, `lockflag`, `permission`, `exc`, `s_date`, `s_time`, `expire_date`, `expire_time`, `dept_nr`, `user_role`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('andrea', 'andrea', '1c42f9c1ca2f65441465b43cd9339d6c', 0, 0, '_a_1_admissionwrite _a_2_admissionread _a_1_nursingstationallwrite _a_2_nursingstationallread _a_1_nursingdutyplanwrite _a_2_nursingdutyplanread ', 0, '2007-10-21', '20:50:37', '0000-00-00', '00:00:00', '43', 0, 'normal', '', '', '2007-10-21 20:50:37', 'admin', '2007-10-21 20:50:37');
INSERT INTO `care_users` (`name`, `login_id`, `password`, `personell_nr`, `lockflag`, `permission`, `exc`, `s_date`, `s_time`, `expire_date`, `expire_time`, `dept_nr`, `user_role`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('demo', 'demo', 'fe01ce2a7fbac8fafaed7c982a04e229', 0, 0, '_a_0_all ', 0, '2007-10-31', '18:42:44', '0000-00-00', '00:00:00', 'a:2:{i:0;s:1:"8";i:1;s:2:"56";}', 36, 'normal', '', '', '2007-10-31 18:42:44', 'admin', '2007-10-31 18:42:44');
INSERT INTO `care_users` (`name`, `login_id`, `password`, `personell_nr`, `lockflag`, `permission`, `exc`, `s_date`, `s_time`, `expire_date`, `expire_time`, `dept_nr`, `user_role`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('demo2', 'demo2', '1066726e7160bd9c987c9968e0cc275a', 0, 0, '_a_1_nursingstationallwrite _a_2_nursingstationallread _a_1_nursingdutyplanwrite _a_2_nursingdutyplanread _a_1_diagnosticsresultwrite _a_3_diagnosticsresultread _a_2_diagnosticsreceptionwrite _a_3_diagnosticsrequest ', 0, '2007-11-01', '17:26:54', '0000-00-00', '00:00:00', 'a:3:{i:0;s:1:"6";i:1;s:2:"48";i:2;s:2:"56";}', 38, 'normal', '', 'admin', '2007-11-01 22:21:52', 'admin', '2007-11-01 17:26:54');
INSERT INTO `care_users` (`name`, `login_id`, `password`, `personell_nr`, `lockflag`, `permission`, `exc`, `s_date`, `s_time`, `expire_date`, `expire_time`, `dept_nr`, `user_role`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('Mimoza Kavaja', 'depo', '6f6e308d2ee91695c29f0e73371f1e97', 0, 0, '_a_1_meddepotdbadmin _a_2_meddepotreception _a_3_meddepotorder _a_4_meddepotread ', 0, '2007-01-13', '11:17:00', '0000-00-00', '00:00:00', '0', 0, 'normal', '', '', '2007-01-13 11:17:00', 'admin', '2007-01-13 11:17:00');
INSERT INTO `care_users` (`name`, `login_id`, `password`, `personell_nr`, `lockflag`, `permission`, `exc`, `s_date`, `s_time`, `expire_date`, `expire_time`, `dept_nr`, `user_role`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('dermadia', 'dermadia', '5da26b0236c82d826b243c4ae6201d29', 0, 0, '_a_1_pharmadbadmin _a_2_pharmareception _a_3_pharmaorder _a_4_pharmaread _a_1_meddepotdbadmin _a_2_meddepotreception _a_3_meddepotorder _a_4_meddepotread ', 0, '2007-10-31', '14:34:28', '0000-00-00', '00:00:00', 'a:3:{i:0;s:2:"56";i:1;s:2:"66";i:2;s:2:"33";}', 35, 'normal', '', 'admin', '2007-10-31 16:12:20', 'admin', '2007-10-31 14:34:28');
INSERT INTO `care_users` (`name`, `login_id`, `password`, `personell_nr`, `lockflag`, `permission`, `exc`, `s_date`, `s_time`, `expire_date`, `expire_time`, `dept_nr`, `user_role`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('Ermal Dibra', 'ermali', 'b497dd1a701a33026f7211533620780d', 0, 0, '_a_1_admissionwrite _a_2_admissionread _a_1_nursingstationallwrite _a_2_nursingstationallread _a_1_nursingdutyplanwrite _a_2_nursingdutyplanread ', 0, '2006-12-19', '12:30:43', '0000-00-00', '00:00:00', '0', 0, 'normal', '', 'admin', '2006-12-19 12:40:24', 'admin', '2006-12-19 12:30:43');
INSERT INTO `care_users` (`name`, `login_id`, `password`, `personell_nr`, `lockflag`, `permission`, `exc`, `s_date`, `s_time`, `expire_date`, `expire_time`, `dept_nr`, `user_role`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('Irma Terceta', 'farmaci', '5f4dcc3b5aa765d61d8327deb882cf99', 0, 0, '_a_1_admissionwrite _a_2_admissionread _a_1_nursingstationallwrite _a_2_nursingstationallread _a_1_nursingdutyplanwrite _a_2_nursingdutyplanread ', 0, '2006-12-15', '11:56:58', '0000-00-00', '00:00:00', '42', 34, 'normal', '', 'admin', '2007-10-25 13:12:53', 'admin', '2006-12-15 11:56:58');
INSERT INTO `care_users` (`name`, `login_id`, `password`, `personell_nr`, `lockflag`, `permission`, `exc`, `s_date`, `s_time`, `expire_date`, `expire_time`, `dept_nr`, `user_role`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('Fatjeta Barbullushi', 'fatjeta', '45b585b599e03dc83a4733f66137ced1', 0, 0, '_a_1_pharmadbadmin _a_2_pharmareception _a_3_pharmaorder _a_4_pharmaread _a_1_meddepotdbadmin _a_2_meddepotreception _a_3_meddepotorder _a_4_meddepotread ', 0, '2006-12-16', '10:39:30', '0000-00-00', '00:00:00', '38', 35, 'normal', '', 'admin', '2007-10-21 20:48:56', 'admin', '2006-12-16 10:39:30');
INSERT INTO `care_users` (`name`, `login_id`, `password`, `personell_nr`, `lockflag`, `permission`, `exc`, `s_date`, `s_time`, `expire_date`, `expire_time`, `dept_nr`, `user_role`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('Gezim Galici', 'gezimgalici', 'af148815f8b09ce39879563de7f31bd9', 0, 0, '_a_1_admissionwrite _a_2_admissionread _a_1_nursingstationallwrite _a_2_nursingstationallread _a_1_nursingdutyplanwrite _a_2_nursingdutyplanread ', 0, '2006-12-16', '11:09:58', '0000-00-00', '00:00:00', '51', 34, 'normal', '', 'admin', '2007-10-22 19:27:37', 'admin', '2006-12-16 11:09:58');
INSERT INTO `care_users` (`name`, `login_id`, `password`, `personell_nr`, `lockflag`, `permission`, `exc`, `s_date`, `s_time`, `expire_date`, `expire_time`, `dept_nr`, `user_role`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('Greta Naraci', 'greta', 'ab0eb155658574968a102239cbb2387f', 0, 0, '_a_1_admissionwrite _a_2_admissionread _a_1_nursingstationallwrite _a_2_nursingstationallread _a_1_nursingdutyplanwrite _a_2_nursingdutyplanread _a_1_pharmadbadmin _a_2_pharmareception _a_3_pharmaorder _a_4_pharmaread ', 0, '2006-12-16', '11:10:32', '0000-00-00', '00:00:00', 'a:1:{i:0;s:2:"56";}', 0, 'normal', '', 'admin', '2007-08-29 18:51:12', 'admin', '2006-12-16 11:10:32');
INSERT INTO `care_users` (`name`, `login_id`, `password`, `personell_nr`, `lockflag`, `permission`, `exc`, `s_date`, `s_time`, `expire_date`, `expire_time`, `dept_nr`, `user_role`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('Ardiana Dervishi', 'kartoteka', '313a52e98edde4b2d14aa8b742434d99', 0, 0, '_a_1_admissionwrite _a_2_admissionread _a_1_nursingstationallwrite _a_2_nursingstationallread _a_1_nursingdutyplanwrite _a_2_nursingdutyplanread _a_1_medocswrite _a_2_medocsread _a_1_pharmadbadmin _a_2_pharmareception _a_3_pharmaorder _a_4_pharmaread ', 0, '2006-12-22', '12:00:57', '0000-00-00', '00:00:00', 'a:1:{i:0;s:2:"56";}', 0, 'normal', '', 'admin', '2007-08-29 18:48:19', 'admin', '2006-12-22 12:00:57');
INSERT INTO `care_users` (`name`, `login_id`, `password`, `personell_nr`, `lockflag`, `permission`, `exc`, `s_date`, `s_time`, `expire_date`, `expire_time`, `dept_nr`, `user_role`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('kirurg', 'kirurg', 'bc97530ddca57730bd4bb6e1e33ce6e1', 0, 0, '_a_1_opdoctorallwrite _a_2_opnurseallwrite _a_3_opnurseallread _a_1_opnursedutyplanwrite _a_2_opnursedutyplanread ', 0, '2007-10-31', '22:05:59', '0000-00-00', '00:00:00', 'a:4:{i:0;s:2:"65";i:1;s:2:"43";i:2;s:2:"44";i:3;s:2:"64";}', 37, 'normal', '', '', '2007-10-31 22:05:59', 'admin', '2007-10-31 22:05:59');
INSERT INTO `care_users` (`name`, `login_id`, `password`, `personell_nr`, `lockflag`, `permission`, `exc`, `s_date`, `s_time`, `expire_date`, `expire_time`, `dept_nr`, `user_role`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('kot', 'kot', 'a986d9ee785f7b5fdd68bb5b86ee70e0', 0, 0, '_a_1_pharmadbadmin _a_2_pharmareception _a_3_pharmaorder _a_4_pharmaread _a_1_meddepotdbadmin _a_2_meddepotreception _a_3_meddepotorder _a_4_meddepotread ', 0, '2007-10-25', '13:08:45', '0000-00-00', '00:00:00', '', 35, 'normal', '', '', '2007-10-25 13:08:45', 'admin', '2007-10-25 13:08:45');
INSERT INTO `care_users` (`name`, `login_id`, `password`, `personell_nr`, `lockflag`, `permission`, `exc`, `s_date`, `s_time`, `expire_date`, `expire_time`, `dept_nr`, `user_role`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('kot1', 'kot1', 'fa5eb0623cbcb13964d33d6e343da586', 0, 0, '_a_1_admissionwrite _a_2_admissionread _a_1_nursingstationallwrite _a_2_nursingstationallread _a_1_nursingdutyplanwrite _a_2_nursingdutyplanread ', 0, '2007-10-25', '14:24:43', '0000-00-00', '00:00:00', '56', 34, 'normal', '', 'admin', '2007-10-30 20:45:38', 'admin', '2007-10-25 14:24:43');
INSERT INTO `care_users` (`name`, `login_id`, `password`, `personell_nr`, `lockflag`, `permission`, `exc`, `s_date`, `s_time`, `expire_date`, `expire_time`, `dept_nr`, `user_role`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('kot12', 'kot12', '4c6916c975b12fe4bf4ff7406f28c123', 0, 0, '_a_1_admissionwrite _a_2_admissionread _a_1_nursingstationallwrite _a_2_nursingstationallread _a_1_nursingdutyplanwrite _a_2_nursingdutyplanread ', 0, '2007-10-25', '14:25:33', '0000-00-00', '00:00:00', '', 34, 'normal', '', '', '2007-10-25 14:25:33', 'admin', '2007-10-25 14:25:33');
INSERT INTO `care_users` (`name`, `login_id`, `password`, `personell_nr`, `lockflag`, `permission`, `exc`, `s_date`, `s_time`, `expire_date`, `expire_time`, `dept_nr`, `user_role`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('laborant', 'laborant', '7aaa55eaf792d7dde5ba511e5f45cd02', 0, 0, '_a_1_labresultswrite _a_2_labresultsread ', 0, '2007-07-14', '20:59:17', '0000-00-00', '00:00:00', '0', 0, 'normal', '', '', '2007-07-14 20:59:17', 'admin', '2007-07-14 20:59:17');
INSERT INTO `care_users` (`name`, `login_id`, `password`, `personell_nr`, `lockflag`, `permission`, `exc`, `s_date`, `s_time`, `expire_date`, `expire_time`, `dept_nr`, `user_role`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('Lali Mustafa', 'lalimustafa', '361abcfe6d966009670dec3af89c6cf7', 0, 0, '_a_3_pharmaorder _a_4_pharmaread ', 0, '2006-12-16', '11:09:11', '0000-00-00', '00:00:00', '0', 0, 'normal', '', '', '2006-12-16 11:09:11', 'admin', '2006-12-16 11:09:11');
INSERT INTO `care_users` (`name`, `login_id`, `password`, `personell_nr`, `lockflag`, `permission`, `exc`, `s_date`, `s_time`, `expire_date`, `expire_time`, `dept_nr`, `user_role`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('Mikel Pavaci', 'recepsioni', 'b6e62ba00d98ef1a97d7c19f45715b35', 0, 0, '_a_1_admissionwrite _a_2_admissionread ', 0, '2006-12-28', '12:32:49', '0000-00-00', '00:00:00', '33', 0, 'normal', '', 'admin', '2007-08-06 20:02:48', 'admin', '2006-12-28 12:32:49');
INSERT INTO `care_users` (`name`, `login_id`, `password`, `personell_nr`, `lockflag`, `permission`, `exc`, `s_date`, `s_time`, `expire_date`, `expire_time`, `dept_nr`, `user_role`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES ('repart', 'repart', 'dd403ca31db452d40b35a602c12ddbbb', 0, 0, '_a_1_admissionwrite _a_2_admissionread _a_1_nursingstationallwrite _a_2_nursingstationallread _a_1_nursingdutyplanwrite _a_2_nursingdutyplanread _a_3_pharmaorder _a_1_teldirwrite ', 0, '2006-12-01', '20:35:58', '0000-00-00', '00:00:00', '56', 0, 'normal', '', 'admin', '2007-10-22 21:03:18', 'admin', '2006-12-01 20:35:58');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_user_roles`
-- 

CREATE TABLE `care_user_roles` (
  `id` int(11) NOT NULL auto_increment,
  `role_name` varchar(50) collate latin1_general_ci NOT NULL default 'no_name',
  `permission` text collate latin1_general_ci,
  `history` text collate latin1_general_ci,
  `modify_id` varchar(35) collate latin1_general_ci NOT NULL,
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(35) collate latin1_general_ci NOT NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=39 ;

-- 
-- Dumping data for table `care_user_roles`
-- 

INSERT INTO `care_user_roles` (`id`, `role_name`, `permission`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (34, 'galici', '_a_1_admissionwrite _a_2_admissionread _a_1_nursingstationallwrite _a_2_nursingstationallread _a_1_nursingdutyplanwrite _a_2_nursingdutyplanread ', 'Created by admin on   2007-10-21 20:40:25', 'admin', '2007-10-21 20:40:25', 'admin', '2007-10-21 20:40:25');
INSERT INTO `care_user_roles` (`id`, `role_name`, `permission`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (35, 'terceta', '_a_1_pharmadbadmin _a_2_pharmareception _a_3_pharmaorder _a_4_pharmaread _a_1_meddepotdbadmin _a_2_meddepotreception _a_3_meddepotorder _a_4_meddepotread ', 'Created by admin on   2007-10-21 20:41:16', 'admin', '2007-10-21 20:46:21', 'admin', '2007-10-21 20:41:16');
INSERT INTO `care_user_roles` (`id`, `role_name`, `permission`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (36, 'admin', '_a_0_all ', 'Created by admin on   2007-10-31 18:42:30', 'admin', '2007-10-31 18:42:30', 'admin', '2007-10-31 18:42:30');
INSERT INTO `care_user_roles` (`id`, `role_name`, `permission`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (37, 'kirurg', '_a_1_opdoctorallwrite _a_2_opnurseallwrite _a_3_opnurseallread _a_1_opnursedutyplanwrite _a_2_opnursedutyplanread ', 'Created by admin on   2007-10-31 22:05:40', 'admin', '2007-10-31 22:05:40', 'admin', '2007-10-31 22:05:40');
INSERT INTO `care_user_roles` (`id`, `role_name`, `permission`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (38, 'esempio', '_a_1_nursingstationallwrite _a_2_nursingstationallread _a_1_nursingdutyplanwrite _a_2_nursingdutyplanread _a_1_diagnosticsresultwrite _a_3_diagnosticsresultread _a_2_diagnosticsreceptionwrite _a_3_diagnosticsrequest ', 'Created by admin on   2007-11-01 17:26:33', 'admin', '2007-11-01 22:21:01', 'admin', '2007-11-01 17:26:33');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_version`
-- 

CREATE TABLE `care_version` (
  `name` varchar(20) collate latin1_general_ci NOT NULL,
  `type` varchar(20) collate latin1_general_ci NOT NULL,
  `number` varchar(10) collate latin1_general_ci NOT NULL,
  `build` varchar(5) collate latin1_general_ci NOT NULL,
  `date` date NOT NULL default '0000-00-00',
  `time` time NOT NULL default '00:00:00',
  `releaser` varchar(30) collate latin1_general_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- 
-- Dumping data for table `care_version`
-- 

INSERT INTO `care_version` (`name`, `type`, `number`, `build`, `date`, `time`, `releaser`) VALUES ('CARE2X', 'beta', '2.0.0', '1.0', '2004-05-14', '00:00:00', 'Elpidio Latorilla');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_ward`
-- 

CREATE TABLE `care_ward` (
  `nr` smallint(5) unsigned NOT NULL auto_increment,
  `ward_id` varchar(35) collate latin1_general_ci NOT NULL,
  `name` varchar(35) collate latin1_general_ci NOT NULL,
  `is_temp_closed` tinyint(1) NOT NULL default '0',
  `date_create` date NOT NULL default '0000-00-00',
  `date_close` date NOT NULL default '0000-00-00',
  `description` text collate latin1_general_ci,
  `info` tinytext collate latin1_general_ci,
  `dept_nr` smallint(5) unsigned NOT NULL default '0',
  `room_nr_start` smallint(6) NOT NULL default '0',
  `room_nr_end` smallint(6) NOT NULL default '0',
  `roomprefix` varchar(4) collate latin1_general_ci default NULL,
  `status` varchar(25) collate latin1_general_ci NOT NULL,
  `history` text collate latin1_general_ci NOT NULL,
  `modify_id` varchar(25) collate latin1_general_ci NOT NULL default '0',
  `modify_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `create_id` varchar(25) collate latin1_general_ci NOT NULL default '0',
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nr`),
  KEY `ward_id` (`ward_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=8 ;

-- 
-- Dumping data for table `care_ward`
-- 

INSERT INTO `care_ward` (`nr`, `ward_id`, `name`, `is_temp_closed`, `date_create`, `date_close`, `description`, `info`, `dept_nr`, `room_nr_start`, `room_nr_end`, `roomprefix`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (1, '1', 'A', 0, '2006-07-10', '2006-12-04', 'A', NULL, 24, 10, 20, 'Sh', 'inactive', 'Create: 2006-07-10 20:23:51 admin\nClosed nonreversible: 2006-12-04 09:26:44 admin\n', 'admin', '2006-12-04 09:26:44', 'admin', '2006-07-11 05:23:51');
INSERT INTO `care_ward` (`nr`, `ward_id`, `name`, `is_temp_closed`, `date_create`, `date_close`, `description`, `info`, `dept_nr`, `room_nr_start`, `room_nr_end`, `roomprefix`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (2, 'PED-K2', 'Pediatria', 0, '2006-12-01', '2006-12-04', 'Trajtim i femijefe nga mosha 1-16 vjec', NULL, 56, 1, 20, 'P01', 'inactive', 'Create: 2006-12-01 22:58:57 admin\nClosed nonreversible: 2006-12-04 09:25:39 admin\n', 'admin', '2006-12-04 09:25:39', 'admin', '2006-12-01 22:58:57');
INSERT INTO `care_ward` (`nr`, `ward_id`, `name`, `is_temp_closed`, `date_create`, `date_close`, `description`, `info`, `dept_nr`, `room_nr_start`, `room_nr_end`, `roomprefix`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (3, 'PA-K1', 'Patologjia', 0, '0000-00-00', '0000-00-00', '', '', 0, 0, 0, '', '', 'Create: 2006-12-18 13:10:23 admin\nClosed temporary: 2007-08-29 19:04:27 admin\nReopened: 2007-08-29 19:04:33 admin\nReopened: 2007-08-29 19:31:34 admin\nReopened: 2007-08-29 19:31:39 admin\nReopened: 2007-08-29 19:33:49 admin\nReopened: 2007-08-29 19:34:35 admin\nReopened: 2007-08-29 19:39:15 admin\nReopened: 2007-08-29 19:40:29 admin\nClosed temporary: 2007-08-29 19:42:09 admin\nReopened: 2007-08-29 19:42:32 admin\nReopened: 2007-08-29 19:44:06 admin\nReopened: 2007-08-29 19:44:25 admin\nReopened: 2007-08-29 19:44:41 admin\nReopened: 2007-08-29 19:45:07 admin\nReopened: 2007-08-29 19:46:18 admin\nReopened: 2007-08-29 19:48:46 admin\nReopened: 2007-08-29 19:49:12 admin\nReopened: 2007-08-29 19:50:10 admin\nReopened: 2007-08-29 19:50:33 admin\nReopened: 2007-08-29 19:50:59 admin\nReopened: 2007-08-29 19:53:01 admin\nReopened: 2007-08-29 19:53:21 admin\nReopened: 2007-08-29 19:54:19 admin\nReopened: 2007-08-29 19:56:12 admin\nReopened: 2007-08-29 19:59:11 admin\nReopened: 2007-08-29 19:59:51 admin\nReopened: 2007-08-29 20:30:20 admin\nReopened: 2007-08-29 20:30:39 admin\nReopened: 2007-08-29 20:31:49 admin\nReopened: 2007-08-29 20:34:56 admin\nReopened: 2007-08-29 20:36:15 admin\nReopened: 2007-08-29 20:37:07 admin\nReopened: 2007-08-29 20:38:24 admin\nReopened: 2007-08-29 20:38:49 admin\nReopened: 2007-08-29 20:39:20 admin\nReopened: 2007-08-29 20:39:48 admin\nReopened: 2007-08-29 20:40:43 admin\nReopened: 2007-08-29 20:44:53 admin\nReopened: 2007-08-29 20:45:16 admin\nReopened: 2007-08-29 20:46:03 admin\nReopened: 2007-08-29 20:47:51 admin\nReopened: 2007-08-29 20:54:45 admin\nReopened: 2007-08-29 20:54:57 admin\nReopened: 2007-08-29 20:55:37 admin\nReopened: 2007-08-29 20:58:16 admin\nReopened: 2007-08-29 20:58:38 admin\nReopened: 2007-08-29 20:59:14 admin\nReopened: 2007-08-29 20:59:58 admin\nClosed temporary: 2007-08-29 21:01:56 admin\nReopened: 2007-08-29 21:02:00 admin\n', 'admin', '2007-08-29 21:02:00', '', '0000-00-00 00:00:00');
INSERT INTO `care_ward` (`nr`, `ward_id`, `name`, `is_temp_closed`, `date_create`, `date_close`, `description`, `info`, `dept_nr`, `room_nr_start`, `room_nr_end`, `roomprefix`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (4, 'PA-2', 'Pediatria', 0, '2006-12-20', '2006-12-27', 'Trajtimi i te semureve nga mosh 0-16 vjec', NULL, 56, 1, 19, 'PA', 'inactive', 'Create: 2006-12-20 12:21:10 admin\nClosed nonreversible: 2006-12-27 11:19:28 admin\n', 'admin', '2006-12-27 11:19:28', 'admin', '2006-12-20 12:21:10');
INSERT INTO `care_ward` (`nr`, `ward_id`, `name`, `is_temp_closed`, `date_create`, `date_close`, `description`, `info`, `dept_nr`, `room_nr_start`, `room_nr_end`, `roomprefix`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (5, 'PE-K', 'PEDIATRIA', 0, '2006-12-27', '2006-12-27', 'Pediatria e pergjithshme', NULL, 56, 0, 0, 'PE', 'inactive', 'Create: 2006-12-27 11:20:53 admin\nClosed nonreversible: 2006-12-27 11:27:01 admin\n', 'admin', '2006-12-27 11:27:01', 'admin', '2006-12-27 11:20:53');
INSERT INTO `care_ward` (`nr`, `ward_id`, `name`, `is_temp_closed`, `date_create`, `date_close`, `description`, `info`, `dept_nr`, `room_nr_start`, `room_nr_end`, `roomprefix`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (6, 'PE-K2', 'Pediatria', 0, '2006-12-27', '0000-00-00', 'Pediatria e pergjithshme', NULL, 56, 1, 19, 'PE', '', 'Create: 2006-12-27 11:21:53 admin\n', '0', '2006-12-27 11:21:53', 'admin', '2006-12-27 11:21:53');
INSERT INTO `care_ward` (`nr`, `ward_id`, `name`, `is_temp_closed`, `date_create`, `date_close`, `description`, `info`, `dept_nr`, `room_nr_start`, `room_nr_end`, `roomprefix`, `status`, `history`, `modify_id`, `modify_time`, `create_id`, `create_time`) VALUES (7, 'PE-I', 'PE-Infektiv', 0, '2007-08-29', '0000-00-00', 'Trajtimi i semundejve infektive, Reparti i Pediatrise', NULL, 56, 12, 17, 'PE-I', '', 'Create: 2007-08-29 18:45:41 admin\n', '0', '2007-08-29 18:45:41', 'admin', '2007-08-29 18:45:41');

-- --------------------------------------------------------

-- 
-- Table structure for table `care_yellow_paper`
-- 

CREATE TABLE `care_yellow_paper` (
  `encounter_nr` bigint(20) NOT NULL,
  `personell_name` varchar(20) collate latin1_general_ci default NULL,
  `location_id` varchar(20) collate latin1_general_ci default NULL,
  `history` text collate latin1_general_ci,
  `create_id` varchar(20) collate latin1_general_ci default NULL,
  `create_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  `sunto_anamnestico` text collate latin1_general_ci,
  `stato_presente` text collate latin1_general_ci,
  `altezza` double(15,3) default NULL,
  `peso` double(15,3) default NULL,
  `norm` varchar(20) collate latin1_general_ci default NULL,
  `dati_urine` varchar(20) collate latin1_general_ci default NULL,
  `dati_sangue` varchar(20) collate latin1_general_ci default NULL,
  `dati_altro` varchar(20) collate latin1_general_ci default NULL,
  `diagnosi` text collate latin1_general_ci,
  `terapia` text collate latin1_general_ci,
  `padre` text collate latin1_general_ci,
  `madre` text collate latin1_general_ci,
  `fratelli` text collate latin1_general_ci,
  `coniuge` text collate latin1_general_ci,
  `figli` text collate latin1_general_ci,
  `paesi_esteri` text collate latin1_general_ci,
  `abitazione` text collate latin1_general_ci,
  `lavoro_pregresso` text collate latin1_general_ci,
  `lavoro_presente` text collate latin1_general_ci,
  `lavoro_attuale` text collate latin1_general_ci,
  `ambiente_lavoro` text collate latin1_general_ci,
  `gas_lavoro` text collate latin1_general_ci,
  `tossiche_lavoro` text collate latin1_general_ci,
  `conviventi` text collate latin1_general_ci,
  `prematuro` varchar(4) collate latin1_general_ci default NULL,
  `eutocico` varchar(4) collate latin1_general_ci default NULL,
  `fisiologici_normali` varchar(4) collate latin1_general_ci default NULL,
  `fisiologici_tardivi` varchar(4) collate latin1_general_ci default NULL,
  `mestruazione` text collate latin1_general_ci,
  `gravidanze` text collate latin1_general_ci,
  `militare` text collate latin1_general_ci,
  `alcolici` varchar(20) collate latin1_general_ci default NULL,
  `caffe` varchar(20) collate latin1_general_ci default NULL,
  `fumo` varchar(20) collate latin1_general_ci default NULL,
  `droghe` varchar(20) collate latin1_general_ci default NULL,
  `sete` varchar(20) collate latin1_general_ci default NULL,
  `alvo` varchar(20) collate latin1_general_ci default NULL,
  `diuresi` varchar(20) collate latin1_general_ci default NULL,
  `anamnesi_remota` text collate latin1_general_ci,
  `anamnesi_prossima` text collate latin1_general_ci,
  `nr` bigint(20) NOT NULL auto_increment,
  `modify_id` text collate latin1_general_ci,
  `modify_time` timestamp NOT NULL default '0000-00-00 00:00:00' on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`nr`),
  UNIQUE KEY `nr` (`nr`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `care_yellow_paper`
-- 

INSERT INTO `care_yellow_paper` (`encounter_nr`, `personell_name`, `location_id`, `history`, `create_id`, `create_time`, `sunto_anamnestico`, `stato_presente`, `altezza`, `peso`, `norm`, `dati_urine`, `dati_sangue`, `dati_altro`, `diagnosi`, `terapia`, `padre`, `madre`, `fratelli`, `coniuge`, `figli`, `paesi_esteri`, `abitazione`, `lavoro_pregresso`, `lavoro_presente`, `lavoro_attuale`, `ambiente_lavoro`, `gas_lavoro`, `tossiche_lavoro`, `conviventi`, `prematuro`, `eutocico`, `fisiologici_normali`, `fisiologici_tardivi`, `mestruazione`, `gravidanze`, `militare`, `alcolici`, `caffe`, `fumo`, `droghe`, `sete`, `alvo`, `diuresi`, `anamnesi_remota`, `anamnesi_prossima`, `nr`, `modify_id`, `modify_time`) VALUES (2007000319, 'admin', 'PA-3', 'Create: 2007-08-14 16-19-27 admin\n\rUpdate: 2007-08-14 16-28-54 admin Update: 2007-08-14 16-30-18 admin\n\rUpdate: 2007-08-14 16-30-53 admin\n\rUpdate: 2007-08-14 16-31-15 admin\n\rUpdate: 2007-08-14 16-31-44 admin\n\rUpdate: 2007-08-14 16-32-23 admin\n\rUpdate: 2007-08-14 16-32-45 admin\n\r', 'admin', '2007-08-14 16:19:27', 'qw123334234123', '12123', 12.000, 12.000, '12', '12', '12', '12', '12', '12', '12', '12', '12', '12', '12', '12', '12', '12', '12', '12', '12', '12', '12', '12', 'Po', 'Po', 'Po', 'Po', '12', '12', '12', 'Medio bevitore', 'Medio bevitore', 'Medio fumatore', '12', 'Ridotta', 'Diarroico', 'Scarsa', '12', '12', 1, 'admin', '2007-08-14 16:32:45');

-- 
-- Constraints for dumped tables
-- 

-- 
-- Constraints for table `care_encounter_prescription_sub`
-- 
ALTER TABLE `care_encounter_prescription_sub`
  ADD CONSTRAINT `care_encounter_prescription_sub_fk` FOREIGN KEY (`prescription_nr`) REFERENCES `care_encounter_prescription` (`nr`) ON DELETE CASCADE ON UPDATE CASCADE;

-- 
-- Constraints for table `care_med_orderlist_sub`
-- 
ALTER TABLE `care_med_orderlist_sub`
  ADD CONSTRAINT `care_med_orderlist_sub_fk` FOREIGN KEY (`order_nr_sub`) REFERENCES `care_med_orderlist` (`order_nr`) ON DELETE CASCADE ON UPDATE CASCADE;

-- 
-- Constraints for table `care_pharma_orderlist_sub`
-- 
ALTER TABLE `care_pharma_orderlist_sub`
  ADD CONSTRAINT `care_pharma_orderlist_sub_fk` FOREIGN KEY (`order_nr_sub`) REFERENCES `care_pharma_orderlist` (`order_nr`) ON DELETE CASCADE ON UPDATE CASCADE;
